(* Character metrics for the STIX (and some other) fonts...

Character metric hash table created using the program charmetrics.cpp
sourceforge.net/p/reduce-algebra/code/HEAD/tree/trunk/csl/cslbase/wxfonts
contains README files with full credits to the fonts this is used with
Author: Arthur Norman

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

   * Redistributions of source code must retain the relevant copyright
     notice, this list of conditions and the following disclaimer.
   * Redistributions in binary form must reproduce the above copyright
     notice, this list of conditions and the following disclaimer in the
     documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNERS OR
CONTRIBUTORS
BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
POSSIBILITY OF SUCH DAMAGE.


Also be aware of the (generally permissive) licenses associated with the
fonts. Fill README files and license terms for the fonts themselves
are in csl/cslbase/wxfonts.


$Id: charmetrics.sml 3703 2016-05-27 08:08:54Z arthurcnorman $

*)


val F_cmuntt     = 0;
val F_odokai     = 1;
val F_Regular    = 2;
val F_Bold       = 3;
val F_Italic     = 4;
val F_BoldItalic = 5;
val F_Math       = 6;
val F_end        = 7;

fun font_number "cmuntt"     = F_cmuntt
  | font_number "odokai"     = F_odokai
  | font_number "Regular"    = F_Regular
  | font_number "Bold"       = F_Bold
  | font_number "Italic"     = F_Italic
  | font_number "BoldItalic" = F_BoldItalic
  | font_number "Math"       = F_Math
  | font_number _            = 0;

val hashsize = 10057;

val metrics_hash = Vector.fromList
   (map Vector.fromList [
     [0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000888d, 0x00000000, 0x608745f1, 0x1362f78f, 0x608745f1,
      0x1362f78f, 0x6c6665f1, 0x0ffb1e0f, 0x6c89c5f1, 0x156b028f],
     [0x000188dc, 0x00000000, 0xe09ae6d7, 0x18d2fbcc, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000888e, 0x00000000, 0x108e25e7, 0x156afa13, 0x8c8e25e7,
      0x156afa0f, 0x8c8e25e7, 0x156afa0f, 0x6c8e25f1, 0x156afa0f],
     [0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000188df, 0x00000000, 0x30a50630, 0x1b3afa8c, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00008890, 0x00000000, 0xf85da60b, 0x08f2f6ce, 0x008e2590,
      0x156afa11, 0x7c8e25a5, 0x156afa10, 0x7c8e25a5, 0x156afa10],
     [0x00080008, 0x00000000, 0xa03e83e8, 0x106aee0f, 0xa0670656,
      0x106b1fcf, 0xc06fc655, 0x106b0e54, 0xa07ba64a, 0x106af6cf],
     [0x00000009, 0x00000000, 0x5478c69e, 0x106afc8e, 0x547ba69e,
      0x106af6ce, 0x747bc656, 0x106af50f, 0xc064c655, 0x106b2454],
     [0x0000000a, 0x00000000, 0x5875269e, 0x106b194e, 0x586a869e,
      0x106b040e, 0x087785f1, 0x106aff11, 0xe47b45fa, 0x106af750],
     [0x0000000b, 0x00000000, 0x7469c465, 0x106b1b0d, 0x847504de,
      0x106b03d2, 0xa0670465, 0x106b1fcf, 0x5478a69e, 0x106afc8e],
     [0x0000000c, 0x00000000, 0x7479c656, 0x106afa8f, 0xa075c656,
      0x106b084f, 0xa0798656, 0x106afb0f, 0x747a8656, 0x106af90f],
     [0x0000000d, 0x00000000, 0xa07c6657, 0x106af54f, 0x7479864b,
      0x106afb0f, 0x74796656, 0x106afb4f, 0x747a865b, 0x106af90f],
     [0x0000000e, 0x00000000, 0x747a8656, 0x106af90f, 0x74796656,
      0x106afb4f, 0xa0672597, 0x106b200f, 0x7469c596, 0x106b1b0d],
     [0x0000000f, 0x00000000, 0x9079060f, 0x106afc10, 0xbc7b4584,
      0x106af752, 0x9079060f, 0x106afc10, 0xa0784651, 0x106afd8f],
     [0x00000010, 0x00000000, 0x887a8651, 0x106af90f, 0xa07ca657,
      0x106af4cf, 0xa07ac64b, 0x106af3cf, 0x747b0656, 0x106af80f],
     [0x00000011, 0x00000000, 0xa07b264b, 0x106af2cf, 0xa07d464b,
      0x106af48f, 0xa07bc64b, 0x106af50f, 0x747c8656, 0x106af78f],
     [0x80000012, 0x00000006, 0xa07d464b, 0x106af38f, 0xa076464b,
      0x106b01cf, 0x747a464b, 0x106affcf, 0xa07c664b, 0x106af48f],
     [0x00000013, 0x00000000, 0xa07b864b, 0x106af60f, 0xa07de64b,
      0x106af24f, 0xa07c864b, 0x106af50f, 0x74790656, 0x106afc0f],
     [0x00000014, 0x00000000, 0xa07a864b, 0x106af48f, 0x74790656,
      0x106afc0d, 0x747fc64b, 0x106af38f, 0x74798656, 0x106afb0f],
     [0x00000015, 0x00000000, 0xa07cc64b, 0x106af48f, 0x747f864b,
      0x106aef0f, 0x807dc64b, 0x106af28f, 0x807ea64b, 0x106af0cf],
     [0x00000016, 0x00000000, 0xa07c864b, 0x106af4cf, 0xa07da64b,
      0x106af2cf, 0xa07aa64b, 0x106afa0f, 0x547ae69e, 0x106b254e],
     [0x00000017, 0x00000000, 0x5478a69e, 0x106afc8e, 0x5464469e,
      0x106af80e, 0x3876861d, 0x106b0116, 0x247903cf, 0x106afc0e],
     [0x00000018, 0x00000000, 0x8866a667, 0x106b0917, 0x888005a0,
      0x106afbcf, 0x887b864b, 0x106af10f, 0x8878c5a0, 0x106b004f],
     [0x00000019, 0x00003600, 0x887e864b, 0x106af70f, 0x887885a0,
      0x106afbcf, 0xa0752651, 0x106af88f, 0x0c7e25a2, 0x106af54c],
     [0x8000001a, 0x00000007, 0xa07e864b, 0x106af10f, 0xa077664c,
      0x106b018f, 0x106c864c, 0x106afa0c, 0xa07e064b, 0x106af34f],
     [0x0000001b, 0x00000000, 0xa078e64b, 0x106afc8f, 0xa080859d,
      0x106aed0f, 0xa07e859d, 0x106af10f, 0x8878e5a0, 0x106afc4f],
     [0x0000001c, 0x00000000, 0x287b859d, 0x106af10c, 0x2881a59d,
      0x106af80c, 0xa07b659d, 0x106af60f, 0x8877e5a0, 0x106b000f],
     [0x0000001d, 0x00000000, 0x8876a612, 0x106af44f, 0x887e8597,
      0x106af10f, 0x907d0597, 0x106af40f, 0x907e0597, 0x106af20f],
     [0x0000001e, 0x00000000, 0xa07c8597, 0x106af4cf, 0x107d0597,
      0x106af48c, 0xa079e597, 0x106af64f, 0x5478e69e, 0x106afc0e],
     [0x0000001f, 0x00000000, 0x5463a69e, 0x106b26ce, 0x5478e69e,
      0x106afc0e, 0x4c77064b, 0x106affd7, 0x00000000, 0x00000000],
     [0x0000619d, 0x00000000, 0xecb766cd, 0x1f42ff4f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x7cb7e6de, 0x1f42fd4e],
     [0x0000889d, 0x00000000, 0x108e26c3, 0x156afa0c, 0x0c8e26c2,
      0x156afa0c, 0x708c26a9, 0x156afc0c, 0x708c26a9, 0x156afc0c],
     [0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000889e, 0x00000000, 0xb88e26d6, 0x156afa0b, 0xb88e26d6,
      0x156afa0b, 0x388c25fc, 0x156afe0f, 0x388c25fc, 0x156afe0f],
     [0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000889f, 0x00000000, 0xc08c265c, 0x156afe0d, 0xc48c265d,
      0x156afe0d, 0x108e2680, 0x156afa0d, 0x108e2680, 0x156afa0d],
     [0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000088a0, 0x00000000, 0x308c267e, 0x156afe0d, 0x308c267e,
      0x156afe0d, 0x3c8c25fb, 0x156afe0f, 0x3c8c25fb, 0x156afe0f],
     [0x00000028, 0x00000000, 0xa03e83e8, 0x106aee0f, 0xfc67056d,
      0x106b1fcb, 0xe47c4608, 0x106af8cd, 0x8c7d2653, 0x106af94f],
     [0x00000029, 0x00000000, 0x0886a637, 0x106ae10f, 0xa07da64b,
      0x106af28f, 0x5863a69e, 0x106b26ce, 0x1075c650, 0x106b028c],
     [0x0000002a, 0x00000000, 0x9c72464b, 0x106b0997, 0xfc8986a9,
      0x106adb4b, 0x007e06a7, 0x106af693, 0xa0762597, 0x106af8cf],
     [0x0000002b, 0x00000000, 0x347aa550, 0x106af8d0, 0x846a24de,
      0x106b19d2, 0xfc8986a9, 0x106adb4b, 0x5c76e656, 0x106b0018],
     [0x0000002c, 0x00000000, 0x7c71e64b, 0x106b0a14, 0xc47b4632,
      0x106af751, 0x6478a6a9, 0x106afcd4, 0x5079e6a9, 0x106afa54],
     [0x0000002d, 0x00000000, 0x88726667, 0x106b2097, 0x287ea596,
      0x106af0cc, 0x287d064b, 0x106af9cc, 0x446584f5, 0x106b2312],
     [0x0000002e, 0x00000000, 0x606fe421, 0x106b0e0c, 0x6475c6a9,
      0x106b0454, 0x007ba6a6, 0x106af693, 0xa07a8597, 0x106b018f],
     [0x0000002f, 0x00000000, 0x288066a9, 0x106aedcc, 0x288066a9,
      0x106aedcc, 0x288066a9, 0x106aedcc, 0x1078456c, 0x106afd4c],
     [0x00000030, 0x00000000, 0xa07ca70f, 0x106af4cf, 0xa07ca70f,
      0x106af4cf, 0xa07ca720, 0x106af4cf, 0xa07ca71b, 0x106af4cf],
     [0x00000031, 0x00000000, 0xa07ca71b, 0x106af4cf, 0xa07c8723,
      0x106af4cf, 0xa07d064b, 0x106af38f, 0x607b2656, 0x106af80c],
     [0x00000032, 0x00000000, 0xa07d470f, 0x106af48f, 0xa07d470f,
      0x106af48f, 0xa07d4720, 0x106af48f, 0xa07d471b, 0x106af48f],
     [0x00000033, 0x00000000, 0xa076470f, 0x106b01cf, 0xa076470f,
      0x106b01cf, 0xa0764720, 0x106b01cf, 0xa076471b, 0x106b01cf],
     [0x00000034, 0x00000000, 0xa07b264b, 0x106af28f, 0xa07c871b,
      0x106af50f, 0x7479070f, 0x106afc0f, 0x7479070f, 0x106afc0f],
     [0x00000035, 0x00000000, 0x74790720, 0x106afc0f, 0x7479071b,
      0x106afc0f, 0x7479071b, 0x106afc0f, 0xc47465c2, 0x106b0551],
     [0x00000036, 0x00000000, 0x5079069f, 0x106afc0e, 0x747f870f,
      0x106aef0f, 0x747f870f, 0x106aef0f, 0x747f8720, 0x106aef0f],
     [0x00000037, 0x00000000, 0x747f871b, 0x106aef0f, 0xa07da70f,
      0x106af2cf, 0xa07a064b, 0x106af58f, 0x8c7ba650, 0x106af20f],
     [0x00000038, 0x00000000, 0x88800667, 0x106afbcf, 0x88800667,
      0x106afbcf, 0x8880066c, 0x106afbcf, 0x88800671, 0x106afbcf],
     [0x00000039, 0x00000000, 0x8880064b, 0x106afbcf, 0x8880066f,
      0x106afbcf, 0x8c7d859f, 0x106af60f, 0x6078a59f, 0x106b000c],
     [0x0000003a, 0x00000000, 0x88788667, 0x106afbcf, 0x88788667,
      0x106afbcf, 0x8878866c, 0x106afbcf, 0x8878864b, 0x106afbcf],
     [0x0000003b, 0x00000000, 0xa0776667, 0x106b018f, 0xa0776667,
      0x106b018f, 0xa077666c, 0x106b018f, 0xa074464b, 0x106b078f],
     [0x0000003c, 0x00000000, 0x8c78e64b, 0x106afc0f, 0xa07e8671,
      0x106af10f, 0x8878e667, 0x106afc4f, 0x8878e667, 0x106afc4f],
     [0x0000003d, 0x00000000, 0x8878e66c, 0x106afc4f, 0x8878e671,
      0x106afc4f, 0x8878e64b, 0x106afc4f, 0xd47b45fe, 0x106af750],
     [0x0000003e, 0x00000000, 0x707aa623, 0x106af88d, 0x887e8667,
      0x106af10f, 0x887e8667, 0x106af10f, 0x887e866c, 0x106af10f],
     [0x0000003f, 0x00000000, 0x887e864b, 0x106af10f, 0x107d0667,
      0x106af48c, 0x287b864b, 0x106af0cc, 0x107d064b, 0x106af48c],
     [0x00000040, 0x00000000, 0xa07ca6cf, 0x106af4cf, 0x88800639,
      0x106afbcf, 0xa07ca71b, 0x106af4cf, 0x88800667, 0x106afbcf],
     [0x00000041, 0x00000000, 0xfc7fc657, 0x106af4cb, 0xfc80059f,
      0x106afbcb, 0x747b070f, 0x106af80f, 0x8878c667, 0x106b004f],
     [0x00000042, 0x00000000, 0x747b0724, 0x106af80f, 0x8878c66d,
      0x106b004f, 0x747b06ec, 0x106af80f, 0x8878c635, 0x106b004f],
     [0x00000043, 0x00000000, 0x747b070c, 0x106af80f, 0x8878c667,
      0x106b004f, 0xa07b270c, 0x106af2cf, 0x8c7f466d, 0x106af48f],
     [0x00000044, 0x00000000, 0xa07b264b, 0x106af28f, 0x8c7e864b,
      0x106af6cf, 0xa07d46ce, 0x106af48f, 0x88788638, 0x106afbcf],
     [0x00000045, 0x00000000, 0xa07d4715, 0x106af48f, 0x8878865d,
      0x106afbcf, 0xa07d46ec, 0x106af48f, 0x88788635, 0x106afbcf],
     [0x00000046, 0x00000000, 0xfc7d664b, 0x106af44b, 0xfc78a59f,
      0x106afbcb, 0xa07d470c, 0x106af48f, 0x88788667, 0x106afbcf],
     [0x00000047, 0x00000000, 0x747d4724, 0x106af78f, 0x0c7e2670,
      0x106af54c, 0x747c871b, 0x106af74f, 0x0c7e2667, 0x106af54c],
     [0x00000048, 0x00000000, 0x747c86ec, 0x106af78f, 0x0c7e2638,
      0x106af54c, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00000049, 0x00000000, 0xa07d4724, 0x106af38f, 0xa07e8719,
      0x106af10f, 0x00000000, 0x00000000, 0xa07ee64b, 0x106af1cf],
     [0x0000004a, 0x00000000, 0xa0764729, 0x106b01cf, 0xa0776674,
      0x106b018f, 0xa076e6c7, 0x106b000f, 0xa0778638, 0x106b014f],
     [0x0000004b, 0x00000000, 0xa0764715, 0x106b01cf, 0xa077665d,
      0x106b018f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000004c, 0x00000000, 0xa0764706, 0x106b01cf, 0xa0776597,
      0x106b018f, 0x747c864b, 0x106af08f, 0x1478e64b, 0x106af74c],
     [0x0000004d, 0x00000000, 0x747e2724, 0x106affcf, 0x1072066d,
      0x106afa0c, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000004e, 0x00000000, 0x00000000, 0x00000000, 0xa07b870f,
      0x106af60f, 0xa078e70f, 0x106afc8f, 0x00000000, 0x00000000],
     [0x0000004f, 0x00000000, 0x00000000, 0x00000000, 0xa07b86ac,
      0x106af60f, 0xa07ea66d, 0x106afc8f, 0x00000000, 0x00000000],
     [0x00000050, 0x00000000, 0x00000000, 0x00000000, 0xa07b864b,
      0x106af58f, 0xa078e64b, 0x106afc4f, 0xa07c870f, 0x106af50f],
     [0x00000051, 0x00000000, 0xa07e8667, 0x106af10f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xa07c870c, 0x106af50f],
     [0x00000052, 0x00000000, 0xa07e8667, 0x106af10f, 0x00000000,
      0x00000000, 0x747b465d, 0x106af20f, 0x1474059c, 0x106af0cc],
     [0x00000053, 0x00000000, 0x747906ce, 0x106afc0f, 0x8878e638,
      0x106afc4f, 0x74790715, 0x106afc0f, 0x8878e65d, 0x106afc4f],
     [0x00000054, 0x00000000, 0x747ee70f, 0x106afc0f, 0x887fc667,
      0x106afc4f, 0x747d6656, 0x106af54f, 0x8c7da59f, 0x106af28f],
     [0x00000055, 0x00000000, 0x747fc70f, 0x106af38f, 0xa07b6667,
      0x106af60f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00000056, 0x00000000, 0x747fc70c, 0x106af38f, 0xa07b6667,
      0x106af60f, 0x7479870f, 0x106afb0f, 0x8c77e667, 0x106b000f],
     [0x00000057, 0x00000000, 0x74798724, 0x106afb0f, 0x8877e66d,
      0x106b000f, 0x60798656, 0x106afb0c, 0x6077e59f, 0x106b000c],
     [0x00000058, 0x00000000, 0x7479870c, 0x106afb0f, 0x8c77e667,
      0x106b000f, 0x607ce64b, 0x106af48c, 0x5c76c611, 0x106af44c],
     [0x00000059, 0x00000000, 0xa07cc70c, 0x106af48f, 0x887a0672,
      0x106af44f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000005a, 0x00000000, 0x747f8729, 0x106aef0f, 0x887e8674,
      0x106af10f, 0x747f86ce, 0x106aef0f, 0x887e8638, 0x106af10f],
     [0x0000005b, 0x00000000, 0x747f8715, 0x106aef0f, 0x887e865d,
      0x106af10f, 0x747f8723, 0x106aef0f, 0x887e866f, 0x106af10f],
     [0x0000005c, 0x00000000, 0x7480270f, 0x106aef0f, 0x887fe667,
      0x106af10f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000005d, 0x00000000, 0x807ea724, 0x106af0cf, 0x907e066d,
      0x106af20f, 0xa07da724, 0x106af2cf, 0x107d066d, 0x106af48c],
     [0x0000005e, 0x00000000, 0xa07da71b, 0x106af2cf, 0xa07aa70f,
      0x106afa0f, 0xa079e667, 0x106af64f, 0xa07aa707, 0x106afa0f],
     [0x0000005f, 0x01f00000, 0xa079e64b, 0x106af64f, 0xa07aa70c,
      0x106afa0f, 0xa079e667, 0x106af64f, 0xa0752651, 0x106af88f],
     [0x00000060, 0x00000000, 0x8c7b864b, 0x106aee4f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00000061, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x747b0656, 0x106af80f, 0x00000000, 0x00000000],
     [0x01000062, 0x00000000, 0x8c84e632, 0x106afd8f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00000063, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa07d664b, 0x106af44f, 0x747d2656, 0x106af0cf],
     [0x00000064, 0x00000000, 0x7480a656, 0x106afa4f, 0x00000000,
      0x00000000, 0x1080c650, 0x106aef4c, 0x00000000, 0x00000000],
     [0x00000065, 0x00000000, 0x00000000, 0x00000000, 0x8c7ce64b,
      0x106aedcf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00000066, 0x00000000, 0x00000000, 0x00000000, 0xa07e0651,
      0x106af30f, 0xa076664b, 0x106b014f, 0x8c79864b, 0x106aee8f],
     [0x00000067, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x2881c59c, 0x106af14c, 0x00000000, 0x00000000],
     [0x00000068, 0x00000000, 0x747c66af, 0x106afc0f, 0x8c78e5fa,
      0x106afc0f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00000069, 0x00000000, 0x00000000, 0x00000000, 0x287b2651,
      0x106aea8c, 0x00000000, 0x00000000, 0x74798656, 0x106afb0f],
     [0x0000006a, 0x00000000, 0x8c77e59f, 0x106b000f, 0x00000000,
      0x00000000, 0x1078a651, 0x106b020c, 0x10730612, 0x106af3cc],
     [0x0000006b, 0x00000000, 0x00000000, 0x00000000, 0x8c774651,
      0x106af3cf, 0x00000000, 0x00000000, 0x748026ae, 0x106aeecf],
     [0x0000006c, 0x00000000, 0x8c7ea5fa, 0x106af0cf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000006d, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x747b264b, 0x106af78f],
     [0x0000006e, 0x00000000, 0x00000000, 0x00000000, 0x1479e596,
      0x106afa4c, 0x147a6596, 0x106afa0c, 0x00000000, 0x00000000],
     [0x0000006f, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x8c7a859a, 0x106aee0b],
     [0x00000070, 0x00000000, 0x2863c64b, 0x106b268c, 0x2870c64b,
      0x106b0c4c, 0x2879864b, 0x106afb0c, 0xa0658656, 0x106b230f],
     [0x00000071, 0x00000000, 0xa07d670c, 0x106af04f, 0xa07d0667,
      0x106af04f, 0x8c7d0667, 0x106af28f, 0x747d464b, 0x106af1cf],
     [0x00000072, 0x00000000, 0x1076664b, 0x106af1cc, 0x1076664b,
      0x106af54c, 0x747d464b, 0x106af18f, 0x1076664b, 0x106af18c],
     [0x00000073, 0x00000000, 0x1076664b, 0x106aef8c, 0xa07ca724,
      0x106af4cf, 0x8880066c, 0x106afbcf, 0xa0764723, 0x106b01cf],
     [0x00000074, 0x00000000, 0xa077666b, 0x106b018f, 0x74790723,
      0x106afc0f, 0x8878e66c, 0x106afc4f, 0x747f8723, 0x106aef0f],
     [0x00000075, 0x00000000, 0x887e866b, 0x106af10f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00000077, 0x00000000, 0x00000000, 0x00000000, 0x8c77259f,
      0x106af94f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00000078, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa07f06ce, 0x106af38f, 0x8c7d8639, 0x106af60f],
     [0x00000079, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x747c8723, 0x106af78f, 0x0c7e266e, 0x106af54c],
     [0x0000007a, 0x00000000, 0xa07c6723, 0x106af48f, 0xa07e0718,
      0x106af34f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000581d, 0x00000000, 0x00000000, 0x00000000, 0x88adc71a,
      0x1f4309ce, 0x94ac06f1, 0x1f43144f, 0xdcb2070b, 0x1f43010e],
     [0x0000007c, 0x00000000, 0x106fa66b, 0x106afa0c, 0xa07d664b,
      0x106af04f, 0xa07d064b, 0x106af04f, 0x8c7d064b, 0x106af28f],
     [0x0000007d, 0x00000000, 0x747c8701, 0x106af78f, 0x0c7e2659,
      0x106af54c, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000007e, 0x00000000, 0xa07c8701, 0x106af50f, 0xa07e8656,
      0x106af10f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000007f, 0x00000000, 0xa07d0701, 0x106af38f, 0x8c7d8656,
      0x106af60f, 0x5079074b, 0x106afc0e, 0x707aa6da, 0x106af88d],
     [0x00000080, 0x00000000, 0xa07ca70e, 0x106af4cf, 0x88800655,
      0x106afbcf, 0xa07ca72a, 0x106af4cf, 0x88800671, 0x106afbcf],
     [0x00000081, 0x00000000, 0xa07d470d, 0x106af48f, 0x88788655,
      0x106afbcf, 0xa07d4729, 0x106af48f, 0x88788671, 0x106afbcf],
     [0x00000082, 0x00000000, 0xa076470d, 0x106b01cf, 0xa0776655,
      0x106b018f, 0xa0764729, 0x106b01cf, 0xa0776671, 0x106b018f],
     [0x00000083, 0x00000000, 0x7479070d, 0x106afc0f, 0x8878e655,
      0x106afc4f, 0x74790729, 0x106afc0f, 0x8878e671, 0x106afc4f],
     [0x00000084, 0x00000000, 0x747fc70d, 0x106af38f, 0xa07b6655,
      0x106af60f, 0x747fc729, 0x106af38f, 0xa07b6671, 0x106af60f],
     [0x00000085, 0x00000000, 0x747f870d, 0x106aef0f, 0x887e8655,
      0x106af10f, 0x747f8729, 0x106aef0f, 0x887e8671, 0x106af10f],
     [0x00000086, 0x00000000, 0xc8798656, 0x106afb0b, 0xe077e5a0,
      0x106b000b, 0xf87cc64b, 0x106af48b, 0xe076a612, 0x106af44b],
     [0x00000087, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa07d4723, 0x106af38f, 0xa07e8718, 0x106af10f],
     [0x00000088, 0x00000000, 0x00000000, 0x00000000, 0x947de64b,
      0x106af54c, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00000089, 0x00000000, 0x00000000, 0x00000000, 0x60798596,
      0x106af54c, 0xa07ca6ed, 0x106af4cf, 0x88800635, 0x106afbcf],
     [0x00018964, 0x00000000, 0xe4d60776, 0x25e3858a, 0x98d48744,
      0x2582ee0b, 0x5cd48752, 0x2582ee0b, 0x5cd48752, 0x2582ee0b],
     [0x0000008b, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x747906ec, 0x106afc0f, 0x8878e635, 0x106afc4f],
     [0x0000008c, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa07da6ce, 0x106af2cf, 0x107d0610, 0x106af48c],
     [0x0000008d, 0x00004400, 0x00000000, 0x00000000, 0x947de59c,
      0x106aefcc, 0x9478e612, 0x106ae54c, 0x106c8597, 0x106afa0c],
     [0x0000008e, 0x00000000, 0x8c7d664b, 0x106af30f, 0x287d659c,
      0x106af30c, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00018969, 0x00000000, 0x28aaa67e, 0x1c72f94d, 0x28aaa67e,
      0x1c72f94d, 0x28aaa67e, 0x1c72f94d, 0x28aaa67e, 0x1c72f94d],
     [0x0001896a, 0x00000000, 0x28aaa67e, 0x1c72f94d, 0x28aaa67e,
      0x1c72f94d, 0x407705b4, 0x0f22f610, 0x407705b4, 0x0f22f610],
     [0x0001896b, 0x00000000, 0x74b945bd, 0x1fe2f78f, 0x74b945bd,
      0x1fe2f78f, 0x307f86bc, 0x1182f80c, 0x307f86bc, 0x1182f80c],
     [0x0001896c, 0x00000000, 0x74c985ea, 0x23a2f50f, 0x74c965ea,
      0x23a2f54f, 0xa4c94713, 0x23caf6cd, 0xa4c94713, 0x23caf6cd],
     [0x0001896d, 0x00000000, 0x108d8611, 0x14a2f4d0, 0x108d8611,
      0x14a2f4d0, 0x2cbc86fe, 0x209aff8b, 0x30bc86ff, 0x209aff8b],
     [0x00000094, 0x00000000, 0x8079459c, 0x106aee0f, 0x8c7e859c,
      0x106af6cf, 0x8c7b859c, 0x106af0cf, 0x8c7b2651, 0x106b00cf],
     [0x00000095, 0x02a04800, 0x8076e59c, 0x106afccf, 0x0877a59f,
      0x106afc0d, 0x1486864b, 0x106af6cc, 0x8c89c651, 0x106af6cf],
     [0x00000096, 0x00000000, 0x8c77659f, 0x106af94f, 0x8078a59c,
      0x106af80f, 0x8080059c, 0x106af64f, 0x8c78c59f, 0x106afe0f],
     [0x00000097, 0x00000000, 0x747a45a2, 0x106af98f, 0x748465a2,
      0x106af68f, 0x747a85a2, 0x106af54f, 0x10778596, 0x106b00cc],
     [0x01600098, 0x00000000, 0xf889c613, 0x106af6cb, 0xf876a59c,
      0x106af7cb, 0x807bc59f, 0x106af8cf, 0xfc7ce596, 0x106af40b],
     [0x00000099, 0x00000000, 0x747ec5a2, 0x106af08f, 0x287e8596,
      0x106af1cc, 0xa07ea651, 0x106af0cf, 0x1476a651, 0x106af14c],
     [0x0000009a, 0x00000000, 0xa079264b, 0x106b014f, 0x8c70c597,
      0x106b00cf, 0xa070e596, 0x106b0c4f, 0xa076e64b, 0x106b004f],
     [0x8000009b, 0x0000000b, 0xa077664b, 0x106af9cf, 0x107b464b,
      0x106aff0c, 0x147c064b, 0x106af0cc, 0x8c808596, 0x106af38f],
     [0x0000009c, 0x03400000, 0x28808596, 0x106af38c, 0x1479c59c,
      0x106aed4c, 0x147ea59c, 0x106ae44c, 0x1486a59c, 0x106af0cc],
     [0x0000009d, 0x00000000, 0xa079c596, 0x106afa4f, 0x8c78e59f,
      0x106afc0f, 0x807ca59f, 0x106af6cf, 0x8c7d05b8, 0x106af3cf],
     [0x0000009e, 0x03a00000, 0x287b664b, 0x106af70c, 0x8c7c2596,
      0x106af74f, 0x8c7c2675, 0x106af74f, 0x10896596, 0x106af74c],
     [0x0000009f, 0x00000000, 0x287b659c, 0x106af5cc, 0x107f259c,
      0x106af5cc, 0xa07b659c, 0x106af5cf, 0xa074e59c, 0x106b01cf],
     [0x000000a0, 0x04000000, 0x807ee596, 0x106af88f, 0xa07ee59f,
      0x106af88f, 0x1477e59f, 0x106b000c, 0x1478c651, 0x106afc8c],
     [0x021000a1, 0x00000000, 0x107e0613, 0x106af20c, 0x147a459c,
      0x106af98c, 0x9478c651, 0x106afb4b, 0xb47ce59c, 0x106b00cd],
     [0x000000a2, 0x00000000, 0x10800612, 0x106af4cc, 0x8c7ea596,
      0x106af0cf, 0x74796596, 0x106afb0f, 0x8c7a259b, 0x106af20f],
     [0x000000a3, 0x00000000, 0xa07d059b, 0x106af3cf, 0xa07e259b,
      0x106af1cf, 0xa07cc67a, 0x106af3cf, 0xa07b8596, 0x106af6cf],
     [0x022000a4, 0x00000000, 0x108b8596, 0x106af58c, 0x047d2596,
      0x106af54d, 0x107ac596, 0x106afa0c, 0x94800596, 0x106af68b],
     [0x000000a5, 0x00000000, 0xa078c651, 0x106afc8f, 0xa078c651,
      0x106afc8f, 0x8c78c64b, 0x106afc8f, 0x1078c654, 0x106aff8c],
     [0x000000a6, 0x04a00000, 0x70790657, 0x106afc0f, 0xa07a2596,
      0x106af98f, 0x747c65a2, 0x106af8cf, 0x80880631, 0x106af88f],
     [0x000000a7, 0x00000000, 0xa07a8596, 0x106af88f, 0x1480664b,
      0x106b02cc, 0x287da597, 0x106af24c, 0xa07ac596, 0x106afc0f],
     [0x026000a8, 0x00000000, 0x2889c613, 0x106af6cc, 0xa078c651,
      0x106afc8f, 0xa078c651, 0x106afc8f, 0x8c7bc64b, 0x106af30f],
     [0x000000a9, 0x04e00000, 0x147d264b, 0x106af40c, 0x047d864b,
      0x106af30d, 0x8c7cc64f, 0x106af18f, 0x147d6651, 0x106af24c],
     [0x000000aa, 0x00000000, 0x087a2611, 0x106af1cd, 0x14780650,
      0x106af44c, 0x8c7aa64b, 0x106af70f, 0xa07c064b, 0x106af70f],
     [0x000000ab, 0x00000000, 0x987e25cc, 0x106af1cf, 0x9c7185c6,
      0x106b0b0f, 0x287ea59c, 0x106aef8c, 0x1482a59c, 0x106aef8c],
     [0x000000ac, 0x00000000, 0x3c5e8680, 0x106aef95, 0x3c5e8683,
      0x106aef95, 0x74558680, 0x106af413, 0x3c5ce629, 0x106af215],
     [0x000000ad, 0x00000000, 0x305d6626, 0x106af2d5, 0x74640626,
      0x106af2d3, 0x3c5ea62a, 0x106af355, 0x307e2625, 0x106af1d5],
     [0x000000ae, 0x05000000, 0x745dc626, 0x106af153, 0x0467064b,
      0x106b1fd7, 0x1c75064b, 0x106b0a57, 0x70698690, 0x106b1b95],
     [0x000000af, 0x00000000, 0xf86ac64b, 0x106b1b13, 0x5c69864b,
      0x106b1b94, 0xa06ae4fc, 0x106b180f, 0xa06ae4fc, 0x106b180f],
     [0x000000b0, 0x00000000, 0x0077e6a4, 0x106afe55, 0x0077e6a4,
      0x106afe55, 0xb473c66a, 0x106b0696, 0xb473a66a, 0x106b0696],
     [0x000000b1, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x4073a66c, 0x106b0717, 0x30716667, 0x106b0b97],
     [0x000000b2, 0x00000000, 0x8863264b, 0x106b2795, 0xa876e629,
      0x106b0017, 0x1871664b, 0x106b1e97, 0x1867a64b, 0x106b0b17],
     [0x000000b3, 0x00000000, 0x286323f3, 0x106b278c, 0x00000000,
      0x00000000, 0x8c66a3a8, 0x106b090c, 0x8c7263a8, 0x106b208c],
     [0x000000b4, 0x00000000, 0x8c6d459c, 0x106b138f, 0xd86d459c,
      0x106b1393, 0xc86ae586, 0x106b1811, 0xc86ae586, 0x106b1811],
     [0x000000b5, 0x00000000, 0x8073850e, 0x106b06d0, 0x8473850f,
      0x106b06d0, 0xa071a50e, 0x106b0acf, 0x8c77e51c, 0x106afe11],
     [0x000000b6, 0x00000000, 0x68754667, 0x106b0357, 0x9c68a64b,
      0x106b2957, 0x046a666f, 0x106b1917, 0xa073c420, 0x106b1bcc],
     [0x000000b7, 0x00000000, 0x4c75064b, 0x106b0417, 0x8880e667,
      0x106b0357, 0x9c6de59d, 0x106ae5d2, 0xec716640, 0x106b0b16],
     [0x000000b8, 0x00000000, 0x685dc626, 0x106af113, 0x3c5ba680,
      0x106af555, 0x305b262a, 0x106af715, 0x3c5d6626, 0x106af195],
     [0x000000b9, 0x00000000, 0x3c5ba683, 0x106af555, 0x1884866e,
      0x106ae58f, 0x1884866e, 0x106ae58f, 0x1884866e, 0x106ae58f],
     [0x000000ba, 0x00000000, 0x1884866e, 0x106ae58f, 0x1484866e,
      0x106ae58f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000583d, 0x00000000, 0x64ac070b, 0x1f43000f, 0x18ae870d,
      0x1f43034f, 0x18b1c72b, 0x1f43048f, 0x44b30721, 0x1f430ccf],
     [0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000088eb, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x1065e506, 0x09daee13],
     [0x000000be, 0x00000000, 0x00000000, 0x00000000, 0x5c7d6640,
      0x106b0715, 0x5c738640, 0x106af355, 0x00000000, 0x00000000],
     [0x00018999, 0x00000000, 0x148fe649, 0x156af68e, 0xfc8fe643,
      0x156af68d, 0xfc8ee649, 0x156af84d, 0x148fe643, 0x156af68e],
     [0x000000c0, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xb8800675, 0x106aee17],
     [0x000088ed, 0x00000000, 0x98ab66e6, 0x1cf2fbd8, 0x54ab6455,
      0x1cf2fbce, 0xccab65d7, 0x1cf2fbcf, 0x00000000, 0x00000000],
     [0x000000c2, 0x00000000, 0x00000000, 0x00000000, 0x606c06bf,
      0x106b1617, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000000c3, 0x00000000, 0x00000000, 0x00000000, 0x2c63a65d,
      0x106b26d7, 0x2c6d065d, 0x106b13d7, 0x1c71c64b, 0x106b03d7],
     [0x000000c4, 0x00000000, 0x00000000, 0x00000000, 0x2c75466c,
      0x106b0357, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0001899f, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x64ca06ef, 0x2512ff8b, 0x00000000, 0x00000000],
     [0x000189a0, 0x00000000, 0x44aa4685, 0x2043188f, 0x44aa4685,
      0x2043188f, 0x44aa4685, 0x2043188f, 0x44aa4685, 0x2043188f],
     [0x000189a1, 0x00000000, 0x44aa4685, 0x2043188f, 0x44aa4685,
      0x2043188f, 0xf8aca697, 0x2043140e, 0xf8aca697, 0x2043140e],
     [0x000000c8, 0x00000000, 0x00000000, 0x00000000, 0x1063440a,
      0x106afa4c, 0x1079c40a, 0x106b278c, 0x00000000, 0x00000000],
     [0x000000c9, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xbc6683a7, 0x106b214b, 0x00000000, 0x00000000],
     [0x000000ca, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x6c718369, 0x106b0b0a, 0x4877036b, 0x106affca],
     [0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000000cd, 0x00000000, 0x00000000, 0x00000000, 0xdc74a4f3,
      0x106b04d2, 0x00000000, 0x00000000, 0x5c74a568, 0x106b04d1],
     [0x000000ce, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x6c716368, 0x106b0b0a, 0xf4716369, 0x106b0ac9],
     [0x000000cf, 0x00000000, 0xfc7b236e, 0x106af80a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000189aa, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x6497862f, 0x17d2fa8e, 0x6497862f, 0x17d2fa8e],
     [0x000189ab, 0x00000000, 0xd87f65cf, 0x11aaf98f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000189ac, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x8481c666, 0x12dafe4d, 0x00000000, 0x00000000],
     [0x000000d3, 0x00000000, 0x00000000, 0x00000000, 0x047f43e0,
      0x106aef4a, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000061f7, 0x00000000, 0xe0b64704, 0x1f42f70e, 0xccb826fe,
      0x1f42f9ce, 0xf0af8703, 0x1f43144e, 0xa8b80716, 0x1f42f90e],
     [0x000088f7, 0x00000000, 0x10bb844c, 0x1f42ee0e, 0x70bb86e4,
      0x1f42ee18, 0xd8bb84be, 0x1f42ee0d, 0x70bb8764, 0x1f42ee18],
     [0x000061f8, 0x00000000, 0x10b4a711, 0x1f42f84f, 0x00b5071c,
      0x1f42fbcf, 0x90b3e71e, 0x1f42f68e, 0xd0b2072f, 0x1f42f8ce],
     [0x000088f8, 0x00000000, 0xd8bb844c, 0x1f42ee0d, 0x70bb86f2,
      0x1f42ee18, 0xccc6c616, 0x23c2fb8e, 0xd8a60690, 0x1c73028c],
     [0x000000d8, 0x00000000, 0x00000000, 0x00000000, 0x8c94c667,
      0x106b26d6, 0x047e03e0, 0x106af20a, 0x00000000, 0x00000000],
     [0x000088f9, 0x00000000, 0x10c16506, 0x2232f9d3, 0x50bae5f7,
      0x1fd2f3cf, 0xc0ab659a, 0x1cf2fbd0, 0x1c9a2646, 0x18f31e8e],
     [0x000061fa, 0x00000000, 0x74afe721, 0x1f42fc4e, 0x00000000,
      0x00000000, 0x64b5871c, 0x1f42fccf, 0x50b446fa, 0x1f42fe4e],
     [0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000061fb, 0x00000000, 0x9cb7e711, 0x1f42fbce, 0x38b3e6f1,
      0x1f42f70f, 0x58b1c726, 0x1f42fecf, 0xecb86731, 0x1f42fcce],
     [0x000000dd, 0x00000000, 0x0462464c, 0x106b1657, 0x746803e8,
      0x106b21cd, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000000de, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xc06383b2, 0x106b270c, 0x00000000, 0x00000000],
     [0x000000df, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x7867c596, 0x106b1b4d, 0x00000000, 0x00000000],
     [0x000061fd, 0x00000000, 0xa4b0e71f, 0x1f43020e, 0x00000000,
      0x00000000, 0x48b246d6, 0x1f42fcd0, 0xa4b1c711, 0x1f42face],
     [0x000000e1, 0x00000000, 0x0467064b, 0x106b1fd7, 0x046e064b,
      0x106b1197, 0xa07f4673, 0x106af40f, 0x64670596, 0x106b1fd4],
     [0x000000e2, 0x00000000, 0xa0800667, 0x106ad90f, 0xa0800667,
      0x106ad90f, 0xa07fe667, 0x106aeb4f, 0x00000000, 0x00000000],
     [0x000000e3, 0x00000000, 0x707fa672, 0x106ae4cf, 0x00000000,
      0x00000000, 0xa07de672, 0x106ade4f, 0xa07ea672, 0x106ade4f],
     [0x000000e4, 0x00000000, 0x8c6b464c, 0x106b020f, 0xa07ca673,
      0x106af4cf, 0xa07ac667, 0x106af38f, 0xa07ba667, 0x106af58f],
     [0x000000e5, 0x00000000, 0xa07bc673, 0x106af68f, 0xa07d6667,
      0x106af44f, 0xa07aa667, 0x106af9cf, 0xa07d6667, 0x106af30f],
     [0x000000e6, 0x00000000, 0x70792672, 0x106afc0f, 0xa0762667,
      0x106b018f, 0xa07c6667, 0x106af44f, 0xa07c6673, 0x106af50f],
     [0x000000e7, 0x00000000, 0xa07de667, 0x106af24f, 0xa07c8667,
      0x106af4cf, 0xa07c0667, 0x106af5cf, 0x70792672, 0x106afc0f],
     [0x000000e8, 0x00000000, 0xa07d6667, 0x106af30f, 0xa07a8667,
      0x106af44f, 0x00000000, 0x00000000, 0xa07b0667, 0x106af80f],
     [0x000000e9, 0x00000000, 0xa07cc667, 0x106af48f, 0xa07b4672,
      0x106af74f, 0xa07b0667, 0x106af80f, 0xa07ca667, 0x106af44f],
     [0x000000ea, 0x00000000, 0xa07b6667, 0x106af74f, 0xa07c0672,
      0x106af5cf, 0xa07626f6, 0x106b018f, 0xa07b46f6, 0x106af74f],
     [0x000000eb, 0x00000000, 0x8c80464c, 0x106af8cf, 0x747a864c,
      0x106af8cf, 0xfc7ac64c, 0x106af2cb, 0x8c6b464c, 0x106b13cf],
     [0x000000ec, 0x00000000, 0x8c7a8683, 0x106af8cf, 0x8c80459c,
      0x106af8cf, 0xfc7a866c, 0x106af8cb, 0xdc7a859c, 0x106af54c],
     [0x000000ed, 0x00000000, 0x8c7a4662, 0x106af98f, 0x747a85a2,
      0x106af8cf, 0x8c7a4672, 0x106af98d, 0xfc7ac5a2, 0x106af2cb],
     [0x000000ee, 0x00000000, 0x8c7a466c, 0x106af98f, 0x8c6b459c,
      0x106b178f, 0x687a65a4, 0x106af90f, 0x8c7c6669, 0x106af54f],
     [0x000000ef, 0x00000000, 0x147f85a1, 0x106af80c, 0x8c7a859f,
      0x106af5cf, 0x8c7a4672, 0x106af98d, 0x8c7ae59c, 0x106af84f],
     [0x000000f0, 0x00000000, 0x8c7ba596, 0x106af50f, 0x287a859c,
      0x106af88c, 0xe47a859c, 0x106af8cd, 0x8c79259c, 0x106af78f],
     [0x000000f1, 0x00000000, 0x8c7a0596, 0x106af5cf, 0x8c7a85a1,
      0x106af8cf, 0xfc7b65a2, 0x106af74b, 0x0c7b259d, 0x106af7cc],
     [0x000000f2, 0x00000000, 0xfc7a8672, 0x106af8cb, 0x8c7c05a1,
      0x106af60f, 0x8c70e667, 0x106aed4f, 0x8c7a8666, 0x106af8cf],
     [0x000000f3, 0x00000000, 0x8c7ae64c, 0x106af84f, 0x8c7a864c,
      0x106af8cf, 0x8c7c064c, 0x106af60f, 0x00000000, 0x00000000],
     [0x000000f4, 0x00000000, 0x00000000, 0x00000000, 0x8c7a466c,
      0x106af98f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000189cf, 0x00000000, 0x00000000, 0x00000000, 0xf08cc64c,
      0x1552f6cd, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000000f6, 0x00000000, 0xa07bc66c, 0x106af6cf, 0xc478c647,
      0x106afc4e, 0x347d0667, 0x106afa8f, 0x5c7ae5a2, 0x106af9cf],
     [0x000000f7, 0x00000000, 0xa07bc667, 0x106af4cf, 0x2878c597,
      0x106afc4c, 0x00000000, 0x00000000, 0x0c78e604, 0x106afc4e],
     [0x000000f8, 0x00000000, 0xa07cc682, 0x106aea8f, 0x747a8667,
      0x106af8cf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000585c, 0x00000000, 0x4cb10706, 0x1f43018f, 0xa0b06723,
      0x1f43040e, 0xfcae4718, 0x1f43000e, 0x3cb78700, 0x1f42fecf],
     [0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000585d, 0x00000000, 0x18aee70b, 0x1f42fe0f, 0xb8b26738,
      0x1f4302ce, 0x78b04741, 0x1f42f98e, 0x9cb82735, 0x1f42ffce],
     [0x0000620b, 0x00000000, 0x20b44702, 0x1f42f90f, 0x00000000,
      0x00000000, 0x78b3e70f, 0x1f42f7ce, 0x48af4736, 0x1f42ff4e],
     [0x000000fd, 0x00000000, 0x00000000, 0x00000000, 0x8c79c59c,
      0x106afacf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000620c, 0x00000000, 0x38b50738, 0x1f42f9ce, 0xd8afc72d,
      0x1f4310ce, 0xdcb1e705, 0x1f42fa4e, 0x00b4c706, 0x1f42f74f],
     [0x0000585f, 0x00000000, 0xe0ad472e, 0x1f430d0e, 0x00000000,
      0x00000000, 0x40b16712, 0x1f43010f, 0x00000000, 0x00000000],
     [0x00000100, 0x00000000, 0xa07d470f, 0x106af48f, 0xa07d471b,
      0x106af48f, 0x747e264b, 0x106af38f, 0xa07aa70f, 0x106af94f],
     [0x00000101, 0x00000000, 0x747b0656, 0x106af80f, 0x74798656,
      0x106afb0f, 0xa076464b, 0x106b01cf, 0xa076471b, 0x106b01cf],
     [0x00000102, 0x00000000, 0x747a464b, 0x106affcf, 0x747ca64b,
      0x106af14f, 0xa07ca64b, 0x106af08f, 0xa07f064b, 0x106af40f],
     [0x00000103, 0x00000000, 0xa07c670f, 0x106af48f, 0xa07da70f,
      0x106af28f, 0x747d472d, 0x106af44f, 0x087da64b, 0x106af28d],
     [0x00000104, 0x00000000, 0xa07ca657, 0x106af4cf, 0xa07ac64b,
      0x106af38f, 0xa07ac64b, 0x106af3cf, 0xa07aa64b, 0x106af94f],
     [0x00000105, 0x00000000, 0x087ea64b, 0x106af10d, 0xa07d464b,
      0x106af48f, 0xa080064b, 0x106aee0f, 0x747a6656, 0x106afc0f],
     [0x00000106, 0x00000000, 0xa07da64b, 0x106af28f, 0xa07da72d,
      0x106af28f, 0xa07c664b, 0x106af48f, 0x747da64b, 0x106af2cf],
     [0x00000107, 0x00000000, 0xa07de64b, 0x106af24f, 0xa07da64b,
      0x106af28f, 0x74790656, 0x106afc0f, 0xa07da64b, 0x106af28f],
     [0x00000108, 0x00000000, 0xa07a864b, 0x106af48f, 0x747b0656,
      0x106af80f, 0xa07cc64b, 0x106af48f, 0x747d464b, 0x106af44f],
     [0x00000109, 0x00000000, 0xa07da64b, 0x106af2cf, 0xa07c864b,
      0x106af4cf, 0x087e864b, 0x106af28d, 0xa07da64b, 0x106af28f],
     [0x0000010a, 0x00000000, 0xa07ee64b, 0x106af08f, 0x087f664b,
      0x106af08d, 0xa07be64b, 0x106af30f, 0xa07e864b, 0x106af0cf],
     [0x0000010b, 0x00000000, 0xa078a64b, 0x106af94f, 0x747b0656,
      0x106af7cf, 0x747f2656, 0x106aee0f, 0xa07dc64b, 0x106af54f],
     [0x0000010c, 0x00000000, 0x888005a0, 0x106afbcf, 0x8c78e64b,
      0x106afc0f, 0xa0786597, 0x106af14f, 0xa0790596, 0x106af94f],
     [0x0000010d, 0x00000000, 0x787ec596, 0x106af04d, 0x887885a0,
      0x106afbcf, 0xa07fc596, 0x106aee4f, 0x8c78059f, 0x106afb0f],
     [0x0000010e, 0x00000000, 0xa07dc596, 0x106af24f, 0xa07dc678,
      0x106af24f, 0xa07e0596, 0x106af24f, 0x807dc596, 0x106af28f],
     [0x0000010f, 0x00000000, 0xa07ec596, 0x106af08f, 0xa07dc596,
      0x106af24f, 0x8878e5a0, 0x106afc4f, 0xa07dc596, 0x106af24f],
     [0x00000110, 0x00000000, 0x287b859d, 0x106af10c, 0x8878c5a0,
      0x106b004f, 0xa07cc596, 0x106af48f, 0x107d0597, 0x106af48c],
     [0x00000111, 0x00000000, 0x287f864b, 0x106aef0c, 0xa07c6596,
      0x106af4cf, 0x787ee596, 0x106af24d, 0xa07dc596, 0x106af24f],
     [0x00000112, 0x00000000, 0xa07fa596, 0x106aeecf, 0x78806596,
      0x106aeecd, 0xa079c596, 0x106af2cf, 0xa07f2596, 0x106aefcf],
     [0x00000113, 0x00000000, 0xa078c596, 0x106af90f, 0x8c76e59f,
      0x106afc8f, 0x8c7fc59f, 0x106aee8f, 0xa07e8596, 0x106af20f],
     [0x00000114, 0x00000000, 0x88788667, 0x106afbcf, 0x8878864a,
      0x106afbcf, 0x287ca64b, 0x106aeb8c, 0xa07ac667, 0x106af9cf],
     [0x00000115, 0x00000000, 0x8c78c59f, 0x106b000f, 0x8877e5a0,
      0x106b000f, 0xa077664c, 0x106b018f, 0xa077664b, 0x106b018f],
     [0x00000116, 0x00000000, 0x106c864c, 0x106afa0c, 0x807d2596,
      0x106af14f, 0xa07d2596, 0x106aef4f, 0xa07ec64b, 0x106aeb8f],
     [0x00000117, 0x00000000, 0xa07e0667, 0x106af24f, 0xa07dc667,
      0x106af24f, 0x107d0678, 0x106af48c, 0x787dc596, 0x106af24d],
     [0x00000118, 0x00000000, 0x747c8656, 0x106af54f, 0x8c7fa59f,
      0x106aef0f, 0xa07b869e, 0x106af38f, 0xa0786683, 0x106af28f],
     [0x00000119, 0x00000000, 0x747cc656, 0x106aee0f, 0x8c7ae59f,
      0x106aee8f, 0xa07ce657, 0x106af44f, 0xa07d259d, 0x106af38f],
     [0x0000011a, 0x00000000, 0xa07de657, 0x106aee0f, 0xa07e259d,
      0x106aec8f, 0xa07ee64b, 0x106af00f, 0xa07ec596, 0x106af08f],
     [0x0000011b, 0x00000000, 0xa07f264b, 0x106aee0f, 0xa07f2596,
      0x106aeb4f, 0x147b26e0, 0x106af10c, 0x1477861d, 0x106af84c],
     [0x0000011c, 0x00000000, 0xa07b464b, 0x106af74f, 0x2881064b,
      0x106aec8c, 0x70790656, 0x106afc0f, 0x747a25a2, 0x106af9cf],
     [0x0000011d, 0x00000000, 0x807dc656, 0x106af20f, 0x807de59c,
      0x106af34f, 0x807dc70f, 0x106aeecf, 0x807e0667, 0x106aed4f],
     [0x0000011e, 0x00000000, 0x747d864b, 0x106af30f, 0x74756650,
      0x106b034f, 0xbc7a4684, 0x106af98e, 0xd87aa5cb, 0x106af8ce],
     [0x0000011f, 0x00000000, 0x747ca726, 0x106aeb0f, 0x8c7fa672,
      0x106aef0f, 0x747c871c, 0x106af54f, 0x8c7fa667, 0x106aef0f],
     [0x00000120, 0x00000000, 0xfc7fa656, 0x106af80b, 0x147b45a4,
      0x106b000c, 0x047b64b6, 0x106afe4e, 0x2c7a4672, 0x106af997],
     [0x00000121, 0x00000000, 0x8883a672, 0x106af096, 0x2c6dc656,
      0x106b11d7, 0x2c6e0656, 0x106b1257, 0x00000000, 0x00000000],
     [0x00000122, 0x00000000, 0x289006de, 0x106ace4b, 0xa899e73e,
      0x106aba89, 0x087e872d, 0x106af28d, 0x787ee678, 0x106af24d],
     [0x00000123, 0x00000000, 0xa07b864b, 0x106af3cf, 0xa0786667,
      0x106aef8f, 0xa07a864b, 0x106af44f, 0x2880659c, 0x106af0cc],
     [0x00000124, 0x00000000, 0xa07aa6f2, 0x106af94f, 0xa07925da,
      0x106af94f, 0xa07ae64b, 0x106aec0f, 0xa0790596, 0x106af94f],
     [0x00000125, 0x00000000, 0x107ac64b, 0x106af38c, 0x107c4596,
      0x106af94c, 0x0880464b, 0x106aee0d, 0x787fe596, 0x106aee4d],
     [0x00000126, 0x00000000, 0xf07a6656, 0x106afc0b, 0xf078059f,
      0x106afb0b, 0x087c864b, 0x106af44d, 0x787e0596, 0x106af24d],
     [0x00000127, 0x00000000, 0xa07cc64b, 0x106af30f, 0xa07e6596,
      0x106af10f, 0xa07c664b, 0x106aea4f, 0xa07e064b, 0x106af24f],
     [0x00000128, 0x00000000, 0xa07d264b, 0x106af30f, 0xa07e6596,
      0x106af2cf, 0x087e864b, 0x106af28d, 0x787ee596, 0x106af24d],
     [0x00000129, 0x00000000, 0xa07da64b, 0x106af0cf, 0xa07dc597,
      0x106af08f, 0x107fc64b, 0x106aed4c, 0x10814596, 0x106aee8c],
     [0x0000012a, 0x00000000, 0xfc7da656, 0x106afc0d, 0xfc79659f,
      0x106afc0d, 0xf07b2656, 0x106af80b, 0xf078a59f, 0x106b000b],
     [0x0000012b, 0x00000000, 0x087ce64b, 0x106af48d, 0x787cc596,
      0x106af44d, 0xa07da64b, 0x106af2cf, 0x287e2596, 0x106af1cc],
     [0x0000012c, 0x00000000, 0xa07da64b, 0x106af28f, 0x287e2596,
      0x106af1cc, 0x087d464b, 0x106af4cd, 0x787d2596, 0x106af4cd],
     [0x0000012d, 0x00000000, 0x087f464b, 0x106af2cd, 0x787fc596,
      0x106aeecd, 0x087e864b, 0x106af28d, 0x787ee596, 0x106af24d],
     [0x0000012e, 0x00000000, 0xa07da64b, 0x106af28f, 0xa07dc596,
      0x106af24f, 0xa07da64b, 0x106af28f, 0xa07e864b, 0x106af10f],
     [0x0000012f, 0x00000000, 0x747ee656, 0x106af24f, 0x8c79e59f,
      0x106af3cf, 0x187ee656, 0x106af24c, 0x0c79e59f, 0x106af3cc],
     [0x00000130, 0x00000000, 0xa076464b, 0x106b01cf, 0xa080071b,
      0x106aee0f, 0xa07fc667, 0x106aee4f, 0x107b264b, 0x106af44c],
     [0x00000131, 0x00000000, 0x147b6596, 0x106af24c, 0x087da64b,
      0x106af2cd, 0x787ec596, 0x106af28d, 0x147da64b, 0x106af28c],
     [0x00000132, 0x00000000, 0x147dc596, 0x106af24c, 0x087e664b,
      0x106af28d, 0x787ec596, 0x106af24d, 0x087da64b, 0x106af28d],
     [0x00000133, 0x00000000, 0x787dc596, 0x106af24d, 0x087e864b,
      0x106af24d, 0x787fa596, 0x106af08d, 0x00000000, 0x00000000],
     [0x00000134, 0x00000000, 0xa07ca71b, 0x106af4cf, 0x88800667,
      0x106afbcf, 0xa07ca71b, 0x106af4cf, 0x8880064b, 0x106afbcf],
     [0x00000135, 0x00000000, 0xa07d064b, 0x106af38f, 0x8c7d859f,
      0x106af60f, 0xa07d471b, 0x106af48f, 0x88788667, 0x106afbcf],
     [0x00000136, 0x00000000, 0x747d2656, 0x106af0cf, 0x8c77a59c,
      0x106af8cf, 0x747d671b, 0x106af08f, 0x8c77a64b, 0x106af8cf],
     [0x00000137, 0x00000000, 0xa080071b, 0x106aee0f, 0xa07fc64b,
      0x106aee4f, 0x747a671b, 0x106afc0f, 0x8c78064a, 0x106afb0f],
     [0x00000138, 0x00000000, 0x747b264b, 0x106af78f, 0x1079e596,
      0x106afa4c, 0xa07da71b, 0x106af28f, 0xa07dc656, 0x106af24f],
     [0x00000139, 0x00000000, 0xa07da71b, 0x106af28f, 0xa07dc64a,
      0x106af24f, 0x7479071b, 0x106afc0f, 0x8878e64a, 0x106afc4f],
     [0x0000013a, 0x00000000, 0x70790656, 0x106afc0f, 0x8c78e59f,
      0x106afc0f, 0x7079071b, 0x106afc0f, 0x8c78e64a, 0x106afc0f],
     [0x0000013b, 0x00000000, 0x747b071b, 0x106af7cf, 0x8c76e64a,
      0x106afc4f, 0x747d471b, 0x106af44f, 0x107d0656, 0x106af48c],
     [0x0000013c, 0x00000000, 0x747d471b, 0x106af44f, 0x107d064b,
      0x106af48c, 0x747f670f, 0x106af44f, 0x107f4667, 0x106af48c],
     [0x0000013d, 0x00000000, 0xa07da71b, 0x106af28f, 0xa07dc64a,
      0x106af24f, 0x087aa64b, 0x106af94d, 0x78790596, 0x106af94d],
     [0x0000013e, 0x00000000, 0xa07e871b, 0x106af0cf, 0xa07f264b,
      0x106aefcf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000013f, 0x00000000, 0x1478e64b, 0x106af4cc, 0x147aa596,
      0x106af4cc, 0xa07e864b, 0x106af10f, 0xa07c6596, 0x106af4cf],
     [0x0000622d, 0x00000000, 0xf0b7a718, 0x1f42f5ce, 0x54b4a70a,
      0x1f42fbcf, 0x1cb6a721, 0x1f42fa8e, 0x94b7a6ff, 0x1f42f98f],
     [0x0000892d, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x0000622e, 0x00000000, 0xacb406ff, 0x1f42f68e, 0x44afa6f6,
      0x1f42fa8f, 0x34ac270c, 0x1f42f88f, 0x00000000, 0x00000000],
     [0x0000892e, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x00000144, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x147da64b, 0x106af2cc, 0x147dc596, 0x106af28c],
     [0x0000892f, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x00006230, 0x00000000, 0x6cae86fb, 0x1f42ff8f, 0x74b2a744,
      0x1f42fd4e, 0x64b48725, 0x1f430ece, 0xf0b76728, 0x1f42f68e],
     [0x00008930, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x00006231, 0x00000000, 0x18b7a70d, 0x1f42f58f, 0x14b2670e,
      0x1f43040f, 0xb4ad26ff, 0x1f42fb8f, 0x00000000, 0x00000000],
     [0x00008931, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x00006232, 0x00000000, 0x00000000, 0x00000000, 0xf8b346fa,
      0x1f42fa8e, 0x38b1074c, 0x1f43014e, 0xb8b5c702, 0x1f42fa8e],
     [0x00008932, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x00006233, 0x00000000, 0x64b1c6f6, 0x1f42f88f, 0x28b14706,
      0x1f42f78f, 0x94b1470e, 0x1f42fa8f, 0xb8b2c72d, 0x1f43068e],
     [0x00008933, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x00006234, 0x00000000, 0x7ca78702, 0x1f42f68e, 0x00000000,
      0x00000000, 0x88b0272c, 0x1f42ff4e, 0x00000000, 0x00000000],
     [0x00008934, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x00006235, 0x00000000, 0x78b5c739, 0x1f43074e, 0x8cb90706,
      0x1f42fc4f, 0xc8b7a702, 0x1f42f58e, 0x48b88715, 0x1f42fa8f],
     [0x00008935, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x00006236, 0x00000000, 0x88b82742, 0x1f42fd8e, 0xb8b4c70e,
      0x1f42f68f, 0x64b4e731, 0x1f430d0e, 0x54af8736, 0x1f430b4e],
     [0x00008936, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00008937, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x00006238, 0x00000000, 0x00000000, 0x00000000, 0x58b626fb,
      0x1f42f78f, 0xe0b3470d, 0x1f42fa8f, 0x74b5c6ff, 0x1f42fd8f],
     [0x00008938, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x00006239, 0x00000000, 0xdcb3e717, 0x1f42f68e, 0xecacc6eb,
      0x1f42f98e, 0x00000000, 0x00000000, 0x78b34714, 0x1f42f78f],
     [0x00008939, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x0000623a, 0x00000000, 0x5cb7473e, 0x1f42f3ce, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xf8adc705, 0x1f42fa8e],
     [0x0000893a, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x00000000, 0x00000000],
     [0x0000623b, 0x00000000, 0x74b4c716, 0x1f42fa8f, 0x00000000,
      0x00000000, 0x64afc6ff, 0x1f42f78f, 0x68ae0702, 0x1f42f98f],
     [0x0000588e, 0x00000000, 0xcca006f7, 0x1f43038e, 0x00000000,
      0x00000000, 0x0cb526ee, 0x1f42f750, 0x60b2c738, 0x1f42fc8f],
     [0x0000623c, 0x00000000, 0xc4b1a706, 0x1f42f88f, 0xd8b7a730,
      0x1f42f78e, 0x94b2c706, 0x1f42ff8f, 0x88b46742, 0x1f43048e],
     [0x0000588f, 0x00000000, 0x00000000, 0x00000000, 0x7cae273a,
      0x1f42fd8e, 0x60b2c738, 0x1f42fc8f, 0x64b0e73d, 0x1f42f70e],
     [0x0000623d, 0x00000000, 0x78b6e744, 0x1f43098e, 0x00000000,
      0x00000000, 0xccb36706, 0x1f42f68e, 0xe4b7270c, 0x1f42f68e],
     [0x00005890, 0x00000000, 0x8cb28715, 0x1f43014e, 0xb4a7e718,
      0x1f42f20e, 0xf09f4723, 0x1f43080e, 0xd4a5670f, 0x1f43064e],
     [0x0000623e, 0x00000000, 0xf8b82719, 0x1f42f98e, 0x88b36735,
      0x1f4303ce, 0x2cb6470e, 0x1f42f68f, 0xd4afa71d, 0x1f430ece],
     [0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000623f, 0x00000000, 0xa4b3a70a, 0x1f42fb8e, 0x64b4872f,
      0x1f43080e, 0xc4b06712, 0x1f42f88f, 0x00000000, 0x00000000],
     [0x00005892, 0x00000000, 0xb8a9873e, 0x1f42f88e, 0x50ab273c,
      0x1f42fb8e, 0x5cabe735, 0x1f43070f, 0x88b10727, 0x1f43068e],
     [0x00018a40, 0x00000000, 0x84ab65aa, 0x1cf2fc10, 0x84ab65aa,
      0x1cf2fbd0, 0xecab660f, 0x1cf2fbce, 0xecab660f, 0x1cf2fbce],
     [0x00018a41, 0x00000000, 0xecafc60f, 0x1cf2f30e, 0x84ab65aa,
      0x1cf2fbd0, 0xecab660f, 0x1cf2fbce, 0xecab660f, 0x1cf2fbce],
     [0x00018a42, 0x00000000, 0x3077067e, 0x0ffafccd, 0x3077067e,
      0x0ffafccd, 0x30a9467e, 0x1cf2ffcd, 0x30a9667e, 0x1cf3000d],
     [0x00018a43, 0x00000000, 0x84ab65a9, 0x1cf2fbd0, 0x84ab65a9,
      0x1cf2fbd0, 0x84ab65a9, 0x1cf2fbd0, 0x84ab65a9, 0x1cf2fbd0],
     [0x00018a44, 0x00000000, 0x84e825a9, 0x2c22fbd0, 0x84aba5a9,
      0x1cf2fbd0, 0x3077067e, 0x0ffafccd, 0x3077067e, 0x0ffafccd],
     [0x00008942, 0x00000000, 0xcc98653c, 0x1622eb53, 0x00000000,
      0x00000000, 0xe46f4776, 0x16233d4a, 0x00000000, 0x00000000],
     [0x00018a46, 0x00000000, 0x84ac05aa, 0x1cf2fa90, 0x84ab65a9,
      0x1cf2fbd0, 0x84ab65a9, 0x1cf2fbd0, 0x84ab65a9, 0x1cf2fbd0],
     [0x00018a47, 0x00000000, 0x84ab65a9, 0x1cf2fbd0, 0x84ab65a9,
      0x1cf2fbd0, 0x84ab65a9, 0x1cf2fbd0, 0x84ab65aa, 0x1cf2fbd0],
     [0x00018a48, 0x00000000, 0x84ab65aa, 0x1cf2fbd0, 0x30ab667e,
      0x1cf2fbcd, 0x30aba67c, 0x1cf2fbcd, 0x30ab667e, 0x1cf2fbcd],
     [0x00018a49, 0x00000000, 0x30ab667e, 0x1cf2fbcd, 0x30ab667e,
      0x1cf2fbcd, 0x30ab667e, 0x1cf2fbcd, 0x30aba67e, 0x1cf2fbcd],
     [0x00006245, 0x00000000, 0x44b1e6ee, 0x1f42fd8f, 0x8cb74716,
      0x1f42f4ce, 0x80b886fd, 0x1f42fc4e, 0xe0b506f3, 0x1f42f98e],
     [0x00008945, 0x00000000, 0xcc988776, 0x16233d53, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00018a4c, 0x00000000, 0x38aba67e, 0x1cf2fbcd, 0x30ab467e,
      0x1cf2fb8d, 0x30ab667e, 0x1cf2fbcd, 0x84ab65a9, 0x1cf2fbd0],
     [0x00018a4d, 0x00000000, 0xa0a2261a, 0x1cf3114f, 0xa0a2261a,
      0x1cf3114f, 0x148fa5d5, 0x188303cd, 0x1495a5d5, 0x18830fcd],
     [0x00018a4e, 0x00000000, 0x3c726679, 0x0ffaff8d, 0x3c75a679,
      0x0ffb060d, 0xd8aac58f, 0x1cf2ff50, 0xd8a9a58f, 0x1cf2fd10],
     [0x00008947, 0x00000000, 0xe4986776, 0x16233d4a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00018a50, 0x00000000, 0xd0a6c6fc, 0x1cf3050d, 0xd0a6c6fc,
      0x1cf3050d, 0x30ab663e, 0x1cf2fbce, 0x30ab663e, 0x1cf2fbce],
     [0x00018a51, 0x00000000, 0x30ab663e, 0x1cf2fbce, 0x8cab65a9,
      0x1cf2fbce, 0x8cab65a9, 0x1cf2fbce, 0x84ab65a9, 0x1cf2fbd0],
     [0x00018a52, 0x00000000, 0x84ad85a9, 0x1cf2f790, 0x3876e67e,
      0x0ffafd0d, 0xacad859f, 0x1cf2f790, 0xacad859f, 0x1cf2f790],
     [0x00008949, 0x00000000, 0xe46f4776, 0x1622eb4a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00018a54, 0x00000000, 0xacad8506, 0x1cf2f790, 0x3062867e,
      0x0ffaff4d, 0x88ab65a8, 0x1cf2fbd0, 0x88ab65a8, 0x1cf2fbd0],
     [0x00018a55, 0x00000000, 0x3076e67e, 0x0ffafd0d, 0x3076e67e,
      0x0ffafd0d, 0x88ab65a8, 0x1cf2fbd0, 0x88ab65a8, 0x1cf2fbd0],
     [0x00018a56, 0x00000000, 0x3076e67e, 0x0ffafd0d, 0x3076e67e,
      0x0ffafd0d, 0x88ab65a8, 0x1cf2fbd0, 0x88ab65a8, 0x1cf2fbd0],
     [0x0000894b, 0x00000000, 0xe498653c, 0x1622eb4a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00018a58, 0x00000000, 0x3076c67e, 0x0ffafccd, 0x3076c67e,
      0x0ffafccd, 0x1cab6603, 0x1cf2fbcf, 0x308d267e, 0x156afc4d],
     [0x00018a59, 0x00000000, 0x1cab6603, 0x1cf2fbcf, 0x308d267e,
      0x156afc4d, 0x80ab6603, 0x1cf2fbd1, 0x1cab656a, 0x1cf2fbcf],
     [0x00018a5a, 0x00000000, 0x80ab6603, 0x1cf2fbd1, 0x1cab656a,
      0x1cf2fbcf, 0x80ab6603, 0x1cf2fbd1, 0x1cab656a, 0x1cf2fbcf],
     [0x0000894d, 0x00000000, 0xcc986776, 0x1622eb53, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00018a5c, 0x00000000, 0x80ab656a, 0x1cf2fbd1, 0x84ab661d,
      0x1cf2fbd0, 0x84ab65e4, 0x1cf2fbd0, 0x98ab65a9, 0x1cf2fbcf],
     [0x00018a5d, 0x00000000, 0x98ab65a9, 0x1cf2fbcf, 0x6cab65a9,
      0x1cf2fbcd, 0x348c2647, 0x156afe0b, 0x38ab65fc, 0x1cf2f94f],
     [0x00018a5e, 0x00000000, 0x388c2648, 0x156afe0b, 0x888c265b,
      0x156afe0b, 0x38ab65fc, 0x1cf2f94f, 0x888c065b, 0x156afdcb],
     [0x0000894f, 0x00000000, 0xe4986776, 0x1622eb4a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006250, 0x00000000, 0x00000000, 0x00000000, 0xa4b1a6d7,
      0x1f42f98f, 0xfcb6e707, 0x1f42f88e, 0x34b2a730, 0x1f42ffce],
     [0x00018a61, 0x00000000, 0x4c7b86b7, 0x12a30bcc, 0x4c6fa6b7,
      0x0e7aff8c, 0x4c6fa6b7, 0x0e7aff8c, 0x486c66b7, 0x0ffb0acc],
     [0x00006251, 0x00000000, 0x68afe738, 0x1f43034e, 0x00000000,
      0x00000000, 0xa8b1c710, 0x1f42f58e, 0x00000000, 0x00000000],
     [0x00018a63, 0x00000000, 0x4c61a6b7, 0x0eaaf38c, 0x4c7666b7,
      0x0eab1d0c, 0x4c61a6b7, 0x0eaaf38c, 0x4c7666b7, 0x0eab1d0c],
     [0x00006252, 0x00000000, 0x00000000, 0x00000000, 0x98b086ee,
      0x1f42f98e, 0x00000000, 0x00000000, 0xecb726ee, 0x1f42f78e],
     [0x00018a65, 0x00000000, 0x648fe671, 0x156b058d, 0x648ee671,
      0x156b038d, 0x64896671, 0x156af88d, 0x4c78c6b7, 0x0f431d0c],
     [0x00018a66, 0x00000000, 0x4c6406b7, 0x0f42f38c, 0x3452a67d,
      0x069afa8d, 0x3068467e, 0x0ffb1a4d, 0x8091460b, 0x156af88e],
     [0x00018a67, 0x00000000, 0xa08dc630, 0x156afa8f, 0xa08dc630,
      0x156afa8f, 0xa092e60b, 0x156af0cf, 0xa08ee574, 0x156af40f],
     [0x00018a68, 0x00000000, 0x6c9045ed, 0x156afc4f, 0xd08a6649,
      0x156b014f, 0xa091460b, 0x156af88f, 0xa091460b, 0x156af88f],
     [0x00018a69, 0x00000000, 0x808ee60b, 0x156af3cc, 0x8091460b,
      0x156af88c, 0xa0aa060b, 0x1c22f80f, 0xa0aa060b, 0x1c22f80f],
     [0x00018a6a, 0x00000000, 0x808fa626, 0x156af54e, 0x80908626,
      0x156af70e, 0x908fa62a, 0x156af54e, 0x9090862a, 0x156af70e],
     [0x000058a8, 0x00000000, 0x88b0c718, 0x1f42ff0f, 0x38b6c711,
      0x1f42f94f, 0x24b7a6f5, 0x1f42f80f, 0x00000000, 0x00000000],
     [0x00018a6c, 0x00000000, 0x6497862f, 0x17d2fa8e, 0x649786b5,
      0x17d2fa8e, 0x6497871b, 0x17d2fa8e, 0x64978728, 0x17d2fa8e],
     [0x00008956, 0x00000000, 0x58988776, 0x16233d52, 0xcc988776,
      0x16232653, 0x58986776, 0x16232652, 0x586f4776, 0x1622eb52],
     [0x00018a6e, 0x00000000, 0xc4a18657, 0x1a52fa8d, 0xc4a18657,
      0x1a52fa8d, 0xc4a18657, 0x1a52fa8d, 0xc4a18657, 0x1a52fa8d],
     [0x00008957, 0x00000000, 0xcc7ae776, 0x1622eb53, 0x587ae776,
      0x1622eb52, 0xe4988776, 0x16233d4a, 0xe4988776, 0x1623264a],
     [0x00018a70, 0x00000000, 0xc4a18657, 0x1a52fa8d, 0xc4a18657,
      0x1a52fa8d, 0xc4c28657, 0x221afa8d, 0xc4c28657, 0x221afa8d],
     [0x00018a71, 0x00000000, 0x28aaa67e, 0x1c72f94d, 0x28aaa67e,
      0x1c72f94d, 0x28aaa67e, 0x1c72f94d, 0x28aaa67e, 0x1c72f94d],
     [0x00018a72, 0x00000000, 0x28aaa67e, 0x1c72f94d, 0x64b946b0,
      0x20b2fe0c, 0xa4c947d3, 0x23caf6cd, 0x94c94713, 0x23caf6cb],
     [0x00018a73, 0x00000000, 0xa4c94713, 0x23caf6cd, 0xa4ce4713,
      0x246af1cd, 0x9c9746a2, 0x1862ff8c, 0x3c9fa5fb, 0x1acafa0f],
     [0x00018a74, 0x00000000, 0x3ca3a5fb, 0x1acb020f, 0x6098062e,
      0x1953054e, 0x6098062e, 0x1953054e, 0x6098062e, 0x1953054e],
     [0x00018a75, 0x00000000, 0x6098262e, 0x1953058e, 0x6098062e,
      0x1953054e, 0x109a8642, 0x1953008e, 0x109a8642, 0x1953008e],
     [0x00018a76, 0x00000000, 0xd0684654, 0x0ffb1a4d, 0xd0682654,
      0x0ffb1a0d, 0xd07e6654, 0x15831a4d, 0xd07e6654, 0x15831a4d],
     [0x00018a77, 0x00000000, 0xa0a94596, 0x1cf2ff8f, 0xa0a94675,
      0x1cf2ff8f, 0xaca9469f, 0x1cf2ff8c, 0x3cc7657b, 0x23cafa91],
     [0x00018a78, 0x00000000, 0x2caaa67e, 0x1c72f94d, 0x808b25e8,
      0x14daf40f, 0xa0994586, 0x18b2fe0f, 0x308e267e, 0x156af9cd],
     [0x00018a79, 0x00000000, 0x308e2732, 0x156af9cd, 0x308e267e,
      0x156afa0d, 0x689ac630, 0x18f2fd0e, 0xac87069f, 0x13a2fa0c],
     [0x00018a7a, 0x00000000, 0xa4c94713, 0x23caf6cd, 0xa4c94713,
      0x23caf6cd, 0xdc99c6d0, 0x17d2f60b, 0x1c9ba703, 0x18b2f94b],
     [0x00018a7b, 0x00000000, 0xdc9786cf, 0x17d2fa8b, 0xdc9786cf,
      0x17d2fa8b, 0xd491a6d3, 0x17d3064b, 0xd491a6d3, 0x17d3064b],
     [0x00018a7c, 0x00000000, 0xd499c6d3, 0x17d2f60b, 0xd499c6d3,
      0x17d2f60b, 0xd495a6d3, 0x17d2fe4b, 0xd495a6d3, 0x17d2fe4b],
     [0x00018a7d, 0x00000000, 0x6cab65f1, 0x1cf2fbcf, 0x287a46ae,
      0x105af98c, 0x6073c6e5, 0x1043058e, 0x6073c67e, 0x1043058e],
     [0x00018a7e, 0x00000000, 0x8c7f269f, 0x12d3034a, 0x8c7f269f,
      0x12d3034a, 0x3c8c25fc, 0x156afe0f, 0x3c8c25fc, 0x156afe0f],
     [0x00018a7f, 0x00000000, 0x4c6fc6b1, 0x0e5b014c, 0x4c6e46b1,
      0x0e5afe4c, 0x10922604, 0x17d3054f, 0x98922524, 0x17d30552],
     [0x00018a80, 0x00000000, 0x94c4a6e3, 0x2332fb4b, 0x94c4a6e3,
      0x2332fb4b, 0x94c4a6e3, 0x2332fb4b, 0x80a646e8, 0x1ce3058b],
     [0x00018a81, 0x00000000, 0x80a646e8, 0x1ce3058b, 0x94a646e3,
      0x1ce3058b, 0x94a646e3, 0x1ce3058b, 0x94c7a6e3, 0x24e302cb],
     [0x00018a82, 0x00000000, 0x94c7a6e3, 0x24e302cb, 0x94b7e6e3,
      0x1feafa8b, 0x94a986e3, 0x1c92fc8b, 0xa090e720, 0x1592f64a],
     [0x00018a83, 0x00000000, 0xa0e90720, 0x2502f60a, 0xa08e6720,
      0x0f9af60a, 0xa08e6720, 0x0f9af60a, 0xa08e6720, 0x0f9af60a],
     [0x00018a84, 0x00000000, 0xa08e6720, 0x0f9af60a, 0xa08e6720,
      0x0f9af60a, 0xa08e6720, 0x103af60a, 0xa08e6720, 0x0f9af60a],
     [0x00008962, 0x00000000, 0xe4d62776, 0x25eaee0a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00018a86, 0x00000000, 0xa08e6720, 0x10daf60a, 0xa08e6720,
      0x117af60a, 0xa08e6720, 0x117af60a, 0xa08e679b, 0x0e5af60a],
     [0x00018a87, 0x00000000, 0xb48e6720, 0x0e5af608, 0xb0d1a6ea,
      0x27b3054b, 0x98b206e4, 0x1fd2f94b, 0x1471c61e, 0x0fbb098b],
     [0x00018a88, 0x00000000, 0xa4c56661, 0x24cb068d, 0xf079870d,
      0x111b23ca, 0xfc8e071b, 0x156afa0e, 0xfc8e06ab, 0x156afa0e],
     [0x00008964, 0x00000000, 0xe4d60776, 0x25e3858a, 0x98d48744,
      0x2582ee0b, 0x5cd48752, 0x2582ee0b, 0x5cd48752, 0x2582ee0b],
     [0x00018a8a, 0x00000000, 0xfc8e060b, 0x156afa0e, 0x108e2614,
      0x156afa13, 0x8c8e2506, 0x156afa0f, 0x8c8e25e7, 0x156afa0f],
     [0x00018a8b, 0x00000000, 0x8c8e25e7, 0x156afa0f, 0xc492c657,
      0x16a2fa8d, 0xc492c657, 0x16a2fa8d, 0x8c7565a7, 0x0f52fa90],
     [0x00018a8c, 0x00000000, 0x3c892696, 0x1402f8cf, 0x988925f9,
      0x1402f8cd, 0xec8925f9, 0x1402f8ce, 0x208ce602, 0x156afc4f],
     [0x00018a8d, 0x00000000, 0xc48c8657, 0x1512fa8d, 0xc48c8657,
      0x1512fa8d, 0xc4a18712, 0x1a52fa8d, 0xc0c1c6d8, 0x2262fa8b],
     [0x00018a8e, 0x00000000, 0xc4a18657, 0x1a52fa8d, 0xa4c94713,
      0x23caf6cd, 0xa4c94713, 0x23caf6cd, 0xa4c94713, 0x23caf6cd],
     [0x00018a8f, 0x00000000, 0x6c838571, 0x12c2fa11, 0x6c838571,
      0x12c2fa11, 0xf85b45d0, 0x0962fd0c, 0xa091867e, 0x15b2f58f],
     [0x00018a90, 0x00000000, 0x24860600, 0x1362fa0f, 0x24860600,
      0x1362fa0f, 0x24860684, 0x1362fa0f, 0x24860684, 0x1362fa0f],
     [0x00008968, 0x00000000, 0x28aaa67e, 0x1c72f94d, 0x28aaa67e,
      0x1c72f94d, 0x28aaa67e, 0x1c72f94d, 0x28aaa67e, 0x1c72f94d],
     [0x00018a92, 0x00000000, 0x4886077a, 0x1362fa09, 0x4886077a,
      0x1362fa09, 0x04bf45f8, 0x21b2fa0f, 0x00bf45f7, 0x21b2fa0f],
     [0x00008969, 0x00000000, 0x28aaa67e, 0x1c72f94d, 0x28aaa67e,
      0x1c72f94d, 0x28aaa67e, 0x1c72f94d, 0x28aaa67e, 0x1c72f94d],
     [0x00018a94, 0x00000000, 0x248ac642, 0x1362f08f, 0x2c8826ae,
      0x1362f5cf, 0x2c8826ae, 0x1362f5cf, 0x2c882600, 0x1362f5cf],
     [0x00018a95, 0x00000000, 0x2c882600, 0x1362f5cf, 0x2c9c0600,
      0x1862f60f, 0x2c9c0600, 0x1862f60f, 0x2c93e600, 0x1613088f],
     [0x00018a96, 0x00000000, 0x2c898600, 0x1612f3cf, 0x6c882631,
      0x1362f5ce, 0x2c882600, 0x1362f5cf, 0x2c882600, 0x1362f5cf],
     [0x00018a97, 0x00000000, 0x2c882600, 0x1362f5cf, 0x2c882600,
      0x1362f5cf, 0x2c882704, 0x1362f5cf, 0x74884600, 0x1362f58d],
     [0x00018a98, 0x00000000, 0x1c884600, 0x1362f58b, 0xa08665c7,
      0x1362f94f, 0x2c88470e, 0x1362f58f, 0x1c884600, 0x1362f58b],
     [0x0000896c, 0x00000000, 0x74c985ea, 0x23a2f50f, 0x74c965ea,
      0x23a2f54f, 0xa4c94713, 0x23caf6cd, 0xa4c94713, 0x23caf6cd],
     [0x00018a9a, 0x00000000, 0xac8e269f, 0x156afa0c, 0x308e267e,
      0x156afa0d, 0xf08e25f1, 0x156afa11, 0x6c8e25f1, 0x156afa0f],
     [0x00018a9b, 0x00000000, 0x088e2607, 0x156afa0f, 0x348e26a7,
      0x156afa0f, 0x808e2737, 0x156afa11, 0x048e26ab, 0x156afa10],
     [0x00018a9c, 0x00000000, 0x588e2672, 0x156afa0d, 0x6c8e2670,
      0x156afa0d, 0x6c8e2670, 0x156afa0d, 0x348e25fc, 0x156afa0f],
     [0x00018a9d, 0x00000000, 0x04b76589, 0x1fbafa11, 0x80b5256a,
      0x1f2afa11, 0x80ec056a, 0x2ce2fa11, 0xf88e264b, 0x156afa0d],
     [0x00018a9e, 0x00000000, 0x108f66a7, 0x156af790, 0x388aa5fc,
      0x156af90f, 0x388ea5fc, 0x156b010f, 0x388aa70e, 0x156af90f],
     [0x0000896f, 0x00000000, 0xa4c94713, 0x23caf6cd, 0xa4c94713,
      0x23caf6cd, 0xe08d85c5, 0x14a2f4ce, 0xe08d85c5, 0x14a2f4ce],
     [0x00018aa0, 0x00000000, 0x7c8ca659, 0x156afd0d, 0x7c8ca659,
      0x156afd0d, 0x7c8ca659, 0x156afd0d, 0x7c8ca6f1, 0x156afd0d],
     [0x00008970, 0x00000000, 0x2cb826fe, 0x209af6cb, 0x30bc86ff,
      0x209aff8b, 0xd8870613, 0x14a2fbce, 0xd4870612, 0x14a2fbce],
     [0x00018aa2, 0x00000000, 0x408c265c, 0x157afc0c, 0xcc8e26d2,
      0x156afa0a, 0xcc8e26d2, 0x156afa0a, 0x008c278a, 0x156afc09],
     [0x00018aa3, 0x00000000, 0x008c278a, 0x156afc09, 0xe08e26d2,
      0x156afa0c, 0xe08e26d2, 0x156afa0c, 0xfc8fa74b, 0x156afd09],
     [0x00018aa4, 0x00000000, 0xfc8fa74b, 0x156afd09, 0x588d4734,
      0x156afbca, 0x588d4734, 0x156afbca, 0xfc8ca74a, 0x156afd09],
     [0x00008972, 0x00000000, 0xd8bea6d0, 0x2142f7cb, 0xc4a18657,
      0x1a52fa8d, 0x1c9ba703, 0x18b2f94b, 0xc4a18657, 0x1a52fa8d],
     [0x00018aa6, 0x00000000, 0xb88c2668, 0x156afc0d, 0x548ca6b6,
      0x156afd0c, 0x548ca6b6, 0x156afd0c, 0x308ca6be, 0x156afd0c],
     [0x00008973, 0x00000000, 0xe0aca690, 0x1c72f54c, 0xe0ad0690,
      0x1c72f4cc, 0xc4a18657, 0x1a52fa8d, 0xc4a18657, 0x1a52fa8d],
     [0x00018aa8, 0x00000000, 0x748e26ee, 0x156afa0b, 0x388aa5fc,
      0x156af90f, 0x388ea5fc, 0x156b010f, 0x04b00649, 0x1d2af44e],
     [0x00008974, 0x00000000, 0xc4a18657, 0x1a52fa8d, 0xc4a18657,
      0x1a52fa8d, 0xc4a18657, 0x1a52fa8d, 0xc4a18657, 0x1a52fa8d],
     [0x00006275, 0x00000000, 0xd8ad8713, 0x1f43004f, 0xb4a88723,
      0x1f42fc8e, 0x24b4c704, 0x1f43004f, 0x00000000, 0x00000000],
     [0x00018aab, 0x00000000, 0x048ca64d, 0x156afd0e, 0x048ca64d,
      0x156afd0e, 0x108e261b, 0x156afa10, 0x048c2649, 0x156afe0e],
     [0x00006276, 0x00000000, 0x00000000, 0x00000000, 0x2cb8271a,
      0x1f42f68f, 0x54b7a708, 0x1f42f68f, 0x3cb6a70f, 0x1f42ff4f],
     [0x00018aad, 0x00000000, 0x548ca6b5, 0x156afd0c, 0x908c46d3,
      0x156afe4b, 0x908c46d3, 0x156afe4b, 0x548e26d3, 0x156afa0b],
     [0x00018aae, 0x00000000, 0x548e26d3, 0x156afa0b, 0xcc8e26d3,
      0x156afa0a, 0xcc8e26d3, 0x156afa0a, 0x38b005fc, 0x1d2af44f],
     [0x00018aaf, 0x00000000, 0x38b005fc, 0x1d2af44f, 0x388ca5fc,
      0x156afd0f, 0x388ca5fc, 0x156afd0f, 0x048ca647, 0x156afd0e],
     [0x00018ab0, 0x00000000, 0x048ca647, 0x156afd0e, 0x048ca647,
      0x156afd0e, 0x048ca647, 0x156afd0e, 0x048ca6ad, 0x156afd0e],
     [0x00008978, 0x00000000, 0x8cad0690, 0x1c72f4d3, 0xe0ad04e4,
      0x1c72f4cc, 0x28aaa67e, 0x1c7af94d, 0x28aaa67e, 0x1c7af94d],
     [0x00018ab2, 0x00000000, 0x108ca681, 0x156afd0d, 0x588ca6d2,
      0x156afd0b, 0x588ca6d2, 0x156afd0b, 0xa48be6b5, 0x156afd4a],
     [0x000058cc, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x70aae702, 0x1f43150e, 0x40b0e703, 0x1f42f7cf],
     [0x00018ab4, 0x00000000, 0x388de5fc, 0x156aff8f, 0x048cc649,
      0x156afd0e, 0x048ca649, 0x156afd0e, 0x5c8ca6b3, 0x156afd0c],
     [0x00018ab5, 0x00000000, 0x5c8ca6b3, 0x156afd0c, 0x5c8ca6b3,
      0x156afd0c, 0x5c8ca6b3, 0x156afd0c, 0x38d345fc, 0x2712fd0f],
     [0x00018ab6, 0x00000000, 0x38d345fc, 0x2712fd0f, 0x24860600,
      0x1362fa0f, 0xa08606a1, 0x1362fa0d, 0x1c86069f, 0x1362fa0e],
     [0x00018ab7, 0x00000000, 0x78860615, 0x1362f0cf, 0x78860615,
      0x1362fa0f, 0xa074a67e, 0x0f8afe0f, 0xa08e255b, 0x156afa0f],
     [0x00018ab8, 0x00000000, 0xa08e255b, 0x156afa0f, 0xa08e267e,
      0x156afa0f, 0xa08ca67e, 0x156afd0f, 0xa0a2e67e, 0x1ae2f98f],
     [0x00018ab9, 0x00000000, 0xa08ca67e, 0x156afd0f, 0xa0a2e67e,
      0x1ae2f98f, 0xa08cc67e, 0x156afc4f, 0xa08e2623, 0x156afa0f],
     [0x0000627d, 0x00000000, 0x50b46742, 0x1f42fb4e, 0x00000000,
      0x00000000, 0xecb4e71a, 0x1f42fd4e, 0xacaf871c, 0x1f430a4e],
     [0x00018abb, 0x00000000, 0xe88385d1, 0x12c2fa0f, 0xe88385d1,
      0x12c2fa0f, 0xac6e269a, 0x0ca2f3cc, 0x3870a67c, 0x0fb3074d],
     [0x00018abc, 0x00000000, 0x3870a67c, 0x0fb3074d, 0xb470a69d,
      0x0fb3074c, 0xac7ea69f, 0x105af08c, 0xac8e269f, 0x156afa0c],
     [0x00018abd, 0x00000000, 0xac83e69f, 0x156b0ecc, 0xac92c69f,
      0x156af10c, 0x08714648, 0x156b33ce, 0x34c5867d, 0x2492fc8d],
     [0x0000627f, 0x00000000, 0x70b4473a, 0x1f42fa4e, 0x00000000,
      0x00000000, 0x90b5c70a, 0x1f42f74f, 0xccb1272b, 0x1f42fb0e],
     [0x00018abf, 0x00000000, 0x948486e3, 0x1473058b, 0x289166ae,
      0x162af98c, 0xac65469a, 0x0cd3070c, 0x946e86e3, 0x0ef3058b],
     [0x00006280, 0x00000000, 0x4cae8720, 0x1f43068f, 0x00000000,
      0x00000000, 0x9cb6471e, 0x1f43014f, 0xecb1271f, 0x1f42fe0e],
     [0x000058d3, 0x00000000, 0x14ad4727, 0x1f42f64f, 0x5cb54728,
      0x1f42f20e, 0xf0abc70d, 0x1f42f94e, 0x64af6714, 0x1f42f74f],
     [0x00006281, 0x00000000, 0xfcb426f6, 0x1f42fc8e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x6ca7471e, 0x1f43138e],
     [0x000058d4, 0x00000000, 0x2ca86727, 0x1f42fecf, 0x50b3c6f6,
      0x1f42f88f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00018ac4, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x2caaa67e, 0x1c72f94d, 0x2caaa67e, 0x1c72f94d],
     [0x00018ac5, 0x00000000, 0x2caaa67e, 0x1c72f94d, 0x2caaa67e,
      0x1c72f94d, 0xd8bea6d0, 0x2142f7cb, 0xd8bea6d0, 0x2142f7cb],
     [0x00018ac6, 0x00000000, 0xd8bea6d0, 0x2142f7cb, 0xd8bea6d0,
      0x2142f7cb, 0x2caaa67e, 0x1c72f94d, 0xd0bb86f4, 0x2082f80c],
     [0x00018ac7, 0x00000000, 0xd0bb86f4, 0x2082f80c, 0x50564534,
      0x0782fa92, 0x50564534, 0x0782fa92, 0xfcabc69a, 0x1c72f70d],
     [0x00018ac8, 0x00000000, 0xfcabc69a, 0x1c72f70d, 0xd8a60690,
      0x1c73028c, 0xd8a60690, 0x1c73028c, 0xa4af4661, 0x1cf2f40d],
     [0x00018ac9, 0x00000000, 0x38cca6f9, 0x25baff8b, 0x209a462d,
      0x185af94e, 0x209a462d, 0x185af94e, 0xfc7d8649, 0x1102f80d],
     [0x00018aca, 0x00000000, 0xfc7d8649, 0x1102f80d, 0xe07ca5d0,
      0x105af48f, 0xe067e5d0, 0x0b2af48f, 0xe067e5d0, 0x0b2af48f],
     [0x00018acb, 0x00000000, 0xb0a185dc, 0x1a52fa8f, 0xb0a185dc,
      0x1a52fa8f, 0xc482c657, 0x12a2fa8d, 0xc482c657, 0x12a2fa8d],
     [0x00018acc, 0x00000000, 0x84a985a8, 0x1cf2ff90, 0x00aac6cb,
      0x1cf2fd0c, 0xaccde621, 0x2582fb0e, 0x88fc65a9, 0x3132fbd0],
     [0x00018acd, 0x00000000, 0x84ab65aa, 0x1cf2fc10, 0x84ab65aa,
      0x1cf2fbd0, 0x84ab65aa, 0x1cf2fbd0, 0x84e825a9, 0x2c22fbd0],
     [0x00018ace, 0x00000000, 0x84aba5a9, 0x1cf2fbd0, 0x84ab65aa,
      0x1cf2fbd0, 0x84ab65aa, 0x1cf2fbd0, 0x84ab65a9, 0x1cf2fbd0],
     [0x00018acf, 0x00000000, 0x84ab65aa, 0x1cf2fbd0, 0x84ac05aa,
      0x1cf2fa90, 0x84ab65a9, 0x1cf2fbd0, 0x84ab65a9, 0x1cf2fbd0],
     [0x00018ad0, 0x00000000, 0x84ab661d, 0x1cf2fbd0, 0x84ab65e4,
      0x1cf2fbd0, 0x6cab65a9, 0x1cf2fbcd, 0x38ab65fc, 0x1cf2f94f],
     [0x00018ad1, 0x00000000, 0x38ab65fc, 0x1cf2f94f, 0x94aba6a5,
      0x1d02fbcc, 0x94aba6a5, 0x1d02fbcc, 0x84ab65e4, 0x1cf2fbd0],
     [0x00018ad2, 0x00000000, 0x6cab65a9, 0x1cf2fbcd, 0x84ab65e4,
      0x1cf2fbd0, 0x6cab65a9, 0x1cf2fbcd, 0x98ab65a9, 0x1cf2fbcf],
     [0x00018ad3, 0x00000000, 0x98ab65a9, 0x1cf2fbcf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00018ad4, 0x00000000, 0x289a4653, 0x18d2fd0f, 0x289a4653,
      0x18d2fd0f, 0x6c91a63d, 0x15e2f6cf, 0xa8a786b0, 0x1b0af94d],
     [0x00018ad5, 0x00000000, 0xa4a786b0, 0x1b0af94d, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000628b, 0x00000000, 0x04b2a6ec, 0x1f42ffcf, 0xd4ba2707,
      0x1f42fa0f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000058de, 0x00000000, 0xe0b346f9, 0x1f42fe0e, 0x00000000,
      0x00000000, 0xb8b7a71d, 0x1f42f54e, 0x40b8a721, 0x1f42f80f],
     [0x0000628c, 0x00000000, 0x90b146fa, 0x1f42facf, 0xacb7473c,
      0x1f43024e, 0x00000000, 0x00000000, 0x48b6e72e, 0x1f42f710],
     [0x000058df, 0x00000000, 0x1caee6ef, 0x1f42fe4f, 0x6cae8702,
      0x1f42fece, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000628d, 0x00000000, 0x6cb4072e, 0x1f42fb4e, 0x00000000,
      0x00000000, 0x7cb6c731, 0x1f42fd4e, 0x00000000, 0x00000000],
     [0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000628e, 0x00000000, 0x00000000, 0x00000000, 0xccb08702,
      0x1f42fd8e, 0x84bb2737, 0x1f42fb4e, 0xf8b3e6fb, 0x1f42ff4f],
     [0x0000898e, 0x00000000, 0x00000000, 0x00000000, 0x58b906c0,
      0x23f3188e, 0x58b906c0, 0x23f3188e, 0x58b906c0, 0x23f3188e],
     [0x0000628f, 0x00000000, 0x54b7470b, 0x1f42fa90, 0x00000000,
      0x00000000, 0x50ac8736, 0x1f4303ce, 0xf8b7471a, 0x1f42f2cf],
     [0x0000898f, 0x00000000, 0xb8a16657, 0x1a2af98d, 0x5889a6c0,
      0x140af80e, 0x5889a6c0, 0x140af80e, 0x8881c6a6, 0x12dafe4c],
     [0x00006290, 0x00000000, 0x9caec702, 0x1f42fd8f, 0xd8b50702,
      0x1f42f84f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00008990, 0x00000000, 0x8481c666, 0x12dafe4d, 0x8481c666,
      0x12dafe4d, 0x948c0662, 0x14a2fb8d, 0xe0af86c4, 0x1e52fe8c],
     [0x00006291, 0x00000000, 0x5cb5c6fb, 0x1f42fa8f, 0xbcb786f6,
      0x1f42fc8e, 0xf0b5a712, 0x1f42fb8f, 0x00000000, 0x00000000],
     [0x00008991, 0x00000000, 0x70aac701, 0x1e52fdcd, 0x00000000,
      0x00000000, 0xe8a006e0, 0x1a42fd0d, 0xe88686c2, 0x13c3010d],
     [0x00006292, 0x00000000, 0x9cb2471d, 0x1f43028e, 0x00000000,
      0x00000000, 0xa8b36711, 0x1f42fb8e, 0x00000000, 0x00000000],
     [0x00008992, 0x00000000, 0xe8b3e6e0, 0x1e22f44d, 0x749ac66c,
      0x186af8cd, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006293, 0x00000000, 0xa8b3e6fe, 0x1f42fa8f, 0xc8b5670a,
      0x1f42f98f, 0x08b20706, 0x1f42f990, 0x40b0c706, 0x1f42f98f],
     [0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006294, 0x00000000, 0xe8b18726, 0x1f42ff0e, 0xa4b146fd,
      0x1f42fd8f, 0x9cae86f0, 0x1f43014f, 0x00000000, 0x00000000],
     [0x000058e7, 0x00000000, 0x40b5c6dd, 0x1f42fdcf, 0x70ade708,
      0x1f42fa8f, 0x34aee6fc, 0x1f42f7cf, 0xb8b206f4, 0x1f42fb4f],
     [0x00006295, 0x00000000, 0xf8ac8726, 0x1f42fb8f, 0x18b6e703,
      0x1f42fe4f, 0x44b68719, 0x1f42fa8f, 0x10aea70d, 0x1f42f88f],
     [0x000058e8, 0x00000000, 0xe0afc724, 0x1f42f78e, 0xf8b7a718,
      0x1f42f70e, 0xecb6c720, 0x1f42f90e, 0x18b1273c, 0x1f43078e],
     [0x00006296, 0x00000000, 0xa8afe70a, 0x1f42fa8f, 0xb8b58709,
      0x1f42f78f, 0x00000000, 0x00000000, 0xd4b7c70b, 0x1f42fa4f],
     [0x000058e9, 0x00000000, 0x78ac26f0, 0x1f42ffcf, 0x28b8271c,
      0x1f42f98f, 0x00000000, 0x00000000, 0xecb3c718, 0x1f42f80e],
     [0x00006297, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x58ae4735, 0x1f42fb8f, 0x00000000, 0x00000000],
     [0x000058ea, 0x00000000, 0x9cb3c732, 0x1f42fc8e, 0x2cb9272d,
      0x1f42f78f, 0xe8b4e718, 0x1f42f64e, 0x38b5a6e4, 0x1f42f88f],
     [0x00006298, 0x00000000, 0x0cb5c728, 0x1f42f68f, 0xf8afe719,
      0x1f42f9cf, 0x28b08730, 0x1f42f58f, 0xfcaf4704, 0x1f42fc8e],
     [0x00008998, 0x00000000, 0x148fe649, 0x156af68e, 0xfc8fe643,
      0x156af68d, 0xfc8ee649, 0x156af84d, 0x148fe643, 0x156af68e],
     [0x00006299, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x40b8070d, 0x1f42ff4f, 0x00000000, 0x00000000],
     [0x00008999, 0x00000000, 0x148fe649, 0x156af68e, 0xfc8fe643,
      0x156af68d, 0xfc8ee649, 0x156af84d, 0x148fe643, 0x156af68e],
     [0x0000629a, 0x00000000, 0x6cb5c6ff, 0x1f42fd8f, 0x64b5e739,
      0x1f42fe8e, 0x00000000, 0x00000000, 0xf8b5e715, 0x1f42fc8f],
     [0x0000899a, 0x00000000, 0x00000000, 0x00000000, 0xac69a6b2,
      0x0c32f94d, 0xac7e46b2, 0x1182fa8d, 0xac98a732, 0x1a42f80d],
     [0x0000629b, 0x00000000, 0x94ade716, 0x1f42fa8f, 0x84b50734,
      0x1f42f98f, 0xb8b6070d, 0x1f42f64f, 0x00000000, 0x00000000],
     [0x000058ee, 0x00000000, 0x8caf8706, 0x1f42fa0e, 0x00000000,
      0x00000000, 0xc4b6671b, 0x1f42f74e, 0x24b70704, 0x1f42f70f],
     [0x0000629c, 0x00000000, 0x98ad8719, 0x1f42fa4f, 0xc8b30711,
      0x1f42fe8f, 0x70b1272a, 0x1f42fc8f, 0x7cb56739, 0x1f42f88e],
     [0x000058ef, 0x00000000, 0x20b06709, 0x1f42fa0f, 0xf4b146f8,
      0x1f42f48e, 0xb4b7e702, 0x1f42f90e, 0x00000000, 0x00000000],
     [0x0000629d, 0x00000000, 0x10ab2719, 0x1f42fd8f, 0xbcb6c719,
      0x1f42f98f, 0x9cad2719, 0x1f42f98e, 0xd4ae2719, 0x1f42f98e],
     [0x000058f0, 0x00000000, 0xdcb6c73d, 0x1f42f68e, 0x00000000,
      0x00000000, 0x00aa270b, 0x1f42f80f, 0x50b2e70b, 0x1f42fb0e],
     [0x0000629e, 0x00000000, 0x00000000, 0x00000000, 0x90ae0741,
      0x1f42ff4e, 0x0cac2719, 0x1f42f98f, 0x4cb6e70d, 0x1f42fa8f],
     [0x000058f1, 0x00000000, 0xfcb3a702, 0x1f42f98e, 0x80ac8700,
      0x1f43068e, 0x80b80720, 0x1f42f78f, 0x20ad070c, 0x1f42fc0f],
     [0x0000629f, 0x00000000, 0xe8b4c70a, 0x1f42fb8f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xe8b266f7, 0x1f42fc8f],
     [0x0000899f, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x64ca06ef, 0x2512ff8b, 0x00000000, 0x00000000],
     [0x000062a0, 0x00000000, 0x00000000, 0x00000000, 0x24b2870a,
      0x1f42fa8f, 0x24b7c719, 0x1f42f790, 0xecb0a719, 0x1f42f98e],
     [0x000089a0, 0x00000000, 0x44aa4685, 0x2043188f, 0x44aa4685,
      0x2043188f, 0x44aa4685, 0x2043188f, 0x44aa4685, 0x2043188f],
     [0x000062a1, 0x00000000, 0x18b6c71e, 0x1f42fd8f, 0x7cb6c742,
      0x1f42f54e, 0x44b02721, 0x1f42f98f, 0xb0b7272c, 0x1f42f84e],
     [0x000089a1, 0x00000000, 0x44aa4685, 0x2043188f, 0x44aa4685,
      0x2043188f, 0xf8aca697, 0x2043140e, 0xf8aca697, 0x2043140e],
     [0x000062a2, 0x00000000, 0x00000000, 0x00000000, 0x0cb8271d,
      0x1f42fe4f, 0xdcb80729, 0x1f42ff0e, 0x64b5470b, 0x1f42f64f],
     [0x000089a2, 0x00000000, 0xf8aca697, 0x2043140e, 0xf8aca697,
      0x2043140e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000062a3, 0x00000000, 0x98b64733, 0x1f42fb4f, 0x0cb74711,
      0x1f42f990, 0x00000000, 0x00000000, 0xd8b72713, 0x1f42f94e],
     [0x000058f6, 0x00000000, 0x14af46fc, 0x1f42fa4f, 0x40ac06fb,
      0x1f42f84f, 0xccb34720, 0x1f42fa0e, 0x34b6471e, 0x1f42f90f],
     [0x000062a4, 0x00000000, 0x00000000, 0x00000000, 0xd8b7c707,
      0x1f42f48f, 0x7cb3c710, 0x1f42f94f, 0x44b4a738, 0x1f42fe0e],
     [0x000058f7, 0x00000000, 0x4cb52720, 0x1f42f90e, 0xe4b586f6,
      0x1f42f84e, 0x3cb14706, 0x1f42fe8f, 0xe8b366ec, 0x1f42fc0e],
     [0x000062a5, 0x00000000, 0x00000000, 0x00000000, 0xd0b66709,
      0x1f42fccf, 0x5cb4071f, 0x1f42f64e, 0x00000000, 0x00000000],
     [0x000058f8, 0x00000000, 0xf4b16703, 0x1f42fa0e, 0x88b5a720,
      0x1f42f5cf, 0x00000000, 0x00000000, 0x30aa6710, 0x1f42f80f],
     [0x000062a6, 0x00000000, 0x9cb2e717, 0x1f42fb8e, 0xbcb266fe,
      0x1f42f64f, 0x28a8a712, 0x1f42fc8f, 0x00000000, 0x00000000],
     [0x000058f9, 0x00000000, 0x8cb366eb, 0x1f42f84e, 0x2cb0a70f,
      0x1f42fb0e, 0x00000000, 0x00000000, 0xacab071d, 0x1f43170e],
     [0x000062a7, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xb8b8271a, 0x1f42facf, 0x00000000, 0x00000000],
     [0x000058fa, 0x00000000, 0x90b1670a, 0x1f42fe0e, 0x0cb3a723,
      0x1f42f30f, 0x50b7c6fc, 0x1f42f70f, 0xb0ae6701, 0x1f43104e],
     [0x000062a8, 0x00000000, 0x78b4a725, 0x1f42fbcf, 0x40b5c71d,
      0x1f42fb8f, 0x00000000, 0x00000000, 0x88b54716, 0x1f42fa8f],
     [0x000089a8, 0x00000000, 0x34f827e7, 0x2f32f44d, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000062a9, 0x00000000, 0xa8b746f8, 0x1f42f54f, 0x88b4a719,
      0x1f42fb8f, 0x40adc70e, 0x1f42f78f, 0x2cb0672c, 0x1f42f8cf],
     [0x000089a9, 0x00000000, 0x00000000, 0x00000000, 0x3c8c06f8,
      0x14a2fb8b, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000062aa, 0x00000000, 0xe8b92742, 0x1f42f58e, 0x00000000,
      0x00000000, 0x94b8270b, 0x1f42f68f, 0x50b7870b, 0x1f42fb4f],
     [0x000089aa, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x6497862f, 0x17d2fa8e, 0x6497862f, 0x17d2fa8e],
     [0x000062ab, 0x00000000, 0x94b7a70b, 0x1f42f58f, 0xe0b8e737,
      0x1f42f34f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000089ab, 0x00000000, 0xd87f65cf, 0x11aaf98f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000062ac, 0x00000000, 0x70b5c725, 0x1f42f84e, 0x00000000,
      0x00000000, 0x98b9672c, 0x1f42f54e, 0x00000000, 0x00000000],
     [0x000089ac, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x8481c666, 0x12dafe4d, 0x00000000, 0x00000000],
     [0x000062ad, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x5cb16712, 0x1f42fb8e, 0x00000000, 0x00000000],
     [0x00005900, 0x00000000, 0x18b0e720, 0x1f42fa0f, 0x64aca703,
      0x1f42f90f, 0xf8b0e710, 0x1f42face, 0x00000000, 0x00000000],
     [0x000062ae, 0x00000000, 0xb8b246f6, 0x1f42f7cf, 0xf8b2e715,
      0x1f42f68e, 0x9cb72726, 0x1f42fa8e, 0xf4b7a6ff, 0x1f42fc8e],
     [0x00005901, 0x00000000, 0x00000000, 0x00000000, 0x60b2c70c,
      0x1f42fb0f, 0x80b5a74a, 0x1f42f6ce, 0x00000000, 0x00000000],
     [0x000062af, 0x00000000, 0xf8b84725, 0x1f42fb8f, 0x80b76703,
      0x1f42f88f, 0x7caa272c, 0x1f43100e, 0x0caf472c, 0x1f43018f],
     [0x00005902, 0x00000000, 0x00000000, 0x00000000, 0xf4af871d,
      0x1f42f9ce, 0x6caee706, 0x1f42f94e, 0x44b64703, 0x1f42fb4f],
     [0x000062b0, 0x00000000, 0xe8b6e71a, 0x1f42f7ce, 0x00000000,
      0x00000000, 0xc0b346fe, 0x1f42f8cf, 0x08b7271a, 0x1f42f5cf],
     [0x00005903, 0x00000000, 0x98b74700, 0x1f42f64e, 0x18aa0727,
      0x1f42f80f, 0xf0b2c6ef, 0x1f42f68e, 0x50b5c734, 0x1f42f80e],
     [0x000062b1, 0x00000000, 0x94b56740, 0x1f42f4ce, 0x70b74745,
      0x1f42f48e, 0x30b4e72d, 0x1f42fd8f, 0xacb7a715, 0x1f43014f],
     [0x00019100, 0x00000000, 0xa094a69a, 0x1692f04f, 0xa08be68c,
      0x14daf20f, 0x5494669b, 0x1692fa4f, 0xa094c68c, 0x1692f18f],
     [0x000062b2, 0x00000000, 0x8cb846d8, 0x1f42fd8f, 0x88b5a719,
      0x1f42f98f, 0x00000000, 0x00000000, 0x70b5072c, 0x1f42fe4e],
     [0x00005905, 0x00000000, 0x24b7e704, 0x1f42f88f, 0xd8b62712,
      0x1f42f50e, 0xf4b0072b, 0x1f42f8ce, 0xd4b2c739, 0x1f42f88e],
     [0x000062b3, 0x00000000, 0x8cb72739, 0x1f42f68e, 0xc4b70730,
      0x1f42f88e, 0x00000000, 0x00000000, 0x48b6a715, 0x1f42f4cf],
     [0x00019102, 0x00000000, 0xa06cc68c, 0x0c2af30f, 0x207a468c,
      0x0fa2eece, 0xa09ea68c, 0x1852f58f, 0xa08e468c, 0x14daf2cf],
     [0x000062b4, 0x00000000, 0x00000000, 0x00000000, 0x3cb84726,
      0x1f42ff4f, 0x20b4071e, 0x1f43018f, 0xa0b406fe, 0x1f42fc4e],
     [0x00019103, 0x00000000, 0xa0b1a68c, 0x1d82f18f, 0x5896268c,
      0x1692f20f, 0x549b669b, 0x1852f6cf, 0xa089868c, 0x131af20f],
     [0x000062b5, 0x00000000, 0x38b886f6, 0x1f42f790, 0x6cb6872d,
      0x1f42f7cf, 0x38b7a711, 0x1f42fb8f, 0x5cb94718, 0x1f42fa8f],
     [0x00019104, 0x00000000, 0xe09b669b, 0x1852f6cc, 0xa098068c,
      0x1692f48f, 0x547ea69c, 0x1162f6cf, 0xa08e068c, 0x14daf5cf],
     [0x000062b6, 0x00000000, 0xe8b60719, 0x1f43020e, 0xe0b64701,
      0x1f42ff8e, 0xb8b8470a, 0x1f42f48f, 0xb8b66709, 0x1f42f78f],
     [0x00019105, 0x00000000, 0x5496268c, 0x1692f20f, 0x5896268c,
      0x1692f20f, 0x64b9268c, 0x1f42f2cf, 0xa095e68c, 0x1692f20f],
     [0x000062b7, 0x00000000, 0x9cb82731, 0x1f42f78e, 0x5cb6270a,
      0x1f42fd8f, 0x8cae0717, 0x1f42f78f, 0xc8b6e6f6, 0x1f42f68f],
     [0x00019106, 0x00000000, 0xa095e68c, 0x1692f1cf, 0xa08dc68c,
      0x14daf50f, 0x687b85c1, 0x0fa2f44f, 0x687fa68c, 0x1162f24f],
     [0x000062b8, 0x00000000, 0x28afc706, 0x1f42fd90, 0xd0b68708,
      0x1f42fa8f, 0xd8b466e5, 0x1f42fcce, 0x00000000, 0x00000000],
     [0x000089b8, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x608a46ed, 0x15e3058e, 0x00000000, 0x00000000],
     [0x000062b9, 0x00000000, 0x38b0a707, 0x1f42fd8f, 0x00000000,
      0x00000000, 0x6cb6e731, 0x1f42f68e, 0xf0b3c724, 0x1f42f88e],
     [0x0000590c, 0x00000000, 0x60b3e700, 0x1f42f78e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xfcae8712, 0x1f42f84e],
     [0x000062ba, 0x00000000, 0x30b1a6ec, 0x1f42fa8f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x8cb82739, 0x1f42f88e],
     [0x00019109, 0x00000000, 0xa082668c, 0x1162f38f, 0xa05e868c,
      0x08b2f1cf, 0xa0a445c1, 0x1a0af1cf, 0xa081e5c1, 0x1162f34f],
     [0x000062bb, 0x00000000, 0x00000000, 0x00000000, 0xa0b6c72b,
      0x1f42f7ce, 0xa8b7c72f, 0x1f42fa8f, 0xdcb246f2, 0x1f42f58e],
     [0x0000590e, 0x00000000, 0x00000000, 0x00000000, 0x64b20700,
      0x1f42fa8f, 0xd0abc718, 0x1f42fa0e, 0x00000000, 0x00000000],
     [0x000062bc, 0x00000000, 0xc0b6a6ee, 0x1f42f78f, 0x2cb5c742,
      0x1f42fd8e, 0x78b346e0, 0x1f42fd8f, 0x2cb02721, 0x1f42fc8f],
     [0x0000590f, 0x00000000, 0x00000000, 0x00000000, 0x98b88722,
      0x1f42f78e, 0x6cb1e717, 0x1f42f88e, 0xa0b806dc, 0x1f42f48e],
     [0x000062bd, 0x00000000, 0xf0b6c70f, 0x1f42f78e, 0x48b446f5,
      0x1f42fc8f, 0x7cb4c72d, 0x1f42fc4f, 0x28b7070e, 0x1f42f78f],
     [0x0001910c, 0x00000000, 0x6896e5b5, 0x1692f3cf, 0xa07b05b5,
      0x0fa2f10f, 0x6c7ac5b5, 0x0fa2f20c, 0xa07305b5, 0x0de2f34f],
     [0x000062be, 0x00000000, 0x50b86725, 0x1f43004f, 0x00000000,
      0x00000000, 0x34abe738, 0x1f42f9ce, 0x68b42705, 0x1f42f98f],
     [0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000062bf, 0x00000000, 0x6cb7e712, 0x1f42fa4f, 0x00000000,
      0x00000000, 0xe8b0e72c, 0x1f43014f, 0x5cb766eb, 0x1f42fe4e],
     [0x0001910e, 0x00000000, 0xa09a4675, 0x1652f78f, 0xa098e675,
      0x1352f78f, 0x709a4684, 0x16f2fa8f, 0xa0b1e675, 0x1b4af78f],
     [0x000062c0, 0x00000000, 0xdcb8a738, 0x1f42f78e, 0xd0b00714,
      0x1f42f7ce, 0xecafa70e, 0x1f42ff4e, 0x00000000, 0x00000000],
     [0x000089c0, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xe8afa64c, 0x1e0af6d0, 0x00000000, 0x00000000],
     [0x000062c1, 0x00000000, 0xf0b7e73d, 0x1f42f54e, 0xb4ae0700,
      0x1f43028e, 0x58ab473a, 0x1f42f98f, 0x84b7e743, 0x1f4302ce],
     [0x00005914, 0x00000000, 0x0cb726f7, 0x1f42f94f, 0x24ad2718,
      0x1f42fa4f, 0x08b3e720, 0x1f42f5cf, 0x14b80705, 0x1f42f3cf],
     [0x1f88fec0, 0x00000000, 0xa091c69b, 0x1312f1cf, 0xa081869b,
      0x1162f18f, 0xa081669b, 0x1162f1cf, 0xa0a4269b, 0x1a0af1cf],
     [0x000089c2, 0x00000000, 0x00000000, 0x00000000, 0xc88e4613,
      0x1592f691, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000062c3, 0x00000000, 0xb0b6e70e, 0x1f42f74e, 0x90af6726,
      0x1f430a0e, 0xf8b5670c, 0x1f42f64f, 0x90b58721, 0x1f42f94f],
     [0x00019112, 0x00000000, 0x6c9f6675, 0x160afe4f, 0x609d8675,
      0x11fafd0f, 0x60c82675, 0x1ca2fd0f, 0xa0a3c675, 0x18b2f44f],
     [0x000062c4, 0x00000000, 0x30b0c702, 0x1f42fad0, 0x54b3c709,
      0x1f43008f, 0x1cb866fd, 0x1f42fd8f, 0xecb246e6, 0x1f43028e],
     [0x000089c4, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x709686ab, 0x179af68f],
     [0x000062c5, 0x00000000, 0x78b7a72f, 0x1f42f88e, 0x10b72700,
      0x1f42fd8f, 0xc0b6c70e, 0x1f42f7cf, 0x9cb4c740, 0x1f42f54e],
     [0x00005918, 0x00000000, 0xe8b30713, 0x1f42f9ce, 0x98b786f0,
      0x1f42f78f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0xc0008018, 0x1ff3f87d, 0x8c5cc68e, 0x0a6af297, 0x7875c5b4,
      0x0de2f74f, 0x78790693, 0x0fa2eecf, 0x787205b4, 0x0de2f44f],
     [0x00005919, 0x00000000, 0x00000000, 0x00000000, 0xc8b06724,
      0x1f42f64e, 0x3cb826e8, 0x1f42f58f, 0x08b14732, 0x1f42facf],
     [0x000062c7, 0x00000000, 0xacb02706, 0x1f42fbce, 0x44b22724,
      0x1f42f88f, 0x68b04700, 0x1f43008f, 0x00000000, 0x00000000],
     [0x0000591a, 0x00000000, 0xacb14708, 0x1f42f8ce, 0x34ae673d,
      0x1f42f88e, 0x00000000, 0x00000000, 0x2cb646f6, 0x1f42f64f],
     [0x000062c8, 0x00000000, 0xb4b2073c, 0x1f42f58f, 0xb8b5070a,
      0x1f42fb4f, 0xf8b5c6fd, 0x1f42face, 0x50b726ef, 0x1f42f6ce],
     [0x0000591b, 0x00000000, 0xf4b4272d, 0x1f42f64e, 0xf4b02703,
      0x1f42f70e, 0x60ace723, 0x1f4310ce, 0x34b1a745, 0x1f43094e],
     [0x000062c9, 0x00000000, 0x94b0e70f, 0x1f42f78e, 0x34b4e71c,
      0x1f42fccf, 0x70b3672d, 0x1f42f88e, 0x40b22722, 0x1f42f7cf],
     [0x0000591c, 0x00000000, 0x5cb1271e, 0x1f4312ce, 0x00000000,
      0x00000000, 0xd8b52707, 0x1f42f50e, 0x04acc70c, 0x1f42f90f],
     [0x000062ca, 0x00000000, 0x50b6471d, 0x1f42f68f, 0x00000000,
      0x00000000, 0x28b08716, 0x1f42fa8e, 0x00b1e725, 0x1f42f58f],
     [0x000089ca, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xf89a264d, 0x18aaf6cd, 0x00000000, 0x00000000],
     [0x000062cb, 0x00000000, 0x50b8a725, 0x1f42f58e, 0x00000000,
      0x00000000, 0x70b4e734, 0x1f42face, 0xe4b2a716, 0x1f42fd8e],
     [0x000029c6, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x1077669e, 0x106aff93],
     [0x000029c7, 0x00000000, 0x1077669e, 0x106aff93, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000591f, 0x00000000, 0x00000000, 0x00000000, 0xd8ad86e5,
      0x1f42fe0e, 0x00000000, 0x00000000, 0x74b3c703, 0x1f42f98e],
     [0x000062cd, 0x00000000, 0x00000000, 0x00000000, 0xc0b386f1,
      0x1f42face, 0x54b4e711, 0x1f42f78f, 0x40afc734, 0x1f43014e],
     [0x00005920, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xfcb48707, 0x1f42f90e, 0x60b14722, 0x1f43028e],
     [0x000062ce, 0x00000000, 0x00000000, 0x00000000, 0x44b52735,
      0x1f42f68f, 0x60afe732, 0x1f43070e, 0x10b526f9, 0x1f42fa8f],
     [0x00005921, 0x00000000, 0xe4b2a6f5, 0x1f42face, 0x34b98718,
      0x1f42f5cf, 0x00000000, 0x00000000, 0x98b726eb, 0x1f42f44f],
     [0x000062cf, 0x00000000, 0x94b28722, 0x1f42fcce, 0x70ace722,
      0x1f43098e, 0xe4b8670c, 0x1f42f58e, 0x00000000, 0x00000000],
     [0x000089cf, 0x00000000, 0x00000000, 0x00000000, 0xf08cc64c,
      0x1552f6cd, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000062d0, 0x00000000, 0xf8b726de, 0x1f42f84e, 0x6cb14738,
      0x1f42f8ce, 0x30aee6f6, 0x1f42fa4e, 0x00000000, 0x00000000],
     [0x0001911f, 0x00000000, 0x78a3c685, 0x16eb000f, 0x64a22685,
      0x128afe8f, 0x5ccba685, 0x1ceafe8f, 0xa0a64685, 0x1942f50f],
     [0x000062d1, 0x00000000, 0x00000000, 0x00000000, 0xccb4e716,
      0x1f43014f, 0xe0b34738, 0x1f42f9ce, 0x94b7471b, 0x1f42f9ce],
     [0x00005924, 0x00000000, 0xd8b1c716, 0x1f42f8ce, 0xccb0071a,
      0x1f42f8ce, 0x6cb7470b, 0x1f42f64f, 0xf4b68731, 0x1f42f7ce],
     [0x000062d2, 0x00000000, 0x80b78705, 0x1f42f68e, 0x60b7c6fe,
      0x1f42f5cf, 0xdcb50721, 0x1f42f54e, 0xdcb0c6e6, 0x1f42fe4e],
     [0x00019121, 0x00000000, 0x787805b6, 0x0eeaf90f, 0x68882695,
      0x129af90f, 0x7877e5b6, 0x0f92f90f, 0x688d8695, 0x11e2f90c],
     [0x000062d3, 0x00000000, 0xb4b7071e, 0x1f42f70e, 0x00000000,
      0x00000000, 0xacb0871c, 0x1f42fa8e, 0x98b4473c, 0x1f42f94e],
     [0x00005926, 0x00000000, 0xfcb8e6f9, 0x1f42f84e, 0x50b06744,
      0x1f42f94e, 0x90b346fc, 0x1f42f58f, 0x00000000, 0x00000000],
     [0x000062d4, 0x00000000, 0x94b14733, 0x1f42fd8e, 0xf0b6870e,
      0x1f42f98e, 0xd4b62704, 0x1f42f78e, 0x58b58724, 0x1f42f54f],
     [0x00019123, 0x00000000, 0x7484e696, 0x1222fbcf, 0x7c654695,
      0x0ad2fa8f, 0x7c9965bb, 0x17c2f64f, 0x788045bb, 0x117af64f],
     [0x000062d5, 0x00000000, 0xb0b06709, 0x1f42f98f, 0x98b726f6,
      0x1f42f54f, 0xf4b5c711, 0x1f42f6ce, 0x2cb8a6e8, 0x1f42fccf],
     [0x00019124, 0x00000000, 0x7881e5b6, 0x118af90f, 0x6c83c5bd,
      0x11dae5cc, 0x6c8105b6, 0x1072f90c, 0xa07385bb, 0x0dcaf64f],
     [0x000062d6, 0x00000000, 0x58b8a719, 0x1f42f78e, 0xa4b0e707,
      0x1f42f9cf, 0x5cb36733, 0x1f42f88e, 0x54b7a741, 0x1f42f58f],
     [0x00019125, 0x00000000, 0x7472e5b6, 0x0ed2fbcf, 0x78664638,
      0x0afaf90f, 0x787d45b7, 0x10baf64f, 0x6881e5c1, 0x1152fb0f],
     [0x000062d7, 0x00000000, 0x50b3c72d, 0x1f42fc8f, 0x3cb82702,
      0x1f42f7cf, 0x00000000, 0x00000000, 0xf8b6a704, 0x1f42f98e],
     [0x0000592a, 0x00000000, 0x00000000, 0x00000000, 0x98b5c70c,
      0x1f42f28e, 0x00000000, 0x00000000, 0x94b5c725, 0x1f42f80f],
     [0x000062d8, 0x00000000, 0xc8b42721, 0x1f42fd8e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x78b86729, 0x1f42fd8f],
     [0x00019127, 0x00000000, 0x64a8468a, 0x1abaf5cf, 0x00000000,
      0x00000000, 0x64a02697, 0x18eaf74f, 0x64a4c697, 0x1baaf70f],
     [0x000062d9, 0x00000000, 0x00000000, 0x00000000, 0x54ae272d,
      0x1f43118e, 0x70b14732, 0x1f43058e, 0xecb5c71d, 0x1f42fb8e],
     [0x00019128, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x649b0697, 0x182b02cf, 0x00000000, 0x00000000],
     [0x000062da, 0x00000000, 0x58b76749, 0x1f42fbce, 0x00000000,
      0x00000000, 0x3cb0872d, 0x1f42fd8e, 0xe0b2e72c, 0x1f42f5ce],
     [0x00019129, 0x00000000, 0x00000000, 0x00000000, 0xdca1868a,
      0x1912f04c, 0x64bc0697, 0x1f8af80f, 0x00000000, 0x00000000],
     [0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0001912a, 0x00000000, 0x00000000, 0x00000000, 0x64b60697,
      0x1e52f78f, 0x64916690, 0x15a3028f, 0x64ad4697, 0x1c72f78f],
     [0x000062dc, 0x00000000, 0x48b48733, 0x1f42f98e, 0xc8b0074f,
      0x1f4304cd, 0x64b4e743, 0x1f42fb4e, 0x00000000, 0x00000000],
     [0x0001912b, 0x00000000, 0x08916690, 0x15a3028f, 0x00000000,
      0x00000000, 0x64962690, 0x173afecf, 0x64afe697, 0x1c82f8cf],
     [0x000062dd, 0x00000000, 0xf4b6c702, 0x1f42f98e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xd0b7a73e, 0x1f42f88e],
     [0x0001912c, 0x00000000, 0x64a32697, 0x1a52f70f, 0x64b1c697,
      0x1d22f6cf, 0x64c44697, 0x21b2f6cf, 0x64aba697, 0x1bdaf70f],
     [0x000062de, 0x00000000, 0x58b44745, 0x1f42fbce, 0xb4b24727,
      0x1f42f9ce, 0x94b82715, 0x1f42fb90, 0x40ab0731, 0x1f430f4e],
     [0x0001912d, 0x00000000, 0x18b10697, 0x1cf304cc, 0x64b08697,
      0x1d22fccf, 0x749d45a1, 0x199af58f, 0x70846697, 0x1222f9cf],
     [0x000062df, 0x00000000, 0x00000000, 0x00000000, 0x60b74735,
      0x1f42f98e, 0xaca94739, 0x1f42f98e, 0x68b48716, 0x1f43024f],
     [0x00005932, 0x00000000, 0x00000000, 0x00000000, 0x98b0e6fc,
      0x1f42f58e, 0x60b48734, 0x1f43030e, 0xc4b006f7, 0x1f42f94e],
     [0x000062e0, 0x00000000, 0x90ae0732, 0x1f42fc8e, 0x00000000,
      0x00000000, 0x84aea737, 0x1f42face, 0xb0b2e733, 0x1f42ff4e],
     [0x0001912f, 0x00000000, 0x00000000, 0x00000000, 0x7494c697,
      0x178af78f, 0x747b0675, 0x0f8302cf, 0x34984675, 0x16d2f04c],
     [0x000062e1, 0x00000000, 0xc0b7870e, 0x1f42fa8f, 0x30b4a729,
      0x1f42f78f, 0x90ae872f, 0x1f43058e, 0x00000000, 0x00000000],
     [0x00019130, 0x00000000, 0x7491c697, 0x16b2f80f, 0x7485e697,
      0x121afa0f, 0x74b8c5a1, 0x2072fa4f, 0x749625a1, 0x17cafa4f],
     [0x000062e2, 0x00000000, 0x6cb54712, 0x1f42facf, 0x00000000,
      0x00000000, 0x8cb0671c, 0x1f430e4e, 0x24ace748, 0x1f430c0e],
     [0x000089e2, 0x00000000, 0x689a26a9, 0x18a2f6cf, 0x689a26a9,
      0x18a2f6cf, 0x689a26a9, 0x18a2f6cf, 0x689a26a9, 0x18a2f6cf],
     [0x000062e3, 0x00000000, 0xc4b16713, 0x1f42fd8f, 0x00000000,
      0x00000000, 0x54b8670e, 0x1f42f90f, 0x00000000, 0x00000000],
     [0x00019132, 0x00000000, 0x747205fb, 0x101afd8f, 0x7481067a,
      0x113af58f, 0x74952590, 0x178af58f, 0x748745a1, 0x1352f58f],
     [0x000062e4, 0x00000000, 0x24af0737, 0x1f43070e, 0x00000000,
      0x00000000, 0x58b6e73a, 0x1f42f58e, 0x64b48743, 0x1f42fa8e],
     [0x000089e4, 0x00000000, 0x689a26a9, 0x18a2f6cf, 0x689a26a9,
      0x18a2f6cf, 0x689a26a9, 0x18a2f6cf, 0x689a26a9, 0x18a2f6cf],
     [0x000062e5, 0x00000000, 0x68b4a715, 0x1f42f8cf, 0xd0b06717,
      0x1f42f78e, 0x98b68737, 0x1f42f7ce, 0x00000000, 0x00000000],
     [0x00019134, 0x00000000, 0x4cb5e6a3, 0x1ec2fa8f, 0x4cb9a6a3,
      0x2122fbcf, 0x4cac26a3, 0x1c82fd0f, 0x4cafc6a3, 0x1efafd0f],
     [0x000062e6, 0x00000000, 0x6cb5472c, 0x1f42f7ce, 0x3cb0c72c,
      0x1f42f6ce, 0x94b4c741, 0x1f42f98e, 0x00000000, 0x00000000],
     [0x000089e6, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xb8aa2599, 0x1cb2f6d0],
     [0x000062e7, 0x00000000, 0xbcb34745, 0x1f42f7ce, 0x00000000,
      0x00000000, 0x6cb8270e, 0x1f42f7cf, 0x14b52739, 0x1f42f48f],
     [0x0000593a, 0x00000000, 0xa8b3e6df, 0x1f42f58f, 0x38b0a700,
      0x1f42fa0f, 0x00000000, 0x00000000, 0x88b446f3, 0x1f42f60f],
     [0x000062e8, 0x00000000, 0x487786e7, 0x1f42f910, 0x34b3e70b,
      0x1f42fc4f, 0x80b24709, 0x1f43040f, 0xecb1271f, 0x1f42f90e],
     [0x00019137, 0x00000000, 0x4cda26a3, 0x28a2fd0f, 0x4cc546a3,
      0x223afd0f, 0x4c9c26a3, 0x194b000f, 0x4cbac6a3, 0x200afbcf],
     [0x000062e9, 0x00000000, 0xb0b646eb, 0x1f42f4cf, 0x44b4670e,
      0x1f42fb90, 0x18b266eb, 0x1f42fa4f, 0x6cb4a6eb, 0x1f42fa10],
     [0x00019138, 0x00000000, 0xd09c26a3, 0x194b000e, 0x4cb826a3,
      0x20c2fbcf, 0x4ca026a3, 0x1983024f, 0x4cbea6a3, 0x2032fe4f],
     [0x000062ea, 0x00000000, 0xe4b20705, 0x1f42fc4e, 0x10b066eb,
      0x1f42f850, 0x90aee6ea, 0x1f42fb50, 0xd4b2a723, 0x1f42fa4f],
     [0x00019139, 0x00000000, 0x4caf86a3, 0x1e22fd0f, 0x4cbe86a3,
      0x2082fd0f, 0x4ce1c6a3, 0x2942fd0f, 0x4cbcc6a3, 0x204afe0f],
     [0x000062eb, 0x00000000, 0x00000000, 0x00000000, 0xf8ace705,
      0x1f42f70e, 0x0cb526e0, 0x1f42fd50, 0x68b3a70a, 0x1f42f70f],
     [0x0001913a, 0x00000000, 0x20b6e6a3, 0x1eeafd0c, 0x4cb886a3,
      0x1f22fa8f, 0x68aaa5b6, 0x1d72f6cf, 0x688c86a3, 0x1432fd0f],
     [0x000062ec, 0x00000000, 0x28b506ff, 0x1f42fe90, 0x00000000,
      0x00000000, 0xf8b28722, 0x1f42fd8e, 0x08afc720, 0x1f42ff0f],
     [0x0000593f, 0x00000000, 0x48b0271d, 0x1f42f9ce, 0xdcb56708,
      0x1f42fb4e, 0xa8b4072c, 0x1f42f70e, 0x10b6e70e, 0x1f42f4cf],
     [0x000062ed, 0x00000000, 0xf8b0a6ee, 0x1f42fb8f, 0x4cb1e6ee,
      0x1f42fc50, 0xfcaf670b, 0x1f42f84e, 0x68ac46f9, 0x1f42f84f],
     [0x0001913c, 0x00000000, 0x209ee5b6, 0x199af4cc, 0x689d46a3,
      0x1a32fbcf, 0x688146a2, 0x1172f80f, 0x24a566a2, 0x1a42f84c],
     [0x000062ee, 0x00000000, 0xacb3e712, 0x1f42fd0e, 0x78b366e9,
      0x1f42fd90, 0xa8b646ef, 0x1f42fc8f, 0x00000000, 0x00000000],
     [0x0001913d, 0x00000000, 0x6899c6a3, 0x1952fbcf, 0x688d86a3,
      0x1452f8cf, 0x68c2a5b6, 0x238af94f, 0x689ee5b6, 0x1a9af94f],
     [0x000062ef, 0x00000000, 0x68b626eb, 0x1f42f990, 0xe4b5c6ff,
      0x1f42fb4f, 0xbcb546ee, 0x1f42f70f, 0xb0afc6f7, 0x1f42fe4f],
     [0x0001913e, 0x00000000, 0x68a005b6, 0x1a82f6cf, 0x6c9ec5b6,
      0x1baaf44c, 0x6ca6a5b6, 0x1c8af6cc, 0xa08f85b6, 0x152af80f],
     [0x000062f0, 0x00000000, 0xc0b5c6e3, 0x1f42f78f, 0x80b0e70b,
      0x1f42fa90, 0x18b006f4, 0x1f42fb50, 0x5cb3e6f2, 0x1f42fd4f],
     [0x0001913f, 0x00000000, 0x6876a615, 0x1192facf, 0x688b0685,
      0x1352f9cf, 0x689dc5aa, 0x1a52f5cf, 0x689245b2, 0x16e2f80f],
     [0x000062f1, 0x00000000, 0x08b2c6ff, 0x1f42fb8f, 0x94b2e6fe,
      0x1f42fc90, 0x3cad66ff, 0x1f42fc50, 0x00000000, 0x00000000],
     [0x00005944, 0x00000000, 0xfcb5c727, 0x1f42f7ce, 0x00000000,
      0x00000000, 0xf0b1a712, 0x1f42f80e, 0x84b58734, 0x1f42fa4e],
     [0x000062f2, 0x00000000, 0xf4af8717, 0x1f42fb4e, 0xe8ae0716,
      0x1f42fb8e, 0x84b7a71c, 0x1f42f78e, 0x1cb546f7, 0x1f42fa50],
     [0x000089f2, 0x00000000, 0x3cafc5fd, 0x1e32fd0f, 0x3cafc5fd,
      0x1e32fd0f, 0x00000000, 0x00000000, 0x30aa667e, 0x1c32ee0d],
     [0x00008045, 0x00000000, 0xa0892754, 0x131af10f, 0x78738680,
      0x0de2f44f, 0xa089272a, 0x131af10f, 0x78738656, 0x0de2f44f],
     [0x000089f3, 0x00000000, 0x4c67270e, 0x0a2af30c, 0x30aa667e,
      0x1c32ee0d, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000062f4, 0x00000000, 0x00000000, 0x00000000, 0x9cb6c6e7,
      0x1f42f54e, 0xe8ac26f0, 0x1f42fb0f, 0x10afa6f6, 0x1f42fa10],
     [0x000089f4, 0x00000000, 0xd8bea6d0, 0x2142f7cb, 0x2c882600,
      0x1362f5cf, 0x24860600, 0x1362fa0f, 0xa08dc630, 0x156afa8f],
     [0x000062f5, 0x00000000, 0xecb6471e, 0x1f42fa0e, 0x50b4a708,
      0x1f42fd8f, 0x28b0c706, 0x1f42fd50, 0xf8b1072a, 0x1f42f84e],
     [0x000089f5, 0x00000000, 0xa08dc630, 0x156afa8f, 0x60b7262e,
      0x1fdaf80e, 0x60b8e62e, 0x1fdafb8e, 0x60d3062e, 0x2662f80e],
     [0x000062f6, 0x00000000, 0x7cab0711, 0x1f42fa4f, 0xf4b5470d,
      0x1f42f98f, 0x68b3a719, 0x1f42fb8f, 0x7cb6471a, 0x1f42f54e],
     [0x0000c740, 0x00000000, 0xa07d65c3, 0x101af04f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000c741, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xa07e65b5, 0x109af30f],
     [0x000089f7, 0x00000000, 0x3ca2657b, 0x1a8afa91, 0x84fc65aa,
      0x3132fbd0, 0x84fc65aa, 0x3132fbd0, 0xb470a69d, 0x0fb3074c],
     [0x000062f8, 0x00000000, 0xf8b5c706, 0x1f42f70f, 0xa0b4272d,
      0x1f42fd0f, 0xf4ae6727, 0x1f42fd8e, 0x00ad4703, 0x1f42fa4f],
     [0x000089f8, 0x00000000, 0x1c9ba703, 0x18b2f94b, 0x44986635,
      0x17e2f94e, 0x449d4635, 0x191af94e, 0x449d4635, 0x191af94e],
     [0x000062f9, 0x00000000, 0xb0b44728, 0x1f42fb4e, 0x70ae4711,
      0x1f42fccf, 0x8cb2672f, 0x1f42fc4e, 0xf4b14715, 0x1f42fa8f],
     [0x000089f9, 0x00000000, 0x28cca67e, 0x24f2f94d, 0x28cca67e,
      0x24f2f94d, 0x4c7ac6b5, 0x0fc31d0c, 0x4c6606b5, 0x0fc2f38c],
     [0x0000c747, 0x00000000, 0x548785b5, 0x12c2f20f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00019149, 0x00000000, 0x5c7825bc, 0x0f9afacc, 0x5c7a069f,
      0x1082fa0c, 0x5868c69e, 0x0c02f88f, 0x5c65669f, 0x0acaf90c],
     [0x000062fb, 0x00000000, 0xbcb4c6f7, 0x1f42fd10, 0x98b1e6e7,
      0x1f42f6cf, 0x38ab2712, 0x1f42fb4f, 0x2cb346f2, 0x1f42f950],
     [0x00003bfc, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x086dc66f, 0x106b1256],
     [0x000062fc, 0x00000000, 0x98b40715, 0x1f42fa4f, 0xf8b14704,
      0x1f42f90e, 0x28b5a72d, 0x1f42f84f, 0xb4b6a6df, 0x1f42f94f],
     [0x00003bfd, 0x00000000, 0x00000000, 0x00000000, 0x9878a667,
      0x106afc97, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000062fd, 0x00000000, 0xe0b60722, 0x1f42facf, 0x80ac66fb,
      0x1f42fd8f, 0xacb3c717, 0x1f42fa8f, 0xccb1e71d, 0x1f42f48e],
     [0x0001914c, 0x00000000, 0x40792657, 0x1032fa4f, 0x5868a678,
      0x0bb2f78f, 0x5888a5c6, 0x143afd0f, 0x58788632, 0x101af9cf],
     [0x000062fe, 0x00000000, 0x5caf270e, 0x1f42fa8f, 0x50b6a6d7,
      0x1f42f7cf, 0xecb0c710, 0x1f42f78f, 0xa4ad8706, 0x1f42fc8f],
     [0x000089fe, 0x00000000, 0xecfc660f, 0x3132fbce, 0xecfc660f,
      0x3132fbce, 0x78fc65ed, 0x3132fbcf, 0x84fc65aa, 0x3132fbd0],
     [0x000062ff, 0x00000000, 0x7cb7a6ea, 0x1f42f88f, 0xf8b34715,
      0x1f42f78e, 0x04b546e2, 0x1f42fb8f, 0x74aec701, 0x1f42f6cf],
     [0x000089ff, 0x00000000, 0x84fc65aa, 0x3132fbd0, 0xecfc660f,
      0x3132fbce, 0xecfc660f, 0x3132fbce, 0x88fc65a9, 0x3132fbd0],
     [0x00006300, 0x00000000, 0xd8afe6f2, 0x1f42fb8f, 0x28afa71b,
      0x1f42f78f, 0x5cb44704, 0x1f42f94f, 0x3cac870a, 0x1f42f90f],
     [0x00005953, 0x00000000, 0x3cb42700, 0x1f42fc90, 0x4cb7c71c,
      0x1f42f58f, 0xc4b62730, 0x1f42f90f, 0x50b6a70f, 0x1f42fc4f],
     [0x00006301, 0x00000000, 0x00ae46ff, 0x1f42ff50, 0x28afe70f,
      0x1f42f78f, 0xf4b0c72f, 0x1f42f6ce, 0x8caf070a, 0x1f42fa8e],
     [0x00005954, 0x00000000, 0x00000000, 0x00000000, 0x34b786fc,
      0x1f42facf, 0x00000000, 0x00000000, 0x08b5e6fe, 0x1f430290],
     [0x00006302, 0x00000000, 0xc0b54710, 0x1f42fb8f, 0x00000000,
      0x00000000, 0x0cb0670a, 0x1f42f750, 0xbcb4c72d, 0x1f42f7ce],
     [0x00005955, 0x00000000, 0x78b6a700, 0x1f42fa0f, 0x28b8872e,
      0x1f42fa8f, 0x54b7270e, 0x1f42ff8f, 0xbcb6a70f, 0x1f42f3cf],
     [0x00006303, 0x00000000, 0xccaf0722, 0x1f42fa8f, 0x08b4c728,
      0x1f42fecf, 0xa4b58711, 0x1f42fc4f, 0xccb3472e, 0x1f42f98e],
     [0x00005956, 0x00000000, 0x4cb3a6f6, 0x1f42f7cf, 0xecb78736,
      0x1f42face, 0x00000000, 0x00000000, 0x2cb1c705, 0x1f42fbd0],
     [0x00006304, 0x00000000, 0xf0b3a71a, 0x1f42fa0e, 0x64ad4716,
      0x1f42f78f, 0x28ae66f4, 0x1f42fb4f, 0xe8ac6702, 0x1f42fa4e],
     [0x00019153, 0x00000000, 0x688da67e, 0x15d2fe4f, 0xa090267e,
      0x11c2f10f, 0xa0b5267e, 0x1cc2f10f, 0xa09a267e, 0x1802f6cf],
     [0x00006305, 0x00000000, 0xf8af66f6, 0x1f42fbce, 0xa0b4e70e,
      0x1f42fc8e, 0x4cb1a712, 0x1f42fa8f, 0xd8b26715, 0x1f42f88e],
     [0x00005958, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x38b5a728, 0x1f42fe8f, 0x9cb70720, 0x1f42face],
     [0x00006306, 0x00000000, 0xa8b3a71c, 0x1f42fdcf, 0x3caf870b,
      0x1f42fe8f, 0xc0ae0739, 0x1f42f54e, 0x8cb0e722, 0x1f42fb8e],
     [0x00019155, 0x00000000, 0x7879e5b4, 0x1042f94f, 0x787f6693,
      0x11f2f94f, 0x787a45b4, 0x105af94f, 0xa0746693, 0x0b82f44f],
     [0x00006307, 0x00000000, 0xf8b10708, 0x1f42f40f, 0xf8acc712,
      0x1f42fd8f, 0x00000000, 0x00000000, 0x8cb2c71f, 0x1f42f98f],
     [0x0000595a, 0x00000000, 0xa8b7271e, 0x1f42fa0f, 0x00000000,
      0x00000000, 0xf4b806ea, 0x1f42f80f, 0x4cb426fd, 0x1f42ff8f],
     [0x00006308, 0x00000000, 0x90b6a70e, 0x1f42f94f, 0xa4b366dc,
      0x1f42fa8f, 0x14b30719, 0x1f42f98f, 0xa4b10700, 0x1f42f94f],
     [0x0000595b, 0x00000000, 0x88b5c712, 0x1f43018f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x10b88701, 0x1f43110f],
     [0x00006309, 0x00000000, 0xf8b24729, 0x1f42fc8e, 0xfcadc6fd,
      0x1f42fccf, 0xb4b54724, 0x1f42f78e, 0x20b0c6d7, 0x1f42fb90],
     [0x0000595c, 0x00000000, 0x70b6c709, 0x1f43034f, 0x00000000,
      0x00000000, 0xa8b62715, 0x1f42fecf, 0xa4b88728, 0x1f43028f],
     [0x0000630a, 0x00000000, 0x6caf472d, 0x1f42f7cf, 0xf8b326fc,
      0x1f42fa8e, 0x04ab8716, 0x1f42fa8f, 0x4ca98710, 0x1f42f84f],
     [0x0000595d, 0x00000000, 0xf8b2c727, 0x1f4308ce, 0x64b68706,
      0x1f43098f, 0x1cb88703, 0x1f43034f, 0xc8b8a719, 0x1f42f9ce],
     [0x0000630b, 0x00000000, 0x50b82712, 0x1f42f5ce, 0x7cb3c72a,
      0x1f42fa8e, 0x50b14702, 0x1f42f58f, 0xb4b08707, 0x1f42fb8f],
     [0x0001915a, 0x00000000, 0xa09565aa, 0x1522f30f, 0xa080c5aa,
      0x1182f58f, 0x387e45aa, 0x0ea2f30c, 0xa07a05aa, 0x103af8cf],
     [0x0000630c, 0x00000000, 0x4caca6fa, 0x1f42fbcf, 0x30b4c72d,
      0x1f42f70f, 0x18a80712, 0x1f42f8cf, 0x60b7a6f2, 0x1f42f60f],
     [0x0001915b, 0x00000000, 0x3ca326a5, 0x1ac2fa8f, 0x54a1c6a5,
      0x1a8afa8f, 0x5499e6a5, 0x182afb8f, 0x54a706a5, 0x1bdafb8f],
     [0x0000630d, 0x00000000, 0x40b3c70d, 0x1f42f70f, 0xecad6729,
      0x1f42f88e, 0xf4b1270e, 0x1f42f80e, 0xc8b8a6e9, 0x1f42f94f],
     [0x0001915c, 0x00000000, 0x5499e6a5, 0x18a2fb8f, 0x6c9c06a5,
      0x191afb8c, 0x54a026a5, 0x1a0afb8f, 0x6ca1e6a5, 0x1a5af88c],
     [0x0000630e, 0x00000000, 0x00000000, 0x00000000, 0x78afc712,
      0x1f42fb0f, 0xf4b626d6, 0x1f42f8ce, 0x98b7c6d7, 0x1f42f64f],
     [0x00005961, 0x00000000, 0xacac671c, 0x1f430a4e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xc8b1c71a, 0x1f430f4f],
     [0x0000630f, 0x00000000, 0x5cb386f1, 0x1f42f70f, 0x0cb7a6f2,
      0x1f42f90f, 0xd8b26702, 0x1f42fd4f, 0x2cb9c720, 0x1f42fccf],
     [0x0001915e, 0x00000000, 0x3cc5a6a5, 0x236afa8f, 0x3ca3c6a5,
      0x1af2fa8f, 0x54a946a5, 0x1c6afb8f, 0x6ca1e6a5, 0x1a92fa8c],
     [0x00006310, 0x00000000, 0x00000000, 0x00000000, 0xe8b76712,
      0x1f42f7cf, 0x50b5c709, 0x1f42f70e, 0xf8b626d2, 0x1f42f68e],
     [0x0001915f, 0x00000000, 0xb4af46a5, 0x1d12fb8e, 0x3ca7a6a5,
      0x1ba2fa8f, 0x54a2c6a5, 0x1aa2fb8f, 0x3c9b06a5, 0x18cafb8f],
     [0x00006311, 0x00000000, 0x00000000, 0x00000000, 0x20b44702,
      0x1f42f5cf, 0x08b4e6f8, 0x1f430850, 0xc0b166d1, 0x1f430450],
     [0x00019160, 0x00000000, 0x3ca3a6a5, 0x1ae2fb8f, 0x54a286a5,
      0x1abafa8f, 0x54c3c6a5, 0x230afa8f, 0x3c9f66a5, 0x199afa8f],
     [0x00006312, 0x00000000, 0x10b1471b, 0x1f43088f, 0x9cb78706,
      0x1f42fc8f, 0x30a88728, 0x1f43170f, 0x74b4c6f7, 0x1f43020f],
     [0x00005965, 0x00000000, 0xa4b6a6fd, 0x1f430a4f, 0xacad2701,
      0x1f4301ce, 0xe4af2735, 0x1f430e0e, 0x5cb30730, 0x1f43000e],
     [0x00006313, 0x00000000, 0xc8b7c70a, 0x1f42fa4f, 0x9cb48724,
      0x1f4301ce, 0xf4b1e701, 0x1f43144e, 0xacb58718, 0x1f42fd8e],
     [0x00005966, 0x00000000, 0x00000000, 0x00000000, 0x7cb64730,
      0x1f42fcce, 0x00000000, 0x00000000, 0x4cb6e718, 0x1f42fc4e],
     [0x00006314, 0x00000000, 0x98a9c744, 0x1f43108e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005967, 0x00000000, 0xb8b6c724, 0x1f42f9ce, 0x5caf471b,
      0x1f430d4e, 0x7cb36715, 0x1f42fece, 0x5cb66732, 0x1f42f90e],
     [0x00006315, 0x00000000, 0x48b6a716, 0x1f42fe4f, 0x24b726fd,
      0x1f430f0f, 0xb0b786ec, 0x1f43084e, 0x98b7a6b5, 0x1f42f98f],
     [0x00005968, 0x00000000, 0x98b60720, 0x1f42f98e, 0x7cb92731,
      0x1f42fb8e, 0x6cb7070c, 0x1f42face, 0x00000000, 0x00000000],
     [0x00006316, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x20b7a6da, 0x1f42f64f, 0x00000000, 0x00000000],
     [0x00005969, 0x00000000, 0x1cabc728, 0x1f43084e, 0x8ca9a72e,
      0x1f43054e, 0x00000000, 0x00000000, 0x6cb3a724, 0x1f43054e],
     [0x00006317, 0x00000000, 0x48b4e6d5, 0x1f42fdcf, 0xacb306d9,
      0x1f42fdcf, 0x00000000, 0x00000000, 0x0cb40715, 0x1f42fecf],
     [0x0000596a, 0x00000000, 0xc8b0c6e0, 0x1f43048e, 0xb8b3271e,
      0x1f43010e, 0xacb3c6f8, 0x1f43020e, 0xacb12733, 0x1f42f4ce],
     [0x00006318, 0x00000000, 0x00000000, 0x00000000, 0x88b44727,
      0x1f43160e, 0x5cb92748, 0x1f42ffce, 0x00000000, 0x00000000],
     [0x0000596b, 0x00000000, 0x4cb38726, 0x1f42fc8e, 0xf8b38708,
      0x1f43080e, 0x9cb3a70d, 0x1f42fece, 0xd8b2a71d, 0x1f42f7ce],
     [0x00006319, 0x00000000, 0x58b546c7, 0x1f43004f, 0x70ab26f3,
      0x1f43004f, 0x94b14723, 0x1f43044e, 0x00000000, 0x00000000],
     [0x00019168, 0x00000000, 0xa08de68a, 0x14d2f5cf, 0xa082e67e,
      0x12e3008f, 0x688e268c, 0x14faf4cf, 0xa090867e, 0x15a3008f],
     [0x0000631a, 0x00000000, 0x7cab271c, 0x1f42fe8e, 0x8cb8a6ec,
      0x1f42fe8f, 0x48b80736, 0x1f43100e, 0x80b58732, 0x1f42fa4e],
     [0x0000596d, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa4b2e6dc, 0x1f42fe4e, 0x5cb6671b, 0x1f43024e],
     [0x0000631b, 0x00000000, 0x30b2270d, 0x1f42facf, 0x4cb786d1,
      0x1f42f78f, 0x00000000, 0x00000000, 0x24b00702, 0x1f43038f],
     [0x0001916a, 0x00000000, 0xa06b067e, 0x0c8af94f, 0x6864a67e,
      0x0c72f10f, 0xa08d467e, 0x13d3008f, 0xa082c67e, 0x117b008f],
     [0x0000631c, 0x00000000, 0x10b666fb, 0x1f43060f, 0x40b526c5,
      0x1f42fd8f, 0x58b2a6c1, 0x1f43038f, 0xa4b146e4, 0x1f43004f],
     [0x0000596f, 0x00000000, 0x50b92707, 0x1f42f68f, 0xf0b6c70c,
      0x1f42fb0f, 0x00000000, 0x00000000, 0xacb506fb, 0x1f42f78e],
     [0x0000631d, 0x00000000, 0x00000000, 0x00000000, 0x48b6a6dd,
      0x1f42f5cf, 0xc4b08710, 0x1f43054e, 0x50b2270e, 0x1f43038f],
     [0x0001916c, 0x00000000, 0xe494e68c, 0x1662f58c, 0xa087267e,
      0x126b008f, 0x687aa68c, 0x10eaf60f, 0xa088a67e, 0x1302f1cf],
     [0x0000631e, 0x00000000, 0x949e8736, 0x1f43190e, 0x40ade71d,
      0x1f43094f, 0xd4afa715, 0x1f42fe8e, 0xe8b126fc, 0x1f4300ce],
     [0x0001916d, 0x00000000, 0x6888867e, 0x14aaff4f, 0x748c667e,
      0x1472f5cf, 0x74ae067e, 0x1ccaf54f, 0xa092267e, 0x15e2f5cf],
     [0x0000631f, 0x00000000, 0x6cb346dd, 0x1f42fe4f, 0x64ae26fc,
      0x1f4302cf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005972, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x88b5070b, 0x1f42facf],
     [0x00006320, 0x00000000, 0x38ae6709, 0x1f43024f, 0x58b446ff,
      0x1f42fd8f, 0x2caa26f5, 0x1f42fccf, 0x00000000, 0x00000000],
     [0x0001916f, 0x00000000, 0x787485b7, 0x0e42f3cf, 0x74752694,
      0x0f72f50f, 0x787405b7, 0x0de2f3cf, 0xa06ca693, 0x0a82f30f],
     [0x00006321, 0x00000000, 0xf4b16701, 0x1f4300ce, 0x70b8a703,
      0x1f42ff8f, 0x04b1e6e3, 0x1f4300cf, 0x00000000, 0x00000000],
     [0x00019170, 0x00000000, 0x4078e5b7, 0x0f82f34c, 0xa0738694,
      0x0f3afdcf, 0xa052068f, 0x06e2fe0f, 0x4055a68f, 0x07f2db8c],
     [0x00006322, 0x00000000, 0x00000000, 0x00000000, 0x24b4e711,
      0x1f42fa0f, 0x34ae8710, 0x1f42fb8f, 0x00000000, 0x00000000],
     [0x00019171, 0x00000000, 0xa0770694, 0x0e2afdcf, 0xa0508694,
      0x066afd4f, 0xa094e5b8, 0x17a2fe4f, 0xa07385b8, 0x0f3afdcf],
     [0x00006323, 0x00000000, 0x6cb72705, 0x1f43000f, 0x3cb2e6fa,
      0x1f42fe0f, 0x74b5e6f9, 0x1f42f94f, 0xc8b7e720, 0x1f43058e],
     [0x00019172, 0x00000000, 0x787965b7, 0x0f9af50f, 0x407945b8,
      0x0f92fecc, 0x4074e5b8, 0x0f92f50c, 0xa06785b8, 0x0a82fdcf],
     [0x00006324, 0x00000000, 0xc0b866f3, 0x1f42fe8e, 0x6cb626dd,
      0x1f43008f, 0xd4b166ee, 0x1f42fbce, 0x1cb166fb, 0x1f42fd8f],
     [0x00005977, 0x00000000, 0x00000000, 0x00000000, 0x74b486fb,
      0x1f42f58e, 0x98b406f0, 0x1f42f58e, 0xd0b78733, 0x1f42f60e],
     [0x00006325, 0x00000000, 0x80b74706, 0x1f43010f, 0x50b1670c,
      0x1f4303cf, 0x00000000, 0x00000000, 0xa8b5c720, 0x1f42fece],
     [0x00019174, 0x00000000, 0x6892e5ad, 0x15f2f50f, 0xa07705ad,
      0x0f12f58f, 0x407725ad, 0x0f22f50c, 0xa072a5ad, 0x0dfaf44f],
     [0x00018c0c, 0x00000000, 0x14e96589, 0x2c22f951, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000c7a0, 0x00000000, 0x64b92783, 0x1f42f2cf, 0x6896e6b1,
      0x1692f3cf, 0x64b92783, 0x1f42f2cf, 0x6896e6b1, 0x1692f3cf],
     [0x0000c7a1, 0x00000000, 0x64b92754, 0x1f42f2cf, 0x6896e682,
      0x1692f3cf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00019176, 0x00000000, 0xa089268c, 0x13db020f, 0xa085c68c,
      0x1233020f, 0x5492669b, 0x1752f74f, 0xa08de68c, 0x165b020f],
     [0x00006328, 0x00000000, 0x7c9d0741, 0x1f4317ce, 0x1cb20718,
      0x1f42ff8f, 0xe0b20722, 0x1f430b4e, 0x7cad071e, 0x1f431cce],
     [0x00019177, 0x00000000, 0xa06d668c, 0x0dc2fe4f, 0x2071468c,
      0x0f0af1ce, 0xa096e68c, 0x1643020f, 0xa087e68c, 0x12db020f],
     [0x00006329, 0x00000000, 0xdcaec6e6, 0x1f42f88f, 0x98b50702,
      0x1f42fc8f, 0x00000000, 0x00000000, 0xd0b4673c, 0x1f43144e],
     [0x00019178, 0x00000000, 0xa0a6a68c, 0x1c8b020f, 0x588f068c,
      0x16a3020f, 0x589b669c, 0x1852f6cf, 0xa085a68c, 0x122b020f],
     [0x0000632a, 0x00000000, 0x90b32739, 0x1f43034e, 0x90b766d0,
      0x1f42f68f, 0x7cb6a747, 0x1f4309ce, 0x70b3c728, 0x1f43028e],
     [0x00019179, 0x00000000, 0xe09cc69b, 0x185af6cc, 0xa090a68c,
      0x14f3020f, 0x547e669b, 0x1152f6cf, 0xa08ce68c, 0x140af18f],
     [0x0000632b, 0x00000000, 0x60b4e735, 0x1f430e4e, 0x54b0871d,
      0x1f43040e, 0x90b08729, 0x1f43040e, 0x04b7c728, 0x1f42f4cf],
     [0x0001917a, 0x00000000, 0x548c868c, 0x15db00cf, 0x5891a68c,
      0x1592f44f, 0x64b7668c, 0x1f2af58f, 0xa096068c, 0x1722f80f],
     [0x0000632c, 0x00000000, 0x40b06749, 0x1f43058e, 0x00000000,
      0x00000000, 0x84af073d, 0x1f430a4e, 0x40b5e74e, 0x1f43058e],
     [0x0001917b, 0x00000000, 0xa092c68c, 0x15b2f30f, 0xa08c668c,
      0x146af44f, 0x687405c1, 0x0f4af3cf, 0x6c7b668c, 0x1002fbcf],
     [0x0000632d, 0x00000000, 0x40b4e73b, 0x1f43028e, 0xe0b56733,
      0x1f42ffce, 0x6cb76702, 0x1f42f310, 0xcca7a730, 0x1f431bce],
     [0x0001917c, 0x00000000, 0x6875c5c1, 0x0e72f44f, 0x6878668c,
      0x1032f44f, 0x6c74a5c1, 0x0e22f44f, 0xa06d469b, 0x0aa2f18f],
     [0x0000632e, 0x00000000, 0x4cb4e741, 0x1f43050e, 0x80b34700,
      0x1f42f7cf, 0xa0b6c6c2, 0x1f42f78f, 0x4cb1c74f, 0x1f431bce],
     [0x0001917d, 0x00000000, 0x687bc5c0, 0x0fc2f50c, 0xa077668c,
      0x0ff2fbcf, 0xa056e698, 0x07aafa8f, 0x74602698, 0x0a22dfcc],
     [0x0000632f, 0x00000000, 0xccae4706, 0x1f42fc8f, 0x0cb0a709,
      0x1f42fc90, 0xe0b106c6, 0x1f43024f, 0x9cab6738, 0x1f43174e],
     [0x00005982, 0x00000000, 0x38ac4703, 0x1f4309cf, 0x1cadc6db,
      0x1f43070f, 0x98b3c70c, 0x1f430a4e, 0xc0b6e712, 0x1f43058e],
     [0x00006330, 0x00000000, 0x4cad8741, 0x1f43050e, 0x70b46749,
      0x1f42ff8e, 0x6cb76719, 0x1f42f68f, 0x4cb0874a, 0x1f43018e],
     [0x0001917f, 0x00000000, 0x687a05c1, 0x0faaf44f, 0x6c7b65c1,
      0x1002fbcc, 0x6c77a5c1, 0x1002f44c, 0xa07145c1, 0x0cdafbcf],
     [0x00006331, 0x00000000, 0x0cb18731, 0x1f42f5cf, 0x54b0070a,
      0x1f43014f, 0x00000000, 0x00000000, 0xbcb84735, 0x1f43140e],
     [0x00019180, 0x00000000, 0x6c6b25c1, 0x0c0af44f, 0x706ce65e,
      0x0c12efcf, 0x647865b5, 0x1032fbcf, 0x687665b5, 0x0e72f1cf],
     [0x00006332, 0x00000000, 0x80a58732, 0x1f43198e, 0x00000000,
      0x00000000, 0x1cb76714, 0x1f42f98f, 0x00000000, 0x00000000],
     [0x00019181, 0x00000000, 0x689405b5, 0x15eaf24f, 0xa07b45b5,
      0x0fd2f30f, 0x6c7765b5, 0x0ec2f28c, 0xa072a5b5, 0x0dcaf34f],
     [0x00006333, 0x00000000, 0xa8a3a72a, 0x1f43184e, 0xa0b62715,
      0x1f42f8cf, 0x9cb60737, 0x1f42f90e, 0xa8aba6e1, 0x1f43014f],
     [0x00019182, 0x00000000, 0xa08de68a, 0x14d2f5cf, 0xa08ea67e,
      0x12e3008f, 0x689ce68c, 0x14fb060f, 0xa09c667e, 0x15a3008f],
     [0x00006334, 0x00000000, 0x00000000, 0x00000000, 0xd8b746d1,
      0x1f42f6ce, 0xf0ba4722, 0x1f42f4ce, 0x80abc739, 0x1f42f8ce],
     [0x0000c7bc, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa095e783, 0x1692f1cf, 0x6c7ac6b1, 0x0fa2f20c],
     [0x00006335, 0x00000000, 0x00000000, 0x00000000, 0xd8ab4708,
      0x1f42f78e, 0x00000000, 0x00000000, 0x88af8725, 0x1f42f68e],
     [0x00019184, 0x00000000, 0xa07e867e, 0x0c8afccf, 0x6879467e,
      0x0c72f38f, 0xa099a67e, 0x13d3008f, 0xa085067e, 0x117b008f],
     [0x00006336, 0x00000000, 0x00000000, 0x00000000, 0x70a9a6e6,
      0x1f43024f, 0x68b6c72c, 0x1f43038e, 0x48b3874e, 0x1f42fe0e],
     [0x00019185, 0x00000000, 0xa0b3267e, 0x1a5b00cf, 0x689e467e,
      0x151b008f, 0x689fe68c, 0x165306cf, 0xa08e467e, 0x106b008f],
     [0x00006337, 0x00000000, 0x00b4a71e, 0x1f42f68f, 0xecb446ba,
      0x1f42f8ce, 0x80b16749, 0x1f43100e, 0xc0b6271b, 0x1f42fe8f],
     [0x00019186, 0x00000000, 0xe49fe68c, 0x166306cc, 0xa08e667e,
      0x126b008f, 0x6889268c, 0x10eafd8f, 0xa09c067e, 0x1303164f],
     [0x00006338, 0x00000000, 0xb8b5e715, 0x1f42f4cf, 0x90b34733,
      0x1f42f68e, 0x6cb3671d, 0x1f4318ce, 0x70aaa745, 0x1f43160e],
     [0x00019187, 0x00000000, 0x689d267e, 0x14ab0b4f, 0x74a1067e,
      0x14731f0f, 0x74c2a67e, 0x1ccb1e8f, 0xa0a3467e, 0x15e2f5cf],
     [0x00006339, 0x00000000, 0xe0b5c70e, 0x1f42fc8e, 0x5cb0e716,
      0x1f42f98e, 0x0cb6a720, 0x1f42f9cf, 0x30b6c6f3, 0x1f42f88f],
     [0x00019188, 0x00000000, 0xa09f467e, 0x13b31c8f, 0xa09de67e,
      0x13eaf50f, 0x7878e5b7, 0x0e02fbcf, 0x78816694, 0x0f83008f],
     [0x0000633a, 0x00000000, 0x6ca8c73a, 0x1f431a0e, 0x00000000,
      0x00000000, 0x6cace742, 0x1f430b0e, 0x00000000, 0x00000000],
     [0x0000598d, 0x00000000, 0x7ca2c700, 0x1f43148e, 0x18b206c8,
      0x1f430690, 0x60b02710, 0x1f42f70f, 0x00000000, 0x00000000],
     [0x0000633b, 0x00000000, 0x84b786f2, 0x1f42f6cf, 0x50b86725,
      0x1f42fa8f, 0x30b16726, 0x1f430f0e, 0x00000000, 0x00000000],
     [0x0001918a, 0x00000000, 0x408665b7, 0x0f82ec4c, 0xa07e4694,
      0x0f3afdcf, 0xa067268f, 0x06e2ff4f, 0x406ac68f, 0x07f2d08c],
     [0x0000633c, 0x00000000, 0x40b7a711, 0x1f42fc8f, 0x7cb466e1,
      0x1f42f88e, 0x00000000, 0x00000000, 0x14b186f0, 0x1f42f8cf],
     [0x0001918b, 0x00000000, 0xa0840694, 0x0e2afdcf, 0xa065a694,
      0x066afd4f, 0xa09f65b8, 0x17a2fe4f, 0xa07e45b8, 0x0f3afdcf],
     [0x0000633d, 0x00000000, 0x4cada70e, 0x1f42fecf, 0xe0a986ca,
      0x1f42fa8e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0001918c, 0x00000000, 0x788185b7, 0x0f9b010f, 0x4081c5b8,
      0x0f92f18c, 0x408325b8, 0x0f93000c, 0xa07565b8, 0x0a82fdcf],
     [0x0000633e, 0x00000000, 0xb0b84742, 0x1f42f74e, 0x88b606de,
      0x1f43000f, 0xbcb54742, 0x1f42face, 0x70b3871d, 0x1f42f98e],
     [0x0001918d, 0x00000000, 0x787485b7, 0x0c2afd4f, 0x786d862c,
      0x091b060f, 0x748185ad, 0x0f5b044f, 0x6883e5ad, 0x0ed311cf],
     [0x0000633f, 0x00000000, 0xc0b5472b, 0x1f42fa8e, 0x50b7a744,
      0x1f43078e, 0xc0b1e71a, 0x1f43044e, 0x00000000, 0x00000000],
     [0x00003c40, 0x00000000, 0xa076259f, 0x106af8cf, 0xa07a859f,
      0x106b018f, 0x546a449f, 0x106b19ce, 0x747bc656, 0x106af68f],
     [0x00006340, 0x00000000, 0x3cb44733, 0x1f43164e, 0x00000000,
      0x00000000, 0x44b66731, 0x1f42f5ce, 0x00000000, 0x00000000],
     [0x00008a40, 0x00000000, 0x84ab65aa, 0x1cf2fc10, 0x84ab65aa,
      0x1cf2fbd0, 0xecab660f, 0x1cf2fbce, 0xecab660f, 0x1cf2fbce],
     [0x00006341, 0x00000000, 0x30b3e73d, 0x1f43048e, 0x40afa742,
      0x1f42ff8e, 0xccade6fd, 0x1f42f5cf, 0xb0ac2731, 0x1f430b8e],
     [0x00008a41, 0x00000000, 0xecafc60f, 0x1cf2f30e, 0x84ab65aa,
      0x1cf2fbd0, 0xecab660f, 0x1cf2fbce, 0xecab660f, 0x1cf2fbce],
     [0x00006342, 0x00000000, 0x3cb16737, 0x1f42fc8f, 0x9cb1c711,
      0x1f42f4ce, 0x98afe73d, 0x1f4302ce, 0x48ada72a, 0x1f43098e],
     [0x00003c43, 0x00000000, 0x10768650, 0x106b0157, 0x1c75064b,
      0x106b0a57, 0x1c71c64a, 0x106b03d7, 0xa07ac64b, 0x106ae90f],
     [0x00006343, 0x00000000, 0x00000000, 0x00000000, 0x00b16736,
      0x1f42f8cf, 0x00000000, 0x00000000, 0xd4b4c72e, 0x1f42fa8e],
     [0x00008a43, 0x00000000, 0x84ab65a9, 0x1cf2fbd0, 0x84ab65a9,
      0x1cf2fbd0, 0x84ab65a9, 0x1cf2fbd0, 0x84ab65a9, 0x1cf2fbd0],
     [0x00006344, 0x00000000, 0x24b64720, 0x1f42facf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x7cb4470f, 0x1f42f8cf],
     [0x00008a44, 0x00000000, 0x84e825a9, 0x2c22fbd0, 0x84aba5a9,
      0x1cf2fbd0, 0x3077067e, 0x0ffafccd, 0x3077067e, 0x0ffafccd],
     [0x00006345, 0x00000000, 0xb0a5a743, 0x1f43084e, 0x80af2739,
      0x1f42f98e, 0x60af8736, 0x1f42fb8e, 0xb0a98737, 0x1f42fc4e],
     [0x00003c46, 0x00000000, 0x68798676, 0x106af78f, 0x8077c66c,
      0x106afc0f, 0x147dc64b, 0x106ae94c, 0x147de596, 0x106aebcc],
     [0x00006346, 0x00000000, 0x00000000, 0x00000000, 0x40b0a72d,
      0x1f430bce, 0x00000000, 0x00000000, 0x70b5e73d, 0x1f42fbce],
     [0x00003c47, 0x00000000, 0x087dc64b, 0x106af2cd, 0x087ea64b,
      0x106af24d, 0x087a864b, 0x106af44d, 0x74790656, 0x106afc0d],
     [0x00006347, 0x00000000, 0x00000000, 0x00000000, 0x24a166f4,
      0x1f431e0f, 0xe09ee734, 0x1f43240e, 0x049cc72e, 0x1f43210f],
     [0x00003c48, 0x00000000, 0x807ea64b, 0x106af0cf, 0x787ee596,
      0x106af28d, 0x787fc596, 0x106af08d, 0x147b859c, 0x106af0ca],
     [0x00006348, 0x00000000, 0x00000000, 0x00000000, 0xe0af8712,
      0x1f43098e, 0x0caea708, 0x1f43084f, 0x90af6721, 0x1f430a8e],
     [0x00003c49, 0x00000000, 0x2881a59d, 0x106af80c, 0x907e0597,
      0x106af20f, 0x087ae64b, 0x106aec0d, 0x747b0656, 0x106af14f],
     [0x00006349, 0x00000000, 0x24b06704, 0x1f43220f, 0xe8b44703,
      0x1f43064f, 0x3cb6a6d6, 0x1f43028f, 0xc0ae472a, 0x1f43054e],
     [0x00003c4a, 0x00000000, 0x787e6596, 0x106af38d, 0x8c78a59f,
      0x106af68f, 0x147de64b, 0x106af24c, 0x147a864b, 0x106af44c],
     [0x0000634a, 0x00000000, 0xdc9fa714, 0x1f43064e, 0x20b6e6e1,
      0x1f430090, 0xe4b50737, 0x1f43060e, 0xdcb4672d, 0x1f43144e],
     [0x0000520d, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00b54720, 0x1f42fa4f],
     [0x0000634b, 0x00000000, 0x3cb546e1, 0x1f42ff90, 0x60ace716,
      0x1f43084f, 0x2cb126db, 0x1f430550, 0xdcaee707, 0x1f430c4e],
     [0x00003c4c, 0x00000000, 0xfc7ca673, 0x106af4cc, 0xfc7d6667,
      0x106af30c, 0xfc7c0672, 0x106af5cc, 0xa07ca673, 0x106af4cf],
     [0x0000634c, 0x00000000, 0xacaf2727, 0x1f43084e, 0xa4b30723,
      0x1f43044e, 0x98b0072a, 0x1f430f4e, 0xa8aa8723, 0x1f43100e],
     [0x00003c4d, 0x00000000, 0xa06ec6f6, 0x106ade4f, 0x8c80459c,
      0x106af8cf, 0x8c6fc666, 0x106ae34f, 0xb88043e7, 0x106aedca],
     [0x0000634d, 0x00000000, 0xd8ae4706, 0x1f43054f, 0x88b2872c,
      0x1f43058e, 0x24b7c6b3, 0x1f430290, 0x6cac072d, 0x1f43054e],
     [0x00008a4d, 0x00000000, 0xa0a2261a, 0x1cf3114f, 0xa0a2261a,
      0x1cf3114f, 0x148fa5d5, 0x188303cd, 0x1495a5d5, 0x18830fcd],
     [0x0000634e, 0x00000000, 0x04a8c728, 0x1f431dcf, 0x88a9a72c,
      0x1f43164e, 0xd4a80727, 0x1f430dce, 0x28ada6eb, 0x1f430550],
     [0x00008a4e, 0x00000000, 0x3c726679, 0x0ffaff8d, 0x3c75a679,
      0x0ffb060d, 0xd8aac58f, 0x1cf2ff50, 0xd8a9a58f, 0x1cf2fd10],
     [0x0000634f, 0x00000000, 0x28b56703, 0x1f43028f, 0x88ab671d,
      0x1f430e8e, 0xc8a5671a, 0x1f431b8e, 0x50b02724, 0x1f43028f],
     [0x00003c50, 0x00000000, 0x147f85a1, 0x106af80c, 0x1471664a,
      0x106b1e97, 0x1467a64a, 0x106b0b17, 0xa06b850e, 0x106b06cf],
     [0x00006350, 0x00000000, 0xb8ac6717, 0x1f43120e, 0xdcaba71b,
      0x1f43064e, 0x6cb7c70a, 0x1f43038f, 0xa0b16703, 0x1f43038f],
     [0x000059a3, 0x00000000, 0x7cbb2719, 0x1f42ff4f, 0xacac4700,
      0x1f4302ce, 0x80b58716, 0x1f42fa0f, 0x00000000, 0x00000000],
     [0x00006351, 0x00000000, 0xf8b12724, 0x1f43204e, 0x54ae870a,
      0x1f43044f, 0x2cb726cf, 0x1f430290, 0xc0b4470c, 0x1f43018f],
     [0x00008a51, 0x00000000, 0x30ab663e, 0x1cf2fbce, 0x8cab65a9,
      0x1cf2fbce, 0x8cab65a9, 0x1cf2fbce, 0x84ab65a9, 0x1cf2fbd0],
     [0x00006352, 0x00000000, 0x5cb686eb, 0x1f42ff90, 0xe8b7c723,
      0x1f4305ce, 0x48b80706, 0x1f42facf, 0x0cb6a720, 0x1f43038f],
     [0x00008a52, 0x00000000, 0x84ad85a9, 0x1cf2f790, 0x3876e67e,
      0x0ffafd0d, 0xacad859f, 0x1cf2f790, 0xacad859f, 0x1cf2f790],
     [0x00006353, 0x00000000, 0x5cb10702, 0x1f43018f, 0xdcb28726,
      0x1f430e0e, 0x8cae6712, 0x1f43034f, 0xa0ab0739, 0x1f43140e],
     [0x00008a53, 0x00000000, 0x3075a67e, 0x0ffaff4d, 0x3075a67e,
      0x0ffaff4d, 0x10ad859f, 0x1cf2f793, 0x3075a67e, 0x0ffb258d],
     [0x00006354, 0x00000000, 0x34afe702, 0x1f43028f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xb8b4c733, 0x1f42f68e],
     [0x0000038f, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x547ac69e, 0x106af38e],
     [0x000080a7, 0x00000000, 0xa08485b8, 0x11e2f34f, 0xfc720693,
      0x0c1ae84b, 0xfc7ce5aa, 0x103aee4b, 0xa075a5b8, 0x0eb2f34f],
     [0x00008a55, 0x00000000, 0x3076e67e, 0x0ffafd0d, 0x3076e67e,
      0x0ffafd0d, 0x88ab65a8, 0x1cf2fbd0, 0x88ab65a8, 0x1cf2fbd0],
     [0x00006356, 0x00000000, 0x9cb36729, 0x1f4308ce, 0xb4b16725,
      0x1f43064e, 0x30b3c73d, 0x1f43018f, 0xb0b7a73e, 0x1f43074e],
     [0x00008a56, 0x00000000, 0x3076e67e, 0x0ffafd0d, 0x3076e67e,
      0x0ffafd0d, 0x88ab65a8, 0x1cf2fbd0, 0x88ab65a8, 0x1cf2fbd0],
     [0x00006357, 0x00000000, 0x1cae071a, 0x1f43070f, 0x98a42716,
      0x1f42fb8e, 0x1cad872d, 0x1f430e8f, 0x00000000, 0x00000000],
     [0x00008a57, 0x00000000, 0x3076e67e, 0x0ffafd0d, 0x3076e67e,
      0x0ffafd0d, 0x88ab65a8, 0x1cf2fbd0, 0x88ab65a8, 0x1cf2fbd0],
     [0x00006358, 0x00000000, 0x50b02723, 0x1f43064f, 0x1cae6736,
      0x1f43018f, 0xf4b5072e, 0x1f42fa8e, 0xe0b38727, 0x1f4302ce],
     [0x0000c804, 0x00000000, 0x4c626507, 0x0a6af912, 0x4c626507,
      0x0a6af912, 0x4c7d0507, 0x0fa2ee12, 0x747d04f7, 0x0fa2ee12],
     [0x00006359, 0x00000000, 0xa8b28739, 0x1f43084e, 0x00000000,
      0x00000000, 0xacb78720, 0x1f42fccf, 0xe4b88711, 0x1f42facf],
     [0x9d78c806, 0x000000ee, 0x305e469b, 0x0a6aff95, 0x305f669b,
      0x0a6b01d5, 0xd05f6483, 0x0a6b01cc, 0x305f669b, 0x0a6b01d5],
     [0x0000635a, 0x00000000, 0x6caf86f6, 0x1f42ffcf, 0x6cb466f6,
      0x1f42ffcf, 0x00000000, 0x00000000, 0xf8b32734, 0x1f42fc8e],
     [0x00003c5b, 0x00000000, 0x10786597, 0x106b084c, 0x10732406,
      0x106b074c, 0x1079c460, 0x106b278c, 0x10634460, 0x106afa4c],
     [0x0000635b, 0x00000000, 0xe0af26eb, 0x1f43064e, 0x7cb02712,
      0x1f42ff8f, 0xc8b84712, 0x1f42f6cf, 0x1cb366fc, 0x1f42ffcf],
     [0x00003c5c, 0x00000000, 0x10676460, 0x106afe8c, 0x586fe646,
      0x106b0e96, 0xc47bc70f, 0x106af656, 0xa078a64b, 0x106afccf],
     [0x0000635c, 0x00000000, 0xe8b66729, 0x1f43040e, 0x1cb52729,
      0x1f42fb0e, 0x1cb10711, 0x1f42f74f, 0x14b4e6f9, 0x1f42f54f],
     [0x0000c80c, 0x00000000, 0x2cc1a6aa, 0x22b2fd4f, 0x2ceee6aa,
      0x2e02fd4f, 0x785be6b1, 0x09b300d6, 0x786f86b1, 0x0e9b00d6],
     [0x0000635d, 0x00000000, 0x60b4e71a, 0x1f42f9cf, 0xe8ae8715,
      0x1f42f80e, 0x28b1070a, 0x1f43000f, 0x64b6671d, 0x1f42f94f],
     [0x0000c80e, 0x0007d000, 0xf87ca45d, 0x124304cc, 0x3064a587,
      0x0a6afad0, 0x3061c587, 0x0a6af510, 0x00000000, 0x00000000],
     [0x0000635e, 0x00000000, 0x44b1870a, 0x1f43000f, 0x08b30709,
      0x1f42f94f, 0x00000000, 0x00000000, 0x1cafe715, 0x1f42fb0f],
     [0x00003c5f, 0x00000000, 0x8c7fa64b, 0x106aec8f, 0xfc79859c,
      0x106aec0b, 0x1079859c, 0x106aec0c, 0x1479a59c, 0x106aec0c],
     [0x0000c811, 0x00000000, 0x7069a698, 0x05bac40f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x6cae0699, 0x1d9afc4f],
     [0x00003c60, 0x00000000, 0x1486a651, 0x106af0cc, 0x1476a64b,
      0x106af14c, 0x1476264b, 0x106b0bcc, 0x107a8613, 0x106af8cc],
     [0x00006360, 0x00000000, 0x04ae470a, 0x1f4300cf, 0x20b76711,
      0x1f42f7cf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000c814, 0x00000000, 0x00000000, 0x00000000, 0x807686aa,
      0x0fa2fc0c, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000c815, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x789706b1, 0x187b00d6],
     [0x00003c62, 0x00000000, 0x307d059c, 0x106af3cf, 0x147c259c,
      0x106aeb0c, 0x8c798612, 0x106af48f, 0x8878459c, 0x106afd8b],
     [0x00006362, 0x00000000, 0x00000000, 0x00000000, 0xf0ae06f2,
      0x1f42f90e, 0x20b8e716, 0x1f42f94f, 0xecaf871a, 0x1f42f74e],
     [0x00008a62, 0x00000000, 0x487006b7, 0x0ffb120c, 0x4c6a86b7,
      0x0ffb070c, 0x4c71e6b7, 0x0ffb15cc, 0x4c7666b7, 0x0eab1d0c],
     [0x00006363, 0x00000000, 0x94b646fe, 0x1f42f94e, 0x94b6c6fe,
      0x1f42fa4e, 0xa0b72702, 0x1f42fc0e, 0xe0b186fa, 0x1f42fb8e],
     [0x00008a63, 0x00000000, 0x4c61a6b7, 0x0eaaf38c, 0x4c7666b7,
      0x0eab1d0c, 0x4c61a6b7, 0x0eaaf38c, 0x4c7666b7, 0x0eab1d0c],
     [0x00006364, 0x00000000, 0x00ada6f2, 0x1f42fa0f, 0x78b6c706,
      0x1f42fcce, 0x00b446f6, 0x1f42fd0f, 0xd8b446f3, 0x1f42fe4e],
     [0x00003c65, 0x00000000, 0x8c7b864b, 0x106af0cb, 0x287b864b,
      0x106af0cc, 0x147ba64b, 0x106ae44c, 0xa078c651, 0x106afc8f],
     [0x00006365, 0x00000000, 0xecb106f6, 0x1f42fc0e, 0x48b4671d,
      0x1f42fb4f, 0xf4af86ee, 0x1f42f74e, 0x00000000, 0x00000000],
     [0x00003c66, 0x00000000, 0xa078c651, 0x106afc8f, 0xa077e651,
      0x106b0ecf, 0x7c7b2596, 0x106af74f, 0x807ba59f, 0x106af64f],
     [0x00006366, 0x00000000, 0x00000000, 0x00000000, 0x64b66724,
      0x1f42fa0f, 0x00000000, 0x00000000, 0xe4b64711, 0x1f42f94e],
     [0x00008a66, 0x00000000, 0x4c6406b7, 0x0f42f38c, 0x3452a67d,
      0x069afa8d, 0x3068467e, 0x0ffb1a4d, 0x8091460b, 0x156af88e],
     [0x00006367, 0x00000000, 0xf4b66711, 0x1f42f7ce, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xecb28701, 0x1f42f7ce],
     [0x00008a67, 0x00000000, 0xa08dc630, 0x156afa8f, 0xa08dc630,
      0x156afa8f, 0xa092e60b, 0x156af0cf, 0xa08ee574, 0x156af40f],
     [0x00006368, 0x00000000, 0x0cb34706, 0x1f42f94f, 0xecb56711,
      0x1f42f94e, 0x00000000, 0x00000000, 0x34b10719, 0x1f42f74f],
     [0x00008a68, 0x00000000, 0x6c9045ed, 0x156afc4f, 0xd08a6649,
      0x156b014f, 0xa091460b, 0x156af88f, 0xa091460b, 0x156af88f],
     [0x00006369, 0x00000000, 0x00000000, 0x00000000, 0xc8b40712,
      0x1f42fa4e, 0x00000000, 0x00000000, 0xf8b2a70d, 0x1f42f94e],
     [0x00008a69, 0x00000000, 0x808ee60b, 0x156af3cc, 0x8091460b,
      0x156af88c, 0xa0aa060b, 0x1c22f80f, 0xa0aa060b, 0x1c22f80f],
     [0x0000636a, 0x00000000, 0x60b38715, 0x1f42f34f, 0x00000000,
      0x00000000, 0x30afe713, 0x1f42f84f, 0xd4b6c704, 0x1f42fd0e],
     [0x00008a6a, 0x00000000, 0x808fa626, 0x156af54e, 0x80908626,
      0x156af70e, 0x908fa62a, 0x156af54e, 0x9090862a, 0x156af70e],
     [0x0000636b, 0x00000000, 0x18b28715, 0x1f42f64f, 0xf4b166fe,
      0x1f42fa0e, 0xdcb5c709, 0x1f42fd0e, 0xd0b4e706, 0x1f42f84e],
     [0x00008a6b, 0x00000000, 0xb893861a, 0x1612f68e, 0xb892861a,
      0x1612f48e, 0xb893861a, 0x1612f68e, 0xb892861a, 0x1622f48e],
     [0x0000c82b, 0x00000000, 0x707a4688, 0x0fa2f54f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00003c6d, 0x00000000, 0x289006de, 0x106ace4b, 0xa899e73e,
      0x106aba89, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000636d, 0x00000000, 0x84b7a6b6, 0x1f42f650, 0xd8ab06f8,
      0x1f43014e, 0xbcb186b4, 0x1f43000e, 0x84b66726, 0x1f42ffcf],
     [0x00008a6d, 0x00000000, 0x64978728, 0x17d2fa8e, 0xc4ad4657,
      0x1c72f40d, 0xc4a18657, 0x1a52fa8d, 0xc4a18657, 0x1a52fa8d],
     [0x0000636e, 0x00000000, 0xc0af2703, 0x1f43118e, 0x84b3c6e1,
      0x1f4300cf, 0xc8b44713, 0x1f42f8cf, 0x00000000, 0x00000000],
     [0x00008a6e, 0x00000000, 0xc4a18657, 0x1a52fa8d, 0xc4a18657,
      0x1a52fa8d, 0xc4a18657, 0x1a52fa8d, 0xc4a18657, 0x1a52fa8d],
     [0x0000636f, 0x00000000, 0x38b066b8, 0x1f4301cf, 0x00000000,
      0x00000000, 0xa4b5c6f8, 0x1f42fd50, 0xecb806bb, 0x1f42fe0f],
     [0x00008a6f, 0x00000000, 0xc4a18657, 0x1a52fa8d, 0xd4a1875a,
      0x1a52fa8c, 0xc4a18657, 0x1a52fa8d, 0xc4a18657, 0x1a52fa8d],
     [0x00006370, 0x00000000, 0x00000000, 0x00000000, 0x30b5a6ba,
      0x1f430010, 0x9cb6870d, 0x1f43014f, 0x88b726d8, 0x1f430290],
     [0x0000c834, 0x00000000, 0x94404736, 0x00027899, 0x94404736,
      0x00027899, 0x3022a67e, 0x0002a38d, 0x00000000, 0x00000000],
     [0x00006371, 0x00000000, 0xa0b3c6f0, 0x1f4300cf, 0xacb086f3,
      0x1f42fc0e, 0x38ad86fa, 0x1f42ff10, 0x28b566ca, 0x1f42fe10],
     [0x0000c836, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x04432682, 0x00026e18],
     [0x0000c837, 0x00000000, 0x044f0682, 0x00025158, 0xa85e86e0,
      0x000231cb, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000c838, 0x00000000, 0x00000000, 0x00000000, 0x90486736,
      0x00026d57, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006373, 0x00000000, 0xd8b7a700, 0x1f42f9cf, 0xb8b36701,
      0x1f42ff4f, 0xc4ae46fa, 0x1f42fecf, 0x70b32705, 0x1f42fc4f],
     [0x00008a73, 0x00000000, 0xa4c94713, 0x23caf6cd, 0xa4ce4713,
      0x246af1cd, 0x9c9746a2, 0x1862ff8c, 0x3c9fa5fb, 0x1acafa0f],
     [0x0000c83b, 0x00000000, 0xc4404342, 0x00027889, 0xc4404342,
      0x00027889, 0xcc3dc3c5, 0x00027389, 0xcc4043c5, 0x00027889],
     [0x0000c83c, 0x00000000, 0x1c302735, 0x00028dd8, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006375, 0x00000000, 0x00000000, 0x00000000, 0x2cab46fd,
      0x1f43034f, 0x20ae06be, 0x1f430190, 0x04b406f6, 0x1f42ff0f],
     [0x000191c4, 0x00000000, 0x7476259f, 0x0e62f58f, 0xc48d65a1,
      0x14d2fa8c, 0x788f25a1, 0x129af58c, 0xc49765a1, 0x14aaf58c],
     [0x00006376, 0x00000000, 0x34ae8701, 0x1f43020f, 0x90b3c6b1,
      0x1f430210, 0x80b6c6bc, 0x1f42f78f, 0x74b80715, 0x1f42fa8f],
     [0x0000c840, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x5492869b, 0x16baf94f, 0x00000000, 0x00000000],
     [0x0000c841, 0x00000000, 0x00000000, 0x00000000, 0x70a6e698,
      0x1b4af78f, 0x00000000, 0x00000000, 0x5491469b, 0x15dafe4f],
     [0x00008a77, 0x00000000, 0xa0a94596, 0x1cf2ff8f, 0xa0a94675,
      0x1cf2ff8f, 0xaca9469f, 0x1cf2ff8c, 0x3cc7657b, 0x23cafa91],
     [0x00006378, 0x00000000, 0x2cb24704, 0x1f42fdcf, 0xa0b406fe,
      0x1f42fc4f, 0x40a9a707, 0x1f42ffcf, 0x8cb7470e, 0x1f42f6cf],
     [0x0000c844, 0x00000000, 0x00000000, 0x00000000, 0x3c9a66a5,
      0x18b2fb8f, 0x00000000, 0x00000000, 0x688d86a3, 0x0fa2f8cf],
     [0x00006379, 0x00000000, 0x04b746f8, 0x1f42fecf, 0x00000000,
      0x00000000, 0x7cb72733, 0x1f42fece, 0x70b826d6, 0x1f42fbcf],
     [0x0000c846, 0x00000000, 0x34a54605, 0x1a92fbcc, 0xa092468c,
      0x15e300cf, 0xa09be69b, 0x18eaf94e, 0x00000000, 0x00000000],
     [0x0000c847, 0x00000000, 0x3ca7a6a5, 0x1ba2fa8f, 0xa09d468c,
      0x187b00cf, 0x0c99468c, 0x1692f48e, 0x00000000, 0x00000000],
     [0x0000c848, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xdcb8a68c, 0x1f42f413, 0x00000000, 0x00000000],
     [0x0000c849, 0x00000000, 0xa099669b, 0x184afb0f, 0x6c73868c,
      0x0e02f34c, 0xa098e69c, 0x17b2f6cf, 0x5898e68a, 0x17b2f6cf],
     [0x0000c84a, 0x00000000, 0x949666a5, 0x179af90c, 0xa05d05c3,
      0x09c2f04f, 0x00000000, 0x00000000, 0xa094a780, 0x1692f04f],
     [0x0000c84b, 0x00000000, 0x00000000, 0x00000000, 0x5499e6a5,
      0x182afb8f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000c84c, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa082c68c, 0x1342fa0f, 0x00000000, 0x00000000],
     [0x0000c84d, 0x00000000, 0x00000000, 0x00000000, 0x1894c69e,
      0x17f3010f, 0x1890e69e, 0x15fafd0f, 0x187c269e, 0x1192ffcf],
     [0x0000c84e, 0x00000000, 0x1884669e, 0x12baf80f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000c84f, 0x00000000, 0x749d65b5, 0x1922fbcf, 0x748c85ce,
      0x1432f3cc, 0xa08ee68c, 0x0f8b00cf, 0xa095268c, 0x180300cf],
     [0x0000c850, 0x00000000, 0x6cb586ed, 0x1e82f70b, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000637f, 0x00000000, 0x4cad26f7, 0x1f42f60f, 0xb0b286d3,
      0x1f42fb8f, 0x98afc717, 0x1f43094e, 0x94b2c70e, 0x1f42fa8f],
     [0x0000c852, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x5ca1069a, 0x1a0afd4f],
     [0x00006380, 0x00000000, 0xc0b386de, 0x1f42fbcf, 0x00000000,
      0x00000000, 0x38b666c7, 0x1f42f8cf, 0x7cae2706, 0x1f43000e],
     [0x0000c854, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x709de698, 0x1772ec4f],
     [0x0000c855, 0x00000000, 0x709de698, 0x1772f50f, 0x709f6698,
      0x1772ec4f, 0x709f6698, 0x1772f50f, 0x709f6698, 0x1772f3cf],
     [0x0000c856, 0x00000000, 0x709f6698, 0x1772f38f, 0x709d4698,
      0x1772ec4f, 0x709d4698, 0x1772fa4f, 0x709f6698, 0x1772ec4f],
     [0x00006382, 0x00000000, 0xe8b54703, 0x1f42face, 0x14b7a732,
      0x1f42facf, 0x58ab26e9, 0x1f43000f, 0x00000000, 0x00000000],
     [0x00008a82, 0x00000000, 0x94c7a6e3, 0x24e302cb, 0x94b7e6e3,
      0x1feafa8b, 0x94a986e3, 0x1c92fc8b, 0xa090e720, 0x1592f64a],
     [0x00006383, 0x00000000, 0xa8aee715, 0x1f43048e, 0x64b08716,
      0x1f42f90e, 0x00000000, 0x00000000, 0x10b86711, 0x1f42ffcf],
     [0x00008a83, 0x00000000, 0xa0e90720, 0x2502f60a, 0xa08e6720,
      0x0f9af60a, 0xa08e6720, 0x0f9af60a, 0xa08e6720, 0x0f9af60a],
     [0x00006384, 0x00000000, 0xecb3873d, 0x1f42fb4e, 0x50b46729,
      0x1f42f70f, 0x4cb166e9, 0x1f42fe4f, 0x68b086ef, 0x1f43000f],
     [0x00008a84, 0x00000000, 0xa08e6720, 0x0f9af60a, 0xa08e6720,
      0x0f9af60a, 0xa08e6720, 0x103af60a, 0xa08e6720, 0x0f9af60a],
     [0x00006385, 0x00000000, 0x6cb4a722, 0x1f42f9ce, 0x08b56713,
      0x1f42fc0f, 0x00b22704, 0x1f42f9cf, 0x3cb6a6fa, 0x1f42ff0f],
     [0x00008a85, 0x00000000, 0xa0948720, 0x13a2f60a, 0xa08e6720,
      0x0f9af60a, 0xa08e6720, 0x108af60a, 0xa0a4c720, 0x1712f60a],
     [0x00006386, 0x00000000, 0x08ad670d, 0x1f43010f, 0x18b7a6b8,
      0x1f42fc8f, 0x7cb7a6ef, 0x1f4301cf, 0xacafc6fa, 0x1f42fccf],
     [0x00008a86, 0x00000000, 0xa08e6720, 0x10daf60a, 0xa08e6720,
      0x117af60a, 0xa08e6720, 0x117af60a, 0xa08e679b, 0x0e5af60a],
     [0x00006387, 0x00000000, 0x7cb6c71e, 0x1f43010f, 0x14b726f7,
      0x1f42f50f, 0xe0b366eb, 0x1f42f74f, 0xe0b2c6d6, 0x1f42f60f],
     [0x00008a87, 0x00000000, 0xb48e6720, 0x0e5af608, 0xb0d1a6ea,
      0x27b3054b, 0x98b206e4, 0x1fd2f94b, 0x1471c61e, 0x0fbb098b],
     [0x00006388, 0x00000000, 0xd0b56702, 0x1f42f88f, 0x50b6a717,
      0x1f42face, 0xa8af8706, 0x1f42f8ce, 0x3cb08709, 0x1f42fccf],
     [0x0000c864, 0x00000000, 0x7cb025ab, 0x1e8aff10, 0xf87bc68c,
      0x1243058c, 0x7cb025ab, 0x1e8aff10, 0xf87bc68c, 0x1243058c],
     [0x0000c865, 0x00000000, 0x7cb505ab, 0x1e8af590, 0x087bc6c8,
      0x1243058c, 0xf8b0668c, 0x1e8aff0c, 0xf8b0668c, 0x1e8aff0c],
     [0x00008a89, 0x00000000, 0xfc8e06a8, 0x156afa0e, 0xf48e060b,
      0x156afa0b, 0x888e060b, 0x156afa0c, 0x5892a60b, 0x156af84c],
     [0x0000638a, 0x00000000, 0x00000000, 0x00000000, 0xbcb8270f,
      0x1f42fa0e, 0x34ad46fa, 0x1f42ff0f, 0x44b3471a, 0x1f42fc90],
     [0x00008a8a, 0x00000000, 0xfc8e060b, 0x156afa0e, 0x108e2614,
      0x156afa13, 0x8c8e2506, 0x156afa0f, 0x8c8e25e7, 0x156afa0f],
     [0x0000638b, 0x00000000, 0x8ca9c6fd, 0x1f4301cf, 0x00000000,
      0x00000000, 0xa8aca702, 0x1f42fc4f, 0xc8b386e4, 0x1f43000e],
     [0x000059de, 0x00000000, 0xecb5e704, 0x1f42fb8e, 0x18b42700,
      0x1f42fb8f, 0xf8b72704, 0x1f42f98e, 0x08b18704, 0x1f42fb8f],
     [0x0000638c, 0x00000000, 0x00b8e72a, 0x1f42fa4f, 0x6cb76731,
      0x1f42f40f, 0x00000000, 0x00000000, 0xe0b8071b, 0x1f42fbce],
     [0x0000c86c, 0x00000000, 0xf87d6696, 0x1242f94c, 0xf881e696,
      0x1243024c, 0xf87d6696, 0x1242f94c, 0xf881e696, 0x1243024c],
     [0x0000638d, 0x00000000, 0x94ab2733, 0x1f42fcce, 0xccb10710,
      0x1f42fccf, 0x84b566d8, 0x1f42fa4f, 0x00000000, 0x00000000],
     [0x00008a8d, 0x00000000, 0xc48c8657, 0x1512fa8d, 0xc48c8657,
      0x1512fa8d, 0xc4a18712, 0x1a52fa8d, 0xc0c1c6d8, 0x2262fa8b],
     [0x0000638e, 0x00000000, 0x4cb6470a, 0x1f42fc4f, 0xa8b3271f,
      0x1f42f60e, 0xf4b5270d, 0x1f43014f, 0x00000000, 0x00000000],
     [0x0000c870, 0x00000000, 0xe4b045dd, 0x1e8afe92, 0xb4b04511,
      0x1e8afe8f, 0x187aa69e, 0x114329cd, 0x1865a69e, 0x1142ffcd],
     [0x0000c871, 0x00000000, 0xd8b02652, 0x1e8aff0d, 0x0ca2468c,
      0x1b02fe8d, 0xd8b02652, 0x1e8aff0d, 0xd8b02652, 0x1e8aff0d],
     [0x0000c872, 0x00000000, 0x0ca2468c, 0x1b02fe8d, 0xd8b02652,
      0x1e8aff0d, 0x0ca2468c, 0x1b02fe8d, 0x4cb04623, 0x1e8afe8f],
     [0x00006390, 0x00000000, 0x28b82716, 0x1f42fa4f, 0xe0b1670e,
      0x1f42fa0f, 0x8cb88715, 0x1f42fa8e, 0x00000000, 0x00000000],
     [0x0000c874, 0x00000000, 0xa0b02622, 0x1e8aff0e, 0xf892c68c,
      0x1652f80c, 0xa0b02622, 0x1e8aff0e, 0xf892c68c, 0x1652f80c],
     [0x00006391, 0x00000000, 0x8cb5072c, 0x1f42fb8e, 0x50b5e710,
      0x1f42ff4f, 0x00000000, 0x00000000, 0x80b6873e, 0x1f43064e],
     [0x0000c876, 0x00000000, 0x30ab867e, 0x1cf2fb8d, 0x30ab867e,
      0x1cf2fb8d, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006392, 0x00000000, 0xbcb0e6eb, 0x1f42ff0f, 0xd0b2e725,
      0x1f42f74f, 0x80b0671b, 0x1f42f78f, 0xd0ab4702, 0x1f42f7ce],
     [0x000059e5, 0x00000000, 0x38b5c70c, 0x1f42f88f, 0x48b7671e,
      0x1f42f98f, 0x00000000, 0x00000000, 0x18b7a723, 0x1f42fbcf],
     [0x00006393, 0x00000000, 0xfcb74721, 0x1f42f9ce, 0xc4b586ce,
      0x1f42fd4e, 0xf8ae8700, 0x1f42fece, 0x00000000, 0x00000000],
     [0x0000c87a, 0x00000000, 0xecaac60f, 0x1cf2fd0e, 0x308ea67e,
      0x156af94d, 0x7c8ea6a9, 0x156af94c, 0x00000000, 0x00000000],
     [0x00006394, 0x00000000, 0x98b946ef, 0x1f4300ce, 0xbcb7e6ef,
      0x1f42ff4f, 0x6caf470f, 0x1f43014f, 0x40afc6d9, 0x1f4301cf],
     [0x00008a94, 0x00000000, 0x248ac642, 0x1362f08f, 0x2c8826ae,
      0x1362f5cf, 0x2c8826ae, 0x1362f5cf, 0x2c882600, 0x1362f5cf],
     [0x0000c87d, 0x00000000, 0x00000000, 0x00000000, 0x0ca2468c,
      0x1b02fe8d, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00008a95, 0x00000000, 0x2c882600, 0x1362f5cf, 0x2c9c0600,
      0x1862f60f, 0x2c9c0600, 0x1862f60f, 0x2c93e600, 0x1613088f],
     [0x00006396, 0x00000000, 0x00000000, 0x00000000, 0x38ada734,
      0x1f43080e, 0x70b486fa, 0x1f43018f, 0x6cb1c6fd, 0x1f43000e],
     [0x0000c880, 0x00000000, 0xa088c68c, 0x12baef4f, 0x2c7a06f9,
      0x10dafdcf, 0x78846696, 0x117af90f, 0xa07fe68c, 0x12bb010f],
     [0x0000c881, 0x00000000, 0xa47fe70b, 0x12bb010d, 0x389aa63a,
      0x189afa8e, 0xa090c68c, 0x154af3cf, 0xa090c68c, 0x154af3cf],
     [0x0000c882, 0x00000000, 0x6c92060b, 0x1773028f, 0x58920690,
      0x1773028d, 0x2c7585db, 0x0fa2fd10, 0x6c92060b, 0x1773028f],
     [0x00006398, 0x00000000, 0x80b3270e, 0x1f42f78f, 0x58b006e7,
      0x1f42fbcf, 0xe8ae4715, 0x1f42f90e, 0x14aec705, 0x1f42f64f],
     [0x0000c884, 0x00000000, 0x94b5c6e3, 0x1eb2f50b, 0x94aba6e3,
      0x1c92f80b, 0xe4942511, 0x1772fe92, 0x70942679, 0x1812fe4f],
     [0x0000c885, 0x00000000, 0xbc942701, 0x1772fe4e, 0x9c7dc6c4,
      0x1243018c, 0x1473e583, 0x0e22f451, 0x287d65de, 0x124b0290],
     [0x0000c886, 0x00000000, 0x1c6ac581, 0x0c52f811, 0x0c718586,
      0x0f6b0351, 0x94bd879a, 0x1e2b0e8b, 0x00000000, 0x00000000],
     [0x0000c887, 0x00000000, 0x00000000, 0x00000000, 0xa09505aa,
      0x1823020f, 0xa0ad05aa, 0x1e23020f, 0xa08dc630, 0x156afa8f],
     [0x0000c888, 0x00000000, 0xa0970621, 0x18c2fa8f, 0x78970621,
      0x18c2fa8e, 0x3891e5fe, 0x15baf4cf, 0xac56069a, 0x0903070c],
     [0x0000c889, 0x00000000, 0xac6f069a, 0x0cdaf3cc, 0xac6ee69a,
      0x0f3b070c, 0xac88c69a, 0x134af3cc, 0x30880600, 0x1402fb0f],
     [0x0000c88a, 0x00000000, 0x30880600, 0x1402fb0f, 0x1c878605,
      0x1452fe8f, 0x1c878605, 0x1452fe8f, 0xa09a2720, 0x114af60a],
     [0x0000c88b, 0x00000000, 0xa0c0e720, 0x1afaf60a, 0xa0e7c720,
      0x24b2f60a, 0xa099e720, 0x127af58a, 0xa0c0e720, 0x1c3af60a],
     [0x0000c88c, 0x00000000, 0xa0e7c720, 0x25f2f60a, 0xa09a2720,
      0x128af60a, 0xa09a2720, 0x128af60a, 0xa09a2720, 0x128af60a],
     [0x0000c88d, 0x00000000, 0xfc942627, 0x1772fe8e, 0xfc942627,
      0x1772fe8e, 0xfc6c0627, 0x11531d8e, 0xfc93e627, 0x1772ff0e],
     [0x0000c88e, 0x00000000, 0xe4942607, 0x1772fe92, 0x0c944607,
      0x1772fe8f, 0xfc942627, 0x1772fe8e, 0xb493c61d, 0x1772fece],
     [0x0000639e, 0x00000000, 0x2cb6073f, 0x1f42f90e, 0x00000000,
      0x00000000, 0xf4b7e739, 0x1f42fa0e, 0xf0b7670d, 0x1f42ff4e],
     [0x00008a9e, 0x00000000, 0x108f66a7, 0x156af790, 0x388aa5fc,
      0x156af90f, 0x388ea5fc, 0x156b010f, 0x388aa70e, 0x156af90f],
     [0x0000639f, 0x00000000, 0x60b3e730, 0x1f43028f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x9cacc711, 0x1f4303ce],
     [0x0000c892, 0x00000000, 0x0893e5e4, 0x1772ff10, 0xe093e62f,
      0x1772ff0e, 0x7493e620, 0x1772ff0e, 0xec93e64d, 0x1772ff0d],
     [0x000063a0, 0x00000000, 0x00000000, 0x00000000, 0xdcb64708,
      0x1f42f64e, 0x04b48719, 0x1f42fe4f, 0x00000000, 0x00000000],
     [0x0000c894, 0x00000000, 0x4c93c683, 0x1772ff11, 0x1c93c683,
      0x1772ff0d, 0x1c93c683, 0x1772ff0d, 0x1c93c683, 0x1772ff0d],
     [0x000063a1, 0x00000000, 0x14b10740, 0x1f43054e, 0xd0b006f4,
      0x1f42fcce, 0x54b9073c, 0x1f42f74e, 0xe0af0718, 0x1f42fd0e],
     [0x0000c896, 0x00000000, 0x4c93c6e1, 0x1772ff11, 0x4c93c72c,
      0x1772ff11, 0x4c93c72c, 0x1772ff11, 0x4c93c731, 0x1772ff11],
     [0x000063a2, 0x00000000, 0x64b6a6fc, 0x1f42fe0f, 0x58aa8741,
      0x1f43080e, 0x8cb0872a, 0x1f42fe0e, 0x68b6473a, 0x1f42ff0e],
     [0x0000c898, 0x00000000, 0x3093c67e, 0x1772ff0d, 0x0c93c5e3,
      0x1772ff10, 0x3093c698, 0x1772ff0d, 0xbc93c638, 0x1772ff0e],
     [0x000063a3, 0x00000000, 0xc8b12720, 0x1f4301ce, 0x8cb14708,
      0x1f42fd0e, 0x78b126f6, 0x1f42ff0f, 0x20ac671f, 0x1f43014f],
     [0x0000c89a, 0x00000000, 0x089246c1, 0x1773020b, 0x089246c1,
      0x1773020b, 0x40b6a5fe, 0x1f42f78f, 0x40b6a5fe, 0x1f42f78f],
     [0x0000c89b, 0x00000000, 0x9c6ce6c4, 0x0d0af98c, 0x4493e637,
      0x1772ff0e, 0xd4924659, 0x1773020d, 0xd4924659, 0x1773020d],
     [0x0000c89c, 0x00000000, 0xf49246b5, 0x1773020b, 0xf49246b5,
      0x1773020b, 0xc893c69a, 0x1772fecc, 0xc893c69a, 0x1772fecc],
     [0x000063a5, 0x00000000, 0x6cb1c730, 0x1f42f94f, 0xecb7e71d,
      0x1f42f94e, 0x9cb06705, 0x1f42fc0e, 0x64b1871b, 0x1f43094e],
     [0x0000c89e, 0x00000000, 0xb0924720, 0x1773020a, 0xb0924720,
      0x1773020a, 0x449245fb, 0x1773020f, 0x449245fb, 0x1773020f],
     [0x000063a6, 0x00000000, 0x20b44702, 0x1f42f60f, 0x4cb1470c,
      0x1f43024f, 0x10b846f7, 0x1f42f58f, 0x00000000, 0x00000000],
     [0x00003ca7, 0x00000000, 0x0c6be650, 0x106b1655, 0x2c72666c,
      0x106b0957, 0x3067c671, 0x106b1217, 0x30750671, 0x106b0397],
     [0x0000c8a1, 0x00000000, 0x58920690, 0x1773028d, 0x58920690,
      0x1773028d, 0x0c92066f, 0x1773028e, 0x0c92066f, 0x1773028e],
     [0x00003ca8, 0x00000000, 0x30792671, 0x106b0397, 0x747c064b,
      0x106af58f, 0x747ea64b, 0x106aee0f, 0xa079064b, 0x106ae00f],
     [0x0000c8a3, 0x00000000, 0x1c878605, 0x1452fe8f, 0x1c878605,
      0x1452fe8f, 0x1c878605, 0x1452fe8f, 0x349165fc, 0x177303cf],
     [0x00008aa8, 0x00000000, 0x748e26ee, 0x156afa0b, 0x388aa5fc,
      0x156af90f, 0x388ea5fc, 0x156b010f, 0x04b00649, 0x1d2af44e],
     [0x0000c8a5, 0x00000000, 0x1c878605, 0x1452fe8f, 0x98a44662,
      0x1b02fa8d, 0x98a44662, 0x1b02fa8d, 0x98a44662, 0x1b02fa8d],
     [0x00003caa, 0x00000000, 0x087ec64b, 0x106af08d, 0x8c7d2597,
      0x106afb0f, 0x8c7f2596, 0x106aefcf, 0xa079664b, 0x106aeb8f],
     [0x000063aa, 0x00000000, 0xa0b4272d, 0x1f42f78e, 0x6cb7e72c,
      0x1f42f78e, 0x58af673a, 0x1f42fe0e, 0x6cab6737, 0x1f430e0e],
     [0x0000c8a8, 0x00000000, 0x28aaa67d, 0x1c72f94d, 0x28aaa67d,
      0x1c72f94d, 0xa090e68c, 0x177304cf, 0xa090e68c, 0x177304cf],
     [0x0000c8a9, 0x00000000, 0xa090e68c, 0x177304cf, 0xa090e68c,
      0x177304cf, 0xa078868c, 0x115b04cf, 0xa078868c, 0x115b04cf],
     [0x0000c8aa, 0x00000000, 0xa090e68c, 0x177304cf, 0xa0acc68c,
      0x1e6304cf, 0xa0a9868c, 0x1d8304cf, 0xa0a9868c, 0x1d8304cf],
     [0x0000c8ab, 0x00000000, 0xa0a5468c, 0x1c8af34f, 0xa0a5468c,
      0x1c82f34f, 0xa0be868c, 0x2242f34f, 0xa0bd868c, 0x2282f34f],
     [0x0000c8ac, 0x00000000, 0x08900607, 0x1773068f, 0x08900607,
      0x1773068f, 0x409225fe, 0x1773024f, 0x409225fe, 0x1773024f],
     [0x0000c8ad, 0x00000000, 0xdc922655, 0x1773024d, 0xdc922655,
      0x1773024d, 0x20d0459c, 0x2602fa91, 0x20d0459c, 0x2602fa91],
     [0x0000c8ae, 0x00000000, 0x20a6c59c, 0x1ba2fa91, 0xbc94261b,
      0x1772fe4e, 0x407385b5, 0x0f93008c, 0xac880600, 0x1402fb0c],
     [0x0000c8af, 0x00000000, 0x308806a1, 0x1402fb0f, 0x308806a1,
      0x1402fb0f, 0xa094c65e, 0x1772fd0f, 0x28aaa67e, 0x1c72f94d],
     [0x0000c8b0, 0x00000000, 0x94b1e6e3, 0x1e8afb8b, 0x94b1e6e3,
      0x1e8afb8b, 0x80aae6e8, 0x1e0b058b, 0x80aae6e8, 0x1e0b058b],
     [0x0000c8b1, 0x00000000, 0xe48225eb, 0x1242f8cf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xa494263b, 0x1772fe8e],
     [0x00008aaf, 0x00000000, 0x38b005fc, 0x1d2af44f, 0x388ca5fc,
      0x156afd0f, 0x388ca5fc, 0x156afd0f, 0x048ca647, 0x156afd0e],
     [0x000063b0, 0x00000000, 0x04b6070d, 0x1f42facf, 0x00000000,
      0x00000000, 0x2cb14719, 0x1f42fa8f, 0x00000000, 0x00000000],
     [0x0000c8b4, 0x00000000, 0x94946640, 0x1772fdce, 0x94946640,
      0x1772fdce, 0x1c942605, 0x1772fe4f, 0x1c942605, 0x1772fe4f],
     [0x0000c8b5, 0x00000000, 0x1c87866b, 0x1452fe8f, 0xac8e269a,
      0x156afa0c, 0x409245fe, 0x1773020f, 0x409245fe, 0x1773020f],
     [0x00005a04, 0x00000000, 0x00000000, 0x00000000, 0xe4b04707,
      0x1f42f9ce, 0xa4af0708, 0x1f42fdce, 0xccb8a70c, 0x1f42fb8e],
     [0x000063b2, 0x00000000, 0x88b6e72b, 0x1f42f78e, 0x70b2e735,
      0x1f42face, 0x7cb06744, 0x1f43084e, 0x38b6071e, 0x1f42f78f],
     [0x00008ab2, 0x00000000, 0x108ca681, 0x156afd0d, 0x588ca6d2,
      0x156afd0b, 0x588ca6d2, 0x156afd0b, 0xa48be6b5, 0x156afd4a],
     [0x0000c8b9, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x8093c69a, 0x1772fecc, 0x8093c69a, 0x1772fecc],
     [0x00008ab3, 0x00000000, 0xa48c86b5, 0x156afe8a, 0xccdf8616,
      0x2a42fe0e, 0xccdf8616, 0x2a42fe0e, 0x388b65fc, 0x156afa8f],
     [0x000063b4, 0x00000000, 0x00000000, 0x00000000, 0xbcb4c71a,
      0x1f42ff8e, 0x2cb6672a, 0x1f42f8ce, 0xbcb7471a, 0x1f42fd8e],
     [0x00008ab4, 0x00000000, 0x388de5fc, 0x156aff8f, 0x048cc649,
      0x156afd0e, 0x048ca649, 0x156afd0e, 0x5c8ca6b3, 0x156afd0c],
     [0x0000c8bd, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x6c9206c7, 0x1773028f, 0x00000000, 0x00000000],
     [0x00008ab5, 0x00000000, 0x5c8ca6b3, 0x156afd0c, 0x5c8ca6b3,
      0x156afd0c, 0x5c8ca6b3, 0x156afd0c, 0x38d345fc, 0x2712fd0f],
     [0x000063b6, 0x00000000, 0xacb3e716, 0x1f42fdce, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x5cb72707, 0x1f42f8ce],
     [0x00008ab6, 0x00000000, 0x38d345fc, 0x2712fd0f, 0x24860600,
      0x1362fa0f, 0xa08606a1, 0x1362fa0d, 0x1c86069f, 0x1362fa0e],
     [0x000063b7, 0x00000000, 0xccae2722, 0x1f42fcce, 0xbcb3671e,
      0x1f42fd8e, 0xf8b2a716, 0x1f42fbce, 0xccb72726, 0x1f42fb8e],
     [0x0000c8c2, 0x00000000, 0x9c77e6c3, 0x0eab170c, 0x9c64a6c3,
      0x0eaaf08c, 0x9c77e6c4, 0x0eab170c, 0x9c64a6c4, 0x0eaaf08c],
     [0x000063b8, 0x00000000, 0xbcb34716, 0x1f42f68e, 0xdcb7e712,
      0x1f42fbce, 0xc8b6a71a, 0x1f42f80e, 0xc8ad4715, 0x1f430ace],
     [0x0000c8c4, 0x00000000, 0x50942577, 0x1772fe51, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000810b, 0x00000000, 0xa086c67e, 0x1322f2cf, 0x688b268c,
      0x145af58f, 0x68aa668c, 0x1c32f2cf, 0xa08bc67e, 0x13eaeecf],
     [0x00008ab9, 0x00000000, 0xa08ca67e, 0x156afd0f, 0xa0a2e67e,
      0x1ae2f98f, 0xa08cc67e, 0x156afc4f, 0xa08e2623, 0x156afa0f],
     [0x000063ba, 0x00000000, 0xacb88715, 0x1f42f98e, 0xdcab8703,
      0x1f42fcce, 0x00000000, 0x00000000, 0x50b5471a, 0x1f42fb8f],
     [0x0000c8c8, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa4ba4562, 0x2012f751, 0xa4ba4562, 0x2012f751],
     [0x0000810d, 0x00000000, 0x7c7565aa, 0x0e72f18d, 0x787525b4,
      0x0e92f78f, 0xa096e5b0, 0x168af18f, 0x786b25b4, 0x0c32f18f],
     [0x00008abb, 0x00000000, 0xe88385d1, 0x12c2fa0f, 0xe88385d1,
      0x12c2fa0f, 0xac6e269a, 0x0ca2f3cc, 0x3870a67c, 0x0fb3074d],
     [0x000063bc, 0x00000000, 0x00000000, 0x00000000, 0x28b6272a,
      0x1f42f78f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00008abc, 0x00000000, 0x3870a67c, 0x0fb3074d, 0xb470a69d,
      0x0fb3074c, 0xac7ea69f, 0x105af08c, 0xac8e269f, 0x156afa0c],
     [0x0000c8cd, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x30a7a6d7, 0x1cf3034d, 0x00000000, 0x00000000],
     [0x00008abd, 0x00000000, 0xac83e69f, 0x156b0ecc, 0xac92c69f,
      0x156af10c, 0x08714648, 0x156b33ce, 0x34c5867d, 0x2492fc8d],
     [0x000063be, 0x00000000, 0x28b54732, 0x1f42fd8f, 0xf8afc712,
      0x1f42f7ce, 0xbcaae70b, 0x1f42fe8e, 0x78b70707, 0x1f42fa8e],
     [0x00008abe, 0x00000000, 0x34c9867d, 0x2493048d, 0x308ca6be,
      0x156afd0c, 0x308ca6be, 0x156afd0c, 0x28a886ae, 0x1bf2f98c],
     [0x000063bf, 0x00000000, 0xdcb7a713, 0x1f42f94e, 0x24b76725,
      0x1f42f60f, 0x28b4e712, 0x1f42f54f, 0x18af8703, 0x1f42facf],
     [0x00008abf, 0x00000000, 0x948486e3, 0x1473058b, 0x289166ae,
      0x162af98c, 0xac65469a, 0x0cd3070c, 0x946e86e3, 0x0ef3058b],
     [0x000063c0, 0x00000000, 0xccb2470e, 0x1f42fa8e, 0x1caf26f7,
      0x1f42fa8f, 0xacb5c722, 0x1f43080e, 0x18b6c71e, 0x1f42f94f],
     [0x00005a13, 0x00000000, 0x40b34738, 0x1f430c8e, 0x94b8c729,
      0x1f42f70e, 0x78b42727, 0x1f42fccf, 0x7cb22707, 0x1f42fdce],
     [0x000063c1, 0x00000000, 0x00000000, 0x00000000, 0x28b8270e,
      0x1f42f98f, 0x48ab6707, 0x1f42fa8f, 0xccb6471a, 0x1f42face],
     [0x00005a14, 0x00000000, 0x08af471f, 0x1f42f8cf, 0x58b48738,
      0x1f43094e, 0x00000000, 0x00000000, 0xecb2c733, 0x1f42f98e],
     [0x000063c2, 0x00000000, 0xd0b3670b, 0x1f42fbce, 0xb0b22717,
      0x1f43080e, 0x18b1c723, 0x1f42f68f, 0xa8b5472c, 0x1f4305ce],
     [0x00005a15, 0x00000000, 0x68ae2726, 0x1f42f7cf, 0x68b1c710,
      0x1f42f98f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000063c3, 0x00000000, 0x80b6c721, 0x1f42f74e, 0x08b7a71e,
      0x1f42f88f, 0xecaa671a, 0x1f42fc8e, 0x00000000, 0x00000000],
     [0x00005a16, 0x00000000, 0x00000000, 0x00000000, 0x9cb76727,
      0x1f42f64e, 0xb0b56726, 0x1f42fa4e, 0x00000000, 0x00000000],
     [0x000063c4, 0x00000000, 0x08b74722, 0x1f42f58f, 0x08b58722,
      0x1f42f8cf, 0x08b86726, 0x1f42f94f, 0xccb8e72d, 0x1f42f4ce],
     [0x00008ac4, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x2caaa67e, 0x1c72f94d, 0x2caaa67e, 0x1c72f94d],
     [0x000063c5, 0x00000000, 0xdcafe730, 0x1f42f84e, 0xccb5c722,
      0x1f42f58e, 0x2cae070b, 0x1f42fd8f, 0x68b7671e, 0x1f42fbcf],
     [0x00008ac5, 0x00000000, 0x2caaa67e, 0x1c72f94d, 0x2caaa67e,
      0x1c72f94d, 0xd8bea6d0, 0x2142f7cb, 0xd8bea6d0, 0x2142f7cb],
     [0x000063c6, 0x00000000, 0x38b4a70b, 0x1f42fd8f, 0x2cb7a72f,
      0x1f42f5cf, 0x38b18712, 0x1f42fe4f, 0x08b4272e, 0x1f42f78f],
     [0x00008ac6, 0x00000000, 0xd8bea6d0, 0x2142f7cb, 0xd8bea6d0,
      0x2142f7cb, 0x2caaa67e, 0x1c72f94d, 0xd0bb86f4, 0x2082f80c],
     [0x000063c7, 0x00000000, 0xacb2871e, 0x1f42f6ce, 0xacb52702,
      0x1f42f6ce, 0x70b24726, 0x1f42f1ce, 0xccb92707, 0x1f42f7ce],
     [0x00008ac7, 0x00000000, 0xd0bb86f4, 0x2082f80c, 0x50564534,
      0x0782fa92, 0x50564534, 0x0782fa92, 0xfcabc69a, 0x1c72f70d],
     [0x000063c8, 0x00000000, 0xecb5c716, 0x1f42fbce, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x38b0470e, 0x1f42fccf],
     [0x00008ac8, 0x00000000, 0xfcabc69a, 0x1c72f70d, 0xd8a60690,
      0x1c73028c, 0xd8a60690, 0x1c73028c, 0xa4af4661, 0x1cf2f40d],
     [0x1f413ec0, 0x00000000, 0x6492a68e, 0x107ac94c, 0x647aa691,
      0x0fa2cacc, 0x707f4692, 0x0fa2cacc, 0x64992691, 0x1742c94c],
     [0x00013ec1, 0x00000000, 0x649de692, 0x174ac94c, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000063ca, 0x00000000, 0x00000000, 0x00000000, 0x3cb16727,
      0x1f43088e, 0xecb9a726, 0x1f42f7ce, 0x00000000, 0x00000000],
     [0x00008aca, 0x00000000, 0xfc7d8649, 0x1102f80d, 0xe07ca5d0,
      0x105af48f, 0xe067e5d0, 0x0b2af48f, 0xe067e5d0, 0x0b2af48f],
     [0x000063cb, 0x00000000, 0xf8b1e70b, 0x1f42fa8e, 0x00000000,
      0x00000000, 0xbcb9c70e, 0x1f42f8ce, 0x4cb6e736, 0x1f42fb8e],
     [0x00008acb, 0x00000000, 0xb0a185dc, 0x1a52fa8f, 0xb0a185dc,
      0x1a52fa8f, 0xc482c657, 0x12a2fa8d, 0xc482c657, 0x12a2fa8d],
     [0x0000c8eb, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xe465e511, 0x09daee12],
     [0x00008acc, 0x00000000, 0x84a985a8, 0x1cf2ff90, 0x00aac6cb,
      0x1cf2fd0c, 0xaccde621, 0x2582fb0e, 0x88fc65a9, 0x3132fbd0],
     [0x000063cd, 0x00000000, 0xbcb3a71a, 0x1f42fb8e, 0xa4b1670f,
      0x1f42f88e, 0x08b10713, 0x1f42f58f, 0xe8b3e70f, 0x1f42f8ce],
     [0x00008acd, 0x00000000, 0x84ab65aa, 0x1cf2fc10, 0x84ab65aa,
      0x1cf2fbd0, 0x84ab65aa, 0x1cf2fbd0, 0x84e825a9, 0x2c22fbd0],
     [0x000063ce, 0x00000000, 0xacb84739, 0x1f42f6ce, 0x08b6e719,
      0x1f42f94f, 0x00000000, 0x00000000, 0x08b2472e, 0x1f42f48f],
     [0x00008ace, 0x00000000, 0x84aba5a9, 0x1cf2fbd0, 0x84ab65aa,
      0x1cf2fbd0, 0x84ab65aa, 0x1cf2fbd0, 0x84ab65a9, 0x1cf2fbd0],
     [0x000063cf, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x04b80735, 0x1f42f4cf, 0xccb44738, 0x1f42fece],
     [0x00008acf, 0x00000000, 0x84ab65aa, 0x1cf2fbd0, 0x84ac05aa,
      0x1cf2fa90, 0x84ab65a9, 0x1cf2fbd0, 0x84ab65a9, 0x1cf2fbd0],
     [0x000063d0, 0x00000000, 0xacb4a702, 0x1f42f88e, 0x00000000,
      0x00000000, 0x6cb76741, 0x1f42fd0e, 0x8cb88715, 0x1f42fb8e],
     [0x00005a23, 0x00000000, 0x18b4c713, 0x1f42fa8f, 0x64b50728,
      0x1f42fb0f, 0x00000000, 0x00000000, 0x3cafe6f6, 0x1f42fe8f],
     [0x000063d1, 0x00000000, 0xf8b6e72e, 0x1f42f6ce, 0x84b80732,
      0x1f42f88e, 0x78b7e71a, 0x1f42f8cf, 0x90b7a713, 0x1f42face],
     [0x00008ad1, 0x00000000, 0x38ab65fc, 0x1cf2f94f, 0x94aba6a5,
      0x1d02fbcc, 0x94aba6a5, 0x1d02fbcc, 0x84ab65e4, 0x1cf2fbd0],
     [0x000063d2, 0x00000000, 0x8cb82727, 0x1f42f5ce, 0x44b7a738,
      0x1f42fdce, 0x00000000, 0x00000000, 0xccb9670b, 0x1f42f7ce],
     [0x00008ad2, 0x00000000, 0x6cab65a9, 0x1cf2fbcd, 0x84ab65e4,
      0x1cf2fbd0, 0x6cab65a9, 0x1cf2fbcd, 0x98ab65a9, 0x1cf2fbcf],
     [0x000063d3, 0x00000000, 0x84b82732, 0x1f42f50e, 0x48b56712,
      0x1f42f70f, 0xfcb7e70b, 0x1f42f6ce, 0xd0b5671a, 0x1f42fb8e],
     [0x00008ad3, 0x00000000, 0x98ab65a9, 0x1cf2fbcf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000063d4, 0x00000000, 0x5cb24728, 0x1f42fb8f, 0xdcb6a70e,
      0x1f42f8ce, 0x10b16729, 0x1f42fd0f, 0xd4b5670e, 0x1f42f78e],
     [0x00008ad4, 0x00000000, 0x289a4653, 0x18d2fd0f, 0x289a4653,
      0x18d2fd0f, 0x6c91a63d, 0x15e2f6cf, 0xa8a786b0, 0x1b0af94d],
     [0x000063d5, 0x00000000, 0x8cb5c733, 0x1f42f4ce, 0x3cae872d,
      0x1f42f7ce, 0x84b0e728, 0x1f42fa8e, 0xdcb4a715, 0x1f42f7ce],
     [0x00008ad5, 0x00000000, 0xa4a786b0, 0x1b0af94d, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000063d6, 0x00000000, 0x74b7671e, 0x1f42f78e, 0x8cb2e725,
      0x1f42f98e, 0x7cb1a73c, 0x1f43030e, 0xd0b5070e, 0x1f42fcce],
     [0x00005a29, 0x00000000, 0x18b8c708, 0x1f42fc8f, 0x00000000,
      0x00000000, 0xb0b0672c, 0x1f430f8e, 0x38b34717, 0x1f42f88f],
     [0x000063d7, 0x00000000, 0xc8b7471a, 0x1f42f68e, 0x30b6e71b,
      0x1f43030e, 0xccb2a71e, 0x1f42fd8e, 0x8cb3c73d, 0x1f42fece],
     [0x00005a2a, 0x00000000, 0xecb4c738, 0x1f430c0e, 0x58ad46ec,
      0x1f42fbcf, 0x48ad66e4, 0x1f42fe8f, 0x18b326e4, 0x1f42fa8f],
     [0x000063d8, 0x00000000, 0x38b4070b, 0x1f42facf, 0xf0ad4702,
      0x1f43084e, 0xbcb6a728, 0x1f42f6ce, 0x1cb6a71a, 0x1f42f6cf],
     [0x00005a2b, 0x00000000, 0xa4ade711, 0x1f42ff8e, 0xf4b54708,
      0x1f42f7ce, 0xd4afc6f8, 0x1f43028e, 0xdcb02731, 0x1f42f7ce],
     [0x000063d9, 0x00000000, 0x28b42711, 0x1f42fb4f, 0x00000000,
      0x00000000, 0xacaec71e, 0x1f43064e, 0x54b42716, 0x1f4300cf],
     [0x00005a2c, 0x00000000, 0xb4b74738, 0x1f42f9ce, 0x18adc708,
      0x1f42fbcf, 0x48b266fc, 0x1f42fccf, 0xecb6a714, 0x1f42f7ce],
     [0x000063da, 0x00000000, 0x48b3a712, 0x1f43030f, 0xacb50716,
      0x1f43004e, 0x00000000, 0x00000000, 0x34ae0716, 0x1f43018f],
     [0x0000c908, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xc0780407, 0x0fa2f80d],
     [0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005a2e, 0x00000000, 0x00000000, 0x00000000, 0x08b8a72f,
      0x1f42f40f, 0x54ad6719, 0x1f430a8e, 0x00000000, 0x00000000],
     [0x000063dc, 0x00000000, 0xe4ae8723, 0x1f43104e, 0x38b28710,
      0x1f42ff4f, 0x30b30724, 0x1f42ff4f, 0x04a9c70e, 0x1f43014f],
     [0x00005a2f, 0x00000000, 0x94b4e737, 0x1f42fb4e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000063dd, 0x00000000, 0x94b1871d, 0x1f43020f, 0x64abc710,
      0x1f43010f, 0x54b4470f, 0x1f43024f, 0x20b26702, 0x1f43014f],
     [0x00005a30, 0x00000000, 0xacb5c704, 0x1f42fc8e, 0x00000000,
      0x00000000, 0x68b34708, 0x1f42fb8f, 0x00000000, 0x00000000],
     [0x000063de, 0x00000000, 0x44b7270a, 0x1f42fe4f, 0x80af0718,
      0x1f43034f, 0x44aae711, 0x1f43030f, 0x88afc715, 0x1f42ff4f],
     [0x00005a31, 0x00000000, 0x50b48735, 0x1f43064e, 0x00000000,
      0x00000000, 0x68b4a70c, 0x1f42fc8f, 0xecb326f3, 0x1f42fb8e],
     [0x000063df, 0x00000000, 0x44b4e701, 0x1f42ff8f, 0x28ace710,
      0x1f430d0f, 0x88b24721, 0x1f43034f, 0x38b5c71c, 0x1f43014f],
     [0x00005a32, 0x00000000, 0x44b1e71d, 0x1f42f88e, 0x6cabc741,
      0x1f42f9ce, 0x68b52739, 0x1f42face, 0x04b4e730, 0x1f42f7cf],
     [0x000063e0, 0x00000000, 0x00000000, 0x00000000, 0x74b54712,
      0x1f42fd8f, 0x44b82701, 0x1f43040f, 0x48b5c714, 0x1f42fe4f],
     [0x00005a33, 0x00000000, 0x9cb5c6ff, 0x1f42f6ce, 0xdcb72714,
      0x1f42f6ce, 0xf8b3470b, 0x1f42fc8e, 0x00000000, 0x00000000],
     [0x000063e1, 0x00000000, 0x58b66704, 0x1f42fa0f, 0x3cabc716,
      0x1f43040f, 0x08af0711, 0x1f42fdcf, 0x7cb36727, 0x1f430e8e],
     [0x00005a34, 0x00000000, 0x40b46728, 0x1f430d4e, 0xd8b006ff,
      0x1f42fb4e, 0x4cb92739, 0x1f42f6ce, 0xacb3671e, 0x1f42f88e],
     [0x000063e2, 0x00000000, 0x6cade720, 0x1f430f4e, 0x08b1e706,
      0x1f42fe8f, 0x48b3a706, 0x1f42fe4f, 0xa8ad4730, 0x1f42fc4f],
     [0x0000c918, 0x00000000, 0x5495669a, 0x15baee0f, 0x5495669a,
      0x15baee0f, 0x5495669a, 0x15baee0f, 0x5495669a, 0x15baee0f],
     [0x000063e3, 0x00000000, 0x00000000, 0x00000000, 0x78b5470d,
      0x1f43024f, 0x48b00705, 0x1f43020f, 0x08b6c717, 0x1f43014f],
     [0x0000c91a, 0x00000000, 0x5495669a, 0x15baee0f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000063e4, 0x00000000, 0x60af4724, 0x1f43010f, 0xacb3e720,
      0x1f42ff8e, 0x00000000, 0x00000000, 0xfcb5a707, 0x1f42fd0e],
     [0x00005a37, 0x00000000, 0x58b72714, 0x1f42f88f, 0xeca8a6f4,
      0x1f42fd8e, 0x28a846fb, 0x1f42f98f, 0x6cb8473a, 0x1f42f88e],
     [0x000063e5, 0x00000000, 0x58ada713, 0x1f430f0f, 0xc0b6671e,
      0x1f43028e, 0x18ace714, 0x1f42ff4f, 0x98b4a714, 0x1f42fc0f],
     [0x00005a38, 0x00000000, 0x5cb4e730, 0x1f43124e, 0xccad0704,
      0x1f42f78e, 0x00000000, 0x00000000, 0x98b54742, 0x1f42f6ce],
     [0x000063e6, 0x00000000, 0x58b36716, 0x1f42fb4f, 0x70b3e701,
      0x1f42fc8f, 0x8cafe71f, 0x1f42fe0e, 0x6cb46741, 0x1f43038e],
     [0x00005a39, 0x00000000, 0xc0b2e728, 0x1f42fc8e, 0x00000000,
      0x00000000, 0xccb5070b, 0x1f42f88e, 0x90b5a724, 0x1f42f9ce],
     [0x000063e7, 0x00000000, 0x5cad873c, 0x1f43068e, 0x00000000,
      0x00000000, 0xd8aac711, 0x1f42fd8e, 0x3cb28726, 0x1f42f58e],
     [0x00005a3a, 0x00000000, 0x5cb06712, 0x1f4309ce, 0x7cac46ff,
      0x1f42f88e, 0x08b2471f, 0x1f42fb8f, 0x08b6c709, 0x1f42fb8f],
     [0x000063e8, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xbcb72735, 0x1f42f70e],
     [0x00005a3b, 0x00000000, 0xacb72713, 0x1f42f8ce, 0x00000000,
      0x00000000, 0xacb7a73b, 0x1f42fd8e, 0xdcb5a707, 0x1f42f6ce],
     [0x000063e9, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xc8b5873b, 0x1f42face, 0xc8b5673b, 0x1f42fa8e],
     [0x00005a3c, 0x00000000, 0x38b00717, 0x1f42f6cf, 0xbcb3e72d,
      0x1f42f6ce, 0xecb72741, 0x1f42f7ce, 0xccb866ff, 0x1f42f6ce],
     [0x000063ea, 0x00000000, 0x6cb2e72d, 0x1f42fd0e, 0x9cb5072c,
      0x1f4301ce, 0x00000000, 0x00000000, 0xdcb20715, 0x1f4303ce],
     [0x00005a3d, 0x00000000, 0x14b686f0, 0x1f42f8d0, 0xe8b6470b,
      0x1f42f8ce, 0x6cb6c70e, 0x1f42f78e, 0x58b5a713, 0x1f42f78f],
     [0x000063eb, 0x00000000, 0x00000000, 0x00000000, 0xb8b2071e,
      0x1f43040e, 0xdcb20715, 0x1f42ffce, 0x9cb5072c, 0x1f42f9ce],
     [0x00005a3e, 0x00000000, 0x4cb5c705, 0x1f43094e, 0x6cb1e735,
      0x1f42f6ce, 0x68b26727, 0x1f42facf, 0x9cb2673e, 0x1f430e8e],
     [0x000063ec, 0x00000000, 0xfcb62702, 0x1f42f98e, 0x34b2a713,
      0x1f42fc8e, 0x68b40740, 0x1f43094e, 0x00000000, 0x00000000],
     [0x00005a3f, 0x00000000, 0xe8b4e714, 0x1f43044e, 0xa8b3271f,
      0x1f43054e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000c92d, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x5495669a, 0x15baee0f, 0x5495669a, 0x15baee0f],
     [0x0000c92e, 0x00000000, 0x5495669a, 0x15baee0f, 0x5495669a,
      0x15baee0f, 0x5495669a, 0x15baee0f, 0x5495669a, 0x15baee0f],
     [0x000063ee, 0x00000000, 0x00000000, 0x00000000, 0x50b0c6f5,
      0x1f4302cf, 0x60b366ee, 0x1f42fe4f, 0x60b3871e, 0x1f42fdcf],
     [0x0000c930, 0x00000000, 0x5495669a, 0x15baee0f, 0x5495669a,
      0x15baee0f, 0x5495669a, 0x15baee0f, 0x5495669a, 0x15baee0f],
     [0x0000c931, 0x00000000, 0x5495669a, 0x15baee0f, 0x5495669a,
      0x15baee0f, 0x5495669a, 0x15baee0f, 0x5495669a, 0x15baee0f],
     [0x0000c932, 0x00000000, 0x5495669a, 0x15baee0f, 0x5495669a,
      0x15baee0f, 0x5495669a, 0x15baee0f, 0x5495669a, 0x15baee0f],
     [0x000063f0, 0x00000000, 0x00000000, 0x00000000, 0x40b0a6ed,
      0x1f4305cf, 0xd4b5e6e7, 0x1f4305cf, 0x00000000, 0x00000000],
     [0x0000c934, 0x00000000, 0x5495669a, 0x15baee0f, 0x5495669a,
      0x15baee0f, 0x5495669a, 0x15baee0f, 0x5495669a, 0x15baee0f],
     [0x0000c935, 0x00000000, 0x5495669a, 0x15baee0f, 0x5495669a,
      0x15baee0f, 0x5495669a, 0x15baee0f, 0x5495669a, 0x15baee0f],
     [0x0000c936, 0x00000000, 0x5495669a, 0x15baee0f, 0x5495669a,
      0x15baee0f, 0x5495669a, 0x15baee0f, 0x5495669a, 0x15baee0f],
     [0x0000c937, 0x00000000, 0x5495669a, 0x15baee0f, 0x5495669a,
      0x15baee0f, 0x5495669a, 0x15baee0f, 0x5495669a, 0x15baee0f],
     [0x0000c938, 0x00000000, 0x5495669a, 0x15baee0f, 0x5495669a,
      0x15baee0f, 0x5495669a, 0x15baee0f, 0x5495669a, 0x15baee0f],
     [0x0000c939, 0x00000000, 0x5495669a, 0x15baee0f, 0x5495669a,
      0x15baee0f, 0x5495669a, 0x15baee0f, 0x5495669a, 0x15baee0f],
     [0x0000c93a, 0x00000000, 0x5495669a, 0x15baee0f, 0x5495669a,
      0x15baee0f, 0x5495669a, 0x15baee0f, 0x00000000, 0x00000000],
     [0x000063f4, 0x00000000, 0xa0b2c6f6, 0x1f43080f, 0x04b386f3,
      0x1f43020f, 0x00b3c70c, 0x1f43014f, 0x64b42709, 0x1f42fbcf],
     [0x00005a47, 0x00000000, 0x28b8271f, 0x1f42f4cf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x28ac070c, 0x1f42f88f],
     [0x000063f5, 0x00000000, 0x1cb4c6df, 0x1f42fd0f, 0x58b106e5,
      0x1f43044f, 0x34aee6d5, 0x1f4306cf, 0x08b186d4, 0x1f4301cf],
     [0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000063f6, 0x00000000, 0x60b1a6e7, 0x1f43034f, 0xb0b22703,
      0x1f43064f, 0x50b26708, 0x1f43008f, 0x68b186fa, 0x1f43010f],
     [0x0000c940, 0x00000000, 0xcc98653c, 0x1622eb53, 0x00000000,
      0x00000000, 0xe46ea776, 0x15c33c0a, 0x00000000, 0x00000000],
     [0x000063f7, 0x00000000, 0x74b2e6ef, 0x1f43068f, 0x38ae071c,
      0x1f4303cf, 0x34af0720, 0x1f43020f, 0x74b346ea, 0x1f43038f],
     [0x00005a4a, 0x00000000, 0xc0b76717, 0x1f42f64e, 0x00000000,
      0x00000000, 0x28b4271f, 0x1f42f7cf, 0x00000000, 0x00000000],
     [0x0000c943, 0x00000000, 0xe498853c, 0x16233d8a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000c944, 0x00000000, 0xe46f453c, 0x1622eb4a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000c945, 0x00000000, 0xcc988776, 0x16233d93, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000c946, 0x00000000, 0xcc6f4776, 0x1622eb53, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000c947, 0x00000000, 0xe4988776, 0x16233d8a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005a4d, 0x00000000, 0xf8b6c70b, 0x1f42f6ce, 0x8cb786fc,
      0x1f42f6ce, 0x0cb66718, 0x1f42f84f, 0xccb6c70f, 0x1f42f60e],
     [0x0000c949, 0x00000000, 0xe46f4776, 0x1622eb4a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005a4e, 0x00000000, 0x28b5a6ff, 0x1f42f78f, 0x58b0272d,
      0x1f42fc8f, 0x00000000, 0x00000000, 0x9cb506ff, 0x1f42f70e],
     [0x0000c94b, 0x00000000, 0xe498653c, 0x1622eb4a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005371, 0x00000000, 0xb8b82721, 0x1f42f4cd, 0xb8b82721,
      0x1f42f4cd, 0xb8b82721, 0x1f42f4cd, 0xb8b82721, 0x1f42f4cd],
     [0x00005372, 0x00000000, 0xb8b82721, 0x1f42f4cd, 0xb8b82721,
      0x1f42f4cd, 0xb8b82721, 0x1f42f4cd, 0xb8b82721, 0x1f42f4cd],
     [0x00005373, 0x00000000, 0xb8b82721, 0x1f42f4cd, 0xb8b82721,
      0x1f42f4cd, 0xb8b82721, 0x1f42f4cd, 0xb8b82721, 0x1f42f4cd],
     [0x00005374, 0x00000000, 0xb8b82721, 0x1f42f4cd, 0xb8b82721,
      0x1f42f4cd, 0xb8b82721, 0x1f42f4cd, 0xb8b82721, 0x1f42f4cd],
     [0x00005375, 0x00000000, 0xb8b82721, 0x1f42f4cd, 0xb8b82721,
      0x1f42f4cd, 0xb8b82721, 0x1f42f4cd, 0xb8b82721, 0x1f42f4cd],
     [0x00005376, 0x00000000, 0xb8b82721, 0x1f42f4cd, 0xb8b82721,
      0x1f42f4cd, 0xb8b82721, 0x1f42f4cd, 0xb8b82721, 0x1f42f4cd],
     [0x00005377, 0x00000000, 0xb8b82721, 0x1f42f4cd, 0xb8b82721,
      0x1f42f4cd, 0xb8b82721, 0x1f42f4cd, 0xb8b82721, 0x1f42f4cd],
     [0x00005378, 0x00000000, 0xb8b82721, 0x1f42f4cd, 0xb8b82721,
      0x1f42f4cd, 0xb8b82721, 0x1f42f4cd, 0xb8b82721, 0x1f42f4cd],
     [0x0000c954, 0x00000000, 0x58986599, 0x1622eb52, 0xe47b0776,
      0x1623264a, 0xe4988599, 0x16233d8a, 0xe498853c, 0x1623264a],
     [0x0000c955, 0x00000000, 0xe4986599, 0x1623264a, 0xe46f4599,
      0x1622eb4a, 0xe47ae53c, 0x1622eb4a, 0xe47ae599, 0x1622eb4a],
     [0x0000c956, 0x00000000, 0x58988776, 0x16233d92, 0xcc988776,
      0x16232653, 0x58986776, 0x16232652, 0x586f4776, 0x1622eb52],
     [0x0000c957, 0x00000000, 0xcc7ae776, 0x1622eb53, 0x587ae776,
      0x1622eb52, 0xe4988776, 0x16233d8a, 0xe4988776, 0x1623264a],
     [0x0000537d, 0x00000000, 0xb8b82721, 0x1f42f4cd, 0xb8b82721,
      0x1f42f4cd, 0xb8b82721, 0x1f42f4cd, 0xb8b82721, 0x1f42f4cd],
     [0x0000537e, 0x00000000, 0xb8b82721, 0x1f42f4cd, 0xb8b82721,
      0x1f42f4cd, 0xb8b82721, 0x1f42f4cd, 0xb8b82721, 0x1f42f4cd],
     [0x0000537f, 0x00000000, 0xb8b82721, 0x1f42f4cd, 0xb8b82721,
      0x1f42f4cd, 0xb8b82721, 0x1f42f4cd, 0xb8b82721, 0x1f42f4cd],
     [0x00005380, 0x00000000, 0xa8b2a5c1, 0x1f430554, 0xe0af86d1,
      0x1f430f4f, 0xd0aec6f6, 0x1f4307cf, 0xa0ac06e3, 0x1f430350],
     [0x00005381, 0x00000000, 0x38b4870b, 0x1f42fbd0, 0x50b346fd,
      0x1f42fe8f, 0x3cacc6e0, 0x1f430bd2, 0xccb186e3, 0x1f4309cf],
     [0x00005382, 0x00000000, 0x08b76711, 0x1f430f4f, 0x20b2e6c0,
      0x1f42ff11, 0x34b4c6f9, 0x1f430190, 0x54b306eb, 0x1f43030f],
     [0x00005383, 0x00000000, 0x14b086c1, 0x1f430b8f, 0x68aca6ce,
      0x1f430acf, 0x64a9a6f1, 0x1f43040e, 0x80a42707, 0x1f431b4e],
     [0x00005384, 0x00000000, 0x9ca846ff, 0x1f43120e, 0xb8b3e6ca,
      0x1f430790, 0xc8af06d8, 0x1f43070f, 0xecac6718, 0x1f430ace],
     [0x00005385, 0x00000000, 0x38b526e5, 0x1f430090, 0x90ab66da,
      0x1f4307d0, 0x04b746f3, 0x1f42f690, 0x44b2c6f0, 0x1f42ff90],
     [0x00006407, 0x00000000, 0x08b3c6f5, 0x1f43010f, 0xf4b246e9,
      0x1f42fb8e, 0x50b286f9, 0x1f43038f, 0xecb1c71e, 0x1f42fe0e],
     [0x00005387, 0x00000000, 0xe0a82727, 0x1f43190e, 0x38ac86dd,
      0x1f431050, 0x90b446f6, 0x1f43040f, 0x98b486e4, 0x1f43008f],
     [0x00005388, 0x00000000, 0x0cb1c70e, 0x1f43014f, 0x7caa86c1,
      0x1f43100f, 0x98b186fd, 0x1f43088f, 0x74ade747, 0x1f43094e],
     [0x00005389, 0x00000000, 0x84a946cb, 0x1f4316cf, 0x6ca286fb,
      0x1f43008f, 0xc8b2471e, 0x1f43068f, 0x74b2e715, 0x1f430b4f],
     [0x0000538a, 0x00000000, 0x3880e703, 0x1f43568f, 0x3094c713,
      0x1f433b4f, 0x48b6a701, 0x1f43078f, 0x28a20705, 0x1f43274f],
     [0x0000538b, 0x00000000, 0x388aa6f8, 0x1f43328f, 0x88a7472d,
      0x1f43188e, 0xa8b1e6e0, 0x1f4301ce, 0x34a50715, 0x1f4320cf],
     [0x0000538c, 0x00000000, 0x7caf2734, 0x1f430d4e, 0x7cab4720,
      0x1f430f0e, 0x98a46734, 0x1f43224e, 0x40a74736, 0x1f431b4e],
     [0x0000538d, 0x00000000, 0x48ab6704, 0x1f430bcf, 0xb0afc74a,
      0x1f43058e, 0x5c8946a5, 0x1f434a56, 0x1097263f, 0x1f4336d6],
     [0x0000538e, 0x00000000, 0xacb786fc, 0x1f430bcf, 0x88b3e6e4,
      0x1f4303ce, 0x6ca54721, 0x1f4306cf, 0xccb4c70e, 0x1f43074f],
     [0x0000538f, 0x00000000, 0x6cb2e72c, 0x1f43048e, 0x58aa06c8,
      0x1f43138f, 0x8cb80707, 0x1f42fe4e, 0x1c6566d8, 0x1f42f7d0],
     [0x00005390, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xc8b466e5, 0x1f4308d0, 0x78a8a6ec, 0x1f43020f],
     [0x00005391, 0x00000000, 0x00000000, 0x00000000, 0x98b426f4,
      0x1f430acf, 0x00000000, 0x00000000, 0xb0b546f4, 0x1f42fe4f],
     [0x00005392, 0x00000000, 0x74a5c6ec, 0x1f431750, 0xbcb3268a,
      0x1f430e4f, 0x00000000, 0x00000000, 0xe8b686fc, 0x1f42fa4f],
     [0x00005393, 0x00000000, 0xc8a7c72d, 0x1f43094e, 0xc8a5a730,
      0x1f430ace, 0x50b4c72e, 0x1f43058e, 0xb0b56709, 0x1f4305cf],
     [0x0000c96f, 0x00000000, 0x00000000, 0x00000000, 0xa4c94713,
      0x23caf6cd, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000c970, 0x00000000, 0x00000000, 0x00000000, 0x30b826ff,
      0x209af6cb, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005396, 0x00000000, 0x6cb74734, 0x1f430a4e, 0x18ad26c7,
      0x1f4319d0, 0x48abc6cd, 0x1f430d90, 0xbcabe6e6, 0x1f430d58],
     [0x0000c972, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x1c9ba703, 0x18b2f94b, 0x00000000, 0x00000000],
     [0x00005398, 0x00000000, 0x0c9e46e3, 0x1f431e90, 0x2896a708,
      0x1f432e8f, 0xd8b1c6d1, 0x1f42f98f, 0x00000000, 0x00000000],
     [0x00005399, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xc8ab6706, 0x1f4313ce, 0x00000000, 0x00000000],
     [0x0000539a, 0x00000000, 0x00000000, 0x00000000, 0xd8b1c6db,
      0x1f43054f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000539c, 0x00000000, 0x88a7a6ca, 0x1f43170f, 0x18b5c704,
      0x1f42fd50, 0x00000000, 0x00000000, 0xf8b46718, 0x1f42fd0e],
     [0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x02690011, 0x07b0b400, 0xa0960675, 0x1692ec0f, 0xa08dc675,
      0x131aedcf, 0xa08f2675, 0x131af00f, 0x5898c682, 0x1692fb0f],
     [0x0000539f, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xf8b50721, 0x1f42fc8e, 0x0caf0710, 0x1f4309cf],
     [0x0000c97b, 0x00000000, 0xa4c94713, 0x23caf6cd, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000053a1, 0x00000000, 0x44b28716, 0x1f43010f, 0x0c88e6f4,
      0x1f43534f, 0x78a026f2, 0x1f43224f, 0x00000000, 0x00000000],
     [0x000053a2, 0x00000000, 0x9cb2271b, 0x1f4301ce, 0xb8b34736,
      0x1f43058e, 0x48b06733, 0x1f430c0e, 0x44afc733, 0x1f430c4e],
     [0x000053a3, 0x00000000, 0x04b4a672, 0x1f42fe92, 0x84af26e9,
      0x1f430a4e, 0x10b286fd, 0x1f43038f, 0x4caf06c2, 0x1f43078f],
     [0x000053a4, 0x00000000, 0x00000000, 0x00000000, 0x74b206c5,
      0x1f430b50, 0x34b146eb, 0x1f430190, 0xe8b386d2, 0x1f430b4e],
     [0x000053a5, 0x00000000, 0x50b606d3, 0x1f42f9d0, 0x8cb0e734,
      0x1f43078e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000053a6, 0x00000000, 0x5caf66ee, 0x1f430650, 0x60b2c6e9,
      0x1f430990, 0x0caf66c1, 0x1f430b10, 0x84b1471a, 0x1f4308cf],
     [0x000053a7, 0x00000000, 0xc8adc6ff, 0x1f43098f, 0x00000000,
      0x00000000, 0xd0b32707, 0x1f4303cf, 0xd0b246e0, 0x1f43088f],
     [0x000053a8, 0x00000000, 0x60aba630, 0x1f431154, 0xb0b406fb,
      0x1f430790, 0x68b04721, 0x1f43084f, 0x00000000, 0x00000000],
     [0x000053a9, 0x00000000, 0x80b12718, 0x1f430b4f, 0x34afa71b,
      0x1f430dcf, 0x2cae4721, 0x1f4314cf, 0x54a1271b, 0x1f43040f],
     [0x000053aa, 0x00000000, 0x48af673e, 0x1f43104e, 0x8caf8715,
      0x1f43068f, 0x00000000, 0x00000000, 0x78b2673b, 0x1f430b8e],
     [0x000053ab, 0x00000000, 0xe0b08731, 0x1f430a4e, 0x98b2873b,
      0x1f430d4e, 0xa0b26722, 0x1f43150e, 0x00000000, 0x00000000],
     [0x000053ac, 0x00000000, 0x00aee731, 0x1f43074f, 0x00000000,
      0x00000000, 0xf0a92716, 0x1f430e4e, 0xa0ac073a, 0x1f430c8e],
     [0x000053ad, 0x00000000, 0x00000000, 0x00000000, 0x98b32722,
      0x1f43070e, 0xb8b08728, 0x1f43110e, 0x00000000, 0x00000000],
     [0x000053ae, 0x00000000, 0x00000000, 0x00000000, 0xbcb06725,
      0x1f43098e, 0xa4b786cd, 0x1f42fa50, 0x8890a6fd, 0x1f43440f],
     [0x000053af, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x80b006fa, 0x1f43050f],
     [0x000053b0, 0x00000000, 0xa8af0720, 0x1f43070e, 0xacae8707,
      0x1f43080f, 0x8cac4725, 0x1f430c4f, 0xe8ae4702, 0x1f43088e],
     [0x000053b1, 0x00000000, 0x10b3c6d2, 0x1f42fa90, 0x90b22700,
      0x1f43008f, 0xdcad671f, 0x1f430a4e, 0xe8b3c715, 0x1f42fd8f],
     [0x000053b2, 0x00000000, 0xacb78706, 0x1f42f5cf, 0x78b7a6fc,
      0x1f42f60f, 0xccb7c728, 0x1f42fa0e, 0x50b8c711, 0x1f4300ce],
     [0x000053b3, 0x00000000, 0x00000000, 0x00000000, 0xa4b14704,
      0x1f43028f, 0xd8b826e0, 0x1f42f90f, 0xe4b0a713, 0x1f4303cf],
     [0x000053b4, 0x00000000, 0x00000000, 0x00000000, 0x40b78713,
      0x1f4301cf, 0x00000000, 0x00000000, 0x48b68715, 0x1f4301cf],
     [0x000053b5, 0x00000000, 0x2cb5a702, 0x1f42f9cf, 0x9cb22702,
      0x1f4300cf, 0xd4b58710, 0x1f42fa0f, 0xacb52711, 0x1f42facf],
     [0x9419001d, 0x2ad526a4, 0x7463860a, 0x08b2f78f, 0x7479e5a1,
      0x0fa2f88f, 0x5873c5a1, 0x0de2f30f, 0x588f85a1, 0x14daf1cf],
     [0x00005a72, 0x00000000, 0x00000000, 0x00000000, 0x0cb9a700,
      0x1f42f70f, 0xecb02714, 0x1f43104e, 0x60b6473d, 0x1f42f7ce],
     [0xd631001e, 0x000000b2, 0x747665a1, 0x0de2e74f, 0x6873c5a1,
      0x0de2e80c, 0x5c6e0594, 0x0c2aed8e, 0xdc716697, 0x0c82facc],
     [0x000053b9, 0x00000000, 0x0cb7c72e, 0x1f4301cf, 0x18ad26c3,
      0x1f4315d1, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000053ba, 0x00000000, 0x68b6c6f6, 0x1f42f78f, 0x74b4a6f8,
      0x1f42fc0f, 0xb8b4c709, 0x1f42fbcf, 0xb8af0709, 0x1f43070f],
     [0x000053bb, 0x00000000, 0x38af2711, 0x1f4306cf, 0xc0b7c70c,
      0x1f42f58f, 0xc8b8870f, 0x1f42f40f, 0x00000000, 0x00000000],
     [0x000053bc, 0x00000000, 0x8cb2a714, 0x1f42ffce, 0x18b546e2,
      0x1f42fa8f, 0x98b0c720, 0x1f4303ce, 0x9cb60702, 0x1f42f90f],
     [0x000053bd, 0x00000000, 0x40ab4709, 0x1f430e8f, 0xacb56710,
      0x1f42fa4e, 0xc8b34719, 0x1f42fe8e, 0x24b50710, 0x1f42fb0f],
     [0x000053be, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xd4b4a710, 0x1f42fbcf],
     [0x000053bf, 0x00000000, 0x00000000, 0x00000000, 0x2cb8c714,
      0x1f42f38f, 0x00000000, 0x00000000, 0x90b24710, 0x1f43004f],
     [0x0000c99b, 0x00000000, 0x00000000, 0x00000000, 0x8c6f26cc,
      0x0dab038f, 0x586fa71a, 0x0f53064c, 0x5875471a, 0x0f52fb0c],
     [0x000053c1, 0x00000000, 0xe8b1c6fd, 0x1f43018e, 0x60b386f3,
      0x1f42fe0f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000053c2, 0x00000000, 0x78b146f8, 0x1f42facf, 0xa0b60712,
      0x1f42f8cf, 0x90b6e700, 0x1f42f70f, 0x80b7a6fa, 0x1f430b0f],
     [0x000053c3, 0x00000000, 0x00000000, 0x00000000, 0x04b5c6fa,
      0x1f42fad0, 0x6cb5a71e, 0x1f42f80f, 0x78b806fb, 0x1f42f94f],
     [0x000053c4, 0x00000000, 0xa0b28708, 0x1f42f90e, 0xccb64727,
      0x1f42fa0e, 0x5cb026ed, 0x1f42fece, 0x88ada6e4, 0x1f42fdcf],
     [0x000053c5, 0x00000000, 0x48b5e6ea, 0x1f42fa0f, 0x88b5c70f,
      0x1f42f80f, 0x00000000, 0x00000000, 0xe0b5c6fc, 0x1f4305cf],
     [0x000053c6, 0x00000000, 0x48b2c6f0, 0x1f42fa0f, 0x58b6a6f7,
      0x1f42fdcf, 0x44b84709, 0x1f4302cf, 0x88ae4712, 0x1f42f90f],
     [0x000053c7, 0x00000000, 0x70b3a724, 0x1f42fdcf, 0x78afa6e9,
      0x1f42fdcf, 0x7cb7270d, 0x1f4306ce, 0x08af0718, 0x1f42fe0f],
     [0x000053c8, 0x00000000, 0x1cb00716, 0x1f42fd8f, 0x00000000,
      0x00000000, 0xa4ae86dd, 0x1f42fcce, 0x00000000, 0x00000000],
     [0x000053c9, 0x00000000, 0x40a546fd, 0x1f42facf, 0x58b4a6eb,
      0x1f42fccf, 0x98b6c6f7, 0x1f42fdcf, 0x88b546f6, 0x1f42fbcf],
     [0x000053ca, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x88abe70c, 0x1f42fecf, 0xa4ad4704, 0x1f42fbcf],
     [0x000053cb, 0x00000000, 0x38b8a6f3, 0x1f42facf, 0x48af0706,
      0x1f42f8cf, 0x00000000, 0x00000000, 0xc0a98701, 0x1f42fccf],
     [0x000053cc, 0x00000000, 0x88b426ef, 0x1f42fecf, 0x00000000,
      0x00000000, 0xf4b0c702, 0x1f42fccf, 0x78b466f2, 0x1f42f8cf],
     [0x000053cd, 0x00000000, 0x7cb2e725, 0x1f42fbce, 0x00000000,
      0x00000000, 0xe8b7a722, 0x1f42f90e, 0x00000000, 0x00000000],
     [0x000053ce, 0x00000000, 0x88ae4720, 0x1f42fdce, 0x00000000,
      0x00000000, 0xd8a706fd, 0x1f42f80e, 0xd8b28706, 0x1f42fece],
     [0x000053cf, 0x00000000, 0x48b3c702, 0x1f42f8cf, 0x78b24704,
      0x1f42f7cf, 0x88afe706, 0x1f42fbcf, 0x88adc6f9, 0x1f42f90f],
     [0x000053d0, 0x00000000, 0x00000000, 0x00000000, 0x48a906ec,
      0x1f42fccf, 0x00000000, 0x00000000, 0x98ae870c, 0x1f42f20f],
     [0x000053d1, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xf4b7a715, 0x1f42fa0f, 0xb8b4872d, 0x1f42f90e],
     [0x0000642d, 0x00000000, 0x9caf26ce, 0x1f43010e, 0x7cae06ff,
      0x1f4300ce, 0xacb2c724, 0x1f42fb0e, 0x00000000, 0x00000000],
     [0x000053d3, 0x00000000, 0x98b5c6de, 0x1f43038f, 0x14b366fb,
      0x1f42fad0, 0x58b56706, 0x1f42fbcf, 0x68b2c6f5, 0x1f42ffcf],
     [0x000053d4, 0x00000000, 0x0cb1c6fd, 0x1f42f90f, 0xb8b386f2,
      0x1f42f9cf, 0x88b306fd, 0x1f42facf, 0xecb7271e, 0x1f42fbce],
     [0x000053d5, 0x00000000, 0x58aa66f9, 0x1f42facf, 0xb0b4e719,
      0x1f42f50e, 0x48b446e2, 0x1f4301cf, 0x90af4709, 0x1f42fe8f],
     [0x000053d6, 0x00000000, 0xf8b4e72d, 0x1f4302ce, 0xb0b88736,
      0x1f4304ce, 0x78b92717, 0x1f42f90f, 0x78b38744, 0x1f42f90e],
     [0x000053d7, 0x00000000, 0x78aea736, 0x1f42face, 0xb4aac722,
      0x1f42fcce, 0xf4b4e6ea, 0x1f42fbce, 0x08b6e71d, 0x1f42f9cf],
     [0x000053d8, 0x00000000, 0xf4ad6729, 0x1f42fbce, 0x74b646f3,
      0x1f42facf, 0x78b12702, 0x1f42fbcf, 0x60aa6710, 0x1f42facf],
     [0x000053d9, 0x00000000, 0x8cb466ff, 0x1f42facf, 0xbcb66703,
      0x1f4303cf, 0x04ae2711, 0x1f42fbd0, 0x88b08707, 0x1f42face],
     [0x000053da, 0x00000000, 0x78b46728, 0x1f42fc8f, 0xf8b6c715,
      0x1f42f40e, 0xb8ae66ff, 0x1f42fccf, 0x2cb766eb, 0x1f42fdcf],
     [0x000053db, 0x00000000, 0xb4b38706, 0x1f42f80f, 0x00000000,
      0x00000000, 0x58b726e4, 0x1f42fbcf, 0xc8b4c739, 0x1f42fa0e],
     [0x000053dc, 0x00000000, 0xb8afa703, 0x1f42f5cf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x48b1670d, 0x1f42fecf],
     [0x000053dd, 0x00000000, 0x7cb2270c, 0x1f42f90e, 0xa8b20730,
      0x1f42fd8e, 0xa8aa270a, 0x1f42f70f, 0xccb726f5, 0x1f42f80e],
     [0x000053de, 0x00000000, 0x98ae46fe, 0x1f42facf, 0x3cb0870f,
      0x1f42fb0f, 0x0cb7a707, 0x1f4303cf, 0xb8b6870e, 0x1f42f5cf],
     [0x000053df, 0x00000000, 0xc4b266f5, 0x1f42fa0f, 0x88b246f8,
      0x1f42fccf, 0xccb8670d, 0x1f42f80e, 0x3cb5071a, 0x1f42fa0f],
     [0x000053e0, 0x00000000, 0xfcab46eb, 0x1f42fdce, 0x20b5e704,
      0x1f42f70f, 0xd4b2a6fb, 0x1f42fccf, 0xa8b746ff, 0x1f42facf],
     [0x000053e1, 0x00000000, 0x98ad0708, 0x1f42f80f, 0x50a946f2,
      0x1f42f90f, 0x9cb5c736, 0x1f43038e, 0x48af6713, 0x1f42fccf],
     [0x000053e2, 0x00000000, 0x18aa673d, 0x1f42fbcf, 0xd4b4c70d,
      0x1f42face, 0x00000000, 0x00000000, 0xf4aa4708, 0x1f42f9ce],
     [0x000053e3, 0x00000000, 0x00000000, 0x00000000, 0x84b5e725,
      0x1f4301ce, 0x00000000, 0x00000000, 0xacba6739, 0x1f42f70e],
     [0x000053e4, 0x00000000, 0x88b6a714, 0x1f42f90f, 0xf4af871b,
      0x1f42fece, 0x14ad06e6, 0x1f42facf, 0x00000000, 0x00000000],
     [0x000053e5, 0x00000000, 0x6caf270e, 0x1f42fb0e, 0xb4ac06e7,
      0x1f42fbcf, 0xecb6a70a, 0x1f42ffce, 0x0ca7a6fe, 0x1f42f80f],
     [0x000053e6, 0x00000000, 0x9cb28706, 0x1f42fecf, 0x00000000,
      0x00000000, 0xc8ab26fb, 0x1f42ffce, 0xa8b3e719, 0x1f42f9cf],
     [0x000053e7, 0x00000000, 0xd8b08717, 0x1f42f70e, 0x44b7e70d,
      0x1f42fecf, 0x38b5a6e0, 0x1f42f80f, 0x00000000, 0x00000000],
     [0x000053e8, 0x00000000, 0x98b24708, 0x1f42fbcf, 0xd0b366fc,
      0x1f42fe4f, 0x00000000, 0x00000000, 0xd4a886fc, 0x1f42facf],
     [0x000053e9, 0x00000000, 0x00000000, 0x00000000, 0xb8b10717,
      0x1f42fa0f, 0xe0a98719, 0x1f42fdce, 0x40ab070c, 0x1f42f7cf],
     [0x000053ea, 0x00000000, 0x08b7a6f6, 0x1f42f94f, 0x88b4c706,
      0x1f42fbcf, 0xf8b5e707, 0x1f42fb0e, 0x68b32708, 0x1f42fe8f],
     [0x000053eb, 0x00000000, 0x24b70712, 0x1f42fccf, 0xf4b52710,
      0x1f42facf, 0xe8b5a713, 0x1f42face, 0x80b64702, 0x1f42fbcf],
     [0x000053ec, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xb0b586f4, 0x1f42facf, 0x78afe6e6, 0x1f42f90f],
     [0x000053ed, 0x00000000, 0x00000000, 0x00000000, 0x20b6e6f2,
      0x1f42facf, 0xa4ab270c, 0x1f42facf, 0x64ad870e, 0x1f42fdcf],
     [0x000053ee, 0x00000000, 0x00000000, 0x00000000, 0x64b32700,
      0x1f42fecf, 0x1cb7a70b, 0x1f42fbcf, 0x68b686f5, 0x1f42fccf],
     [0x000053ef, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x7cb88700, 0x1f42f70f],
     [0x000053f0, 0x00000000, 0xe0b646f3, 0x1f42f70e, 0x9cb346db,
      0x1f42f60f, 0x3cb0671a, 0x1f42ffcf, 0xe4b7e708, 0x1f42facf],
     [0x000053f1, 0x00000000, 0x78b34721, 0x1f42fbce, 0xa8b7a700,
      0x1f42f80e, 0x00000000, 0x00000000, 0x90b466dd, 0x1f42f70f],
     [0x000053f2, 0x00000000, 0x00000000, 0x00000000, 0x0cb306ea,
      0x1f42f90f, 0x2cb7a71a, 0x1f42fccf, 0x88af26e7, 0x1f42fd8f],
     [0x000053f3, 0x00000000, 0x00000000, 0x00000000, 0x1cb4c706,
      0x1f42f80f, 0x08b8c6d4, 0x1f42fb10, 0xfcaca70e, 0x1f42fdce],
     [0x0001003c, 0x39d73400, 0x747ac693, 0x0fa2f4cf, 0x7c7b8658,
      0x0fa2f18f, 0x74790680, 0x0fa2f4cf, 0x74790680, 0x0fa2f4cf],
     [0x000053f5, 0x00000000, 0x68b4c700, 0x1f42f40f, 0x00000000,
      0x00000000, 0x2cad86e4, 0x1f42f90f, 0x48bb06fd, 0x1f42fccf],
     [0x000053f6, 0x00000000, 0xd4b26734, 0x1f42f10e, 0x1caf871e,
      0x1f42f90e, 0xc4b2c702, 0x1f42f70f, 0xa0b30710, 0x1f42f90f],
     [0x02b83d40, 0x0600bc00, 0xa07ba5f5, 0x106af6cf, 0xa07c05e8,
      0x106af40f, 0xa07a85f5, 0x106af94f, 0xa07a85e8, 0x106aee8f],
     [0x000053f8, 0x00000000, 0x78b7a70f, 0x1f42fdcf, 0x98b3071a,
      0x1f42facf, 0x00000000, 0x00000000, 0x90b0e701, 0x1f42f70f],
     [0x000053f9, 0x00000000, 0xdcb58727, 0x1f430f4e, 0x10b98714,
      0x1f43078f, 0xe4ace720, 0x1f42f80e, 0x00000000, 0x00000000],
     [0x000053fa, 0x00000000, 0x14a886fc, 0x1f42f80f, 0x98ad86f9,
      0x1f42fdcf, 0xd4a8270a, 0x1f42fbcf, 0x00000000, 0x00000000],
     [0x000053fb, 0x00000000, 0x74b206e3, 0x1f42f9cf, 0x88b5c6fe,
      0x1f42fdcf, 0x80b7473a, 0x1f42fcce, 0xbcb4070e, 0x1f42f70e],
     [0x000053fc, 0x00000000, 0x00000000, 0x00000000, 0x48b7a6fb,
      0x1f42fdcf, 0x00000000, 0x00000000, 0x48b2c716, 0x1f42f80f],
     [0x000053fd, 0x00000000, 0x58b1c707, 0x1f42f60e, 0xa8b8a740,
      0x1f42f20e, 0x68b9870c, 0x1f42f40f, 0x40b7c6d1, 0x1f42f60f],
     [0x000053fe, 0x00000000, 0x5cb88741, 0x1f42fbce, 0x00000000,
      0x00000000, 0x24bac728, 0x1f42f90f, 0x00000000, 0x00000000],
     [0x000053ff, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x8cb7a732, 0x1f42ffce, 0x00000000, 0x00000000],
     [0x00005400, 0x00000000, 0xa4b7e71e, 0x1f42fccf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005401, 0x00000000, 0x00000000, 0x00000000, 0xb8b16732,
      0x1f42fbce, 0x7cae870e, 0x1f42f8cf, 0x58b4e703, 0x1f42fccf],
     [0x00005402, 0x00000000, 0x00000000, 0x00000000, 0x0cb6a734,
      0x1f430b8f, 0x00000000, 0x00000000, 0xd8ac2727, 0x1f42fdcf],
     [0x00005403, 0x00000000, 0x28b0872a, 0x1f42f30f, 0x8cb5c706,
      0x1f42fa0f, 0x4cb16700, 0x1f42f60f, 0x74b7a71f, 0x1f42f30f],
     [0x00005404, 0x00000000, 0x00000000, 0x00000000, 0x14ace716,
      0x1f42f70f, 0x10ac6705, 0x1f42facf, 0x34aee700, 0x1f42fa0f],
     [0x00003d47, 0x00000000, 0xf47ec5e8, 0x106af20d, 0xf47e65f3,
      0x106af30d, 0xf466e453, 0x106b208d, 0xa07b25e8, 0x106af78f],
     [0x00005406, 0x00000000, 0xfcaee700, 0x1f42face, 0xd4b446fc,
      0x1f42fbcf, 0x80b5c741, 0x1f42fa0e, 0xd4b4e726, 0x1f42f60e],
     [0x00005407, 0x00000000, 0x34aa6729, 0x1f42f60f, 0x00000000,
      0x00000000, 0xf0ad670e, 0x1f42f90e, 0x1cb4672a, 0x1f42f70f],
     [0x00006448, 0x00000000, 0xb8b40714, 0x1f4304ce, 0xacb2c731,
      0x1f42fdce, 0xc8aec709, 0x1f42ff8e, 0x5caf0713, 0x1f4304ce],
     [0x00005409, 0x00000000, 0x38b7070e, 0x1f42fecf, 0xb4b1070a,
      0x1f42f7cf, 0x0cb86719, 0x1f42facf, 0x64b2870b, 0x1f42f40e],
     [0x00006449, 0x00000000, 0x8cb266fb, 0x1f43070e, 0x00000000,
      0x00000000, 0x7cb1871f, 0x1f43040e, 0x9cb44716, 0x1f42f90e],
     [0x0000540b, 0x00000000, 0x9cb26721, 0x1f42f80e, 0x68b2c71b,
      0x1f42f90f, 0xe4b5c6fb, 0x1f42f9ce, 0x1cb88706, 0x1f42f8cf],
     [0x0000644a, 0x00000000, 0x98b2672d, 0x1f43128e, 0xb8afa6f9,
      0x1f430a8e, 0xd8b0e70e, 0x1f43094e, 0x8cb0e727, 0x1f43068e],
     [0x0000540d, 0x00000000, 0x00000000, 0x00000000, 0xd0b46725,
      0x1f42f90e, 0x68b02700, 0x1f42f80f, 0x2cb7a710, 0x1f42f50e],
     [0x0000540e, 0x00000000, 0x00000000, 0x00000000, 0xf0b6c728,
      0x1f42f78e, 0x08b0e731, 0x1f42f94f, 0x00000000, 0x00000000],
     [0x0000540f, 0x00000000, 0x38b4e6f7, 0x1f42fb0f, 0x24b6a722,
      0x1f42f80f, 0x7cab0715, 0x1f42f80f, 0x00000000, 0x00000000],
     [0x00005410, 0x00000000, 0x94afe701, 0x1f42fd0f, 0xacb16705,
      0x1f42fd0e, 0x00000000, 0x00000000, 0x88b3a71a, 0x1f42f30f],
     [0x00005411, 0x00000000, 0x00000000, 0x00000000, 0x48af46fd,
      0x1f42fe0f, 0xf4b6a6f2, 0x1f42fdce, 0x98b9070c, 0x1f42f9cf],
     [0x00005412, 0x00000000, 0xb4ace6fc, 0x1f4300ce, 0x7cb32743,
      0x1f42fece, 0xdcaaa6ed, 0x1f43000e, 0xccae06d5, 0x1f42fd0e],
     [0x00005413, 0x00000000, 0x8cb3e737, 0x1f42f90f, 0x60b406f8,
      0x1f42fbcf, 0xa0b6e70c, 0x1f42f8cf, 0xd8ae66f8, 0x1f42f70e],
     [0x0001004c, 0x00000000, 0xa06e871a, 0x0a6aec0f, 0x745be5a1,
      0x08b2f9cf, 0x58a06675, 0x1772ec0f, 0x647d0676, 0x0fa2fa4c],
     [0x00005415, 0x00000000, 0x00000000, 0x00000000, 0x00b4e73b,
      0x1f42facf, 0x50b62725, 0x1f42f88f, 0xe0aaa6df, 0x1f4300ce],
     [0x00005416, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xc4b806f9, 0x1f42f9cf, 0x80aca6e7, 0x1f42fe0f],
     [0x00005417, 0x00000000, 0xa4b5e737, 0x1f42face, 0x90ab26f7,
      0x1f42ffce, 0xecae86f2, 0x1f42fe0e, 0x84af471d, 0x1f4301cf],
     [0x00005418, 0x00000000, 0x2cb1c6ee, 0x1f43000f, 0x34af86ff,
      0x1f42fecf, 0xe8b5c6d8, 0x1f42fa0f, 0xe0b0e709, 0x1f42fd0e],
     [0x00005419, 0x00000000, 0x8cac0712, 0x1f4301cf, 0xbcb68721,
      0x1f42fa0e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000541a, 0x00000000, 0xecb066f5, 0x1f4300ce, 0xe0a6c720,
      0x1f42fd0e, 0x40ad66f1, 0x1f42fbcf, 0xbcb06701, 0x1f42fdce],
     [0x00005aa4, 0x00000000, 0x90ae872f, 0x1f42f88e, 0x20b266fb,
      0x1f42fa8f, 0x78afe71d, 0x1f430ece, 0x28b906ec, 0x1f42f20f],
     [0x0000541c, 0x00000000, 0x60af670d, 0x1f43010f, 0x00000000,
      0x00000000, 0xecb08702, 0x1f42fecf, 0x48ac670f, 0x1f43000f],
     [0x0000541d, 0x00000000, 0x40ab070c, 0x1f42f7cf, 0xe0a9872c,
      0x1f42fece, 0x5cb0c702, 0x1f42fbcf, 0x8cb86739, 0x1f42fcce],
     [0x00006453, 0x00000000, 0x64af6705, 0x1f4308cf, 0xfcb506cc,
      0x1f430c0f, 0x2cae26e9, 0x1f4307cf, 0x98b3e6eb, 0x1f4302d0],
     [0x0000541f, 0x00000000, 0x00000000, 0x00000000, 0xf0b58729,
      0x1f42fa0e, 0x18ae8723, 0x1f42fa0f, 0x90ae8719, 0x1f42fe0f],
     [0x00005420, 0x00000000, 0x68b82716, 0x1f42f90f, 0x00000000,
      0x00000000, 0xecb3c708, 0x1f42fd0e, 0xd0b0671a, 0x1f42ff0e],
     [0x00005421, 0x00000000, 0x00000000, 0x00000000, 0x8cb6c738,
      0x1f42fa0e, 0x00000000, 0x00000000, 0x2cb4a729, 0x1f42fa0e],
     [0x00010053, 0x00000000, 0x5895e6dd, 0x1692fd0f, 0x747e6607,
      0x0fa2f4cf, 0x5897274a, 0x1692fd0f, 0x74812672, 0x0fa2f4cf],
     [0x00005423, 0x00000000, 0x28ad46ef, 0x1f42fb0f, 0x84b48727,
      0x1f42fbce, 0x00b0e701, 0x1f42ff0f, 0x00000000, 0x00000000],
     [0x00005424, 0x00000000, 0x00000000, 0x00000000, 0xe8ab8702,
      0x1f42fcce, 0x14b1272b, 0x1f42fa0f, 0x00000000, 0x00000000],
     [0x00005425, 0x00000000, 0x58b3c736, 0x1f42f94f, 0x78ad6711,
      0x1f42fc0f, 0x3cb82729, 0x1f42facf, 0x00000000, 0x00000000],
     [0x00005426, 0x00000000, 0x6cb7872d, 0x1f43050e, 0xe0b26719,
      0x1f42fdce, 0xd4b62703, 0x1f42f6cf, 0x5cb34719, 0x1f42fa0f],
     [0x00005427, 0x00000000, 0x78b0c73a, 0x1f42facf, 0xacace6e2,
      0x1f43030e, 0x68abc714, 0x1f42f70f, 0x00000000, 0x00000000],
     [0x00010056, 0x00000000, 0xa0880753, 0x131aeacf, 0xa073c67f,
      0x0c2af94f, 0x587e0754, 0x0fa2f24f, 0x6c70e680, 0x0c2af20f],
     [0x00005429, 0x00000000, 0x00000000, 0x00000000, 0x74b4e71a,
      0x1f42f80f, 0x00000000, 0x00000000, 0xa8ae06fe, 0x1f42f8cf],
     [0x0000542a, 0x00000000, 0x20aea6f3, 0x1f42fd0f, 0x84af8709,
      0x1f42fa0f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000542b, 0x00000000, 0x98b1471e, 0x1f42f90e, 0x4cb2c72c,
      0x1f42f80e, 0x84ae8732, 0x1f43020e, 0x58b56731, 0x1f42fbcf],
     [0x0000542c, 0x00000000, 0xb0aee702, 0x1f4301ce, 0x48b6e6ef,
      0x1f42fdcf, 0xa4b88702, 0x1f42fb0f, 0x2cb46740, 0x1f42fdce],
     [0x0000542d, 0x00000000, 0xa4b126f5, 0x1f42fc0f, 0x70b38734,
      0x1f42f90e, 0x04b76706, 0x1f42facf, 0x60b1872e, 0x1f42fbce],
     [0x0000542e, 0x00000000, 0x38b7a70f, 0x1f42fbcf, 0x00000000,
      0x00000000, 0xb8b886ee, 0x1f42fd0e, 0xa0b38724, 0x1f42face],
     [0x0000542f, 0x00000000, 0x00000000, 0x00000000, 0x00b2c72d,
      0x1f43010e, 0x6cafa721, 0x1f42f80f, 0x98af66f2, 0x1f42ff0e],
     [0x00005430, 0x00000000, 0x00000000, 0x00000000, 0x48b30707,
      0x1f4301cf, 0xa4b16730, 0x1f42f8ce, 0x00000000, 0x00000000],
     [0x00005431, 0x00000000, 0x90af66ff, 0x1f42fece, 0x1cb2c730,
      0x1f42ff8f, 0x10b706f6, 0x1f42fecf, 0xa0b5c71e, 0x1f42f7ce],
     [0x00005432, 0x00000000, 0x08b766ff, 0x1f42fa0f, 0x2cb5c721,
      0x1f4308cf, 0x20b5e6fb, 0x1f42fb0f, 0x50b5e724, 0x1f42fece],
     [0x00005433, 0x00000000, 0x00000000, 0x00000000, 0x68b4a6e9,
      0x1f42fc0f, 0x20b36705, 0x1f42f9cf, 0x94b8672a, 0x1f42fece],
     [0x00005434, 0x00000000, 0x00000000, 0x00000000, 0x18b7c72c,
      0x1f42f90f, 0x00000000, 0x00000000, 0x60b1c70e, 0x1f42fcce],
     [0x00005435, 0x00000000, 0x34b36735, 0x1f42fa0e, 0x60b72733,
      0x1f42fbcf, 0xbcb1c72d, 0x1f42fbce, 0x64b4a6f8, 0x1f42f7ce],
     [0x00005436, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x98b6c731, 0x1f42fa0e, 0x30b8a6e8, 0x1f42f60f],
     [0x00005437, 0x00000000, 0x00000000, 0x00000000, 0x64b5c703,
      0x1f42f60e, 0x54b3e70b, 0x1f42fd0e, 0x00000000, 0x00000000],
     [0x00005438, 0x00000000, 0xb4b70711, 0x1f42fa0e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x20b5472d, 0x1f42f80f],
     [0x00005439, 0x00000000, 0x7cb2e70b, 0x1f42f70e, 0xd4b50740,
      0x1f42f80e, 0xc4b8670e, 0x1f42f50f, 0xd4b06726, 0x1f42face],
     [0x00006461, 0x00000000, 0xc0b086f5, 0x1f4306ce, 0x24b2070e,
      0x1f430410, 0x18b16702, 0x1f4305cf, 0x88b26731, 0x1f4305ce],
     [0x0000543b, 0x00000000, 0x58b286f2, 0x1f42facf, 0xfcb6e6fd,
      0x1f42face, 0x90b00738, 0x1f42f9cf, 0x5cb42711, 0x1f42f80e],
     [0x0000543c, 0x00000000, 0x70b14739, 0x1f43040e, 0xd8ae8729,
      0x1f42fcce, 0x00000000, 0x00000000, 0xbcb5e6f9, 0x1f42fa0e],
     [0x0000543d, 0x00000000, 0x00000000, 0x00000000, 0x1cafc709,
      0x1f42f90f, 0x88b14702, 0x1f42f80f, 0x00000000, 0x00000000],
     [0x0000543e, 0x00000000, 0xb8b4c715, 0x1f42f50e, 0x18ac470b,
      0x1f42f9cf, 0x00000000, 0x00000000, 0x8cb32721, 0x1f42face],
     [0x0000543f, 0x00000000, 0x00000000, 0x00000000, 0x30b3c6e8,
      0x1f42f80f, 0xccb1c714, 0x1f42f80e, 0x74b5c719, 0x1f42f90f],
     [0x00005440, 0x00000000, 0xacb1e74c, 0x1f42ffce, 0x74b2872c,
      0x1f43000e, 0x64b6a73c, 0x1f42fe8e, 0x60b1271d, 0x1f42f70f],
     [0x00005441, 0x00000000, 0x98b06738, 0x1f42ff8f, 0xa4b28715,
      0x1f42f8ce, 0x08b786eb, 0x1f42f510, 0x00b32702, 0x1f42f60f],
     [0x00005442, 0x00000000, 0xc4b8a732, 0x1f42f60e, 0x88b86718,
      0x1f42f24f, 0xbcb3e701, 0x1f42f8ce, 0x0cad0749, 0x1f42facf],
     [0x00005443, 0x00000000, 0x44b626eb, 0x1f42f9cf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005444, 0x00000000, 0xe0afa734, 0x1f42f60e, 0x1cab46d8,
      0x1f42fccf, 0x18b02726, 0x1f42facf, 0x50ad8731, 0x1f42f80f],
     [0x00005445, 0x00000000, 0x50b24735, 0x1f42face, 0x38b54725,
      0x1f42fbce, 0xa4b3a6ef, 0x1f42fdcf, 0x04b806fa, 0x1f42f410],
     [0x00005446, 0x00000000, 0x0cb5672c, 0x1f42fccf, 0x00000000,
      0x00000000, 0xacb1c745, 0x1f42f60e, 0x00000000, 0x00000000],
     [0x00005447, 0x00000000, 0x7cb1c722, 0x1f42fbce, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xb4b1e73d, 0x1f42f90e],
     [0x00005448, 0x00000000, 0x9cb62724, 0x1f42fa0e, 0x88b22703,
      0x1f42f9cf, 0xf0b20710, 0x1f42fbce, 0x00000000, 0x00000000],
     [0x00005449, 0x00000000, 0x90b7a6f9, 0x1f42fb0e, 0xa4acc729,
      0x1f42ffce, 0x18b14722, 0x1f42fbcf, 0x00000000, 0x00000000],
     [0x0000544a, 0x00000000, 0x00000000, 0x00000000, 0xa0b4c6d4,
      0x1f42f70e, 0xa0b3e72a, 0x1f42fdce, 0x00000000, 0x00000000],
     [0x0000544b, 0x00000000, 0x00000000, 0x00000000, 0x18b7c6f3,
      0x1f42f40f, 0x28b7a6ef, 0x1f42f40f, 0x00000000, 0x00000000],
     [0x0000544c, 0x00000000, 0x1caf871e, 0x1f42fd0f, 0x10b5e6f6,
      0x1f42f40f, 0xecadc722, 0x1f42f70e, 0x5cb3073e, 0x1f42fbce],
     [0x0000544d, 0x00000000, 0xa0b38721, 0x1f42f30e, 0xacb2672c,
      0x1f42f90e, 0x00000000, 0x00000000, 0xfcb4670e, 0x1f42fa0e],
     [0x00010069, 0x00000000, 0x00000000, 0x00000000, 0x6c798685,
      0x0fc2db4c, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000544f, 0x00000000, 0xbcb68711, 0x1f42f50e, 0xa8ad8725,
      0x1f42fc0e, 0x00000000, 0x00000000, 0xbcb646cb, 0x1f43058f],
     [0x0001006a, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xfc666695, 0x0aa2f5cb, 0x3863860a, 0x08b2e08c],
     [0x00005451, 0x00000000, 0x24b4c6da, 0x1f430a50, 0x74b56726,
      0x1f43088f, 0x9cb4a701, 0x1f430d4f, 0x40b56720, 0x1f4306cf],
     [0x0001006b, 0x00000000, 0x00000000, 0x00000000, 0x74770693,
      0x09b2f78f, 0x00000000, 0x00000000, 0x58aca6e5, 0x1793078f],
     [0x00005453, 0x00000000, 0x7cb4872d, 0x1f43044f, 0x18b4e72e,
      0x1f4308cf, 0xe4afc726, 0x1f43058e, 0x00000000, 0x00000000],
     [0x00005454, 0x00000000, 0xb0ac06e8, 0x1f430d0f, 0x88b2070f,
      0x1f43088f, 0x20b1e716, 0x1f430c4f, 0x00000000, 0x00000000],
     [0x00005455, 0x00000000, 0xc4b30734, 0x1f430d8e, 0x80b4e6e9,
      0x1f42ff8f, 0xb4b0c726, 0x1f43180f, 0x84b7c73b, 0x1f430a8e],
     [0x00005456, 0x00000000, 0x00000000, 0x00000000, 0x54b04705,
      0x1f42facf, 0x64b20727, 0x1f43110e, 0x3cb20719, 0x1f42fd8f],
     [0x00005457, 0x00000000, 0x10b48728, 0x1f4307cf, 0x3cb6a71a,
      0x1f42fd8f, 0x40b5671a, 0x1f42fd8f, 0x78b706f2, 0x1f42fb8f],
     [0x00005458, 0x00000000, 0x00000000, 0x00000000, 0x3cb2071a,
      0x1f42fbcf, 0x94b56725, 0x1f42f7cf, 0x40b3a717, 0x1f42fd8f],
     [0x00005459, 0x00000000, 0x00000000, 0x00000000, 0x94b3c684,
      0x1f430850, 0x00000000, 0x00000000, 0xe8a3471f, 0x1f431d4e],
     [0x0000545a, 0x00000000, 0x74b7270c, 0x1f43028f, 0x58ac86de,
      0x1f430c0f, 0x44b4e72c, 0x1f42fb4f, 0xc4b926b4, 0x1f42fd11],
     [0x0000545b, 0x00000000, 0x34b74705, 0x1f42f710, 0xd0b066d9,
      0x1f430990, 0xdcb9a734, 0x1f42fd0e, 0x00000000, 0x00000000],
     [0xc0014012, 0x09412023, 0xa0a26685, 0x1852e80f, 0xa0714685,
      0x0c2ae60f, 0x14800685, 0x0fa2e28e, 0xa0964685, 0x14dae8cf],
     [0x0000545d, 0x00000000, 0x00b266d3, 0x1f430210, 0xb0afe711,
      0x1f4304cf, 0x30b28744, 0x1f43038f, 0x54b3a700, 0x1f43070f],
     [0x07214014, 0x1171f400, 0xa08b2685, 0x131ae70f, 0x6094e695,
      0x1692f4cc, 0xa08c6685, 0x14dae70f, 0x58804695, 0x1162ee8f],
     [0x0000545f, 0x00000000, 0x9cb70743, 0x1f4307ce, 0x20b1a73e,
      0x1f43060f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005460, 0x00000000, 0xbcaf472c, 0x1f43104e, 0xccb806dc,
      0x1f43018f, 0x94a466e0, 0x1f4316cf, 0x00000000, 0x00000000],
     [0x00005461, 0x00000000, 0x00000000, 0x00000000, 0xf8a2871c,
      0x1f431d8e, 0x54a0c6e4, 0x1f43238f, 0x44ac872d, 0x1f4303ce],
     [0xc0014018, 0x1ff3f87d, 0xb063a6a1, 0x0a6b0357, 0x687785b6,
      0x0fa2e8cf, 0x6c7606a3, 0x0fa2ea8f, 0x6c6f85b6, 0x0de2eccf],
     [0x40014019, 0x22240e80, 0x6c7f26a3, 0x0fa2e8cf, 0x6c7045b6,
      0x0de2ef4f, 0x6c7646a2, 0x0a6ac3cc, 0x747a25b6, 0x0fa2e10c],
     [0x5179401a, 0x2330008c, 0x7c7cc6a3, 0x1162eacf, 0x7c5f4694,
      0x08b2ee8f, 0x64616695, 0x08b2becc, 0x807ae6a3, 0x0fa2e84f],
     [0x1211401b, 0x24e49091, 0x7c62c6a3, 0x08b2ee8f, 0x7c98e5b6,
      0x1852ea8f, 0x7c7c45b6, 0x1162ec8f, 0x6c75a5b6, 0x0fa2ed4f],
     [0xd2a9401c, 0x2874b295, 0x6c7645b6, 0x0fa2d00c, 0x6c7965b6,
      0x0fa2ee4c, 0xa06f25b6, 0x0c2ae8cf, 0x6c6825b6, 0x0c2ae94f],
     [0x9449401d, 0x2af52ea5, 0x7c61a63a, 0x08b2eb4f, 0x7c7c25b6,
      0x1162f1cf, 0x6c70a5b6, 0x0de2f1cf, 0x6c8b45b6, 0x14daf1cf],
     [0xd649401e, 0x000000b3, 0x6c7925b6, 0x0fa2e2cf, 0x6c6f85b6,
      0x0de2d68c, 0x686c85a9, 0x0c2ae34e, 0xb4750696, 0x0ae2ef0c],
     [0x00005469, 0x00000000, 0x10b306fc, 0x1f430c0f, 0x6caf06fe,
      0x1f430f0f, 0x74b2a6f6, 0x1f42ff8f, 0x00000000, 0x00000000],
     [0x0000546a, 0x00000000, 0x48ab0703, 0x1f430f0f, 0xe0a9070c,
      0x1f4312ce, 0x5cb36729, 0x1f43050e, 0x9887c694, 0x1f434d50],
     [0x0000546b, 0x00000000, 0xc4b7c735, 0x1f43020e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x18aa26d4, 0x1f430a4f],
     [0x0000546c, 0x00000000, 0x04b72721, 0x1f43004f, 0xdcb4e6c6,
      0x1f4308cf, 0xe8ace70d, 0x1f43084e, 0x98b2c700, 0x1f430b0f],
     [0x0000546d, 0x00000000, 0xc4b3c701, 0x1f430b0e, 0x48b566cd,
      0x1f4308d0, 0x88a96704, 0x1f430c0f, 0xccb8871d, 0x1f4300ce],
     [0x0000546e, 0x00000000, 0x00000000, 0x00000000, 0xbcb426ec,
      0x1f430b0f, 0x00000000, 0x00000000, 0x24acc716, 0x1f43084f],
     [0x0000546f, 0x00000000, 0x54b5871a, 0x1f42fdcf, 0xd8a90701,
      0x1f4307ce, 0x1cb70701, 0x1f42fc4f, 0x00000000, 0x00000000],
     [0x00005470, 0x00000000, 0x00b1c726, 0x1f43038f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005471, 0x00000000, 0xa0b54745, 0x1f42fd8e, 0x8cad46da,
      0x1f43024f, 0x48b34732, 0x1f430a8f, 0x48b5a6ff, 0x1f42ff4f],
     [0x00005472, 0x00000000, 0xb4b28744, 0x1f43014e, 0x00aca70f,
      0x1f430acf, 0xbcb0872d, 0x1f43034e, 0x80a5c6f1, 0x1f43050f],
     [0x00014029, 0x00000000, 0x78804606, 0x0fa2e78f, 0xa08d0685,
      0x0fa2f64f, 0x5851c695, 0x06e2fe8f, 0x6477e695, 0x0fa2f70d],
     [0x0001007c, 0x00000000, 0x6470267d, 0x08b2cf0c, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0001402b, 0x00000000, 0x5083e577, 0x12f2fad1, 0x38606502,
      0x0a6aee92, 0x58984695, 0x175af58f, 0x446fa657, 0x0a6afad8],
     [0x0001402c, 0x00000000, 0xe86ca698, 0x0c8302d5, 0xa081a620,
      0x11d2f64f, 0xe865a693, 0x0962ee93, 0xc466a693, 0x0962f253],
     [0x00005477, 0x00000000, 0x7cb52737, 0x1f4302ce, 0x98b946dd,
      0x1f43064f, 0x94ad06b0, 0x1f430b0f, 0x00000000, 0x00000000],
     [0x0001402e, 0x2e900000, 0x385203ed, 0x0a6ada0c, 0xe8642693,
      0x0962f593, 0xe069e695, 0x0962fc15, 0x20790587, 0x0fa2f110],
     [0x0001402f, 0x00000000, 0x6898a693, 0x1772efcf, 0x6898e693,
      0x1772ebcf, 0x68994693, 0x1772efcf, 0x6c7325d4, 0x0fa2f58c],
     [0x57914030, 0x325634bf, 0xa088a79b, 0x14dadd0f, 0xa088a79b,
      0x14dadd0f, 0xa088a794, 0x14dadd0f, 0xa08b0771, 0x14dadd0f],
     [0x0000547b, 0x00000000, 0x00000000, 0x00000000, 0x44b2071c,
      0x1f43060f, 0x00000000, 0x00000000, 0xb0b5a6fc, 0x1f430d8f],
     [0x00014032, 0x00000000, 0xa090279b, 0x14dae74f, 0xa090279b,
      0x14dae74f, 0xa0902794, 0x14dae74f, 0xa0902771, 0x14dae74f],
     [0x0000547d, 0x00000000, 0x00000000, 0x00000000, 0x98aca657,
      0x1f431390, 0x18af46c6, 0x1f4312d0, 0x00000000, 0x00000000],
     [0x00014034, 0x36d6d400, 0xa0960685, 0x1692e64f, 0x649c0771,
      0x1692e74f, 0x5894e79b, 0x1692f4cf, 0x5894e79b, 0x1692f4cf],
     [0x0000547f, 0x00000000, 0xf4ab46c3, 0x1f43124f, 0x8cb146ef,
      0x1f43140f, 0x8cace6f2, 0x1f430b4f, 0xa8aa8716, 0x1f43130f],
     [0x00005480, 0x00000000, 0x78a646a6, 0x1f4308d0, 0xeca3c6d9,
      0x1f43158f, 0x0c8d46f4, 0x1f43478f, 0x84a666b7, 0x1f4311d0],
     [0x1c714037, 0x00000000, 0x589b8771, 0x1692fecf, 0xa090e79b,
      0x131affcf, 0xa0862685, 0x131ae74f, 0x8079a6a9, 0x0fa2bc0c],
     [0x5cb14038, 0x000000e6, 0x687786a1, 0x0fa2e8cf, 0x687786a1,
      0x0fa2e8cf, 0x6879e69a, 0x0fa2e8cf, 0x687ca677, 0x0fa2e8cf],
     [0xdce14039, 0x000744e7, 0x687b2677, 0x0fa2e8cf, 0x687786dc,
      0x0fa2e8cf, 0x6c92a5b6, 0x1692eccf, 0x386f85b6, 0x0de2e80c],
     [0x4001403a, 0x000750e9, 0x6c7046a1, 0x0de2ef4f, 0x6c72e6a1,
      0x0de2ef4f, 0x6c78469a, 0x0de2ef4f, 0x6c794677, 0x0de2ef4f],
     [0x0001403b, 0x00000000, 0x7c6346a1, 0x08b2ee8f, 0x7c6546a1,
      0x08b2ee8f, 0x7c6aa69a, 0x08b2ee8f, 0x7c6bc677, 0x08b2ee8f],
     [0x00005486, 0x00000000, 0x20a6670a, 0x1f43010f, 0x2ca7a6f0,
      0x1f430c4f, 0xc4a8a6e9, 0x1f43104e, 0xf0a72704, 0x1f42fd0e],
     [0x1d89403d, 0x00076400, 0x6c78469a, 0x0fa2ed4f, 0x6c7b2677,
      0x0fa2ed4f, 0x6c794677, 0x0fa2ed4f, 0x2c81a5ff, 0x11d2f64f],
     [0x0001403e, 0x00000000, 0xc475a618, 0x0fa2ed4d, 0x7c7c26a1,
      0x1162f1cf, 0x7c7c26a1, 0x1162f1cf, 0x7c7c269a, 0x1162f1cf],
     [0x0001403f, 0x00000000, 0x7c7c2677, 0x1162f1cf, 0x6c70a6a1,
      0x0de2d68c, 0x6c7646a3, 0x0fa2d00c, 0x6c780677, 0x0de2d68c],
     [0x00014040, 0x00000000, 0xa088a701, 0x14dadd0f, 0x687b4632,
      0x0fa2e8cf, 0xa088a75d, 0x14dadd0f, 0x687ae68e, 0x0fa2e8cf],
     [0x00014041, 0x00000000, 0xec8e8693, 0x14dadd0c, 0xec7de5b6,
      0x0fa2e8cc, 0x58932770, 0x14daf60f, 0x6c6f86a1, 0x0de2eccf],
     [0x00014042, 0x00000000, 0x58932769, 0x14daf60f, 0x6c72669a,
      0x0de2eccf, 0x58932746, 0x14daf60f, 0x6c6f8677, 0x0de2eccf],
     [0x00014043, 0x00000000, 0x58932769, 0x14daf60f, 0x6c75269a,
      0x0de2eccf, 0xa0942769, 0x1692e28f, 0x6c9946ae, 0x1492e8cf],
     [0x00014044, 0x00000000, 0xa0960685, 0x1692e64f, 0x6c8226a3,
      0x0fa2e8cf, 0xa0902701, 0x14dae74f, 0x6c746632, 0x0de2ef4f],
     [0x00014045, 0x00000000, 0xa090275d, 0x14dae74f, 0x6c7a468e,
      0x0de2ef4f, 0xa0902746, 0x14dae74f, 0x6c704677, 0x0de2ef4f],
     [0x00014046, 0x00000000, 0xc8902685, 0x14dae74c, 0xc87045b6,
      0x0de2ef4c, 0xa0902769, 0x14dae74f, 0x6c7b469a, 0x0de2ef4f],
     [0x00014047, 0x00000000, 0x5896a769, 0x1692f34f, 0x747a269a,
      0x0fa2e10c, 0x5896a75d, 0x1692f34f, 0x747a268e, 0x0fa2e10c],
     [0x00014048, 0x00000000, 0x5896a746, 0x1692f34f, 0x747a2677,
      0x0fa2e10c, 0x0496a695, 0x1692f34a, 0x747a2728, 0x0fa2e10c],
     [0x00014049, 0x00000000, 0xa0a26769, 0x1852e80f, 0x7c7cc769,
      0x1162eacf, 0xa0a28685, 0x1852e80f, 0x7c7cc6a3, 0x1162eacf],
     [0x0001404a, 0x00000000, 0xa0794746, 0x0c2ae60f, 0x7c6a4677,
      0x08b2ebcf, 0xa076e701, 0x0c2ae60f, 0x7c67e632, 0x08b2eb4f],
     [0x0001404b, 0x00000000, 0xa077c75d, 0x0c2ae60f, 0x7c67868e,
      0x08b2ee8f, 0xec714685, 0x0c2ae60c, 0xec5f4694, 0x08b2ee8c],
     [0x0000ca71, 0x00000000, 0x28aaa67d, 0x1c72f94d, 0x28aaa67d,
      0x1c72f94d, 0x28aaa67d, 0x1c72f94d, 0x28aaa67d, 0x1c72f94d],
     [0x0001404d, 0x00000000, 0x1483c769, 0x0fa2e28e, 0x6465c69a,
      0x08b2becc, 0x04964685, 0x14dae8ca, 0x047ae6a3, 0x0fa2e84a],
     [0x0001404e, 0x00000000, 0xa094a5be, 0x12c2ef8f, 0xa0884770,
      0x131ae88f, 0x7c698770, 0x08b2ee8f, 0x04884685, 0x131ae88a],
     [0x0001404f, 0x00000000, 0x0462c6a3, 0x08b2de8a, 0xa091e695,
      0x131ae88f, 0x7c7ce6ae, 0x0e1aee8f, 0xa0884685, 0x131ae88f],
     [0x00014050, 0x00000000, 0x7c6e46a3, 0x0bbaee8f, 0xa0884685,
      0x131ae88f, 0x7c6426a3, 0x08b2eacf, 0x649c0770, 0x1692e74f],
     [0x00014051, 0x00000000, 0x7c7c46a1, 0x1162ec8f, 0x049c0685,
      0x1692e74a, 0x047c45b6, 0x1162ec8a, 0x649c0769, 0x1692e74f],
     [0x00014052, 0x00000000, 0x7c7dc69a, 0x1162ec8f, 0x7c90a6ae,
      0x15e2f88f, 0x74942685, 0x1692e28c, 0x6479c5b6, 0x10faec8c],
     [0x00014053, 0x00000000, 0x5894e701, 0x1692f4cf, 0x6c782632,
      0x0fa2ed4f, 0x5894e75d, 0x1692f4cf, 0x6c7b868e, 0x0fa2ed4f],
     [0x00006493, 0x00000000, 0x08b726f1, 0x1f42fb0f, 0x18b5e6ef,
      0x1f42f910, 0x1cb2c6f4, 0x1f42ffd0, 0x5cb2c70e, 0x1f42ffd0],
     [0x0000549f, 0x00000000, 0xacad0721, 0x1f42fd8e, 0xe0ab070c,
      0x1f4301ce, 0x00000000, 0x00000000, 0xaca98724, 0x1f43000e],
     [0x00014056, 0x00000000, 0xa08c6769, 0x14dae70f, 0xa071e69a,
      0x0c2ae8cf, 0x58804770, 0x1162ee8f, 0x6c6de6a1, 0x0c2ae94f],
     [0x00014057, 0x00000000, 0x58804769, 0x1162ee8f, 0x6c6c669a,
      0x0c2ae94f, 0x38804695, 0x1162ee8c, 0x386825b6, 0x0c2ae94c],
     [0x00014058, 0x00000000, 0x58804769, 0x1162ee8f, 0x6c71e69a,
      0x0c2ae94f, 0x388fc685, 0x131afa4c, 0x3862a63a, 0x08b2db4c],
     [0x00014059, 0x00000000, 0xa08fc769, 0x131afa4f, 0x7c7ce6ae,
      0x0cdaeb4f, 0xa08fc685, 0x131afa4f, 0x7c61a63a, 0x08b2e68f],
     [0x0001405a, 0x00000000, 0x589b8731, 0x1692fecf, 0x7c7c2677,
      0x1162f1cf, 0x589b8701, 0x1692fecf, 0x7c7c2632, 0x1162f1cf],
     [0x0001405b, 0x00000000, 0x589b875d, 0x1692fecf, 0x7c7c268e,
      0x1162f1cf, 0x589b8781, 0x1692fecf, 0x7c7c26c1, 0x1162f1cf],
     [0x0001405c, 0x00000000, 0x589b8761, 0x1692fecf, 0x7c8066a1,
      0x1162f1cf, 0xec9b8685, 0x1692fecc, 0xec80e5b6, 0x1162f1cc],
     [0x0001405d, 0x00000000, 0x58b40769, 0x1bcafe0f, 0x6c8b469a,
      0x14daf1cf, 0xa090e769, 0x131affcf, 0x6c6fa69a, 0x0de2d68c],
     [0x0001405e, 0x00000000, 0xa090e746, 0x131affcf, 0xa0882770,
      0x131aeb0f, 0x686de6a1, 0x0c2ae34e, 0xa0882746, 0x131aeb0f],
     [0x0001405f, 0x00000000, 0x686c8677, 0x0c2ae34e, 0xa0882769,
      0x131aeb0f, 0x6871e69a, 0x0c2ae34e, 0xa081869b, 0x0a6af18f],
     [0x00014060, 0x00000000, 0x6c7606a3, 0x0fa2ea8f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000054ab, 0x00000000, 0xacad8704, 0x1f43034f, 0x10b226f6,
      0x1f4300cf, 0xd8b066f0, 0x1f43004e, 0x00000000, 0x00000000],
     [0x00010098, 0x00000000, 0x50a26693, 0x1652f00c, 0x5086e5ca,
      0x129af00c, 0x7484c5a1, 0x1192fb0f, 0xf873c5a1, 0x0de2f1cb],
     [0x0000ca88, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xbc942766, 0x1772fe4e, 0xbc9426c8, 0x1772fe4e],
     [0x0000ca89, 0x00000000, 0xbc9426d2, 0x1772fe4e, 0x2494261b,
      0x1772fe4b, 0xe094261b, 0x1772fe4b, 0xc49fc61b, 0x1862fe4b],
     [0x0000ca8a, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x0c942511, 0x1772fe8f, 0x0c942607, 0x1772fe8f],
     [0x0000ca8b, 0x00000000, 0x0c942607, 0x1772fe8f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000ca8c, 0x00000000, 0x1c8e06d1, 0x15f2fe8f, 0xa48e0602,
      0x15f2fe8c, 0xb48e0602, 0x15f2fe8e, 0x00000000, 0x00000000],
     [0x00014068, 0x00000000, 0x58a346b4, 0x1692f4cf, 0x6c88e5e3,
      0x10caf40f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00014069, 0x00000000, 0x00000000, 0x00000000, 0x6c78c689,
      0x1042d50c, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0001009c, 0x00000000, 0xfc9685a1, 0x1692f10b, 0xfc9285a1,
      0x1592f10b, 0xfc8705a1, 0x12f2d28b, 0xfc7b65a1, 0x0f92f18b],
     [0x0001406b, 0x00000000, 0x00000000, 0x00000000, 0x7c76c69b,
      0x0b42ed4f, 0x00000000, 0x00000000, 0x58ae270b, 0x183afecf],
     [0x0001406c, 0x00000000, 0x7c90862f, 0x1162f1cf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005af2, 0x00000000, 0x20b766d3, 0x1f42fa90, 0xb0ad0700,
      0x1f431a4e, 0x08b72741, 0x1f4300ce, 0x10b5c6e6, 0x1f42fccf],
     [0x0001009e, 0x00000000, 0xfc8d4693, 0x14a2f58b, 0xa066c5a1,
      0x0c92e2cf, 0xa06e8693, 0x0bfae2cf, 0xfc6945a1, 0x0b0ae2cb],
     [0x0001406f, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x78786605, 0x0fa2f74f, 0x00000000, 0x00000000],
     [0x00014070, 0x00000000, 0xa06146cc, 0x0682f18f, 0xa07266cc,
      0x0acaf18f, 0xa07546cc, 0x0b82f18f, 0x6c6ae694, 0x0962f94f],
     [0x000054bb, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x54b10719, 0x1f43078f],
     [0x0000ca97, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x3088075f, 0x1402fb0f, 0x00000000, 0x00000000],
     [0x0000ca98, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xb4880600, 0x1402fb09],
     [0x0000ca99, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x1c93c577, 0x1772ff0d, 0x0c93c6ef, 0x1772ff10],
     [0x0000ca9a, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xb093c61d, 0x1772fed1, 0x00000000, 0x00000000],
     [0x000054c0, 0x00000000, 0x2ca2871b, 0x1f431f4f, 0x6caf6728,
      0x1f43020f, 0x5ca56707, 0x1f431a0f, 0x00000000, 0x00000000],
     [0x000054c1, 0x00000000, 0x00000000, 0x00000000, 0x00b28734,
      0x1f43270f, 0x24aae72b, 0x1f43198f, 0x00000000, 0x00000000],
     [0x000100a3, 0x00000000, 0x5873c5a1, 0x0de2f30f, 0x588f85a1,
      0x14daf1cf, 0xa078066f, 0x0de2f08f, 0xa089e5b8, 0x13cafd8f],
     [0x000054c3, 0x00000000, 0x00000000, 0x00000000, 0x70a7e743,
      0x1f430b4e, 0x5caac735, 0x1f430b8e, 0xe0b60722, 0x1f42fb0e],
     [0x0000ca9f, 0x00000000, 0x00000000, 0x00000000, 0x70924670,
      0x1773020d, 0x70924670, 0x1773020d, 0x00000000, 0x00000000],
     [0x000054c5, 0x00000000, 0x00000000, 0x00000000, 0x3cae26c9,
      0x1f431890, 0x04b206f6, 0x1f42fbd0, 0x28b1a6f5, 0x1f430790],
     [0x0000caa1, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x4c92466e, 0x1773020c],
     [0x000054c7, 0x00000000, 0x34aac6f9, 0x1f4314cf, 0xc4abe6ff,
      0x1f43150f, 0x00000000, 0x00000000, 0xe4ab46e6, 0x1f43140e],
     [0x000100a6, 0x00000000, 0x5c96868f, 0x169af38f, 0xa07da5b8,
      0x0e62f2cf, 0x687945c3, 0x0efaf30f, 0x748fc5eb, 0x11d2f54f],
     [0x000054c9, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x54ab26df, 0x1f43160f, 0x00000000, 0x00000000],
     [0x000054ca, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x88ada704, 0x1f43180f, 0x00000000, 0x00000000],
     [0x000054cb, 0x00000000, 0x00000000, 0x00000000, 0x20b0c706,
      0x1f43110f, 0x0caaa6fe, 0x1f43188f, 0x54aec711, 0x1f430f4f],
     [0x0000caa7, 0x00000000, 0x00000000, 0x00000000, 0xc493c699,
      0x1772fecc, 0xc493c699, 0x1772fecc, 0x00000000, 0x00000000],
     [0x000054cd, 0x00000000, 0xf0aac70c, 0x1f430e0e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xb4aa4705, 0x1f43160e],
     [0x000054ce, 0x00000000, 0x7cabe69c, 0x1f430d90, 0xa0ac46db,
      0x1f431450, 0x58a7c6da, 0x1f431a8f, 0x78a7e6ee, 0x1f43154f],
     [0x000054cf, 0x00000000, 0xe4ade6e3, 0x1f43190e, 0x5cae06f8,
      0x1f43178f, 0x64b0070f, 0x1f43128f, 0x58ab26fb, 0x1f43180f],
     [0x000054d0, 0x00000000, 0x3cac6708, 0x1f43148f, 0xf8b1872d,
      0x1f4303ce, 0x00000000, 0x00000000, 0x18b5472a, 0x1f42fe4f],
     [0x000054d1, 0x00000000, 0x38af46dc, 0x1f430d8f, 0x08b5471b,
      0x1f43010f, 0x20ae270f, 0x1f4308cf, 0x98b4072c, 0x1f42ff8e],
     [0x000054d2, 0x00000000, 0xe8b36717, 0x1f4306ce, 0x2cb64734,
      0x1f42ff8e, 0x7cb2673c, 0x1f4303ce, 0x00000000, 0x00000000],
     [0x000054d3, 0x00000000, 0xacb506fb, 0x1f42ff4e, 0xccab46d9,
      0x1f43120f, 0xc8ac670b, 0x1f430d8e, 0x88b026fb, 0x1f43000f],
     [0x000054d4, 0x00000000, 0x00000000, 0x00000000, 0x1cb36748,
      0x1f43018e, 0x5cb36734, 0x1f4301ce, 0x4cb46733, 0x1f43038e],
     [0x00003daf, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x106c8597, 0x106afa0c, 0x00000000, 0x00000000],
     [0x000054d6, 0x00000000, 0x8cae8727, 0x1f43064e, 0x00000000,
      0x00000000, 0x34b4e73c, 0x1f42fe0e, 0x00000000, 0x00000000],
     [0x000054d7, 0x00000000, 0x7ca5e72e, 0x1f434f0e, 0x00000000,
      0x00000000, 0xe8b22722, 0x1f4305ce, 0xdcada70e, 0x1f430c4e],
     [0x000054d8, 0x00000000, 0xcca42718, 0x1f4321ce, 0x78b26737,
      0x1f43018e, 0x689c870e, 0x1f43078f, 0xd0a06729, 0x1f43210e],
     [0x000054d9, 0x00000000, 0x2ca0e711, 0x1f43284f, 0x00000000,
      0x00000000, 0x08b22730, 0x1f43028f, 0x8cb06716, 0x1f430dce],
     [0x000054da, 0x00000000, 0x00000000, 0x00000000, 0x0894a6ae,
      0x1f43468f, 0x00000000, 0x00000000, 0x6cabe69f, 0x1f430f90],
     [0x000054db, 0x00000000, 0x5caae6f1, 0x1f43138e, 0x00000000,
      0x00000000, 0x14ac4708, 0x1f42f80f, 0xacaa271d, 0x1f43100e],
     [0x000054dc, 0x00000000, 0x6cad271e, 0x1f4310ce, 0x1cb0a73d,
      0x1f42f98f, 0xd8ad06fa, 0x1f42fe8e, 0x8cad86e6, 0x1f430f0e],
     [0x000054dd, 0x00000000, 0x8cad0719, 0x1f43094e, 0x9cada727,
      0x1f43130e, 0x00000000, 0x00000000, 0xc4b80739, 0x1f43054e],
     [0x000100b1, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x506ea67d, 0x0a6b04d7, 0x5073c67d, 0x0a6b0c57],
     [0x00003db4, 0x00000000, 0x1479064b, 0x106afc18, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000054e0, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x44a8a6e0, 0x1f42fc8f, 0x00000000, 0x00000000],
     [0x000054e1, 0x00000000, 0xb4b246e4, 0x1f42ff4f, 0x98a766ec,
      0x1f42fc4f, 0x98a5e6de, 0x1f42fecf, 0x00000000, 0x00000000],
     [0x000054e2, 0x00000000, 0x00000000, 0x00000000, 0xb8af26e9,
      0x1f43070f, 0x0ca806de, 0x1f42ff4f, 0x20ab06e1, 0x1f42fd50],
     [0x000054e3, 0x00000000, 0xd4b2c6e4, 0x1f42fc8f, 0x08ac8706,
      0x1f42fb8f, 0xb8afe6f0, 0x1f42fe4f, 0xa8a146f5, 0x1f42f88e],
     [0x000054e4, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xacaec6d9, 0x1f43074f, 0x00000000, 0x00000000],
     [0x00005b09, 0x00000000, 0xf8b78734, 0x1f4318ce, 0x8cafc71a,
      0x1f43124e, 0xc0b6a72a, 0x1f430c8e, 0x4cb26738, 0x1f43064e],
     [0x000054e6, 0x00000000, 0x98aec701, 0x1f42fc8f, 0x4caf8726,
      0x1f42f88e, 0xb0b4a722, 0x1f42fbce, 0x00000000, 0x00000000],
     [0x0001409d, 0x00000000, 0x708b45b6, 0x1262e74f, 0x6c75a5b6,
      0x0fa2ed4f, 0x8c9c65b6, 0x176af3cf, 0x988cc5c5, 0x156aed4f],
     [0x0001409e, 0x00000000, 0x048d8695, 0x159aed4c, 0xa071c5b6,
      0x0d5aee0f, 0xa07a06a3, 0x0f6aee0f, 0xfc72a5b6, 0x0da2ee0b],
     [0x0001409f, 0x00000000, 0xfc6f25b6, 0x0c2ad84b, 0xfc6f25b6,
      0x0c2ae24b, 0xa072a5cc, 0x0b42e8cf, 0xa06305cc, 0x0a92f08f],
     [0x000140a0, 0x00000000, 0xa07ee5b8, 0x0f92f00f, 0xa08925b8,
      0x0f92f00f, 0x386825b6, 0x0c2ae60c, 0xfc878693, 0x0d42d40b],
     [0x000054eb, 0x00000000, 0xfcb5870c, 0x1f42f98e, 0x5cb6c704,
      0x1f42f84f, 0xf8aec6f3, 0x1f42f98e, 0x00000000, 0x00000000],
     [0x000140a2, 0x00000000, 0xfc61a63a, 0x09badf0b, 0x7c7ec5b6,
      0x1162ea0f, 0x808385ac, 0x0fa2f1cf, 0x787c05b6, 0x10b2f28f],
     [0x000140a3, 0x00000000, 0x6c70a5b6, 0x0de2f1cf, 0x6c8b45b6,
      0x14daf1cf, 0xa07d4683, 0x0de2f20f, 0xa08a45b8, 0x13cafe4f],
     [0x000140a4, 0x00000000, 0x387125a9, 0x0dc2e80c, 0x1c6d85a9,
      0x0cdae80e, 0xf08445aa, 0x0f9aeb8b, 0xd48085aa, 0x0f9aeb8a],
     [0x000140a5, 0x00000000, 0xa07f8695, 0x1092f44f, 0xa07e2695,
      0x1092fe4f, 0x68772685, 0x0f3af44f, 0xec8285b6, 0x0efaf30b],
     [0x000140a6, 0x00000000, 0x5c9a4690, 0x169af14f, 0xa07b45b8,
      0x0f6aeb8f, 0x687d85c3, 0x0e8af20f, 0x7494c602, 0x1222f54f],
     [0x000140a7, 0x00000000, 0xa09305b8, 0x1232f34f, 0xfc786695,
      0x0edae18b, 0xb88085b1, 0x0fa2f38b, 0xa07905b8, 0x0f2af08f],
     [0x000054f2, 0x00000000, 0x10b826cc, 0x1f430390, 0x34b586a5,
      0x1f4313d0, 0x90b7c6e9, 0x1f4301d0, 0x38b5a723, 0x1f42fecf],
     [0x000140a9, 0x00000000, 0xf0a426a3, 0x19a2e8cb, 0x1c9b66a3,
      0x198ae8ce, 0x6c80063a, 0x1182ed4f, 0xfc924693, 0x0e2ae68b],
     [0x000140aa, 0x00000000, 0x588bc63a, 0x12c2ed4f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000054f5, 0x00000000, 0x78b6a705, 0x1f42f88f, 0x00000000,
      0x00000000, 0xf4b826ef, 0x1f42fc8e, 0xf4b1272e, 0x1f430d4e],
     [0x000140ac, 0x00000000, 0xc06c273c, 0x0be2efd4, 0xc46c2731,
      0x0be2efd4, 0x606e8746, 0x0af2f412, 0x006e869a, 0x0c2af355],
     [0x000140ad, 0x00000000, 0x006c269a, 0x0c2aee95, 0x4c6ce69a,
      0x0c2aee92, 0x0478c694, 0x0c32ef55, 0xcc78e69a, 0x0e12f1d4],
     [0x000140ae, 0x00000000, 0x606ec69a, 0x0af2f0d2, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x64680695, 0x0a6b0e15],
     [0x000054f9, 0x00000000, 0xb8b1671a, 0x1f43098f, 0xd0a9072a,
      0x1f431b4e, 0x5ca2e6ff, 0x1f4314cf, 0x00000000, 0x00000000],
     [0x000140b0, 0x00000000, 0x6066e69a, 0x0abaed53, 0x606c069a,
      0x0a32f313, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000140b1, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xb06c669a, 0x0a6af817, 0xb071e69a, 0x0a6b01d7],
     [0x000064c2, 0x00000000, 0x28b7a718, 0x1f42f90f, 0x00b306fe,
      0x1f42f90f, 0x00000000, 0x00000000, 0x78b186fe, 0x1f42f90f],
     [0x000054fd, 0x00000000, 0x00000000, 0x00000000, 0xbca786d6,
      0x1f43178f, 0x7cb22715, 0x1f4304ce, 0x3cad06fb, 0x1f43088f],
     [0x000054fe, 0x00000000, 0x18a5e714, 0x1f43204f, 0x58b7868a,
      0x1f430110, 0x94b30684, 0x1f42ff10, 0x64acc6f0, 0x1f4300cf],
     [0x000054ff, 0x00000000, 0xacb0469f, 0x1f4308cf, 0xdcb766e7,
      0x1f43044f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000140b6, 0x00000000, 0xb06ee68e, 0x0a6affd7, 0xd4632677,
      0x0a6b16d7, 0x146906da, 0x0a6b0dd8, 0xec562414, 0x0a6ae40c],
     [0x00005501, 0x00000000, 0x2cb76724, 0x1f43000f, 0x00000000,
      0x00000000, 0x10ae26ec, 0x1f4300d0, 0xecb386c7, 0x1f4304ce],
     [0x00005502, 0x00000000, 0x28b84718, 0x1f42fdcf, 0xdcad0730,
      0x1f43144e, 0x9ca4e71d, 0x1f43204e, 0x7cb38712, 0x1f43008e],
     [0x00005503, 0x00000000, 0x24a46707, 0x1f431c4f, 0x98a6471f,
      0x1f42f18f, 0xa8aac707, 0x1f42fc0f, 0xb0b4a736, 0x1f43134e],
     [0x00005504, 0x00000000, 0xc4b626e1, 0x1f430210, 0x0caea711,
      0x1f43130f, 0xdcb646e5, 0x1f4303cf, 0x7cafe6d0, 0x1f43034f],
     [0x00005505, 0x00000000, 0x00000000, 0x00000000, 0xd8a226c4,
      0x1f43250f, 0x48a766df, 0x1f43084f, 0xf4aca6f4, 0x1f43084e],
     [0x00005506, 0x00000000, 0x6cb50707, 0x1f43000e, 0xb8b806f8,
      0x1f42ff0f, 0x00000000, 0x00000000, 0x68b2e6de, 0x1f43024f],
     [0x00005507, 0x00000000, 0x50b8469b, 0x1f42fe10, 0xfcb76739,
      0x1f4306ce, 0xfcb506d6, 0x1f42f60e, 0x90b7a70c, 0x1f42f80e],
     [0x000064c8, 0x00000000, 0xfcb9c70e, 0x1f42f84f, 0xe0b4671d,
      0x1f42f90e, 0x94b48719, 0x1f42fbce, 0x20b846ec, 0x1f42f750],
     [0x00005509, 0x00000000, 0xb8b726f4, 0x1f43000e, 0x08b0469c,
      0x1f43014f, 0x28aec6f2, 0x1f43088f, 0x6cb926a1, 0x1f42ff10],
     [0x0000550a, 0x00000000, 0x58b6470a, 0x1f42fc0f, 0x74b926fd,
      0x1f42fd0f, 0x64b4e6b7, 0x1f42fe0f, 0xecb82725, 0x1f4300ce],
     [0x0000550b, 0x00000000, 0x7cae86ea, 0x1f43014e, 0x84b4c705,
      0x1f42f58f, 0x68b72710, 0x1f42fd8f, 0xa8a96722, 0x1f43124f],
     [0x0000550c, 0x00000000, 0xf8ad070b, 0x1f4302cf, 0x48b5a72c,
      0x1f4305cf, 0xf8a6e6df, 0x1f4303ce, 0x70b30704, 0x1f43048f],
     [0x0000550d, 0x00000000, 0x70b006fe, 0x1f43124f, 0x88b4c71b,
      0x1f4300ce, 0xb4a8e6cd, 0x1f42fa8e, 0xc0b546f1, 0x1f42fd0f],
     [0x0000550e, 0x00000000, 0x04b766ef, 0x1f4301d0, 0x84b74717,
      0x1f4304cf, 0x00000000, 0x00000000, 0x34b0e717, 0x1f43034f],
     [0x0000550f, 0x00000000, 0xf4b7a6e5, 0x1f42f98f, 0xe8b3271d,
      0x1f42ff0e, 0xfcb3e6fa, 0x1f43068e, 0x00000000, 0x00000000],
     [0x00005510, 0x00000000, 0xc4b3c701, 0x1f430a8e, 0x50ac4709,
      0x1f42ff0f, 0xc8a5c6e3, 0x1f43280f, 0xc0b646f0, 0x1f42fd0f],
     [0x00005511, 0x00000000, 0x00000000, 0x00000000, 0x10b5e6f7,
      0x1f42fd10, 0xf4b6c701, 0x1f430e4e, 0xbcad86e3, 0x1f430e8e],
     [0x00005512, 0x00000000, 0xa4b0c6ee, 0x1f43118f, 0x74b1a704,
      0x1f4301cf, 0x58b36721, 0x1f43008f, 0x40b7a70c, 0x1f430350],
     [0x00003dce, 0x00000000, 0x747a8656, 0x106af90f, 0xfc7985a2,
      0x106afb0b, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005514, 0x00000000, 0x14aac700, 0x1f43004f, 0x00b7a70f,
      0x1f43024f, 0x3cb5a6d3, 0x1f430550, 0xa8b5e707, 0x1f4302cf],
     [0x00005515, 0x00000000, 0x20b646ed, 0x1f42fcd0, 0x54adc6d7,
      0x1f43000f, 0xb8a746be, 0x1f4304cf, 0x88ab26db, 0x1f4308cf],
     [0x00005516, 0x00000000, 0x989ca711, 0x1f4325ce, 0x50a506f5,
      0x1f431fcf, 0x00000000, 0x00000000, 0x78b6a6fd, 0x1f43000f],
     [0x00005517, 0x00000000, 0x10ac2731, 0x1f4304cf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x6cb1c713, 0x1f430010],
     [0x00005518, 0x00000000, 0xd8b626f7, 0x1f42fe0e, 0x3cb3a6c6,
      0x1f42fe0f, 0x9cb466df, 0x1f43064f, 0x04b546c7, 0x1f43000f],
     [0x00005519, 0x00000000, 0x54b6a6e6, 0x1f42ff0f, 0x48b4e6fe,
      0x1f4302cf, 0xccaf26e4, 0x1f42fc8f, 0xc0b246e9, 0x1f42ff0f],
     [0x0000551a, 0x00000000, 0x3ca4a70c, 0x1f4307cf, 0x00000000,
      0x00000000, 0x68b566d3, 0x1f42fa10, 0x1ca5e6f2, 0x1f4302cf],
     [0x0000551b, 0x00000000, 0x8cb5c653, 0x1f430211, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xacb486dd, 0x1f43010e],
     [0x0000551c, 0x00000000, 0x38af06ee, 0x1f4308cf, 0x34b92708,
      0x1f42fc10, 0x50b826c8, 0x1f42f910, 0x9cbaa727, 0x1f42fc0e],
     [0x0000551d, 0x00000000, 0xecadc6fb, 0x1f4302ce, 0x8cb3e6ca,
      0x1f42fe0f, 0x58b726f4, 0x1f42fb90, 0x3caf86dc, 0x1f42ff8e],
     [0x0000551e, 0x00000000, 0xa4b066bd, 0x1f42fc8f, 0x00000000,
      0x00000000, 0x18afa6e1, 0x1f43000f, 0xc8ae6738, 0x1f43064e],
     [0x0000551f, 0x00000000, 0x64b5671c, 0x1f4302cf, 0x5cb7a747,
      0x1f42f80e, 0xacb166a1, 0x1f4302d0, 0xe8af4706, 0x1f4303cf],
     [0x00005520, 0x00000000, 0xd8b6a6db, 0x1f430250, 0xa8b1a6fc,
      0x1f43010f, 0x10af66c8, 0x1f43054f, 0x00000000, 0x00000000],
     [0x00005521, 0x00000000, 0xa4ab26fd, 0x1f43024f, 0x00000000,
      0x00000000, 0x3cb52739, 0x1f42fe8f, 0xccb3a6d3, 0x1f4303cf],
     [0x00005522, 0x00000000, 0x18af6709, 0x1f4302cf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x68aba728, 0x1f42fb8e],
     [0x00005523, 0x00000000, 0xf8afc712, 0x1f42fcce, 0x7cabe6e8,
      0x1f4302cf, 0x1cb84715, 0x1f43000f, 0x2cb72712, 0x1f42fd0f],
     [0x00005524, 0x00000000, 0xa4b186fd, 0x1f42f90e, 0xfcb526e9,
      0x1f42fb0e, 0x8cb4a6f0, 0x1f43098f, 0x00000000, 0x00000000],
     [0x00005525, 0x00000000, 0x04b0a70d, 0x1f43054f, 0x98b2e713,
      0x1f43024f, 0xc0b1a6f0, 0x1f42fb8f, 0x00000000, 0x00000000],
     [0x00005526, 0x00000000, 0x9ca8871a, 0x1f42fe0e, 0xb4b40711,
      0x1f43000f, 0xe4b8a738, 0x1f42fd8e, 0xd4b04703, 0x1f4305ce],
     [0x00005527, 0x00000000, 0x00000000, 0x00000000, 0x90ae26e6,
      0x1f4300d0, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005528, 0x00000000, 0x2cb08720, 0x1f430b4e, 0x2cb4e6f8,
      0x1f42fb0e, 0xb0ada72f, 0x1f430b4e, 0x28b5a6ff, 0x1f42fb90],
     [0x00005529, 0x00000000, 0xecb2a70b, 0x1f43034f, 0x18ad06c7,
      0x1f4303d0, 0xd8b6472f, 0x1f42fd0e, 0xe4aac6f6, 0x1f42fd8e],
     [0x0000552a, 0x00000000, 0x00b06721, 0x1f430c4f, 0x3cb5e736,
      0x1f43008e, 0xbcba273a, 0x1f42fe8e, 0x04b386d7, 0x1f42f9d0],
     [0x000140e1, 0x00000000, 0xb0666690, 0x09631117, 0xb0758690,
      0x0be2f4d7, 0xa088a69d, 0x14dadd0f, 0x7c5f85b3, 0x0a6b0b14],
     [0x0000552c, 0x00000000, 0xc8aba703, 0x1f43034e, 0x6ca7470f,
      0x1f4301cf, 0x9cb2670b, 0x1f43004f, 0x48afc703, 0x1f43054f],
     [0x000140e3, 0x00000000, 0x5894e69d, 0x1692f0cf, 0x00000000,
      0x00000000, 0xa0a9669d, 0x15e2f00f, 0xa09f469d, 0x1942f44f],
     [0x000140e4, 0x00000000, 0x7c72e690, 0x08b2ef8f, 0xa088a693,
      0x14dadd0f, 0xa08c8685, 0x14dae7cf, 0xa0924685, 0x124aeacf],
     [0x0000552f, 0x00000000, 0x7cac66f6, 0x1f43104e, 0x8cad26d1,
      0x1f43000f, 0x44b2a712, 0x1f42fc0f, 0x8cb4e702, 0x1f42fa8e],
     [0x00005530, 0x00000000, 0xb8b72734, 0x1f42f98e, 0x24af86e6,
      0x1f4309d0, 0x1cb286c0, 0x1f42fc90, 0x50b006cc, 0x1f43000f],
     [0x00005531, 0x00000000, 0xbcb4c70f, 0x1f4301cf, 0xe4b3c722,
      0x1f43020e, 0x9caaa732, 0x1f42fe0e, 0x94b1c711, 0x1f4300cf],
     [0x000140e8, 0x00000000, 0xa0a26685, 0x1852e80f, 0xa08b2685,
      0x131ae70f, 0x00000000, 0x00000000, 0xa08be685, 0x13caeb4f],
     [0x00005533, 0x00000000, 0x90b626f7, 0x1f4301cf, 0x7cab46f1,
      0x1f43010f, 0xa8b4470b, 0x1f43024f, 0x74b3c6ce, 0x1f43010f],
     [0x00005534, 0x00000000, 0xbcb026d0, 0x1f43024f, 0x4cb246bd,
      0x1f42fe90, 0x94b3c6ed, 0x1f42fb8f, 0x48b32721, 0x1f43018f],
     [0x00005535, 0x00000000, 0xe8b0471a, 0x1f43004e, 0x20a6e70b,
      0x1f43064f, 0x9cb6071b, 0x1f43000e, 0xc8b16713, 0x1f43044e],
     [0x00005536, 0x00000000, 0x3cb54710, 0x1f42fa4f, 0xf4b726f9,
      0x1f42ff8f, 0x38b4c6f1, 0x1f43004f, 0x00000000, 0x00000000],
     [0x00005537, 0x00000000, 0xf8b50712, 0x1f43014e, 0x44b6270f,
      0x1f43014f, 0x5cb2872e, 0x1f4301ce, 0x68b046f0, 0x1f42f90f],
     [0x00005538, 0x00000000, 0xecb5e70d, 0x1f43000e, 0x9ca06738,
      0x1f43228e, 0x40b18700, 0x1f42fe0e, 0x00000000, 0x00000000],
     [0x000140ef, 0x00000000, 0x6c7ae5a9, 0x105ad98c, 0x6c75a5b6,
      0x0eaae84f, 0x6c73c6a2, 0x0cfaeccc, 0x6c75a5b6, 0x0fa2ed4f],
     [0x0000553a, 0x00000000, 0xe4ae0725, 0x1f4307ce, 0x7cb626c7,
      0x1f430090, 0xe8b346e8, 0x1f42fb8e, 0x1cb706e9, 0x1f4303cf],
     [0x0000553b, 0x00000000, 0x00000000, 0x00000000, 0xa4b1e6f3,
      0x1f43068f, 0x78b2e739, 0x1f4300ce, 0x00000000, 0x00000000],
     [0x0000553c, 0x00000000, 0x00000000, 0x00000000, 0x80b3072f,
      0x1f42fe0e, 0xfcb0670e, 0x1f43030e, 0xe8b4a6f5, 0x1f42fd0e],
     [0x000140f3, 0x00000000, 0x6c75a690, 0x0fa2ed4f, 0x6c7a2690,
      0x10c2ec4f, 0x6c930690, 0x16faed4f, 0x00000000, 0x00000000],
     [0x0000553e, 0x00000000, 0xb4b7470c, 0x1f43000e, 0x00000000,
      0x00000000, 0xb4aea71d, 0x1f42f90e, 0x9cb08702, 0x1f43020e],
     [0x0000553f, 0x00000000, 0x6caba72e, 0x1f42ff0e, 0x48b426ee,
      0x1f42fb8f, 0x00000000, 0x00000000, 0x3cac073a, 0x1f430a8e],
     [0x00005540, 0x00000000, 0x00000000, 0x00000000, 0x48b0671c,
      0x1f42fb0f, 0x00000000, 0x00000000, 0x6cac2731, 0x1f43010e],
     [0x00005541, 0x00000000, 0x58abe6f2, 0x1f4305cf, 0x70b7071c,
      0x1f42f70e, 0xe4b76724, 0x1f4302ce, 0xfcb80719, 0x1f42fcce],
     [0x000064e5, 0x00000000, 0xd8b6c711, 0x1f42fa0f, 0x4cafe71d,
      0x1f42f94f, 0xf0a98716, 0x1f42fece, 0x30b8c70a, 0x1f42f64f],
     [0x00005543, 0x00000000, 0x9cb766d5, 0x1f42fc8f, 0x00000000,
      0x00000000, 0xacad0708, 0x1f42f90e, 0x6cad273f, 0x1f42fd8e],
     [0x00005544, 0x00000000, 0xccb0c72f, 0x1f43014e, 0x94b2c6f6,
      0x1f43010f, 0x3cae06d1, 0x1f43010f, 0x00000000, 0x00000000],
     [0x00005545, 0x00000000, 0xa8b626f7, 0x1f42ff0f, 0x00000000,
      0x00000000, 0xf0b446d2, 0x1f42fc8f, 0x30b68725, 0x1f43010f],
     [0x00005546, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xd0b6e6fe, 0x1f42fbce, 0x20b28706, 0x1f43034f],
     [0x000140fd, 0x00000000, 0x5894e695, 0x1692f4cf, 0x6c7425b7,
      0x0e92ed4f, 0x6073e5b4, 0x0f32eccf, 0x00000000, 0x00000000],
     [0x00005548, 0x00000000, 0xbcb00713, 0x1f43054f, 0x00000000,
      0x00000000, 0x34a7871e, 0x1f4304cf, 0xacb1e714, 0x1f4305cf],
     [0x00005549, 0x00000000, 0xa8b1c717, 0x1f43000f, 0x00000000,
      0x00000000, 0xccb746fa, 0x1f42fd0e, 0x9cb2a6c2, 0x1f42fc0e],
     [0x00014100, 0x00000000, 0x00000000, 0x00000000, 0xa08f2771,
      0x14dae54f, 0x6c9aa685, 0x18ab020c, 0xa090c79b, 0x12e2e60f],
     [0x0000554b, 0x00000000, 0x20b76729, 0x1f4305cf, 0x04b0670a,
      0x1f43084f, 0xaca72735, 0x1f4306ce, 0xdcb56731, 0x1f43020e],
     [0x000064ea, 0x00000000, 0x3cb4c6ff, 0x1f42fd0e, 0xa4b4e6e0,
      0x1f42fd0f, 0x10b646fa, 0x1f42fa0f, 0x00000000, 0x00000000],
     [0x0000554d, 0x00000000, 0x5cb32726, 0x1f4301cf, 0x0cb5471b,
      0x1f42fc8f, 0xb0b00714, 0x1f43044e, 0x98af0729, 0x1f42fe0e],
     [0x0000554e, 0x00000000, 0x9cb6c723, 0x1f42f90f, 0xacb6c6e5,
      0x1f42f78f, 0x00000000, 0x00000000, 0x9cb4c717, 0x1f43034e],
     [0x00014105, 0x00000000, 0xc0984685, 0x15c2d14c, 0xa08f2685,
      0x14dae54f, 0xa0b7a68e, 0x1cfade4f, 0x58832696, 0x118aeb8f],
     [0x00005550, 0x00000000, 0x54b1c6d8, 0x1f43054f, 0xc8a98702,
      0x1f42fece, 0x00000000, 0x00000000, 0x44b48718, 0x1f4305ce],
     [0x00014107, 0x00000000, 0x70b08685, 0x1bd2e58f, 0xa0a16685,
      0x180ae60f, 0x58982695, 0x1692fb4f, 0xa0a12685, 0x17fae54f],
     [0x00014108, 0x00000000, 0xa08ae685, 0x1272e68f, 0x58974695,
      0x14dafe4f, 0xa093a685, 0x131b020f, 0x58978685, 0x14d306cf],
     [0x00014109, 0x00000000, 0xa0a48685, 0x1a0b000f, 0xa090a685,
      0x12fadecf, 0xc0a18685, 0x1812e60c, 0xa0a00685, 0x17b30c0f],
     [0x00005554, 0x00000000, 0x6caf6716, 0x1f43000e, 0xecb5e70c,
      0x1f43000e, 0xc8ad86d5, 0x1f43000f, 0x28b8e72a, 0x1f43014f],
     [0x00005555, 0x00000000, 0x00000000, 0x00000000, 0xe8af273a,
      0x1f4305ce, 0xa8b44710, 0x1f43054f, 0xf4af070a, 0x1f42fd0e],
     [0x000100ed, 0x00000000, 0x74780684, 0x0e62f40f, 0x7473a5a1,
      0x0de2f58f, 0xbc79e693, 0x0e32f58c, 0x6c75c5a1, 0x0ed2f18c],
     [0x0001410d, 0x00000000, 0x6c78c69f, 0x0f82f38f, 0x6c7265b6,
      0x0d7af38f, 0x6cadc5b6, 0x1c12ed0f, 0x6c6dc5b6, 0x0c82eb4f],
     [0x00005558, 0x00000000, 0x00000000, 0x00000000, 0xccb1471a,
      0x1f42fc8e, 0xf4aca6cc, 0x1f42ff0f, 0xb8b34710, 0x1f43000e],
     [0x00005559, 0x00000000, 0x6cb5a739, 0x1f43000e, 0x1cb726f9,
      0x1f43014f, 0x48b4e709, 0x1f42fd8f, 0x98b24729, 0x1f4306ce],
     [0x0000555a, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x40ab66fc, 0x1f4303cf, 0x00000000, 0x00000000],
     [0x00014111, 0x00000000, 0x6c9826a3, 0x1772f50c, 0x6c7e65b6,
      0x0e42e48f, 0xd47e85b6, 0x10f2f68c, 0x7c7d25b6, 0x109afa0f],
     [0x00014112, 0x00000000, 0x7c9ec5b6, 0x1902f70f, 0xd49ec5b6,
      0x1902f70c, 0x6c8405b6, 0x1292f54f, 0x6c9905b6, 0x1792f8cf],
     [0x00014113, 0x00000000, 0x6c7725b6, 0x0f5af8cf, 0x6c7125b6,
      0x0de2eb0f, 0x6c9745b6, 0x1722f10f, 0x747e05a9, 0x10d2ee8f],
     [0x00014114, 0x00000000, 0x00000000, 0x00000000, 0x6c7b6677,
      0x0d92f38f, 0x6c7bc6a3, 0x105af10c, 0x687786a1, 0x0b82ec0f],
     [0x00014115, 0x00000000, 0x6c76c5b6, 0x0cfaf38f, 0x6c6a85b6,
      0x0c2aee0f, 0x7c618694, 0x08b2f30f, 0x7c6e4677, 0x08b2f38f],
     [0x00014116, 0x00000000, 0x6464e695, 0x08b2c5cc, 0x6c9085b6,
      0x15b2e20f, 0x6c9565b6, 0x16eaf10f, 0x7c7ee6a3, 0x1162f10f],
     [0x00005561, 0x00000000, 0xbcb70743, 0x1f42fd4e, 0x00000000,
      0x00000000, 0xb8b2c71e, 0x1f42ff8f, 0xf8aa870f, 0x1f42fd0e],
     [0x00005562, 0x00000000, 0xc0b22709, 0x1f42fd0e, 0x00b446fd,
      0x1f42fdd0, 0x70b4e727, 0x1f42fc0e, 0x6cb6871d, 0x1f42fe8e],
     [0x00005563, 0x00000000, 0x4ca7a71a, 0x1f430e8e, 0x6cb92706,
      0x1f42fe0e, 0x40af66c1, 0x1f4301cf, 0x3cb0e719, 0x1f43000f],
     [0x00005564, 0x00000000, 0x00000000, 0x00000000, 0xa0b2671d,
      0x1f4300ce, 0xe0b5e70b, 0x1f42fe8e, 0xfcb646ff, 0x1f4305ce],
     [0x00005565, 0x00000000, 0x40b3c6e2, 0x1f42fe0f, 0x2cb366db,
      0x1f42ff10, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005566, 0x00000000, 0xf0afe713, 0x1f4300ce, 0xb4b8e73e,
      0x1f43000e, 0x94b62729, 0x1f4301cf, 0x00000000, 0x00000000],
     [0x00005567, 0x00000000, 0x50b50740, 0x1f43004e, 0xf4af6709,
      0x1f4303ce, 0x9cb3a6f6, 0x1f42fe0e, 0xa4aa6715, 0x1f43000e],
     [0x000064f8, 0x00000000, 0x00000000, 0x00000000, 0x24b56721,
      0x1f42f84f, 0xfcb28703, 0x1f42fece, 0xf4b2470e, 0x1f42fb0f],
     [0x00005569, 0x00000000, 0x80b22726, 0x1f43010f, 0xe0b3671a,
      0x1f42fd0e, 0x4caca709, 0x1f430e0f, 0xb4b2c713, 0x1f4300cf],
     [0x0000556a, 0x00000000, 0x3cb3871a, 0x1f43000f, 0x80b60739,
      0x1f42f90f, 0x4cb6e738, 0x1f43150e, 0x5cb3c6f6, 0x1f42fd8f],
     [0x0000556b, 0x00000000, 0x8cb9672f, 0x1f430bce, 0x9ca9271d,
      0x1f43000e, 0x5cb1e73a, 0x1f43038e, 0x00000000, 0x00000000],
     [0x0000556c, 0x00000000, 0x8cb6471d, 0x1f42f88e, 0xc0b346d9,
      0x1f42fd0f, 0xe0b3070e, 0x1f42ff8e, 0x6cb36700, 0x1f42fd8f],
     [0x0000556d, 0x00000000, 0x00000000, 0x00000000, 0x40b2470e,
      0x1f42fd0f, 0x58aa66fc, 0x1f43104f, 0xd0af8731, 0x1f43020e],
     [0x00014124, 0x00000000, 0xa08ea72a, 0x10dae60f, 0x7c77a636,
      0x0b42f5cf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000556f, 0x00000000, 0x00000000, 0x00000000, 0xfcafc714,
      0x1f42ff0e, 0xdcabc6fd, 0x1f43148e, 0xf8b14718, 0x1f43140e],
     [0x00005570, 0x00000000, 0x44b646ff, 0x1f43024f, 0x00000000,
      0x00000000, 0xf0b2e725, 0x1f43010e, 0x98abe721, 0x1f42fb0e],
     [0x00005571, 0x00000000, 0x0cb3670c, 0x1f43014f, 0xc8b44724,
      0x1f4301ce, 0xc0b8871e, 0x1f42fb8e, 0x54b2073b, 0x1f43018e],
     [0x00005572, 0x00000000, 0xbcb4c726, 0x1f43010e, 0x20b1e728,
      0x1f42fd8e, 0xbcb166f1, 0x1f42fe0e, 0xd4ad8725, 0x1f43054e],
     [0x00005573, 0x00000000, 0x54b5a70b, 0x1f42fd0f, 0xfcb0e6f3,
      0x1f42ff8e, 0xc0b28724, 0x1f4304ce, 0x90b7271c, 0x1f42ff8e],
     [0x000064fe, 0x00000000, 0x98b5e72f, 0x1f42fb0f, 0xe4b16703,
      0x1f42fdcf, 0xecb68706, 0x1f42fc0e, 0xbcb6e710, 0x1f42fb0e],
     [0x00005575, 0x00000000, 0xfcafe72a, 0x1f4300ce, 0xe4b12709,
      0x1f42fb0e, 0x6cb56719, 0x1f43004e, 0x00000000, 0x00000000],
     [0x000064ff, 0x00000000, 0xccb4c711, 0x1f42fc0e, 0xb4b0e725,
      0x1f42f90e, 0xe8b5a711, 0x1f42fc0f, 0xbcb46725, 0x1f42fb0e],
     [0x00005577, 0x00000000, 0x74b4673d, 0x1f4303ce, 0xb0b0e6f0,
      0x1f43000f, 0x00000000, 0x00000000, 0xbcb44739, 0x1f4302cf],
     [0x00005578, 0x00000000, 0x00000000, 0x00000000, 0x64b6c721,
      0x1f42fd0e, 0x94b4a706, 0x1f42fe10, 0x08acc6ee, 0x1f43030f],
     [0x00005579, 0x00000000, 0xfcb4070e, 0x1f42ff0e, 0x5cb7473b,
      0x1f43034e, 0x60b1c723, 0x1f42fd8e, 0xc8b52715, 0x1f43054e],
     [0x0000557a, 0x00000000, 0x04b5c70d, 0x1f42f98f, 0x2ca7a722,
      0x1f4304cf, 0xecb5e725, 0x1f42fe0e, 0xd8b346f6, 0x1f4302cf],
     [0x00005b54, 0x00000000, 0x00000000, 0x00000000, 0x08b346fb,
      0x1f430b0f, 0xb8b36702, 0x1f43078e, 0x24b2271a, 0x1f43088f],
     [0x00010100, 0x00000000, 0x00000000, 0x00000000, 0xa08d6740,
      0x131aee4f, 0x60916675, 0x169aff8c, 0xa089e77a, 0x11cae50f],
     [0x0000557d, 0x00000000, 0x00000000, 0x00000000, 0x98b346f1,
      0x1f42fb8f, 0x6cb5a71b, 0x1f42f88e, 0x74b7870e, 0x1f42fc8f],
     [0x0000557e, 0x00000000, 0x00000000, 0x00000000, 0x18b5a705,
      0x1f42f94f, 0xb8b0672f, 0x1f43020e, 0x00000000, 0x00000000],
     [0x0000557f, 0x00000000, 0x9cb2e723, 0x1f43024f, 0x48b5c6e8,
      0x1f42f64f, 0xf0b5c6f9, 0x1f42fb8f, 0x60b82747, 0x1f42fc0e],
     [0x00005580, 0x00000000, 0xb8aca715, 0x1f430b8e, 0x3cb426fa,
      0x1f43014f, 0x28afa70e, 0x1f4307cf, 0x00000000, 0x00000000],
     [0x00005581, 0x00000000, 0x6cb3c731, 0x1f42ff0e, 0x00000000,
      0x00000000, 0x10b5673d, 0x1f4300cf, 0x00000000, 0x00000000],
     [0x00005582, 0x00000000, 0xc4ac473e, 0x1f42fa0e, 0x9cb1c748,
      0x1f43058e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005583, 0x00000000, 0xf0aca6ff, 0x1f42fe8e, 0xa8b6c733,
      0x1f42ff8e, 0x58ad871f, 0x1f43014e, 0x50b606e2, 0x1f42fe50],
     [0x00005584, 0x00000000, 0xa0b6a731, 0x1f42ff0e, 0x00000000,
      0x00000000, 0x8cb3e709, 0x1f43014f, 0x78ae46be, 0x1f42fc8f],
     [0x00005585, 0x00000000, 0x70b486e3, 0x1f43034f, 0xecae66f3,
      0x1f43024e, 0x34b38738, 0x1f4303ce, 0x60b14736, 0x1f43134e],
     [0x00005586, 0x00000000, 0x54aa6722, 0x1f42fe8f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x0cb68726, 0x1f42fc8f],
     [0x00005587, 0x00000000, 0x4cb6c729, 0x1f42fb0e, 0x9cb906ef,
      0x1f42fb0e, 0x88b18722, 0x1f42f88f, 0x9cb1e6e7, 0x1f42f84e],
     [0x00005588, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x0cab271b, 0x1f42ff8f],
     [0x00005589, 0x00000000, 0x48b44709, 0x1f42fe0f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x78aca70a, 0x1f42fc8f],
     [0x00010107, 0x00000000, 0xa0a96675, 0x1972e5cf, 0xa09c2675,
      0x1622e78f, 0x5895e683, 0x1642fd0f, 0xa09ba675, 0x1602e6cf],
     [0x0000558b, 0x00000000, 0x08b666f5, 0x1f43014f, 0x30ae670e,
      0x1f42fc8f, 0x8cb7e708, 0x1f42fece, 0xccb3a734, 0x1f4301ce],
     [0x00010108, 0x00000000, 0xa086c675, 0x11c2e80f, 0x5894c682,
      0x14dafecf, 0xa08f0675, 0x1162ff8f, 0x68980675, 0x1483098f],
     [0x0000558d, 0x00000000, 0x70b54726, 0x1f42ff8e, 0x00b3e741,
      0x1f42fe0f, 0x6cb3a723, 0x1f42f54e, 0x00000000, 0x00000000],
     [0x00010109, 0x00000000, 0xa09d4675, 0x1823004f, 0xa08ba675,
      0x11fadd4f, 0xd49be675, 0x1612e7cc, 0xa0916675, 0x1372fb8f],
     [0x0000558f, 0x00000000, 0x00000000, 0x00000000, 0x5cb0670e,
      0x1f43024e, 0x8cb0671a, 0x1f43024e, 0x6cb04701, 0x1f42fa8f],
     [0x0001010a, 0x00000000, 0xa0b8a675, 0x1d42ea8f, 0xd4b8a675,
      0x1d42ea8c, 0xa0900675, 0x15bafdcf, 0xa0ae2675, 0x1aa2e70f],
     [0x00008c0c, 0x00000000, 0x14e96589, 0x2c22f951, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000650d, 0x00000000, 0x00000000, 0x00000000, 0x58b6473b,
      0x1f42f70e, 0x1cb56705, 0x1f42f80f, 0xccb3c727, 0x1f42fa0e],
     [0x00005593, 0x00000000, 0x2cad2732, 0x1f42ff0f, 0xb8b0670c,
      0x1f42ff0f, 0x1cb08739, 0x1f42fb0f, 0x00000000, 0x00000000],
     [0x0001010c, 0x00000000, 0x747ac5a1, 0x1012f3cf, 0x74816693,
      0x0f92f70f, 0x747365a1, 0x0dd2f5cf, 0x746e85a1, 0x0c32ee4f],
     [0x00005595, 0x00000000, 0xa4b506f4, 0x1f42fc0f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xccb0e73f, 0x1f43004e],
     [0x00005596, 0x00000000, 0xccb826c1, 0x1f42fa4f, 0xb4b92724,
      0x1f42fd8e, 0xb0b0670d, 0x1f43040e, 0x88b0670e, 0x1f42ff0f],
     [0x00005597, 0x00000000, 0xf0b10741, 0x1f42fc0e, 0x00000000,
      0x00000000, 0xccb72718, 0x1f42fd0f, 0x00000000, 0x00000000],
     [0x00005598, 0x00000000, 0x40b3e71a, 0x1f42f84f, 0x00000000,
      0x00000000, 0xa0b2c734, 0x1f43014f, 0xd8ace6e8, 0x1f43004e],
     [0x00005599, 0x00000000, 0x78b6c730, 0x1f42fd0e, 0xb4b6073b,
      0x1f43010e, 0xdcb20706, 0x1f43004e, 0x00000000, 0x00000000],
     [0x0000559a, 0x00000000, 0x78aaa715, 0x1f4314cf, 0xa4b16712,
      0x1f43028f, 0xccb78715, 0x1f42fd8e, 0xe4b4e73a, 0x1f42fe8e],
     [0x0000559b, 0x00000000, 0xd4b4a71a, 0x1f42fd8f, 0x28b42702,
      0x1f42f88f, 0x68b6c70c, 0x1f42fe0e, 0x70b16724, 0x1f42fa8e],
     [0x0000559c, 0x00000000, 0x18b6a72d, 0x1f42f98f, 0x68b5c730,
      0x1f42f98e, 0xe4b5a730, 0x1f42fa8e, 0x14b04724, 0x1f43004f],
     [0x0000559d, 0x00000000, 0xa0b26748, 0x1f43000e, 0x00000000,
      0x00000000, 0x88b0273f, 0x1f4302ce, 0xecb5c703, 0x1f42fe8f],
     [0x0000559e, 0x00000000, 0x70b3e70b, 0x1f42fa8f, 0xd4b3c72c,
      0x1f42fd8e, 0xa0b40708, 0x1f42fd0e, 0x8cb5c70c, 0x1f42fe0f],
     [0x0000559f, 0x00000000, 0xd8b1670e, 0x1f42fc0e, 0x00000000,
      0x00000000, 0xa4b0a725, 0x1f42fb8e, 0x8cb64715, 0x1f42fe8e],
     [0x000055a0, 0x00000000, 0x48afe736, 0x1f42fd8e, 0x98ab6701,
      0x1f42fb8e, 0x8cb246dd, 0x1f42fb8f, 0x60b646bd, 0x1f42f3cf],
     [0x000055a1, 0x00000000, 0xa4b3072b, 0x1f42fb8e, 0x84aee6f9,
      0x1f42f98e, 0xa0ae8739, 0x1f42fb0e, 0x88b62725, 0x1f42f84e],
     [0x000055a2, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x8cb4e743, 0x1f42fb4e, 0x00000000, 0x00000000],
     [0x000055a3, 0x00000000, 0xacb76721, 0x1f42ff8e, 0x44b3e72a,
      0x1f42ff8f, 0x60b3e738, 0x1f42fa4e, 0x70b4a722, 0x1f42f98e],
     [0x000055a4, 0x00000000, 0x34b36745, 0x1f42fb8e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xe0b50731, 0x1f42fc8e],
     [0x000055a5, 0x00000000, 0x80b22722, 0x1f42f98e, 0x60abc741,
      0x1f42fa8e, 0x00000000, 0x00000000, 0xdcb9071b, 0x1f42fc0e],
     [0x00010115, 0x00000000, 0x7475a5a1, 0x0d62f48f, 0x6c6925a2,
      0x0c2aebcf, 0x745ec676, 0x08b2f8cf, 0x746b2646, 0x08b2f8cf],
     [0x000055a7, 0x00000000, 0xe8b306f5, 0x1f42fd0e, 0x70af6735,
      0x1f42fe8e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00010116, 0x00000000, 0x645b6674, 0x08b2c30c, 0x708d65a1,
      0x153ae30f, 0x748fa5a1, 0x15caf34f, 0x7c7a6693, 0x0ffaf30f],
     [0x000055a9, 0x00000000, 0x00000000, 0x00000000, 0xa8b1c720,
      0x1f43040f, 0x70b566d2, 0x1f43014f, 0x1cb1072c, 0x1f43000f],
     [0x000055aa, 0x00000000, 0x20b3e71d, 0x1f42fa4f, 0x00000000,
      0x00000000, 0x00ae66fa, 0x1f42ff0f, 0x9cb76706, 0x1f42f60f],
     [0x000055ab, 0x00000000, 0xdcae870c, 0x1f42fc0f, 0x5cb0a722,
      0x1f42f50f, 0x48ac072e, 0x1f4313ce, 0xc8ada703, 0x1f42fe0e],
     [0x00010118, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa08c2675, 0x154af2cf, 0x747d8693, 0x10f2f14f],
     [0x000055ad, 0x00000000, 0x8cb6e732, 0x1f42f4ce, 0x8cb1a733,
      0x1f42ff8e, 0x48b4471f, 0x1f42ff0f, 0x38b4672b, 0x1f42fe0e],
     [0x0000651b, 0x00000000, 0x00000000, 0x00000000, 0xdcb426f2,
      0x1f42f8ce, 0x90b5472b, 0x1f42f80e, 0x5cb7a704, 0x1f42f80e],
     [0x000055af, 0x00000000, 0x0cb2e73b, 0x1f4304cf, 0x80b5873d,
      0x1f43010e, 0xa8ad6735, 0x1f43034e, 0x00000000, 0x00000000],
     [0x000055b0, 0x00000000, 0xbcb7e72c, 0x1f42f88e, 0x5cb4e72a,
      0x1f42fe0e, 0xc0ae272e, 0x1f43058e, 0xe8b6c6fe, 0x1f42fb0e],
     [0x000055b1, 0x00000000, 0x00000000, 0x00000000, 0x28b78702,
      0x1f42fb0f, 0x78b1274f, 0x1f43010e, 0x00000000, 0x00000000],
     [0x000055b2, 0x00000000, 0xc8b66740, 0x1f42fd0e, 0xf8b46710,
      0x1f42fd0e, 0x34b38744, 0x1f43064e, 0x50b50731, 0x1f43020e],
     [0x000055b3, 0x00000000, 0xbcb7c736, 0x1f42f84e, 0xe0b60721,
      0x1f43000e, 0x2cb5c733, 0x1f42f98f, 0x00000000, 0x00000000],
     [0x000055b4, 0x00000000, 0x00000000, 0x00000000, 0x80aca730,
      0x1f43010e, 0x00000000, 0x00000000, 0xb8af8738, 0x1f42ff0e],
     [0x000055b5, 0x00000000, 0x70b1a731, 0x1f42ff8e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x58a8e6ed, 0x1f43188f],
     [0x000055b6, 0x00000000, 0x24a6e708, 0x1f43174f, 0x00000000,
      0x00000000, 0xe8a5a6f5, 0x1f431bcf, 0x64ad6677, 0x1f430b51],
     [0x000055b7, 0x00000000, 0x00000000, 0x00000000, 0x8ca5e703,
      0x1f43178f, 0xb8af66b2, 0x1f430e50, 0xc0a9c72a, 0x1f43244e],
     [0x000055b8, 0x00000000, 0x7ca686f9, 0x1f431acf, 0x88a6e6f9,
      0x1f43180f, 0x38a606e7, 0x1f431acf, 0x38a606e7, 0x1f431acf],
     [0x000055b9, 0x00000000, 0x68a606ff, 0x1f43190f, 0xdca8c6e3,
      0x1f431b4e, 0x00000000, 0x00000000, 0x18a766f7, 0x1f431a4f],
     [0x000055ba, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xc0a6272d, 0x1f4323ce, 0xaca686e7, 0x1f43178e],
     [0x000055bb, 0x00000000, 0x00000000, 0x00000000, 0x38a546e7,
      0x1f431a4f, 0x48a5e6fe, 0x1f43174f, 0x00000000, 0x00000000],
     [0x000055bc, 0x00000000, 0x98a56701, 0x1f43178f, 0x2ca1c711,
      0x1f4325cf, 0x88a6a6f9, 0x1f43178f, 0x88a6a6f9, 0x1f43178f],
     [0x000055bd, 0x00000000, 0x68a786f0, 0x1f431a0f, 0x38a606e7,
      0x1f43190f, 0x00000000, 0x00000000, 0x68a6c6fc, 0x1f43174f],
     [0x000055be, 0x00000000, 0x00000000, 0x00000000, 0x68a766fd,
      0x1f43194f, 0x38a6e6f2, 0x1f431acf, 0x00000000, 0x00000000],
     [0x000055bf, 0x00000000, 0x00000000, 0x00000000, 0x58a806e7,
      0x1f431a8f, 0x38a506ea, 0x1f431a4f, 0x28a8e708, 0x1f43170f],
     [0x000055c0, 0x00000000, 0x18a686f8, 0x1f43180f, 0x28a706ed,
      0x1f43198f, 0x28a766ee, 0x1f43194f, 0x48a766ff, 0x1f43188f],
     [0x000055c1, 0x00000000, 0xa4a4a711, 0x1f43184f, 0x00000000,
      0x00000000, 0x18a6e6fc, 0x1f43194f, 0xbca7e710, 0x1f43134e],
     [0x000055c2, 0x00000000, 0x28a8a706, 0x1f43188f, 0x58a74718,
      0x1f43160f, 0xeca7471b, 0x1f43150e, 0x38a8c714, 0x1f43190f],
     [0x000055c3, 0x00000000, 0x18a5a700, 0x1f43170f, 0xcca5870e,
      0x1f43128e, 0x00000000, 0x00000000, 0x28a76706, 0x1f43160f],
     [0x000055c4, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x08a9270c, 0x1f43174f, 0xcca6870a, 0x1f43120e],
     [0x000055c5, 0x00000000, 0x18a8e6f7, 0x1f43174f, 0x00000000,
      0x00000000, 0xeca74711, 0x1f43160e, 0x00000000, 0x00000000],
     [0x000055c6, 0x00000000, 0xcca6e721, 0x1f4315ce, 0x00000000,
      0x00000000, 0x38a70706, 0x1f431a8f, 0xfca64707, 0x1f43190e],
     [0x000055c7, 0x00000000, 0x1ca6c703, 0x1f43190f, 0x00000000,
      0x00000000, 0xbcaac71e, 0x1f43148e, 0x6cb366e9, 0x1f430a50],
     [0x000055c8, 0x00000000, 0xa0b326f3, 0x1f42fb4f, 0x00000000,
      0x00000000, 0xe0b466ee, 0x1f42fb0e, 0x90b2c6f5, 0x1f43154f],
     [0x000055c9, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xc0b966e2, 0x1f42f250, 0xa0afc6dc, 0x1f43058f],
     [0x00006529, 0x00000000, 0x7cb626ff, 0x1f42fb0f, 0x44a6e70e,
      0x1f42ff0f, 0x00b4c704, 0x1f42fa50, 0x18ad8717, 0x1f42fa0f],
     [0x000055cb, 0x00000000, 0xd4b20709, 0x1f42fcce, 0x70ace715,
      0x1f43114f, 0xacb4c6e6, 0x1f42ff8f, 0xacb586cb, 0x1f42fad0],
     [0x000055cc, 0x00000000, 0xfcb9e725, 0x1f4300cf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xeca86722, 0x1f42f9ce],
     [0x000055cd, 0x00000000, 0x90ad4710, 0x1f4303cf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x7cb266ee, 0x1f43004f],
     [0x000055ce, 0x00000000, 0x1cb1a6dd, 0x1f430211, 0x94aca70b,
      0x1f42fe8f, 0x78b0e6de, 0x1f4304cf, 0x7cb1e705, 0x1f42fa8e],
     [0x000055cf, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xbcb746de, 0x1f42f88f, 0x00000000, 0x00000000],
     [0x000055d0, 0x00000000, 0x90b526e1, 0x1f42fe90, 0x50b6e6e5,
      0x1f42fc4f, 0x50b606e2, 0x1f42fe90, 0x00000000, 0x00000000],
     [0x000055d1, 0x00000000, 0x00000000, 0x00000000, 0x5cb806ed,
      0x1f43010f, 0x00000000, 0x00000000, 0xf4ad472a, 0x1f43028e],
     [0x00000740, 0x00000000, 0xa07b259f, 0x106af74f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000055d3, 0x00000000, 0x70b486ff, 0x1f4310cf, 0x1cb74711,
      0x1f42f98f, 0x64b4a71a, 0x1f43004f, 0x4cb0c6f6, 0x1f42fc4f],
     [0x000055d4, 0x00000000, 0xb0b04701, 0x1f43108f, 0xccb5e713,
      0x1f42fecf, 0xa0adc704, 0x1f431a0f, 0x00000000, 0x00000000],
     [0x00000743, 0x00000000, 0x00000000, 0x00000000, 0xa07b8596,
      0x106af70f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000055d6, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xc0b446df, 0x1f430f4f, 0x9cb086fe, 0x1f42fe50],
     [0x000055d7, 0x00000000, 0xc0ab66d5, 0x1f42fd8f, 0x78a906fe,
      0x1f42fecf, 0xfcaea72e, 0x1f42fdce, 0x28b326f3, 0x1f430190],
     [0x00000746, 0x00000000, 0xa079e597, 0x106afa4f, 0x807aa596,
      0x106af00f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00000747, 0x00000000, 0x807c8596, 0x106af50f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000055da, 0x00000000, 0xc8b146eb, 0x1f42fd0f, 0x6cb226e9,
      0x1f42fecf, 0xacb56729, 0x1f42ff4e, 0x2ca6e6e1, 0x1f42fe4f],
     [0x000055db, 0x00000000, 0x00000000, 0x00000000, 0x00b386d2,
      0x1f42ff10, 0x00000000, 0x00000000, 0x20ace6db, 0x1f42f950],
     [0x000055dc, 0x00000000, 0x54af46d2, 0x1f42ff8f, 0xb4b4c6e8,
      0x1f43020f, 0x18af66f2, 0x1f42ff0f, 0x70afe6d9, 0x1f42ff0f],
     [0x000055dd, 0x00000000, 0x94aca70a, 0x1f43134f, 0x64af06c6,
      0x1f42fdd0, 0x44b5e6ce, 0x1f42fd4f, 0x34b50701, 0x1f42f64f],
     [0x000055de, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x94b2a6e0, 0x1f42fa4f],
     [0x000055df, 0x00000000, 0x9cb0a710, 0x1f42fcce, 0x44b8a716,
      0x1f42f84f, 0x00000000, 0x00000000, 0xf0b6e6e5, 0x1f42f74e],
     [0x000055e0, 0x00000000, 0x00b206e2, 0x1f42fd8f, 0x00000000,
      0x00000000, 0x88b4c6ff, 0x1f4300cf, 0x3cb1c6e3, 0x1f42fd10],
     [0x000055e1, 0x00000000, 0xb4afc70d, 0x1f43114f, 0xf4b18701,
      0x1f42fe8f, 0xf8a8a70a, 0x1f43024e, 0x00000000, 0x00000000],
     [0x000055e2, 0x00000000, 0xe0b1470a, 0x1f43028e, 0x74b2870a,
      0x1f43000f, 0x00000000, 0x00000000, 0x70ab071f, 0x1f43030f],
     [0x000055e3, 0x00000000, 0x18ab66d7, 0x1f42fd0f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x88b46725, 0x1f42fcce],
     [0x000055e4, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x94af4732, 0x1f430b8f, 0x50adc6f9, 0x1f42fb0f],
     [0x000055e5, 0x00000000, 0x50aee6fc, 0x1f430d8f, 0xecade72e,
      0x1f4310ce, 0x00000000, 0x00000000, 0xd8b886e0, 0x1f42f4cf],
     [0x000055e6, 0x00000000, 0xc4b906de, 0x1f42f44f, 0x14b466fc,
      0x1f42f7cf, 0xfcb06732, 0x1f43020e, 0x18b6c6ff, 0x1f42facf],
     [0x000055e7, 0x00000000, 0x00000000, 0x00000000, 0x7cb4471b,
      0x1f42fc0f, 0x44b2c6ef, 0x1f42fd0f, 0x3cb70733, 0x1f4300ce],
     [0x000055e8, 0x00000000, 0x34b726ed, 0x1f42fd0f, 0x68aa66f6,
      0x1f43040f, 0xa8ad26f3, 0x1f42fb0f, 0x64b5e6ee, 0x1f42fa50],
     [0x000055e9, 0x00000000, 0xa0b3e6d6, 0x1f42f5cf, 0x2cb8e6f1,
      0x1f42f74f, 0x9cad4706, 0x1f43134f, 0xdcaa26e3, 0x1f42fccf],
     [0x000055ea, 0x00000000, 0x00000000, 0x00000000, 0x9cab26f0,
      0x1f4311cf, 0xacb5671b, 0x1f42fa0e, 0x90aec71b, 0x1f430f4f],
     [0x000055eb, 0x00000000, 0x00000000, 0x00000000, 0xccb346e2,
      0x1f4304d0, 0x98b90739, 0x1f42f90e, 0x00000000, 0x00000000],
     [0x000055ec, 0x00000000, 0x9cb40705, 0x1f42fd0e, 0x00000000,
      0x00000000, 0x88b0870f, 0x1f43020f, 0xccb70715, 0x1f42f70e],
     [0x000055ed, 0x00000000, 0xa0ad86e0, 0x1f42fe10, 0x4caf86f2,
      0x1f43000f, 0x5cb1872d, 0x1f42fa4e, 0x00000000, 0x00000000],
     [0x000055ee, 0x00000000, 0x68b3e6ef, 0x1f42f78f, 0x08b186de,
      0x1f42fecf, 0xc4b0070c, 0x1f42fd8e, 0x00000000, 0x00000000],
     [0x000055ef, 0x00000000, 0x30aac6f2, 0x1f430c4f, 0x30ae2724,
      0x1f43154f, 0x00000000, 0x00000000, 0xf4b2a721, 0x1f42f98e],
     [0x000055f0, 0x00000000, 0x3cafe72b, 0x1f43054e, 0x2cb7471a,
      0x1f4301cf, 0x10b5e6d9, 0x1f42f9cf, 0x78b5c72e, 0x1f42fd4f],
     [0x000055f1, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xdca94727, 0x1f42ff8e, 0xd8aaa712, 0x1f42f68e],
     [0x000055f2, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x70b6a6ee, 0x1f42fc90],
     [0x000055f3, 0x00000000, 0xb8b7270e, 0x1f42fa4e, 0x00000000,
      0x00000000, 0x2cb4273f, 0x1f42f84f, 0xd0b746dc, 0x1f42ffcf],
     [0x000055f4, 0x00000000, 0x10b3c704, 0x1f42f80f, 0x00000000,
      0x00000000, 0xdcb46739, 0x1f42f78e, 0xccb56724, 0x1f42fa8e],
     [0x000055f5, 0x00000000, 0x00ac0719, 0x1f42fa8f, 0x28b066e4,
      0x1f42ff90, 0xb4b54702, 0x1f42fa4f, 0x00000000, 0x00000000],
     [0x00000764, 0x00000000, 0x148b259f, 0x106af94c, 0x147e8651,
      0x106af48c, 0x148c859f, 0x106afbcc, 0x148725a2, 0x106af84c],
     [0x00000765, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x1476e59c, 0x106afc8c],
     [0x000055f8, 0x00000000, 0x4cb4c751, 0x1f43018e, 0xc8b146d7,
      0x1f42fe8f, 0x14b5a707, 0x1f42fa4f, 0x6caee71d, 0x1f43040e],
     [0x000055f9, 0x00000000, 0xb8b3e741, 0x1f42fd8e, 0x58ae8721,
      0x1f43030e, 0x00000000, 0x00000000, 0x50aee6ee, 0x1f43034f],
     [0x00006541, 0x00000000, 0x8cb1270d, 0x1f42fa0f, 0xe4af0706,
      0x1f42f90f, 0xc8b26706, 0x1f42fa0f, 0x60af2705, 0x1f42fa0f],
     [0x000055fb, 0x00000000, 0x8cb54735, 0x1f43020e, 0x00b2c70d,
      0x1f42ff4f, 0xf8b1c6f8, 0x1f43030e, 0x94b72704, 0x1f43014f],
     [0x000055fc, 0x00000000, 0x48b4c726, 0x1f42fd4f, 0x20b326f6,
      0x1f42fb50, 0x4cb58726, 0x1f43008e, 0xc0ae470b, 0x1f4304cf],
     [0x000055fd, 0x00000000, 0x48b02707, 0x1f43028f, 0x84b44709,
      0x1f42f68f, 0xfcb3a71a, 0x1f43078e, 0xdcb4e72d, 0x1f42fd8e],
     [0x000055fe, 0x00000000, 0x54a9a6eb, 0x1f43014f, 0x6cb6471d,
      0x1f42fbcf, 0x3cb8e745, 0x1f42fd4f, 0x6cb26729, 0x1f43008e],
     [0x000055ff, 0x00000000, 0x74b1c71e, 0x1f42fd4e, 0x7cb2a6f9,
      0x1f42fece, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005600, 0x00000000, 0x74aa06cc, 0x1f43004f, 0xc8b4c6ca,
      0x1f4301ce, 0x6cb48731, 0x1f430e0f, 0x58aec71d, 0x1f43078f],
     [0x00005601, 0x00000000, 0xccb10700, 0x1f43034f, 0x84b78703,
      0x1f4312cf, 0xfcb3e72d, 0x1f42f9ce, 0x24ac4734, 0x1f43180f],
     [0x00005602, 0x00000000, 0x58aa06d6, 0x1f42fd8f, 0x2cb1e716,
      0x1f42fe8e, 0x08ab870e, 0x1f43114f, 0x74ae06f2, 0x1f43008f],
     [0x00005603, 0x00000000, 0x5cac66e1, 0x1f42fdcf, 0x88b02721,
      0x1f43008f, 0xd8b5a71e, 0x1f42fe8e, 0x00000000, 0x00000000],
     [0x00005604, 0x00000000, 0xd0afc6e6, 0x1f42fd0f, 0x6caae715,
      0x1f4308cf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005605, 0x00000000, 0x18b346d8, 0x1f42fe8f, 0x50a7671b,
      0x1f431acf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005606, 0x00000000, 0x00000000, 0x00000000, 0x08ae66e8,
      0x1f4307d0, 0x00000000, 0x00000000, 0x50aee6e2, 0x1f42fd0f],
     [0x00005607, 0x00000000, 0x4cb7a739, 0x1f42fb4e, 0x6cb106e2,
      0x1f42facf, 0xbcb54721, 0x1f4300ce, 0x00000000, 0x00000000],
     [0x00005608, 0x00000000, 0xa4b646fb, 0x1f42f74f, 0x58b2e718,
      0x1f4303cf, 0x00000000, 0x00000000, 0x94ae8709, 0x1f42ffcf],
     [0x00005b9b, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xf4b146f6, 0x1f43104f, 0x90b4e71e, 0x1f43120e],
     [0x0000560a, 0x00000000, 0xb0ade6fc, 0x1f42ff0e, 0xdcb826ef,
      0x1f42fa4e, 0x34b46725, 0x1f42fc4f, 0x00000000, 0x00000000],
     [0x00005b9c, 0x00000000, 0x00000000, 0x00000000, 0x2cab870b,
      0x1f43098f, 0xe4b38721, 0x1f43078e, 0x08aa0723, 0x1f4304cf],
     [0x0000560c, 0x00000000, 0x2cb146f5, 0x1f42f88f, 0x58b6e72a,
      0x1f42f94f, 0x7caa86d4, 0x1f431bcf, 0x24ac66f2, 0x1f4304cf],
     [0x00005b9d, 0x00000000, 0x94aee6f5, 0x1f4309cf, 0x00000000,
      0x00000000, 0x0cb0670b, 0x1f43040f, 0x94b64717, 0x1f43034e],
     [0x0000654b, 0x00000000, 0x80b34712, 0x1f42fa0f, 0x10b68712,
      0x1f42fb10, 0xa4b6e711, 0x1f42f70f, 0xa8b1470f, 0x1f42f80f],
     [0x0000560f, 0x00000000, 0x00000000, 0x00000000, 0x7cb266f4,
      0x1f42fdcf, 0x00000000, 0x00000000, 0x68b086fa, 0x1f43004f],
     [0x0000654c, 0x00000000, 0x2cb426fa, 0x1f42fa10, 0xbcaea706,
      0x1f42fa0f, 0xf4b2c706, 0x1f42fa0f, 0x00000000, 0x00000000],
     [0x00005b9f, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x68ab8729, 0x1f430c4e, 0x20ae46db, 0x1f430ad0],
     [0x00000780, 0x00000000, 0x247ca657, 0x106af4cb, 0x0c8005a0,
      0x106afbcc, 0xa07ac6ec, 0x106af3cf, 0x887b86e1, 0x106af10f],
     [0x00000781, 0x00000000, 0x487ac64b, 0x106af3cd, 0x347b864b,
      0x106af10d, 0xc07ac64b, 0x106af3cd, 0xc87b864b, 0x106af10d],
     [0x00000782, 0x00000000, 0x607b2701, 0x106af80c, 0x6078a656,
      0x106b000c, 0xa07b26ec, 0x106af2cf, 0x887e86e1, 0x106af70f],
     [0x00000783, 0x00000000, 0x487b264b, 0x106af2cd, 0x347e864b,
      0x106af70d, 0xc07b264b, 0x106af2cd, 0xc47e864b, 0x106af70d],
     [0x00000784, 0x00000000, 0xa07b264b, 0x106af2cb, 0x8c7e864b,
      0x106af70b, 0x687b264b, 0x106af2cc, 0x547e864b, 0x106af70c],
     [0x00005ba2, 0x00000000, 0xf0b06729, 0x1f43044e, 0xf0b5e6c7,
      0x1f43028f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00000786, 0x00000000, 0x687d464b, 0x106af48c, 0x5479c5a0,
      0x106afbcc, 0xd47d464b, 0x106af48c, 0xe47b25a0, 0x106afbcc],
     [0x00000787, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa07bc6ec, 0x106af50f, 0xa07526e6, 0x106af88f],
     [0x00000788, 0x00000000, 0x747c86ce, 0x106af78f, 0x0c7e2613,
      0x106af54c, 0xa07d46ec, 0x106af38f, 0xa07e86e1, 0x106af10f],
     [0x00000789, 0x00000000, 0x487d464b, 0x106af38d, 0x487e864b,
      0x106af10d, 0xa07d46ec, 0x106af38f, 0xa07e86e1, 0x106af10f],
     [0x0000078a, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa47d464b, 0x106af38c, 0xa47e864b, 0x106af10c],
     [0x0000078b, 0x00000000, 0xd478a64b, 0x106afc8c, 0xf877664c,
      0x106b018c, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000078c, 0x00000000, 0xa07c6701, 0x106af48f, 0xa07e0702,
      0x106af34f, 0x487c664b, 0x106af48d, 0x487e064b, 0x106af34d],
     [0x0000078d, 0x00000000, 0xc07c664b, 0x106af48d, 0xdc7e064b,
      0x106af34d, 0x487b864b, 0x106af60d, 0x4878e64b, 0x106afc8d],
     [0x0000078e, 0x00000000, 0x487b86ce, 0x106af60d, 0x4878e6bd,
      0x106aeb0d, 0xc07b864b, 0x106af60d, 0xdc78e64b, 0x106afc8d],
     [0x0000078f, 0x00000000, 0x687b864b, 0x106af60c, 0x6878e64b,
      0x106afc8c, 0xa07de701, 0x106af24f, 0xa0808656, 0x106aed0f],
     [0x00000790, 0x00000000, 0xa07de6ec, 0x106af24f, 0xa0808634,
      0x106aed0f, 0x487de64b, 0x106af24d, 0x4880859d, 0x106aed0d],
     [0x00000791, 0x00000000, 0xa07c86ec, 0x106af50f, 0xa07e8634,
      0x106af10f, 0x487c864b, 0x106af50d, 0x487e859d, 0x106af10d],
     [0x00000792, 0x00000000, 0xc07c864b, 0x106af50d, 0xdc7e859d,
      0x106af10d, 0x687c864b, 0x106af50c, 0x687e859d, 0x106af10c],
     [0x00005625, 0x00000000, 0x98b1670f, 0x1f4301ce, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x80afc72c, 0x1f42fc8e],
     [0x00006557, 0x00000000, 0x20b5a725, 0x1f42f84f, 0xbcad4716,
      0x1f42fa0e, 0xfcb5c702, 0x1f42f70f, 0xb8b646fe, 0x1f42f90f],
     [0x00000795, 0x00000000, 0xa07a8701, 0x106af48f, 0x287b8656,
      0x106af10c, 0xa07a86ec, 0x106af48f, 0x287b8634, 0x106af10c],
     [0x00005628, 0x00000000, 0xa8aee703, 0x1f4303ce, 0xdcb38732,
      0x1f42f94e, 0x00000000, 0x00000000, 0x2cb20716, 0x1f42fdcf],
     [0x00005629, 0x00000000, 0x00000000, 0x00000000, 0x18b3c72a,
      0x1f42f94f, 0xf0b3270e, 0x1f42fece, 0x00000000, 0x00000000],
     [0x0000562a, 0x00000000, 0x04aea715, 0x1f4307cf, 0xecb8870e,
      0x1f42fe0e, 0x00000000, 0x00000000, 0xc0b3673a, 0x1f42fbce],
     [0x0000562b, 0x00000000, 0x44b24729, 0x1f431ccf, 0x00000000,
      0x00000000, 0xa4aa6739, 0x1f43108e, 0x44a68722, 0x1f430c8f],
     [0x0000079a, 0x00000000, 0x1c7986ec, 0x106afb0d, 0x3477e635,
      0x106b000d, 0xa07cc6ec, 0x106af48f, 0x8876a6a7, 0x106af44f],
     [0x0000079b, 0x00000000, 0x487cc64b, 0x106af48d, 0x3476a612,
      0x106af44d, 0xc07cc64b, 0x106af48d, 0xc4774612, 0x106af44d],
     [0x0000562e, 0x00000000, 0xecb2670b, 0x1f43004e, 0xbcb0e6fc,
      0x1f43030e, 0x60b2e70d, 0x1f42ff4f, 0x20b00729, 0x1f43018f],
     [0x0000562f, 0x00000000, 0x20b3c70d, 0x1f430e8f, 0x24b726ff,
      0x1f42f68f, 0x00b4e727, 0x1f430a8f, 0xc8a90707, 0x1f43010e],
     [0x00005630, 0x00000000, 0x00000000, 0x00000000, 0x10ad0725,
      0x1f43064f, 0x54b3e6ed, 0x1f430a0f, 0x00000000, 0x00000000],
     [0x00005631, 0x00000000, 0x00000000, 0x00000000, 0xe0ae4739,
      0x1f43164e, 0x60b006ea, 0x1f430ccf, 0x38af472e, 0x1f42f84f],
     [0x00005632, 0x00000000, 0xbcb3272e, 0x1f4301ce, 0xacb5c711,
      0x1f42fc8e, 0x34b6272f, 0x1f42f70f, 0x00000000, 0x00000000],
     [0x00005633, 0x00000000, 0x94b6c72b, 0x1f42f74e, 0x00000000,
      0x00000000, 0xdcb2e720, 0x1f42fcce, 0x88b526ee, 0x1f42fa4f],
     [0x00005634, 0x00000000, 0x00000000, 0x00000000, 0xd4b78733,
      0x1f42f68e, 0x3cb4272f, 0x1f42f98f, 0xacb4471d, 0x1f42f94e],
     [0x00005635, 0x00000000, 0x48b5074c, 0x1f42ff4e, 0x64b86739,
      0x1f42fc0e, 0x24b4c6f1, 0x1f42fbcf, 0x4cb4a72d, 0x1f42fbcf],
     [0x000007a4, 0x00000000, 0xa07aa724, 0x106afa0f, 0xa079e66d,
      0x106af64f, 0x487aa64b, 0x106afa0d, 0x4879e597, 0x106af64d],
     [0x00005637, 0x00000000, 0x9cb5e71d, 0x1f42f94e, 0x14b6070c,
      0x1f42fd4f, 0xb4b7073e, 0x1f42f70e, 0xb0b2072b, 0x1f4305ce],
     [0x000007a6, 0x00000000, 0x907e067e, 0x106af20f, 0x107d067e,
      0x106af48c, 0x00000000, 0x00000000, 0xa07526e7, 0x106af88f],
     [0x00005639, 0x00000000, 0x38b5e72b, 0x1f42fc4e, 0x90b6473a,
      0x1f42f88f, 0x00000000, 0x00000000, 0x10b72712, 0x1f42fa8e],
     [0x000007a8, 0x00000000, 0x3c7c8657, 0x106af4cd, 0x3c80059f,
      0x106afbcd, 0xa07ca773, 0x106af4cf, 0x888006bf, 0x106afbcf],
     [0x000007a9, 0x00000000, 0xa07ca7c4, 0x106af4cf, 0x8880070f,
      0x106afbcf, 0xa07ca7c4, 0x106af4cf, 0x8880070f, 0x106afbcf],
     [0x000007aa, 0x00000000, 0xa07ca806, 0x106af4cf, 0x88800751,
      0x106afbcf, 0xa07ca7aa, 0x106af4cf, 0x888006f5, 0x106afbcf],
     [0x0000563d, 0x00000000, 0xd8afc72f, 0x1f43134e, 0x00000000,
      0x00000000, 0x80ac0716, 0x1f43114f, 0x1caf2728, 0x1f43068f],
     [0x0000563e, 0x00000000, 0x00000000, 0x00000000, 0xb0b2473c,
      0x1f430c4e, 0xd8b26728, 0x1f430d4e, 0x60b7a704, 0x1f42f5ce],
     [0x0000563f, 0x00000000, 0xb8ae272e, 0x1f430d4e, 0x68b28739,
      0x1f43024e, 0xa8af470f, 0x1f430b8f, 0x90b26739, 0x1f42fe8e],
     [0x00005640, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa4afe726, 0x1f431094, 0xbcae26f2, 0x1f42ffce],
     [0x000007af, 0x00000000, 0xa07d4709, 0x106af48f, 0x88788671,
      0x106afbcf, 0xa07d47c4, 0x106af48f, 0x8878870f, 0x106afbcf],
     [0x000007b0, 0x00000000, 0xa07d47c4, 0x106af48f, 0x8878870f,
      0x106afbcf, 0xa07d4806, 0x106af48f, 0x88788751, 0x106afbcf],
     [0x000007b1, 0x00000000, 0xa07d47aa, 0x106af48f, 0x887886f5,
      0x106afbcf, 0x3c7d470b, 0x106af48d, 0x4078a657, 0x106afbcd],
     [0x000007b2, 0x00000000, 0xa0764773, 0x106b01cf, 0xa07766bf,
      0x106b018f, 0x3c76464b, 0x106b01cd, 0x3c77664b, 0x106b018d],
     [0x000007b3, 0x00000000, 0x3c790656, 0x106afc0d, 0x4078e5a0,
      0x106afc4d, 0x74790773, 0x106afc0f, 0x8878e6bf, 0x106afc4f],
     [0x000007b4, 0x00000000, 0x747907c4, 0x106afc0f, 0x8878e70f,
      0x106afc4f, 0x747907c4, 0x106afc0f, 0x8878e70f, 0x106afc4f],
     [0x000007b5, 0x00000000, 0x74790806, 0x106afc0f, 0x8878e751,
      0x106afc4f, 0x747907aa, 0x106afc0f, 0x8878e6f5, 0x106afc4f],
     [0x000007b6, 0x00000000, 0x3c79070b, 0x106afc0d, 0x4078e657,
      0x106afc4d, 0x747c6732, 0x106afc0f, 0x8c78e67d, 0x106afc0f],
     [0x00005649, 0x00000000, 0x60b02751, 0x1f43094e, 0xa0afa71f,
      0x1f42fd0e, 0x00000000, 0x00000000, 0xf4b3a711, 0x1f430d4f],
     [0x000007b8, 0x00000000, 0x747c6729, 0x106afc0f, 0x8c78e674,
      0x106afc0f, 0x407c66af, 0x106afc0d, 0x3c78e5fa, 0x106afc0d],
     [0x0000564b, 0x00000000, 0xa0ad670c, 0x1f430e0f, 0xdcb4a6f2,
      0x1f430a0f, 0x90b146f4, 0x1f430c4f, 0x9cb64733, 0x1f43050e],
     [0x0000564c, 0x00000000, 0x00000000, 0x00000000, 0xacb6c72e,
      0x1f43110f, 0x94b40739, 0x1f42fd0e, 0x00000000, 0x00000000],
     [0x0000564d, 0x00000000, 0xa4ae06e9, 0x1f43094f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x94b3e733, 0x1f43104e],
     [0x0000564e, 0x00000000, 0x3cb6472d, 0x1f42fe4e, 0x70aee70c,
      0x1f430a8f, 0xf0b6e739, 0x1f43030e, 0x00000000, 0x00000000],
     [0x000007bd, 0x00000000, 0x3c7da64b, 0x106af28d, 0x107d0597,
      0x106af48c, 0xa07da773, 0x106af2cf, 0x107d06bf, 0x106af48c],
     [0x00005650, 0x00000000, 0x68ab86df, 0x1f431a0f, 0x10b7271a,
      0x1f43048f, 0x60afe720, 0x1f430b8f, 0x00000000, 0x00000000],
     [0x00005651, 0x00000000, 0xd8b44737, 0x1f42fc4e, 0x6cb4c727,
      0x1f43074e, 0x00000000, 0x00000000, 0x3cb3e73c, 0x1f43074e],
     [0x000007c0, 0x00000000, 0x8c804667, 0x106af8cf, 0x8c804667,
      0x106af8cf, 0x8c804667, 0x106af8cf, 0x8c804667, 0x106af8cf],
     [0x00005653, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x10b8e72a, 0x1f43060f, 0x88b6e737, 0x1f42ff8e],
     [0x00005654, 0x00000000, 0x1cb1472e, 0x1f430d4f, 0x40b4e728,
      0x1f43124f, 0x00000000, 0x00000000, 0x48b8273b, 0x1f43008e],
     [0x00005655, 0x00000000, 0x64b8273e, 0x1f430c4e, 0xf0b1e72d,
      0x1f43104e, 0x84afe714, 0x1f43134f, 0xd0b7a740, 0x1f430a0e],
     [0x00005656, 0x00000000, 0xc4b0e720, 0x1f430f8e, 0x00000000,
      0x00000000, 0x0caf072a, 0x1f43098f, 0x00000000, 0x00000000],
     [0x00005657, 0x00000000, 0x10a586fe, 0x1f43138f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006570, 0x00000000, 0xc4a76708, 0x1f43178e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x90a62702, 0x1f4311ce],
     [0x00005659, 0x00000000, 0x00000000, 0x00000000, 0xc8b30729,
      0x1f43024e, 0x00000000, 0x00000000, 0xc8b30744, 0x1f43024e],
     [0x000007c8, 0x00000000, 0xfc7ac667, 0x106af2cb, 0xfc7ac667,
      0x106af2cb, 0xfc7ac667, 0x106af2cb, 0xfc7ac667, 0x106af2cb],
     [0x000007c9, 0x00000000, 0xfc7ac667, 0x106af2cb, 0xfc7ac667,
      0x106af2cb, 0xfc7ac69e, 0x106af2cb, 0xfc7ac69e, 0x106af2cb],
     [0x0000565c, 0x00000000, 0x30aa070e, 0x1f43138f, 0xe4abe737,
      0x1f43110e, 0x9cb24711, 0x1f42f90e, 0x78b7c710, 0x1f42fb4f],
     [0x0000565d, 0x00000000, 0x78b4c70d, 0x1f42fe50, 0x00000000,
      0x00000000, 0x94af8700, 0x1f42f80f, 0xe8b386ed, 0x1f42f64e],
     [0x000007cc, 0x00000000, 0x8c6b2667, 0x106b0f0f, 0x8c6b4667,
      0x106b13cf, 0x8c6b4667, 0x106b034f, 0x8c6b4667, 0x106b010f],
     [0x000007cd, 0x00000000, 0x8c6b4667, 0x106afdcf, 0x8c6b4667,
      0x106afd4f, 0x8c6d469e, 0x106af40f, 0x8c6d469e, 0x106af40f],
     [0x00005660, 0x00000000, 0xd4b3e6dc, 0x1f43120f, 0xf4aee71d,
      0x1f42f84e, 0x88afc700, 0x1f42fa50, 0xa0b586fd, 0x1f42f950],
     [0x00005661, 0x00000000, 0x04b4872c, 0x1f43024f, 0xecb3e6f5,
      0x1f42f44f, 0xb8ad66e0, 0x1f42ff0f, 0x18ac870e, 0x1f42f910],
     [0x00005662, 0x00000000, 0x4cad06f1, 0x1f42f94f, 0x00000000,
      0x00000000, 0x1cb066f5, 0x1f42f390, 0x00000000, 0x00000000],
     [0x00005663, 0x00000000, 0x00000000, 0x00000000, 0xd8b1e71a,
      0x1f42f48e, 0x6cb706e9, 0x1f42f78e, 0x14b466eb, 0x1f42f850],
     [0x00007dad, 0x00000000, 0x48b66729, 0x1f42f84e, 0x48b66729,
      0x1f42f84e, 0x48b66729, 0x1f42f84e, 0x48b66729, 0x1f42f84e],
     [0x00007dae, 0x00000000, 0x48b66729, 0x1f42f84e, 0x48b66729,
      0x1f42f84e, 0x48b66729, 0x1f42f84e, 0x50b80724, 0x1f42f48e],
     [0x000007d4, 0x00000000, 0x8c7a8667, 0x106af8cf, 0x8c7a8667,
      0x106af8cf, 0x8c7a8667, 0x106af8cf, 0x8c7a8667, 0x106af8cf],
     [0x00005667, 0x00000000, 0x00000000, 0x00000000, 0xe4b346f3,
      0x1f42fbcf, 0xa4b3c705, 0x1f42f650, 0x00000000, 0x00000000],
     [0x00005668, 0x00000000, 0x78af46ef, 0x1f42f78f, 0x6cb026ed,
      0x1f42f98e, 0x68b626dc, 0x1f42fc0f, 0xf8b606f3, 0x1f42f50f],
     [0x00005669, 0x00000000, 0x7cb42715, 0x1f42f68e, 0x1cb1a712,
      0x1f42fccf, 0xd4af2721, 0x1f42f80e, 0xe8b446f5, 0x1f42f64f],
     [0x00007db3, 0x00000000, 0x7cb7e6ca, 0x1f42f54f, 0xd8af26ca,
      0x1f4306cf, 0xd8a025d4, 0x1f4324cf, 0x5c8946a5, 0x1f434a56],
     [0x000007d9, 0x00000000, 0x8c7c0667, 0x106af60f, 0x8c7c0667,
      0x106af60f, 0x8c7c069e, 0x106af60f, 0x8c7c069e, 0x106af60f],
     [0x00007db5, 0x00000000, 0x44aa66c1, 0x1f4313d7, 0x9887c694,
      0x1f434d50, 0x5ca58707, 0x1f431a4f, 0x7cabe69c, 0x1f430d90],
     [0x0000566d, 0x00000000, 0x6cafe6e4, 0x1f43098e, 0xe0b4c6ee,
      0x1f42f70f, 0x0cb186f4, 0x1f42f910, 0x00000000, 0x00000000],
     [0x000007dc, 0x00000000, 0x8c80464c, 0x106af8cf, 0x8c80464c,
      0x106af8cf, 0x747a864c, 0x106af8cf, 0x747a864c, 0x106af8cf],
     [0x000007dd, 0x00000000, 0xfc7ac64c, 0x106af2cb, 0xfc7ac64c,
      0x106af2cb, 0x8c6b464c, 0x106b0c8f, 0x8c6b464c, 0x106b13cf],
     [0x000007de, 0x00000000, 0x8c7ae64c, 0x106af84f, 0x8c7ae64c,
      0x106af84f, 0x8c7a864c, 0x106af8cf, 0x8c7a864c, 0x106af8cf],
     [0x000007df, 0x00000000, 0x8c7c064c, 0x106af60f, 0x8c7c064c,
      0x106af60f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000007e0, 0x00000000, 0xc0804667, 0x106af8cc, 0xc0804667,
      0x106af8cc, 0xc0804667, 0x106af8cc, 0xc0804667, 0x106af8cc],
     [0x000007e1, 0x00000000, 0xc0804667, 0x106af8cc, 0xc0804667,
      0x106af8cc, 0xc080469e, 0x106af8cc, 0xc080469e, 0x106af8cc],
     [0x00007dbd, 0x00000000, 0x2ca4c73c, 0x1f43820e, 0x2c71c73c,
      0x1f431b8e, 0x189bc696, 0x1f432dd1, 0x509ea665, 0x1f43218e],
     [0x00007dbe, 0x00000000, 0x58a80716, 0x1f43118e, 0x78a1465e,
      0x1f431fd1, 0x18a8c6b5, 0x1f430a51, 0xe893e647, 0x1f43308e],
     [0x000007e4, 0x00000000, 0xfc7ac667, 0x106af2cb, 0xfc7ac667,
      0x106af2cb, 0xfc7ac667, 0x106af2cb, 0xfc7ac667, 0x106af2cb],
     [0x00005677, 0x00000000, 0x6cb2c749, 0x1f42ffce, 0xacb5c716,
      0x1f42f74e, 0x4cad06f2, 0x1f42f74f, 0x00000000, 0x00000000],
     [0x00007dc1, 0x00000000, 0x38a68708, 0x1f431410, 0x008ee703,
      0x1f43294f, 0x00a34703, 0x1f431c0f, 0x90a466d6, 0x1f43150e],
     [0x00005679, 0x00000000, 0xc4adc6f9, 0x1f42fb4f, 0x70b186fb,
      0x1f42f60f, 0xdcb2c73c, 0x1f42ff4e, 0x00000000, 0x00000000],
     [0x000007e8, 0x00000000, 0xc07c0667, 0x106af60c, 0xc07c0667,
      0x106af60c, 0xc07c0667, 0x106af60c, 0xc07c0667, 0x106af60c],
     [0x0000567b, 0x00000000, 0xfcb306d8, 0x1f42f70f, 0x80aee721,
      0x1f43078e, 0x00b546f7, 0x1f42fb90, 0x00000000, 0x00000000],
     [0x00006582, 0x00000000, 0xe0a646f5, 0x1f43144e, 0x08a846eb,
      0x1f43130f, 0xf4a686f1, 0x1f43144e, 0xe0a666eb, 0x1f43130e],
     [0x0000567d, 0x00000000, 0x20b0c717, 0x1f430e8f, 0x58b746ee,
      0x1f42f78f, 0x3cb906f3, 0x1f42f54f, 0xc4b0671a, 0x1f42f68e],
     [0x000007ec, 0x00000000, 0x8c82c670, 0x106af38f, 0x8c82c60f,
      0x106af38f, 0xc080464c, 0x106af8cc, 0xc080459c, 0x106af8cc],
     [0x0000567f, 0x00000000, 0xd4ae4736, 0x1f42fece, 0xc0b2871f,
      0x1f42f64f, 0x70b5c6d6, 0x1f42f60f, 0x8cb54730, 0x1f42fcce],
     [0x00005680, 0x00000000, 0xb0b50700, 0x1f42f80e, 0x60b4872a,
      0x1f43044e, 0x00000000, 0x00000000, 0xd8b1c6fe, 0x1f42fa0f],
     [0x00005681, 0x00000000, 0xb4ae671c, 0x1f430a8e, 0xa8af86f6,
      0x1f42f650, 0xa0b44705, 0x1f42f94f, 0x38b5c6fc, 0x1f42f70f],
     [0x00005682, 0x00000000, 0xe8b0070f, 0x1f430a4e, 0x70b4c73c,
      0x1f42f74e, 0x28b826e7, 0x1f42fa4f, 0x00000000, 0x00000000],
     [0x00005683, 0x00000000, 0x10b366f9, 0x1f42f610, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00b8c705, 0x1f42f78f],
     [0x00005684, 0x00000000, 0x00000000, 0x00000000, 0x54b42719,
      0x1f42fb0e, 0x00000000, 0x00000000, 0x38b76706, 0x1f42f54f],
     [0x400007f3, 0x00000014, 0x847f0667, 0x106af0cd, 0x0470c667,
      0x106b1317, 0x046ce667, 0x106b0d97, 0x0875069e, 0x106b03d7],
     [0x00005686, 0x00000000, 0x88b76730, 0x1f42f5ce, 0x6cb7c6f9,
      0x1f42fccf, 0x3cb166e2, 0x1f43024f, 0x94b6c6f3, 0x1f42fa0f],
     [0x000007f5, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x8c6d4667, 0x106af40f, 0x8c6d469e, 0x106af40f],
     [0x000007f6, 0x00000000, 0xa07fe728, 0x106aedcf, 0xa07fe6c7,
      0x106aedcf, 0x00000000, 0x00000000, 0xa07fe667, 0x106aeb4f],
     [0x000007f7, 0x00000015, 0x00000000, 0x00000000, 0x0470a667,
      0x106b10d7, 0x046d0667, 0x106b0d17, 0x0875069e, 0x106b03d7],
     [0x000007f8, 0x00000000, 0x8c7fe673, 0x106aedcf, 0x8c7fe612,
      0x106aedcf, 0x8c7a8683, 0x106af8cf, 0x8c7a8683, 0x106af8cf],
     [0x0000568b, 0x00000000, 0x00000000, 0x00000000, 0xf4b6470e,
      0x1f42face, 0x2cb506fb, 0x1f42fccf, 0x94b626f3, 0x1f42f8cf],
     [0x0000568c, 0x00000000, 0x00000000, 0x00000000, 0xdcb4c6ee,
      0x1f42f64f, 0x40ac86fa, 0x1f42f48f, 0x28aec6e3, 0x1f42f54f],
     [0x0000568d, 0x00000000, 0xa0ad4703, 0x1f42f80f, 0x48b5a6e4,
      0x1f42fa4f, 0x0cb7471a, 0x1f42fa0f, 0xd0b4c6eb, 0x1f42f58f],
     [0x000007fc, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xc07c064c, 0x106af60c, 0xc07c05a1, 0x106af60c],
     [0x0000568f, 0x00000000, 0xccafe6fe, 0x1f42f58f, 0x00000000,
      0x00000000, 0xa0b2c6f4, 0x1f42fb8f, 0x00000000, 0x00000000],
     [0x000007fe, 0x00000000, 0x00000000, 0x00000000, 0x707fa672,
      0x106ae4cf, 0x00000000, 0x00000000, 0xa07ea672, 0x106ade4f],
     [0x000007ff, 0x00000000, 0x847de672, 0x106af34d, 0x0467064b,
      0x106b1fd7, 0x3463e667, 0x106b1c57, 0x00000000, 0x00000000],
     [0x00000800, 0x00000000, 0x00000000, 0x00000000, 0xa03e83e8,
      0x106aee0f, 0x00000000, 0x00000000, 0xa03e83e8, 0x106aee0f],
     [0x00000801, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xa03e83e8, 0x106aee0f],
     [0x00000802, 0x00000000, 0xa03e83e8, 0x106aee0f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00007dde, 0x00000000, 0xacace647, 0x1f430751, 0xacb0e6fb,
      0x1f430751, 0xacaf86ed, 0x1f42fd11, 0x90986692, 0x1f432a50],
     [0x00000804, 0x00000000, 0x847504de, 0x106b03d2, 0x847504de,
      0x106b03d2, 0x847504de, 0x106b03d2, 0x847504de, 0x106b03d2],
     [0x00000805, 0x00000000, 0x847504de, 0x106b03d2, 0x00000000,
      0x00000000, 0x546c869e, 0x106b150e, 0x00000000, 0x00000000],
     [0x00000806, 0x00000000, 0x0c698690, 0x106b1895, 0xf86ac64b,
      0x106b1b13, 0x7469c465, 0x106b1b0d, 0xf86ac64b, 0x106b1b13],
     [0x00000807, 0x00000000, 0x0c7d664a, 0x106af095, 0x0c7ec64b,
      0x106af355, 0x787ec465, 0x106af34d, 0x0c7ec64b, 0x106af355],
     [0x00000808, 0x00000000, 0xfc77c650, 0x106afe4b, 0x1477c650,
      0x106afe4c, 0x3878c5e6, 0x106afc91, 0x00000000, 0x00000000],
     [0x00000809, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa079c465, 0x106afa4f, 0x00000000, 0x00000000],
     [0x0000080a, 0x00000000, 0x00000000, 0x00000000, 0x287c264b,
      0x106afd4c, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00007de6, 0x00000000, 0x109e0673, 0x1f431f10, 0x84a7c6e2,
      0x1f43108f, 0xb0a7e685, 0x1f431051, 0x2c9d2675, 0x1f432790],
     [0x0000080c, 0x00000000, 0x547d069e, 0x106af44e, 0x547d869e,
      0x106af2ce, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00007de8, 0x00000000, 0xc89d0698, 0x1f432b50, 0xc894268e,
      0x1f432b90, 0xc49c468e, 0x1f432c90, 0xc89c468e, 0x1f432c90],
     [0x0000080e, 0x00000000, 0x00000000, 0x00000000, 0xa06f859f,
      0x106afe4f, 0xa077c59f, 0x106b0ecf, 0xa07c05d2, 0x106af60f],
     [0x0000080f, 0x00000000, 0x00000000, 0x00000000, 0xa0784656,
      0x106afd4f, 0x00000000, 0x00000000, 0xfc8043be, 0x106aee0b],
     [0x00000810, 0x00000000, 0x8c74c667, 0x106b0496, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00000811, 0x00000000, 0x5478c69e, 0x106afc8e, 0x4070a69e,
      0x106b134e, 0x546d669e, 0x106b0cce, 0x00000000, 0x00000000],
     [0x00007ded, 0x00000000, 0xa09c468e, 0x1f432c90, 0xc89c468e,
      0x1f432c90, 0xc89d668e, 0x1f432c50, 0x689e468e, 0x1f43270f],
     [0x00007dee, 0x00000000, 0xc897c68e, 0x1f4328d0, 0xc4a2e68e,
      0x1f431490, 0x64a5468e, 0x1f43144f, 0xc4a0868e, 0x1f431d50],
     [0x00000814, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa078c69e, 0x106afc8f, 0x00000000, 0x00000000],
     [0x00000815, 0x00000000, 0xf88043bd, 0x106aee4b, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000056a8, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xe0b0e6e8, 0x1f42f98e, 0x00000000, 0x00000000],
     [0x00007df2, 0x00000000, 0xb09905d3, 0x1f433450, 0x9c8e25cc,
      0x1f433cd0, 0xc89445cc, 0x1f432f90, 0xc894462f, 0x1f432f90],
     [0x00007df3, 0x00000000, 0xb09145d3, 0x1f4330d0, 0xac9545cc,
      0x1f432f90, 0xc89ca5cc, 0x1f432d10, 0xc896e5cc, 0x1f433750],
     [0x00007df4, 0x00000000, 0x9c96c5cc, 0x1f4337d0, 0xc89825cc,
      0x1f4333d0, 0xb09c45cc, 0x1f432c8e, 0xa096a5ca, 0x1f4337d0],
     [0x00007df5, 0x00000000, 0xc896a5cc, 0x1f4337d0, 0xb09ac5cc,
      0x1f432f8e, 0xb09d268e, 0x1f432cce, 0xc896e5cc, 0x1f433910],
     [0x00007df6, 0x00000000, 0xdc93e5cc, 0x1f432f4f, 0xc892c5cc,
      0x1f433510, 0xc49aa5cc, 0x1f432790, 0xd89c45cc, 0x1f43274f],
     [0x000056ae, 0x00000000, 0x20b70712, 0x1f42f60f, 0x30ada6d1,
      0x1f42f64f, 0xa0b8a6e8, 0x1f42f50f, 0xecafc72f, 0x1f430b4e],
     [0x00007df8, 0x00000000, 0xb09985d3, 0x1f4324d0, 0xb09405cc,
      0x1f4335d0, 0x589c4698, 0x1f432c90, 0xf4b186c3, 0x1f430210],
     [0x00007df9, 0x00000000, 0xa4b14719, 0x1f43028f, 0xc0b026a6,
      0x1f432290, 0x4ca306e1, 0x1f43388f, 0xa0a1c6dd, 0x1f43408f],
     [0x00007dfa, 0x00000000, 0xe89a86f5, 0x1f4323cf, 0x0c8d46f4,
      0x1f43478f, 0xf0aec725, 0x1f430f16, 0x20b325ca, 0x1f43090f],
     [0x00000820, 0x00000000, 0x546a449f, 0x106b19ce, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00007dfc, 0x00000000, 0xb4a126a7, 0x1f431c50, 0x4899c700,
      0x1f431bcf, 0xb4ad86b1, 0x1f431bd0, 0x449846f3, 0x1f431bcf],
     [0x0000659e, 0x00000000, 0x74b1e724, 0x1f430c4f, 0x00000000,
      0x00000000, 0xfcb44705, 0x1f42fc8e, 0x00000000, 0x00000000],
     [0x00007dfe, 0x00000000, 0xb8ad86a7, 0x1f432010, 0xb4ad86b1,
      0x1f432050, 0xb4ad86b1, 0x1f432210, 0xf899a6f3, 0x1f43200e],
     [0x00007dff, 0x00000000, 0x1099a6f3, 0x1f431d4f, 0x149846f3,
      0x1f43220f, 0xb49cc6b1, 0x1f432310, 0x149846f3, 0x1f431f0f],
     [0x000056b7, 0x00000000, 0x4cb36725, 0x1f42f80e, 0x08b54721,
      0x1f42f40f, 0xe4b58729, 0x1f42f34e, 0x54b5a704, 0x1f42f68f],
     [0x000056b8, 0x00000000, 0xb0ae271e, 0x1f43018e, 0xe8a98725,
      0x1f42f50e, 0x08acc704, 0x1f430c4f, 0xe4b126fd, 0x1f42f70e],
     [0x00019101, 0x00000000, 0xa08ea68c, 0x14daf20f, 0xa087668c,
      0x131af20f, 0x549ce69b, 0x1852f74f, 0xa09d668c, 0x1852f34f],
     [0x00000828, 0x00000000, 0x00000000, 0x00000000, 0x547b069e,
      0x106af80e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00000829, 0x00000000, 0x8c7d2653, 0x106af94f, 0x00000000,
      0x00000000, 0xa082c64b, 0x106ae8cf, 0x00000000, 0x00000000],
     [0x0000082a, 0x00000000, 0x00000000, 0x00000000, 0x807ec64b,
      0x106af04f, 0x00000000, 0x00000000, 0x887f469e, 0x106af6ce],
     [0x0000082b, 0x00000000, 0xa07ca650, 0x106aee0f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000082c, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x547c869e, 0x106af74e, 0x00000000, 0x00000000],
     [0x000056bf, 0x00000000, 0x00000000, 0x00000000, 0x80b72738,
      0x1f42f60e, 0x00000000, 0x00000000, 0x5cafe709, 0x1f42f84f],
     [0x000056c0, 0x00000000, 0x00000000, 0x00000000, 0xb0b6870c,
      0x1f42f60f, 0x28b46721, 0x1f42f44f, 0xf8af4716, 0x1f430f8e],
     [0x000056c1, 0x00000000, 0x00000000, 0x00000000, 0x6cb24732,
      0x1f42f50e, 0x00000000, 0x00000000, 0xc4b4e72c, 0x1f42f94e],
     [0x0001910a, 0x00000000, 0x687a05c1, 0x0fa2f44f, 0x6c8005c1,
      0x1162f2cc, 0x6c8185c1, 0x1162f68c, 0xa074c5c1, 0x0de2f50f],
     [0x0001910b, 0x00000000, 0x686ba5c1, 0x0c2af44f, 0x7068065e,
      0x0a6af2cf, 0x6881c5b5, 0x1162f20f, 0x687b25b5, 0x0fa2f34f],
     [0x000056c4, 0x00000000, 0xd4b5c704, 0x1f42f94f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x74b5a700, 0x1f42f70f],
     [0x0001910d, 0x00000000, 0xa0942683, 0x166af6cf, 0xa0944675,
      0x15c2f78f, 0x7097667b, 0x14fafa8f, 0xa09e2675, 0x18b2f78f],
     [0x000065a7, 0x00000000, 0x3cb2e73f, 0x1f430d8e, 0x00000000,
      0x00000000, 0x48b906ec, 0x1f43050f, 0x00000000, 0x00000000],
     [0x0001910f, 0x00000000, 0xa080c675, 0x0f02f78f, 0x708c0675,
      0x10e2fd0f, 0xa0a2c675, 0x17d2f78f, 0xa0920675, 0x1622f78f],
     [0x00019110, 0x00000000, 0xa0c26675, 0x1f6af78f, 0xa0af2675,
      0x1a9af78f, 0x74978685, 0x16e2fa8f, 0xa0968675, 0x1292f78f],
     [0x00005bfb, 0x00000000, 0x54b6c722, 0x1f43058e, 0x4cb04732,
      0x1f43048f, 0x38b26711, 0x1f42ffcf, 0x98b4471d, 0x1f430b4e],
     [0x000056ca, 0x00000000, 0x2caf6719, 0x1f42f80f, 0x00000000,
      0x00000000, 0x60b2a735, 0x1f42f60e, 0x00000000, 0x00000000],
     [0x00005bfc, 0x00000000, 0x8cb626e1, 0x1f43018e, 0x5cae6742,
      0x1f43058e, 0xe8b6a6fb, 0x1f43048f, 0xc0afe71f, 0x1f43048e],
     [0x00019114, 0x00000000, 0x747085a1, 0x0cfaf80f, 0x70806684,
      0x10a2f80f, 0x7471c5a1, 0x0deaf80f, 0xb48b6684, 0x115af80c],
     [0x00019115, 0x00000000, 0xb47c05a1, 0x0f62f30c, 0x00000000,
      0x00000000, 0x745ea650, 0x09bafa8f, 0xb46d0650, 0x0c2aea0c],
     [0x00019116, 0x00000000, 0x74806684, 0x10f2f94f, 0x78614684,
      0x09f2f94f, 0x809385a1, 0x1632f58f, 0x8078e5a1, 0x0f8af58f],
     [0x00005bfe, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x64b0e706, 0x1f4300cf, 0x20b446f6, 0x1f42fb0f],
     [0x00019118, 0x00000000, 0x746f45a1, 0x0dc2fa8f, 0x7c61e61f,
      0x09caf80f, 0x7c7605a1, 0x0ed2f58f, 0x7c7a65b2, 0x0fd3000f],
     [0x000056d1, 0x00000000, 0x00000000, 0x00000000, 0xc4b4e712,
      0x1f42f88e, 0x00000000, 0x00000000, 0xe8b72722, 0x1f42fc4e],
     [0x00000840, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x747c6656, 0x106aee0f],
     [0x000056d3, 0x00000000, 0x78b1a738, 0x1f4302ce, 0x10b72712,
      0x1f42f90e, 0xa4b1e716, 0x1f42fe0e, 0x00000000, 0x00000000],
     [0x000065ae, 0x00000000, 0x80b6a709, 0x1f42fdce, 0xfcad6729,
      0x1f42f8ce, 0x00000000, 0x00000000, 0x70b3e729, 0x1f430fce],
     [0x000056d5, 0x00000000, 0xd0b466d2, 0x1f42fd4f, 0x88b06720,
      0x1f4301ce, 0x34b406d7, 0x1f42f90f, 0xdcb0e732, 0x1f430a4e],
     [0x0001911e, 0x00000000, 0x389d0695, 0x1952fbcd, 0xa0a08685,
      0x190af88f, 0x78968695, 0x14fafbcf, 0xa0960685, 0x11c2f50f],
     [0x00000845, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x8c802650, 0x106ae34f, 0xfc8986a9, 0x106adb4b],
     [0x000056d8, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x74b1270a, 0x1f42fb0f, 0x90b0873d, 0x1f43068e],
     [0x00000847, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x7480664b, 0x106af30f, 0x00000000, 0x00000000],
     [0x00000848, 0x00000000, 0xe07f06a9, 0x106af014, 0x00000000,
      0x00000000, 0xe07f26a9, 0x106aee14, 0x00000000, 0x00000000],
     [0x00000849, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa07c0656, 0x106af5cf, 0x747c264b, 0x106af5cf],
     [0x000056dc, 0x00000000, 0x24b58715, 0x1f42ff8f, 0x74b2c737,
      0x1f42f7ce, 0xacb206b4, 0x1f43038f, 0x60ae873e, 0x1f43074e],
     [0x0000084b, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x8c7ae653, 0x106af58f, 0x00000000, 0x00000000],
     [0x00019126, 0x00000000, 0x68a265c1, 0x1972fb0f, 0x808265b6,
      0x125af64f, 0x6c7fc5b6, 0x103af6cc, 0x547ce5b5, 0x109af6cf],
     [0x000056df, 0x00000000, 0x00000000, 0x00000000, 0x4cb24747,
      0x1f43078e, 0x00000000, 0x00000000, 0x58b2673c, 0x1f430d4e],
     [0x000065b4, 0x00000000, 0x00000000, 0x00000000, 0x80b52718,
      0x1f42fb0f, 0x74b14710, 0x1f42fd4f, 0x28b26706, 0x1f42facf],
     [0x000056e1, 0x00000000, 0x68b48726, 0x1f430d4f, 0x38b1a735,
      0x1f4311cf, 0x00000000, 0x00000000, 0x9cb0e729, 0x1f43138e],
     [0x000065b5, 0x00000000, 0x78b266ff, 0x1f42fecf, 0x88b44719,
      0x1f42f74f, 0x18b5c712, 0x1f42fd0f, 0xd8b44707, 0x1f42ff4e],
     [0x00005c08, 0x00000000, 0xdca9a708, 0x1f43058e, 0xecb086eb,
      0x1f42fece, 0xe8b0c709, 0x1f43044e, 0x60b18711, 0x1f43048f],
     [0x000065b6, 0x00000000, 0x00b4c735, 0x1f42fb4f, 0x0cb12737,
      0x1f43030f, 0x98a86735, 0x1f43088e, 0x48b6c722, 0x1f4309cf],
     [0x000056e5, 0x00000000, 0x00000000, 0x00000000, 0x48afe722,
      0x1f4304cf, 0x00000000, 0x00000000, 0xc0afa71a, 0x1f43174e],
     [0x0001912e, 0x00000000, 0x748825a1, 0x14b2f58f, 0x74a5e697,
      0x1a6af58f, 0x00000000, 0x00000000, 0x5c92a697, 0x156af4cc],
     [0x000056e7, 0x00000000, 0x4cb0c72d, 0x1f43144f, 0xa0ad6713,
      0x1f4313cf, 0x24a9a71d, 0x1f43160f, 0x78af8731, 0x1f43060f],
     [0x000065b8, 0x00000000, 0x88b16703, 0x1f42fa4f, 0xa0b14702,
      0x1f42fe8e, 0xfcb64719, 0x1f430a0e, 0x14b7a725, 0x1f42fb8f],
     [0x00019131, 0x00000000, 0x00000000, 0x00000000, 0x5c9545a1,
      0x182af3cc, 0x5c9b65a1, 0x1862f58c, 0xa08605a4, 0x1222fa0f],
     [0x000056ea, 0x00000000, 0x7cafe716, 0x1f4311cf, 0x00000000,
      0x00000000, 0x24ae471a, 0x1f43128f, 0xa8aac726, 0x1f4314cf],
     [0x00019133, 0x00000000, 0x74a905a1, 0x1bc2f58f, 0x7492e5a1,
      0x1782fe4f, 0x348ba590, 0x1492f58c, 0x748ba5c6, 0x159afb0f],
     [0x000065ba, 0x00000000, 0x8caea6db, 0x1f43124f, 0x60af472c,
      0x1f430d4e, 0x64b2c6fd, 0x1f430e8f, 0x20afa71f, 0x1f43058e],
     [0x00019135, 0x00000000, 0x4ca166a3, 0x19d305cf, 0x4cbea6a3,
      0x2092fe4f, 0x4ca266a3, 0x1a13028f, 0x4ccec6a3, 0x249afe4f],
     [0x00019136, 0x00000000, 0x4cb8a6a3, 0x1f2af9cf, 0x20ad46a3,
      0x1c52f2cc, 0x4ccbc6a3, 0x2412f94f, 0x4cbd66a3, 0x2062f80f],
     [0x000056ef, 0x00000000, 0x00000000, 0x00000000, 0xecad272d,
      0x1f43148e, 0x14ac6714, 0x1f43124f, 0x08ace725, 0x1f43010f],
     [0x000056f0, 0x00000000, 0x7cad671e, 0x1f43170e, 0xb0ac271e,
      0x1f4309ce, 0xfcb84721, 0x1f42fece, 0xf8b0a721, 0x1f43040e],
     [0x000056f1, 0x00000000, 0x20b14745, 0x1f43048e, 0xc0aec731,
      0x1f43150e, 0xa8ab0735, 0x1f430cce, 0x38b46733, 0x1f4302cf],
     [0x000056f2, 0x00000000, 0x00000000, 0x00000000, 0x64b40745,
      0x1f42fd4e, 0xd0a7271e, 0x1f43180e, 0x80b6c735, 0x1f43064e],
     [0x0001913b, 0x00000000, 0x6893e5b6, 0x17e2f6cf, 0x68b086a3,
      0x1daaf50f, 0x688f85b6, 0x16b2f6cf, 0x6c9c26a3, 0x1802f44c],
     [0x000065be, 0x00000000, 0x50ae6721, 0x1f43104e, 0xccacc72c,
      0x1f430a8e, 0x54ace72f, 0x1f4314ce, 0x4cb22722, 0x1f43128f],
     [0x000056f5, 0x00000000, 0xb4ab2719, 0x1f43148e, 0x00000000,
      0x00000000, 0xd8b2a736, 0x1f43124e, 0x00000000, 0x00000000],
     [0x00000864, 0x00000000, 0xac7c65c8, 0x106af551, 0xa078a64a,
      0x106afccf, 0xac7c65c8, 0x106af551, 0xa078a64a, 0x106afccf],
     [0x00000865, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xa0848653, 0x106af74f],
     [0x00000866, 0x00000000, 0x8084864b, 0x106af74f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000056f9, 0x00000000, 0x1cad6735, 0x1f43024f, 0x60b8c748,
      0x1f430e4e, 0x50b2a741, 0x1f43038e, 0x38afc736, 0x1f43098e],
     [0x000056fa, 0x00000000, 0x68b62739, 0x1f4304ce, 0x44b78739,
      0x1f43048e, 0xaca70723, 0x1f43134e, 0x28a9a73e, 0x1f43140e],
     [0x000056fb, 0x00000000, 0x74b5e73c, 0x1f430f8e, 0x00000000,
      0x00000000, 0x38b54735, 0x1f43028e, 0xd0a7871f, 0x1f431bce],
     [0x00019144, 0x00000000, 0x48bf669f, 0x21dafa8f, 0x489f669f,
      0x19dafa8f, 0x40a0c69f, 0x1a2af74f, 0x709f269f, 0x19baf80c],
     [0x00019145, 0x00000000, 0xa0a4469f, 0x1b0af74e, 0x00000000,
      0x00000000, 0x40a2a69f, 0x1ac2fbcf, 0x4098c69f, 0x17f2f9cf],
     [0x00019146, 0x00000000, 0x489b86a0, 0x189afa8f, 0x40a0269f,
      0x19fafa0f, 0x40bea69f, 0x219afa0f, 0x249a669f, 0x17daf98f],
     [0x00019147, 0x00000000, 0x7097c69f, 0x17f2f9cc, 0x00000000,
      0x00000000, 0x587a65bc, 0x1092facf, 0x5878469f, 0x100af98f],
     [0x00019148, 0x00000000, 0x586985bc, 0x0c0afc4f, 0x5877669f,
      0x0fd2f94f, 0x586de5bc, 0x0d22f9cf, 0x5c66069e, 0x0a3af4cc],
     [0x00005701, 0x00000000, 0xb4b2071e, 0x1f42f94e, 0x4cb5c729,
      0x1f42f94f, 0xccb0071a, 0x1f42fd4e, 0xccb3e724, 0x1f42fc0e],
     [0x0001914a, 0x00000000, 0x586c869f, 0x0d22fa0f, 0x586a469f,
      0x0c72f98f, 0x3ca985bc, 0x1c72fccf, 0x3c8745bc, 0x13e2fd0f],
     [0x00005703, 0x00000000, 0x48afa70a, 0x1f43078e, 0x74b5271c,
      0x1f42fe8e, 0x38aec745, 0x1f4313ce, 0x7cada6ea, 0x1f43110f],
     [0x00005704, 0x00000000, 0xc4b486fb, 0x1f43180e, 0x0cb0e711,
      0x1f43170f, 0xa4b74703, 0x1f4302ce, 0x30a6a727, 0x1f4317cf],
     [0x0001914d, 0x00000000, 0x3c970632, 0x17baf84f, 0xac7145bc,
      0x0e42f94c, 0x5c788632, 0x1022fa0c, 0x5c7165bc, 0x0e4af8cc],
     [0x00005706, 0x00000000, 0x98ab66f8, 0x1f43144f, 0x04ad2721,
      0x1f4312cf, 0x04ad2721, 0x1f4312cf, 0x00000000, 0x00000000],
     [0x00005707, 0x00000000, 0xdcb6c71f, 0x1f4303ce, 0x70ada716,
      0x1f43114f, 0x00000000, 0x00000000, 0xc8b36705, 0x1f42fdce],
     [0x00005708, 0x00000000, 0xb4b7472a, 0x1f42f68e, 0x00000000,
      0x00000000, 0x98b446fd, 0x1f42fa4f, 0x00000000, 0x00000000],
     [0x00019151, 0x00000000, 0xa0a0a67e, 0x1abaff8f, 0x00000000,
      0x00000000, 0x6897e68c, 0x17c2f94f, 0x00000000, 0x00000000],
     [0x0000570a, 0x00000000, 0x38b086f6, 0x1f42fc4f, 0x00000000,
      0x00000000, 0xe4b2a726, 0x1f42f9cf, 0x00000000, 0x00000000],
     [0x0000570b, 0x00000000, 0x9cb7a723, 0x1f42f78f, 0xacb0871d,
      0x1f43040e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000570c, 0x00000000, 0x18b4270e, 0x1f42f68f, 0xe8b56709,
      0x1f42ffcf, 0x00000000, 0x00000000, 0x0cb48701, 0x1f42fa8f],
     [0x0000570d, 0x00000000, 0x80b3a711, 0x1f42f78f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x6cb50717, 0x1f42f78f],
     [0x0000570e, 0x00000000, 0xc4a326ef, 0x1f43008f, 0x0cb326e2,
      0x1f42fe4f, 0x18b866d3, 0x1f4304d0, 0xc8b2a6ee, 0x1f42f88f],
     [0x0000570f, 0x00000000, 0xd0b006ff, 0x1f42f40f, 0x90b786e2,
      0x1f42fccf, 0x58b4870d, 0x1f42fa8f, 0x08b82727, 0x1f42f7cf],
     [0x00005710, 0x00000000, 0x20ae4712, 0x1f42fa8f, 0xa0b3a6fc,
      0x1f42fa8f, 0xa0a7a6e7, 0x1f42ff8f, 0x00000000, 0x00000000],
     [0x00005711, 0x00000000, 0xc4b566fd, 0x1f42ff4e, 0x38b08710,
      0x1f42fb8f, 0x90ab4703, 0x1f42f98f, 0x90a5c6eb, 0x1f42fe4f],
     [0x00005712, 0x00000000, 0x50a92707, 0x1f42fc8f, 0xccb186f6,
      0x1f42fe8f, 0x80a5c708, 0x1f42f98f, 0x7cb1a70e, 0x1f42fa8f],
     [0x00000881, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa07bc673, 0x106af68f, 0x00000000, 0x00000000],
     [0x00005714, 0x00000000, 0x64b76723, 0x1f42f6cf, 0xd0a36728,
      0x1f42fa8e, 0x00000000, 0x00000000, 0xb4a986fc, 0x1f43120e],
     [0x0001915d, 0x00000000, 0x3c9a66a5, 0x18b2fb8f, 0x6c9c06a5,
      0x191afb8c, 0x3ca446a5, 0x1b02f88f, 0x3c8f26a5, 0x15dafacf],
     [0x00000884, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xec7b4539, 0x106af753, 0x00000000, 0x00000000],
     [0x00000885, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x087785f1, 0x106aff11],
     [0x00000886, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x8488a690, 0x106aed0f, 0x00000000, 0x00000000],
     [0x00019161, 0x00000000, 0x6ca046a5, 0x1a2afa8c, 0x949666a5,
      0x179af90c, 0x4082a5c3, 0x12c2fbcf, 0x407d869f, 0x117af94f],
     [0x00019162, 0x00000000, 0x407205c3, 0x0e82fbcf, 0x3c7d469e,
      0x116afa0f, 0x4073e5c3, 0x0ee2fbcf, 0x486a86a4, 0x0b92f64c],
     [0x00019163, 0x00000000, 0x347dc5c3, 0x11b2fbcc, 0x347f069f,
      0x1202f94c, 0x406de6a1, 0x0d6af6cf, 0x3468a6a1, 0x0c2af80c],
     [0x00019164, 0x00000000, 0x4070c69f, 0x0e42fa0f, 0x406de69f,
      0x0d8af94f, 0x40b305c3, 0x1ec2f80f, 0x408f05c3, 0x15c2f80f],
     [0x00019165, 0x00000000, 0x407ce5c3, 0x1152f94f, 0x3487a639,
      0x1402f70c, 0x347fc5c3, 0x11f2fbcc, 0x407c25c3, 0x106af80f],
     [0x00019166, 0x00000000, 0x247da66b, 0x116afb0f, 0x446dc678,
      0x0db2f94f, 0x408d25c3, 0x154af6cf, 0x40804639, 0x11eafbcf],
     [0x00019167, 0x00000000, 0x40a1e639, 0x1a92fbcf, 0x5c7ba5c3,
      0x104afa8c, 0x34818639, 0x12a2fbcc, 0x347525c3, 0x0f22f70c],
     [0x000065d4, 0x00000000, 0x00000000, 0x00000000, 0xe4afc730,
      0x1f43054e, 0x90b22730, 0x1f430a0e, 0xf8b78709, 0x1f42fcce],
     [0x00019169, 0x00000000, 0xa082067e, 0x123b008f, 0xa07fe67e,
      0x10bb008f, 0x688ce68c, 0x15baf4cf, 0xa087867e, 0x1493008f],
     [0x00005722, 0x00000000, 0x08b026f3, 0x1f42ff4f, 0x6cb086ec,
      0x1f42fccf, 0xe0a74706, 0x1f43240e, 0x2cb4a6f7, 0x1f42fe90],
     [0x0001916b, 0x00000000, 0xa09e867e, 0x1a5b00cf, 0x6889a67e,
      0x151b008f, 0x6894068c, 0x1652f58f, 0xa07e867e, 0x106b008f],
     [0x00005724, 0x00000000, 0x84b56716, 0x1f42ffcf, 0xdcb9a731,
      0x1f42fe8e, 0x5cb4a6f5, 0x1f42f88f, 0x9caec6e3, 0x1f42fd8e],
     [0x00005725, 0x00000000, 0x9cb72706, 0x1f43050e, 0xd8b4072e,
      0x1f43040e, 0x04b1a6cc, 0x1f42fcd0, 0xb0a2272b, 0x1f4326ce],
     [0x00005726, 0x00000000, 0xc0b726f9, 0x1f42fd8f, 0x88b62714,
      0x1f43064f, 0xc4af2726, 0x1f4308ce, 0xa4a9c727, 0x1f431f4e],
     [0x00005727, 0x00000000, 0x98aca727, 0x1f432a4f, 0xf49ec72a,
      0x1f43168e, 0x00000000, 0x00000000, 0xbcb6a6e5, 0x1f4301cf],
     [0x00005728, 0x00000000, 0x4caf66ca, 0x1f42f9cf, 0x48a426f7,
      0x1f43180f, 0xacaf2717, 0x1f43120e, 0x34abe6fa, 0x1f42fccf],
     [0x00005729, 0x00000000, 0x2cb726f2, 0x1f42f550, 0x7cb7870d,
      0x1f43004f, 0xc0ad4707, 0x1f430ccf, 0x909fa71b, 0x1f43144e],
     [0x000065d9, 0x00000000, 0x24b686f6, 0x1f42f850, 0x74ae86f8,
      0x1f42f78e, 0x60b6e6eb, 0x1f42ff0f, 0x00000000, 0x00000000],
     [0x00019173, 0x00000000, 0x786a45b7, 0x0c2afa4f, 0x7862662c,
      0x091aee4f, 0x747445ad, 0x0f5afdcf, 0x6875e5ad, 0x0ed2f5cf],
     [0x0000572c, 0x00000000, 0xdcb046ef, 0x1f42f8cf, 0xf8b4a70e,
      0x1f42fd4e, 0x00000000, 0x00000000, 0xa8b3e724, 0x1f43008e],
     [0x00019175, 0x00000000, 0xa091a69a, 0x1592f44f, 0xa088c68c,
      0x13e3020f, 0x5494869b, 0x169afa4f, 0xa092c68c, 0x162b020f],
     [0x000065db, 0x00000000, 0x9cb2e729, 0x1f42fd0e, 0xe4b1473d,
      0x1f43024e, 0x28adc727, 0x1f42fd8f, 0x00000000, 0x00000000],
     [0x0000572f, 0x00000000, 0xacb606fe, 0x1f42f90e, 0xf8a4471b,
      0x1f4318ce, 0xc8aee6fa, 0x1f43074f, 0xccaa271b, 0x1f43208e],
     [0x000065dc, 0x00000000, 0x18b72727, 0x1f42fd8f, 0xe4b7473d,
      0x1f42f6ce, 0x08b6a732, 0x1f42f8cf, 0x8cb12726, 0x1f42fc8e],
     [0x00005731, 0x00000000, 0xf8b70706, 0x1f42fdce, 0xd0b58714,
      0x1f42fa0e, 0x4cb726e7, 0x1f42fa8f, 0xb0b5471b, 0x1f43030e],
     [0x00005732, 0x00000000, 0x2cb7a6eb, 0x1f42f80f, 0xe0b26717,
      0x1f43118e, 0xb0a1273c, 0x1f431c4e, 0xf8ae070e, 0x1f43004e],
     [0x00005733, 0x00000000, 0x38b2e6df, 0x1f42fad0, 0x00000000,
      0x00000000, 0xb4b1073b, 0x1f43270e, 0x0cb466bb, 0x1f42fcd0],
     [0x00005734, 0x00000000, 0xa0abc70b, 0x1f42fecf, 0x00000000,
      0x00000000, 0x28a986eb, 0x1f43028f, 0x18b1c70f, 0x1f42fd8f],
     [0x00005735, 0x00000000, 0x78aec6f7, 0x1f42fb8f, 0x00000000,
      0x00000000, 0x88b166df, 0x1f42fb8f, 0xb0b5271c, 0x1f42ff4f],
     [0x0001917e, 0x00000000, 0xa07dc68c, 0x103afbcf, 0xa055068c,
      0x075afbcf, 0xa098a5c1, 0x1842fbcf, 0xa07765c1, 0x0ff2fbcf],
     [0x00005737, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x40a66713, 0x1f430c0f, 0x40a6e734, 0x1f430a4e],
     [0x000065e0, 0x00000000, 0xccae2722, 0x1f42fbce, 0xdcb90712,
      0x1f42fbce, 0x04b6a70b, 0x1f42f88f, 0xecb4a716, 0x1f42fa8e],
     [0x00005739, 0x00000000, 0x08b7a70f, 0x1f42f78f, 0xf4b3471d,
      0x1f42fdce, 0x50a96716, 0x1f4316cf, 0x00000000, 0x00000000],
     [0x000065e1, 0x00000000, 0x08b5671c, 0x1f42f9cf, 0x18b6c718,
      0x1f42fbcf, 0xb4b5a729, 0x1f42f9ce, 0x00000000, 0x00000000],
     [0x0000573b, 0x00000000, 0x2ca94701, 0x1f42fecf, 0xd4aac702,
      0x1f43048e, 0x68b506bf, 0x1f42ffcf, 0x78af072b, 0x1f43070e],
     [0x0000573c, 0x00000000, 0x0cba2744, 0x1f42f8ce, 0x54aea6ca,
      0x1f42ff0f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000573d, 0x00000000, 0xb8b726f2, 0x1f42fd8f, 0x00000000,
      0x00000000, 0x58ad8745, 0x1f431f0e, 0xb8a8c723, 0x1f43120e],
     [0x0000573e, 0x00000000, 0x50b1c6ef, 0x1f42fccf, 0x10b2a70f,
      0x1f430ccf, 0x10b726d9, 0x1f42f6cf, 0x60b76731, 0x1f42fc8f],
     [0x0000573f, 0x00000000, 0x00000000, 0x00000000, 0x60b9a716,
      0x1f42f90f, 0x00000000, 0x00000000, 0x0cb166e9, 0x1f42fdcf],
     [0x00005740, 0x00000000, 0xd8b0a720, 0x1f432d0e, 0x58b4472a,
      0x1f430a4f, 0x98b0a717, 0x1f42fd0f, 0xf8b6471a, 0x1f42fece],
     [0x00005741, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xb4b0c6ff, 0x1f42fd8f, 0x74b1c73b, 0x1f43128e],
     [0x00005742, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x3cb24729, 0x1f43058e],
     [0x000008b1, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x847fc613, 0x106aee50, 0x00000000, 0x00000000],
     [0x00005744, 0x00000000, 0x00000000, 0x00000000, 0xc8b0e741,
      0x1f431e4e, 0x3cb1472f, 0x1f430c8e, 0x00000000, 0x00000000],
     [0x00005745, 0x00000000, 0x6cac6726, 0x1f42f84e, 0xd0b2a6e3,
      0x1f42ffcf, 0xe4ab4727, 0x1f42f30e, 0x24a54739, 0x1f431dce],
     [0x00005746, 0x00000000, 0x90b72711, 0x1f43010f, 0xb8b70718,
      0x1f43060e, 0x70b3e728, 0x1f43010f, 0x04ac26ec, 0x1f42fd8f],
     [0x00005747, 0x00000000, 0x00000000, 0x00000000, 0x94aee731,
      0x1f4308ce, 0x9cb06720, 0x1f43030e, 0x40b2a710, 0x1f43080f],
     [0x00019190, 0x00000000, 0xa099868c, 0x13db020f, 0xa099268c,
      0x1233020f, 0x54a0a69b, 0x175308cf, 0xa0a2e68c, 0x165b020f],
     [0x00005749, 0x00000000, 0x5cb36722, 0x1f42ff8e, 0x4cb0e71d,
      0x1f43050e, 0x18b1a710, 0x1f42fccf, 0xc0b6071b, 0x1f42fece],
     [0x0000574a, 0x00000000, 0xa8b5e723, 0x1f43010f, 0x98a6c727,
      0x1f43020e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000574b, 0x00000000, 0x00000000, 0x00000000, 0x7caea73b,
      0x1f43018e, 0x80a14727, 0x1f43254e, 0x00000000, 0x00000000],
     [0x00019194, 0x00000000, 0x54a1868c, 0x15db0ccf, 0x58a6a68c,
      0x15931e4f, 0x64cc668c, 0x1f2b1f8f, 0xa0a9268c, 0x1722f80f],
     [0x00019195, 0x00000000, 0xa0a7c68c, 0x15b31d0f, 0xa09ea68c,
      0x146af44f, 0x687de5c1, 0x0f4afa0f, 0x6c84468c, 0x1002facf],
     [0x00019196, 0x00000000, 0x688005c1, 0x0e72ffcf, 0x688ca68c,
      0x1032ff4f, 0x6c7c05c1, 0x0e22ffcf, 0xa081269c, 0x0aa3000f],
     [0x00019197, 0x00000000, 0x688965c0, 0x0fc2ee8c, 0xa082468c,
      0x0ff2fbcf, 0xa06c4698, 0x07aafccf, 0x78758698, 0x0a22d78c],
     [0x00019198, 0x00000000, 0xa089668c, 0x103afbcf, 0xa06a068c,
      0x075afbcf, 0xa0a3a5c1, 0x1842fbcf, 0xa08245c1, 0x0ff2fbcf],
     [0x00019199, 0x00000000, 0x688245c1, 0x0fab000f, 0x6c8465c1,
      0x1002eecc, 0x6c8645c1, 0x1002ff4c, 0xa07f65c1, 0x0cdafbcf],
     [0x0001919a, 0x00000000, 0x6c75c5c1, 0x0c0af74f, 0x7076665f,
      0x0c13068f, 0x6485a5b6, 0x1033024f, 0x6884a5b6, 0x0e730e4f],
     [0x0001919b, 0x00000000, 0x68a245b6, 0x15eb0ecf, 0xa08745b6,
      0x0fd2f30f, 0x7085a5b6, 0x0ec2e74c, 0xa080c5b6, 0x0dcaf34f],
     [0x0001919c, 0x00000000, 0xa07c8689, 0x106af48f, 0xa07a867e,
      0x106af54f, 0x747ac688, 0x106af80f, 0xa07ae67e, 0x106af44f],
     [0x0001919d, 0x00000000, 0xa07d067e, 0x106af5cf, 0xa07b867e,
      0x106af68f, 0x747c6688, 0x106af74f, 0xa07c867e, 0x106af48f],
     [0x00005756, 0x00000000, 0x48b5c719, 0x1f42f90f, 0x3cb10731,
      0x1f42f70e, 0x00000000, 0x00000000, 0xc0b7a722, 0x1f42ff4e],
     [0x0001919f, 0x00000000, 0xa07d267e, 0x106af34f, 0xa07be67e,
      0x106af5cf, 0x7478c688, 0x106afc0f, 0xa07a667e, 0x106af5cf],
     [0x000191a0, 0x00000000, 0x7478c688, 0x106afc0d, 0x747f867e,
      0x106af48f, 0x74794688, 0x106afb0f, 0xa07c867e, 0x106af48f],
     [0x000191a1, 0x00000000, 0x747ec67e, 0x106af04f, 0x807dc67e,
      0x106af24f, 0x807e867e, 0x106af0cf, 0xa07ca67e, 0x106af40f],
     [0x000008c8, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xac7b4586, 0x106af752, 0x00000000, 0x00000000],
     [0x0000575b, 0x00000000, 0xdcb1e71c, 0x1f430e8e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xa8b3c72b, 0x1f43040f],
     [0x000008ca, 0x00000000, 0x00000000, 0x00000000, 0x5876a69e,
      0x106b134e, 0x586d669e, 0x106b00ce, 0x00000000, 0x00000000],
     [0x000191a5, 0x00000000, 0xa07da649, 0x106af40f, 0xa077e649,
      0x106afdcf, 0xa07f85b0, 0x106aee8f, 0xa07da5b0, 0x106af24f],
     [0x000191a6, 0x00000000, 0x887805b3, 0x106afd8f, 0x2c7aa5b0,
      0x106af24c, 0x2c80c5b0, 0x106af94c, 0xa07b25b0, 0x106af74f],
     [0x0000575f, 0x00000000, 0x64b3471b, 0x1f42f80f, 0xc8af2704,
      0x1f42fbce, 0xbcb1873a, 0x1f43084e, 0xa0a5c72a, 0x1f430b0e],
     [0x00005760, 0x00000000, 0x94aee70b, 0x1f42fdce, 0xa8b2c725,
      0x1f42f50e, 0x9cb0e738, 0x1f42fbce, 0x00000000, 0x00000000],
     [0x00005761, 0x00000000, 0x3cb3c748, 0x1f42f8ce, 0x00000000,
      0x00000000, 0x64b1c72f, 0x1f42fa0e, 0x7cb3c6ef, 0x1f42fa8f],
     [0x00005762, 0x00000000, 0xf0afa72a, 0x1f430a4e, 0x5cb16728,
      0x1f430c8e, 0x5caf673f, 0x1f43008e, 0xf0b3672a, 0x1f42fe4e],
     [0x000191ab, 0x00000000, 0xa08ea68c, 0x153af20f, 0xa08dc68c,
      0x15aaf50f, 0xa09d668c, 0x1952f34f, 0x589b669c, 0x1852f6cf],
     [0x00005764, 0x00000000, 0x04acc73f, 0x1f430bcf, 0x00000000,
      0x00000000, 0x1caf6723, 0x1f42fdcf, 0xa4b70710, 0x1f42f80e],
     [0x000191ad, 0x00000000, 0x5896268c, 0x1692f20f, 0xa088e68c,
      0x137af50f, 0x549b669b, 0x1852f6cf, 0xa09d668c, 0x1862f34f],
     [0x000191ae, 0x00000000, 0xa089868c, 0x131af20f, 0x589b669c,
      0x1852f6cf, 0xa08ce68c, 0x14caf18f, 0xa08e068c, 0x14daf5cf],
     [0x00005767, 0x00000000, 0x74b04739, 0x1f430e8e, 0x64b786f7,
      0x1f42f54f, 0x0ca4e71b, 0x1f431e0f, 0x90b26739, 0x1f42fc0e],
     [0x00005768, 0x00000000, 0xa8b6e719, 0x1f42f54e, 0x58aee733,
      0x1f42fd8f, 0xf8b50712, 0x1f42fd0e, 0x00000000, 0x00000000],
     [0x000191b1, 0x00000000, 0x6c7d25c1, 0x1032f10c, 0x687a269c,
      0x0fb2f48f, 0x687425c1, 0x0de2f50f, 0x6c75269c, 0x0e5af3cc],
     [0x000191b2, 0x00000000, 0x6c82a5c1, 0x1222f10c, 0x687a069c,
      0x0faaf44f, 0x686485b5, 0x0a32f1cf, 0xa08465c1, 0x122af34f],
     [0x000191b3, 0x00000000, 0x5880669c, 0x1112f2cf, 0x6c8805b5,
      0x1312f94c, 0x687c65c1, 0x1032f1cf, 0x6c75669c, 0x0e8af3cc],
     [0x000191b4, 0x00000000, 0x687a05c1, 0x0fa2f44f, 0x588aa5b5,
      0x13baf30f, 0x6c7ee5c1, 0x111af94c, 0x747605c1, 0x0e82f3cc],
     [0x000191b5, 0x00000000, 0x6880a5b5, 0x11c2f44f, 0x6877a5b5,
      0x0f62f28f, 0x688365c1, 0x1202f10f, 0x6c8d25c1, 0x146af40c],
     [0x000191b6, 0x00000000, 0x6c87c5c1, 0x1322f34c, 0x6c9c65c1,
      0x17daf10c, 0x689705c1, 0x16f2f48f, 0x687be6ab, 0x101af44f],
     [0x000191b7, 0x00000000, 0x687445c1, 0x0de2f44f, 0x688c069c,
      0x143af10f, 0x5482c5c1, 0x119af10f, 0x6c8d268c, 0x146af40c],
     [0x00005770, 0x00000000, 0x48ae8727, 0x1f42f90e, 0x00000000,
      0x00000000, 0xfca9073b, 0x1f43170e, 0x1cb2e724, 0x1f43020f],
     [0x00005771, 0x00000000, 0x00000000, 0x00000000, 0xecac6740,
      0x1f430ace, 0x1cb326fc, 0x1f42fa8f, 0xccb5c71a, 0x1f42fa8e],
     [0x000191ba, 0x00000000, 0xa0b1e675, 0x1b4af78f, 0x74978685,
      0x170afa8f, 0xa080c675, 0x0f02f78f, 0xa0a2c675, 0x17d2f78f],
     [0x00005c50, 0x00000000, 0x00000000, 0x00000000, 0x50afa71e,
      0x1f42fd8f, 0x3cb5a72a, 0x1f42fa8e, 0x70b5c6f7, 0x1f42fd8f],
     [0x000191bc, 0x00000000, 0x74978685, 0x16e2fa8f, 0xa0b1e675,
      0x1b4af78f, 0xa0968675, 0x1292f78f, 0x74978685, 0x170afa8f],
     [0x00005775, 0x00000000, 0xe4ad8740, 0x1f430a0e, 0x5cae072e,
      0x1f42fdce, 0x8cb1872a, 0x1f43054e, 0x00000000, 0x00000000],
     [0x000191be, 0x00000000, 0xa0a3c675, 0x18b2f44f, 0xa09b6683,
      0x14f2f50f, 0xa09fa682, 0x1902f60f, 0x64898675, 0x139af88f],
     [0x000191bf, 0x00000000, 0x7880a5a1, 0x1062f80f, 0xc47f4684,
      0x0f6af44c, 0xb477c5a1, 0x0d62f6cc, 0x7476e684, 0x0e7af80f],
     [0x000191c0, 0x00000000, 0x747605a1, 0x0f22f44f, 0xc47a8684,
      0x0d9af80c, 0xc47765a1, 0x0e62f58c, 0x7479c684, 0x0f22f80f],
     [0x00005779, 0x00000000, 0x00000000, 0x00000000, 0x58b4c6a1,
      0x1f430211, 0xc0ad6729, 0x1f42fdcf, 0xa0b166db, 0x1f43018f],
     [0x0000d152, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x5490a69c, 0x15f2f94f, 0xa08f268c, 0x1162f44f],
     [0x0000577b, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xc4acc73e, 0x1f43014f, 0x84b486fb, 0x1f42fc8f],
     [0x0000577c, 0x00000000, 0x78b826f3, 0x1f43044f, 0x40ada6e8,
      0x1f431e90, 0x54b086ed, 0x1f432190, 0x9cb166ec, 0x1f432890],
     [0x0000577d, 0x00000000, 0x38b126cc, 0x1f431e50, 0xe0b1c707,
      0x1f43014e, 0x00000000, 0x00000000, 0xf4b92738, 0x1f42fbce],
     [0x0000577e, 0x00000000, 0x00000000, 0x00000000, 0xe8af070b,
      0x1f43138e, 0x00000000, 0x00000000, 0xb0b3e739, 0x1f42fd4e],
     [0x00019452, 0x00000000, 0x3076e67e, 0x0ffafccd, 0x84ab85a9,
      0x1cf2fb90, 0x84ab85a9, 0x1cf2fb90, 0x34ab867e, 0x1cf2fb8d],
     [0x000191c8, 0x00000000, 0xa09cc685, 0x16e2f88f, 0xa0a64685,
      0x18eafe8f, 0xa0b4c685, 0x1bdaf88f, 0x609ce695, 0x187afbcf],
     [0x000191c9, 0x00000000, 0xa0842685, 0x0fb2f88f, 0xa0a76685,
      0x18daf88f, 0xa0990695, 0x17baf7cf, 0xa0c46685, 0x1fc2f88f],
     [0x00005782, 0x00000000, 0xe8a9a6c3, 0x1f43104e, 0x00000000,
      0x00000000, 0xccb4e70b, 0x1f43038e, 0x74a96732, 0x1f43124e],
     [0x000191cb, 0x00000000, 0xa09a2685, 0x1322f88f, 0x609ce695,
      0x187afbcf, 0xa0a0e685, 0x17bafe0f, 0xa0960685, 0x11c2f50f],
     [0x000191cc, 0x00000000, 0xa0a08695, 0x140af5cf, 0xa0a26685,
      0x19daf50f, 0xa0a64685, 0x1942f50f, 0xa0a02695, 0x15b2f58f],
     [0x000191cd, 0x00000000, 0xa0a46695, 0x19d2fc4f, 0x60898685,
      0x13c2f8cf, 0x708d45b5, 0x1382f90f, 0x6c876695, 0x115af50c],
     [0x000191ce, 0x00000000, 0x787d65b6, 0x0f52f90c, 0x8081c695,
      0x10d2f90f, 0x7876e5b6, 0x0f7af50f, 0x747fc695, 0x0ec2f90c],
     [0x00005787, 0x00000000, 0x68ab6712, 0x1f43098f, 0x5cb28736,
      0x1f430e0e, 0x00000000, 0x00000000, 0x4ca5c72e, 0x1f431c0e],
     [0x00005788, 0x00000000, 0x9ca1070b, 0x1f432ace, 0xbcb30719,
      0x1f43068e, 0x08b7870e, 0x1f4300cf, 0x7cb6e725, 0x1f43098e],
     [0x000191d1, 0x00000000, 0x7881e5b6, 0x118af90f, 0x6c8845aa,
      0x121af7cf, 0x6c84c5b6, 0x129af64c, 0x747e05b6, 0x0f02f7cc],
     [0x000191d2, 0x00000000, 0x7889e5aa, 0x1282f90f, 0x847d45aa,
      0x0eaaf64f, 0x788165b6, 0x1142f64f, 0x6c91e5b6, 0x1612fbcc],
     [0x0000578b, 0x00000000, 0x00000000, 0x00000000, 0x4cae0745,
      0x1f42fa8e, 0x7ca36723, 0x1f430b4e, 0x0cb14730, 0x1f430c0e],
     [0x000191d4, 0x00000000, 0x787aa5b5, 0x0f0af90f, 0x6c8786a2,
      0x12faf64f, 0x648d45b6, 0x12faeb0f, 0x6c906695, 0x155af90c],
     [0x0000578d, 0x00000000, 0x5cb04703, 0x1f430a4f, 0x00000000,
      0x00000000, 0x0cb14728, 0x1f430c0e, 0x68b7472d, 0x1f43008f],
     [0x000191d6, 0x00000000, 0xa085a68c, 0x127b020f, 0xa093869a,
      0x1682f80f, 0xa089268c, 0x13db020f, 0xa08c668c, 0x146af44f],
     [0x000191d7, 0x00000000, 0xa08de68c, 0x165b020f, 0x549b669b,
      0x1852f6cf, 0xa06d668c, 0x0dc2fe4f, 0xa096e68c, 0x1643020f],
     [0x000191d8, 0x00000000, 0xa091c69a, 0x1612f80f, 0xa0a6a68c,
      0x1c8b020f, 0x588f068c, 0x16a3020f, 0xa08a268c, 0x1402f6cf],
     [0x00005791, 0x00000000, 0x98b046ff, 0x1f43050f, 0x78b246ff,
      0x1f4309cf, 0x00000000, 0x00000000, 0x5cae6730, 0x1f43084e],
     [0x000191da, 0x00000000, 0xa08d868c, 0x1512f50f, 0xa08ce68c,
      0x140af18f, 0xa099869b, 0x1762f30f, 0xa09f668c, 0x1902f44f],
     [0x000191db, 0x00000000, 0xa096068c, 0x1722f80f, 0xa0a1669b,
      0x1932f1cf, 0xa098869b, 0x1782f60f, 0x28942680, 0x16faf94f],
     [0x000191dc, 0x00000000, 0x688d25c1, 0x14b2f80f, 0x6c7b669c,
      0x1002f7cc, 0x6c7a25c1, 0x0fb2f08c, 0x687a269c, 0x0fb2f44f],
     [0x00005795, 0x00000000, 0x1cb6c706, 0x1f43020f, 0x6cb4c73a,
      0x1f4302ce, 0x00000000, 0x00000000, 0x58b0e71f, 0x1f4302cf],
     [0x000191de, 0x00000000, 0x686385b5, 0x09fafb4f, 0xa07e85c1,
      0x107afbcf, 0x687f869c, 0x1152f28f, 0x6c7f25b5, 0x1132f7cc],
     [0x00005797, 0x00000000, 0xd0ad870b, 0x1f43054e, 0x5cae070b,
      0x1f43054e, 0x70b2e71c, 0x1f4303cf, 0xa8b4671b, 0x1f43088e],
     [0x00005798, 0x00000000, 0xecae870b, 0x1f43018e, 0xc4b7c703,
      0x1f4300ce, 0x70b4e729, 0x1f43044f, 0x5cb4c72e, 0x1f43138e],
     [0x00005799, 0x00000000, 0x5caea72e, 0x1f43078e, 0x00000000,
      0x00000000, 0xaca3271a, 0x1f430f0e, 0xdcb3c707, 0x1f4304ce],
     [0x00000908, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x8c7b8665, 0x106af0cf, 0x8c7a84d9, 0x106af8cd],
     [0x000191e3, 0x00000000, 0x6883c5c1, 0x11d2f18f, 0x6c8aa69c,
      0x13d2f44c, 0x6c7925c1, 0x0f72f44c, 0x68a765b5, 0x1a82ef8f],
     [0x000191e4, 0x00000000, 0xa091a69a, 0x1592f44f, 0xa092668c,
      0x1612fd0f, 0xa096a68c, 0x12d2fd0f, 0xa093869a, 0x1682f80f],
     [0x000191e5, 0x00000000, 0xa097068c, 0x155afd0f, 0xa09ea68c,
      0x161af44f, 0xa0a0668c, 0x1762fd0f, 0x54a5469b, 0x1a7b048f],
     [0x000191e6, 0x00000000, 0xa07da68c, 0x0d9afa8f, 0xa0a2068c,
      0x1642fd0f, 0xa08f469a, 0x1572f30f, 0xa0b9268c, 0x1d2afd0f],
     [0x0000579f, 0x00000000, 0x90af66ea, 0x1f430d0f, 0xa4b0a6f1,
      0x1f430acf, 0x64ada731, 0x1f430a4e, 0x54a1a704, 0x1f43070f],
     [0x00006614, 0x00000000, 0x10b086e0, 0x1f42facf, 0xc0b5c6f4,
      0x1f42f68e, 0x40af26d6, 0x1f43068f, 0x8cae4706, 0x1f43078f],
     [0x000057a1, 0x00000000, 0x64ae871a, 0x1f43064f, 0x00000000,
      0x00000000, 0xd0b4672e, 0x1f43004f, 0x24b5e729, 0x1f42f98f],
     [0x00006615, 0x00000000, 0xb4b2072d, 0x1f43014e, 0x10afe6d6,
      0x1f43058f, 0x00000000, 0x00000000, 0x2cafe704, 0x1f43048f],
     [0x000057a3, 0x00000000, 0xbca98721, 0x1f43034e, 0x7ca4071a,
      0x1f42ff4e, 0x00000000, 0x00000000, 0x84b0e740, 0x1f42f88e],
     [0x00006616, 0x00000000, 0xdcb286ee, 0x1f42f88f, 0x18b2e703,
      0x1f42fa0f, 0x00000000, 0x00000000, 0xf0b2070b, 0x1f43024e],
     [0x000191ed, 0x00000000, 0x6882069c, 0x11f2f28f, 0x6c85a5b6,
      0x1292eb0c, 0x688525c1, 0x106af84f, 0x6c80269c, 0x0f0af8cc],
     [0x000191ee, 0x00000000, 0x687ee5c1, 0x10faf94f, 0x689085b6,
      0x13c2f94f, 0x6c8185c1, 0x1182e5cc, 0x6c83c5c1, 0x102afb0c],
     [0x00019466, 0x00000000, 0x7873a693, 0x0df2f34f, 0x786025b8,
      0x0872fc4f, 0xa07985b8, 0x0ec3028f, 0x747a4693, 0x0f4af00f],
     [0x000191f0, 0x00000000, 0x6c8cc5c1, 0x11fada0c, 0x6c9c65c1,
      0x15fb00cc, 0x689a05b5, 0x17a2fe0f, 0x6881e69b, 0x1122f94f],
     [0x00019467, 0x00000000, 0x447ac5ad, 0x0f3af90c, 0x6873e5b8,
      0x0e62f58f, 0x4471c693, 0x0d12f64c, 0x787965b7, 0x0f9af50f],
     [0x000191f2, 0x00000000, 0x6c7f85c1, 0x1102f78c, 0x68b085b6,
      0x1bcaf80f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000057ab, 0x00000000, 0x3cb10712, 0x1f42fe4f, 0x14b56727,
      0x1f42f88f, 0x2ca6e71e, 0x1f43034f, 0x00000000, 0x00000000],
     [0x0000661a, 0x00000000, 0x00000000, 0x00000000, 0xc4aea6ff,
      0x1f43020e, 0xc4b10719, 0x1f42f74e, 0x20ada726, 0x1f43058f],
     [0x000057ad, 0x00000000, 0x60a9072e, 0x1f42f98e, 0x9cb7a736,
      0x1f42fa8e, 0x34adc737, 0x1f42f78f, 0x94b30739, 0x1f42fd4e],
     [0x0000661b, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x10ade709, 0x1f4306cf],
     [0x000057af, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x40b70736, 0x1f42f68f, 0x00000000, 0x00000000],
     [0x0000661c, 0x00000000, 0x50ae872b, 0x1f43058e, 0xc0b0473b,
      0x1f42f48e, 0xfcaf8700, 0x1f42fd4e, 0x78b0c714, 0x1f42fa0f],
     [0x000191f9, 0x00000000, 0xa079268c, 0x0fa2f6cf, 0x6875a68c,
      0x0fa2f5cf, 0xa07ba68c, 0x0fa2f0cf, 0x6877c68c, 0x0fa2f70f],
     [0x000191fa, 0x00000000, 0x68794694, 0x0fa2f60f, 0x8076e67e,
      0x0fa2f78f, 0x6876668c, 0x0fa2fa4f, 0x4c78c68c, 0x0fa2f50f],
     [0x000191fb, 0x00000000, 0x6c7a0698, 0x0fa2f40f, 0xa0684698,
      0x0fa3028f, 0xa079c698, 0x0fa2f30f, 0x6c7a6698, 0x0fa2f28f],
     [0x000057b4, 0x00000000, 0x60b3472e, 0x1f42fb0f, 0x84b1a73d,
      0x1f42fb8e, 0xd0b80738, 0x1f42f78e, 0x4cac673b, 0x1f42f28e],
     [0x000057b5, 0x00000000, 0x54ae6738, 0x1f42f58e, 0x68ade72b,
      0x1f42fb8f, 0x60b5c73c, 0x1f42fb8e, 0x6caa6739, 0x1f42fa8e],
     [0x0000661f, 0x00000000, 0x58ab86fe, 0x1f43030f, 0x5caae708,
      0x1f42fa4f, 0x5caac6e6, 0x1f42f48f, 0x48ab2719, 0x1f43064f],
     [0x000191ff, 0x00000000, 0x74788691, 0x106afc8f, 0x747a6696,
      0x106af8cf, 0x747a6691, 0x106af8cf, 0x74788691, 0x106afc8f],
     [0x000057b8, 0x00000000, 0x54b5c739, 0x1f42f78f, 0x58a9a730,
      0x1f42fc4f, 0xc4b7c740, 0x1f42f68e, 0x84ae073d, 0x1f42f68e],
     [0x000057b9, 0x00000000, 0x00000000, 0x00000000, 0x64b30724,
      0x1f42ff4e, 0xccaac72e, 0x1f42fa8e, 0x84ae672f, 0x1f42fe4e],
     [0x00006621, 0x00000000, 0xa8ac86fb, 0x1f42fd4f, 0x4cac26ef,
      0x1f42f84f, 0x68ada718, 0x1f42f58f, 0x7caa0721, 0x1f42fb4f],
     [0x000057bb, 0x00000000, 0x94b0a73d, 0x1f42f98e, 0x00000000,
      0x00000000, 0x44af4739, 0x1f42fc4e, 0xacb2272e, 0x1f42f78e],
     [0x00006622, 0x00000000, 0xc4a926d8, 0x1f43060f, 0xc0ab2703,
      0x1f4302ce, 0x8caac6e5, 0x1f42fd8f, 0x00000000, 0x00000000],
     [0x00005c75, 0x00000000, 0x48b38712, 0x1f42f88f, 0x28b04731,
      0x1f430b0f, 0xe8b20701, 0x1f42fc8e, 0x90b326ed, 0x1f42ff0f],
     [0x000057be, 0x00000000, 0x68b3a701, 0x1f42fdcf, 0x00000000,
      0x00000000, 0x98b5a739, 0x1f42ff8e, 0x68b3a6c8, 0x1f42fdcf],
     [0x000057bf, 0x00000000, 0x68b3a6cf, 0x1f42fdcf, 0x00000000,
      0x00000000, 0x24b366fa, 0x1f43004f, 0x94b486eb, 0x1f42fd10],
     [0x00006624, 0x00000000, 0x6caa86fc, 0x1f43084f, 0x5cae6719,
      0x1f42ff8f, 0x00000000, 0x00000000, 0x20ab870a, 0x1f42fecf],
     [0x000057c1, 0x00000000, 0xc8b62719, 0x1f42fece, 0xecb6470c,
      0x1f430e4e, 0x00000000, 0x00000000, 0x5cb6a736, 0x1f4308ce],
     [0x0000d176, 0x00000000, 0xa089268c, 0x13db020f, 0xa085c68c,
      0x1233020f, 0x5492669b, 0x1752f74f, 0xa08de68c, 0x165b020f],
     [0x000057c3, 0x00000000, 0x80b28736, 0x1f430b8e, 0x80b28736,
      0x1f430d4e, 0x00000000, 0x00000000, 0x80b28736, 0x1f430d4e],
     [0x000057c4, 0x00000000, 0x80b2c736, 0x1f42ff8e, 0x64b4a711,
      0x1f42ff8f, 0x64b4a711, 0x1f43008f, 0xdca0a70e, 0x1f432d4e],
     [0x000057c5, 0x00000000, 0x98ad4715, 0x1f431c8e, 0x08a0a71f,
      0x1f43140f, 0xc8b1470c, 0x1f43028e, 0x6caec734, 0x1f43140e],
     [0x000057c6, 0x00000000, 0x2caf66f0, 0x1f430c8f, 0x00000000,
      0x00000000, 0x6cb62717, 0x1f430ace, 0xacb38716, 0x1f43074f],
     [0x000057c7, 0x00000000, 0x00000000, 0x00000000, 0xacb306bb,
      0x1f430c0f, 0x00000000, 0x00000000, 0x68ade732, 0x1f430c8e],
     [0x000057c8, 0x00000000, 0x5cb3a6de, 0x1f430e8f, 0x00000000,
      0x00000000, 0x88b3671a, 0x1f4305cf, 0x38b2c704, 0x1f430a0f],
     [0x000057c9, 0x00000000, 0x50b0c6da, 0x1f43028f, 0x14afa70a,
      0x1f430b4f, 0x90b0e706, 0x1f43094f, 0x90b9070e, 0x1f43008f],
     [0x000057ca, 0x00000000, 0x4ca7e6b6, 0x1f43098f, 0x70b64735,
      0x1f43028e, 0x84ad66d0, 0x1f4307cf, 0x00000000, 0x00000000],
     [0x000057cb, 0x00000000, 0x00000000, 0x00000000, 0x7cb5c70b,
      0x1f4306ce, 0x60b6c71d, 0x1f43088e, 0x64a7a72e, 0x1f4319ce],
     [0x000057cc, 0x00000000, 0xd4ab26e7, 0x1f430c0e, 0x44a6a702,
      0x1f43034f, 0x00000000, 0x00000000, 0x60b0e6ce, 0x1f430b0f],
     [0x000057cd, 0x00000000, 0x00000000, 0x00000000, 0x18b88717,
      0x1f430c0f, 0x28af0703, 0x1f430c8f, 0x30aae6ff, 0x1f430d0f],
     [0x0000d17c, 0x00000000, 0x6875c5c1, 0x0e72f44f, 0x6878668c,
      0x1032f44f, 0x6c74a5c1, 0x0e22f44f, 0xa06d469b, 0x0aa2f18f],
     [0x000057cf, 0x00000000, 0xc0aa46f0, 0x1f43060f, 0x00000000,
      0x00000000, 0x6caee703, 0x1f4306ce, 0x00000000, 0x00000000],
     [0x000057d0, 0x00000000, 0x14b3a71e, 0x1f43078f, 0x14b346dc,
      0x1f42fe8f, 0x00000000, 0x00000000, 0xd8b00709, 0x1f4306ce],
     [0x000057d1, 0x00000000, 0x64b326cd, 0x1f4306cf, 0x00000000,
      0x00000000, 0x38b28733, 0x1f4315ce, 0x00000000, 0x00000000],
     [0x00000940, 0x00000000, 0x6080251e, 0x106aee13, 0x00000000,
      0x00000000, 0x1463a72d, 0x106b26ca, 0x00000000, 0x00000000],
     [0x000057d3, 0x00000000, 0xf4ab0711, 0x1f43074e, 0x00000000,
      0x00000000, 0x44acc738, 0x1f430dce, 0x54b5871f, 0x1f43040e],
     [0x000057d4, 0x00000000, 0xe0a4c677, 0x1f432750, 0x30b1a6be,
      0x1f430210, 0x18ae86d6, 0x1f431b8f, 0x4ca326f7, 0x1f432690],
     [0x00000943, 0x00000000, 0x1480251e, 0x106b26ca, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00000944, 0x00000000, 0x1463a51e, 0x106aee0a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00000945, 0x00000000, 0x6080272d, 0x106b26d3, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00000946, 0x00000000, 0x6063a72d, 0x106aee13, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00000947, 0x00000000, 0x1480272d, 0x106b26ca, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000057da, 0x00000000, 0x00000000, 0x00000000, 0xd4ab871a,
      0x1f42f8ce, 0xf4b5072b, 0x1f42fa4e, 0xb4b00709, 0x1f42fa4e],
     [0x00000949, 0x00000000, 0x1463a72d, 0x106aee0a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000057dc, 0x00000000, 0x6cac8729, 0x1f42ffce, 0x48ac0715,
      0x1f42fc0e, 0x00000000, 0x00000000, 0x7c8e672b, 0x1f43254e],
     [0x0000094b, 0x00000000, 0x1480251e, 0x106aee0a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006633, 0x00000000, 0x44b8e733, 0x1f42f0cf, 0x00000000,
      0x00000000, 0x48b366c6, 0x1f430ccf, 0x00000000, 0x00000000],
     [0x0000094d, 0x00000000, 0x6080272d, 0x106aee13, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000057e0, 0x00000000, 0xb4b2c714, 0x1f42f88f, 0x78b5e715,
      0x1f42f74f, 0xa4b5c714, 0x1f42f98f, 0xb4b5271c, 0x1f42facf],
     [0x0000094f, 0x00000000, 0x1480272d, 0x106aee0a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000057e2, 0x00000000, 0x2cb8670e, 0x1f42f84f, 0x7cb54741,
      0x1f42f54e, 0xd4b0c6fd, 0x1f42f28f, 0x88b62738, 0x1f42fe4e],
     [0x000057e3, 0x00000000, 0x58b34732, 0x1f42fb4f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000057e4, 0x00000000, 0xccb8a71d, 0x1f42f88e, 0xa4b4a6f3,
      0x1f42f74f, 0x28b7870d, 0x1f42f84f, 0x28b706fc, 0x1f42f70f],
     [0x000057e5, 0x00000000, 0x00000000, 0x00000000, 0xccb5c70e,
      0x1f42fb4e, 0xf8ab46ee, 0x1f43008e, 0x64b6472f, 0x1f42f68e],
     [0x00000954, 0x00000000, 0x2080256e, 0x106aee12, 0x146da72d,
      0x106b12ca, 0x1480256e, 0x106b26ca, 0x1480251e, 0x106b12ca],
     [0x00000955, 0x00000000, 0x1480256e, 0x106b12ca, 0x1463a56e,
      0x106aee0a, 0x146da51e, 0x106aee0a, 0x146da56e, 0x106aee0a],
     [0x00000956, 0x00000000, 0x2080272d, 0x106b26d2, 0x6080272d,
      0x106b12d3, 0x2080272d, 0x106b12d2, 0x2063a72d, 0x106aee12],
     [0x00000957, 0x00000000, 0x606da72d, 0x106aee13, 0x206da72d,
      0x106aee12, 0x1480272d, 0x106b26ca, 0x1480272d, 0x106b12ca],
     [0x00000958, 0x00000000, 0x1480272d, 0x106b12ca, 0x1463a72d,
      0x106aee0a, 0x146da72d, 0x106aee0a, 0x146da72d, 0x106aee0a],
     [0x00000959, 0x00000000, 0x1480256e, 0x106aee0a, 0x1480251e,
      0x106aee0a, 0x1480256e, 0x106aee0a, 0x2080272d, 0x106aee12],
     [0x0000095a, 0x00000000, 0x6080272d, 0x106aee13, 0x2080272d,
      0x106aee12, 0x1480272d, 0x106aee0a, 0x1480272d, 0x106aee0a],
     [0x000057ed, 0x00000000, 0x84b7070a, 0x1f42f6cf, 0x84b7470a,
      0x1f42f74f, 0x84b726e9, 0x1f42f78f, 0x44b56741, 0x1f42f58f],
     [0x000057ee, 0x00000000, 0x00000000, 0x00000000, 0x74b82705,
      0x1f42fa4f, 0x00000000, 0x00000000, 0x84b6c729, 0x1f42fa4e],
     [0x000057ef, 0x00000000, 0x50b3a6f7, 0x1f42f94f, 0x40b72708,
      0x1f42f94f, 0x18b626ee, 0x1f42fc4f, 0xd0b166ed, 0x1f42f88f],
     [0x000057f0, 0x00000000, 0x80b3a72a, 0x1f42fc8e, 0xacb6a70f,
      0x1f42f94e, 0x00000000, 0x00000000, 0x88b1666c, 0x1f430711],
     [0x000057f1, 0x00000000, 0xf88f66f8, 0x1f433bce, 0x50b406de,
      0x1f430a50, 0x08b5a704, 0x1f4300cf, 0x00000000, 0x00000000],
     [0x000057f2, 0x00000000, 0x00000000, 0x00000000, 0xf8ac46f8,
      0x1f43034e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000057f3, 0x00000000, 0x54b36705, 0x1f430f0f, 0x08b526f7,
      0x1f430bcf, 0x00000000, 0x00000000, 0xd8b1a6f3, 0x1f43004e],
     [0x000057f4, 0x00000000, 0x20ad270c, 0x1f430e4f, 0x7cae26f6,
      0x1f4310cf, 0x88b42725, 0x1f42ffce, 0x00000000, 0x00000000],
     [0x000057f5, 0x00000000, 0xdcb2e710, 0x1f4300ce, 0xccb54700,
      0x1f43020e, 0xd8af8707, 0x1f43010e, 0x60b16728, 0x1f43094f],
     [0x0000663f, 0x00000000, 0x0cacc736, 0x1f42f90f, 0x84b50729,
      0x1f42f90f, 0x3cae0728, 0x1f42fece, 0x00000000, 0x00000000],
     [0x000057f7, 0x00000000, 0x64b34732, 0x1f42fe8f, 0x8cb46723,
      0x1f43034e, 0x34b04736, 0x1f43120f, 0x00000000, 0x00000000],
     [0x000057f8, 0x00000000, 0x3cb36729, 0x1f430d8f, 0xa8ac0715,
      0x1f42ffce, 0x00000000, 0x00000000, 0xf8b646f8, 0x1f42fcce],
     [0x000057f9, 0x00000000, 0xd8b2270c, 0x1f42ffce, 0xc0b9c736,
      0x1f4306ce, 0x00000000, 0x00000000, 0xf8b6e708, 0x1f4300ce],
     [0x000057fa, 0x00000000, 0x28b4e6f0, 0x1f43020f, 0x00000000,
      0x00000000, 0x08b7c6ff, 0x1f42fc0f, 0x18b4c6fc, 0x1f43070f],
     [0x000057fb, 0x00000000, 0x00000000, 0x00000000, 0x44ae4717,
      0x1f42ff0f, 0x48b6271b, 0x1f42fbcf, 0xf8b1e6f8, 0x1f42f88e],
     [0x000057fc, 0x00000000, 0x58b32724, 0x1f42fecf, 0xf8b5270c,
      0x1f42fe8e, 0x00000000, 0x00000000, 0x48b3a6f3, 0x1f42ff8f],
     [0x000057fd, 0x00000000, 0x38b6c6f7, 0x1f42fc8f, 0xfcb92732,
      0x1f4302ce, 0x00000000, 0x00000000, 0x78b1a700, 0x1f42fd8f],
     [0x000057fe, 0x00000000, 0x38b3e714, 0x1f43004f, 0x00000000,
      0x00000000, 0x08b246fc, 0x1f42fa8f, 0x18aee714, 0x1f42ffcf],
     [0x000057ff, 0x00000000, 0x00000000, 0x00000000, 0x00b12724,
      0x1f430e8f, 0xf8b6e6f8, 0x1f43018e, 0xf4b3070b, 0x1f42fe0e],
     [0x00005800, 0x00000000, 0xfcb126f3, 0x1f43014e, 0x70ac0711,
      0x1f43120f, 0x78b2c6e7, 0x1f43108f, 0x38b40708, 0x1f43038f],
     [0x00005801, 0x00000000, 0x78af4704, 0x1f4301cf, 0xf8b526f8,
      0x1f43038e, 0xf8b5c6f8, 0x1f43038e, 0x00000000, 0x00000000],
     [0x00005802, 0x00000000, 0x00000000, 0x00000000, 0x28af66ff,
      0x1f42ff8f, 0x58a866ff, 0x1f43048f, 0xf8b406f8, 0x1f42ff0e],
     [0x00005803, 0x00000000, 0x58aba707, 0x1f4301cf, 0xf4a9a6ef,
      0x1f42fdce, 0x18b2473a, 0x1f430d4f, 0x28b2c713, 0x1f42fb0f],
     [0x00000972, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xfc8986a9, 0x106adb4b],
     [0x00005805, 0x00000000, 0x18b28704, 0x1f42fecf, 0x48aae70e,
      0x1f43068f, 0x5cae0733, 0x1f43028e, 0x88a706ff, 0x1f42ff0f],
     [0x00005806, 0x00000000, 0x00000000, 0x00000000, 0x48b1a71a,
      0x1f42fe8f, 0x38b4c6f7, 0x1f4300cf, 0x58b066ff, 0x1f42facf],
     [0x00005807, 0x00000000, 0x58b546f8, 0x1f42fc8f, 0xe8b446f6,
      0x1f430ccf, 0x58af46ff, 0x1f42fe0f, 0x00000000, 0x00000000],
     [0x00005808, 0x00000000, 0xfcb2c73b, 0x1f430f4e, 0x58ad0707,
      0x1f43014f, 0xf8b64700, 0x1f42fb0e, 0x00000000, 0x00000000],
     [0x00005809, 0x00000000, 0xf4ae8711, 0x1f43084e, 0xe4aee740,
      0x1f43040e, 0x7cb48712, 0x1f42f7ce, 0xa4b3e71c, 0x1f42fa0f],
     [0x0000580a, 0x00000000, 0x20afe710, 0x1f43108f, 0x28b326ff,
      0x1f42f90f, 0x58b76710, 0x1f43040f, 0x4cb32747, 0x1f42ff8e],
     [0x00000979, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x3878c5e6, 0x106afc91, 0x00000000, 0x00000000],
     [0x0000580c, 0x00000000, 0x00000000, 0x00000000, 0x00afc724,
      0x1f43058f, 0xdcb346f8, 0x1f42fd8e, 0x74b506ff, 0x1f43008f],
     [0x0000580d, 0x00000000, 0x74b046eb, 0x1f43030f, 0xacb4272a,
      0x1f42fe8e, 0x00000000, 0x00000000, 0xacab070a, 0x1f43160f],
     [0x0000580e, 0x00000000, 0x00000000, 0x00000000, 0x40ab06fb,
      0x1f430dcf, 0x0cb5a728, 0x1f42f9cf, 0x88af6720, 0x1f430f0f],
     [0x0000580f, 0x00000000, 0x98b1070a, 0x1f43148f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x9cb566fb, 0x1f43024e],
     [0x00005810, 0x00000000, 0xc8ac4727, 0x1f42ffce, 0x4cb0e721,
      0x1f43024f, 0xf8ae071b, 0x1f42fc0e, 0xb8b66740, 0x1f43028e],
     [0x00005811, 0x00000000, 0x38a98711, 0x1f42fdcf, 0x38aba6f6,
      0x1f42fb0f, 0x94b6870c, 0x1f42fc8f, 0x58aec6fb, 0x1f43008f],
     [0x00005812, 0x00000000, 0x00000000, 0x00000000, 0x08aba6f3,
      0x1f43058f, 0x94b32726, 0x1f42fe8f, 0x70ae8723, 0x1f430f0f],
     [0x00005813, 0x00000000, 0xdcb726f8, 0x1f42f7ce, 0xd4b7070e,
      0x1f42fd8f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005814, 0x00000000, 0xc0b26706, 0x1f430e4f, 0x00000000,
      0x00000000, 0x68af66f3, 0x1f43008f, 0x18b14703, 0x1f42fe0f],
     [0x00005815, 0x00000000, 0x58b2a6e4, 0x1f43020f, 0x48b42743,
      0x1f43014f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005816, 0x00000000, 0x48b526f7, 0x1f42f88f, 0x48af0748,
      0x1f43064f, 0x28ad670a, 0x1f43130f, 0x18b3e707, 0x1f42f8cf],
     [0x00005817, 0x00000000, 0x00000000, 0x00000000, 0x84ae66f5,
      0x1f43178f, 0x48afe70f, 0x1f42fc8f, 0xe8b0e718, 0x1f43014e],
     [0x00005818, 0x00000000, 0xb0b5871f, 0x1f42fa0e, 0x00000000,
      0x00000000, 0x88b7a71d, 0x1f43044f, 0x50b2673c, 0x1f4314cf],
     [0x00005819, 0x00000000, 0x28b6c708, 0x1f43004f, 0x68b7e6da,
      0x1f42fe8f, 0x74ada6ff, 0x1f42fd8f, 0xb4ae06e6, 0x1f43140f],
     [0x0000581a, 0x00000000, 0xdcb66716, 0x1f42ffce, 0x74b3c723,
      0x1f430b0f, 0xa4b92715, 0x1f4301cf, 0x40aae70c, 0x1f42ff0f],
     [0x0000581b, 0x00000000, 0x88b38717, 0x1f43048f, 0xc0b70741,
      0x1f42fcce, 0x68b926e8, 0x1f43004f, 0x34b2e74a, 0x1f43108f],
     [0x0000581c, 0x00000000, 0x68b9a704, 0x1f4301cf, 0x00000000,
      0x00000000, 0x08ae4704, 0x1f42fd4f, 0x6cac66fd, 0x1f43114f],
     [0x0000098b, 0x00000000, 0x00000000, 0x00000000, 0x9c7c8639,
      0x106af28f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000581e, 0x00000000, 0x38afa6f3, 0x1f42ff8f, 0x28b4c6f4,
      0x1f43020f, 0x08ae46ff, 0x1f43030f, 0x48aaa6fb, 0x1f43020f],
     [0x0000581f, 0x00000000, 0x38ac0722, 0x1f43030f, 0x9caf06f4,
      0x1f42ff8e, 0x00000000, 0x00000000, 0xe0b12726, 0x1f430a4e],
     [0x00005820, 0x00000000, 0x98ab0704, 0x1f42fd0e, 0xfca5070c,
      0x1f43028e, 0x00000000, 0x00000000, 0x68ace71b, 0x1f42fb0f],
     [0x00005821, 0x00000000, 0xf0a9e715, 0x1f43030e, 0xa4b726f7,
      0x1f4302cf, 0xb0b28728, 0x1f4309ce, 0xa4b8a704, 0x1f42f90e],
     [0x00000990, 0x00000000, 0xfc7785a2, 0x106aff0b, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005823, 0x00000000, 0xbcb3273a, 0x1f43020e, 0x5cb5472a,
      0x1f42fcce, 0xacb5e706, 0x1f42fbce, 0x00000000, 0x00000000],
     [0x00005824, 0x00000000, 0x50aa86f2, 0x1f43094f, 0x00000000,
      0x00000000, 0x38b56710, 0x1f42facf, 0x00000000, 0x00000000],
     [0x00005825, 0x00000000, 0x08b8a732, 0x1f43044f, 0x2cae072e,
      0x1f42fe4e, 0xb8b1873e, 0x1f43004e, 0x0cb3e6fb, 0x1f42fb4f],
     [0x00005826, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xccb9a745, 0x1f43004e, 0x68b6a731, 0x1f42fc0f],
     [0x00005827, 0x00000000, 0x18b1c704, 0x1f42fe0f, 0x68b0670b,
      0x1f42fd8f, 0x00000000, 0x00000000, 0x94b6270c, 0x1f43028f],
     [0x00005828, 0x00000000, 0x4cb0c723, 0x1f4305cf, 0x00000000,
      0x00000000, 0xe8b82708, 0x1f42fa8e, 0xf8b0e740, 0x1f43130e],
     [0x00005829, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x68b6e729, 0x1f4305cf, 0x04b1070a, 0x1f43030f],
     [0x0000582a, 0x00000000, 0x30af8726, 0x1f4305cf, 0x38aea722,
      0x1f43080f, 0xe8ae072d, 0x1f43090e, 0x20aa2722, 0x1f43130f],
     [0x0000582b, 0x00000000, 0x28ae8707, 0x1f430f4f, 0x94b706f3,
      0x1f43020f, 0x00000000, 0x00000000, 0x2caae703, 0x1f42ff8f],
     [0x0000099a, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x007b664a, 0x106af60f, 0x00000000, 0x00000000],
     [0x000194a9, 0x00000000, 0xa8c94ded, 0x21a30a07, 0xa8c94ded,
      0x21a30a07, 0xa8c94ded, 0x21a30a07, 0x78834bfa, 0x11ab2649],
     [0x0000d1ac, 0x00000000, 0xa06cc68c, 0x0d2af30f, 0xa09ea68c,
      0x19a2f58f, 0xa092c69a, 0x161af04f, 0xa0b1a68c, 0x1e62f18f],
     [0x0000582f, 0x00000000, 0x6cb72738, 0x1f4303ce, 0x40b64730,
      0x1f43020f, 0x68ad66ec, 0x1f4300cf, 0x14b506f0, 0x1f42fe4f],
     [0x0000665c, 0x00000000, 0x8ca96720, 0x1f42fece, 0x88b50725,
      0x1f42fe8f, 0x60ac8718, 0x1f42fb0f, 0x00000000, 0x00000000],
     [0x000194ab, 0x00000000, 0x55412473, 0x431b018e, 0x1d2a442e,
      0x3af2ee0d, 0x912a470b, 0x3af2ee18, 0x492a4485, 0x3af2ee0e],
     [0x0000d1ae, 0x00000000, 0xa089868c, 0x131af20f, 0x589b669c,
      0x1852f6cf, 0xa08ce68c, 0x14caf18f, 0xa08e068c, 0x14daf5cf],
     [0x00005833, 0x00000000, 0x04af272e, 0x1f430d0f, 0x28b6a6e0,
      0x1f42ff4f, 0x24afa733, 0x1f430e0f, 0x08b5a6f3, 0x1f42fa4f],
     [0x0000665e, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xd0b3c70f, 0x1f42fb8f, 0x00000000, 0x00000000],
     [0x000194ad, 0x00000000, 0x7c86abfa, 0x1a52fb09, 0x78892bfa,
      0x143b2649, 0x78734bfa, 0x143afa89, 0x78924bfa, 0x17eb0609],
     [0x0000665f, 0x00000000, 0x9cb20715, 0x1f42face, 0x14b2671b,
      0x1f42fb8f, 0x00000000, 0x00000000, 0xf0b3071c, 0x1f42f9ce],
     [0x000194ae, 0x00000000, 0x78922bfa, 0x17eb05c9, 0x78b5ebfb,
      0x221b0809, 0x78b9ebfb, 0x221b1009, 0x78aaebfa, 0x203b11c9],
     [0x00005838, 0x00000000, 0x1cb46744, 0x1f4316cf, 0x64afa724,
      0x1f430c4f, 0xd4b686e6, 0x1f42fdcf, 0xd8b2e71e, 0x1f42ff4e],
     [0x000194af, 0x00000000, 0x78ad8bfa, 0x203b1709, 0x7cb0cbfa,
      0x202b1b09, 0x7ca8abfa, 0x202b0ac9, 0xac9a0dee, 0x19430d07],
     [0x0000583a, 0x00000000, 0xbcb6a71a, 0x1f4303ce, 0x80ac06fa,
      0x1f430b4f, 0x00000000, 0x00000000, 0x10b18726, 0x1f43128f],
     [0x0000583b, 0x00000000, 0x08abc6fc, 0x1f43014f, 0xacafa6fe,
      0x1f42fcce, 0x8caf8708, 0x1f43038e, 0x2cb0c70b, 0x1f43090f],
     [0x00006662, 0x00000000, 0x0cb2471d, 0x1f42f8cf, 0x00000000,
      0x00000000, 0x50b5870c, 0x1f42f9cf, 0xd8b26715, 0x1f42f5ce],
     [0x000009ab, 0x00000000, 0x00000000, 0x00000000, 0x088b85f1,
      0x106ad751, 0x989a268d, 0x106aba4e, 0x00000000, 0x00000000],
     [0x000009ac, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xfc7785a2, 0x106aff0b, 0x00000000, 0x00000000],
     [0x0000583f, 0x00000000, 0x68ae8703, 0x1f4300cf, 0x00000000,
      0x00000000, 0xf8b62722, 0x1f43018e, 0x08b406fb, 0x1f43024f],
     [0x00006664, 0x00000000, 0xf8af471f, 0x1f42f8cf, 0x58b0a71c,
      0x1f42f9cf, 0xf8b88713, 0x1f42fd0e, 0xa4b7c6f1, 0x1f42f5cf],
     [0x00005841, 0x00000000, 0x08b2e6f7, 0x1f43008f, 0x7cb16733,
      0x1f43028e, 0x08afa711, 0x1f43014f, 0x00000000, 0x00000000],
     [0x00006665, 0x00000000, 0x70b0c6f1, 0x1f42f9cf, 0xb0b4e73b,
      0x1f42f8ce, 0x2cb1c726, 0x1f43078f, 0x7cb54714, 0x1f42f88f],
     [0x00005843, 0x00000000, 0x00000000, 0x00000000, 0x30ade733,
      0x1f43104f, 0x04b5c732, 0x1f42fd4f, 0xccb18731, 0x1f43094e],
     [0x0000d1b7, 0x00000000, 0x687445c1, 0x0de2f44f, 0x688c069c,
      0x143af10f, 0x5482c5c1, 0x119af10f, 0x6c8d268c, 0x146af40c],
     [0x00005845, 0x00000000, 0x00ac6703, 0x1f43044f, 0xc0b0670f,
      0x1f42fe4e, 0xdcae0719, 0x1f42fe8e, 0x00000000, 0x00000000],
     [0x00006667, 0x00000000, 0x84b626f6, 0x1f42fa0f, 0xc8b426f4,
      0x1f42facf, 0x08b3c704, 0x1f4303cf, 0x00000000, 0x00000000],
     [0x00005847, 0x00000000, 0x5cad8704, 0x1f43054f, 0xf4b186fb,
      0x1f43008e, 0x00000000, 0x00000000, 0xacb1a741, 0x1f43004e],
     [0x00006668, 0x00000000, 0x00000000, 0x00000000, 0x58b3c6ef,
      0x1f4301cf, 0x00000000, 0x00000000, 0x78b6a6f4, 0x1f4301cf],
     [0x00005849, 0x00000000, 0xecac0727, 0x1f43064e, 0x00000000,
      0x00000000, 0xacb1672c, 0x1f43014e, 0x08b94712, 0x1f4302cf],
     [0x00006669, 0x00000000, 0x00000000, 0x00000000, 0x30b66725,
      0x1f43000f, 0x5cb4c71d, 0x1f42f80e, 0x0cb32703, 0x1f42fc10],
     [0x0000584b, 0x00000000, 0x08b44734, 0x1f430f0f, 0x00000000,
      0x00000000, 0xbcac0700, 0x1f42fd8e, 0x80b4e709, 0x1f42ff8e],
     [0x0000584c, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xc8b446ff, 0x1f43008e, 0x00000000, 0x00000000],
     [0x0000584d, 0x00000000, 0xd0b5070b, 0x1f42fe8e, 0x00000000,
      0x00000000, 0x68b4071f, 0x1f42fc8e, 0xa4b3c716, 0x1f4300cf],
     [0x0000584e, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x1caf6730, 0x1f43098f],
     [0x0000584f, 0x00000000, 0x74b2a72f, 0x1f42ffce, 0x50b44734,
      0x1f42fc8e, 0xd8b64727, 0x1f43024e, 0x58abc725, 0x1f42fe4f],
     [0x00005850, 0x00000000, 0xacaee705, 0x1f43018e, 0x08b1272a,
      0x1f430c4f, 0xe0af4743, 0x1f43068e, 0x00000000, 0x00000000],
     [0x00005851, 0x00000000, 0xecb9471d, 0x1f43018e, 0xbcb8e6fb,
      0x1f42fd8e, 0x18aca6ff, 0x1f43014f, 0x40aee72a, 0x1f43050f],
     [0x00005852, 0x00000000, 0x88b0073c, 0x1f43110e, 0xccab871a,
      0x1f43010e, 0xccb2a72e, 0x1f42ff0e, 0x08ae2724, 0x1f4312cf],
     [0x00005853, 0x00000000, 0x44b58729, 0x1f42fdcf, 0x28b2c6f7,
      0x1f42fd0f, 0x74b20718, 0x1f43010e, 0xccb34704, 0x1f42ffce],
     [0x00005854, 0x00000000, 0x00000000, 0x00000000, 0x94b7670b,
      0x1f43038f, 0xa4adc73a, 0x1f43004e, 0xe8a9270e, 0x1f42fd0e],
     [0x00005855, 0x00000000, 0xecb2472a, 0x1f42fd0e, 0x74b74747,
      0x1f42fe0e, 0xdcada6f8, 0x1f42fd4e, 0x00000000, 0x00000000],
     [0x00005856, 0x00000000, 0x38b8874c, 0x1f4300ce, 0xbcb2e725,
      0x1f42ff4e, 0x8cb5c71a, 0x1f42fece, 0xb8afe72f, 0x1f4300ce],
     [0x00005857, 0x00000000, 0x00000000, 0x00000000, 0x30b00717,
      0x1f4310cf, 0x1cae0734, 0x1f43060e, 0x58b1c6f3, 0x1f42fd8f],
     [0x00005858, 0x00000000, 0x00000000, 0x00000000, 0xf8b3a70f,
      0x1f42fc0e, 0xe0b2e70d, 0x1f43004e, 0x70b3471d, 0x1f43090e],
     [0x000009c7, 0x00000000, 0x00000000, 0x00000000, 0x587c660c,
      0x106af58f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006671, 0x00000000, 0xb8b8a6ea, 0x1f42f3cf, 0xb8b666de,
      0x1f42f84f, 0x58b206de, 0x1f42f50f, 0xa8b246f0, 0x1f42f98f],
     [0x0000585b, 0x00000000, 0xecaee738, 0x1f42fd0e, 0x00000000,
      0x00000000, 0xa4b26741, 0x1f42fd4e, 0xd4b1471e, 0x1f43024e],
     [0x00006672, 0x00000000, 0xb8b586e9, 0x1f42fa0f, 0x64b1e6cb,
      0x1f42fa0f, 0x00000000, 0x00000000, 0x58ae46cb, 0x1f42fc0f],
     [0x0000f8c3, 0x00000000, 0x00000000, 0x00000000, 0xf47506ef,
      0x0c2ae50b, 0x00000000, 0x00000000, 0xf49ea6ef, 0x1852f58b],
     [0x0000585e, 0x00000000, 0x00000000, 0x00000000, 0x6cac670b,
      0x1f430a8f, 0xc4b14734, 0x1f42fc0e, 0x00000000, 0x00000000],
     [0x0000f8c4, 0x00000000, 0x00000000, 0x00000000, 0x6492c6ef,
      0x161af04c, 0x00000000, 0x00000000, 0xf4b1a6ef, 0x1d82f18b],
     [0x00005860, 0x00000000, 0xb0b2a722, 0x1f42fa4e, 0x00000000,
      0x00000000, 0x44b3e738, 0x1f430e8e, 0x1cb06730, 0x1f430ccf],
     [0x00005861, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x10b2471a, 0x1f43008f],
     [0x00005862, 0x00000000, 0x00000000, 0x00000000, 0xf4ad4700,
      0x1f42fe0e, 0x00b44738, 0x1f43000f, 0x5caf0703, 0x1f430fcf],
     [0x00005863, 0x00000000, 0x34abe723, 0x1f43070f, 0x0cb6872d,
      0x1f42ff4f, 0x0cb00733, 0x1f43020f, 0x00000000, 0x00000000],
     [0x00005864, 0x00000000, 0x1cb4e73b, 0x1f43028e, 0x80b2671c,
      0x1f430ece, 0xe8b08731, 0x1f42fbce, 0x08b58728, 0x1f42ffcf],
     [0x00005865, 0x00000000, 0x78b32708, 0x1f42ff4f, 0x00000000,
      0x00000000, 0x3cae671d, 0x1f43088f, 0x00000000, 0x00000000],
     [0x00005866, 0x00000000, 0x00000000, 0x00000000, 0x94b1c729,
      0x1f43018e, 0x3cb3671d, 0x1f43078e, 0x6cb26713, 0x1f42ffce],
     [0x00005867, 0x00000000, 0x00000000, 0x00000000, 0x2cb1c706,
      0x1f43144f, 0x00000000, 0x00000000, 0xecb64711, 0x1f42ff8e],
     [0x00005868, 0x00000000, 0x00000000, 0x00000000, 0xacaee70a,
      0x1f43014e, 0xdcb3073a, 0x1f4301ce, 0x00000000, 0x00000000],
     [0x00005869, 0x00000000, 0xa0b36743, 0x1f43048e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x18af8719, 0x1f42fc4f],
     [0x0000586a, 0x00000000, 0x6cabc709, 0x1f430e4f, 0x10b26728,
      0x1f4306cf, 0xf4ac6703, 0x1f42fd4e, 0xf0ace6ff, 0x1f42fd4e],
     [0x0000586b, 0x00000000, 0xc8b00715, 0x1f42fbce, 0x90b7c73e,
      0x1f42f8ce, 0x58b5c707, 0x1f43008f, 0x08b48704, 0x1f42f90f],
     [0x0000586c, 0x00000000, 0x90aa6704, 0x1f43000e, 0x68b446eb,
      0x1f42f94f, 0x98b10736, 0x1f43168e, 0x78b5070f, 0x1f43058e],
     [0x0000586d, 0x00000000, 0xf8b4a70b, 0x1f42fece, 0x38ad070a,
      0x1f430a0f, 0x00b66736, 0x1f42fe0f, 0x28b40719, 0x1f43030f],
     [0x0000586e, 0x00000000, 0x38b84703, 0x1f42fecf, 0x00000000,
      0x00000000, 0xdcad672a, 0x1f43038e, 0x00000000, 0x00000000],
     [0x0000586f, 0x00000000, 0x38af671e, 0x1f430ecf, 0x00000000,
      0x00000000, 0x48afa714, 0x1f4303cf, 0x18b806f7, 0x1f42fb8f],
     [0x00005870, 0x00000000, 0x00000000, 0x00000000, 0xe4b446ff,
      0x1f42fece, 0xf8af873d, 0x1f43044e, 0xb0b44742, 0x1f43148e],
     [0x00005871, 0x00000000, 0x00000000, 0x00000000, 0xacb72716,
      0x1f42fe0e, 0xecb2c6fb, 0x1f42ff4e, 0xbcb24712, 0x1f4309ce],
     [0x00005872, 0x00000000, 0xd8b3e722, 0x1f42fcce, 0xf8b10732,
      0x1f42fa8e, 0x58b6472d, 0x1f43014f, 0x28b1e6f2, 0x1f43020f],
     [0x00005873, 0x00000000, 0x8cac0720, 0x1f43004e, 0x7cb72735,
      0x1f42fb4e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005874, 0x00000000, 0x00b5c73a, 0x1f42f98f, 0x40b0871b,
      0x1f43114f, 0xa0ab6714, 0x1f43000f, 0x00000000, 0x00000000],
     [0x00005875, 0x00000000, 0xf4ad871a, 0x1f4304ce, 0x00000000,
      0x00000000, 0x2cab8718, 0x1f43080f, 0x00000000, 0x00000000],
     [0x0000667f, 0x00000000, 0x44b6a6f6, 0x1f42f84f, 0x14a8e6ec,
      0x1f42fc0f, 0xf0b6a6fb, 0x1f42f88f, 0xacb3a71f, 0x1f42fa0f],
     [0x00005877, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x54b9c73b, 0x1f43014e, 0x48b24742, 0x1f430a4f],
     [0x00006680, 0x00000000, 0x00000000, 0x00000000, 0x84b36734,
      0x1f42f8ce, 0x8cb0e71d, 0x1f42f88e, 0xacb3c6ea, 0x1f42fa4f],
     [0x00005879, 0x00000000, 0x80ae0729, 0x1f42ff0e, 0xe0ac0733,
      0x1f42f6ce, 0xacaf66f8, 0x1f42fe4e, 0x90b14721, 0x1f43000e],
     [0x0000587a, 0x00000000, 0x58af06f0, 0x1f42fc0f, 0x60b8874f,
      0x1f42fe4e, 0x80b8e709, 0x1f42f80e, 0x7cafe700, 0x1f42fe4e],
     [0x0000587b, 0x00000000, 0x00000000, 0x00000000, 0x84b0672c,
      0x1f42fa8e, 0x90b3670d, 0x1f42ff8e, 0x00000000, 0x00000000],
     [0x0000587c, 0x00000000, 0x10ac2703, 0x1f42fe0f, 0x98b2a726,
      0x1f42fe8e, 0x5cb1272d, 0x1f42f8cf, 0x00000000, 0x00000000],
     [0x0000587d, 0x00000000, 0xd4b40716, 0x1f42fd0e, 0xc4b24736,
      0x1f42fe0e, 0x8caf671b, 0x1f42fc0f, 0x00b8073a, 0x1f42fe0f],
     [0x0000587e, 0x00000000, 0x14b08721, 0x1f43110f, 0xa0b1871f,
      0x1f43008e, 0xd4b3e716, 0x1f42fcce, 0x10ac4708, 0x1f42ff0f],
     [0x0000587f, 0x00000000, 0x6cb2c729, 0x1f43020e, 0x7cb2e73d,
      0x1f43010e, 0x7cb5c72c, 0x1f43010e, 0x74b12722, 0x1f42ffcf],
     [0x00005880, 0x00000000, 0x7cacc735, 0x1f430d4f, 0xb0b0e726,
      0x1f43050e, 0x00000000, 0x00000000, 0xbcb34745, 0x1f4300ce],
     [0x00005881, 0x00000000, 0x68b4071f, 0x1f4300ce, 0x00000000,
      0x00000000, 0x14b1e72e, 0x1f430c0f, 0xa0b06722, 0x1f43050e],
     [0x00005882, 0x00000000, 0xacad66fb, 0x1f43178e, 0x30aec71b,
      0x1f43178e, 0x88b2a730, 0x1f4304ce, 0xecabe700, 0x1f4311ce],
     [0x00005883, 0x00000000, 0x84b00731, 0x1f4300ce, 0x70b2271d,
      0x1f4304ce, 0xbcb08734, 0x1f43018e, 0xf4b1e71a, 0x1f43008e],
     [0x00005884, 0x00000000, 0xccb4c72b, 0x1f43038e, 0x88b2a72b,
      0x1f43028e, 0xb4b52731, 0x1f4302ce, 0x00000000, 0x00000000],
     [0x00005885, 0x00000000, 0x98b18732, 0x1f43224e, 0xfcb08715,
      0x1f42fd8e, 0xa8b1872d, 0x1f43040e, 0x58b32708, 0x1f42fccf],
     [0x00005886, 0x00000000, 0x1cb266fc, 0x1f43094f, 0xb4b3271a,
      0x1f42fe8e, 0xb0b50729, 0x1f42f90e, 0x1caf672a, 0x1f431a8e],
     [0x00005887, 0x00000000, 0x00000000, 0x00000000, 0x58b5e708,
      0x1f42f94f, 0x1caf8738, 0x1f4305ce, 0x28b18725, 0x1f42fa8f],
     [0x00005888, 0x00000000, 0xd8afa713, 0x1f43014e, 0x94b5e711,
      0x1f42f80e, 0xacb0a734, 0x1f43028e, 0xf4af06ea, 0x1f4306ce],
     [0x00005889, 0x00000000, 0x14afc6f3, 0x1f43048f, 0xb4b46715,
      0x1f4308ce, 0xd0b36716, 0x1f42fe4e, 0x50b3070c, 0x1f42f7ce],
     [0x0000588a, 0x00000000, 0x00000000, 0x00000000, 0xa8b56716,
      0x1f43010e, 0xf0b0272a, 0x1f42fc0e, 0x50b3e701, 0x1f42f7cf],
     [0x0000588b, 0x00000000, 0xd4b20706, 0x1f4303ce, 0x18ae26fe,
      0x1f43034f, 0x04b2e719, 0x1f42f98f, 0x68b4a705, 0x1f42fbce],
     [0x0000588c, 0x00000000, 0xd0b22716, 0x1f42fb8e, 0x78b5470c,
      0x1f42fa8e, 0x78b4272c, 0x1f42f74e, 0xe8b50723, 0x1f42f88e],
     [0x0000588d, 0x00000000, 0xa4b18719, 0x1f43090e, 0x00000000,
      0x00000000, 0x00a926e7, 0x1f4312cf, 0xcca0071f, 0x1f43038e],
     [0x0000668b, 0x00000000, 0xfcb4c704, 0x1f42face, 0x64a6e72c,
      0x1f43178e, 0xacaf26d9, 0x1f42facf, 0x00000000, 0x00000000],
     [0x0000f8dc, 0x00000000, 0x00000000, 0x00000000, 0xf49746ef,
      0x16f2f4cb, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000668c, 0x00000000, 0x68b6e722, 0x1f42f68e, 0x8caee718,
      0x1f42facf, 0x5cb3471d, 0x1f42face, 0x00000000, 0x00000000],
     [0x00005891, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa8b64739, 0x1f42fe4e, 0xa0a3872d, 0x1f42fd8e],
     [0x0000668d, 0x00000000, 0x88b166ed, 0x1f42fc4f, 0xb8b026d9,
      0x1f42fb0f, 0xfcabc70c, 0x1f42fa8e, 0x64b7e6f3, 0x1f42f74f],
     [0x00005893, 0x00000000, 0x648e0700, 0x1f43314f, 0x9cab2726,
      0x1f430b0e, 0x00b266fa, 0x1f42f78f, 0x00000000, 0x00000000],
     [0x00005894, 0x00000000, 0x0cada6f5, 0x1f42fe8f, 0xacb04700,
      0x1f42fa0e, 0xe0b8e6e9, 0x1f42f54e, 0xc4b0270c, 0x1f42f90e],
     [0x00005895, 0x00000000, 0x38aca710, 0x1f42f3cf, 0x38b2c710,
      0x1f42fd0f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005896, 0x00000000, 0x1cb6e709, 0x1f42facf, 0x00b5c6ed,
      0x1f42facf, 0x98aea6e9, 0x1f42ff0e, 0xd0b36718, 0x1f42f90e],
     [0x00005897, 0x00000000, 0xc8b28704, 0x1f42f98e, 0x00000000,
      0x00000000, 0x9cb44700, 0x1f42ff0e, 0x00000000, 0x00000000],
     [0x00005898, 0x00000000, 0x20b686e8, 0x1f42f94f, 0x00b6c6e9,
      0x1f42fb4f, 0xecb2e6fc, 0x1f42face, 0xe0ac471c, 0x1f42f94e],
     [0x00005899, 0x00000000, 0x10b846f5, 0x1f42f5cf, 0x00b326e4,
      0x1f42fd0f, 0xacb4a6f0, 0x1f42fa4e, 0x40b34703, 0x1f42fc8f],
     [0x0000589a, 0x00000000, 0x20b72710, 0x1f42f6cf, 0x44ad26f5,
      0x1f42facf, 0x48b02708, 0x1f42fb4f, 0x40a8e6fc, 0x1f42f94f],
     [0x0000589b, 0x00000000, 0x40b10710, 0x1f42f90f, 0x04b2e711,
      0x1f42f90f, 0x38b92708, 0x1f42f80f, 0x2cb56710, 0x1f42f70f],
     [0x0000589c, 0x00000000, 0x30b486d9, 0x1f42f8cf, 0x84b166f9,
      0x1f42fa0f, 0x1cb6c6e5, 0x1f42fd4f, 0xd0b62701, 0x1f42f70e],
     [0x0000589d, 0x00000000, 0x5cb886f0, 0x1f42fe4e, 0x00000000,
      0x00000000, 0x48b72718, 0x1f42f9cf, 0x04b2c6e9, 0x1f42fa4f],
     [0x0000589e, 0x00000000, 0x00000000, 0x00000000, 0x14b6e701,
      0x1f42f8cf, 0x24b006e1, 0x1f42fc4f, 0xf8aee6f1, 0x1f42fc4e],
     [0x0000589f, 0x00000000, 0x14b52710, 0x1f42f4cf, 0x04b686e5,
      0x1f42fa0f, 0x28b3071b, 0x1f42fe4f, 0xe4b72704, 0x1f42ff0e],
     [0x000058a0, 0x00000000, 0xe8b7871f, 0x1f42f94e, 0x24b7e6e5,
      0x1f42fb0f, 0xe8b74714, 0x1f42f80e, 0x24aec6fc, 0x1f43000f],
     [0x000058a1, 0x00000000, 0xccb62727, 0x1f42f74e, 0x00000000,
      0x00000000, 0x88b54708, 0x1f42f9cf, 0x04ac46e9, 0x1f42fd4f],
     [0x000058a2, 0x00000000, 0xeca446f1, 0x1f42fd0e, 0x04b5a710,
      0x1f42f54f, 0x3cb66711, 0x1f42f88f, 0x00000000, 0x00000000],
     [0x000058a3, 0x00000000, 0x30b3e6e8, 0x1f42fc0f, 0x00000000,
      0x00000000, 0x04af66f0, 0x1f42fe4f, 0x04b5e6f1, 0x1f42fccf],
     [0x000058a4, 0x00000000, 0x00000000, 0x00000000, 0x5caee724,
      0x1f42fa0e, 0x78b4272b, 0x1f42f58e, 0x38ba0705, 0x1f42f38f],
     [0x000058a5, 0x00000000, 0x18aca6f5, 0x1f42fc0f, 0x34b7c705,
      0x1f42f88f, 0x4cb6071d, 0x1f42f6ce, 0x44b6e714, 0x1f42f68f],
     [0x000058a6, 0x00000000, 0x6cb44720, 0x1f42f8ce, 0x00000000,
      0x00000000, 0x44b0c6f5, 0x1f42facf, 0xf4b3e700, 0x1f42f88e],
     [0x000058a7, 0x00000000, 0x58b8a725, 0x1f42f3cf, 0x00000000,
      0x00000000, 0x84b946f8, 0x1f42f28f, 0xa0b1271a, 0x1f42fcce],
     [0x00006698, 0x00000000, 0xa4b446fe, 0x1f42f80f, 0x00000000,
      0x00000000, 0x90b52729, 0x1f42f8cf, 0x00000000, 0x00000000],
     [0x000058a9, 0x00000000, 0xb0a96720, 0x1f42f80f, 0x44b5671c,
      0x1f4300cf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000058aa, 0x00000000, 0x7cb4e718, 0x1f42f50e, 0xb4b686f9,
      0x1f42f54e, 0x8ca886ed, 0x1f42f74e, 0x48b92719, 0x1f42fa4f],
     [0x000058ab, 0x00000000, 0x4cafe700, 0x1f42f80f, 0x44b6c6f9,
      0x1f42f74f, 0xe0b6a6f9, 0x1f42f54e, 0x44b4e6fc, 0x1f42f7cf],
     [0x000058ac, 0x00000000, 0x44b346f9, 0x1f42f54f, 0x14b40728,
      0x1f42f7cf, 0x00000000, 0x00000000, 0x54b566fc, 0x1f42f8cf],
     [0x000058ad, 0x00000000, 0x44b586f9, 0x1f42f54f, 0x98b7a724,
      0x1f42f58f, 0x24b826f9, 0x1f42f90f, 0x00000000, 0x00000000],
     [0x000058ae, 0x00000000, 0x44b546f9, 0x1f42f54f, 0x08b5c722,
      0x1f42f64f, 0x80b92723, 0x1f42f2ce, 0xa8ad46fd, 0x1f42f7ce],
     [0x000058af, 0x00000000, 0x7caee72b, 0x1f42f80e, 0x34b0c708,
      0x1f42f94f, 0x34ae46f9, 0x1f42f80f, 0x50b24700, 0x1f42fa0f],
     [0x000058b0, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x6cb2a73f, 0x1f42f5ce, 0x00000000, 0x00000000],
     [0x000058b1, 0x00000000, 0x4cb32711, 0x1f42efcf, 0x24b006f9,
      0x1f42f84f, 0x7cafc718, 0x1f42f84e, 0x30b44708, 0x1f42f7cf],
     [0x000058b2, 0x00000000, 0x2caac714, 0x1f42f5cf, 0x18b74720,
      0x1f42f5cf, 0xf8b146f1, 0x1f42f78e, 0x20b3a700, 0x1f42f84f],
     [0x000058b3, 0x00000000, 0x4cb3071c, 0x1f42f44e, 0x5cac0718,
      0x1f42f9cf, 0x20b54700, 0x1f42fb4f, 0xa0b12729, 0x1f43078e],
     [0x0000669e, 0x00000000, 0x34b466d5, 0x1f42f68f, 0x44b0471b,
      0x1f42fc0f, 0x9cac26e4, 0x1f42f68f, 0x94b166ea, 0x1f42f84f],
     [0x000058b5, 0x00000000, 0x14b6a714, 0x1f42f74f, 0x00000000,
      0x00000000, 0x14b6e714, 0x1f42fa0f, 0x20af26fc, 0x1f42f20f],
     [0x0000669f, 0x00000000, 0xa4b1c6fa, 0x1f42f9cf, 0x84b1072d,
      0x1f43094e, 0xe8a4c71f, 0x1f4312ce, 0xe8b786f3, 0x1f42f60e],
     [0x000058b7, 0x00000000, 0xb8b6670c, 0x1f42fc8e, 0xb8b60718,
      0x1f42f90e, 0x00000000, 0x00000000, 0x00b0c70c, 0x1f42f90f],
     [0x000058b8, 0x00000000, 0x20b6c701, 0x1f42f7cf, 0x80b1c708,
      0x1f4301cf, 0x78b48701, 0x1f42fc0f, 0xfcadc723, 0x1f42fa0e],
     [0x000058b9, 0x00000000, 0x00000000, 0x00000000, 0x2cac0700,
      0x1f42fc4f, 0x14b06711, 0x1f42f5cf, 0x18ae870a, 0x1f42fa8f],
     [0x000058ba, 0x00000000, 0x24b4470b, 0x1f42fa0f, 0xb8b5e6f5,
      0x1f42fb0e, 0x00000000, 0x00000000, 0xf4b4c6f1, 0x1f42f94e],
     [0x000058bb, 0x00000000, 0xf4b5e710, 0x1f42f7ce, 0xb0b56713,
      0x1f42f50f, 0xfcae0729, 0x1f42f98e, 0x04b8a710, 0x1f42f7cf],
     [0x000058bc, 0x00000000, 0x08b3a6f5, 0x1f42f6cf, 0x38b28704,
      0x1f42f74f, 0x3cb9873c, 0x1f42fc0e, 0x70b7272d, 0x1f42f80e],
     [0x000058bd, 0x00000000, 0xdcb726f9, 0x1f42f88e, 0xecb286f5,
      0x1f42fd8e, 0xc4a746ff, 0x1f42f9ce, 0xa4b3a729, 0x1f42fa8e],
     [0x000058be, 0x00000000, 0x8cad46fc, 0x1f42fa0e, 0x04b2a6e9,
      0x1f42fa4f, 0xccb5c706, 0x1f42fe8e, 0x34b34700, 0x1f42fb0f],
     [0x000058bf, 0x00000000, 0x9cb3670a, 0x1f42f24e, 0x24b1e728,
      0x1f42f60e, 0x84ba2718, 0x1f42f80f, 0x14b90741, 0x1f43094e],
     [0x000058c0, 0x00000000, 0x24b606f5, 0x1f42f70f, 0x34b5072f,
      0x1f42f80e, 0xbcaf8715, 0x1f42f80e, 0x04b106f5, 0x1f42f98f],
     [0x000058c1, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x2cae8714, 0x1f42fa0f],
     [0x000058c2, 0x00000000, 0x58aac739, 0x1f4308ce, 0x44b5270c,
      0x1f42f80f, 0x00000000, 0x00000000, 0x04ae46ed, 0x1f42fa0f],
     [0x0000800c, 0x00000000, 0x687a068c, 0x0fa2f40f, 0xa06fc68c,
      0x0fa309cf, 0xa079c68c, 0x0fa2f54f, 0x6874668c, 0x0fa2f84f],
     [0x0000800d, 0x00000000, 0xa079a68c, 0x0fa2f10f, 0x68754698,
      0x0fa2f5cf, 0x68790694, 0x0fa2f68f, 0x8076a67e, 0x0fa2f30f],
     [0x0000800e, 0x00000000, 0x6876268c, 0x0fa2fc0f, 0x4877e68c,
      0x0fa2f58f, 0x745685b3, 0x08b3024f, 0x6c59e5b3, 0x08b3020d],
     [0x0000800f, 0x00000000, 0x408c25fe, 0x156afc0f, 0x808e256a,
      0x156afa11, 0x408c25fe, 0x156afc0f, 0x8072468c, 0x0de2ff0f],
     [0x000058c7, 0x00000000, 0x00000000, 0x00000000, 0x3cb3a6f4,
      0x1f42f88f, 0x90b46717, 0x1f42fa4f, 0x40b246f9, 0x1f42fa8f],
     [0x000058c8, 0x00000000, 0x40b5e704, 0x1f42f84f, 0x64a9a6f9,
      0x1f42f90f, 0x08b5c700, 0x1f42fc0f, 0xccb3e714, 0x1f42f7ce],
     [0x40008012, 0x09211c23, 0xa096667e, 0x1692f28f, 0xa065e67e,
      0x0a6af28f, 0x686ac67e, 0x0baaec8f, 0xa098e67e, 0x1692f64f],
     [0x000058ca, 0x00000000, 0x94b80720, 0x1f42f94f, 0xccb9c6f5,
      0x1f42f4ce, 0x5cb22737, 0x1f42f44e, 0x34b44718, 0x1f42fe8f],
     [0x000058cb, 0x00000000, 0x54b3a72a, 0x1f42f80e, 0xf0b686ec,
      0x1f42fa4e, 0x00000000, 0x00000000, 0x28b70718, 0x1f42f98f],
     [0xc9088015, 0x1952c855, 0xa088a67e, 0x131af24f, 0x6896a67e,
      0x1692f18f, 0x7495a67e, 0x1692f20f, 0x74b3067e, 0x1d82ef4f],
     [0x0e308016, 0x0003e874, 0xa096867e, 0x1692f08f, 0xa096667e,
      0x1692f38f, 0xa089467e, 0x1322f08f, 0x3063e67e, 0x0a6b040d],
     [0x00008017, 0x00000000, 0x6862668c, 0x08b2ebcf, 0x305d267e,
      0x0a6af68d, 0x4476467e, 0x0eaaf414, 0xac7d039d, 0x0fa2ee0d],
     [0x000058cf, 0x00000000, 0x20b46703, 0x1f42f7cf, 0x54b7e713,
      0x1f42f90f, 0x34b7a70b, 0x1f42f6cf, 0xccb20720, 0x1f42fa0e],
     [0x40008019, 0x22240e80, 0x787be693, 0x0fa2f4cf, 0x787385b4,
      0x0de2f44f, 0xa06e6693, 0x0a6af30f, 0x387945b4, 0x0fa2f50c],
     [0x000058d1, 0x00000000, 0x98b6a70c, 0x1f42f80e, 0x98ab46eb,
      0x1f42f80e, 0x34ac0720, 0x1f42f60f, 0xc0b32712, 0x1f42f80e],
     [0x000058d2, 0x00000000, 0xe4b82705, 0x1f42f7ce, 0x18b84720,
      0x1f42f88f, 0x84b5670e, 0x1f42f7ce, 0x6cb38712, 0x1f42f7ce],
     [0xd2c8801c, 0x28b4ba96, 0x3c7945b4, 0x0fa2ef4c, 0x3c7b85b4,
      0x0fa2f40c, 0xa06865b4, 0x0a6aef4f, 0x786a05b3, 0x0c2afacf],
     [0x9468801d, 0x2b5536a6, 0x7861662b, 0x08b2f14f, 0x787a85aa,
      0x0fa2f04f, 0x687a25aa, 0x0fa2f2cf, 0x689545aa, 0x1692f34f],
     [0x5678801e, 0x000000b5, 0xa07a65aa, 0x0fa2f24f, 0x3879e5aa,
      0x0fa2f18c, 0xa072c5aa, 0x0de2f4cf, 0xcc6a4690, 0x0f03070c],
     [0x000058d6, 0x00000000, 0xd8b5e712, 0x1f42f7ce, 0x6cb4c725,
      0x1f42f7ce, 0x00b0c6e9, 0x1f42f80f, 0x00000000, 0x00000000],
     [0x000058d7, 0x00000000, 0x50b6672d, 0x1f42f84f, 0x00000000,
      0x00000000, 0x34aec708, 0x1f42f9cf, 0x1caa0704, 0x1f42fa4f],
     [0x000058d8, 0x00000000, 0x00000000, 0x00000000, 0x14b5c714,
      0x1f42f84f, 0x54b1c6fc, 0x1f42f8cf, 0xf0b0c71d, 0x1f42f8ce],
     [0x000058d9, 0x00000000, 0x00000000, 0x00000000, 0x3cb346f0,
      0x1f42f84f, 0x00000000, 0x00000000, 0x3cb7a73e, 0x1f42f58e],
     [0x000058da, 0x00000000, 0x64b94720, 0x1f42f78f, 0x30b5c712,
      0x1f42f90f, 0x00000000, 0x00000000, 0xd4aea70e, 0x1f42f84e],
     [0x000058db, 0x00000000, 0x00000000, 0x00000000, 0x8cac8701,
      0x1f42fa0e, 0x90ae86f8, 0x1f42f88f, 0xecab46ff, 0x1f42fa0e],
     [0x000058dc, 0x00000000, 0xacb5c6d5, 0x1f42ffce, 0x34b3c714,
      0x1f42f60f, 0xd4b7e722, 0x1f42f6ce, 0x00000000, 0x00000000],
     [0x000058dd, 0x00000000, 0x00000000, 0x00000000, 0xacb0c6e8,
      0x1f42f7cf, 0x14b3c714, 0x1f42f28f, 0xd0b56729, 0x1f42f7ce],
     [0x000066b3, 0x00000000, 0x34b346f9, 0x1f42fbcf, 0x00b84703,
      0x1f42f90f, 0x00000000, 0x00000000, 0xd0b32720, 0x1f42face],
     [0x00008028, 0x00000000, 0xa03e83e8, 0x07d2ee0f, 0x3857c5bc,
      0x0a53060c, 0x7876862b, 0x0fa2fb4d, 0x807bc68c, 0x0fa2f10f],
     [0x000058e0, 0x00000000, 0xf4b5c6f9, 0x1f42f50e, 0x14b486f8,
      0x1f42facf, 0x80a946f3, 0x1f42fd0f, 0x5cb5c733, 0x1f42f8ce],
     [0x0000802a, 0x00000000, 0xcc660656, 0x0a6af297, 0x6898c68c,
      0x17c2f78f, 0xc860468c, 0x08a2ef15, 0x24778588, 0x0fa2f890],
     [0x000066b5, 0x00000000, 0x18ac4710, 0x1f42fe8f, 0xe4b50725,
      0x1f42fa4e, 0x7cb62725, 0x1f42f68e, 0x00000000, 0x00000000],
     [0x0000802c, 0x00000000, 0xb869668c, 0x0c82fc55, 0x448e25de,
      0x156afa0e, 0xd863868c, 0x0962ee53, 0xb862e68c, 0x0962f153],
     [0x0000802d, 0x00000000, 0x8c66268e, 0x0a6b0557, 0x387e85aa,
      0x0fa2f70c, 0x3881067e, 0x1282fd0d, 0xbc55251e, 0x07d2ff92],
     [0x0000802e, 0x2ef00000, 0x445f23e8, 0x0a6afb0c, 0xd85d868c,
      0x0962fc53, 0xc864868c, 0x09b2ef95, 0x2477c588, 0x0fa2f8d0],
     [0x0000802f, 0x00000000, 0x6897a68c, 0x1772f88f, 0x689b268c,
      0x1772f70f, 0x6898468c, 0x1772f14f, 0x386d85bb, 0x0de2f58c],
     [0xd7c08030, 0x32b640c0, 0xa096e788, 0x1692f1cf, 0xa096e788,
      0x1692f1cf, 0xa096e784, 0x1692f1cf, 0xa096e760, 0x1692f1cf],
     [0x99b08031, 0x36f000d4, 0xa096e750, 0x1692f1cf, 0xa096e7a9,
      0x1692f1cf, 0xa0aa667e, 0x1bcaee0f, 0x448da68c, 0x14daf50c],
     [0x00008032, 0x00000000, 0xa0892788, 0x131af10f, 0xa0892788,
      0x131af10f, 0xa0892784, 0x131af10f, 0xa0892750, 0x131af10f],
     [0x00008033, 0x00000000, 0xa065e788, 0x0a6af28f, 0xa065e788,
      0x0a6af28f, 0xa066a784, 0x0a6af08f, 0xa065e750, 0x0a6af24f],
     [0x00008034, 0x3736e000, 0xa094267e, 0x1692f20f, 0x7496e760,
      0x1692f10f, 0x68948788, 0x1692f68f, 0x68948788, 0x1692f68f],
     [0xdbc08035, 0x0006fcde, 0x68948784, 0x1692f68f, 0x68948760,
      0x1692f68f, 0x68948750, 0x1692f68f, 0x3c8925f9, 0x1402f8cf],
     [0x5c208036, 0x393718e1, 0x609486c6, 0x1692f68e, 0x6896a788,
      0x1692f18f, 0x6896a788, 0x1692f18f, 0x6896a784, 0x1692f18f],
     [0x1ca08037, 0x00000000, 0x6896a750, 0x1692f18f, 0xa0966788,
      0x1692f38f, 0xa082467e, 0x1162f20f, 0x7c790693, 0x0fa2f10f],
     [0xdce08038, 0x000000e7, 0x7875c68e, 0x0de2f74f, 0x7875c68e,
      0x0de2f74f, 0x7875c68a, 0x0de2f74f, 0x7875c666, 0x0de2f74f],
     [0x5d108039, 0x000750e9, 0x7875c656, 0x0de2f74f, 0x7875c6b1,
      0x0de2f74f, 0x848d85b4, 0x14daf78f, 0x447205b4, 0x0de2f44c],
     [0xc000803a, 0x00075cea, 0x7873868e, 0x0de2f44f, 0x7873868e,
      0x0de2f44f, 0x7873868a, 0x0de2f44f, 0x78738656, 0x0de2f44f],
     [0x0000803b, 0x00000000, 0xa05ce68e, 0x08b2ef8f, 0xa060a68e,
      0x08b2f20f, 0xa063468a, 0x08b2e9cf, 0xa0628656, 0x08b2eb8f],
     [0x0000803c, 0x3b476200, 0x78796696, 0x0fa2f54f, 0xa07b2666,
      0x0fa2f20f, 0x7879468e, 0x0fa2f54f, 0x7879468e, 0x0fa2f54f],
     [0x000058f4, 0x00000000, 0x14b66728, 0x1f42f7cf, 0x00000000,
      0x00000000, 0x44b1e720, 0x1f42fa0f, 0x6cb346f5, 0x1f42fbcf],
     [0x0000803e, 0x00000000, 0xe079460f, 0x0fa2f54d, 0x787a868e,
      0x0fa2f04f, 0x787a868e, 0x0fa2f04f, 0x787a868a, 0x0fa2f04f],
     [0x000066bf, 0x00000000, 0x8cb466ff, 0x1f430ace, 0x38aa46ef,
      0x1f430b8f, 0x7ca4c70b, 0x1f43088e, 0x00000000, 0x00000000],
     [0x00008040, 0x00000000, 0xa096e6ed, 0x1692f1cf, 0x7875c619,
      0x0de2f74f, 0xa096e754, 0x1692f1cf, 0x7875c680, 0x0de2f74f],
     [0x000066c0, 0x00000000, 0x00000000, 0x00000000, 0xe0a5c707,
      0x1f430b8e, 0x00000000, 0x00000000, 0x7cae6730, 0x1f430cce],
     [0x00008042, 0x00000000, 0x688da75e, 0x14daf50f, 0x7872068a,
      0x0de2f44f, 0x688da72a, 0x14daf50f, 0x78720656, 0x0de2f44f],
     [0x000066c1, 0x00000000, 0x68a5e721, 0x1f430ece, 0x70a98727,
      0x1f4300ce, 0xc0b4a728, 0x1f4301ce, 0x00000000, 0x00000000],
     [0x00008044, 0x00000000, 0xa094267e, 0x1692f20f, 0x787de693,
      0x0fa2f4cf, 0xa08926ed, 0x131af10f, 0x78738619, 0x0de2f44f],
     [0x000058fc, 0x00000000, 0xa4aee6e8, 0x1f42fd0e, 0x60ae0717,
      0x1f43114e, 0x28ae870d, 0x1f42fa0f, 0x3cb0e70e, 0x1f42f78f],
     [0x000058fd, 0x00000000, 0xdcb78711, 0x1f42f78e, 0x4cb226f0,
      0x1f42fa0f, 0x9cb0471b, 0x1f42f98e, 0xa0b1e720, 0x1f42fa0e],
     [0x000058fe, 0x00000000, 0x58b42710, 0x1f42fc8f, 0xb0b36715,
      0x1f42f80e, 0x14b246fc, 0x1f43008f, 0x00000000, 0x00000000],
     [0x000058ff, 0x00000000, 0x00000000, 0x00000000, 0x60b2c70e,
      0x1f42facf, 0x00000000, 0x00000000, 0x5cb5c6fb, 0x1f42f64f],
     [0x00008049, 0x00000000, 0xa096675e, 0x1692f28f, 0xa07b675e,
      0x0fa2f04f, 0xa096467e, 0x169af24f, 0xa07b6693, 0x0fa2f00f],
     [0x0000804a, 0x00000000, 0xa067e73a, 0x0a6aee4f, 0xa064a666,
      0x08b2e7cf, 0xa066c6ed, 0x0a6af0cf, 0xa062c619, 0x08b2e8cf],
     [0x000066c5, 0x00000000, 0x00000000, 0x00000000, 0x64a9673d,
      0x1f43070e, 0x0cb5473d, 0x1f43040e, 0xbca78731, 0x1f430b0e],
     [0x0000804c, 0x00000000, 0xa065e72a, 0x0a6af28f, 0xa05e25b4,
      0x08b2f20f, 0x6899867e, 0x175af28f, 0x38774693, 0x10d2f20c],
     [0x00005904, 0x00000000, 0xe4a9270e, 0x1f42f80e, 0x00000000,
      0x00000000, 0xd4b3e70a, 0x1f42fa4e, 0x00b2c72a, 0x1f42f7cf],
     [0x0000804e, 0x00000000, 0xa08105b3, 0x10f2ef4f, 0xa0894762,
      0x131af10f, 0xa05ea762, 0x08b2f2cf, 0x4089467e, 0x131af10b],
     [0x00005906, 0x00000000, 0x50b3470a, 0x1f42fb0e, 0x00000000,
      0x00000000, 0x50b4e72b, 0x1f42fb0e, 0x9cb54735, 0x1f42fb0e],
     [0x00008050, 0x00000000, 0xa06ac693, 0x0b92f2cf, 0xa089267e,
      0x131af08f, 0xa05ee693, 0x08b2f2cf, 0x7496e762, 0x1692f10f],
     [0x00005908, 0x00000000, 0x44ae46f7, 0x1f42f8cf, 0x9cb7a70c,
      0x1f42f70e, 0x14b30704, 0x1f42facf, 0x84b72702, 0x1f42f60e],
     [0x00005909, 0x00000000, 0xf4b2a711, 0x1f42f80e, 0x28b806f8,
      0x1f42f5cf, 0xd8abc703, 0x1f42f38e, 0x80af6729, 0x1f42f84e],
     [0x0000590a, 0x00000000, 0xbcac06f8, 0x1f42fb4e, 0x00000000,
      0x00000000, 0x0cb5c715, 0x1f42f5cf, 0xb8ae8720, 0x1f43080e],
     [0x0000590b, 0x00000000, 0x7cb786fc, 0x1f42f70f, 0xf4b7e70d,
      0x1f42fa8e, 0x7cb7c6fc, 0x1f42f64e, 0x38af46f8, 0x1f42f74f],
     [0x00008055, 0x00000000, 0xa0910762, 0x14daf24f, 0xa068668e,
      0x0a6aef4f, 0x4091067e, 0x14daf24b, 0x406865b4, 0x0a6aef4b],
     [0x0000590d, 0x00000000, 0x84b60730, 0x1f42ff4e, 0x20b52708,
      0x1f42f80f, 0xecb92727, 0x1f42f98e, 0xccb5672f, 0x1f42fa4e],
     [0x00008057, 0x00000000, 0x687be75e, 0x1162f8cf, 0x786a668a,
      0x0c2af80f, 0x447be68c, 0x1162f8cc, 0x446a05b3, 0x0c2afacc],
     [0x00008058, 0x00000000, 0x687be784, 0x1162f8cf, 0x786a268a,
      0x0c2af78f, 0x4488a67e, 0x131af24c, 0x4461662b, 0x08b2f14c],
     [0x00008059, 0x00000000, 0xa088a75e, 0x131af24f, 0x786826a5,
      0x09daf14f, 0xa088a67e, 0x132af24f, 0x8c618630, 0x08baf0cf],
     [0x0000805a, 0x00000000, 0x6896a739, 0x1692f18f, 0x787a8666,
      0x0fa2f04f, 0x6896a6ed, 0x1692f18f, 0x787a8619, 0x0fa2f04f],
     [0x00005912, 0x00000000, 0x94af470c, 0x1f42f78f, 0x00000000,
      0x00000000, 0x98b046fc, 0x1f42f68f, 0x14b4a6ff, 0x1f42f38f],
     [0x00005913, 0x00000000, 0x00000000, 0x00000000, 0x20a8e6e7,
      0x1f42facf, 0xbcb82705, 0x1f42f90e, 0x00000000, 0x00000000],
     [0x0000805d, 0x00000000, 0x74b3075e, 0x1d82ef4f, 0x6895468a,
      0x1692f34f, 0xa096675e, 0x1692f38f, 0x3879e68a, 0x0fa2f18c],
     [0x00005915, 0x00000000, 0x6cb3672d, 0x1f42f6ce, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005916, 0x00000000, 0xeca9a727, 0x1f42f58e, 0x04b006fa,
      0x1f42f84f, 0x00000000, 0x00000000, 0xe8b1a725, 0x1f42fc0e],
     [0x00005917, 0x00000000, 0xdcaee708, 0x1f42f54e, 0xecb66702,
      0x1f42f74e, 0xc8ac26fc, 0x1f42f74e, 0xe8b24728, 0x1f42fa8e],
     [0x000066d0, 0x00000000, 0x00000000, 0x00000000, 0x78b7071b,
      0x1f42fc8f, 0x78ba2713, 0x1f42fb4f, 0xccb4e712, 0x1f42facf],
     [0x00008062, 0x00000000, 0x787e6617, 0x0fa2f44f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000066d1, 0x00000000, 0x84b94721, 0x1f430c4f, 0x04b36727,
      0x1f42f98f, 0x70b546fe, 0x1f42f98f, 0xe8b16703, 0x1f42f78e],
     [0x00008064, 0x00000000, 0x8884c694, 0x1222f64f, 0x00000000,
      0x00000000, 0x2473c6aa, 0x0d92ef8d, 0x00000000, 0x00000000],
     [0x00008065, 0x00000000, 0x00000000, 0x00000000, 0x78974693,
      0x16faf04f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000591d, 0x00000000, 0x84b44718, 0x1f42f74e, 0x0cb52702,
      0x1f42f8cf, 0xb0b26719, 0x1f42f90e, 0x6cb8e72b, 0x1f42f88e],
     [0x0000591e, 0x00000000, 0x64b5472c, 0x1f42fc4f, 0x88b56743,
      0x1f42fece, 0x3cb14718, 0x1f42f6cf, 0x70b50743, 0x1f42f74e],
     [0x00008068, 0x00000000, 0x689486da, 0x1692f68f, 0x7880e5c2,
      0x110af54f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00008069, 0x00000000, 0x00000000, 0x00000000, 0x3c794685,
      0x0fa2ef4c, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000806a, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xfc720694, 0x0d82f30b, 0x3861662b, 0x0912f14c],
     [0x00005922, 0x00000000, 0xf0b40710, 0x1f42f60e, 0x44b28733,
      0x1f4311ce, 0xe4aec6f7, 0x1f42f8ce, 0xf4ae66f7, 0x1f42f8ce],
     [0x0000806c, 0x00000000, 0x7881e619, 0x0fa2f04f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000066d6, 0x00000000, 0x5cb0071e, 0x1f42f58e, 0x24ae2734,
      0x1f43148e, 0x4cb02739, 0x1f43088f, 0x90b12700, 0x1f42f88f],
     [0x0000806e, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xf86b85aa, 0x0beaef0b, 0xa07ac68c, 0x0fa2f38f],
     [0x0000806f, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x7073e603, 0x0fa3004f, 0x00000000, 0x00000000],
     [0x00008070, 0x00000000, 0xa04ba6c8, 0x0502fb8f, 0xa05aa6c8,
      0x08c2fb8f, 0xa07086c8, 0x0d9af68f, 0x7c5c068c, 0x0a6b0e8f],
     [0x000066d8, 0x00000000, 0xa8b5e703, 0x1f4300cf, 0x54b0e6fb,
      0x1f43060f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005929, 0x00000000, 0x20b9270c, 0x1f42f90f, 0x28b7870f,
      0x1f42f7cf, 0xd0b4e6fc, 0x1f42f90e, 0x00000000, 0x00000000],
     [0x000066d9, 0x00000000, 0xc4b7a70e, 0x1f43008f, 0x00000000,
      0x00000000, 0xc8b426f2, 0x1f43010e, 0x40b6c6fa, 0x1f42ff4f],
     [0x0000592b, 0x00000000, 0x50b5c717, 0x1f42f4cf, 0xe4ba0720,
      0x1f42f6ce, 0xf8b46710, 0x1f42f4ce, 0x00000000, 0x00000000],
     [0x000066da, 0x00000000, 0xb8b726ed, 0x1f4301cf, 0xf8b426e8,
      0x1f42fcce, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000592d, 0x00000000, 0x00000000, 0x00000000, 0xccb2c717,
      0x1f42f74e, 0x00000000, 0x00000000, 0x8cae870b, 0x1f42f9cf],
     [0x000066db, 0x00000000, 0x9cb806e1, 0x1f42fe0f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x48ab4744, 0x1f43100e],
     [0x0000592f, 0x00000000, 0x54aca70c, 0x1f42f5cf, 0x2cb5a6dc,
      0x1f42f60f, 0x50b5a6ec, 0x1f42fa8f, 0x20b6a710, 0x1f42f74f],
     [0x000066dc, 0x00000000, 0xacb566ed, 0x1f43030f, 0xccb3e6f5,
      0x1f4301cf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005d2f, 0x00000000, 0x00000000, 0x00000000, 0x38afa72e,
      0x1f430e8f, 0x5cb8072a, 0x1f42f84e, 0xc4b86729, 0x1f42fd4e],
     [0x000066dd, 0x00000000, 0x04b3072f, 0x1f430350, 0x04b88707,
      0x1f43020f, 0xa0b166fb, 0x1f43010f, 0x08b70708, 0x1f42ffd0],
     [0x0000807c, 0x00000000, 0x3863468a, 0x08b2dc8c, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005934, 0x00000000, 0xb0b7e717, 0x1f42f4ce, 0x00000000,
      0x00000000, 0xb0b70721, 0x1f42f98e, 0x00000000, 0x00000000],
     [0x00005935, 0x00000000, 0x1cb0673e, 0x1f42f98f, 0x00000000,
      0x00000000, 0x28abc732, 0x1f42f7ce, 0x8cb506fc, 0x1f42f4ce],
     [0x00005936, 0x00000000, 0x64ab8740, 0x1f42ff0e, 0x04b60720,
      0x1f42f58f, 0x88b7c734, 0x1f42f64e, 0x9cb4a724, 0x1f42f90e],
     [0x00005937, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x88b666ed, 0x1f42f78f, 0x00000000, 0x00000000],
     [0x00005938, 0x00000000, 0x6cb80729, 0x1f42f4ce, 0x20b3473c,
      0x1f42fecf, 0x98b3470c, 0x1f42f94e, 0x44b18735, 0x1f42f68e],
     [0x00005939, 0x00000000, 0xbcb1273c, 0x1f42f98e, 0x00000000,
      0x00000000, 0xd4b46735, 0x1f42f78e, 0x6cb66744, 0x1f42f80e],
     [0x000066e1, 0x00000000, 0x00000000, 0x00000000, 0xfcb54719,
      0x1f42facf, 0xbca84706, 0x1f43118e, 0x38b82719, 0x1f42facf],
     [0x0000593b, 0x00000000, 0xa8b9470e, 0x1f42f34f, 0x5cb54738,
      0x1f42f8ce, 0x00000000, 0x00000000, 0xd4b04731, 0x1f42f90e],
     [0x0000593c, 0x00000000, 0x84b1c725, 0x1f42f5ce, 0x0cafe703,
      0x1f42f58f, 0x6cb3e741, 0x1f42f6ce, 0x7cb28708, 0x1f42f6ce],
     [0x0000593d, 0x00000000, 0x40b34738, 0x1f42f7cf, 0x00000000,
      0x00000000, 0x84b4c708, 0x1f42fb8e, 0x8cb2670a, 0x1f42f9cf],
     [0x0000593e, 0x00000000, 0x00b6a723, 0x1f42fc0f, 0x00000000,
      0x00000000, 0x40b5a71b, 0x1f42f48f, 0x98b72703, 0x1f42f64f],
     [0x00008088, 0x00000000, 0x00000000, 0x00000000, 0x48900693,
      0x14faf4cd, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005940, 0x00000000, 0x6cb58730, 0x1f43010e, 0x64b86738,
      0x1f42f70e, 0x00000000, 0x00000000, 0xf0b60720, 0x1f42f98e],
     [0x00005941, 0x00000000, 0x50b14715, 0x1f42f54f, 0x10af2717,
      0x1f4306cf, 0x60b04717, 0x1f42f80e, 0x20b4a70b, 0x1f42fa8f],
     [0x00005942, 0x00000000, 0x00000000, 0x00000000, 0x78afa6e0,
      0x1f42f54e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005943, 0x00000000, 0xc0ad66df, 0x1f42f78e, 0x10b80716,
      0x1f42f6cf, 0xe4b50724, 0x1f42f7ce, 0x48b4e70c, 0x1f42f94f],
     [0x0000808d, 0x00000000, 0x4871c693, 0x0d6af2cd, 0x489025b4,
      0x1502f20d, 0x486e462c, 0x0c8af14d, 0x3856a5b4, 0x08b2dc8c],
     [0x00005945, 0x00000000, 0xa4ace6f4, 0x1f42f58e, 0xc4b4e712,
      0x1f42f8ce, 0xe4b5a6f5, 0x1f42f9ce, 0xe8b0e721, 0x1f42fbce],
     [0x000066e7, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xfcb22719, 0x1f42fecf, 0xdcb58720, 0x1f42f9cf],
     [0x00005947, 0x00000000, 0xa8aa6720, 0x1f42fb0e, 0x8cb46723,
      0x1f42f84e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005948, 0x00000000, 0x88b5472e, 0x1f42f8ce, 0x58b66703,
      0x1f42f84f, 0xb4b1c719, 0x1f42f58e, 0x50ada735, 0x1f43058e],
     [0x00005949, 0x00000000, 0x8cb6c712, 0x1f42f74e, 0x98b4c726,
      0x1f42f90e, 0xc0b3070b, 0x1f42f78e, 0x00000000, 0x00000000],
     [0x000066e9, 0x00000000, 0xb8a76703, 0x1f43190e, 0x0cb7e6e5,
      0x1f42fecf, 0x24b1a6f1, 0x1f42fecf, 0x00000000, 0x00000000],
     [0x00008094, 0x00000000, 0x787225b4, 0x0de2f00f, 0x787be5b4,
      0x0fa2f4cf, 0x787be5b4, 0x0fa2f4cf, 0x78790693, 0x0fa2ff4f],
     [0x00008095, 0x00000000, 0x747025b3, 0x0de2f08f, 0x2072a5b4,
      0x0de2f44d, 0xfc896693, 0x114af4cb, 0x7889c693, 0x125af4cf],
     [0x00008096, 0x00000000, 0x7872e5b4, 0x0de2f30f, 0x787225b4,
      0x0de2f18f, 0x6c8fe5b4, 0x148af70f, 0x686f25c3, 0x0db2f30f],
     [0x00008097, 0x00000000, 0x686f25c3, 0x0db2f30f, 0x6889e5c3,
      0x137af30f, 0x687445c3, 0x0efaf30f, 0x386385b4, 0x09dae1cc],
     [0x0000594f, 0x00000000, 0x00000000, 0x00000000, 0x00b5a6dd,
      0x1f42fbd0, 0xc8b7e718, 0x1f42fc4f, 0xe0b8a71e, 0x1f42fbcf],
     [0x00008099, 0x00000000, 0x787b45aa, 0x0fa2f14f, 0xfc7be5aa,
      0x0fa2f14b, 0xa07b6693, 0x0fa2f04f, 0xfc73e693, 0x0f0af04b],
     [0x0000809a, 0x00000000, 0xa05e2693, 0x08b2f20f, 0x786565ae,
      0x0a6af24f, 0xa05b65aa, 0x0812f34f, 0xa0690693, 0x0af2f08f],
     [0x00005952, 0x00000000, 0xecb786fd, 0x1f43058f, 0xdcb7870c,
      0x1f42fa0e, 0x3cb6e71c, 0x1f42f74f, 0x00000000, 0x00000000],
     [0x0000809c, 0x00000000, 0xfca0a5aa, 0x191af0cb, 0xfc96c5b4,
      0x1852f20b, 0xfc7ec5b4, 0x108adc8b, 0xfc89e5b4, 0x10aaf20b],
     [0x0000809d, 0x00000000, 0x8084a5aa, 0x12d2f54f, 0x787945b4,
      0x0fa2f54f, 0x8895a5aa, 0x1682f3cf, 0x908d25c3, 0x14daf74f],
     [0x0000809e, 0x00000000, 0xfc8cc693, 0x14daf80b, 0x786b85aa,
      0x0b92f58f, 0x786c0693, 0x0b92f58f, 0xfc7905aa, 0x0d12f58b],
     [0x0000809f, 0x00000000, 0xfc6865b4, 0x0a6aef4b, 0xfc68e5b4,
      0x0b92efcb, 0xa068a5be, 0x09daf08f, 0xa06805be, 0x0af2ef4f],
     [0x000080a0, 0x00000000, 0xa07945b8, 0x0edaf34f, 0xa07945b8,
      0x0edaf34f, 0x386a05b2, 0x0c2afa8c, 0xfc6d0693, 0x0a12dc8b],
     [0x000080a1, 0x00000000, 0x386d0693, 0x0982dc8c, 0xfc77a5be,
      0x0c82f1cb, 0xd4734693, 0x0daae84b, 0x9c61c5b4, 0x08b2f20d],
     [0x00005959, 0x00000000, 0x5cb746f6, 0x1f42f9cf, 0xa0b4a6f6,
      0x1f43030f, 0x1cb8872a, 0x1f43024f, 0x54b4a703, 0x1f42facf],
     [0x000080a3, 0x00000000, 0xa07745b8, 0x0fa2ed0f, 0xa09545b8,
      0x1692f34f, 0xa077e684, 0x0de2ed8f, 0xa08505b8, 0x125af3cf],
     [0x000080a4, 0x00000000, 0x3885a5aa, 0x1082f4cc, 0x487b65aa,
      0x0fdaf4cd, 0xfc6f85aa, 0x0ceaf10b, 0xdc71c5aa, 0x0d7af10a],
     [0x000066f2, 0x00000000, 0xd8b66729, 0x1f42f90e, 0xfcb5270e,
      0x1f43070f, 0x7ca90727, 0x1f4317ce, 0x00000000, 0x00000000],
     [0x000080a6, 0x00000000, 0x5c94c68f, 0x169af64f, 0xa07605b8,
      0x0e62f1cf, 0x687445c3, 0x0efaf30f, 0x748765f3, 0x12c2f54f],
     [0x0000595e, 0x00000000, 0xfcb6a72c, 0x1f42ff8e, 0x38b72722,
      0x1f42ff0f, 0xc8b526f2, 0x1f43068f, 0x78acc745, 0x1f43110e],
     [0x000080a8, 0x00000000, 0x3c88462e, 0x12c2f40c, 0xa070a693,
      0x0e12fa0f, 0xa070a693, 0x0e12fa0f, 0x789f6693, 0x1912f4cf],
     [0x00005960, 0x00000000, 0xd4b6a6da, 0x1f4304ce, 0xf8b4a6fc,
      0x1f42fc4e, 0xb0b8071b, 0x1f4302cf, 0xc0b42713, 0x1f43170e],
     [0x000080aa, 0x00000000, 0x788ea62b, 0x1452f14f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005962, 0x00000000, 0x8cad872d, 0x1f430a0e, 0xf8ad272d,
      0x1f430ace, 0x00000000, 0x00000000, 0x14b2a735, 0x1f4315cf],
     [0x000080ac, 0x00000000, 0xe06c2738, 0x0bd2efd4, 0xe06c2738,
      0x0bd2efd4, 0x445d073c, 0x0962f912, 0xe05e0691, 0x07e2ef54],
     [0x00005964, 0x00000000, 0x7cb10735, 0x1f43160e, 0xc0b646eb,
      0x1f430250, 0x24b3e729, 0x1f4301cf, 0x78ab06e2, 0x1f43024f],
     [0x000080ae, 0x00000000, 0x606ba690, 0x0b92f192, 0x345ea694,
      0x06830496, 0x34670694, 0x098af2d6, 0x8c59c696, 0x0a6b01d6],
     [0x000080af, 0x00000000, 0x8c59c696, 0x0a6b01d6, 0x8c59c696,
      0x0a6b01d6, 0x3452e690, 0x0632f6d7, 0x3452e690, 0x0632f6d7],
     [0x000080b0, 0x00000000, 0x3c64669a, 0x0a32f3d4, 0x3c64669a,
      0x0a32f3d4, 0x2c6226db, 0x09eaf656, 0x2c6226db, 0x09eaf656],
     [0x000080b1, 0x00000000, 0xd46766b1, 0x09eaebd6, 0xd46766b1,
      0x09eaebd6, 0x8c66c68a, 0x0a6af0d7, 0x8c66c68a, 0x0a6af0d7],
     [0x000080b2, 0x00000000, 0xa05266b1, 0x08b30bd6, 0x2c66c641,
      0x0a72f0d8, 0x9466868f, 0x0a6b0557, 0x945da68f, 0x0a6af397],
     [0x000080b3, 0x00000000, 0x9452642e, 0x08b30bcc, 0x2466e380,
      0x0a72f0cd, 0xa05da3d3, 0x0a6af44c, 0xa06503d3, 0x0a6b030c],
     [0x000080b4, 0x00000000, 0xec5d05b4, 0x0a6b044f, 0x4c5d05b4,
      0x0a6b0454, 0xcc5f4555, 0x0a6b0010, 0xcc5f2555, 0x0a6affd0],
     [0x000080b5, 0x00000000, 0xe861a4b5, 0x0a6afacf, 0xe861a4b5,
      0x0a6afacf, 0x085f64c2, 0x0a6affd0, 0x305f6478, 0x0a6affd1],
     [0x000080b6, 0x00000000, 0x8c650680, 0x0a7af4d7, 0xcc59a656,
      0x0a6b0b97, 0xa05fc6af, 0x0a6afed7, 0x0c5da3e8, 0x0a6afe0d],
     [0x000080b7, 0x00000000, 0xf067e666, 0x0a6aee57, 0x8c6d868e,
      0x0a6aed57, 0x885f65a3, 0x0952ee12, 0x4462067e, 0x0a6afa16],
     [0x000080b8, 0x00000000, 0x0c686694, 0x0bd2f413, 0xe0572738,
      0x06baf2d4, 0xcc5f2691, 0x091af714, 0xe06d0690, 0x0be2ef54],
     [0x000080b9, 0x00000000, 0xe066673a, 0x0aaaf954, 0xa06d267e,
      0x0ceafa0f, 0xa06c267e, 0x0caaf80f, 0xa06c267e, 0x0caaf80f],
     [0x000080ba, 0x00000000, 0xa06c267e, 0x0caaf80f, 0xa06c267e,
      0x0caaf80f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000080bb, 0x00000000, 0x5465642e, 0x0a6af34d, 0x8c6fe681,
      0x0caaf097, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005973, 0x00000000, 0xa4b64717, 0x1f42f60f, 0xa4b4e707,
      0x1f43008e, 0xe4b3071d, 0x1f42f70e, 0x80b6470b, 0x1f42facf],
     [0x000080bd, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x3467e377, 0x0a6aee4c],
     [0x00005975, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x68b3670d, 0x1f42f80e, 0x10b2c71d, 0x1f42f98f],
     [0x000066ff, 0x00000000, 0x00000000, 0x00000000, 0xacb4071c,
      0x1f43014e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000080c0, 0x00000000, 0x8c2c268e, 0x00029157, 0x8c2c268e,
      0x00029157, 0x8c35268a, 0x00028d97, 0xf0366666, 0x00028b57],
     [0x00005978, 0x00000000, 0xa0b006c5, 0x1f430dcf, 0xb4b466e7,
      0x1f430e4f, 0xd0b7a6d2, 0x1f430f8f, 0x9cb226f7, 0x1f43010f],
     [0x000080c2, 0x00000000, 0xcc346656, 0x00028f57, 0x502fc6d7,
      0x0002a157, 0xa02e46af, 0x00029bd7, 0x8c3bc68e, 0x000289d7],
     [0x000080c3, 0x00000000, 0x8c35468a, 0x00028dd7, 0x702626a4,
      0x0002af97, 0x702de6a4, 0x00029c97, 0x8c3bc68e, 0x000289d7],
     [0x000080c4, 0x00000000, 0x8c3306e7, 0x000290d7, 0x8c330680,
      0x000290d7, 0x782a86d1, 0x0002a357, 0x782a86d1, 0x0002a357],
     [0x000080c5, 0x00000000, 0x782a86d1, 0x0002a357, 0x784546d1,
      0x0002d8d7, 0x202ea3b3, 0x0002964c, 0x202c23b3, 0x0002914c],
     [0x000080c6, 0x00000000, 0x342443b3, 0x00028acb, 0x343483b3,
      0x0002ab4b, 0xec3486c7, 0x00028f17, 0x0444e5c2, 0x0002e315],
     [0x0000597e, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x78b246aa, 0x1f430fd0, 0x0cac66ed, 0x1f43180f],
     [0x000080c8, 0x00000000, 0x002dc36c, 0x00029c8d, 0x243ea433,
      0x0002b34b, 0x24554433, 0x0002e08b, 0x3c27e372, 0x0002a80c],
     [0x000080c9, 0x00000000, 0x38346371, 0x00028f4c, 0x702e43a3,
      0x00029bcb, 0x1c2a837a, 0x0002a34a, 0x442ee3e8, 0x00029a8c],
     [0x000080ca, 0x00000000, 0x0c2d63e8, 0x00029d8d, 0xf8244382,
      0x0002af8b, 0xf4356386, 0x00028dcb, 0x1435237a, 0x00028f0c],
     [0x000080cb, 0x00000000, 0xe035439f, 0x00028dcb, 0xe035439f,
      0x00028dcb, 0x1c3363a4, 0x0002918c, 0x403363ad, 0x0002918c],
     [0x000080cc, 0x00000000, 0x34366377, 0x00028b4c, 0x9435435b,
      0x00028dcc, 0xa441035b, 0x0002760c, 0xf041035b, 0x0002760a],
     [0x000080cd, 0x00000000, 0xf835a528, 0x000289d2, 0x3834c4fa,
      0x00028e13, 0x384104fa, 0x00027613, 0x7839662c, 0x00028f0e],
     [0x000080ce, 0x00000000, 0x3042667e, 0x00028f0d, 0x782b83a1,
      0x0002a80b, 0xa83563b3, 0x00028dcc, 0x142c23b3, 0x00029fcc],
     [0x000080cf, 0x00000000, 0xac34a3a7, 0x00028f0c, 0xd42da6b3,
      0x00029c97, 0x6c286725, 0x0002a757, 0xa8410788, 0x0002761b],
     [0x00005987, 0x00000000, 0xc0ab26ef, 0x1f43140e, 0x64b226f8,
      0x1f430e4e, 0x00000000, 0x00000000, 0x24b226fb, 0x1f43074f],
     [0x000080d1, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x08360691, 0x00029698, 0x1066e35c, 0x000af0cb],
     [0x00005989, 0x00000000, 0xd0b726fd, 0x1f43078e, 0xd0b5c72e,
      0x1f42ff8e, 0xf8b7a6f7, 0x1f430c8e, 0x8cb84726, 0x1f4309ce],
     [0x000080d3, 0x00000000, 0xf03786f1, 0x00028d97, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000598b, 0x00000000, 0x00000000, 0x00000000, 0x24ab46ca,
      0x1f430ed0, 0x34a8e706, 0x1f430acf, 0x50b56725, 0x1f4303cf],
     [0x0000670a, 0x00000000, 0x34aa46ff, 0x1f43014f, 0xa0af8726,
      0x1f43008f, 0x00000000, 0x00000000, 0x2cb7a72c, 0x1f42fe8f],
     [0x000080d6, 0x00000000, 0x00000000, 0x00000000, 0xe433a3a7,
      0x000294c9, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000080d7, 0x00000000, 0xfc63639c, 0x000290cb, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000080d8, 0x00000000, 0xb46c2661, 0x00028b57, 0x8c636680,
      0x000290d7, 0x686ae3a7, 0x00028b4b, 0x00000000, 0x00000000],
     [0x00005990, 0x00000000, 0x00000000, 0x00000000, 0xf0b2c70e,
      0x1f43090e, 0xc0b4873d, 0x1f430e4e, 0x18b4a700, 0x1f4300cf],
     [0x00005991, 0x00000000, 0x08b0a6fe, 0x1f430410, 0x30afe6b9,
      0x1f430ad0, 0x00000000, 0x00000000, 0x68b7c730, 0x1f42fdce],
     [0x00005992, 0x00000000, 0x00000000, 0x00000000, 0xfcb16724,
      0x1f43038e, 0xb4b2e6db, 0x1f4305cf, 0xfcb16708, 0x1f43038e],
     [0x0000400e, 0x00000000, 0xa0780698, 0x0fa2f810, 0xa0770698,
      0x0fa2f8d0, 0xac684608, 0x0fa31e11, 0x38686608, 0x0fa31790],
     [0x0000670e, 0x00000000, 0x00000000, 0x00000000, 0x00b8072c,
      0x1f42ff50, 0x90b7871e, 0x1f42f5ce, 0x20b7e70c, 0x1f42ffcf],
     [0x00005995, 0x00000000, 0x08ae06ef, 0x1f430c8f, 0x5caa871b,
      0x1f43154e, 0x48ae06f1, 0x1f430c8f, 0x58b82702, 0x1f430bcf],
     [0x00005996, 0x00000000, 0x00000000, 0x00000000, 0xf0b40714,
      0x1f43084e, 0x44b7672c, 0x1f43074f, 0x74b0a6df, 0x1f430fcf],
     [0x00005997, 0x00000000, 0x6ca9e725, 0x1f43154e, 0x00b0c734,
      0x1f430e4f, 0x2cb16731, 0x1f43010e, 0xa8ae0737, 0x1f42fe4e],
     [0x00006710, 0x00000000, 0xccac0701, 0x1f431c8e, 0x78b72706,
      0x1f42fecf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005999, 0x00000000, 0xa8b4c6f6, 0x1f43084f, 0xc0b1870a,
      0x1f430bcf, 0x08b8872a, 0x1f430bcf, 0xecb4470d, 0x1f42fc8e],
     [0x000080e3, 0x00000000, 0x68948693, 0x1692f00f, 0x00000000,
      0x00000000, 0xa0a4c693, 0x1a42f00f, 0xa097e693, 0x1742f00f],
     [0x0000599b, 0x00000000, 0x7cade711, 0x1f430a4e, 0x00000000,
      0x00000000, 0x34b4e745, 0x1f42fcce, 0x88b0e71e, 0x1f43078e],
     [0x0000599c, 0x00000000, 0x6cb48733, 0x1f43030e, 0x10b16723,
      0x1f43084f, 0xb8b7c718, 0x1f43064f, 0x00000000, 0x00000000],
     [0x0000599d, 0x00000000, 0x6cb46738, 0x1f43074e, 0x00000000,
      0x00000000, 0x54aa6718, 0x1f430f0f, 0x80b7e71f, 0x1f42fe0e],
     [0x0000599e, 0x00000000, 0xb0b666f9, 0x1f43070e, 0xf8ace6eb,
      0x1f430a4e, 0xa0aca734, 0x1f42fd8e, 0x2cb3c720, 0x1f43074f],
     [0x000080e8, 0x00000000, 0xa096667e, 0x1692f28f, 0xa082467e,
      0x116af20f, 0x00000000, 0x00000000, 0xa089867e, 0x1382f58f],
     [0x000059a0, 0x00000000, 0xe0b066e1, 0x1f43074f, 0x2cb42708,
      0x1f42fccf, 0xd0aca72c, 0x1f430b8e, 0x8ca8a70e, 0x1f4313ce],
     [0x000080ea, 0x00000000, 0xa099069a, 0x1752f38f, 0xa097e68c,
      0x1742f54f, 0xa0660751, 0x0a6af28f, 0xa0966751, 0x1692f54f],
     [0x000080eb, 0x00000000, 0x7880a67e, 0x10faf54f, 0x7871667e,
      0x0dbaf44f, 0x3c77067e, 0x1002f08c, 0x785fe67e, 0x089af30f],
     [0x000080ec, 0x00000000, 0x787c467e, 0x1062f20f, 0x7880a5b4,
      0x10faf54f, 0x3c78c693, 0x0f82fbcc, 0x387605b1, 0x0ed2f08c],
     [0x000059a4, 0x00000000, 0xd8ad8725, 0x1f43090e, 0x80b40726,
      0x1f43024e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000059a5, 0x00000000, 0x00b306fa, 0x1f43014f, 0x5cb8271e,
      0x1f43020e, 0x28b66726, 0x1f430a4f, 0xe0b54725, 0x1f4308ce],
     [0x000059a6, 0x00000000, 0x78b1a6e5, 0x1f43064e, 0x40b72719,
      0x1f43030f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000080f0, 0x00000000, 0x687ac5aa, 0x0faaf04f, 0x3c78c5b4,
      0x0f82fbcc, 0x387485b4, 0x0dcaf6cc, 0x787f45aa, 0x1122f54f],
     [0x000059a8, 0x00000000, 0x8ca88725, 0x1f431f0e, 0xc0b46738,
      0x1f4303ce, 0x60b4671e, 0x1f43020f, 0x00000000, 0x00000000],
     [0x000059a9, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x50b30715, 0x1f42ff0e, 0xf8b44717, 0x1f43064e],
     [0x000059aa, 0x00000000, 0x0cb5070b, 0x1f43194f, 0xd0b846ea,
      0x1f4302ce, 0x18af871f, 0x1f43004f, 0x84b1e745, 0x1f42fcce],
     [0x000080f4, 0x00000000, 0x7871e69d, 0x0e12fb8f, 0x78828693,
      0x1152ee0f, 0xa095c68c, 0x1692f54f, 0x00000000, 0x00000000],
     [0x000059ac, 0x00000000, 0x84b806dd, 0x1f43014f, 0x08b146f5,
      0x1f43060f, 0x20ae8735, 0x1f4304ce, 0x00000000, 0x00000000],
     [0x000080f6, 0x00000000, 0x3c94868c, 0x1692f68c, 0x3c7945b4,
      0x0fa2f54c, 0x388c468c, 0x14daf50c, 0x387505d2, 0x0e6af6cc],
     [0x00000b1c, 0x00000000, 0x107c6658, 0x106af54c, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000080f8, 0x00000000, 0x389e668c, 0x190af0cc, 0x407b6625,
      0x1082ec8c, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000059b0, 0x00000000, 0xdcb2271e, 0x1f42ff0e, 0x0caf4730,
      0x1f4306cf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000059b1, 0x00000000, 0x2cb06729, 0x1f43010e, 0x00000000,
      0x00000000, 0x50b24715, 0x1f42f78e, 0x84ac2717, 0x1f4311ce],
     [0x0001511a, 0x00000000, 0xa0990695, 0x17baf7cf, 0xa097e685,
      0x16b2f88f, 0x709ba695, 0x15eafbcf, 0xa0a14685, 0x1992f88f],
     [0x0000401e, 0x00000000, 0xc87985cc, 0x0fa2f510, 0xbc7785cc,
      0x0fa2f90e, 0xc873a5cc, 0x0fa300d0, 0x94710721, 0x0fa305ce],
     [0x0001511b, 0x00000000, 0xa09cc685, 0x16e2f88f, 0xa09c4685,
      0x13daf90f, 0x709e8695, 0x1802fbcf, 0xa0b4c685, 0x1bdaf88f],
     [0x000059b5, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xe4b2e714, 0x1f42ff4e, 0x00000000, 0x00000000],
     [0x0000671f, 0x00000000, 0xe4af8732, 0x1f43028f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x20b62700, 0x1f430590],
     [0x000059b7, 0x00000000, 0xc8b0c720, 0x1f43084e, 0x64b7c731,
      0x1f4301ce, 0xc8ae26e3, 0x1f43008e, 0x00000000, 0x00000000],
     [0x00008101, 0x00000000, 0x688c268c, 0x145af78f, 0x687e468c,
      0x1162fd8f, 0xa065e67e, 0x0a6af28f, 0xa066e750, 0x0a6af44f],
     [0x00008102, 0x00000000, 0x686ac67e, 0x0baaec8f, 0x68b5c67e,
      0x1ee2f08f, 0xa0b9667e, 0x1fcaf2cf, 0xa0a0c67e, 0x191af28f],
     [0x00019402, 0x00000000, 0x10a6261d, 0x1b4af8d0, 0x1063861d,
      0x0aa2f950, 0x1084a61d, 0x12eaf910, 0x10a6261d, 0x1b4af8d0],
     [0x00019403, 0x00000000, 0x10c7861d, 0x239af8d0, 0x7882e693,
      0x121af9cf, 0xa092067e, 0x1672fa8f, 0x847265a9, 0x0cfafbd0],
     [0x00006722, 0x00000000, 0x34ab6717, 0x1f43030f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x94b3271b, 0x1f43048f],
     [0x00008106, 0x00000000, 0xa096867e, 0x169af2cf, 0xa096877b,
      0x169af2cf, 0xa094468c, 0x1592f2cf, 0x6891867e, 0x155af04f],
     [0x00008107, 0x00000000, 0xa0ab667e, 0x1beaf2cf, 0xa096867e,
      0x16b2f2cf, 0x6894c68c, 0x16caf70f, 0xa096a67e, 0x16a2f2cf],
     [0x00008108, 0x00000000, 0xa081667e, 0x11daf2cf, 0x688ea68c,
      0x152af70f, 0xa088867e, 0x1352f58f, 0x6495467e, 0x163af1cf],
     [0x00006724, 0x00000000, 0xd8ad071b, 0x1f43048f, 0x18b2671b,
      0x1f430750, 0xd8ae871b, 0x1f43074f, 0x00000000, 0x00000000],
     [0x0000810a, 0x00000000, 0xa0b7267e, 0x1f12f54f, 0x3cb7267e,
      0x1f12f54d, 0xa096667e, 0x170af14f, 0xa0aaa67e, 0x1ba2f2cf],
     [0x0001940a, 0x00000000, 0x248ac642, 0x1362f08f, 0x248ac642,
      0x1362f08f, 0xf08e2552, 0x156afa11, 0xa8bf6540, 0x21f2fbd1],
     [0x0001940b, 0x00000000, 0x4c87c5b5, 0x1042ee10, 0x608e25b6,
      0x156afa10, 0x148e25f9, 0x156afa0f, 0xcc8e2646, 0x156afa0d],
     [0x0001940c, 0x00000000, 0x048e25c3, 0x156afa10, 0xdc8e260d,
      0x156afa0e, 0x588e2632, 0x156afa0e, 0x308e267e, 0x156afa0d],
     [0x0001940d, 0x00000000, 0x308e267e, 0x156afa0d, 0x548c26b6,
      0x156afc0b, 0x548c26b6, 0x156afc0b, 0x988e2624, 0x156afa0e],
     [0x0001940e, 0x00000000, 0x308b067e, 0x156af9cd, 0x308e467e,
      0x156b004d, 0xac8c269f, 0x156afc0c, 0xac8d269f, 0x156afe0c],
     [0x0001940f, 0x00000000, 0x048d8689, 0x156af08e, 0x608c8689,
      0x156afc8d, 0x148e26c2, 0x156afa0c, 0x148fc6c2, 0x156afa0c],
     [0x000059c8, 0x00000000, 0x28b82715, 0x1f42fa0f, 0x00b3e702,
      0x1f42f94f, 0x0caee704, 0x1f43144f, 0xfcb6c715, 0x1f42f80e],
     [0x000059c9, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xd0b6c748, 0x1f42f80e, 0x58b86715, 0x1f42f90f],
     [0x00019412, 0x00000000, 0x0c8b8647, 0x156afacc, 0x0c8dc647,
      0x156aff4c, 0x248ac600, 0x1362f08f, 0x248ac600, 0x1362f08f],
     [0x0000402a, 0x00000000, 0x2c6f6630, 0x0fa30957, 0x587bc6b7,
      0x0fa2f093, 0xa470e671, 0x0fa30653, 0x787b45de, 0x0fa2f190],
     [0x00019414, 0x00000000, 0x888ca6e8, 0x156afd0b, 0x508ca70b,
      0x156afd0c, 0x508ca70b, 0x156afd0c, 0xac8ae69f, 0x156afb8c],
     [0x00019415, 0x00000000, 0xac8d669f, 0x156b008c, 0x808e256a,
      0x156afa11, 0x808e256a, 0x156afa11, 0xc47723fe, 0x0fa2fa0d],
     [0x00019416, 0x00000000, 0x28aaa67e, 0x1c72f94d, 0x9c71e661,
      0x0e7afacd, 0x9c71e661, 0x0e7afacd, 0x088ce66f, 0x156afa4d],
     [0x000059cf, 0x00000000, 0xdcb44708, 0x1f42ffce, 0x2caca723,
      0x1f42f8cf, 0xb4b32710, 0x1f42fd8e, 0xf8b5a72e, 0x1f43074e],
     [0x00019418, 0x00000000, 0x9c8e66b6, 0x156b008a, 0x546e25ab,
      0x0ca2f3cf, 0x3cae664a, 0x2503bd4f, 0x44d5e683, 0x2503bd50],
     [0x000059d1, 0x00000000, 0x00000000, 0x00000000, 0xe4b1a6fb,
      0x1f42fa8e, 0x7cb32716, 0x1f42fe8e, 0xe8b0c712, 0x1f42fd8e],
     [0x000059d2, 0x00000000, 0x08b50714, 0x1f42f7cf, 0x84aac72b,
      0x1f42fcce, 0x00000000, 0x00000000, 0xf8b9e710, 0x1f42fbce],
     [0x000059d3, 0x00000000, 0x38b7871f, 0x1f42f50f, 0x0cb4e700,
      0x1f42fdcf, 0x54b3a728, 0x1f43048e, 0xfcb6471f, 0x1f43054e],
     [0x0001941c, 0x00000000, 0xe88e4647, 0x156afa0d, 0xac8e269f,
      0x156afa0c, 0xf08e26bc, 0x156afa0b, 0x308b067e, 0x156af9cd],
     [0x000059d5, 0x00000000, 0x00000000, 0x00000000, 0x08b4c714,
      0x1f42f9cf, 0x38b4470c, 0x1f42f60f, 0x58b18727, 0x1f430c8e],
     [0x0001941e, 0x00000000, 0x30d4267e, 0x26c2fc0d, 0x3091467e,
      0x156af3cd, 0x18734642, 0x0f32fe0e, 0x308e267e, 0x156afa0d],
     [0x000059d7, 0x00000000, 0x18b4c724, 0x1f42f98f, 0x18b6e71b,
      0x1f42f70f, 0x38b3c72f, 0x1f42facf, 0x8cb6a72b, 0x1f43078e],
     [0x00019420, 0x00000000, 0x308ca67e, 0x156afd0d, 0x18734642,
      0x0f32fe0e, 0x108e2587, 0x156afa11, 0x64704777, 0x0f02fe16],
     [0x00019421, 0x00000000, 0x446ee6db, 0x0dcafc56, 0xc48ca71a,
      0x156afd0a, 0xc48ca71a, 0x156afd0a, 0xc48ca71a, 0x156afd0a],
     [0x00019422, 0x00000000, 0xc48ca71a, 0x156afd0a, 0xd88ca6d1,
      0x156afd0b, 0x4c8ca735, 0x156afd0a, 0x548e25fe, 0x156afa0f],
     [0x000059db, 0x00000000, 0x38b666f8, 0x1f42f98f, 0x38b62733,
      0x1f42f88f, 0x00000000, 0x00000000, 0x58b20723, 0x1f42facf],
     [0x000059dc, 0x00000000, 0x48b12722, 0x1f430a4f, 0x5cb5473e,
      0x1f4308ce, 0xf4b426f5, 0x1f430f4e, 0xa4b4c736, 0x1f430b4e],
     [0x00019425, 0x00000000, 0x748c85b3, 0x13c2f08f, 0x7088e5b3,
      0x1382f54f, 0x208e26c2, 0x156afa0c, 0x208e26c2, 0x156afa0c],
     [0x00019426, 0x00000000, 0x188e2619, 0x156afa10, 0x548e25fe,
      0x156afa0f, 0x787505b3, 0x0e22f20f, 0x2c7146a2, 0x000305d8],
     [0x00019427, 0x00000000, 0x1066e35c, 0x000af0cb, 0x8866c35b,
      0x0002f0c9, 0x0866c35b, 0x0002f0c8, 0x907b26c6, 0x00030597],
     [0x00019428, 0x00000000, 0x2c73a6f1, 0x000305d8, 0xd467e35b,
      0x0002ee49, 0x2c7206ea, 0x00030758, 0xd467e35b, 0x0002ee49],
     [0x00004035, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x7ca5a6b2, 0x1f431a90],
     [0x000059e2, 0x00000000, 0x00000000, 0x00000000, 0x68b3c71f,
      0x1f42f98f, 0x00000000, 0x00000000, 0x78b2271a, 0x1f42f8cf],
     [0x0001942b, 0x00000000, 0xc48e265a, 0x156afa0d, 0xf08e26bd,
      0x156afa0b, 0xb08e26de, 0x156afa0b, 0xb08e26de, 0x156afa0b],
     [0x0001942c, 0x00000000, 0x148c26c4, 0x156afc0c, 0x148c26c4,
      0x156afc0c, 0xc48c471a, 0x156afc4a, 0xc48c471a, 0x156afc4a],
     [0x0001942d, 0x00000000, 0x0c8c26c2, 0x156afc0c, 0x0c8c26c2,
      0x156afc0c, 0x7c8c26ad, 0x156afc0c, 0x7c8c26ad, 0x156afc0c],
     [0x0001942e, 0x00000000, 0xc48c271a, 0x156afc0a, 0xc48c271a,
      0x156afbca, 0xc48c271a, 0x156afc0a, 0xc48c071a, 0x156afbca],
     [0x0001942f, 0x00000000, 0x008ce6b7, 0x156afd8b, 0x008cc6b7,
      0x156afd4b, 0xe08ce6b7, 0x156afd8b, 0xe08cc6b7, 0x156afd4b],
     [0x00019430, 0x00000000, 0xc48c071a, 0x156afbca, 0xc48d471a,
      0x156afe4a, 0xac91469a, 0x156af3cc, 0xc487e61f, 0x1322f44c],
     [0x00019431, 0x00000000, 0x4c94c6b7, 0x1622f28c, 0x4c94c6b7,
      0x1622f28c, 0x30aa667e, 0x1c32ee0d, 0x30aa667e, 0x1c32ee0d],
     [0x00015136, 0x00000000, 0x4cb8a6a3, 0x1f2af9cf, 0x20ad46a3,
      0x1c52f2cc, 0x4ccbc6a3, 0x2412f94f, 0x4cbd66a3, 0x2062f80f],
     [0x00019433, 0x00000000, 0x607424c0, 0x0de2f78d, 0x8869c6a6,
      0x0bc2f597, 0x306ce67e, 0x0f830a8d, 0x3c8be5d9, 0x143afa52],
     [0x000059ec, 0x00000000, 0x4cb40710, 0x1f42fa8e, 0x28b28710,
      0x1f43000f, 0x5cb56737, 0x1f430e4e, 0xf8b1a710, 0x1f42ff4e],
     [0x00019435, 0x00000000, 0xa069a67e, 0x0d3afbcf, 0xa069a67e,
      0x0d3afbcf, 0xec7086c7, 0x00030717, 0xa86403b6, 0x0002ee0b],
     [0x00019436, 0x00000000, 0xa86403b6, 0x0002ee0b, 0x3877a693,
      0x10eaf60c, 0x105ec614, 0x09cafbd3, 0x105ec614, 0x09cafbd3],
     [0x00019437, 0x00000000, 0x844e05a9, 0x0002f590, 0x7c58e52c,
      0x08caff92, 0x74e14797, 0x2a02fecf, 0x74e14797, 0x2a02fecf],
     [0x00019438, 0x00000000, 0x0c8e2656, 0x156afa0e, 0xfc8de60b,
      0x156af9ce, 0x3891067e, 0x1632f1cc, 0x38c4a6dd, 0x2272f1cc],
     [0x000059f1, 0x00000000, 0x38ae2723, 0x1f42f7cf, 0x08b5e70c,
      0x1f42f78f, 0xbcb186fc, 0x1f42fd4e, 0x00000000, 0x00000000],
     [0x0001513a, 0x00000000, 0x20b6e6a3, 0x1eeafd0c, 0x4cb886a3,
      0x1f22fa8f, 0x68aaa5b6, 0x1d72f6cf, 0x688c86a3, 0x1432fd0f],
     [0x000059f3, 0x00000000, 0x9cab670c, 0x1f42fc4e, 0xdcb9c708,
      0x1f42f78e, 0xb4b5a700, 0x1f42f78e, 0x58a98717, 0x1f42f88f],
     [0x0001943c, 0x00000000, 0x8096056a, 0x1772fa91, 0x109605c6,
      0x1772fa90, 0x08960608, 0x1772fa8f, 0xf087c72c, 0x13e2fa8b],
     [0x000059f5, 0x00000000, 0x68b0e724, 0x1f43104e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0001943e, 0x00000000, 0xa4af4661, 0x1cf2f40d, 0xa4af4661,
      0x1cf2f40d, 0x10b54506, 0x1f42fa93, 0x8096056a, 0x1772fa91],
     [0x000059f7, 0x00000000, 0xecb3a708, 0x1f42fa8e, 0x9cb0a71b,
      0x1f42fa8e, 0xc8ac0726, 0x1f42f5ce, 0x84b8e708, 0x1f42f78e],
     [0x000059f8, 0x00000000, 0xe8b0e716, 0x1f42f88e, 0x00000000,
      0x00000000, 0x3cafe6e9, 0x1f42fb8f, 0xecb54708, 0x1f42fa4e],
     [0x000059f9, 0x00000000, 0xccb7a704, 0x1f42fa4e, 0x20b4c72f,
      0x1f430a8f, 0xecb7a70c, 0x1f42fb4e, 0xecb9070c, 0x1f42f68e],
     [0x000059fa, 0x00000000, 0x00000000, 0x00000000, 0x58b0a710,
      0x1f42fb8f, 0xccb6a700, 0x1f42f78e, 0x4cb5671d, 0x1f42f78e],
     [0x000059fb, 0x00000000, 0x6cb54733, 0x1f430c4e, 0xecb4e704,
      0x1f42f98e, 0x28ace71b, 0x1f42f78f, 0xa4b5072b, 0x1f42f98e],
     [0x000059fc, 0x00000000, 0x38ac4714, 0x1f430e4e, 0x38b4e724,
      0x1f42fd8f, 0x08b44704, 0x1f42fa8f, 0x7cafa736, 0x1f42f7ce],
     [0x000059fd, 0x00000000, 0x7cb78743, 0x1f4309ce, 0xf4b6c716,
      0x1f42fa8e, 0xecb54708, 0x1f42fb4e, 0xc0b9470c, 0x1f42f68e],
     [0x000059fe, 0x00000000, 0x08b20710, 0x1f42fb4f, 0x00000000,
      0x00000000, 0x98afa70c, 0x1f42fb4e, 0x78b1672f, 0x1f43024e],
     [0x000059ff, 0x00000000, 0xecb7270c, 0x1f42f6ce, 0x68b5671b,
      0x1f42fa8f, 0x08b56710, 0x1f42fa4f, 0x7cad271e, 0x1f42f6ce],
     [0x00005a00, 0x00000000, 0x68b24714, 0x1f42fd8f, 0x00000000,
      0x00000000, 0x2cb76721, 0x1f42f64f, 0x38b18714, 0x1f43020f],
     [0x00005a01, 0x00000000, 0x98aea6fc, 0x1f4307ce, 0x6cb5a713,
      0x1f42fa8f, 0x00000000, 0x00000000, 0x78ad470c, 0x1f42fb8f],
     [0x00005a02, 0x00000000, 0x28b0c703, 0x1f42fa4f, 0x9cac070d,
      0x1f42fb8e, 0x68b56718, 0x1f42f88f, 0x00af0720, 0x1f42ff8f],
     [0x0001944b, 0x00000000, 0xa0fea690, 0x32cb040f, 0x446246f5,
      0x0a3af08b, 0x4454c6f5, 0x07d2f84b, 0x8867c568, 0x0c82ff51],
     [0x0001944c, 0x00000000, 0x8867c568, 0x0c82ff51, 0x347a057d,
      0x15732291, 0x8065e56a, 0x09daee11, 0x10808598, 0x14630d10],
     [0x0001944d, 0x00000000, 0x10808598, 0x14630d10, 0x30ab867e,
      0x1cf2fbcd, 0x30ab867e, 0x1cf2fbcd, 0x30ab667e, 0x1cf2fb8d],
     [0x0001944e, 0x00000000, 0x30ab667e, 0x1cf2fb8d, 0x4c62a4be,
      0x0ffb25d1, 0x10538506, 0x072afd53, 0xb85864f7, 0x08aaff91],
     [0x0001944f, 0x00000000, 0xb85864f7, 0x08aaff91, 0x3076e67e,
      0x0ffafccd, 0x3076e67e, 0x0ffafccd, 0x30ab867e, 0x1cf2fb8d],
     [0x00005a08, 0x00000000, 0x30b34724, 0x1f43064e, 0x58b7e717,
      0x1f42fa8f, 0x58b54717, 0x1f42fa4f, 0x00000000, 0x00000000],
     [0x00019451, 0x00000000, 0x0465c50a, 0x09baed53, 0x8c65a566,
      0x0b7afb91, 0x9065a567, 0x0b7afb91, 0x3076e67e, 0x0ffafccd],
     [0x00005a0a, 0x00000000, 0xf8b82708, 0x1f42fcce, 0x94aa671c,
      0x1f42fdcf, 0xacb8a73e, 0x1f42f7ce, 0xccb6e723, 0x1f42f9ce],
     [0x00005a0b, 0x00000000, 0x00000000, 0x00000000, 0xecb72708,
      0x1f42f9ce, 0x6cb7670c, 0x1f42fdce, 0xa4b40709, 0x1f42face],
     [0x00019454, 0x00000000, 0x3063257b, 0x0ffb2511, 0x0466250a,
      0x0b9af193, 0x046b250a, 0x0b9afb93, 0xb865255d, 0x0bdaff91],
     [0x00019455, 0x00000000, 0xb865255d, 0x0bdaff91, 0xb865255d,
      0x0bdaff91, 0xb865255d, 0x0bdaff91, 0xf065e5ce, 0x09daee0f],
     [0x00019456, 0x00000000, 0x3495857d, 0x1cf32791, 0x1465e605,
      0x09daee0f, 0x34a3257d, 0x204b2751, 0xc07bc662, 0x0f02eb98],
     [0x00005a0f, 0x00000000, 0x68b8c727, 0x1f42f88f, 0x8cb38724,
      0x1f43008e, 0xdcaec71f, 0x1f43160e, 0x00000000, 0x00000000],
     [0x00005a10, 0x00000000, 0xb8b40733, 0x1f430b4e, 0x80b3a723,
      0x1f42f7ce, 0xdcb4c723, 0x1f42fdce, 0xdcb6c72b, 0x1f42f9ce],
     [0x00005a11, 0x00000000, 0x94b86710, 0x1f42f9ce, 0x38b20725,
      0x1f42f88f, 0x18b12708, 0x1f42f60f, 0x00000000, 0x00000000],
     [0x00005a12, 0x00000000, 0xbcb02735, 0x1f430e4e, 0xf0b5470c,
      0x1f42f9ce, 0xd8b7671b, 0x1f43094e, 0xf8b6471b, 0x1f42fdce],
     [0x0001945b, 0x00000000, 0x8d252474, 0x38e2eb8b, 0x708dc7a3,
      0x13caeddc, 0x8c8dc36a, 0x13caedcb, 0x289fa67c, 0x1acafa0d],
     [0x0001945c, 0x00000000, 0x28a3a67c, 0x1acb020d, 0x2c8aa67d,
      0x156af90d, 0x2c8ea67d, 0x156b010d, 0xd09bc46f, 0x16fae7ca],
     [0x0001945d, 0x00000000, 0xd09d846f, 0x16faeb4a, 0xa09bc5a4,
      0x16fae7cf, 0xa09d85a4, 0x16faeb4f, 0x78796693, 0x0f9af50f],
     [0x0001945e, 0x00000000, 0xa08de68a, 0x14d2f5cf, 0xa082e67e,
      0x12e3008f, 0xa07fe67e, 0x10bb008f, 0xa08de68a, 0x14d2f5cf],
     [0x0001945f, 0x00000000, 0xa082067e, 0x123b008f, 0xa089e67e,
      0x13eaf50f, 0xa087867e, 0x1493008f, 0x6894068c, 0x1652f58f],
     [0x00000b86, 0x00000000, 0xfc78456c, 0x106afd4b, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00019461, 0x00000000, 0x6889a67e, 0x151b008f, 0xa08b667e,
      0x141af50f, 0x6894068c, 0x1652f58f, 0xa087867e, 0x1493008f],
     [0x00019462, 0x00000000, 0xa07e867e, 0x106b008f, 0x6894068c,
      0x1652f58f, 0xa088c67e, 0x1382f48f, 0xa088a67e, 0x1302f1cf],
     [0x00019463, 0x00000000, 0xa091c68c, 0x1592f40f, 0xa095267e,
      0x1662f3cf, 0xa092267e, 0x15e2f5cf, 0xa0978691, 0x16a2f10f],
     [0x00019464, 0x00000000, 0xa097e68c, 0x1742f54f, 0x788105b7,
      0x10caf50f, 0x44796693, 0x0f92f84c, 0x407765b7, 0x0ed2f4cc],
     [0x00019465, 0x00000000, 0x78796693, 0x0f9af50f, 0x7872e5b7,
      0x0db2f38f, 0x4c718693, 0x0d02f64c, 0x4475e5b7, 0x0f72f84c],
     [0x00005a1e, 0x00000000, 0xc8abe711, 0x1f42fece, 0x48b3a6f0,
      0x1f42facf, 0x00000000, 0x00000000, 0xc8b4671a, 0x1f42f8ce],
     [0x00005a1f, 0x00000000, 0x0cb1a704, 0x1f43084f, 0x10ae0705,
      0x1f43164f, 0x98b246ed, 0x1f42fa8f, 0x6cb64732, 0x1f42f88e],
     [0x00019468, 0x00000000, 0x787b65ad, 0x0fdaefcf, 0x407945b6,
      0x0f92fa0c, 0x507245b7, 0x0d02f64c, 0x788245ad, 0x1072f50f],
     [0x00005a21, 0x00000000, 0x00000000, 0x00000000, 0x2cb7a72c,
      0x1f42f60f, 0x7caf2726, 0x1f42f30e, 0x9cb2e6ec, 0x1f42fbce],
     [0x0001946a, 0x00000000, 0x408ec5b5, 0x1472f10c, 0x7888e5ae,
      0x1382f54f, 0x787485b7, 0x0e42f3cf, 0x707be693, 0x0f4af88f],
     [0x0001946b, 0x00000000, 0x4088c694, 0x1372f50c, 0x407865b7,
      0x0f5af50c, 0x789ae5ad, 0x17d2efcf, 0x787aa58e, 0x105af84f],
     [0x0001946c, 0x00000000, 0xa071258d, 0x105b0dcf, 0xa077658d,
      0x105aff0f, 0x88786590, 0x105af9cc, 0x887a858c, 0x105afc8c],
     [0x0001946d, 0x00000000, 0x8877a58d, 0x105afe8c, 0x807b464c,
      0x105af74f, 0x887bc58d, 0x105af44c, 0x707a2646, 0x105af9cf],
     [0x0001946e, 0x00000000, 0x807ae58d, 0x105af84c, 0x2c7025c2,
      0x0002fb53, 0x307806c6, 0x00030597, 0x0c8e2656, 0x156afa0e],
     [0x0001946f, 0x00000000, 0xa067446f, 0x0a2aedcf, 0xa08dc46f,
      0x13caedcf, 0x706747a3, 0x0a2aeddc, 0xa0e7467e, 0x2b62f78f],
     [0x00019470, 0x00000000, 0x9117e6e3, 0x382afc8b, 0x3896e6dc,
      0x1692f1cc, 0x3c88a6dc, 0x14daf24c, 0x3c86a6dc, 0x125af0cc],
     [0x00019471, 0x00000000, 0x3892e6dc, 0x1692fa0c, 0x3c8926dc,
      0x131af10c, 0x3c8946dc, 0x1322f08c, 0x3c9666dc, 0x1692f28c],
     [0x00019472, 0x00000000, 0x389486dc, 0x1692f68c, 0x387546dc,
      0x0a6ae80c, 0x3c98e6dc, 0x16daf64c, 0x389466dc, 0x15f2f1cc],
     [0x00019473, 0x00000000, 0x3caa86dc, 0x1bcaf10c, 0x3896e6dc,
      0x1692f10c, 0x3c8b46dc, 0x141af54c, 0x389486dc, 0x1692f68c],
     [0x00019474, 0x00000000, 0x3c9666dc, 0x1692f28c, 0x388526dc,
      0x116af20c, 0x3c8986dc, 0x1382f58c, 0x3888a6dc, 0x131af24c],
     [0x00019475, 0x00000000, 0x389666dc, 0x1692f54c, 0x3c9986dc,
      0x17daf6cc, 0x3c9686dc, 0x1692f08c, 0x3c9906dc, 0x173af38c],
     [0x00019476, 0x00000000, 0x3c97e6dc, 0x1742f54c, 0xe091a6dc,
      0x150afbcb, 0x388f26dc, 0x116af00c, 0x3892e6ed, 0x142adc0c],
     [0x00019477, 0x00000000, 0x389206dc, 0x1622efcc, 0x308e267e,
      0x156afa0d, 0x848e265b, 0x156afa0d, 0x848e265b, 0x156afa0d],
     [0x00019478, 0x00000000, 0x30aa667e, 0x1c32ee0d, 0x30aa667e,
      0x1c32ee0d, 0x106e4812, 0x0ea310cd, 0x1067a812, 0x0ea3038d],
     [0x00019479, 0x00000000, 0x10838812, 0x121af44d, 0x106be812,
      0x0bfb1b0d, 0x1057e812, 0x0bfaf30d, 0xdcbb8369, 0x1f42ee0c],
     [0x0001947a, 0x00000000, 0x1078c812, 0x11fb0a8d, 0x10782812,
      0x11fb094d, 0x10838812, 0x121af4cd, 0x488486e7, 0x1182ee18],
     [0x0001947b, 0x00000000, 0xf88446d6, 0x1172ed98, 0xa8bb871c,
      0x1f42ee1b, 0x488486e7, 0x1182ee18, 0x6c844373, 0x1172ed8b],
     [0x0001947c, 0x00000000, 0x488486e7, 0x1182ee18, 0xf88486d6,
      0x1182ee18, 0xa8bb871c, 0x1f42ee1b, 0x488486e7, 0x1182ee18],
     [0x0001947d, 0x00000000, 0x6c848373, 0x1182ee0b, 0xdcbb8369,
      0x1f42ee0c, 0x4c2ae5fc, 0x00023a0f, 0xc0ab66d5, 0x1b32ee18],
     [0x0001947e, 0x00000000, 0xc0ab66d5, 0x1b3aee18, 0x28ab86c7,
      0x1b3aee17, 0x28ab86c8, 0x1b3aee17, 0x20ab636d, 0x1b3aee0b],
     [0x0001947f, 0x00000000, 0x20ab636d, 0x1b3aee0b, 0x44ab83ce,
      0x1b3aee0b, 0x44ab83cf, 0x1b3aee0b, 0x68d509c4, 0x275afbd0],
     [0x00019480, 0x00000000, 0x64e1a9c4, 0x2a5afa90, 0x64e1a9c4,
      0x2a5afa90, 0x64d4c9c3, 0x28630490, 0x04c6a9f8, 0x210b0a0b],
     [0x00019481, 0x00000000, 0x04c6a9f8, 0x210b0a0b, 0x04c6a9f8,
      0x210b0a0b, 0x64d529c4, 0x278afd10, 0x64d529c4, 0x278afd10],
     [0x00019482, 0x00000000, 0x64cde9ce, 0x278b0b90, 0x3ccde9c4,
      0x278b0b90, 0x1073c812, 0x0e2b1b0d, 0x1060a812, 0x0e2af44d],
     [0x00019483, 0x00000000, 0x10740812, 0x0e2b1b0d, 0x1060a812,
      0x0e2af4cd, 0x64864812, 0x1583378e, 0xb46fc826, 0x15830ace],
     [0x00019484, 0x00000000, 0xdc7086a4, 0x0e12fa8a, 0xdc5446a9,
      0x0e12fa8a, 0xf07086a9, 0x0e12fa8a, 0xdc7086a4, 0x0e12fa8a],
     [0x00019485, 0x00000000, 0xdc7086a9, 0x0e13330a, 0xf07086a9,
      0x0e12fa8a, 0x94726692, 0x0e12fa8a, 0x94514697, 0x0e12fa8a],
     [0x00019486, 0x00000000, 0xa8726697, 0x0e12fa8a, 0x94708692,
      0x0e12f6ca, 0x94708697, 0x0e13390a, 0xa8708697, 0x0e12f6ca],
     [0x00019487, 0x00000000, 0xdc8986a4, 0x14032f0a, 0xdc6e06a9,
      0x1402f80a, 0xf08986a9, 0x14032f0a, 0xdc6e06a9, 0x14032f0a],
     [0x00019488, 0x00000000, 0xdc6e06a4, 0x1402f80a, 0xdc8986a9,
      0x14032f0a, 0xf06e06a9, 0x1402f80a, 0x3c6fc64a, 0x1583378f],
     [0x00005a41, 0x00000000, 0x0cb34717, 0x1f42fa8f, 0x68b4e727,
      0x1f42f7ce, 0xeca8c6fb, 0x1f42fa8e, 0xacb36700, 0x1f42fb8e],
     [0x0001948a, 0x00000000, 0x20bac6e6, 0x213aff58, 0x54baa473,
      0x213aff0e, 0x3cae69ce, 0x25030a0a, 0x1c46ca06, 0x168aee0b],
     [0x0001948b, 0x00000000, 0x1c98aa06, 0x168b91cb, 0x3cb24424,
      0x1cf2ee0d, 0x70b246f1, 0x1cf2ee18, 0x3cb22470, 0x1cf2ee0e],
     [0x0001948c, 0x00000000, 0x70b226fd, 0x1cf2ee18, 0x50f5042a,
      0x2da2ee0c, 0x70f50732, 0x2da2ee18, 0x1081e812, 0x11b3214d],
     [0x0001948d, 0x00000000, 0x106ba812, 0x11b2f4cd, 0x107b4812,
      0x101b1b0d, 0x10686812, 0x101af54d, 0x10784812, 0x12130b0d],
     [0x00005a46, 0x00000000, 0x00000000, 0x00000000, 0x38b42717,
      0x1f42fccf, 0x1cb4470b, 0x1f42fc8f, 0xb4b4271b, 0x1f42fccf],
     [0x0001948f, 0x00000000, 0x1087e812, 0x16430a8d, 0x1082c812,
      0x13c30fcd, 0x107ca812, 0x13c3038d, 0x44a02a06, 0x1932f44b],
     [0x00019490, 0x00000000, 0x44a02a06, 0x1932f44b, 0x64fa69c4,
      0x309afb10, 0x64fa69c4, 0x309afb10, 0x64fa69c4, 0x309afb10],
     [0x00019491, 0x00000000, 0x3ccde9c4, 0x278b0b90, 0x3ccde9c4,
      0x278b0b90, 0x64c469c4, 0x240b0290, 0x64c469c4, 0x240b0290],
     [0x00019492, 0x00000000, 0x64f649c4, 0x2fd2fd10, 0x64f649c4,
      0x2fd2fd10, 0x64f049c4, 0x2e52fd10, 0x68d4c9c4, 0x28630490],
     [0x00019493, 0x00000000, 0xf484274b, 0x15930f49, 0xf465474b,
      0x0cd30709, 0x447d6a06, 0x126b10cb, 0x447a4a06, 0x13030a8b],
     [0x00019494, 0x00000000, 0x44a02a06, 0x1932f44b, 0x44734a06,
      0x0e5b1d8b, 0x44602a06, 0x0e5af74b, 0xdcfa0369, 0x2ee2ee0c],
     [0x00019495, 0x00000000, 0x4480ea06, 0x166b0d0b, 0x4488aa06,
      0x166b1c8b, 0x44a02a06, 0x1932f44b, 0x70b8e6f1, 0x1e9aee18],
     [0x0000676b, 0x00000000, 0x88b44734, 0x1f42fa0e, 0x20a7473e,
      0x1f4315ce, 0x00000000, 0x00000000, 0x28ae273b, 0x1f4312ce],
     [0x00005a4f, 0x00000000, 0xf8b6c6f8, 0x1f42f4ce, 0xc0b9e717,
      0x1f42f7ce, 0x00000000, 0x00000000, 0xf4b9a734, 0x1f42f70e],
     [0x0000676c, 0x00000000, 0x00000000, 0x00000000, 0xfcb4a745,
      0x1f42fe4d, 0xb8b3c72d, 0x1f42fb8e, 0xe8b1671b, 0x1f42fc0e],
     [0x00005a51, 0x00000000, 0x18b1c704, 0x1f42fd8f, 0xacb166f8,
      0x1f42f7ce, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0001949a, 0x00000000, 0x20e2036d, 0x28e2ee0b, 0x44e203ce,
      0x28e2ee0b, 0x44e203ce, 0x28e2ee0b, 0x50cf2bf0, 0x23230989],
     [0x00005a53, 0x00000000, 0x80ab0726, 0x1f42f8ce, 0x00000000,
      0x00000000, 0xa8ae06fb, 0x1f42fc8e, 0x58b8271f, 0x1f42f98f],
     [0x00005a54, 0x00000000, 0x00000000, 0x00000000, 0x38b72717,
      0x1f42f6cf, 0x78b26717, 0x1f42fc8f, 0x94b6e716, 0x1f42fb8f],
     [0x0001949d, 0x00000000, 0x54f5042a, 0x2da2ee0d, 0x90f506f9,
      0x2da2ee18, 0x5cf50477, 0x2da2ee0e, 0x94f50705, 0x2da2ee18],
     [0x00005a56, 0x00000000, 0x30b4e728, 0x1f43088e, 0x48b9270e,
      0x1f42f60f, 0xd8b24738, 0x1f4308ce, 0xf8b10704, 0x1f42fcce],
     [0x0001949f, 0x00000000, 0x447f2a06, 0x115b1d8b, 0x446c2a06,
      0x115af78b, 0x4480ea06, 0x137305cb, 0x44806a06, 0x137304cb],
     [0x00005a58, 0x00000000, 0x38ada71b, 0x1f42f6cf, 0x60b7a718,
      0x1f42f5cf, 0x38b08717, 0x1f42f30f, 0x98a9a71f, 0x1f42f7cf],
     [0x00005a59, 0x00000000, 0x00000000, 0x00000000, 0x48b3071b,
      0x1f42f98f, 0x08afa6f4, 0x1f42fb8f, 0x00000000, 0x00000000],
     [0x00005a5a, 0x00000000, 0x30a9272d, 0x1f42f98f, 0xacb7e6fd,
      0x1f42f98e, 0x6cb7a725, 0x1f42f2ce, 0x4cb1871a, 0x1f42f9ce],
     [0x00005a5b, 0x00000000, 0x98b1c70c, 0x1f42f70e, 0xb8b16736,
      0x1f430d4e, 0x1cb08728, 0x1f42fccf, 0x10ac4704, 0x1f42f7cf],
     [0x00005a5c, 0x00000000, 0x38b44717, 0x1f42fb8f, 0xf8b86711,
      0x1f42f7ce, 0x00000000, 0x00000000, 0xacb60729, 0x1f42f94e],
     [0x00005a5d, 0x00000000, 0xb8b1e722, 0x1f42fc8e, 0x48af4714,
      0x1f42fb8f, 0x8cb00721, 0x1f43124e, 0xe4b36723, 0x1f42f6ce],
     [0x00005a5e, 0x00000000, 0xdcb946ff, 0x1f42f4ce, 0x38b1a70f,
      0x1f42f6cf, 0xacb9a70c, 0x1f42f98e, 0xdcb34704, 0x1f42f60e],
     [0x00005a5f, 0x00000000, 0x18b0e71c, 0x1f42fe8f, 0x5cb2e72a,
      0x1f42ff4e, 0xdcb5270b, 0x1f42face, 0x00000000, 0x00000000],
     [0x00005a60, 0x00000000, 0x58b2c71f, 0x1f42fc8f, 0x38b6671b,
      0x1f42f84f, 0x58b7671b, 0x1f42f6cf, 0xd4afc70d, 0x1f43108e],
     [0x00005a61, 0x00000000, 0x38b3a70c, 0x1f42f88f, 0x78b7a72b,
      0x1f42f60f, 0xccb84718, 0x1f42f6ce, 0xf8ae6712, 0x1f42fd8e],
     [0x00005a62, 0x00000000, 0xa8aba70f, 0x1f42fdcf, 0x7cb7870c,
      0x1f42f88e, 0x70b4c729, 0x1f42fb4e, 0x00000000, 0x00000000],
     [0x00004076, 0x00000000, 0xa099e71b, 0x1f433190, 0x00000000,
      0x00000000, 0xa099e6e6, 0x1f433190, 0x00000000, 0x00000000],
     [0x00005a64, 0x00000000, 0xfcb22708, 0x1f42f88e, 0xa0b2a734,
      0x1f42f9ce, 0x00000000, 0x00000000, 0xdcb14703, 0x1f42f88e],
     [0x00004077, 0x00000000, 0xa099e713, 0x1f433190, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005a66, 0x00000000, 0xacb0270e, 0x1f43114e, 0xdcb8a70e,
      0x1f42fb8e, 0x58ab470d, 0x1f42f6cf, 0xacb74723, 0x1f42f6ce],
     [0x00005a67, 0x00000000, 0xf4b2c723, 0x1f42f9ce, 0x00000000,
      0x00000000, 0x04af86f8, 0x1f42f88f, 0x00000000, 0x00000000],
     [0x00006778, 0x00000000, 0x00000000, 0x00000000, 0xb0b2c723,
      0x1f42ffce, 0xe8b06736, 0x1f43024d, 0xd8b2c72d, 0x1f43018e],
     [0x000194b1, 0x00000000, 0xdd770369, 0x4e22ee0c, 0xacaccdee,
      0x21a31947, 0xacaf6dee, 0x21a31e87, 0xace02dee, 0x28eaf207],
     [0x00005a6a, 0x00000000, 0x9cb3272e, 0x1f42fc8e, 0xd0afa709,
      0x1f42f88e, 0xa4af870f, 0x1f42f88e, 0x3cb5472b, 0x1f42f1ce],
     [0x000194b3, 0x00000000, 0x412a4373, 0x3af2ee0b, 0x952a4704,
      0x3af2ee18, 0x212a46eb, 0x3af2ee19, 0xa977071c, 0x4e22ee1b],
     [0x000194b4, 0x00000000, 0x952a4704, 0x3af2ee18, 0x412a4373,
      0x3af2ee0b, 0xdd770369, 0x4e22ee0c, 0x102966c3, 0x0002738c],
     [0x000194b5, 0x00000000, 0xc14f06d5, 0x4422ee18, 0xc14f06d5,
      0x4422ee18, 0x294f06c7, 0x4422ee17, 0x294f06c7, 0x4422ee17],
     [0x00005a6e, 0x00000000, 0x00000000, 0x00000000, 0x18b726ff,
      0x1f42f98f, 0x00000000, 0x00000000, 0x58a98727, 0x1f42f80f],
     [0x000194b7, 0x00000000, 0xa0ae6b27, 0x25030a0f, 0xa0ae6c44,
      0x25030a0f, 0xa0ae6c3f, 0x25030a0f, 0xac906dee, 0x155337c7],
     [0x00005a70, 0x00000000, 0x00000000, 0x00000000, 0x68aba70e,
      0x1f42f78f, 0x04b006fc, 0x1f42fccf, 0x9cb68740, 0x1f43094e],
     [0x000194b9, 0x00000000, 0x55848473, 0x5423030e, 0x01618434,
      0x48c2ee0d, 0x95618719, 0x48c2ee18, 0x39618497, 0x48c2ee0e],
     [0x000194ba, 0x00000000, 0x9161872d, 0x48c2ee18, 0x5194c42a,
      0x5592ee0c, 0x7194c732, 0x5592ee18, 0xacb66dee, 0x203b3e07],
     [0x000194bb, 0x00000000, 0xac976dee, 0x203b0007, 0xac970dee,
      0x185337c7, 0xac7aedee, 0x1852ff87, 0xaca20dee, 0x1c630a47],
     [0x000194bc, 0x00000000, 0xaca1edee, 0x1c630a07, 0xaccc2dee,
      0x27cb0d87, 0xaccdedee, 0x27cb1107, 0xacc20dee, 0x264b1b87],
     [0x000194bd, 0x00000000, 0xacc0edee, 0x264b1947, 0xacc1cdee,
      0x24bb1ec7, 0xacc1adee, 0x24bb1e87, 0xddb58369, 0x5dc2ee0c],
     [0x00005a76, 0x00000000, 0xc0b3a740, 0x1f42fdce, 0xd0b5071a,
      0x1f42fb0e, 0x00000000, 0x00000000, 0x28b2270b, 0x1f42fa8f],
     [0x000194bf, 0x00000000, 0x41618373, 0x48c2ee0b, 0x91618718,
      0x48c2ee18, 0x456186f4, 0x48c2ee19, 0xa9b5871c, 0x5dc2ee1b],
     [0x00005a78, 0x00000000, 0x80b12713, 0x1f42fdcf, 0x00000000,
      0x00000000, 0xf0b1e70b, 0x1f42f98e, 0x00000000, 0x00000000],
     [0x000194c1, 0x00000000, 0xc1b586d5, 0x5dc2ee18, 0xc1b586d5,
      0x5dc2ee18, 0x29b586c7, 0x5dc2ee17, 0x29b586c7, 0x5dc2ee17],
     [0x00006781, 0x00000000, 0x0cb3073c, 0x1f430d4e, 0xb0b1c72b,
      0x1f42fe0e, 0xa8b40721, 0x1f42f84e, 0xd4b32735, 0x1f43030e],
     [0x0001787e, 0x00000000, 0xa0872698, 0x0fa2f30f, 0x6c87c698,
      0x0fa2f60f, 0xa0876698, 0x0fa2fbcf, 0x6c8fe68c, 0x0fa2f4cf],
     [0x00005a7c, 0x00000000, 0x00000000, 0x00000000, 0xf8b18704,
      0x1f42fa8e, 0x6cb8871b, 0x1f42f7ce, 0x6caee73c, 0x1f430d8e],
     [0x0001787f, 0x00000000, 0x6c8e4698, 0x0fa3020f, 0xa08e668c,
      0x0fa30c0f, 0x6c88c698, 0x0fa2fdcf, 0x6c880698, 0x0fa2f50f],
     [0x00006783, 0x00000000, 0x00000000, 0x00000000, 0xbcb5271c,
      0x1f42fc8e, 0x00000000, 0x00000000, 0xbcb52723, 0x1f42fbce],
     [0x000194c7, 0x00000000, 0x6cbfebb8, 0x13dafc0b, 0x6cbfebb8,
      0x1c92fc0b, 0x6d342bb8, 0x2f5afc0b, 0x6cbfebb8, 0x13dafc0b],
     [0x00005a80, 0x00000000, 0xb0ae8712, 0x1f42fd8e, 0x04b64706,
      0x1f42f88f, 0x5cb42731, 0x1f43068e, 0x00000000, 0x00000000],
     [0x000194c9, 0x00000000, 0x6cbfebb8, 0x16fafc0b, 0x6cbfebb8,
      0x13dafc0b, 0x6cc24bb8, 0x1a62fc0b, 0x6cbfebb8, 0x13dafc0b],
     [0x00005a82, 0x00000000, 0xc0b26714, 0x1f42f2ce, 0x08b64710,
      0x1f42f2cf, 0x14b1c72c, 0x1f430a8f, 0x58b96703, 0x1f42f24f],
     [0x00017882, 0x00000000, 0xa09e4685, 0x17f2f28f, 0xa0858685,
      0x132af28f, 0xa0b46685, 0x1c82f48f, 0x689a4695, 0x176af6cf],
     [0x00005a84, 0x00000000, 0x00000000, 0x00000000, 0xecb8c723,
      0x1f42f6ce, 0x50b52721, 0x1f42facf, 0xc8b44740, 0x1f42f60e],
     [0x000194cd, 0x00000000, 0xacbd069a, 0x1fe2f84c, 0xac83869a,
      0x1182f84c, 0xac83869a, 0x1182f84c, 0xac83869a, 0x1182f84c],
     [0x00006787, 0x00000000, 0x00000000, 0x00000000, 0xfcb4e71a,
      0x1f42fa8e, 0x90a74735, 0x1f4318ce, 0xdcac073d, 0x1f43074e],
     [0x000194cf, 0x00000000, 0xa883869e, 0x1182f84c, 0xa883869e,
      0x0f82f84c, 0xac83869f, 0x1182f84c, 0xa483869e, 0x100af84c],
     [0x000194d0, 0x00000000, 0xa883869e, 0x1002f84c, 0xa889269e,
      0x13daf84c, 0xa883869e, 0x1002f8cc, 0xac83869f, 0x1002f84c],
     [0x000194d1, 0x00000000, 0xa887c69e, 0x132af14c, 0xac83869f,
      0x1002f84c, 0xa883669e, 0x1002f80c, 0xa883669e, 0x1002f80c],
     [0x00005a8a, 0x00000000, 0x3cb54717, 0x1f42f98e, 0x1cb2e725,
      0x1f42ff8f, 0xe8b2670f, 0x1f42fbce, 0x88b90717, 0x1f42f30f],
     [0x000194d3, 0x00000000, 0xa0ab0720, 0x19d2fcca, 0xa07b4720,
      0x0c6af6ca, 0xa08e2720, 0x1122f6ca, 0xa0b80720, 0x1b62fb8a],
     [0x000194d4, 0x00000000, 0xa082e720, 0x0ef2fb8a, 0xa080c720,
      0x0dcaf6ca, 0xa0850720, 0x0edaf6ca, 0x70912714, 0x1612f8ca],
     [0x000194d5, 0x00000000, 0x70cc6714, 0x222afcca, 0x707e2714,
      0x0e9afcca, 0x707e2714, 0x0e9afcca, 0x7085e714, 0x108afcca],
     [0x00005a8e, 0x00000000, 0x58b2472b, 0x1f42facf, 0x5cb80730,
      0x1f42f7ce, 0x6cb3673d, 0x1f42f6ce, 0x80b38716, 0x1f42fa8e],
     [0x000194d7, 0x00000000, 0x7086c714, 0x0feafb8a, 0x707b2714,
      0x0c62f6ca, 0x707aa714, 0x0ce2f5ca, 0x70a66714, 0x181af94a],
     [0x0000678c, 0x00000000, 0x00000000, 0x00000000, 0x48ad2712,
      0x1f43048f, 0x10ac8711, 0x1f4307cf, 0xb0ab2710, 0x1f43154e],
     [0x000194d9, 0x00000000, 0x847e2714, 0x0bc2fcc8, 0x6c7e8bb8,
      0x0e9afc8b, 0x6ca68bb8, 0x189afc8b, 0x6cce8bb8, 0x229afc8b],
     [0x0000678d, 0x00000000, 0x00000000, 0x00000000, 0x90b1c72c,
      0x1f42f78f, 0xa8a72731, 0x1f430e8e, 0xa8a6c713, 0x1f43124e],
     [0x0001788a, 0x00000000, 0xa08145a9, 0x0eeaf60f, 0xa09de5a9,
      0x16eafbcf, 0xa08825a9, 0x1192eb0f, 0x6c8ee5a9, 0x1242ebcc],
     [0x0000678e, 0x00000000, 0x24ad2711, 0x1f42fb4f, 0x28ae270a,
      0x1f42fb0f, 0x3caca711, 0x1f42f50f, 0x00000000, 0x00000000],
     [0x0001788b, 0x00000000, 0xa088c5a9, 0x135af6cf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000678f, 0x00000000, 0x00000000, 0x00000000, 0x14b14723,
      0x1f42f80f, 0xe8a5472e, 0x1f43168e, 0x24aea71e, 0x1f4309cf],
     [0x000194df, 0x00000000, 0x6ca2abb8, 0x16fafe4b, 0x6ca2abb8,
      0x16fafe4b, 0x6c9b2c55, 0x15eaee0b, 0xf8a26bb8, 0x0e9afc88],
     [0x00005a98, 0x00000000, 0x94b4a719, 0x1f42fdce, 0xdcb8273f,
      0x1f42f80e, 0x8cae8717, 0x1f42f6ce, 0x00000000, 0x00000000],
     [0x000194e1, 0x00000000, 0xac8ec69a, 0x1552fb0c, 0xacab269a,
      0x1c6afb0c, 0xac76669a, 0x0f02fb0c, 0xac76869a, 0x0f02fb0c],
     [0x00005a9a, 0x00000000, 0x8cb3a727, 0x1f42fc8e, 0x1cb206f0,
      0x1f42fb8f, 0xdcb6a6fb, 0x1f42f88e, 0xe8b46738, 0x1f42f5ce],
     [0x000194e3, 0x00000000, 0xa86f669e, 0x0d22ff0c, 0xa87ac69e,
      0x1042f7cc, 0xa86e069e, 0x0a22f84c, 0xa876669e, 0x0f02fb0c],
     [0x000194e4, 0x00000000, 0xa871c69e, 0x0e12ff0c, 0xac72069a,
      0x0e12ff0c, 0xac7e869a, 0x1132ff0c, 0xac71c69a, 0x0e12fa8c],
     [0x000194e5, 0x00000000, 0xa471c69e, 0x0e12fa8c, 0xa887a69e,
      0x131af10c, 0xa872069e, 0x0e12fa0c, 0xa870e69e, 0x0e12fccc],
     [0x00005a9e, 0x00000000, 0x18b4070e, 0x1f42fd0f, 0xe4b3c72f,
      0x1f42fb8e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005a9f, 0x00000000, 0x4cb8270c, 0x1f42f8cf, 0x00000000,
      0x00000000, 0xacb86713, 0x1f42f98e, 0x48ae670e, 0x1f42f88f],
     [0x00005aa0, 0x00000000, 0x28afc721, 0x1f42f8cf, 0xbcb7c72d,
      0x1f42f4ce, 0x00000000, 0x00000000, 0x18ac671d, 0x1f43150f],
     [0x00005aa1, 0x00000000, 0x80b786fb, 0x1f42f7cf, 0x5cb5e71d,
      0x1f42f60e, 0x00000000, 0x00000000, 0xc0af870e, 0x1f42f60e],
     [0x00005aa2, 0x00000000, 0x00000000, 0x00000000, 0x58b3671e,
      0x1f42facf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005aa3, 0x00000000, 0xbcb166eb, 0x1f42f70e, 0xf8b32711,
      0x1f42f60e, 0x60b7c722, 0x1f42f40e, 0x00000000, 0x00000000],
     [0x00015193, 0x00000000, 0xe0a7669b, 0x185b084c, 0xa095c68c,
      0x14f3020f, 0x548e269b, 0x1152fe8f, 0xa0a0a68c, 0x140b154f],
     [0x00017893, 0x00000000, 0xa09ac6a0, 0x142af68f, 0x608b66a8,
      0x133af8cd, 0x40a9c6a0, 0x1a8af38f, 0xa08c66a0, 0x136af70f],
     [0x00015194, 0x00000000, 0x54a1868c, 0x15db0ccf, 0x58a6a68c,
      0x15931e4f, 0x64cc668c, 0x1f2b1f8f, 0xa0a9268c, 0x1722f80f],
     [0x00005aa7, 0x00000000, 0x54b80727, 0x1f42f6ce, 0x00000000,
      0x00000000, 0x38b20723, 0x1f42f50f, 0xb0b006f2, 0x1f42fa8e],
     [0x00015195, 0x00000000, 0xa0a7c68c, 0x15b31d0f, 0xa09ea68c,
      0x146af44f, 0x687de5c1, 0x0f4afa0f, 0x6c84468c, 0x1002facf],
     [0x00005aa9, 0x00000000, 0x18b9c709, 0x1f42f60f, 0xa4b76740,
      0x1f42fb8e, 0xccab46ef, 0x1f42f7ce, 0x00000000, 0x00000000],
     [0x00005aaa, 0x00000000, 0x28aaa720, 0x1f42fc8f, 0xc4abe719,
      0x1f42fb8e, 0xdcb72721, 0x1f42f6ce, 0xf8b62721, 0x1f42f98e],
     [0x00005aab, 0x00000000, 0xa0b6a738, 0x1f42f6ce, 0x58b706ed,
      0x1f42f8cf, 0xf0b1873d, 0x1f42f9ce, 0x20b0c73c, 0x1f42f8cf],
     [0x0000679a, 0x00000000, 0x5cb4e706, 0x1f43028f, 0x30b106fd,
      0x1f42ffcf, 0x1cb0e709, 0x1f42fe0f, 0xaca8c720, 0x1f43110e],
     [0x00017897, 0x00000000, 0x2496c6af, 0x1462f70f, 0x18bcc6af,
      0x1de2f70f, 0x68a026ae, 0x1682f70f, 0x609f26af, 0x1682f70d],
     [0x0000679b, 0x00000000, 0x3cb1e6fd, 0x1f43020f, 0xb4ada720,
      0x1f43164e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00017898, 0x00000000, 0x189b86a6, 0x1852f70e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000679c, 0x00000000, 0xa4a88739, 0x1f42f98e, 0x34b2a72f,
      0x1f42f6cf, 0x00000000, 0x00000000, 0xe0b22714, 0x1f42fc4e],
     [0x00017899, 0x00000000, 0x7883c5c1, 0x12c2f9cf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0001519a, 0x00000000, 0x6c75c5c1, 0x0c0af74f, 0x7076665f,
      0x0c13068f, 0x6485a5b6, 0x1033024f, 0x6884a5b6, 0x0e730e4f],
     [0x0001789a, 0x00000000, 0xa076c5c1, 0x12c305cf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005ab4, 0x00000000, 0xecafc704, 0x1f43140e, 0x58b6671f,
      0x1f42f5cf, 0x00000000, 0x00000000, 0xd4aea742, 0x1f42f6ce],
     [0x0001789b, 0x00000000, 0xa080e5c1, 0x12c2fb8f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000679f, 0x00000000, 0x90b80704, 0x1f4305cf, 0x24ae4729,
      0x1f430c4f, 0x4cb22726, 0x1f43054f, 0x10b5872a, 0x1f42fc4f],
     [0x0001789c, 0x00000000, 0x3c82e5b7, 0x12c2f5cc, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000067a0, 0x00000000, 0xd4ace738, 0x1f42fa8e, 0x70b5072d,
      0x1f42fb0e, 0x70b00725, 0x1f42fb8e, 0x38ad0736, 0x1f42fa8f],
     [0x0001789d, 0x00000000, 0x3c8505aa, 0x12c2f58c, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000067a1, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x48a96739, 0x1f42fd4f, 0xbcabc739, 0x1f42fd4e],
     [0x0001789e, 0x00000000, 0x3884a5aa, 0x12c2f44c, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005abc, 0x00000000, 0xd8b46726, 0x1f42f8ce, 0xdcb06721,
      0x1f430c8e, 0x00000000, 0x00000000, 0x28b4a71b, 0x1f42f8cf],
     [0x0001789f, 0x00000000, 0x7882a686, 0x12c2fbcf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005abe, 0x00000000, 0x50b56724, 0x1f42f6ce, 0xecae672a,
      0x1f42fcce, 0x28b0c708, 0x1f42f78f, 0x2cb2c714, 0x1f42fb8f],
     [0x000178a0, 0x00000000, 0x3c8745aa, 0x12c2f40c, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000067a4, 0x00000000, 0x00000000, 0x00000000, 0x78b0872d,
      0x1f42f58e, 0x6cb5c70a, 0x1f42f38f, 0xd0afc738, 0x1f43034e],
     [0x000178a1, 0x00000000, 0x78848686, 0x12c2f84f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005ac2, 0x00000000, 0x44af2735, 0x1f42f94e, 0x20b68738,
      0x1f42f88e, 0x98af673a, 0x1f42f88e, 0x6cb22707, 0x1f42f78e],
     [0x000178a2, 0x00000000, 0x3c81e5b7, 0x12c2fa4c, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000067a6, 0x00000000, 0x00000000, 0x00000000, 0x94afc736,
      0x1f42fc4e, 0x50afa742, 0x1f42fa8e, 0x30ae4742, 0x1f42fa8e],
     [0x00005ac5, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x90b60728, 0x1f42f9ce, 0x8cafe73c, 0x1f42f88e],
     [0x00005ac6, 0x00000000, 0x54b10710, 0x1f42f3ce, 0xacaf8725,
      0x1f42fa8e, 0xecb22727, 0x1f42f78e, 0x00000000, 0x00000000],
     [0x00005ac7, 0x00000000, 0x00000000, 0x00000000, 0x44ace739,
      0x1f430b4e, 0xdcb0e716, 0x1f42f2ce, 0xe8b7e721, 0x1f42f58e],
     [0x00005ac8, 0x00000000, 0x70ac4709, 0x1f43138f, 0xecb1c70b,
      0x1f43080f, 0xfcb326f9, 0x1f42ff8f, 0xd4b4c700, 0x1f43020f],
     [0x000178a5, 0x00000000, 0x00000000, 0x00000000, 0xf49ae6ef,
      0x1842f80b, 0x00000000, 0x00000000, 0xf49be6ef, 0x17d2f90b],
     [0x00005aca, 0x00000000, 0x70b546f1, 0x1f43048f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000178a6, 0x00000000, 0x00000000, 0x00000000, 0xf49ca6ef,
      0x163afc4b, 0x00000000, 0x00000000, 0xf4a786ef, 0x1b32f90b],
     [0x00005acc, 0x00000000, 0x00000000, 0x00000000, 0x4cb7c701,
      0x1f42f80f, 0x20b646f6, 0x1f42f690, 0x28b1c6fa, 0x1f430390],
     [0x000178a7, 0x00000000, 0x00000000, 0x00000000, 0xf49fe6ef,
      0x17baf90b, 0x00000000, 0x00000000, 0xf49ee6ef, 0x1492f90b],
     [0x00005ace, 0x00000000, 0x24afe70b, 0x1f4302d0, 0x24b16717,
      0x1f42fdcf, 0x90b546fb, 0x1f42fdcf, 0x20b1c704, 0x1f43028f],
     [0x000178a8, 0x00000000, 0x00000000, 0x00000000, 0xf4a0e6ef,
      0x18aafc4b, 0x00000000, 0x00000000, 0xf4b406ef, 0x1c9af90b],
     [0x000067ac, 0x00000000, 0xf0b62738, 0x1f42fa4e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000178a9, 0x00000000, 0x00000000, 0x00000000, 0xf48026ef,
      0x0fb2f98b, 0x00000000, 0x00000000, 0xf49486ef, 0x1442ff0b],
     [0x00005ad2, 0x00000000, 0xc0b7a700, 0x1f42face, 0xbcb7c715,
      0x1f42f94e, 0xa0b4c712, 0x1f43068f, 0xb8b5c70f, 0x1f42f94f],
     [0x00005ad3, 0x00000000, 0xc4b7a709, 0x1f42fa0e, 0x70b2c716,
      0x1f42fe8f, 0xb8b7272a, 0x1f43008e, 0x00000000, 0x00000000],
     [0x000067ae, 0x00000000, 0x34b5c6fe, 0x1f43038f, 0x1cb3c708,
      0x1f42fdcf, 0x34b626fe, 0x1f42f8cf, 0xccb6e73b, 0x1f42f98e],
     [0x00005ad5, 0x00000000, 0x3cb826fc, 0x1f42fb4f, 0xfcb64716,
      0x1f42ffce, 0xb0b8a71a, 0x1f42f74e, 0x00000000, 0x00000000],
     [0x00005ad6, 0x00000000, 0x00000000, 0x00000000, 0x28b24722,
      0x1f42f90f, 0x00000000, 0x00000000, 0xa8b8a6fb, 0x1f42f9cf],
     [0x000178ac, 0x00000000, 0x00000000, 0x00000000, 0xf49fa6ef,
      0x1912fc4b, 0x00000000, 0x00000000, 0x64a146ef, 0x1392f2cc],
     [0x000067b0, 0x00000000, 0x6cb66742, 0x1f42f78e, 0x00000000,
      0x00000000, 0x64ab6738, 0x1f42f88e, 0x9cb2673f, 0x1f42fd8e],
     [0x000040b1, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x1894e651, 0x1f433453],
     [0x000067b1, 0x00000000, 0xb8afe719, 0x1f43058e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005adb, 0x00000000, 0x00000000, 0x00000000, 0x90b5e734,
      0x1f42f70e, 0x00000000, 0x00000000, 0x4cab6702, 0x1f430e0f],
     [0x0000f800, 0x00000000, 0x3cb0864a, 0x2503b80f, 0xccd786a8,
      0x2573b810, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005add, 0x00000000, 0x78b246fc, 0x1f43008f, 0x00000000,
      0x00000000, 0xa0ac871e, 0x1f43160e, 0x78b646fc, 0x1f42fc4f],
     [0x00005ade, 0x00000000, 0x6cb30737, 0x1f42fdce, 0x0caa26ee,
      0x1f43178f, 0x00000000, 0x00000000, 0x34b3e6d2, 0x1f4303d0],
     [0x0000f803, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x5492471b, 0x1773020a, 0xf49246ce, 0x1773020b],
     [0x00005ae0, 0x00000000, 0x94b426e7, 0x1f430310, 0xacb4c6db,
      0x1f43010f, 0x64b786cb, 0x1f42fad0, 0x00b5c704, 0x1f430090],
     [0x00014804, 0x00000000, 0x3860a502, 0x0a6aed12, 0x3860a502,
      0x0a6aed12, 0x387a2502, 0x0fa2e412, 0x687a24f5, 0x0fa2e412],
     [0x00005ae2, 0x00000000, 0xecba0694, 0x1f43008f, 0xccaaa717,
      0x1f43028e, 0x6cb7272e, 0x1f42fbce, 0x98aee70b, 0x1f43040e],
     [0x00005ae3, 0x00000000, 0x20aec6dc, 0x1f430290, 0xd4b14718,
      0x1f4300ce, 0xd0b24708, 0x1f42ff8f, 0xd8b546f8, 0x1f42fcce],
     [0x0000f808, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xf493e6ce, 0x1772ff0b],
     [0x00005ae5, 0x00000000, 0xd8b4c715, 0x1f42face, 0x4cb00701,
      0x1f4300cf, 0xa8b60729, 0x1f43048f, 0xecb62718, 0x1f42face],
     [0x0000f80a, 0x00000000, 0x08b6a688, 0x1f42f78d, 0x08b6a688,
      0x1f42f78d, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000178b4, 0x00000000, 0x00000000, 0x00000000, 0xf47f06ef,
      0x1002f90b, 0x00000000, 0x00000000, 0xf49dc6ef, 0x1472e6cb],
     [0x00005ae8, 0x00000000, 0x24b06712, 0x1f42fe0f, 0x90b0c703,
      0x1f4301cf, 0xb8b20724, 0x1f4302ce, 0x3cb2c722, 0x1f42fd8f],
     [0x0000f80d, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x0893c688, 0x1772fecd],
     [0x00005aea, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x8cb0a72b, 0x1f42fe8f, 0x9cb1e715, 0x1f42fbce],
     [0x000178b6, 0x00000000, 0x00000000, 0x00000000, 0x647b86ef,
      0x0baaf68c, 0x00000000, 0x00000000, 0xf49de6ef, 0x12c2e6cb],
     [0x00005aec, 0x00000000, 0xc4ae8739, 0x1f43038e, 0xbcb6e726,
      0x1f42f74e, 0xbcb7a726, 0x1f42f8ce, 0x34af271d, 0x1f4317cf],
     [0x000178b7, 0x00000000, 0x00000000, 0x00000000, 0xf49106ef,
      0x1372f6cb, 0x00000000, 0x00000000, 0x647b06ef, 0x0beaf58c],
     [0x00005aee, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xccb68706, 0x1f43018f, 0x48b40726, 0x1f42fd4f],
     [0x000178b8, 0x00000000, 0x00000000, 0x00000000, 0xf4a746ef,
      0x1b4af6cb, 0x00000000, 0x00000000, 0xf48726ef, 0x131af6cb],
     [0x0000f814, 0x00000000, 0x08916688, 0x177303cd, 0x08916688,
      0x177303cd, 0x8c93e626, 0x1772ff0e, 0x00000000, 0x00000000],
     [0x000178b9, 0x00000000, 0x00000000, 0x00000000, 0xf48306ef,
      0x11daf98b, 0x00000000, 0x00000000, 0xf48fa6ef, 0x13e2e7cb],
     [0x0000f816, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xe093e626, 0x1772ff0f],
     [0x00005af3, 0x00000000, 0xc8b446d5, 0x1f42ff10, 0xe4b6a6ed,
      0x1f42fcce, 0x6cb6c748, 0x1f42f7ce, 0x7cb6c74a, 0x1f42fe8e],
     [0x00005af4, 0x00000000, 0xb8b2c729, 0x1f43038e, 0x00000000,
      0x00000000, 0x7cb5a741, 0x1f42fbce, 0xc0b98715, 0x1f42f88f],
     [0x00005af5, 0x00000000, 0x7cb5e6f2, 0x1f431510, 0xb8ae8713,
      0x1f4308ce, 0x3cace718, 0x1f43060e, 0x14b586f2, 0x1f42f990],
     [0x00005af6, 0x00000000, 0x68b18711, 0x1f431e0f, 0x18b0471e,
      0x1f43140f, 0x50b2673f, 0x1f43140e, 0xf0b7c711, 0x1f43008f],
     [0x00005af7, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xbcace6fe, 0x1f4311ce, 0x64ad272e, 0x1f430b0e],
     [0x00005af8, 0x00000000, 0x80b00719, 0x1f430f4e, 0xa8b5e6ee,
      0x1f42f74f, 0x38b6a6ef, 0x1f42f70f, 0x90af0721, 0x1f430cce],
     [0x00005af9, 0x00000000, 0x18b8e6d8, 0x1f42f8cf, 0x00000000,
      0x00000000, 0x08b766c3, 0x1f42f88f, 0x3cb346cd, 0x1f42fc0f],
     [0x00005afa, 0x00000000, 0x40b586d6, 0x1f42fc0f, 0x00000000,
      0x00000000, 0x98b226fd, 0x1f42fb4f, 0xbcade736, 0x1f430ece],
     [0x00005afb, 0x00000000, 0x54b30710, 0x1f42f68f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x74b5a70c, 0x1f42f54f],
     [0x0000f820, 0x00000000, 0x5c92471b, 0x1773020a, 0x4893a71c,
      0x177304ca, 0xf49246ce, 0x1773020b, 0xf89246ce, 0x1773020b],
     [0x00005e15, 0x00000000, 0x00000000, 0x00000000, 0x7caac706,
      0x1f42f7cf, 0x30b64708, 0x1f42f610, 0x98b44719, 0x1f42f5cf],
     [0x00005afe, 0x00000000, 0x28b6e6d5, 0x1f42f44f, 0x20b50713,
      0x1f42fd10, 0x00000000, 0x00000000, 0xd8b7c70d, 0x1f42fbce],
     [0x00005aff, 0x00000000, 0x20b846e5, 0x1f42ff4f, 0xbcb4a702,
      0x1f42f58e, 0x88b866f1, 0x1f42f70f, 0x60b5672a, 0x1f42f70e],
     [0x00005b00, 0x00000000, 0x1cb5e70d, 0x1f43008f, 0x6cb5a70a,
      0x1f42f50f, 0x08ae8722, 0x1f43084f, 0x50b74711, 0x1f42fd8f],
     [0x00005b01, 0x00000000, 0x64b7e709, 0x1f43080f, 0x88b0a72a,
      0x1f430e0e, 0x4cb4e705, 0x1f42f80f, 0x60b1070b, 0x1f42fa0f],
     [0x00005b02, 0x00000000, 0x78b9472e, 0x1f4300cf, 0x68b526e7,
      0x1f4301cf, 0x00000000, 0x00000000, 0xd4b7c732, 0x1f43020e],
     [0x00005b03, 0x00000000, 0xdcb226e1, 0x1f42fa4e, 0xf8b7a6dd,
      0x1f42f58e, 0x00000000, 0x00000000, 0x9cb2a717, 0x1f430e0e],
     [0x00005b04, 0x00000000, 0x0cb54731, 0x1f4318d0, 0x0cb52703,
      0x1f43148f, 0x00000000, 0x00000000, 0x74b6e6da, 0x1f42fd0f],
     [0x00005b05, 0x00000000, 0x1cb4871b, 0x1f430a8f, 0x7cb6870d,
      0x1f43098e, 0xecb7072e, 0x1f42fe8e, 0x08b28738, 0x1f43004f],
     [0x00005b06, 0x00000000, 0x78b5c729, 0x1f430fce, 0xb4b5c71b,
      0x1f43158e, 0xecb64738, 0x1f43120e, 0xe0b42742, 0x1f430b0e],
     [0x00005b07, 0x00000000, 0x00000000, 0x00000000, 0xd8b4c729,
      0x1f43158e, 0x00000000, 0x00000000, 0x54b28741, 0x1f43104e],
     [0x0000f82c, 0x00000000, 0xec72a6d8, 0x00030717, 0x6472a3b6,
      0x0003070b, 0x647283b6, 0x000306cb, 0x747b669b, 0x1162f18c],
     [0x0000f82d, 0x00000000, 0xe45c6613, 0x08d2f892, 0xe45c8613,
      0x08d2f8d2, 0x805045c6, 0x0002f1d0, 0x00000000, 0x00000000],
     [0x00005b0a, 0x00000000, 0x98b3e732, 0x1f42fe0e, 0x58b38721,
      0x1f430a4f, 0x20b54721, 0x1f43174f, 0xd8b94731, 0x1f430d8e],
     [0x00005e1c, 0x00000000, 0x2ca8a6fe, 0x1f4308cf, 0xe8ad46c8,
      0x1f42f50f, 0x8cb806c3, 0x1f42f4cf, 0x00000000, 0x00000000],
     [0x00005b0c, 0x00000000, 0x70b46743, 0x1f4303ce, 0x00000000,
      0x00000000, 0x70b4871d, 0x1f430d4e, 0x38b5c736, 0x1f430d4e],
     [0x00005b0d, 0x00000000, 0xe8baa716, 0x1f43088e, 0xb48806d7,
      0x1f43384f, 0xccb726eb, 0x1f42ff0e, 0xe8b48716, 0x1f42fb4e],
     [0x00005b0e, 0x00000000, 0xfcb5272a, 0x1f43000e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x24ad6700, 0x1f430bcf],
     [0x00005b0f, 0x00000000, 0x00000000, 0x00000000, 0xf4b606fc,
      0x1f4307ce, 0xfcb1a6c3, 0x1f43088f, 0xc8b606e3, 0x1f43028f],
     [0x00005b10, 0x00000000, 0x4cb086e2, 0x1f430b4f, 0xf4afa71c,
      0x1f430c4e, 0x6cb82735, 0x1f430d4e, 0xf4b5a6ce, 0x1f43000f],
     [0x00005b11, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x98aea6eb, 0x1f43118e, 0x34ae86db, 0x1f430f10],
     [0x0000f836, 0x00000000, 0x6c696698, 0x0c82fc4f, 0xa05f067f,
      0x09d2fb8f, 0xa06ce67f, 0x0d4afb8f, 0x00000000, 0x00000000],
     [0x0000f837, 0x00000000, 0x00000000, 0x00000000, 0xa07ae78a,
      0x114b010f, 0xa07ac786, 0x112afecf, 0xa096c6e5, 0x182afecf],
     [0x00005b14, 0x00000000, 0xe0a98710, 0x1f430b0e, 0x00000000,
      0x00000000, 0xc4afe6c8, 0x1f43054f, 0x00000000, 0x00000000],
     [0x00005b15, 0x00000000, 0x58b2670b, 0x1f43080f, 0x00b166e6,
      0x1f430a50, 0x00000000, 0x00000000, 0x28b2a6f7, 0x1f430c4f],
     [0x00005b16, 0x00000000, 0x00000000, 0x00000000, 0xc0b286e2,
      0x1f430ace, 0xd0b046de, 0x1f43044e, 0x8cb5e6cf, 0x1f430b4f],
     [0x00005e22, 0x00000000, 0x00000000, 0x00000000, 0x58ab86f4,
      0x1f42f40f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005b18, 0x00000000, 0xc4b80709, 0x1f430a4f, 0xd4b226de,
      0x1f430d8e, 0xe4b0e6e1, 0x1f43030f, 0x00000000, 0x00000000],
     [0x000178cd, 0x00000000, 0x00000000, 0x00000000, 0x647ee6ef,
      0x0fe2f90c, 0x00000000, 0x00000000, 0x648d26ef, 0x0fcae08c],
     [0x000151ce, 0x00000000, 0x747d65b6, 0x0f52f90c, 0x8081c695,
      0x10d2f90f, 0x7876e5b6, 0x0f7af50f, 0x747fc695, 0x0ec2f90c],
     [0x00005b1b, 0x00000000, 0x00000000, 0x00000000, 0x04aca6e5,
      0x1f43098f, 0x00000000, 0x00000000, 0xa4ab06f8, 0x1f43078f],
     [0x00005b1c, 0x00000000, 0xf0b7a702, 0x1f43058e, 0xccb6a6e9,
      0x1f4308cf, 0xe8b606d7, 0x1f43048f, 0x98b706de, 0x1f43098f],
     [0x00005b1d, 0x00000000, 0x24b186fb, 0x1f43058f, 0x00000000,
      0x00000000, 0x70b3e6f1, 0x1f43028f, 0x00000000, 0x00000000],
     [0x00005b1e, 0x00000000, 0xe8b526e0, 0x1f430a4e, 0x00ad26e7,
      0x1f430b50, 0x70b4270e, 0x1f430e8f, 0xb8b26707, 0x1f43058e],
     [0x00005b1f, 0x00000000, 0x00000000, 0x00000000, 0x18b9073a,
      0x1f430d8f, 0x20b646de, 0x1f42ff8f, 0x00000000, 0x00000000],
     [0x00005b20, 0x00000000, 0x80b786e5, 0x1f42f50e, 0x28b266cf,
      0x1f430890, 0x7caf26f9, 0x1f43064e, 0xf0b5e6db, 0x1f430a4f],
     [0x00005b21, 0x00000000, 0xd4b326de, 0x1f43024f, 0x10b666c2,
      0x1f430090, 0x1cb5c6f7, 0x1f43078f, 0x94b5c70b, 0x1f43068f],
     [0x00005b22, 0x00000000, 0xb0b52706, 0x1f43094f, 0x0cb746bf,
      0x1f43044f, 0xf4b5a6f9, 0x1f42f88e, 0x34b4a6eb, 0x1f4307cf],
     [0x00005b23, 0x00000000, 0x60b2a70c, 0x1f42fbcf, 0x00b126db,
      0x1f430890, 0x9cb666e2, 0x1f43054f, 0xb4b3c6e1, 0x1f430a8f],
     [0x00005b24, 0x00000000, 0x9cb8672f, 0x1f43044e, 0x00000000,
      0x00000000, 0xa4b5c70e, 0x1f430e4f, 0x94b0271f, 0x1f430d8e],
     [0x0000d100, 0x00000000, 0xa094a69a, 0x1692f04f, 0xa08be68c,
      0x14daf20f, 0x5494669b, 0x1692fa4f, 0xa094c68c, 0x1692f18f],
     [0x00005b26, 0x00000000, 0x38b3e6da, 0x1f430d50, 0x54b48723,
      0x1f430c4e, 0x9cb346cf, 0x1f43094f, 0x6cb2871a, 0x1f430f4e],
     [0x0000d102, 0x00000000, 0xa06cc68c, 0x0c2af30f, 0x207a468c,
      0x0fa2eece, 0xa09ea68c, 0x1852f58f, 0xa08e468c, 0x14daf2cf],
     [0x00005b28, 0x00000000, 0x00000000, 0x00000000, 0xa4b5c6eb,
      0x1f430e4f, 0xe4b286de, 0x1f43004f, 0xd8ae871d, 0x1f43088e],
     [0x0000d104, 0x00000000, 0xe09b669b, 0x1852f6cc, 0xa098068c,
      0x1692f48f, 0x547ea69c, 0x1162f6cf, 0xa08e068c, 0x14daf5cf],
     [0x00005b2a, 0x00000000, 0x00000000, 0x00000000, 0x98a90701,
      0x1f43088f, 0xe4a78703, 0x1f430b8f, 0x7cb7871b, 0x1f43064e],
     [0x0000d106, 0x00000000, 0xa095e68c, 0x1692f1cf, 0xa08dc68c,
      0x14daf50f, 0x687b85c1, 0x0fa2f44f, 0x687fa68c, 0x1162f24f],
     [0x00005b2c, 0x00000000, 0xc4ad26cf, 0x1f430ccf, 0xb4abc705,
      0x1f43078f, 0xc4b24705, 0x1f43068f, 0xecb466e3, 0x1f430f4e],
     [0x00005b2d, 0x00000000, 0x74b78715, 0x1f4303ce, 0x00000000,
      0x00000000, 0x94aae6bf, 0x1f43078f, 0x6cb0e700, 0x1f430b8f],
     [0x00005b2e, 0x00000000, 0x8cb00733, 0x1f43078e, 0x8cae6702,
      0x1f430a4f, 0xc0ad66d3, 0x1f43038f, 0x98ac06fd, 0x1f430a4f],
     [0x0000d10a, 0x00000000, 0x687a05c1, 0x0fa2f44f, 0x6c8005c1,
      0x1162f2cc, 0x6c8185c1, 0x1162f68c, 0xa074c5c1, 0x0de2f50f],
     [0x0000d10b, 0x00000000, 0x686ba5c1, 0x0c2af44f, 0x7068065e,
      0x0a6af2cf, 0x6881c5b5, 0x1162f20f, 0x687b25b5, 0x0fa2f34f],
     [0x0000d10c, 0x00000000, 0x6896e5b5, 0x1692f3cf, 0xa07b05b5,
      0x0fa2f10f, 0x6c7ac5b5, 0x0fa2f20c, 0xa07305b5, 0x0de2f34f],
     [0x00005b32, 0x00000000, 0x00000000, 0x00000000, 0x7cb64737,
      0x1f4307ce, 0x2ca98700, 0x1f430f50, 0x00000000, 0x00000000],
     [0x00005b33, 0x00000000, 0x38b3c6d1, 0x1f430b90, 0x7cb88703,
      0x1f43044e, 0x00000000, 0x00000000, 0xa0a8a6e9, 0x1f430b4f],
     [0x00005b34, 0x00000000, 0xf0adc6d0, 0x1f43010f, 0x90ae66d8,
      0x1f43058f, 0xe0b626dc, 0x1f43084f, 0xe8ae66cc, 0x1f43038e],
     [0x00005b35, 0x00000000, 0x38af26f9, 0x1f43044f, 0xf0b40725,
      0x1f430e0f, 0x4cada6f0, 0x1f43048e, 0x18aec6d4, 0x1f430590],
     [0x00005b36, 0x00000000, 0x00000000, 0x00000000, 0xb8b1e6e6,
      0x1f430b4e, 0xdcb466c0, 0x1f43058f, 0x0cb646f8, 0x1f430790],
     [0x00005b37, 0x00000000, 0xc0b1a6df, 0x1f430d4f, 0x6caf4709,
      0x1f43060e, 0x1cb48706, 0x1f430a4f, 0x00000000, 0x00000000],
     [0x00005b38, 0x00000000, 0xd8b7a6f7, 0x1f43038e, 0x6cb32716,
      0x1f43094f, 0x2cb68719, 0x1f4309cf, 0xb0b2c6db, 0x1f430c4f],
     [0x000178dd, 0x00000000, 0x00000000, 0x00000000, 0xf48886ef,
      0x11cae18b, 0x00000000, 0x00000000, 0x6482e6ef, 0x11daf98c],
     [0x000067e1, 0x00000000, 0xecb646fe, 0x1f42fcce, 0x00b466f6,
      0x1f42fcd0, 0x14ad06ee, 0x1f42fe90, 0xf4b646d2, 0x1f42fa8f],
     [0x00005b3b, 0x00000000, 0xd8b4c6ea, 0x1f43048f, 0xe8b0a6e5,
      0x1f43098e, 0x98aca6fd, 0x1f43068e, 0x44b546d9, 0x1f43034f],
     [0x00005b3c, 0x00000000, 0x58b7e749, 0x1f42ff8e, 0x8cb24704,
      0x1f43038f, 0xccace6f7, 0x1f430b4e, 0xf4b9271e, 0x1f43040e],
     [0x000178df, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xf49fa6ef, 0x18c2e40b, 0x00000000, 0x00000000],
     [0x00005b3e, 0x00000000, 0x88a6a71e, 0x1f430a4f, 0xc0b6a6ce,
      0x1f430a4f, 0x48ae26d7, 0x1f43094f, 0x58aca6da, 0x1f43088f],
     [0x00005e36, 0x00000000, 0x00000000, 0x00000000, 0x34b7471f,
      0x1f42f6cf, 0x5cb2c733, 0x1f42f40e, 0x60ad472c, 0x1f430b8e],
     [0x00005b40, 0x00000000, 0xf0b066ef, 0x1f43050e, 0x58aa8706,
      0x1f43078f, 0x00000000, 0x00000000, 0x84b066ee, 0x1f4305cf],
     [0x00005b41, 0x00000000, 0xfcad06d4, 0x1f43040f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x98a786c5, 0x1f43058f],
     [0x00005b42, 0x00000000, 0x90acc703, 0x1f43060f, 0x14aa66ed,
      0x1f4302d0, 0xf8b0e6f4, 0x1f43070e, 0x4cb2c72e, 0x1f43114e],
     [0x00005b43, 0x00000000, 0xf4a8e6f1, 0x1f43038e, 0x90abe6d6,
      0x1f430a4f, 0xb8a2a704, 0x1f43078f, 0xb8af46c4, 0x1f43078f],
     [0x00005b44, 0x00000000, 0x20b226d5, 0x1f43040f, 0xc8b826df,
      0x1f43008f, 0x00ae06e7, 0x1f430650, 0x00000000, 0x00000000],
     [0x000040e7, 0x00000000, 0x80b266f1, 0x1f42fad0, 0x80ace6f1,
      0x1f430ed0, 0x88a966ed, 0x1f430b50, 0x50a6a6f1, 0x1f431510],
     [0x00005b46, 0x00000000, 0xd8a9e6fe, 0x1f43078e, 0x7cb6a724,
      0x1f43004e, 0x3cb84712, 0x1f4305ce, 0x68b7a71c, 0x1f43090f],
     [0x000040e8, 0x00000000, 0x80a4c6f1, 0x1f4316d0, 0x80a2e6f1,
      0x1f431a50, 0x00000000, 0x00000000, 0x80ab06f1, 0x1f430a50],
     [0x00005b48, 0x00000000, 0x4caf2704, 0x1f43068e, 0x00000000,
      0x00000000, 0x64b6e6cb, 0x1f43058f, 0x00000000, 0x00000000],
     [0x000040e9, 0x00000000, 0x80abc6f1, 0x1f430e50, 0x80a886f1,
      0x1f431410, 0x80a8c6f1, 0x1f431390, 0x80ac66f1, 0x1f430bd0],
     [0x00005b4a, 0x00000000, 0xa0b7c703, 0x1f43058f, 0x50b1c710,
      0x1f43104e, 0x9cb44702, 0x1f430ccf, 0x00b626df, 0x1f430190],
     [0x000040ea, 0x00000000, 0x80b666f1, 0x1f42f850, 0x80a906f1,
      0x1f430f10, 0xfc8ee6ee, 0x1f43474f, 0xcca5c70b, 0x1f43198f],
     [0x00005b4c, 0x00000000, 0xa4b0c6c7, 0x1f430c0f, 0x5cb3e6c1,
      0x1f4308ce, 0x28aa06ff, 0x1f43094f, 0xccafe6eb, 0x1f43040f],
     [0x000040eb, 0x00000000, 0xa0a106b7, 0x1f43230f, 0xa093669c,
      0x1f433e4f, 0xa49c06d3, 0x1f432d0d, 0xa08da6cf, 0x1f4349cf],
     [0x00005b4e, 0x00000000, 0x58b58703, 0x1f43038f, 0xccb146b8,
      0x1f430b0f, 0x3ca7c710, 0x1f43074f, 0x50b3e70f, 0x1f430d50],
     [0x000040ec, 0x00000000, 0xa09c8748, 0x1f432c0f, 0x50a7c5f4,
      0x1f431a50, 0x5ca5e6e6, 0x1f43104e, 0x2c9dc5fa, 0x1f43360e],
     [0x000151e9, 0x00000000, 0xa0a2669b, 0x14fb04cf, 0xa0a6e68c,
      0x1a1b000f, 0xa0a6a68c, 0x1722f30f, 0xa0af269b, 0x18bb0d4f],
     [0x000040ed, 0x00000000, 0x509f26e6, 0x1f432390, 0x5097c5f1,
      0x1f433910, 0x449bc721, 0x1f432a8e, 0x449ce5f5, 0x1f4322ce],
     [0x0000a9e4, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x6896068c, 0x16f2f28f, 0x00000000, 0x00000000],
     [0x000040ee, 0x00000000, 0x509b26e6, 0x1f432c90, 0x5090461c,
      0x1f4346d0, 0x44a125f9, 0x1f4324d0, 0x509b86e5, 0x1f4324d0],
     [0x000151eb, 0x00000000, 0x7085e5c1, 0x106b030c, 0x6882e69c,
      0x0fdaf58f, 0x687e05c1, 0x0fc2f94f, 0x6c81e69c, 0x0f02fa4c],
     [0x00005b55, 0x00000000, 0x0cad86e3, 0x1f4307cf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005b56, 0x00000000, 0x88b066d7, 0x1f43074f, 0x7cb6c73b,
      0x1f4308ce, 0xf8b6e71a, 0x1f430b4e, 0x00000000, 0x00000000],
     [0x00005b57, 0x00000000, 0xb4b36703, 0x1f43058f, 0x00000000,
      0x00000000, 0x7cb206c3, 0x1f430a4f, 0xdcb1c6cf, 0x1f43068f],
     [0x00005b58, 0x00000000, 0x4caa470b, 0x1f43088e, 0x88b1e72e,
      0x1f43060e, 0x9cae86d7, 0x1f430c4f, 0x7cb2071a, 0x1f43094f],
     [0x00014840, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x68968695, 0x164af6cf, 0x00000000, 0x00000000],
     [0x00005b5a, 0x00000000, 0x1cb346eb, 0x1f43068f, 0x58b5870a,
      0x1f430a4f, 0xd8b6e736, 0x1f430a8e, 0x00000000, 0x00000000],
     [0x00014841, 0x00000000, 0x00000000, 0x00000000, 0x68a1e693,
      0x1a7afb0f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005b5c, 0x00000000, 0x68ad46e5, 0x1f43038e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00014842, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x209ee5b6, 0x199af4cc, 0x4ccec6a3, 0x249afe4f],
     [0x00005b5e, 0x00000000, 0x24b52711, 0x1f43098f, 0x94b72713,
      0x1f430c4f, 0xd4b1a6e6, 0x1f4302ce, 0x50a9e6bc, 0x1f4307cf],
     [0x00005b5f, 0x00000000, 0x30b30718, 0x1f43068f, 0x20b4c711,
      0x1f430b0f, 0x1cabe6fa, 0x1f43098f, 0x58a606d4, 0x1f430c4f],
     [0x000151f1, 0x00000000, 0x687945c1, 0x0ea2f94f, 0x6886e69c,
      0x121afb8f, 0x7891a5c1, 0x1432eb8f, 0x6c90469c, 0x1532fa0c],
     [0x00005b61, 0x00000000, 0x30b3e728, 0x1f430a4e, 0x5cb166cc,
      0x1f430b4f, 0xacb526cd, 0x1f43038e, 0x84b146d8, 0x1f430d0f],
     [0x00005b62, 0x00000000, 0xe0a86712, 0x1f430e4e, 0x60ae8724,
      0x1f430f4e, 0xd0b166d4, 0x1f4307cf, 0xecae66ef, 0x1f43088f],
     [0x00005b63, 0x00000000, 0xb0a586f6, 0x1f43074e, 0xdcae26fb,
      0x1f43094e, 0x08b746f5, 0x1f430590, 0x00000000, 0x00000000],
     [0x00005b64, 0x00000000, 0x1cabe6eb, 0x1f43028f, 0xacb82716,
      0x1f43094e, 0x5cb266df, 0x1f43088f, 0x0ca4e6fc, 0x1f430d4f],
     [0x00005b65, 0x00000000, 0x80b6072e, 0x1f42fbce, 0x88b0473e,
      0x1f43094e, 0x00000000, 0x00000000, 0x80b026ff, 0x1f4304cf],
     [0x00005b66, 0x00000000, 0xa4ac06ec, 0x1f43068f, 0xc0b0c6f6,
      0x1f4303cf, 0x00000000, 0x00000000, 0xc4aea720, 0x1f43040e],
     [0x00005b67, 0x00000000, 0xe0af0737, 0x1f43070f, 0x38af871e,
      0x1f430a4f, 0xf8b44712, 0x1f43068e, 0x74b24708, 0x1f43018f],
     [0x00005b68, 0x00000000, 0x3cab86d7, 0x1f43064f, 0xccaaa6f4,
      0x1f430d4f, 0x00000000, 0x00000000, 0xe0b2a70a, 0x1f430c4f],
     [0x00005b69, 0x00000000, 0xdcb36719, 0x1f43098e, 0x00000000,
      0x00000000, 0x2ca9e6d0, 0x1f43078f, 0x4ca8e6d3, 0x1f43084f],
     [0x00005b6a, 0x00000000, 0xf0b626ea, 0x1f43038f, 0xc4ade6d7,
      0x1f43084f, 0x88b06712, 0x1f43044f, 0xdcb006ee, 0x1f43124e],
     [0x00005b6b, 0x00000000, 0xb8ae672a, 0x1f430f4e, 0x00000000,
      0x00000000, 0xdcab86fc, 0x1f43060e, 0x24b2c6f8, 0x1f430b0f],
     [0x00005b6c, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x74b8670b, 0x1f430b4f, 0xa4ade6fe, 0x1f430a4f],
     [0x00005b6d, 0x00000000, 0xa0aea6f2, 0x1f430d0f, 0xe8ae06d6,
      0x1f4306cf, 0x00000000, 0x00000000, 0xf8b2470e, 0x1f43068e],
     [0x00005b6e, 0x00000000, 0xe8aae6da, 0x1f430b4f, 0x00000000,
      0x00000000, 0xe0aa26d8, 0x1f43098f, 0x28b4e70f, 0x1f43088f],
     [0x0001484b, 0x00000000, 0x4cb9a6a3, 0x2122fbcf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x688f85b6, 0x16b2f6cf],
     [0x00005b70, 0x00000000, 0x60b2070d, 0x1f430b4f, 0x00000000,
      0x00000000, 0x14b166f7, 0x1f430e0f, 0x00000000, 0x00000000],
     [0x0001484c, 0x00000000, 0x4ca166a3, 0x19d305cf, 0x4cbea6a3,
      0x2092fe4f, 0x00000000, 0x00000000, 0x4cda26a3, 0x28a2fd0f],
     [0x00005b72, 0x00000000, 0xccade6e2, 0x1f43038f, 0x68b166e0,
      0x1f43094f, 0xf4aae70a, 0x1f43124f, 0xf8b8a711, 0x1f42ff8e],
     [0x0000d14e, 0x00000000, 0xa09aa68c, 0x189afa8f, 0xa092268c,
      0x16cb00cf, 0x00000000, 0x00000000, 0xa096668c, 0x176300cf],
     [0x0000f898, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x787c858e, 0x105af48f],
     [0x0000f899, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xa0730591, 0x105b09cf],
     [0x0000d151, 0x00000000, 0xa0a7668c, 0x1c9300cf, 0x00000000,
      0x00000000, 0x549b469b, 0x189af94f, 0x00000000, 0x00000000],
     [0x0000f89b, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x887a4590, 0x105af5cc],
     [0x0000d153, 0x00000000, 0x5492068c, 0x1712ff8f, 0xa096868c,
      0x139af24f, 0xa0bd668c, 0x1f22f24f, 0xa09ea68c, 0x18d2f30f],
     [0x0000f89d, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x8879c58d, 0x105afa4c],
     [0x0000f89e, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x807d464e, 0x105af34f],
     [0x0000f89f, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x887de58d, 0x105af00c],
     [0x0000f8a0, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x707c2646, 0x105af5cf],
     [0x0000f8a1, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x787ce58d, 0x105af44c],
     [0x00005b7e, 0x00000000, 0x00000000, 0x00000000, 0xb8b7a73c,
      0x1f430a4e, 0xe8b2072a, 0x1f430c4e, 0x6cba8715, 0x1f43058f],
     [0x0000f8a3, 0x00000000, 0x00000000, 0x00000000, 0x307cc6c6,
      0x00030517, 0x00000000, 0x00000000, 0xa0674497, 0x0a2aedcf],
     [0x0000d15b, 0x00000000, 0x3ca326a5, 0x1ac2fa8f, 0x54a1c6a5,
      0x1a8afa8f, 0x5499e6a5, 0x182afb8f, 0x54a706a5, 0x1bdafb8f],
     [0x00005b81, 0x00000000, 0x00000000, 0x00000000, 0x70b54748,
      0x1f430b4e, 0x00000000, 0x00000000, 0xd8ae471e, 0x1f43088e],
     [0x0000d15d, 0x00000000, 0x3c9a66a5, 0x18b2fb8f, 0x6c9c06a5,
      0x191afb8c, 0x3ca446a5, 0x1b02f88f, 0x3c8f26a5, 0x15dafacf],
     [0x0000d15e, 0x00000000, 0x3cc5a6a5, 0x236afa8f, 0x3ca3c6a5,
      0x1af2fa8f, 0x54a946a5, 0x1c6afb8f, 0x6ca1e6a5, 0x1a92fa8c],
     [0x00005b84, 0x00000000, 0xd8b12709, 0x1f4308ce, 0x84b066e4,
      0x1f43078f, 0x00000000, 0x00000000, 0x88b0272a, 0x1f4304cf],
     [0x0000d160, 0x00000000, 0x3ca3a6a5, 0x1ae2fb8f, 0x54a286a5,
      0x1abafa8f, 0x54c3c6a5, 0x230afa8f, 0x3c9f66a5, 0x199afa8f],
     [0x0000d161, 0x00000000, 0x6ca046a5, 0x1a2afa8c, 0x949666a5,
      0x179af90c, 0x4082a5c3, 0x12c2fbcf, 0x407d869f, 0x117af94f],
     [0x0000d162, 0x00000000, 0x407205c3, 0x0e82fbcf, 0x3c7d469e,
      0x116afa0f, 0x4073e5c3, 0x0ee2fbcf, 0x486a86a4, 0x0b92f64c],
     [0x0000d163, 0x00000000, 0x347dc5c3, 0x11b2fbcc, 0x347f069f,
      0x1202f94c, 0x406de6a1, 0x0d6af6cf, 0x3468a6a1, 0x0c2af80c],
     [0x00004109, 0x00000000, 0xc89c468e, 0x1f432c90, 0xc89d668e,
      0x1f432c50, 0x689e468e, 0x1f43270f, 0xc897c68e, 0x1f4328d0],
     [0x0000d165, 0x00000000, 0x407ce5c3, 0x1152f94f, 0x3487a639,
      0x1402f70c, 0x347fc5c3, 0x11f2fbcc, 0x407c25c3, 0x106af80f],
     [0x0000d166, 0x00000000, 0x247da66b, 0x116afb0f, 0x446dc678,
      0x0db2f94f, 0x408d25c3, 0x154af6cf, 0x40804639, 0x11eafbcf],
     [0x0000d167, 0x00000000, 0x40a1e639, 0x1a92fbcf, 0x5c7ba5c3,
      0x104afa8c, 0x34818639, 0x12a2fbcc, 0x347525c3, 0x0f22f70c],
     [0x0000410b, 0x00000000, 0xc499068e, 0x1f432c90, 0x9c94e698,
      0x1f433010, 0x9ca18698, 0x1f431110, 0xa09a868e, 0x1f432690],
     [0x00005b8e, 0x00000000, 0x10b4c71f, 0x1f4306cf, 0x14ad671c,
      0x1f430b8f, 0xfcb7c711, 0x1f43048e, 0xb0ad6706, 0x1f43058e],
     [0x0000410c, 0x00000000, 0x9c96a5cc, 0x1f4337d0, 0x9c96c68e,
      0x1f4337d0, 0xc49685cc, 0x1f433810, 0xc89685cd, 0x1f433810],
     [0x00005b90, 0x00000000, 0x64b786f6, 0x1f43060f, 0x2cb446ff,
      0x1f42fd0f, 0x00000000, 0x00000000, 0x8cb406ec, 0x1f42fbce],
     [0x00005b91, 0x00000000, 0x5ca38702, 0x1f43030f, 0x6cb4c725,
      0x1f43070e, 0xa0b0071a, 0x1f430c8e, 0x44afe717, 0x1f430c8e],
     [0x00005b92, 0x00000000, 0x00000000, 0x00000000, 0xfcafa6f3,
      0x1f43058e, 0x08b8e738, 0x1f43078f, 0x2cb1a738, 0x1f430b4e],
     [0x00005b93, 0x00000000, 0x00000000, 0x00000000, 0xb8ace70b,
      0x1f43084e, 0xfcace6c2, 0x1f43008f, 0x00000000, 0x00000000],
     [0x00005b94, 0x00000000, 0x00000000, 0x00000000, 0xb4b16710,
      0x1f4306ce, 0x1cb36728, 0x1f43098e, 0xb8b7a70d, 0x1f43068f],
     [0x00005b95, 0x00000000, 0xa4b00703, 0x1f430c4e, 0x24af8702,
      0x1f43064f, 0x30af072f, 0x1f43084f, 0x00000000, 0x00000000],
     [0x00005b96, 0x00000000, 0x0cac6708, 0x1f43028f, 0x00000000,
      0x00000000, 0x48b746fe, 0x1f42fecf, 0x10b4673d, 0x1f430d4f],
     [0x00005b97, 0x00000000, 0x70b306ec, 0x1f43094f, 0xf4ab471d,
      0x1f43094e, 0x10a3670e, 0x1f430c8f, 0x44b2a71c, 0x1f43094f],
     [0x00005b98, 0x00000000, 0xa4b24711, 0x1f430a4f, 0x98aca6d7,
      0x1f43098f, 0x50af46e4, 0x1f430f0f, 0xe0af66f1, 0x1f43058e],
     [0x00005b99, 0x00000000, 0x28b0c6f4, 0x1f430290, 0xb8ade715,
      0x1f430acf, 0xa4ae66f3, 0x1f43078f, 0x4caaa735, 0x1f430c4e],
     [0x00005b9a, 0x00000000, 0xa0ae46ef, 0x1f430b4f, 0x90ab8704,
      0x1f430d0f, 0x00000000, 0x00000000, 0xa8b6c6dd, 0x1f43034f],
     [0x0000f8bf, 0x00000000, 0x00000000, 0x00000000, 0xf494a6ef,
      0x1692f04b, 0x00000000, 0x00000000, 0xf48be6ef, 0x14daf20b],
     [0x0000d177, 0x00000000, 0xa06d668c, 0x0dc2fe4f, 0x2071468c,
      0x0f0af1ce, 0xa096e68c, 0x1643020f, 0xa087e68c, 0x12db020f],
     [0x0000f8c1, 0x00000000, 0x00000000, 0x00000000, 0xf48ea6ef,
      0x14daf20b, 0x00000000, 0x00000000, 0xf48dc6ef, 0x14daf50b],
     [0x00005b9e, 0x00000000, 0x70b2a722, 0x1f43084f, 0x38b0c6d7,
      0x1f43088f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000d17a, 0x00000000, 0x548c868c, 0x15db00cf, 0x5891a68c,
      0x1592f44f, 0x64b7668c, 0x1f2af58f, 0xa096068c, 0x1722f80f],
     [0x00005ba0, 0x00000000, 0xf0b0a715, 0x1f4303ce, 0x00000000,
      0x00000000, 0xf8ade70f, 0x1f43094e, 0xccb00724, 0x1f43098e],
     [0x0000f8c5, 0x00000000, 0x00000000, 0x00000000, 0xf49626ef,
      0x1692f20b, 0x00000000, 0x00000000, 0x648a66ef, 0x143af80c],
     [0x0000f8c6, 0x00000000, 0x00000000, 0x00000000, 0xf49b66ef,
      0x1852f6cb, 0x00000000, 0x00000000, 0x649d66ef, 0x1852f34c],
     [0x00005ba3, 0x00000000, 0x04b4e71d, 0x1f42fb4f, 0xd0ae06e9,
      0x1f43080e, 0x68b2e6e3, 0x1f42ffcf, 0xfcb1e719, 0x1f4303ce],
     [0x00005ba4, 0x00000000, 0x0caee6f3, 0x1f43098f, 0x00000000,
      0x00000000, 0xe0b48712, 0x1f43058e, 0x7cb6872e, 0x1f43094e],
     [0x0000d180, 0x00000000, 0x6c6b25c1, 0x0c0af44f, 0x706ce65e,
      0x0c12efcf, 0x647865b5, 0x1032fbcf, 0x687665b5, 0x0e72f1cf],
     [0x00005ba6, 0x00000000, 0x3cb0471e, 0x1f43098f, 0x98b6870a,
      0x1f43048e, 0x00000000, 0x00000000, 0x04b62706, 0x1f43068f],
     [0x00005ba7, 0x00000000, 0x40abe708, 0x1f43048f, 0xa0b5a747,
      0x1f43084e, 0x44b6e6e5, 0x1f43088f, 0x04ae86ef, 0x1f43024f],
     [0x00005ba8, 0x00000000, 0x1cb2c71d, 0x1f43078f, 0xe4b106f9,
      0x1f43068e, 0x44ae6702, 0x1f430790, 0x7cb786d4, 0x1f4303cf],
     [0x00005ba9, 0x00000000, 0x04aea6e8, 0x1f43098f, 0x80b38734,
      0x1f430a4e, 0x88b6c6fb, 0x1f4302cf, 0x24b5e716, 0x1f43034f],
     [0x00005baa, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x64b36734, 0x1f43080f, 0x44b226e6, 0x1f430590],
     [0x00005bab, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xc8adc6f3, 0x1f43078e, 0x40aca709, 0x1f43048f],
     [0x00005bac, 0x00000000, 0x4cac6700, 0x1f43098f, 0xccb34730,
      0x1f43020e, 0xdcb66729, 0x1f43028e, 0x2ca4c6f9, 0x1f430c8f],
     [0x00005bad, 0x00000000, 0xe8b66739, 0x1f43088e, 0x00000000,
      0x00000000, 0x1cb8c719, 0x1f43078f, 0x0ca866d8, 0x1f43008f],
     [0x00005bae, 0x00000000, 0x00000000, 0x00000000, 0x60b1c723,
      0x1f43098e, 0x58aba6f5, 0x1f43090f, 0x68a6c707, 0x1f43088f],
     [0x00005baf, 0x00000000, 0x80af4701, 0x1f430a4f, 0xe0aee708,
      0x1f43028e, 0x20b5a70d, 0x1f43078f, 0xa8b306fe, 0x1f4302ce],
     [0x00005bb0, 0x00000000, 0xe4aaa712, 0x1f43084e, 0xf4b546c6,
      0x1f43058e, 0x94afc738, 0x1f43028e, 0x94b1e705, 0x1f43078e],
     [0x00005bb1, 0x00000000, 0xa0b7a732, 0x1f43044e, 0x08b6c728,
      0x1f430a4f, 0x54ada6df, 0x1f43078f, 0xb4afc725, 0x1f4305ce],
     [0x00005bb2, 0x00000000, 0x3caa270b, 0x1f43028f, 0x10b506fc,
      0x1f4307cf, 0x74b26712, 0x1f43054e, 0x20a9a6ff, 0x1f430710],
     [0x00005bb3, 0x00000000, 0x20b7c71b, 0x1f43038f, 0x64ad26fa,
      0x1f43088f, 0x70ad6701, 0x1f43064e, 0x38b306dd, 0x1f43058f],
     [0x00005bb4, 0x00000000, 0xe0ab06e9, 0x1f43074e, 0x9cb44725,
      0x1f430a4e, 0x14afe6dc, 0x1f43078f, 0x5caf0735, 0x1f43084e],
     [0x00005bb5, 0x00000000, 0xa0ad2719, 0x1f43064f, 0x90b82731,
      0x1f42f64e, 0xf4b1a71a, 0x1f43054e, 0xe0b2070f, 0x1f430b4f],
     [0x0000f8da, 0x00000000, 0x00000000, 0x00000000, 0xf49246ef,
      0x14daeacb, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005bb7, 0x00000000, 0xbcb6471c, 0x1f43084e, 0xb4ade713,
      0x1f43094e, 0xacae470f, 0x1f43038e, 0x48b4a6f3, 0x1f4306cf],
     [0x00005bb8, 0x00000000, 0xf0b566f8, 0x1f43068f, 0x24ad0703,
      0x1f43098f, 0xe0ac8713, 0x1f430a4f, 0x00000000, 0x00000000],
     [0x00005bb9, 0x00000000, 0xe0b08702, 0x1f430b4f, 0x18aec6fb,
      0x1f430790, 0x08b24713, 0x1f430a4f, 0x00000000, 0x00000000],
     [0x00005bba, 0x00000000, 0xa0ade71c, 0x1f43048f, 0x74b206f8,
      0x1f4307cf, 0x00000000, 0x00000000, 0x68b6e710, 0x1f42fcce],
     [0x00005bbb, 0x00000000, 0x8cb6872a, 0x1f43090e, 0xd8af66f0,
      0x1f43058e, 0x88b3e706, 0x1f43010f, 0x9cb3073c, 0x1f43018e],
     [0x00005bbc, 0x00000000, 0x00000000, 0x00000000, 0x4cb20706,
      0x1f42ff8f, 0x90b7074e, 0x1f430bce, 0x00000000, 0x00000000],
     [0x00005bbd, 0x00000000, 0xeca7e722, 0x1f430c0e, 0x2cac06fb,
      0x1f43058f, 0x48b8070c, 0x1f42fb4f, 0x90a86709, 0x1f43058e],
     [0x00005bbe, 0x00000000, 0x6cb86715, 0x1f4301ce, 0xe8ab0725,
      0x1f4305ce, 0x00000000, 0x00000000, 0x60ac6715, 0x1f43040f],
     [0x00005bbf, 0x00000000, 0x04b3872c, 0x1f43014f, 0xd4ae273d,
      0x1f42ffce, 0x34b7e739, 0x1f430a8f, 0xa8ade72a, 0x1f43038e],
     [0x00005bc0, 0x00000000, 0x5cae8712, 0x1f4301ce, 0x68b34725,
      0x1f430b8f, 0xd0ae8723, 0x1f430b0e, 0x48b5270a, 0x1f43014f],
     [0x00005bc1, 0x00000000, 0x00000000, 0x00000000, 0x6cb36728,
      0x1f43038e, 0x80b84724, 0x1f43030e, 0x34b5c6f5, 0x1f42fccf],
     [0x00005bc2, 0x00000000, 0x24b58700, 0x1f43008f, 0x54b1e71b,
      0x1f43018f, 0xe4b1c711, 0x1f43050e, 0x00000000, 0x00000000],
     [0x00005bc3, 0x00000000, 0x00000000, 0x00000000, 0xc4a9c6d0,
      0x1f43048f, 0x64b546e6, 0x1f42ff8f, 0x6cb04700, 0x1f430bcf],
     [0x00005bc4, 0x00000000, 0x00000000, 0x00000000, 0xf0b706e1,
      0x1f42f74f, 0x7cae46ec, 0x1f42ff8f, 0x68aa4729, 0x1f43068e],
     [0x00005bc5, 0x00000000, 0x40b26731, 0x1f430d4f, 0xb0ab473e,
      0x1f43078e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005bc6, 0x00000000, 0xc0b3670b, 0x1f4301ce, 0xe4b2c728,
      0x1f43070e, 0xfcabe6cc, 0x1f43030e, 0x00000000, 0x00000000],
     [0x00005bc7, 0x00000000, 0x44b5e723, 0x1f43000f, 0x00000000,
      0x00000000, 0x28b34724, 0x1f43068f, 0xa8ad870b, 0x1f43058f],
     [0x00005bc8, 0x00000000, 0x48b1c734, 0x1f43088f, 0xd4aac71e,
      0x1f43048e, 0x88b2e736, 0x1f43088f, 0xe8b70715, 0x1f43048e],
     [0x0000f8ed, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x747ac691, 0x106af80f],
     [0x00005bca, 0x00000000, 0x00000000, 0x00000000, 0x48b64703,
      0x1f42fb8f, 0x9cb2c72b, 0x1f43020e, 0x08b6c721, 0x1f43094f],
     [0x0000f8ef, 0x00000000, 0x74794686, 0x106afb0f, 0x747a6691,
      0x106af8cf, 0x747a6696, 0x106af8cf, 0x747a6691, 0x106af8cf],
     [0x0000f8f0, 0x00000000, 0x747a6691, 0x106af8cf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xd493e6d3, 0x1772ff0b],
     [0x0000f8f1, 0x00000000, 0xd493e6d3, 0x1772ff0b, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005bce, 0x00000000, 0x7cb74739, 0x1f43068e, 0xa4aba70c,
      0x1f43030e, 0x28b44717, 0x1f43040f, 0xb0b6270a, 0x1f43014e],
     [0x00005bcf, 0x00000000, 0xb8ad6723, 0x1f43048e, 0x00000000,
      0x00000000, 0x8cb70739, 0x1f43060e, 0x5cb2c740, 0x1f430e8e],
     [0x00005bd0, 0x00000000, 0xfcab26f6, 0x1f43048e, 0xb4af6700,
      0x1f42fd0f, 0x00000000, 0x00000000, 0xccb3a714, 0x1f42face],
     [0x00005bd1, 0x00000000, 0x00000000, 0x00000000, 0x60ac4719,
      0x1f430c8f, 0xe0ac6716, 0x1f43074e, 0x7cad6721, 0x1f43048e],
     [0x00005bd2, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x1cb6a6e6, 0x1f430590],
     [0x00005bd3, 0x00000000, 0x00000000, 0x00000000, 0x9cb366ed,
      0x1f43030e, 0xb8b726df, 0x1f42ff8f, 0xa8a9a713, 0x1f43088e],
     [0x0000d1af, 0x00000000, 0xa095e69c, 0x1692eecf, 0xa0a4c68c,
      0x1a22f28f, 0xa095e68c, 0x175af20f, 0xa0a0a69c, 0x1902eecf],
     [0x0000d1b0, 0x00000000, 0xa098e69c, 0x1852f6cf, 0x6890868c,
      0x159af20f, 0x688bc5c1, 0x1422f44f, 0x6c80069c, 0x1162f94c],
     [0x0000d1b1, 0x00000000, 0x6c7d25c1, 0x1032f10c, 0x687a269c,
      0x0fb2f48f, 0x687425c1, 0x0de2f50f, 0x6c75269c, 0x0e5af3cc],
     [0x0000d1b2, 0x00000000, 0x6c82a5c1, 0x1222f10c, 0x687a069c,
      0x0faaf44f, 0x686485b5, 0x0a32f1cf, 0xa08465c1, 0x122af34f],
     [0x0000d1b3, 0x00000000, 0x5880669c, 0x1112f2cf, 0x6c8805b5,
      0x1312f94c, 0x687c65c1, 0x1032f1cf, 0x6c75669c, 0x0e8af3cc],
     [0x00005bd9, 0x00000000, 0x4caa66f5, 0x1f43078f, 0x00000000,
      0x00000000, 0x70b8e73f, 0x1f430b4e, 0xd4ad672d, 0x1f43088e],
     [0x0000d1b5, 0x00000000, 0x6880a5b5, 0x11c2f44f, 0x6877a5b5,
      0x0f62f28f, 0x688365c1, 0x1202f10f, 0x6c8d25c1, 0x146af40c],
     [0x00005bdb, 0x00000000, 0x6cb2e728, 0x1f43034e, 0x4cb2c72e,
      0x1f430c0e, 0x04acc708, 0x1f43038f, 0x28b2e723, 0x1f43094e],
     [0x00005bdc, 0x00000000, 0x74b3673c, 0x1f430a8e, 0x00000000,
      0x00000000, 0x6cb206ee, 0x1f42ffcf, 0xa4b02702, 0x1f43038e],
     [0x0000d1b8, 0x00000000, 0x6c7b45c1, 0x0ffaf44c, 0x68a8e5b5,
      0x1b02f04f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005bde, 0x00000000, 0x70b06718, 0x1f43088e, 0x00000000,
      0x00000000, 0xa4b3c717, 0x1f43014e, 0xdcb6c70e, 0x1f43018e],
     [0x00005bdf, 0x00000000, 0x54af0729, 0x1f42fe8f, 0xc4ae072b,
      0x1f4303ce, 0xdcaf8715, 0x1f430a4e, 0x5cac86f6, 0x1f43048f],
     [0x00005be0, 0x00000000, 0x50b246ce, 0x1f43038f, 0x50b186eb,
      0x1f43020f, 0xb0b5e6f3, 0x1f4300cf, 0x00000000, 0x00000000],
     [0x00005be1, 0x00000000, 0xc4b7c712, 0x1f43044f, 0x3cb0c72d,
      0x1f43068f, 0x88b40731, 0x1f4300ce, 0xbcb0c740, 0x1f42fe4e],
     [0x00005be2, 0x00000000, 0x80b78710, 0x1f43040f, 0x58b786ec,
      0x1f43038f, 0x00000000, 0x00000000, 0xe4a9c6fb, 0x1f4306ce],
     [0x00005be3, 0x00000000, 0x6cb20713, 0x1f42fbce, 0x04b02719,
      0x1f4300cf, 0x48aea73c, 0x1f430a4e, 0x00000000, 0x00000000],
     [0x00005be4, 0x00000000, 0x4caac6e9, 0x1f42ffcf, 0x3cade6d3,
      0x1f43094f, 0x6cabe6d3, 0x1f43058f, 0x3cb5a70c, 0x1f42ff0f],
     [0x00005be5, 0x00000000, 0x5cb286fa, 0x1f43008f, 0xd8ad671e,
      0x1f43048e, 0xe0aca6f7, 0x1f43044e, 0xdca926f5, 0x1f43054e],
     [0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005be7, 0x00000000, 0x40ac26ca, 0x1f430a4f, 0x00000000,
      0x00000000, 0x08ab671e, 0x1f4303cf, 0x00000000, 0x00000000],
     [0x00005be8, 0x00000000, 0x50b146d3, 0x1f4306cf, 0x4cb486f6,
      0x1f43040e, 0x00ad2715, 0x1f43094f, 0x6cb7a720, 0x1f42fcce],
     [0x00005be9, 0x00000000, 0x5cafe71a, 0x1f43060e, 0xb8b46700,
      0x1f4301ce, 0x70ad86df, 0x1f43084f, 0x78ab4717, 0x1f43078f],
     [0x000147a0, 0x00000000, 0x58b40770, 0x1bcafe0f, 0x6c8b46a1,
      0x14daf1cf, 0x58b40770, 0x1bcafe0f, 0x6c8b46a1, 0x14daf1cf],
     [0x000147a1, 0x00000000, 0x58b40746, 0x1bcafe0f, 0x6c8b4677,
      0x14daf1cf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005bec, 0x00000000, 0xc0b5c706, 0x1f430a4f, 0x90b5a6d9,
      0x1f42fc8f, 0x08b26721, 0x1f43084f, 0xa0b2e734, 0x1f43098f],
     [0x00005bed, 0x00000000, 0xf0b286fd, 0x1f43088e, 0x00000000,
      0x00000000, 0x18afe72d, 0x1f430b4f, 0x00000000, 0x00000000],
     [0x00005bee, 0x00000000, 0x40afe708, 0x1f43050f, 0xb0ab0732,
      0x1f4307ce, 0xecb02719, 0x1f43058e, 0x00000000, 0x00000000],
     [0x00005bef, 0x00000000, 0x08b3c70d, 0x1f43048f, 0x7cb6e713,
      0x1f43064e, 0x00000000, 0x00000000, 0xd4b74705, 0x1f43064e],
     [0x00005bf0, 0x00000000, 0x78b62707, 0x1f4302cf, 0xecaa270b,
      0x1f430b0e, 0x40b72732, 0x1f42fdce, 0x40b3a74b, 0x1f43068f],
     [0x00005bf1, 0x00000000, 0x60b7c6c9, 0x1f43050f, 0x00000000,
      0x00000000, 0x78b1673a, 0x1f43024e, 0xa4b16712, 0x1f43068e],
     [0x00005bf2, 0x00000000, 0x38b3a6ea, 0x1f43038f, 0x68b266ea,
      0x1f43060f, 0xdcb1070e, 0x1f43068e, 0xe8b56713, 0x1f43044e],
     [0x00005bf3, 0x00000000, 0x30b6a6e2, 0x1f43048f, 0x68b2471d,
      0x1f43078f, 0x50ab2707, 0x1f4303cf, 0x0cafc6e0, 0x1f43048f],
     [0x00005bf4, 0x00000000, 0x00000000, 0x00000000, 0x98ad46ff,
      0x1f43048f, 0x84af8709, 0x1f43060f, 0x00000000, 0x00000000],
     [0x00005bf5, 0x00000000, 0xf8ad26e3, 0x1f43074e, 0x68af26f7,
      0x1f43048f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005bf6, 0x00000000, 0x34b14735, 0x1f430b0e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x58b7473a, 0x1f430a8e],
     [0x00005bf7, 0x00000000, 0x84b1271d, 0x1f4305cf, 0xa4b4c73b,
      0x1f43044e, 0xbcb3c73c, 0x1f430a4e, 0x6cb4a740, 0x1f43008e],
     [0x00005bf8, 0x00000000, 0x54b52739, 0x1f43038e, 0xa0a9a6f3,
      0x1f43028e, 0x60b1c709, 0x1f43070e, 0x28b9070a, 0x1f43028f],
     [0x00005bf9, 0x00000000, 0x70b26739, 0x1f430d0e, 0x00000000,
      0x00000000, 0x44ade712, 0x1f43028f, 0x30b22700, 0x1f43008f],
     [0x00005bfa, 0x00000000, 0x48aea732, 0x1f43038f, 0x58b4c730,
      0x1f43088e, 0x00000000, 0x00000000, 0xfcb3c712, 0x1f43068f],
     [0x0000d1d6, 0x00000000, 0xa085a68c, 0x127b020f, 0xa093869a,
      0x1682f80f, 0xa089268c, 0x13db020f, 0xa08c668c, 0x146af44f],
     [0x0000d1d7, 0x00000000, 0xa08de68c, 0x165b020f, 0x549b669b,
      0x1852f6cf, 0xa06d668c, 0x0dc2fe4f, 0xa096e68c, 0x1643020f],
     [0x0000d1d8, 0x00000000, 0xa091c69a, 0x1612f80f, 0xa0a6a68c,
      0x1c8b020f, 0x588f068c, 0x16a3020f, 0xa08a268c, 0x1402f6cf],
     [0x0000d1d9, 0x00000000, 0x589b669c, 0x1852f6cf, 0xa08de68c,
      0x165b020f, 0xa085a68c, 0x122b020f, 0x549b669b, 0x1852f6cf],
     [0x00005bff, 0x00000000, 0x8cb56703, 0x1f43040e, 0x00000000,
      0x00000000, 0xf8b0a731, 0x1f43068e, 0xb0af86f3, 0x1f43018e],
     [0x00005c00, 0x00000000, 0x80b0870b, 0x1f43004e, 0x88b7a73f,
      0x1f43014e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000d1dc, 0x00000000, 0x688d25c1, 0x14b2f80f, 0x6c7b669c,
      0x1002f7cc, 0x6c7a25c1, 0x0fb2f08c, 0x687a269c, 0x0fb2f44f],
     [0x00005c02, 0x00000000, 0x00000000, 0x00000000, 0xc8aea739,
      0x1f4309ce, 0xe8b3c6fb, 0x1f43068e, 0xb4b4e731, 0x1f43048e],
     [0x0000d1de, 0x00000000, 0x686385b5, 0x09fafb4f, 0xa07e85c1,
      0x107afbcf, 0x687f869c, 0x1152f28f, 0x6c7f25b5, 0x1132f7cc],
     [0x0000d1df, 0x00000000, 0x687985c1, 0x0f62fbcf, 0x6c7ba69c,
      0x0faaf50c, 0x687a05c1, 0x0faaf44f, 0x688605b5, 0x1292f08f],
     [0x0000d1e0, 0x00000000, 0x6c7b45c1, 0x0ffaf78c, 0x6c7b45c1,
      0x0f92f48c, 0x688385b5, 0x1042f44f, 0x687985b5, 0x0efaef8f],
     [0x000147bc, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa090e770, 0x131affcf, 0x6c6f86a1, 0x0de2d68c],
     [0x00005c07, 0x00000000, 0xc0b406d6, 0x1f42f9cf, 0x54b706d3,
      0x1f43058f, 0x0cb8a71f, 0x1f42f40f, 0x48b40745, 0x1f43058e],
     [0x0000d1e3, 0x00000000, 0x6883c5c1, 0x11d2f18f, 0x6c8aa69c,
      0x13d2f44c, 0x6c7925c1, 0x0f72f44c, 0x68a765b5, 0x1a82ef8f],
     [0x00005c09, 0x00000000, 0x84b4472d, 0x1f430a4e, 0x00000000,
      0x00000000, 0x70ae66ea, 0x1f43004f, 0x4cb22704, 0x1f43008f],
     [0x00005c0a, 0x00000000, 0x48aea6ff, 0x1f42fecf, 0x80aec6bb,
      0x1f43058f, 0xe4ad2726, 0x1f43070e, 0x10b6870b, 0x1f4300cf],
     [0x00005c0b, 0x00000000, 0x44b146ff, 0x1f43024f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xf0afe711, 0x1f4304ce],
     [0x00005c0c, 0x00000000, 0xc8b106c0, 0x1f43044e, 0x44a9c6fd,
      0x1f430a4f, 0xe0b72700, 0x1f4303cf, 0xfcadc723, 0x1f43068e],
     [0x00005c0d, 0x00000000, 0xb8b126fe, 0x1f430a4e, 0xd0af6724,
      0x1f43038e, 0x00000000, 0x00000000, 0x00acc705, 0x1f43068f],
     [0x00005c0e, 0x00000000, 0xc4b3e712, 0x1f43090e, 0xdcb5e6f7,
      0x1f43048e, 0x8cb1a733, 0x1f43058e, 0xf4b406ea, 0x1f43038e],
     [0x00005c0f, 0x00000000, 0xc0b1a731, 0x1f4307ce, 0x00000000,
      0x00000000, 0x18ada6f5, 0x1f43088f, 0xe8b3e70b, 0x1f43038e],
     [0x00005c10, 0x00000000, 0xc4b126f5, 0x1f43054e, 0xb4ace6f7,
      0x1f42ffce, 0x24b1e72a, 0x1f43094f, 0xc0b0472c, 0x1f430c4e],
     [0x00005c11, 0x00000000, 0x40b26718, 0x1f43038e, 0x48afc717,
      0x1f430b4f, 0xecb1a72c, 0x1f43094e, 0x00000000, 0x00000000],
     [0x00005c12, 0x00000000, 0x5cb1c729, 0x1f4308ce, 0xbcb48709,
      0x1f4302ce, 0x44af8709, 0x1f43028f, 0x00000000, 0x00000000],
     [0x00005c13, 0x00000000, 0x6cac872e, 0x1f43090e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x8cad86cd, 0x1f43034f],
     [0x00005c14, 0x00000000, 0x00000000, 0x00000000, 0xd4b30728,
      0x1f43034e, 0x80b3072d, 0x1f430c8e, 0x00000000, 0x00000000],
     [0x00005c15, 0x00000000, 0x00000000, 0x00000000, 0x84b66701,
      0x1f43044f, 0x8cb34738, 0x1f4304ce, 0x08b4a719, 0x1f43010f],
     [0x00005c16, 0x00000000, 0x98b5671b, 0x1f4300cf, 0x00000000,
      0x00000000, 0x84b40728, 0x1f43038e, 0x54ae66fb, 0x1f42fe8e],
     [0x00005c17, 0x00000000, 0x00000000, 0x00000000, 0x70ac46df,
      0x1f43034f, 0xb8ac870e, 0x1f43068e, 0x88ada71f, 0x1f43038e],
     [0x0000d1f3, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x6c7a0698, 0x0fa2f40f, 0xa075a698, 0x0fa2fe4f],
     [0x0000d1f4, 0x00000000, 0xa07a4698, 0x0fa2f24f, 0x68790698,
      0x0fa2f20f, 0xa07a0698, 0x0fa2f2cf, 0x8079468c, 0x0fa2f38f],
     [0x00005c1a, 0x00000000, 0xc4b4472e, 0x1f43018e, 0x38b62709,
      0x1f42fc8f, 0x84b68739, 0x1f43008e, 0xdcb64717, 0x1f43124f],
     [0x00005c1b, 0x00000000, 0x80aac5ab, 0x1f431213, 0xb0af66b8,
      0x1f43154f, 0x00000000, 0x00000000, 0x98b226f7, 0x1f43064f],
     [0x00005c1c, 0x00000000, 0x6cae6713, 0x1f42f70f, 0x6cad26f7,
      0x1f43018f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005c1d, 0x00000000, 0xf8b626eb, 0x1f42ff4f, 0x4cafe6ef,
      0x1f43114f, 0x8cb086dd, 0x1f42fa8f, 0x00000000, 0x00000000],
     [0x00005c1e, 0x00000000, 0xdcb22732, 0x1f430e4e, 0x00000000,
      0x00000000, 0x94b666e7, 0x1f42fa4f, 0x00000000, 0x00000000],
     [0x00005c1f, 0x00000000, 0x5cab071a, 0x1f43018f, 0x38b4a71d,
      0x1f43160f, 0x68af6717, 0x1f43120f, 0xc8ae66e0, 0x1f42fe8f],
     [0x00005c20, 0x00000000, 0x00b086e4, 0x1f43074f, 0x00000000,
      0x00000000, 0x40b5c6e7, 0x1f42fb90, 0x74b486fa, 0x1f4311ce],
     [0x0000d1fc, 0x00000000, 0xa07b0698, 0x0fa2f2cf, 0x6c7ae68c,
      0x0fa2f14f, 0x6c79e698, 0x0fa2f48f, 0xa079668c, 0x0fa2f6cf],
     [0x00005c22, 0x00000000, 0x00000000, 0x00000000, 0xf4aaa6ef,
      0x1f43034f, 0xecb44709, 0x1f43034f, 0x00000000, 0x00000000],
     [0x00005c23, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xc8b42727, 0x1f430c4e, 0x00000000, 0x00000000],
     [0x00005c24, 0x00000000, 0x00000000, 0x00000000, 0xbcb5c70b,
      0x1f43008e, 0x90b3e713, 0x1f42fb8e, 0xa8b32709, 0x1f43034e],
     [0x00005c25, 0x00000000, 0xc0b2c6e1, 0x1f42fa8f, 0x5cb4070a,
      0x1f42f6cf, 0x78b606fd, 0x1f42fa8f, 0x00000000, 0x00000000],
     [0x00005c26, 0x00000000, 0xacaea6f2, 0x1f43054e, 0xf8b3872b,
      0x1f430d8e, 0xe0b246be, 0x1f4304cf, 0x00000000, 0x00000000],
     [0x00005c27, 0x00000000, 0xd8b06710, 0x1f43004e, 0xccb6a6ea,
      0x1f43044f, 0x00000000, 0x00000000, 0xc8b3c6e0, 0x1f43018f],
     [0x00005c28, 0x00000000, 0x00000000, 0x00000000, 0xe8b186cc,
      0x1f43018f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005c29, 0x00000000, 0x68ada6f0, 0x1f43070f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005c2a, 0x00000000, 0x00000000, 0x00000000, 0x28b646f0,
      0x1f42fa8f, 0x00000000, 0x00000000, 0x60ae46e3, 0x1f42fc4f],
     [0x00005c2b, 0x00000000, 0xe4b226ff, 0x1f43040f, 0x24b5e72f,
      0x1f42fc8f, 0x7cb40715, 0x1f43054f, 0x54aac6f7, 0x1f42fc8f],
     [0x00005c2c, 0x00000000, 0x68a72710, 0x1f43158f, 0x10ae0722,
      0x1f431d8f, 0x00000000, 0x00000000, 0x38ae4714, 0x1f42fe4f],
     [0x00005c2d, 0x00000000, 0xa0b1c6d8, 0x1f42fc8f, 0x7cb5e6ef,
      0x1f42fa8f, 0x00000000, 0x00000000, 0xe8ae86e4, 0x1f42fd8f],
     [0x00005c2e, 0x00000000, 0xc8af2739, 0x1f43028e, 0xd4abe70d,
      0x1f43150f, 0xf8afc727, 0x1f43058e, 0x34a966d4, 0x1f42fe90],
     [0x00005c2f, 0x00000000, 0xf8af6707, 0x1f42fe8e, 0xc8ac86e0,
      0x1f42fe8f, 0x74b766dc, 0x1f42fe8f, 0x00000000, 0x00000000],
     [0x00005c30, 0x00000000, 0x2cb206e6, 0x1f43018f, 0x40ac66e0,
      0x1f42fc8f, 0x38ad86f3, 0x1f42ff90, 0xf8afc6f3, 0x1f43008f],
     [0x00005c31, 0x00000000, 0x00000000, 0x00000000, 0xc8b286e0,
      0x1f42f88f, 0xa0b406db, 0x1f42fb8e, 0x78b4c6ee, 0x1f42fd8f],
     [0x00005c32, 0x00000000, 0x98b3c733, 0x1f43048f, 0x00000000,
      0x00000000, 0x1cae871d, 0x1f42f98e, 0x18b166f0, 0x1f4307cf],
     [0x00005c33, 0x00000000, 0x00000000, 0x00000000, 0x54b626ef,
      0x1f42fa8f, 0x14ada6fa, 0x1f4313cf, 0xc0ac0746, 0x1f430c0e],
     [0x00005c34, 0x00000000, 0x00000000, 0x00000000, 0x84b786f7,
      0x1f42f98f, 0xbcb446fd, 0x1f42fd8e, 0x8cb2c6fe, 0x1f42f98f],
     [0x00005c35, 0x00000000, 0x48ac26dc, 0x1f42fd8f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x48ae470a, 0x1f42fc8f],
     [0x00005c36, 0x00000000, 0x9cb18700, 0x1f42f94f, 0x4cb8a708,
      0x1f42fc8f, 0x0cb8e6f1, 0x1f42f98f, 0xa0aa8705, 0x1f430190],
     [0x00005c37, 0x00000000, 0xf8b2e6ee, 0x1f42f98f, 0x88afa6e5,
      0x1f43120f, 0x9cb686eb, 0x1f42fb8e, 0xa8ac66e7, 0x1f42fa8f],
     [0x00005c38, 0x00000000, 0x98b10717, 0x1f42fd8e, 0xb0af06f2,
      0x1f43180e, 0x64af66f3, 0x1f42fb8f, 0x00000000, 0x00000000],
     [0x00005c39, 0x00000000, 0x70b28722, 0x1f42f78e, 0x00000000,
      0x00000000, 0x2cad0703, 0x1f42ff8f, 0x98b5e708, 0x1f43008f],
     [0x00005c3a, 0x00000000, 0x18aec6e8, 0x1f43018f, 0x00b6a6f9,
      0x1f42ff90, 0x00000000, 0x00000000, 0x30aea708, 0x1f431bcf],
     [0x00005c3b, 0x00000000, 0x4cb886f0, 0x1f42f88f, 0xc4afa707,
      0x1f430d0f, 0x00000000, 0x00000000, 0x5cac073f, 0x1f42fb4e],
     [0x00005c3c, 0x00000000, 0x08b2e702, 0x1f42ff8f, 0x50b326af,
      0x1f42fecf, 0x00000000, 0x00000000, 0xe4ad26fa, 0x1f42ff8e],
     [0x00005c3d, 0x00000000, 0x08afc6db, 0x1f42fc90, 0x00000000,
      0x00000000, 0xecaec6e8, 0x1f42fc8f, 0xb8ae26fa, 0x1f42fd8f],
     [0x00005c3e, 0x00000000, 0x30b346ff, 0x1f43034f, 0x18ac472a,
      0x1f43130f, 0x38b5a70e, 0x1f43008f, 0xe0b346dc, 0x1f43034f],
     [0x00005c3f, 0x00000000, 0xf0b7a6d3, 0x1f42fd8e, 0x7cb6a733,
      0x1f42fb4e, 0x00000000, 0x00000000, 0x10ae66eb, 0x1f42f98f],
     [0x00005c40, 0x00000000, 0x8cb446cc, 0x1f43018f, 0x00000000,
      0x00000000, 0xf8abe707, 0x1f43074e, 0x00000000, 0x00000000],
     [0x00005c41, 0x00000000, 0x78aa86d5, 0x1f43090f, 0x00000000,
      0x00000000, 0xfca426e3, 0x1f43074e, 0x00000000, 0x00000000],
     [0x00005c42, 0x00000000, 0x00000000, 0x00000000, 0xb4a8672c,
      0x1f430a4e, 0x7cb2e6f9, 0x1f43024e, 0x14a78706, 0x1f43110f],
     [0x00005c43, 0x00000000, 0x7cb2c6ff, 0x1f42fd8f, 0xdcadc71a,
      0x1f43054e, 0x8ca9a70a, 0x1f43094f, 0x00000000, 0x00000000],
     [0x00005c44, 0x00000000, 0xd8b1c6e7, 0x1f43008f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x4cb3c6df, 0x1f43008f],
     [0x00005c45, 0x00000000, 0x98b1a6f1, 0x1f43020f, 0xbcb1670f,
      0x1f43018f, 0x4caa46dc, 0x1f42fa8f, 0x40ad66e8, 0x1f43008f],
     [0x00005c46, 0x00000000, 0x0ca9a717, 0x1f43194f, 0x8cb2670a,
      0x1f42fa4f, 0xe0b42743, 0x1f430a4e, 0x88a76709, 0x1f43134e],
     [0x00005c47, 0x00000000, 0xfcb8e6da, 0x1f43070f, 0x00000000,
      0x00000000, 0xc0af8729, 0x1f42fe8e, 0xa0b06705, 0x1f43018e],
     [0x00005c48, 0x00000000, 0xacad8722, 0x1f43008e, 0x48b52734,
      0x1f43058f, 0xdcad66eb, 0x1f42fe8f, 0x98b106c9, 0x1f430a4f],
     [0x00005c49, 0x00000000, 0x00000000, 0x00000000, 0x8cb4e702,
      0x1f42fd8f, 0x1cafc725, 0x1f430ccf, 0x00000000, 0x00000000],
     [0x00005c4a, 0x00000000, 0xdca766f7, 0x1f43018e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005c4b, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x04b246eb, 0x1f42ff90, 0xacb06712, 0x1f42ff8e],
     [0x00005c4c, 0x00000000, 0x90af06f1, 0x1f43004f, 0x68b0e6fb,
      0x1f43104f, 0x74b5870e, 0x1f42fb8f, 0x00000000, 0x00000000],
     [0x00005c4d, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x58b06711, 0x1f43094f, 0x00000000, 0x00000000],
     [0x00005c4e, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x6cb0e6ef, 0x1f42ff8e, 0x00000000, 0x00000000],
     [0x00014805, 0x00000000, 0x68b8a4f5, 0x1f42e412, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x5db14806, 0x000000f0, 0x64680695, 0x0a6b0e15, 0x64644695,
      0x0a6b0695, 0xc857646e, 0x0a6aeccc, 0x64644695, 0x0a6b0e15],
     [0x5e914807, 0x0007c4f6, 0x647ea695, 0x0fa2fb55, 0x647ea695,
      0x0fa2fb55, 0xc870e46e, 0x0fa2dfcc, 0x647ea695, 0x0fa30515],
     [0x00014808, 0x00000000, 0x5c7c4695, 0x0fa304cd, 0x747c2695,
      0x0fa2f08d, 0x487bc5b6, 0x1182ff90, 0x00000000, 0x00000000],
     [0x00014809, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x6ca9046f, 0x1f42f80f, 0x00000000, 0x00000000],
     [0x00005c54, 0x00000000, 0xf0b166fd, 0x1f42fe8f, 0x00000000,
      0x00000000, 0x60ac071a, 0x1f42fc8e, 0xd4afe704, 0x1f42fa8e],
     [0x00005c55, 0x00000000, 0x64aea70a, 0x1f42fccf, 0x90ad0703,
      0x1f430a8f, 0xa8b64719, 0x1f43004e, 0x00000000, 0x00000000],
     [0x00005c56, 0x00000000, 0x34b086fc, 0x1f42fb8f, 0xa0b226fe,
      0x1f42ff4f, 0x78af4717, 0x1f43144e, 0x00000000, 0x00000000],
     [0x00005c57, 0x00000000, 0xacb146ee, 0x1f42fb4f, 0x6caa86e8,
      0x1f42fa8f, 0x68b3270b, 0x1f430acf, 0xa0ade700, 0x1f42fe8e],
     [0x0001480e, 0x0007da00, 0x00000000, 0x00000000, 0x20646587,
      0x0a6af610, 0x2061a587, 0x0a6af090, 0x00000000, 0x00000000],
     [0x00005c59, 0x00000000, 0xacb54729, 0x1f42fa4e, 0xb0b7c710,
      0x1f43018f, 0xa8b0872c, 0x1f430dcf, 0xd4afc700, 0x1f43094f],
     [0x00005c5a, 0x00000000, 0xf8b70712, 0x1f42f84e, 0x0cae870a,
      0x1f42ff8f, 0x1cb40704, 0x1f42fc4f, 0x00000000, 0x00000000],
     [0x00014811, 0x00000000, 0x7069a698, 0x05bac40f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005c5c, 0x00000000, 0xd8b2e6eb, 0x1f42f98f, 0x00000000,
      0x00000000, 0x74b06716, 0x1f4307ce, 0xcca9e704, 0x1f43008f],
     [0x00005c5d, 0x00000000, 0xd8b3a6d8, 0x1f42fe0f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005c5e, 0x00000000, 0x64af270e, 0x1f43008f, 0x00000000,
      0x00000000, 0xf8b3a6eb, 0x1f43008f, 0xfcb5c726, 0x1f42fa4e],
     [0x00005c5f, 0x00000000, 0x00000000, 0x00000000, 0x18a90735,
      0x1f42fe4f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005c60, 0x00000000, 0x60b5e6fb, 0x1f42fa4f, 0x84b2071e,
      0x1f43030e, 0xd8b6a709, 0x1f42f48e, 0x00000000, 0x00000000],
     [0x00005c61, 0x00000000, 0x20b7471e, 0x1f42fc8f, 0x24b626f3,
      0x1f42fa90, 0x4cae6706, 0x1f42fd8f, 0x84ab670b, 0x1f42fc8f],
     [0x00005c62, 0x00000000, 0x90ad06c3, 0x1f43038f, 0xc0a8e701,
      0x1f43014e, 0xccae4728, 0x1f430f0e, 0x00000000, 0x00000000],
     [0x00005c63, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x50ac873a, 0x1f43098e],
     [0x00005c64, 0x00000000, 0xa0ac86ec, 0x1f42ff4f, 0x00000000,
      0x00000000, 0x14af071c, 0x1f43074f, 0x00000000, 0x00000000],
     [0x00005c65, 0x00000000, 0x0cb5a711, 0x1f42f78f, 0x00b086f7,
      0x1f43040f, 0x00000000, 0x00000000, 0xc0b9870a, 0x1f42f94e],
     [0x00005c66, 0x00000000, 0x80aae6e8, 0x1f42fd8f, 0x88ae06f1,
      0x1f430bcf, 0xd8b066fd, 0x1f42fd8e, 0xf4af06fb, 0x1f42fc8e],
     [0x00005c67, 0x00000000, 0x7cb02705, 0x1f42ff8f, 0xf4b4e70b,
      0x1f42fe8e, 0xe4b4a6d3, 0x1f42ff8f, 0x28b58735, 0x1f4309cf],
     [0x00005c68, 0x00000000, 0x2cb006e3, 0x1f43050f, 0x04b0c711,
      0x1f42ff8f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005c69, 0x00000000, 0xf8af46d8, 0x1f42fc8f, 0x58b466df,
      0x1f42fb8f, 0x00000000, 0x00000000, 0x3caf8721, 0x1f43114f],
     [0x00005c6a, 0x00000000, 0x60b16717, 0x1f42fc8e, 0x48afe71e,
      0x1f43008f, 0x50b1a6f5, 0x1f42fe8f, 0x00000000, 0x00000000],
     [0x00005c6b, 0x00000000, 0x88ad271e, 0x1f430b8f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x40b0e722, 0x1f42fd8f],
     [0x00005c6c, 0x00000000, 0x8cb126db, 0x1f42fc8f, 0x08b60735,
      0x1f43018f, 0x5caaa6e7, 0x1f4307cf, 0x30b4470c, 0x1f42fd8f],
     [0x00005c6d, 0x00000000, 0x00000000, 0x00000000, 0x20ab4712,
      0x1f42fe8f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005c6e, 0x00000000, 0xe4b466c6, 0x1f42fb8e, 0x8cb02736,
      0x1f42fe0e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005c6f, 0x00000000, 0x38aee6d3, 0x1f42fd8f, 0x1caf6711,
      0x1f42f88f, 0x08b5470a, 0x1f42f88f, 0xdcb0670c, 0x1f43034e],
     [0x00005c70, 0x00000000, 0xb8b2e6fe, 0x1f42fc8e, 0x9cafe72c,
      0x1f42fe8e, 0x8cb00709, 0x1f42fb8e, 0xa4b6270b, 0x1f42ff4f],
     [0x00005c71, 0x00000000, 0x44b646f0, 0x1f43010f, 0xc8b34706,
      0x1f43074f, 0x9cb9470f, 0x1f42fa8e, 0xd0b1e72f, 0x1f42f98e],
     [0x00014828, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xa0912685, 0x14e2eacf],
     [0x00014829, 0x00000000, 0x707e4693, 0x0fa2e60f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x6cd12685, 0x266ae70f],
     [0x00005c74, 0x00000000, 0x2cb3a727, 0x1f42fa8e, 0x00000000,
      0x00000000, 0x84b7072d, 0x1f42f98e, 0x00000000, 0x00000000],
     [0x0001482b, 0x00000000, 0x5c82c691, 0x1192f68f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005c76, 0x00000000, 0xdcade6cf, 0x1f42f98e, 0x64ae672e,
      0x1f430d8e, 0x34b346f9, 0x1f430d4f, 0x44ac26f8, 0x1f4311cf],
     [0x00005c77, 0x00000000, 0xd4af06db, 0x1f42fa8e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xbcb0a727, 0x1f430b0e],
     [0x00005c78, 0x00000000, 0x64b3671d, 0x1f42fc4f, 0x4cad0700,
      0x1f42fa8e, 0x20b0a6fa, 0x1f43090f, 0x00000000, 0x00000000],
     [0x00005c79, 0x00000000, 0x00ac671d, 0x1f42fb8f, 0xacb86713,
      0x1f42fb4e, 0x8cb7a72c, 0x1f42ff8e, 0xe4b22719, 0x1f42fc8e],
     [0x00005c7a, 0x00000000, 0xdcaf8723, 0x1f42f98e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005c7b, 0x00000000, 0xfcb826c8, 0x1f42fe8f, 0x04ade70e,
      0x1f43008f, 0x80b30736, 0x1f430c4e, 0x00000000, 0x00000000],
     [0x00005c7c, 0x00000000, 0xf4b24700, 0x1f42fe8e, 0x38b10708,
      0x1f42fe8f, 0x7cada721, 0x1f43028e, 0x00000000, 0x00000000],
     [0x00005c7d, 0x00000000, 0x48b82735, 0x1f42fa8e, 0xe8b4c715,
      0x1f42fb8e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005c7e, 0x00000000, 0xf8b146fe, 0x1f42fe8e, 0x24ae672d,
      0x1f430d8f, 0x00000000, 0x00000000, 0xccb0071b, 0x1f42fb8e],
     [0x00005c7f, 0x00000000, 0x4cb3672d, 0x1f42fa8f, 0x94b5c73d,
      0x1f42fc8e, 0x8caca739, 0x1f430b4e, 0x98b006f7, 0x1f43030e],
     [0x00005c80, 0x00000000, 0x00000000, 0x00000000, 0xf8b2c6ee,
      0x1f42fb8f, 0x14afa6df, 0x1f4309cf, 0xacb4c70c, 0x1f42f88e],
     [0x00014837, 0x00000000, 0x00000000, 0x00000000, 0xa85e86e0,
      0x000231cb, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005c82, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x58b1672c, 0x1f42fa8f, 0x00000000, 0x00000000],
     [0x00005c83, 0x00000000, 0x0cb2472d, 0x1f42f98f, 0x6cb6c72c,
      0x1f42f88e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005c84, 0x00000000, 0x00b42718, 0x1f42fe8f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xdcafe6f1, 0x1f42f88e],
     [0x00005c85, 0x00000000, 0xe0ae2746, 0x1f42ff4e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005c86, 0x00000000, 0x00000000, 0x00000000, 0x70b5c71e,
      0x1f42ff8e, 0xdcb9271a, 0x1f42fd8e, 0x0cac8706, 0x1f42fc8f],
     [0x00005c87, 0x00000000, 0x00000000, 0x00000000, 0x3cb4e729,
      0x1f42fb8e, 0x74b3e730, 0x1f42f88f, 0x5cb18724, 0x1f42f98e],
     [0x00005c88, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xbcabc729, 0x1f43080e, 0x7cb50735, 0x1f42fa8e],
     [0x00005c89, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x9cb56727, 0x1f42f88e, 0x60b12716, 0x1f42fe8f],
     [0x00005c8a, 0x00000000, 0xccaf0708, 0x1f4309ce, 0x94b8873d,
      0x1f42fb8e, 0xe8b6a6f3, 0x1f43010e, 0x30a5471c, 0x1f431a98],
     [0x00005c8b, 0x00000000, 0x88b2a6f6, 0x1f42facf, 0x58b4e733,
      0x1f43028e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005c8c, 0x00000000, 0x70b6874a, 0x1f430c8e, 0x20ace722,
      0x1f430ecf, 0x28af4731, 0x1f43068e, 0x00000000, 0x00000000],
     [0x00005c8d, 0x00000000, 0x00000000, 0x00000000, 0x30b00740,
      0x1f43138e, 0xacb2e6e7, 0x1f43098f, 0x6cb5070c, 0x1f43080e],
     [0x00005c8e, 0x00000000, 0xd0b7870a, 0x1f42f98e, 0x84b6c733,
      0x1f42fe8e, 0x4cb76738, 0x1f42ff4e, 0x18b4a71b, 0x1f4307cf],
     [0x00014845, 0x00000000, 0x00000000, 0x00000000, 0xa0a06685,
      0x17c2f4cf, 0x64bf668b, 0x20faf40f, 0x00000000, 0x00000000],
     [0x00005c90, 0x00000000, 0xe0b78715, 0x1f42f60e, 0x18b106e0,
      0x1f43028f, 0xd8afc71a, 0x1f43014e, 0x00000000, 0x00000000],
     [0x00014847, 0x00000000, 0x00000000, 0x00000000, 0xa0984685,
      0x16baf28f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005c92, 0x00000000, 0xacb706fd, 0x1f42f84f, 0xf8b186fe,
      0x1f42fb0e, 0x4cab06eb, 0x1f42fc4f, 0xc0afc6fd, 0x1f42fc0e],
     [0x00005c93, 0x00000000, 0x7cb5c739, 0x1f43000e, 0x48ae2706,
      0x1f43004f, 0x00000000, 0x00000000, 0xd0b7670f, 0x1f42fa0e],
     [0x00005c94, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xecb68724, 0x1f42fc0e, 0x24b14734, 0x1f42fb4f],
     [0x00005c95, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x30adc732, 0x1f42f94f, 0x00000000, 0x00000000],
     [0x00005c96, 0x00000000, 0x70b00742, 0x1f42fb0e, 0xf8af6704,
      0x1f43144e, 0xb0ac871e, 0x1f43188e, 0x6cb20730, 0x1f43098e],
     [0x00005c97, 0x00000000, 0x00000000, 0x00000000, 0xecb326fb,
      0x1f42fe0e, 0xccad86fb, 0x1f42ff0e, 0x5cb08738, 0x1f43068e],
     [0x00005c98, 0x00000000, 0x94b1a708, 0x1f42f98f, 0x68b48712,
      0x1f43004f, 0x6cae8739, 0x1f43104e, 0xacb266fc, 0x1f43000e],
     [0x00005c99, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x38b5070e, 0x1f42fb4f, 0x38b786fe, 0x1f42facf],
     [0x00005c9a, 0x00000000, 0x00000000, 0x00000000, 0x58b1271f,
      0x1f42fe4f, 0xf8b126f3, 0x1f43048e, 0x00000000, 0x00000000],
     [0x00005c9b, 0x00000000, 0xe8b06702, 0x1f43014e, 0x00000000,
      0x00000000, 0x7ca986fe, 0x1f430b4e, 0x58b1870f, 0x1f42f70f],
     [0x00005c9c, 0x00000000, 0x28b426f7, 0x1f42fe0f, 0x00000000,
      0x00000000, 0x08b4470c, 0x1f42fc4f, 0x38b246f0, 0x1f42fecf],
     [0x00005c9d, 0x00000000, 0x68b7270f, 0x1f43010f, 0x7ca9a71f,
      0x1f43124e, 0x6cb88735, 0x1f4304ce, 0x38b826ff, 0x1f42f90f],
     [0x00005c9e, 0x00000000, 0xd4b086f6, 0x1f42ff0e, 0x70b40734,
      0x1f42ff8e, 0x28b22713, 0x1f42ff8f, 0x8cb306f3, 0x1f42fdcf],
     [0x00005c9f, 0x00000000, 0x18af46f7, 0x1f43008f, 0x8caf273e,
      0x1f43120e, 0x5cb066f7, 0x1f43020f, 0x0cb0070a, 0x1f43030f],
     [0x00005ca0, 0x00000000, 0x5cac6725, 0x1f42f98e, 0x7cab8721,
      0x1f430d8e, 0x7cab8721, 0x1f430d8e, 0x00000000, 0x00000000],
     [0x00005ca1, 0x00000000, 0x94b20732, 0x1f42f90e, 0x00ac06ec,
      0x1f42fb4f, 0x38af4700, 0x1f43000f, 0xacb42715, 0x1f42fd0e],
     [0x00005ca2, 0x00000000, 0x1cb4c6e1, 0x1f42f9cf, 0xd8aea715,
      0x1f42fd0e, 0x38ade70b, 0x1f42ff8f, 0x20b066d8, 0x1f4303cf],
     [0x00005ca3, 0x00000000, 0xdcb806f7, 0x1f42fb0e, 0xfcb64702,
      0x1f42fdce, 0x8cab8726, 0x1f43114e, 0x58ad4708, 0x1f42fd4f],
     [0x00005ca4, 0x00000000, 0xa8b8e700, 0x1f42fc0e, 0xdcb726fc,
      0x1f42fe0e, 0x5cace717, 0x1f42fb8f, 0xa8aaa717, 0x1f42fb4e],
     [0x00005ca5, 0x00000000, 0x00000000, 0x00000000, 0x68af871d,
      0x1f42f94e, 0x6cafa747, 0x1f430b4e, 0xccb1e70e, 0x1f42fa4e],
     [0x00005ca6, 0x00000000, 0x9cae672f, 0x1f42fb8e, 0x00000000,
      0x00000000, 0x7caaa72e, 0x1f430d0e, 0x8cb1c72f, 0x1f43048e],
     [0x00005ca7, 0x00000000, 0x00000000, 0x00000000, 0x28b00702,
      0x1f42fe8f, 0xc8b5470b, 0x1f42fd0e, 0xb8ab071a, 0x1f4317ce],
     [0x00005ca8, 0x00000000, 0x48b58733, 0x1f42fa4e, 0x24af66fb,
      0x1f42fccf, 0x54ae2732, 0x1f43000e, 0xf8b76716, 0x1f42fc8e],
     [0x00005ca9, 0x00000000, 0x88b3a6f8, 0x1f42f8cf, 0x58b10719,
      0x1f42fc8f, 0xc0b64700, 0x1f42f9ce, 0xdcb0c740, 0x1f42f84e],
     [0x00005caa, 0x00000000, 0x6cab871d, 0x1f43034e, 0x7cb06744,
      0x1f43028e, 0xa0b4272d, 0x1f42f68e, 0x00000000, 0x00000000],
     [0x00005cab, 0x00000000, 0xa8b5a70a, 0x1f430e8f, 0x6489e6e6,
      0x1f432fcf, 0x1cb1e70f, 0x1f43068f, 0xbcb6e6e6, 0x1f42fd8f],
     [0x00005cac, 0x00000000, 0x50b6a6ea, 0x1f42f90f, 0x00000000,
      0x00000000, 0xd4b20715, 0x1f4300ce, 0x00000000, 0x00000000],
     [0x00005cad, 0x00000000, 0xe8b2a6fd, 0x1f42fc0e, 0x20b266fc,
      0x1f42fdcf, 0x88b64700, 0x1f42ff0f, 0x4cac26f4, 0x1f42fccf],
     [0x00005cae, 0x00000000, 0x10ada6e4, 0x1f42fccf, 0x60b6c6df,
      0x1f42fccf, 0xd8b666d8, 0x1f42fcce, 0x00000000, 0x00000000],
     [0x00005caf, 0x00000000, 0x00000000, 0x00000000, 0x74b3e6e1,
      0x1f42ffce, 0x00000000, 0x00000000, 0x88b186e5, 0x1f42fc0e],
     [0x00005cb0, 0x00000000, 0x3cb64718, 0x1f42f9cf, 0x1cb746e8,
      0x1f42f64f, 0xc0b3670d, 0x1f42f98f, 0x80b0e6ed, 0x1f42fa0f],
     [0x00005cb1, 0x00000000, 0x60b5c6fb, 0x1f42fa8f, 0x54afe6db,
      0x1f42fa4f, 0xc8ae2718, 0x1f4300ce, 0x00000000, 0x00000000],
     [0x00005cb2, 0x00000000, 0x8ca8a6fb, 0x1f42fc4f, 0x30ae86cf,
      0x1f42fdcf, 0x2caba70b, 0x1f43124f, 0x78ad46c8, 0x1f42fc0f],
     [0x00005cb3, 0x00000000, 0x38b6c6e9, 0x1f42fb4f, 0x3cafe71c,
      0x1f42fccf, 0x5caf070b, 0x1f42fe4e, 0x00000000, 0x00000000],
     [0x00005cb4, 0x00000000, 0xa0b986ef, 0x1f42f48f, 0x34b7a703,
      0x1f42fb4f, 0x28af46ff, 0x1f42fecf, 0x00000000, 0x00000000],
     [0x00005cb5, 0x00000000, 0x34b766dd, 0x1f42fc0f, 0x00000000,
      0x00000000, 0x50b6a6e2, 0x1f42fdcf, 0x50ad2709, 0x1f42fb8f],
     [0x00005cb6, 0x00000000, 0x48b2c6e1, 0x1f42fa0f, 0x30b5a701,
      0x1f42fa8f, 0x34b7a6d9, 0x1f42fa0f, 0x34b026d9, 0x1f43050f],
     [0x00005cb7, 0x00000000, 0x1cb226ea, 0x1f42fa0f, 0x00000000,
      0x00000000, 0xe8afe712, 0x1f42fb0e, 0x60b1e6df, 0x1f42fccf],
     [0x00005cb8, 0x00000000, 0x48b866ff, 0x1f42f90f, 0x64b826f2,
      0x1f42f9cf, 0xe8b5c6f5, 0x1f42f98e, 0x80b4e6d3, 0x1f42f64f],
     [0x00005ef3, 0x00000000, 0xf8ae6715, 0x1f43040e, 0x00000000,
      0x00000000, 0x88ae0733, 0x1f43174e, 0x84b2a714, 0x1f42ff8e],
     [0x00005cba, 0x00000000, 0x04b0c6d7, 0x1f42fa4f, 0xa4b1e72d,
      0x1f42f90e, 0x14abe6d0, 0x1f42fccf, 0x70b026ea, 0x1f42fccf],
     [0x00005cbb, 0x00000000, 0x68a966e1, 0x1f42fecf, 0x4cb3c6fb,
      0x1f42fccf, 0xd8adc701, 0x1f42face, 0x58b806e4, 0x1f42fccf],
     [0x00005cbc, 0x00000000, 0xf0b36718, 0x1f42ff8e, 0x84b886d8,
      0x1f42fccf, 0x44b4a6e8, 0x1f42fa0f, 0xa0b7270a, 0x1f42f84e],
     [0x00005cbd, 0x00000000, 0xa0ada6f7, 0x1f42f34f, 0x00000000,
      0x00000000, 0xf0b4672a, 0x1f42f64d, 0x30a4e701, 0x1f42f98f],
     [0x00005cbe, 0x00000000, 0xc8b34700, 0x1f42f98f, 0x54b72707,
      0x1f42fccf, 0x8cad4703, 0x1f42f64f, 0x00b7271b, 0x1f42f84f],
     [0x00005cbf, 0x00000000, 0x14b86722, 0x1f43008f, 0x5cab86fb,
      0x1f42fc4f, 0xa8b106ca, 0x1f42fcce, 0x04b0e6dd, 0x1f42fd10],
     [0x00005cc0, 0x00000000, 0xe8b4e6e6, 0x1f42fdce, 0xe8adc6f8,
      0x1f42fb4e, 0x00000000, 0x00000000, 0x54b5c6ef, 0x1f42fccf],
     [0x00005cc1, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x44b3c712, 0x1f42fa0f],
     [0x00005cc2, 0x00000000, 0xacafc72c, 0x1f42ff0e, 0x00000000,
      0x00000000, 0x6cb6a6e4, 0x1f42f48f, 0xa8b06709, 0x1f43064f],
     [0x00005cc3, 0x00000000, 0x18b4c6f7, 0x1f43010f, 0x00000000,
      0x00000000, 0x94ae0715, 0x1f42fccf, 0xe8a4a70e, 0x1f42fd0e],
     [0x00005cc4, 0x00000000, 0x00000000, 0x00000000, 0x10b3a6c7,
      0x1f43004f, 0xacb446df, 0x1f430fcf, 0xe8b4c6ea, 0x1f42fc0e],
     [0x00005cc5, 0x00000000, 0x00000000, 0x00000000, 0x50b1a6e2,
      0x1f42fa0f, 0xdcae06de, 0x1f42fccf, 0x98ae86f9, 0x1f43000e],
     [0x00005cc6, 0x00000000, 0xc8aae6fc, 0x1f42fe0e, 0xb0b6a733,
      0x1f42fcce, 0x00000000, 0x00000000, 0xb8b0a6ef, 0x1f42fccf],
     [0x00005cc7, 0x00000000, 0xa0b1e738, 0x1f42fa0e, 0x9cb2c729,
      0x1f42fd4e, 0x98b446f0, 0x1f42fccf, 0xdcb566f7, 0x1f42fa4e],
     [0x00005cc8, 0x00000000, 0x00000000, 0x00000000, 0xf0ade6e3,
      0x1f43000e, 0x4caba6f9, 0x1f42fd0f, 0x10b28704, 0x1f42ff0f],
     [0x00005cc9, 0x00000000, 0x00000000, 0x00000000, 0xf8b686fe,
      0x1f42f80e, 0x1cb3e6c1, 0x1f42f98f, 0x40af66df, 0x1f42fdcf],
     [0x00005cca, 0x00000000, 0x00000000, 0x00000000, 0x9caf46ed,
      0x1f42f80f, 0x3cae46f6, 0x1f42fccf, 0x78b086ff, 0x1f42fccf],
     [0x00005ccb, 0x00000000, 0xc0a966ee, 0x1f42fd0e, 0xdcb6a705,
      0x1f42fb4e, 0x00b4c6ea, 0x1f430650, 0xbcb4871d, 0x1f42fc4e],
     [0x00005ccc, 0x00000000, 0x4cafe6ce, 0x1f4300cf, 0x18b246f4,
      0x1f42fd0f, 0xacace6f7, 0x1f43010e, 0xe0b5c6d1, 0x1f42fa0f],
     [0x00005ccd, 0x00000000, 0xd4b7a6fd, 0x1f42fb4f, 0x9cade70b,
      0x1f42ffcf, 0x44b2e71d, 0x1f42fd8f, 0xecb5c712, 0x1f43030f],
     [0x00005cce, 0x00000000, 0x7ca8c6db, 0x1f42fccf, 0x54b38704,
      0x1f42f90f, 0xbcafa721, 0x1f42fc8f, 0x40b146e8, 0x1f42f90f],
     [0x00005ccf, 0x00000000, 0x54b3671d, 0x1f42fc8e, 0x00000000,
      0x00000000, 0xb0b5670f, 0x1f42f70e, 0xd8b74729, 0x1f42f9ce],
     [0x00005cd0, 0x00000000, 0xd8b68705, 0x1f43010e, 0x00000000,
      0x00000000, 0xc0b3c6e4, 0x1f42fc8e, 0x68b8270c, 0x1f42f8cf],
     [0x00005cd1, 0x00000000, 0xd0b826ff, 0x1f42f5cf, 0x9cb2271d,
      0x1f42f9ce, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005cd2, 0x00000000, 0x00000000, 0x00000000, 0x6cb9a723,
      0x1f42f9ce, 0xb0b9471d, 0x1f43000e, 0x00000000, 0x00000000],
     [0x00005cd3, 0x00000000, 0x24b4e703, 0x1f42fa0f, 0x14ad872d,
      0x1f42f60f, 0xa4b18733, 0x1f43118e, 0x44b4270b, 0x1f42fccf],
     [0x00005cd4, 0x00000000, 0x5cad6732, 0x1f42f8ce, 0x4cb52713,
      0x1f42f70e, 0xfcb1c712, 0x1f430c8e, 0x00000000, 0x00000000],
     [0x00005cd5, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xd8b826e5, 0x1f42f5cf],
     [0x00005cd6, 0x00000000, 0x00b5072e, 0x1f4315cf, 0x7cb886cb,
      0x1f42f9cf, 0x18b06718, 0x1f42ffcf, 0x48afe705, 0x1f42ffcf],
     [0x00005cd7, 0x00000000, 0x00000000, 0x00000000, 0xb8ac4704,
      0x1f42fdce, 0x28b0c702, 0x1f42fd8f, 0x4cb4e722, 0x1f42ffcf],
     [0x00005cd8, 0x00000000, 0x14b7870d, 0x1f42ffcf, 0xccaf06f0,
      0x1f42ffce, 0x10b8e70d, 0x1f42fa8f, 0x88b626f9, 0x1f42f8cf],
     [0x00005cd9, 0x00000000, 0x00000000, 0x00000000, 0xe8b886eb,
      0x1f42fc0e, 0xbcab672c, 0x1f42f90e, 0x10b6070d, 0x1f42fbcf],
     [0x00005cda, 0x00000000, 0x58ac071a, 0x1f42fc0f, 0xf4b16705,
      0x1f43008e, 0xa4b74718, 0x1f42f3ce, 0x68b80706, 0x1f42fa8f],
     [0x00005cdb, 0x00000000, 0x18b50703, 0x1f42f7cf, 0x80aec6f6,
      0x1f42fb0f, 0xc4ab26f2, 0x1f42fe8e, 0x0cadc703, 0x1f42fd0f],
     [0x00005cdc, 0x00000000, 0x60b14735, 0x1f42f6ce, 0x00000000,
      0x00000000, 0xecb66740, 0x1f42fcce, 0xd0b306f6, 0x1f42fece],
     [0x00005cdd, 0x00000000, 0x00000000, 0x00000000, 0x70b74733,
      0x1f42fa0f, 0xccb1c719, 0x1f42f3ce, 0x1cb00735, 0x1f42f90f],
     [0x00005cde, 0x00000000, 0x88b646f9, 0x1f42f90f, 0x00000000,
      0x00000000, 0x80aec6ef, 0x1f42f80f, 0x3cb6a71a, 0x1f42f68f],
     [0x00005cdf, 0x00000000, 0x28adc6d1, 0x1f42f9cf, 0xa0b50735,
      0x1f42fb0e, 0xb8b06739, 0x1f42fe4e, 0xe4b326fc, 0x1f42fb4e],
     [0x00005ce0, 0x00000000, 0x8cb366f0, 0x1f42f80e, 0xccb60701,
      0x1f42f9ce, 0xd8afe717, 0x1f42f9ce, 0x50b5072f, 0x1f42f44e],
     [0x00005ce1, 0x00000000, 0xd0b186fe, 0x1f430a4f, 0xacb226ef,
      0x1f4306ce, 0x00aac6ee, 0x1f430790, 0x7cb3c73c, 0x1f430b8e],
     [0x00005ce2, 0x00000000, 0xc4b32700, 0x1f43080f, 0x98b2e6b8,
      0x1f430810, 0x04b2c6a6, 0x1f4307d0, 0x84b1e6b8, 0x1f430850],
     [0x00005ce3, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x28b4269b, 0x1f4302cf, 0x00000000, 0x00000000],
     [0x00005ce4, 0x00000000, 0x00000000, 0x00000000, 0x14b566ce,
      0x1f42fe50, 0x10b74685, 0x1f430211, 0x14af46da, 0x1f43020f],
     [0x00005ce5, 0x00000000, 0xaca94707, 0x1f42fe4e, 0x54b0e6fb,
      0x1f43008f, 0x7cb6a6e8, 0x1f42fbcf, 0xecb486c2, 0x1f43018e],
     [0x00005ce6, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x60ada6ec, 0x1f43054f],
     [0x00005ce7, 0x00000000, 0x00000000, 0x00000000, 0xc8b326fa,
      0x1f4303ce, 0x00000000, 0x00000000, 0xc4b706fb, 0x1f42f8cf],
     [0x00005ce8, 0x00000000, 0xacb7a706, 0x1f42f88e, 0xd4b3a6cf,
      0x1f43028e, 0x08b826da, 0x1f42fc4f, 0x00000000, 0x00000000],
     [0x00005ce9, 0x00000000, 0x98b4a724, 0x1f42fe0e, 0xb0a526df,
      0x1f43018e, 0x00b5c700, 0x1f4303d0, 0x00000000, 0x00000000],
     [0x00005cea, 0x00000000, 0xfcb4c6d2, 0x1f42fe10, 0x74b926dd,
      0x1f430310, 0x00000000, 0x00000000, 0x00b54711, 0x1f42fb10],
     [0x00005ceb, 0x00000000, 0x04b666b7, 0x1f43024f, 0xfcb8e6b7,
      0x1f42fe4f, 0xb8aec711, 0x1f43058e, 0x58b4a6d9, 0x1f42fdcf],
     [0x00005cec, 0x00000000, 0x78b546ec, 0x1f42fc4f, 0x00000000,
      0x00000000, 0xe8b9a71d, 0x1f4301ce, 0x10b1872c, 0x1f42fa4f],
     [0x00005ced, 0x00000000, 0xe4b3a6aa, 0x1f43014f, 0xc8b406ec,
      0x1f43014f, 0xb8b566d6, 0x1f42fdce, 0xc8ac6701, 0x1f42fe4f],
     [0x00005cee, 0x00000000, 0x68b186f1, 0x1f43020f, 0x10ade6eb,
      0x1f430310, 0x70ab6709, 0x1f43194f, 0x9cb8c71d, 0x1f42fe0f],
     [0x00005cef, 0x00000000, 0x7cb7a6cb, 0x1f42f650, 0x00000000,
      0x00000000, 0x6cae66af, 0x1f42fece, 0x4cab06ad, 0x1f4302cf],
     [0x00005cf0, 0x00000000, 0xd8a906fe, 0x1f42ff50, 0x00000000,
      0x00000000, 0xacb566d9, 0x1f43000f, 0xecb6e6fd, 0x1f4301ce],
     [0x00005cf1, 0x00000000, 0x00000000, 0x00000000, 0x6caf8715,
      0x1f43010e, 0x68aea6e2, 0x1f43004f, 0x30b6a6a9, 0x1f430290],
     [0x00005cf2, 0x00000000, 0x9cb406ea, 0x1f42fb90, 0x44b306e2,
      0x1f42ff90, 0x0cb8a6b1, 0x1f42fc50, 0x18b026ce, 0x1f42fe4f],
     [0x00005cf3, 0x00000000, 0x58b2a6b6, 0x1f4301d0, 0xa0baa72f,
      0x1f42fc4e, 0x4cb4070e, 0x1f42fd0f, 0xfcb366c5, 0x1f430150],
     [0x00005cf4, 0x00000000, 0x0cb00703, 0x1f430110, 0x10b506f5,
      0x1f430450, 0x68b58731, 0x1f42fe8e, 0x54b6a70b, 0x1f42f98f],
     [0x00005cf5, 0x00000000, 0xa0b586fd, 0x1f42fd0e, 0x00000000,
      0x00000000, 0xa8b7a705, 0x1f42f9cf, 0x64b746fe, 0x1f42ff0f],
     [0x00005cf6, 0x00000000, 0xe0b44719, 0x1f42f90e, 0xf8b08711,
      0x1f42fdcf, 0x9cafa6ce, 0x1f42fe8f, 0xe8af4718, 0x1f42fcce],
     [0x00005cf7, 0x00000000, 0x9cb2a731, 0x1f42fb4e, 0xf0aae69d,
      0x1f42fe4e, 0x8cb90706, 0x1f42fc0f, 0x00000000, 0x00000000],
     [0x00005cf8, 0x00000000, 0x6cb72736, 0x1f42fece, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xe4b0a737, 0x1f42fe8e],
     [0x00005cf9, 0x00000000, 0x00000000, 0x00000000, 0x8cb806ef,
      0x1f43010e, 0x00000000, 0x00000000, 0xd4b586d4, 0x1f42fd4f],
     [0x00005cfa, 0x00000000, 0xfcb966f1, 0x1f42fd0e, 0x3cb42710,
      0x1f42f84f, 0x38b14719, 0x1f42fe90, 0x50b72706, 0x1f42ffcf],
     [0x00005cfb, 0x00000000, 0x00000000, 0x00000000, 0xa4b4c6f6,
      0x1f43074f, 0xb8b7c706, 0x1f42f9cf, 0x00000000, 0x00000000],
     [0x00005cfc, 0x00000000, 0x00000000, 0x00000000, 0xf0b426df,
      0x1f42fcce, 0x04af86db, 0x1f4300cf, 0x00000000, 0x00000000],
     [0x00005cfd, 0x00000000, 0x50b0a6fc, 0x1f43004f, 0xe0b126d3,
      0x1f43048f, 0x08ae471c, 0x1f43024f, 0x00000000, 0x00000000],
     [0x00005cfe, 0x00000000, 0x7cb266d7, 0x1f4303cf, 0x00000000,
      0x00000000, 0xd8af86b6, 0x1f4301cf, 0x00000000, 0x00000000],
     [0x00005cff, 0x00000000, 0xaca926dd, 0x1f43044f, 0x20aee6bd,
      0x1f42ff10, 0x70b4c6e5, 0x1f42fb8f, 0x40b4e6e0, 0x1f4302d0],
     [0x00005d00, 0x00000000, 0x3cb6a6fd, 0x1f43020f, 0x78b5871e,
      0x1f42fc4f, 0x00000000, 0x00000000, 0xbcb74720, 0x1f42fb4e],
     [0x00005d01, 0x00000000, 0xc8a5a6ed, 0x1f43008e, 0xc8b6473d,
      0x1f42fc4e, 0x80b3c6dc, 0x1f42ff90, 0x18b44705, 0x1f42fe4f],
     [0x00005d02, 0x00000000, 0xf8b02706, 0x1f43034e, 0xe8b8071a,
      0x1f4301cf, 0xd8af66f2, 0x1f42f84e, 0xe8ada71d, 0x1f43030e],
     [0x00005d03, 0x00000000, 0x2cb6e716, 0x1f43010f, 0x04aec6e5,
      0x1f4300cf, 0x00000000, 0x00000000, 0x9cb1c706, 0x1f42fecf],
     [0x00005d04, 0x00000000, 0xccaa8728, 0x1f4301ce, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005d05, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xe0adc6fa, 0x1f43040e, 0x00000000, 0x00000000],
     [0x00005d06, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xd8afe6f6, 0x1f42ff0f, 0x84b64705, 0x1f42f80f],
     [0x00005d07, 0x00000000, 0x00000000, 0x00000000, 0x80b52703,
      0x1f42fccf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005d08, 0x00000000, 0x50b6471d, 0x1f42ff8f, 0xbcb806ee,
      0x1f42fc8f, 0xc8b9a6f9, 0x1f42fa0f, 0x7cb26715, 0x1f43008f],
     [0x00005d09, 0x00000000, 0xa0b4e71a, 0x1f42fe8e, 0x34b5e728,
      0x1f43000f, 0x8cb5c73e, 0x1f42fb4e, 0x00000000, 0x00000000],
     [0x00005d0a, 0x00000000, 0x30b486e1, 0x1f42fa90, 0x40afa6da,
      0x1f42fe0f, 0x30b6472e, 0x1f42fbcf, 0x7cb64713, 0x1f42fd8e],
     [0x00005d0b, 0x00000000, 0x10b4e715, 0x1f42fd10, 0x9cb3c724,
      0x1f42fa8e, 0xecaa26eb, 0x1f42fc8e, 0x18b0272c, 0x1f42fb4f],
     [0x00005d0c, 0x00000000, 0x74b0e6fa, 0x1f42fe8f, 0x1cac26d4,
      0x1f43004f, 0x18b36729, 0x1f43000f, 0x08b9271a, 0x1f42f94f],
     [0x00005d0d, 0x00000000, 0xbcb7e72e, 0x1f42fe8e, 0x48b18716,
      0x1f43128f, 0xecb02723, 0x1f43038e, 0x00000000, 0x00000000],
     [0x00005d0e, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x40b56721, 0x1f42ffd0, 0x00000000, 0x00000000],
     [0x00005d0f, 0x00000000, 0x24ace716, 0x1f42fe8f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xc8b26719, 0x1f42f90e],
     [0x00005d10, 0x00000000, 0x5cb1e6fe, 0x1f42fe8f, 0x6cacc6fa,
      0x1f42fb8f, 0x2cabc6e3, 0x1f42fd4f, 0x00000000, 0x00000000],
     [0x00005d11, 0x00000000, 0x78b5470e, 0x1f42fc0f, 0x00000000,
      0x00000000, 0xacb3e6e6, 0x1f42fc4f, 0x00000000, 0x00000000],
     [0x00005d12, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x1cb54713, 0x1f42fc0f, 0x6cb0074a, 0x1f4302ce],
     [0x00005d13, 0x00000000, 0x00000000, 0x00000000, 0x5cb64700,
      0x1f42fe8f, 0xa4b46708, 0x1f42fc4e, 0x9cb2a721, 0x1f42fc4e],
     [0x00005d14, 0x00000000, 0xa0ae4720, 0x1f42fc0e, 0x94b98718,
      0x1f42ff8e, 0x04b3870a, 0x1f43008f, 0x00000000, 0x00000000],
     [0x00005d15, 0x00000000, 0x0cb2a70b, 0x1f42fccf, 0x98b806db,
      0x1f42ff8f, 0x00000000, 0x00000000, 0x68b64737, 0x1f42fe4f],
     [0x00005d16, 0x00000000, 0x00000000, 0x00000000, 0x54ae6700,
      0x1f42ff0f, 0x44aec716, 0x1f42fb8f, 0x80b70716, 0x1f42facf],
     [0x00005d17, 0x00000000, 0xb0baa730, 0x1f42fc4e, 0x00000000,
      0x00000000, 0xc4b1a71f, 0x1f42ff8e, 0x30b0e710, 0x1f43118f],
     [0x00005d18, 0x00000000, 0xe4b426dd, 0x1f42fd0e, 0x00000000,
      0x00000000, 0xe0bb270e, 0x1f42f90e, 0xa4acc72e, 0x1f42ffce],
     [0x00005d19, 0x00000000, 0x14af870e, 0x1f42fd0f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xbcb5c727, 0x1f42f58e],
     [0x00005d1a, 0x00000000, 0x00000000, 0x00000000, 0x2cb08737,
      0x1f430e4f, 0x08b26713, 0x1f43010f, 0x00000000, 0x00000000],
     [0x00005d1b, 0x00000000, 0x00000000, 0x00000000, 0x3cb5c71a,
      0x1f42fecf, 0x9cb4c6fc, 0x1f42f6ce, 0x9cb48735, 0x1f42f98e],
     [0x00005d1c, 0x00000000, 0xb8b8072d, 0x1f42fb4f, 0x8cb5c719,
      0x1f42f98e, 0x78b72724, 0x1f42facf, 0xd8b34738, 0x1f4300cf],
     [0x00005d1d, 0x00000000, 0x00000000, 0x00000000, 0x30b6e6f5,
      0x1f42f9cf, 0x64af86fc, 0x1f42fd0f, 0x54b4271c, 0x1f42fe8f],
     [0x00005d1e, 0x00000000, 0x00000000, 0x00000000, 0x3cb74719,
      0x1f42fdcf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005d1f, 0x00000000, 0x84b38732, 0x1f43020e, 0xc4b666de,
      0x1f43054f, 0xb4b3472d, 0x1f42ff0f, 0x28aea70a, 0x1f43144f],
     [0x00005d20, 0x00000000, 0x7cb0c732, 0x1f42fc8e, 0x44b4472e,
      0x1f42fb0f, 0x00000000, 0x00000000, 0x1caf4725, 0x1f43008f],
     [0x00005d21, 0x00000000, 0x00000000, 0x00000000, 0xccb92722,
      0x1f4302ce, 0xd0b7470a, 0x1f42fe8e, 0x10b64719, 0x1f42fad0],
     [0x00005d22, 0x00000000, 0x58b5a6ee, 0x1f42fa0f, 0x54b40721,
      0x1f42f74f, 0x30b10719, 0x1f42ffcf, 0x6caf8740, 0x1f42face],
     [0x00005d23, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x0cb1c6f4, 0x1f42ff0f, 0x00000000, 0x00000000],
     [0x00005d24, 0x00000000, 0xe8b706ec, 0x1f42fccf, 0x00000000,
      0x00000000, 0x6cb626e4, 0x1f42ff4f, 0x00000000, 0x00000000],
     [0x00005d25, 0x00000000, 0xb0ae8726, 0x1f43018e, 0xd8b1e70d,
      0x1f42fe4e, 0x00000000, 0x00000000, 0x34a586fc, 0x1f43158f],
     [0x00005d26, 0x00000000, 0x50b4472f, 0x1f42fdce, 0x00000000,
      0x00000000, 0xccac2708, 0x1f4300ce, 0x00000000, 0x00000000],
     [0x00005d27, 0x00000000, 0xc4b2e736, 0x1f42fe4e, 0x00000000,
      0x00000000, 0xf0b2c733, 0x1f42fa4e, 0xa4ac2723, 0x1f42fe8e],
     [0x00005d28, 0x00000000, 0x60b6a70c, 0x1f43030f, 0x6cb1e6de,
      0x1f42fd8f, 0x38b286df, 0x1f43004f, 0x80b36722, 0x1f42fe0e],
     [0x00005d29, 0x00000000, 0x00000000, 0x00000000, 0x98b726f7,
      0x1f42f94f, 0x50b7672c, 0x1f42fccf, 0x24ab8739, 0x1f43028f],
     [0x00005d2a, 0x00000000, 0x9cb60734, 0x1f42f84e, 0xc4b72735,
      0x1f42fc0e, 0x08b2c6f8, 0x1f42fd0f, 0x00b12706, 0x1f43000f],
     [0x00005d2b, 0x00000000, 0x00000000, 0x00000000, 0x44b466ce,
      0x1f42fc8f, 0x00000000, 0x00000000, 0xc4b6a727, 0x1f42fa8e],
     [0x00005d2c, 0x00000000, 0x78b68720, 0x1f42f84e, 0xf8b466c7,
      0x1f42fd8e, 0x5cb54705, 0x1f42fd0f, 0x00000000, 0x00000000],
     [0x00005d2d, 0x00000000, 0x00000000, 0x00000000, 0x48b54706,
      0x1f42fa4f, 0x54b2c71d, 0x1f42f98f, 0xecb5a6f8, 0x1f42face],
     [0x00005d2e, 0x00000000, 0xd0af071a, 0x1f42ff4e, 0x00000000,
      0x00000000, 0x4cb226f3, 0x1f43078f, 0x6cb1e711, 0x1f42fd4e],
     [0x1ff9bec0, 0x00000000, 0xa0906693, 0x12eaf30f, 0xa07fe693,
      0x1172f60f, 0xa07fc693, 0x1162f5cf, 0xa0a22693, 0x1a02f30f],
     [0x00005d30, 0x00000000, 0xa8af26eb, 0x1f42fc8e, 0x54b28738,
      0x1f42fb4e, 0xf4b1c72d, 0x1f42fb8e, 0xe0b306d5, 0x1f430210],
     [0x00005d31, 0x00000000, 0x00000000, 0x00000000, 0xecb6a71e,
      0x1f42ff0e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005d32, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x74b1a737, 0x1f42fe0e, 0x30b3c6fd, 0x1f43028f],
     [0x00005d33, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x28b24702, 0x1f4300cf],
     [0x00005d34, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xecaf2719, 0x1f42fb4e, 0x00000000, 0x00000000],
     [0x00005d35, 0x00000000, 0x3caf6708, 0x1f42fb0f, 0x88ac6730,
      0x1f43128e, 0xb0b64738, 0x1f42fc0e, 0x24ada735, 0x1f42fece],
     [0x00005d36, 0x00000000, 0x7caf8728, 0x1f42fcce, 0x98b20745,
      0x1f42fbce, 0x54b2e731, 0x1f42fc0e, 0x1cb84728, 0x1f42f8cf],
     [0x00005d37, 0x00000000, 0x34b5a6ff, 0x1f42fbcf, 0x78b5a6e3,
      0x1f42facf, 0xf0b4271a, 0x1f42f54f, 0x78b606ed, 0x1f42fa4f],
     [0x00005d38, 0x00000000, 0x38b6a72e, 0x1f42f74f, 0xccb98715,
      0x1f42face, 0x54b886ee, 0x1f42f70f, 0x38b0071c, 0x1f4301cf],
     [0x00005d39, 0x00000000, 0xfcb62736, 0x1f42f90e, 0x78b86712,
      0x1f43054e, 0x8cb4a6f9, 0x1f431d8f, 0x50b30700, 0x1f42ff0f],
     [0x00005d3a, 0x00000000, 0x48b6c6ae, 0x1f42fb4f, 0x50b4a6c0,
      0x1f43028f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005d3b, 0x00000000, 0x40b5e6d4, 0x1f42f50f, 0x00000000,
      0x00000000, 0x38adc6f4, 0x1f4312cf, 0xfcb726cf, 0x1f43038f],
     [0x00005d3c, 0x00000000, 0x50b5a700, 0x1f42f98f, 0x50b4a6e2,
      0x1f43028f, 0x50b30708, 0x1f42ff0f, 0x00000000, 0x00000000],
     [0x00005d3d, 0x00000000, 0x40ba26fe, 0x1f42f9cf, 0x3cb826da,
      0x1f42fa4f, 0xc0b6c70e, 0x1f42f74f, 0xc8b20724, 0x1f430c4e],
     [0x00005d3e, 0x00000000, 0x50b306c2, 0x1f42ff0f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x9cb70717, 0x1f42f6ce],
     [0x00005d3f, 0x00000000, 0x00000000, 0x00000000, 0x60af872f,
      0x1f43148e, 0x34b7c6f6, 0x1f42fa0f, 0x38b6e6ea, 0x1f42f7cf],
     [0x00005d40, 0x00000000, 0x64b486ea, 0x1f42fdcf, 0x00000000,
      0x00000000, 0x30b7670f, 0x1f42f4cf, 0xc4afe71e, 0x1f430d0e],
     [0x00005d41, 0x00000000, 0xf8b526e9, 0x1f43020f, 0x50b306ec,
      0x1f42ff0f, 0x00000000, 0x00000000, 0xa4abc725, 0x1f430c0e],
     [0x00005d42, 0x00000000, 0x18b8070c, 0x1f42fc0f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x20b80706, 0x1f4300cf],
     [0x00005d43, 0x00000000, 0x48b846b6, 0x1f430490, 0xbcb46741,
      0x1f43110e, 0xbcb66731, 0x1f42f80e, 0xccad2717, 0x1f4317ce],
     [0x00005d44, 0x00000000, 0x38b486fe, 0x1f42f9cf, 0x60b4870d,
      0x1f43018f, 0x68b666df, 0x1f42fe0f, 0xd0b10734, 0x1f43064e],
     [0x00005d45, 0x00000000, 0xa4b62718, 0x1f42f58e, 0x5cb36742,
      0x1f43138e, 0xb0b0c711, 0x1f4312ce, 0x64b7a71d, 0x1f42f84f],
     [0x00005d46, 0x00000000, 0x88b20706, 0x1f42fecf, 0x9cb14725,
      0x1f4302ce, 0x1cb46739, 0x1f430b4f, 0xb8b6a6da, 0x1f42f80f],
     [0x00005d47, 0x00000000, 0xd8b6c6e5, 0x1f42f94f, 0x9cb2a709,
      0x1f42f74e, 0x30b5870e, 0x1f42f9ce, 0x98b0e71c, 0x1f430d8f],
     [0x00005d48, 0x00000000, 0x00000000, 0x00000000, 0xe0b7c704,
      0x1f4302cf, 0xe4afc72f, 0x1f42fa8e, 0xe4b2872f, 0x1f43000e],
     [0x00005d49, 0x00000000, 0x00000000, 0x00000000, 0x3cad6709,
      0x1f43038f, 0x58b6472c, 0x1f42ffcf, 0x00000000, 0x00000000],
     [0x00005d4a, 0x00000000, 0x68a346f9, 0x1f430ccf, 0x9cb526de,
      0x1f430e8f, 0x54a2a72e, 0x1f43078e, 0x58b0072c, 0x1f430a8e],
     [0x00005d4b, 0x00000000, 0xf89ea722, 0x1f4320ce, 0x94a5471f,
      0x1f43134e, 0xc4a0e70f, 0x1f43288e, 0xdca9a724, 0x1f43154e],
     [0x00005d4c, 0x00000000, 0xd8ac06a1, 0x1f431310, 0xcca9a708,
      0x1f43158f, 0xd8a6c6f3, 0x1f431b8e, 0x78a4272c, 0x1f431cce],
     [0x00005d4d, 0x00000000, 0x00000000, 0x00000000, 0x70b1e6f9,
      0x1f431e0f, 0x00000000, 0x00000000, 0xe8a446fb, 0x1f430ece],
     [0x00005d4e, 0x00000000, 0x90a62738, 0x1f4310ce, 0xc0ab8719,
      0x1f43114e, 0x0cb406bc, 0x1f430050, 0xdcaa26d3, 0x1f4310cf],
     [0x00005d4f, 0x00000000, 0x6caf070f, 0x1f430b8e, 0xeca7470e,
      0x1f43084e, 0x74a306fc, 0x1f4321ce, 0x94ae06c8, 0x1f42fd10],
     [0x00005d50, 0x00000000, 0x98ae06ee, 0x1f43094e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005d51, 0x00000000, 0xa4a906fe, 0x1f43100f, 0x74b14712,
      0x1f43020f, 0xa4b2c6d8, 0x1f42ffd0, 0x04ad26f6, 0x1f42ff0f],
     [0x00014908, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xc0780407, 0x0fa2f80d],
     [0x00005d53, 0x00000000, 0x88b7c71e, 0x1f42fc4e, 0x84b80708,
      0x1f42f50e, 0xd4b5c6f8, 0x1f42fb0f, 0x28b50712, 0x1f4304cf],
     [0x00005d54, 0x00000000, 0x00000000, 0x00000000, 0xd8b266d8,
      0x1f43004f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005d55, 0x00000000, 0xc8b7c73b, 0x1f42fb0e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005d56, 0x00000000, 0x00000000, 0x00000000, 0x20aa4724,
      0x1f43188f, 0x94b62731, 0x1f43028e, 0xb4b9a72e, 0x1f42fb0e],
     [0x00005d57, 0x00000000, 0xc4b0e737, 0x1f4304ce, 0x20b6c6ff,
      0x1f42fc10, 0x00000000, 0x00000000, 0x7cb3a70d, 0x1f43204e],
     [0x00005d58, 0x00000000, 0x20a04736, 0x1f43244f, 0x00000000,
      0x00000000, 0x6cb16724, 0x1f43038e, 0x94b52714, 0x1f4308ce],
     [0x00005d59, 0x00000000, 0xc0b1470a, 0x1f42fb4e, 0x28b9a71c,
      0x1f42fe0f, 0x94b64719, 0x1f43010f, 0x88af6725, 0x1f4306ce],
     [0x00005d5a, 0x00000000, 0x00000000, 0x00000000, 0x48b7470e,
      0x1f42f64f, 0x84b7873c, 0x1f4302ce, 0xe0af6748, 0x1f430b4e],
     [0x00005d5b, 0x00000000, 0x2cb3872e, 0x1f4307cf, 0x08b8872c,
      0x1f42f40f, 0x00000000, 0x00000000, 0x70b7872b, 0x1f42f84f],
     [0x00005d5c, 0x00000000, 0x14b1671c, 0x1f43044f, 0x00000000,
      0x00000000, 0xc4b44737, 0x1f43060e, 0xa4ad0713, 0x1f430b0e],
     [0x00005d5d, 0x00000000, 0x9caf0729, 0x1f42ff0e, 0x00000000,
      0x00000000, 0x74afc730, 0x1f430e4e, 0x00b706df, 0x1f42f8d0],
     [0x00005d5e, 0x00000000, 0x80b66737, 0x1f42fa0e, 0x9cb56719,
      0x1f42f84f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005d5f, 0x00000000, 0x00000000, 0x00000000, 0x64b6a70e,
      0x1f42f5cf, 0xb8af2709, 0x1f4307cf, 0x28b1273e, 0x1f43068e],
     [0x00005d60, 0x00000000, 0xecb4e6f8, 0x1f42ff4e, 0x00000000,
      0x00000000, 0xb8af0718, 0x1f43070e, 0x6cb06725, 0x1f42f90f],
     [0x00005d61, 0x00000000, 0xacb4670c, 0x1f42fece, 0x00000000,
      0x00000000, 0x90b14708, 0x1f43018f, 0x64b56748, 0x1f43018e],
     [0x00005d62, 0x00000000, 0x00000000, 0x00000000, 0xb8aea72d,
      0x1f4307ce, 0x78b0072d, 0x1f430dce, 0x34b726ea, 0x1f4302d0],
     [0x00014919, 0x00000000, 0x5495669a, 0x15baee0f, 0x5495669a,
      0x15baee0f, 0x5495669a, 0x15baee0f, 0x5495669a, 0x15baee0f],
     [0x0001491a, 0x00000000, 0x5495669a, 0x15baee0f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005d65, 0x00000000, 0x00a96726, 0x1f42f84f, 0x0cb1872a,
      0x1f42fb8f, 0x28a70726, 0x1f42f84f, 0xd8a3c71e, 0x1f42fe0e],
     [0x00005d66, 0x00000000, 0x64ad870a, 0x1f42f60f, 0xd0b06716,
      0x1f42f90e, 0x80b5c722, 0x1f42ff0f, 0x00000000, 0x00000000],
     [0x00005d67, 0x00000000, 0x00000000, 0x00000000, 0x24a78726,
      0x1f42f94f, 0x00000000, 0x00000000, 0x34ab072a, 0x1f42fc8f],
     [0x00005d68, 0x00000000, 0x3ca56726, 0x1f42fb0f, 0x28aac726,
      0x1f42f84f, 0x88afe729, 0x1f42fc8f, 0x90af471a, 0x1f42fa4f],
     [0x00005d69, 0x00000000, 0x74b1871e, 0x1f42f90f, 0x8cb4472e,
      0x1f42f6ce, 0x00000000, 0x00000000, 0x90ac6716, 0x1f42fb8f],
     [0x00005d6a, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xd4b3a722, 0x1f42fb0f, 0x24b8071e, 0x1f43050f],
     [0x00005d6b, 0x00000000, 0x88a52716, 0x1f42fc0f, 0x00000000,
      0x00000000, 0x78b3471a, 0x1f42f84f, 0x1cb0e726, 0x1f42fb4f],
     [0x00005d6c, 0x00000000, 0xa8b26703, 0x1f42fa8e, 0x80ae071e,
      0x1f42fa4f, 0x4cb20726, 0x1f42fb0f, 0x54b0c72e, 0x1f42facf],
     [0x00005d6d, 0x00000000, 0xf4a9c71e, 0x1f42f94e, 0x38b38723,
      0x1f42f6cf, 0x24b0272e, 0x1f42f88f, 0x00000000, 0x00000000],
     [0x00005d6e, 0x00000000, 0xf4aee71e, 0x1f42f74e, 0x60b58737,
      0x1f42f84e, 0x00b1a726, 0x1f42f94f, 0xe8adc723, 0x1f42fe8e],
     [0x00005d6f, 0x00000000, 0xa4b84739, 0x1f42f84e, 0xb0b0e722,
      0x1f42fb0f, 0x84b4471e, 0x1f42fb0f, 0x4cb1872e, 0x1f42fd8e],
     [0x00005d70, 0x00000000, 0xe0aa071b, 0x1f42fa8e, 0xaca6c713,
      0x1f42ff8e, 0x64aec71e, 0x1f42f80f, 0x74a60713, 0x1f42fa0f],
     [0x00005d71, 0x00000000, 0x78a6271d, 0x1f42face, 0x94aac71f,
      0x1f42fb0f, 0x00000000, 0x00000000, 0x94b0e722, 0x1f42fb0f],
     [0x00005d72, 0x00000000, 0x4ca44721, 0x1f42fb0f, 0xb4abe722,
      0x1f42fa0f, 0xa0b52727, 0x1f42f80f, 0x24a9271e, 0x1f42fbcf],
     [0x00005d73, 0x00000000, 0x9caba715, 0x1f42fc8e, 0xb4b5073c,
      0x1f42fbce, 0x44a74716, 0x1f42facf, 0xf8a1e721, 0x1f42fbce],
     [0x00005d74, 0x00000000, 0x08b02726, 0x1f42f90f, 0x90ab6722,
      0x1f42fd0e, 0x6caa8726, 0x1f42f84e, 0x00000000, 0x00000000],
     [0x00005d75, 0x00000000, 0x5cb14748, 0x1f42f74e, 0xc0b7a743,
      0x1f42face, 0x94ade70e, 0x1f42f9cf, 0x68b0c72d, 0x1f42f8ce],
     [0x00005d76, 0x00000000, 0x34ade72a, 0x1f42fa8f, 0x88b2471b,
      0x1f42fe0f, 0xbcaa0731, 0x1f42f78e, 0x18a62731, 0x1f42fd8f],
     [0x00005d77, 0x00000000, 0x00000000, 0x00000000, 0xb0b22731,
      0x1f42f84e, 0x3cad2725, 0x1f42f98f, 0x34a88726, 0x1f43034e],
     [0x00005d78, 0x00000000, 0x88b0e729, 0x1f42f70e, 0x80b02721,
      0x1f42fa8e, 0xeca68731, 0x1f42f84e, 0x54b04739, 0x1f42f5cf],
     [0x00005d79, 0x00000000, 0xb8afe72a, 0x1f42fa4e, 0x00000000,
      0x00000000, 0x90af4723, 0x1f42f68e, 0x38ad2733, 0x1f42fccf],
     [0x00014930, 0x00000000, 0x5495669a, 0x15baee0f, 0x5495669a,
      0x15baee0f, 0x5495669a, 0x15baee0f, 0x5495669a, 0x15baee0f],
     [0x00014931, 0x00000000, 0x5495669a, 0x15baee0f, 0x5495669a,
      0x15baee0f, 0x5495669a, 0x15baee0f, 0x5495669a, 0x15baee0f],
     [0x00014932, 0x00000000, 0x5495669a, 0x15baee0f, 0x5495669a,
      0x15baee0f, 0x5495669a, 0x15baee0f, 0x5495669a, 0x15baee0f],
     [0x00014933, 0x00000000, 0x5495669a, 0x15baee0f, 0x5495669a,
      0x15baee0f, 0x5495669a, 0x15baee0f, 0x5495669a, 0x15baee0f],
     [0x00014934, 0x00000000, 0x5495669a, 0x15baee0f, 0x5495669a,
      0x15baee0f, 0x5495669a, 0x15baee0f, 0x5495669a, 0x15baee0f],
     [0x00014935, 0x00000000, 0x5495669a, 0x15baee0f, 0x5495669a,
      0x15baee0f, 0x5495669a, 0x15baee0f, 0x5495669a, 0x15baee0f],
     [0x00005d80, 0x00000000, 0x60b4c729, 0x1f42f8cf, 0x6cb06735,
      0x1f42f80e, 0x00000000, 0x00000000, 0x68b9c72a, 0x1f42f60e],
     [0x00014937, 0x00000000, 0x5495669a, 0x15baee0f, 0x5495669a,
      0x15baee0f, 0x5495669a, 0x15baee0f, 0x5495669a, 0x15baee0f],
     [0x00014938, 0x00000000, 0x5495669a, 0x15baee0f, 0x5495669a,
      0x15baee0f, 0x5495669a, 0x15baee0f, 0x5495669a, 0x15baee0f],
     [0x00014939, 0x00000000, 0x5495669a, 0x15baee0f, 0x5495669a,
      0x15baee0f, 0x5495669a, 0x15baee0f, 0x5495669a, 0x15baee0f],
     [0x0001493a, 0x00000000, 0x5495669a, 0x15baee0f, 0x5495669a,
      0x15baee0f, 0x5495669a, 0x15baee0f, 0x00000000, 0x00000000],
     [0x00005d85, 0x00000000, 0x7cac2725, 0x1f42f6ce, 0x28b60729,
      0x1f42f84f, 0x94af0735, 0x1f42fc8e, 0x6cb2a715, 0x1f42fa0f],
     [0x00005d86, 0x00000000, 0xf4aa672d, 0x1f42f80e, 0xf4b48732,
      0x1f42f68e, 0x04b4272d, 0x1f42f6cf, 0x04ae2739, 0x1f42f74f],
     [0x00005d87, 0x00000000, 0xf8b2c738, 0x1f42fc4e, 0x00aaa72e,
      0x1f42f98f, 0x70af873e, 0x1f42f84f, 0x8cb42726, 0x1f43000e],
     [0x00005d88, 0x00000000, 0x50b5e73d, 0x1f42f54e, 0xe0b5873d,
      0x1f42f98e, 0x60b56732, 0x1f42f44f, 0x38b1e731, 0x1f42f68f],
     [0x00005d89, 0x00000000, 0xb4a86739, 0x1f42f80e, 0x14ab671d,
      0x1f42fbcf, 0x98b26741, 0x1f42f90e, 0x00aee741, 0x1f42f84f],
     [0x00005d8a, 0x00000000, 0x8cb2c725, 0x1f43000e, 0x90b58740,
      0x1f42f54e, 0x04b3e71e, 0x1f42f8cf, 0x94ae8741, 0x1f42f84f],
     [0x00005d8b, 0x00000000, 0x00000000, 0x00000000, 0x9cab071a,
      0x1f42fa8e, 0x00000000, 0x00000000, 0x84b44712, 0x1f42fe4f],
     [0x00005d8c, 0x00000000, 0xbca7a723, 0x1f42fb0e, 0x04b08720,
      0x1f42f9cf, 0x14b6872e, 0x1f42f90f, 0xbcb4e735, 0x1f42fa4e],
     [0x00014943, 0x00000000, 0xe498853c, 0x16233d8a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00014944, 0x00000000, 0xe46f453c, 0x1622eb4a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00014945, 0x00000000, 0xcc988776, 0x16233d93, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00014946, 0x00000000, 0xcc6f4776, 0x1622eb53, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00014947, 0x00000000, 0xe4988776, 0x16233d8a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005d92, 0x00000000, 0xf0b60735, 0x1f42f8ce, 0xccafc73d,
      0x1f42fa4e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00014949, 0x00000000, 0xe46f4776, 0x1622eb4a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005d94, 0x00000000, 0x84b2a721, 0x1f42f9ce, 0x00000000,
      0x00000000, 0xc0b24729, 0x1f42f84e, 0x60b6a715, 0x1f42fd4f],
     [0x0001494b, 0x00000000, 0xe498653c, 0x1622eb4a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005d96, 0x00000000, 0x30aee740, 0x1f42f98e, 0x6cb68726,
      0x1f42fb0e, 0xd0a68732, 0x1f42f98e, 0x00000000, 0x00000000],
     [0x0001494d, 0x00000000, 0xcc986776, 0x1622eb53, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005d98, 0x00000000, 0x9cb4a732, 0x1f42f70e, 0x44b6a72d,
      0x1f42f84f, 0x60b7273a, 0x1f42fa4e, 0x7cb1c71f, 0x1f42f8ce],
     [0x0001494f, 0x00000000, 0xe4986776, 0x1622eb4a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00003651, 0x00000000, 0xa07bc667, 0x106af6cf, 0xa07bc667,
      0x106af6cf, 0xa07bc667, 0x106af6cf, 0xa07bc667, 0x106af6cf],
     [0x00005d9b, 0x00000000, 0x6cb4671f, 0x1f42f8ce, 0x64b0c72a,
      0x1f42fa4e, 0x90b1a73a, 0x1f42f5ce, 0x04a5e72e, 0x1f42f54f],
     [0x00005d9c, 0x00000000, 0xa0b46739, 0x1f42f44e, 0x4cb3e731,
      0x1f42f7cf, 0xd4ad4731, 0x1f42f74e, 0x00000000, 0x00000000],
     [0x00005d9d, 0x00000000, 0x00000000, 0x00000000, 0x8cac2742,
      0x1f42f50e, 0x90b4072e, 0x1f42fcd3, 0x00000000, 0x00000000],
     [0x00005d9e, 0x00000000, 0xc0b7072e, 0x1f43030f, 0xe0b3a715,
      0x1f4302ce, 0x40b4472e, 0x1f42fc4f, 0x84b78737, 0x1f42ff0f],
     [0x00014955, 0x00000000, 0xe4986599, 0x1623264a, 0xe46f4599,
      0x1622eb4a, 0xe47ae53c, 0x1622eb4a, 0xe47ae599, 0x1622eb4a],
     [0x00005da0, 0x00000000, 0xdca64732, 0x1f43188e, 0x2cb16715,
      0x1f43114e, 0xccac4732, 0x1f430cce, 0x24b1c715, 0x1f43018f],
     [0x00014957, 0x00000000, 0xcc7ae776, 0x1622eb53, 0x587ae776,
      0x1622eb52, 0xe4988776, 0x16233d8a, 0xe4988776, 0x1623264a],
     [0x00014958, 0x00000000, 0xe4988776, 0x1623264a, 0xe46f4776,
      0x1622eb4a, 0xe47ae776, 0x1622eb4a, 0xe47ae776, 0x1622eb4a],
     [0x00014959, 0x00000000, 0xe4986599, 0x1622eb4a, 0xe498653c,
      0x1622eb4a, 0xe4986599, 0x1622eb4a, 0x58986776, 0x1622eb52],
     [0x0001495a, 0x00000000, 0xcc986776, 0x1622eb53, 0x58986776,
      0x1622eb52, 0xe4986776, 0x1622eb4a, 0xe4986776, 0x1622eb4a],
     [0x0001495b, 0x00000000, 0xe4986776, 0x1622eb4a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005da6, 0x00000000, 0x00000000, 0x00000000, 0xd4abc706,
      0x1f430a8e, 0x7cb3c726, 0x1f43094f, 0x00b04718, 0x1f43108f],
     [0x00005da7, 0x00000000, 0xe0ade726, 0x1f43028e, 0x28b5a6ee,
      0x1f43058f, 0xacb78724, 0x1f43084e, 0x00000000, 0x00000000],
     [0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005da9, 0x00000000, 0xd4b4470f, 0x1f42fe8e, 0x00000000,
      0x00000000, 0x10b526f3, 0x1f43020f, 0x00000000, 0x00000000],
     [0x00005daa, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x6cb4471b, 0x1f43034e, 0x38b0e729, 0x1f43074f],
     [0x00005dab, 0x00000000, 0x00000000, 0x00000000, 0x84b3872f,
      0x1f43024e, 0x18b68719, 0x1f43028f, 0x5cb68701, 0x1f42f84e],
     [0x00005dac, 0x00000000, 0x84b7270f, 0x1f42fb4f, 0x80b5270a,
      0x1f4309cf, 0xa4b4a6fa, 0x1f42ff8f, 0x00000000, 0x00000000],
     [0x00005dad, 0x00000000, 0xb4b68710, 0x1f43018f, 0x70b6270e,
      0x1f42ff8f, 0x00000000, 0x00000000, 0x54b6870a, 0x1f42f84f],
     [0x00005dae, 0x00000000, 0xf8b5270a, 0x1f42fc8e, 0x24b526fb,
      0x1f42fa8f, 0x9cb5472e, 0x1f43024f, 0x50b526f5, 0x1f42f58f],
     [0x00005daf, 0x00000000, 0x00000000, 0x00000000, 0x2cb72706,
      0x1f4309cf, 0xe4b6270e, 0x1f43094e, 0xccb4c63e, 0x1f42fc91],
     [0x00005db0, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xf0b2870e, 0x1f43008f, 0x74b2c705, 0x1f43048f],
     [0x00005db1, 0x00000000, 0x8cafc6f4, 0x1f43078f, 0x54b3c715,
      0x1f42fecf, 0x48b86709, 0x1f43038f, 0x00000000, 0x00000000],
     [0x00005db2, 0x00000000, 0x78b2c6fc, 0x1f43068f, 0x50b1a712,
      0x1f43138f, 0xd4b3a72b, 0x1f43000f, 0x00000000, 0x00000000],
     [0x00005db3, 0x00000000, 0x00000000, 0x00000000, 0xf4b2872d,
      0x1f43064e, 0xf8b12720, 0x1f42ffce, 0x7cab6714, 0x1f430e8f],
     [0x00005db4, 0x00000000, 0x60acc718, 0x1f430f8f, 0xccb046f4,
      0x1f4304cf, 0x40b8e728, 0x1f4302cf, 0x54acc6e4, 0x1f430f8f],
     [0x00005db5, 0x00000000, 0x44b1a724, 0x1f43068f, 0x00000000,
      0x00000000, 0xacb04733, 0x1f430a8f, 0x6cacc71c, 0x1f430f8f],
     [0x00005db6, 0x00000000, 0x1cab672e, 0x1f431150, 0x00000000,
      0x00000000, 0xe0ace717, 0x1f430e4e, 0x04afc72c, 0x1f43088f],
     [0x00005db7, 0x00000000, 0x5cb1471b, 0x1f4301cf, 0x10ac472d,
      0x1f43154f, 0x30b1a727, 0x1f430bcf, 0x8cb12707, 0x1f43058f],
     [0x00005db8, 0x00000000, 0x00000000, 0x00000000, 0x10b0e734,
      0x1f43100f, 0x00000000, 0x00000000, 0xecb2271a, 0x1f430e8f],
     [0x00005db9, 0x00000000, 0x58b76743, 0x1f42fc8f, 0xb4b48721,
      0x1f4306cf, 0xf8b42721, 0x1f43030e, 0x08aec72f, 0x1f42fa0f],
     [0x00005dba, 0x00000000, 0x00000000, 0x00000000, 0x74b4670e,
      0x1f430e8f, 0x38adc6ff, 0x1f43124f, 0x00000000, 0x00000000],
     [0x00005dbb, 0x00000000, 0x28ac46fb, 0x1f430d4f, 0x38b2872d,
      0x1f4311cf, 0x089966e2, 0x1f432f10, 0x3cb5e6a1, 0x1f43098f],
     [0x00005dbc, 0x00000000, 0x38b226d9, 0x1f43000f, 0x4cb226d9,
      0x1f43020f, 0x80af0736, 0x1f43058e, 0x68b586c7, 0x1f430490],
     [0x00005dbd, 0x00000000, 0x18af8712, 0x1f43058f, 0x18b1a70b,
      0x1f43034f, 0x00000000, 0x00000000, 0x48ac6714, 0x1f430a0f],
     [0x00005dbe, 0x00000000, 0x28a86724, 0x1f42fbcf, 0x8cb226f8,
      0x1f43034f, 0x6caf26d7, 0x1f430a0e, 0x0cb726ed, 0x1f43060f],
     [0x00005dbf, 0x00000000, 0x38b7a6fe, 0x1f43050f, 0x00000000,
      0x00000000, 0xb0af871d, 0x1f43044e, 0x00000000, 0x00000000],
     [0x00005dc0, 0x00000000, 0x00000000, 0x00000000, 0xa0a9472b,
      0x1f42f8ce, 0x00000000, 0x00000000, 0xfcadc683, 0x1f43074f],
     [0x00005dc1, 0x00000000, 0xfcaa66d1, 0x1f430a0e, 0x68b4e695,
      0x1f430a8f, 0x00000000, 0x00000000, 0x80b2070e, 0x1f43080e],
     [0x00005dc2, 0x00000000, 0xfcb626e3, 0x1f43074f, 0x0ca10719,
      0x1f42fc8f, 0x30b0e6e1, 0x1f430590, 0xa0ada72a, 0x1f42ff0e],
     [0x00005dc3, 0x00000000, 0x50a88733, 0x1f43140e, 0xfcb0c6cc,
      0x1f430b0f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005dc4, 0x00000000, 0x04b64694, 0x1f430650, 0x84b3c6d9,
      0x1f4307cf, 0x5cad0715, 0x1f43084e, 0x10b3a6e4, 0x1f4307cf],
     [0x00005dc5, 0x00000000, 0x00000000, 0x00000000, 0x74b9a720,
      0x1f43064e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005dc6, 0x00000000, 0x00000000, 0x00000000, 0x78ade6ff,
      0x1f43064f, 0x80b00737, 0x1f430f4e, 0xbcb6c702, 0x1f43064e],
     [0x00005dc7, 0x00000000, 0x00000000, 0x00000000, 0xacb6470a,
      0x1f43074e, 0x8cac0738, 0x1f430d4e, 0xe8b00729, 0x1f43050e],
     [0x00005dc8, 0x00000000, 0x14b206f2, 0x1f430850, 0x00000000,
      0x00000000, 0xa0ad872c, 0x1f43048e, 0x60b8c6f9, 0x1f43054f],
     [0x00005dc9, 0x00000000, 0x94b566e2, 0x1f42fa4f, 0x70aae71d,
      0x1f43090e, 0xa0b3c6e9, 0x1f4309d0, 0xe8a706d4, 0x1f430b8f],
     [0x00005dca, 0x00000000, 0xa0b806fb, 0x1f43010f, 0x6caf4713,
      0x1f430a10, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005dcb, 0x00000000, 0x00000000, 0x00000000, 0x24afc715,
      0x1f430910, 0x00000000, 0x00000000, 0x38b546ff, 0x1f4304cf],
     [0x00005dcc, 0x00000000, 0x00000000, 0x00000000, 0x10b2c70f,
      0x1f430bcf, 0x8cb2e6f8, 0x1f430c0e, 0xc8ab2709, 0x1f430b0f],
     [0x00005dcd, 0x00000000, 0x1cab271e, 0x1f430bcf, 0xf4ab472c,
      0x1f430fce, 0x80b266da, 0x1f43084f, 0x94b72731, 0x1f42fd8e],
     [0x00005dce, 0x00000000, 0x9cb46727, 0x1f43080e, 0x44b3c71e,
      0x1f430750, 0x28b40707, 0x1f430550, 0x7cb2c72f, 0x1f430c4e],
     [0x00005dcf, 0x00000000, 0x54b82701, 0x1f430b4f, 0x10b5c710,
      0x1f43090f, 0x78a7a701, 0x1f43060f, 0x00000000, 0x00000000],
     [0x00005dd0, 0x00000000, 0xd0aa8735, 0x1f43004e, 0xb4b1472e,
      0x1f43090e, 0x00000000, 0x00000000, 0x9cb4a71f, 0x1f430a0f],
     [0x00005dd1, 0x00000000, 0xf0ace724, 0x1f430f4e, 0x9cade703,
      0x1f43064e, 0xc8b18712, 0x1f43028f, 0x68b16730, 0x1f43064e],
     [0x00005dd2, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x70a766e9, 0x1f430f4e, 0x4cae471f, 0x1f43028f],
     [0x00005dd3, 0x00000000, 0xa8af872b, 0x1f43038e, 0x0cb42703,
      0x1f43058f, 0x2caee722, 0x1f43088e, 0xf8aca694, 0x1f430fcf],
     [0x00005dd4, 0x00000000, 0xe8b5c712, 0x1f43090e, 0xfcb246e0,
      0x1f43070f, 0xecb5c70d, 0x1f43040e, 0x00000000, 0x00000000],
     [0x00005dd5, 0x00000000, 0xecb8e6fe, 0x1f43050e, 0x8cb4e6f2,
      0x1f43034f, 0xfcb7671e, 0x1f43034e, 0x00000000, 0x00000000],
     [0x00005dd6, 0x00000000, 0x00000000, 0x00000000, 0x2cb8a715,
      0x1f43050f, 0xf8b2e6d8, 0x1f43028f, 0x80b5673c, 0x1f430c4e],
     [0x00005dd7, 0x00000000, 0xb4b4673a, 0x1f43090e, 0x00000000,
      0x00000000, 0xacb7c726, 0x1f43048e, 0x6cb36726, 0x1f4302ce],
     [0x00005dd8, 0x00000000, 0x04b94718, 0x1f42ff8f, 0xf4b246ff,
      0x1f4308cf, 0xfcb20738, 0x1f43094e, 0x50b6472c, 0x1f4300ce],
     [0x00005dd9, 0x00000000, 0x00000000, 0x00000000, 0x6cb4c731,
      0x1f43080e, 0x70afa702, 0x1f430e4f, 0xd0b326fa, 0x1f43058e],
     [0x00005dda, 0x00000000, 0x48b766f9, 0x1f43048f, 0xbcb6471b,
      0x1f43028e, 0xacad6724, 0x1f43094e, 0x18b76736, 0x1f430a4f],
     [0x00005ddb, 0x00000000, 0xf8b6a716, 0x1f43084e, 0x08aec6e1,
      0x1f43058f, 0x7cb8670c, 0x1f43020e, 0x84b3e727, 0x1f43114e],
     [0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005f85, 0x00000000, 0xdcb50702, 0x1f43030e, 0x4cb2c6ee,
      0x1f4306d0, 0x4cad6707, 0x1f43098f, 0x5cb60724, 0x1f43094f],
     [0x00005dde, 0x00000000, 0x00000000, 0x00000000, 0xd0b38722,
      0x1f430bce, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005ddf, 0x00000000, 0x10b7e6dd, 0x1f43030f, 0x78b786ff,
      0x1f43044f, 0x4caa0732, 0x1f43170e, 0x48b7a729, 0x1f43038e],
     [0x00005de0, 0x00000000, 0x80b36726, 0x1f4309ce, 0x1cb0e6f3,
      0x1f43040f, 0x80b4a6f3, 0x1f42f68f, 0x00acc702, 0x1f4306cf],
     [0x00005de1, 0x00000000, 0x80ad06f5, 0x1f43050f, 0x6cb8a6d8,
      0x1f42fb4f, 0x00000000, 0x00000000, 0x98b386e8, 0x1f43050f],
     [0x00005de2, 0x00000000, 0xf0b5072c, 0x1f4305ce, 0x50b6071a,
      0x1f43000f, 0x00000000, 0x00000000, 0x00b3072f, 0x1f430bcf],
     [0x00005de3, 0x00000000, 0x58b60721, 0x1f43064f, 0x84b42715,
      0x1f430bcf, 0x38b24725, 0x1f43094f, 0xb0b0070b, 0x1f4312ce],
     [0x00005de4, 0x00000000, 0x00000000, 0x00000000, 0xacade6f0,
      0x1f43044f, 0xd0ae4702, 0x1f43098e, 0x00000000, 0x00000000],
     [0x00005de5, 0x00000000, 0x00000000, 0x00000000, 0x9cac8735,
      0x1f43070e, 0x00000000, 0x00000000, 0xa0ade71d, 0x1f43074e],
     [0x00005de6, 0x00000000, 0x00000000, 0x00000000, 0x44b0e70b,
      0x1f43080f, 0xfcb0e70a, 0x1f43090e, 0xb4b826e4, 0x1f43038f],
     [0x00005de7, 0x00000000, 0xf4afc728, 0x1f4306ce, 0xf0ae6715,
      0x1f4307ce, 0x68ae071f, 0x1f43020f, 0xc0aee6fa, 0x1f43054e],
     [0x00005de8, 0x00000000, 0xacb08716, 0x1f4305cf, 0x74b866d3,
      0x1f43014f, 0x70aea737, 0x1f43084e, 0x98b006f9, 0x1f43080f],
     [0x00005de9, 0x00000000, 0x00000000, 0x00000000, 0x80b46737,
      0x1f4310ce, 0x00000000, 0x00000000, 0x88b1470a, 0x1f43040f],
     [0x00005dea, 0x00000000, 0x1cb1a735, 0x1f43060f, 0x24ad06e2,
      0x1f43064f, 0x88b6a718, 0x1f43028f, 0x9caf670e, 0x1f43040e],
     [0x00005deb, 0x00000000, 0xf8b0271f, 0x1f43054e, 0x68b86742,
      0x1f42fe8e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005dec, 0x00000000, 0x58b72728, 0x1f43000f, 0xb8af8733,
      0x1f43068e, 0xa0acc6f6, 0x1f43080e, 0x20b0072e, 0x1f4305cf],
     [0x00005ded, 0x00000000, 0xc4ac86ef, 0x1f43080f, 0xdcafc705,
      0x1f43060e, 0xe0b06715, 0x1f43054e, 0x54aaa6e4, 0x1f43054f],
     [0x00005dee, 0x00000000, 0x00000000, 0x00000000, 0xe4b3a714,
      0x1f42fd8e, 0x94b6c723, 0x1f43028e, 0x04b2673a, 0x1f43098f],
     [0x00005def, 0x00000000, 0x58b64718, 0x1f43010f, 0x44b36741,
      0x1f43048e, 0x00000000, 0x00000000, 0x7caa073b, 0x1f42fa4e],
     [0x00005df0, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xecb2c6f7, 0x1f43048e, 0x00000000, 0x00000000],
     [0x00005df1, 0x00000000, 0x38adc70e, 0x1f4308cf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xe0b6e742, 0x1f43028e],
     [0x00005df2, 0x00000000, 0x00000000, 0x00000000, 0xd0b42731,
      0x1f430a4e, 0xf8ac0717, 0x1f4303ce, 0x00000000, 0x00000000],
     [0x00005df3, 0x00000000, 0xfcb0e731, 0x1f43060e, 0x14afa72b,
      0x1f43008e, 0x64b5c74c, 0x1f4307ce, 0xdcada737, 0x1f4305ce],
     [0x00005df4, 0x00000000, 0x6caee6f2, 0x1f4305ce, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xa0b62705, 0x1f43030f],
     [0x00005df5, 0x00000000, 0x6cb08742, 0x1f43010e, 0x50aac73e,
      0x1f430e0e, 0x00000000, 0x00000000, 0x7cb2273f, 0x1f43040e],
     [0x00005df6, 0x00000000, 0xbcb26739, 0x1f4306ce, 0xa8b18700,
      0x1f4301ce, 0x5cb10737, 0x1f4303ce, 0xe0b16711, 0x1f4311ce],
     [0x00005df7, 0x00000000, 0x0cb9a707, 0x1f42f44f, 0x00000000,
      0x00000000, 0x7ca8671a, 0x1f43128e, 0x00000000, 0x00000000],
     [0x00005df8, 0x00000000, 0xc4b50722, 0x1f42f68e, 0x00000000,
      0x00000000, 0xa8b4e713, 0x1f43140f, 0xd8b36731, 0x1f430d4e],
     [0x00005df9, 0x00000000, 0x00000000, 0x00000000, 0x0cb10705,
      0x1f42fb90, 0x00000000, 0x00000000, 0xa4a886eb, 0x1f42fe4f],
     [0x00005dfa, 0x00000000, 0x34b546e6, 0x1f430610, 0x0cb206e9,
      0x1f42fbd0, 0x00000000, 0x00000000, 0x28b5c6f6, 0x1f42fc8f],
     [0x00005dfb, 0x00000000, 0xf8b246d6, 0x1f4301cf, 0x5cb5c6eb,
      0x1f42f990, 0x84b2c6f4, 0x1f42fb8f, 0xbcba4725, 0x1f42f6ce],
     [0x00005dfc, 0x00000000, 0xd4b50727, 0x1f42fe4e, 0xd4b6c735,
      0x1f42ff8e, 0x90b426fc, 0x1f42fbcf, 0x24a526c3, 0x1f42fe50],
     [0x00005dfd, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xfcb5a6a2, 0x1f42f9d0, 0x28b486b2, 0x1f42f8cf],
     [0x00005dfe, 0x00000000, 0xacb526c1, 0x1f42f6ce, 0x3cb7667e,
      0x1f42f8d0, 0xc4b946cc, 0x1f42f2cf, 0xbcb4a717, 0x1f42f6cf],
     [0x00005dff, 0x00000000, 0x8cb4669d, 0x1f42f511, 0x4cad8708,
      0x1f42f30f, 0x6cb70699, 0x1f42f9cf, 0x88ad270b, 0x1f42f4cf],
     [0x00005e00, 0x00000000, 0x5cb026c3, 0x1f42f8cf, 0x1caba6e0,
      0x1f42f4cf, 0x1cb826fe, 0x1f42fb0f, 0x2cb486c8, 0x1f42f8cf],
     [0x00005e01, 0x00000000, 0x00000000, 0x00000000, 0x8cb786dd,
      0x1f42f8cf, 0xd0b5c6e1, 0x1f42f5cf, 0x00000000, 0x00000000],
     [0x00005e02, 0x00000000, 0x00000000, 0x00000000, 0x3ca14700,
      0x1f430acf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005e03, 0x00000000, 0x40b4e719, 0x1f42f8cf, 0x50b5c702,
      0x1f42f7d0, 0x18b806f3, 0x1f42f5cf, 0x94b7c6de, 0x1f42fa8f],
     [0x00005e04, 0x00000000, 0xf0b366ad, 0x1f42f5cf, 0x08b006cd,
      0x1f42f8cf, 0xbcb7e6df, 0x1f42f7d0, 0xa8b506db, 0x1f42f6cf],
     [0x00005e05, 0x00000000, 0x9cb4e6b5, 0x1f42f4ce, 0x70b7e724,
      0x1f42f54f, 0x1caf0709, 0x1f42f40f, 0xbcb4671d, 0x1f42f90e],
     [0x00005e06, 0x00000000, 0xd4b62714, 0x1f42f7cf, 0x00000000,
      0x00000000, 0xa4b5c6db, 0x1f42f5cf, 0x00000000, 0x00000000],
     [0x00005e07, 0x00000000, 0x5cb846d9, 0x1f42f4cf, 0x90b6e6f9,
      0x1f42f2cf, 0x00000000, 0x00000000, 0xd8ab0714, 0x1f43008e],
     [0x00005e08, 0x00000000, 0xd4b5a6a7, 0x1f42f4cf, 0xa8af8699,
      0x1f42fb90, 0x28b186ba, 0x1f42f9cf, 0xe4b1a6fa, 0x1f42fbcf],
     [0x00005e09, 0x00000000, 0x00000000, 0x00000000, 0xf0b726ee,
      0x1f42f5cf, 0x90af872f, 0x1f43040e, 0xe8ace705, 0x1f42f5cf],
     [0x000149c0, 0x00000000, 0x00000000, 0x00000000, 0xc0b3e655,
      0x1e72f6d0, 0xe4b2664b, 0x1e0af6d0, 0xc0b3e655, 0x1e72f6d0],
     [0x00005e0b, 0x00000000, 0x88b166f3, 0x1f42fad0, 0xe4b6a6e7,
      0x1f42f20f, 0x1cb44731, 0x1f430a0f, 0xfcb6c6ed, 0x1f42f7ce],
     [0x00005e0c, 0x00000000, 0x8cb3e6c3, 0x1f42f4ce, 0xa8b54703,
      0x1f42f6ce, 0x88b58719, 0x1f42f8cf, 0x18ad0674, 0x1f42f910],
     [0x000149c3, 0x00000000, 0x747f06a9, 0x112af54f, 0x8ca50660,
      0x1abaf690, 0x68ac066a, 0x1c7af6d0, 0xccaee60e, 0x1d2af6d1],
     [0x000149c4, 0x00000000, 0x68ac066a, 0x1c7af6d0, 0xccb02611,
      0x1d8af6d1, 0x40b3c633, 0x1e72f6d1, 0x6c98a6a9, 0x179af68f],
     [0x000149c5, 0x00000000, 0x68a3e6a9, 0x1a72f70f, 0xa099669c,
      0x17d2f6cf, 0xa099669c, 0x17caf6cf, 0x9085e67d, 0x11daedce],
     [0x000149c6, 0x00000000, 0x6c8ec6a9, 0x152af70f, 0xa099869c,
      0x17daf6cf, 0xa099469c, 0x17c2f6cf, 0xa099269c, 0x17baf6cf],
     [0x000149c7, 0x00000000, 0xa098869c, 0x1792f6cf, 0xa078069c,
      0x0f72f6cf, 0xa07f269c, 0x1142f6cf, 0xa07d669c, 0x10caf6cf],
     [0x000149c8, 0x00000000, 0x2082463c, 0x120af6d1, 0x6890a6a9,
      0x15a2f6cf, 0x689c66a9, 0x1892f6cf, 0x689c86a9, 0x18a2f6cf],
     [0x000149c9, 0x00000000, 0x689ca6a9, 0x18a2f6cf, 0x689d06a9,
      0x18b2f6cf, 0x6c9d66a9, 0x18caf6cf, 0x6c9d66a9, 0x18d2f6cf],
     [0x000149ca, 0x00000000, 0x00000000, 0x00000000, 0x68a0e6a9,
      0x19baf6cf, 0x689cc6a9, 0x18aaf6cf, 0x68a366a9, 0x1a4af6cf],
     [0x000149cb, 0x00000000, 0x68a126a9, 0x19baf6cf, 0x68a246a9,
      0x1a0af6cf, 0x6ca046a9, 0x1982f6cf, 0x68a206a9, 0x19faf6cf],
     [0x000149cc, 0x00000000, 0x68ad86a9, 0x1cdaf6cf, 0xa097469c,
      0x1742f6cf, 0xa094869c, 0x169af6cf, 0xa097c69c, 0x176af6cf],
     [0x000149cd, 0x00000000, 0x689d06a9, 0x18b2f68f, 0x689d46a9,
      0x18c2f6cf, 0x689126aa, 0x15baf6cf, 0x889b26a3, 0x1842f6cf],
     [0x00005e18, 0x00000000, 0xc8b78717, 0x1f42f8ce, 0x00000000,
      0x00000000, 0xe8b70727, 0x1f42f6ce, 0x00000000, 0x00000000],
     [0x000149cf, 0x00000000, 0x689286a9, 0x1622f6cf, 0x688f66a9,
      0x1552f6cf, 0x6891c6a9, 0x15eaf6cf, 0x68a166a9, 0x19d2f6cf],
     [0x000149d0, 0x00000000, 0x68a006a9, 0x197af6cf, 0x689cc6a9,
      0x18aaf6cf, 0x689cc6a9, 0x18aaf6cf, 0x6892a6a9, 0x161af68f],
     [0x00005e1b, 0x00000000, 0xc4b726f8, 0x1f42f7cf, 0x64aee708,
      0x1f42f5d0, 0x70aea72c, 0x1f42f9ce, 0x0cb7e6df, 0x1f42f010],
     [0x000149d2, 0x00000000, 0x689c86a9, 0x189af6cf, 0x689346a9,
      0x164af6cf, 0x689d06a9, 0x18baf6cf, 0x689c66a9, 0x188af70f],
     [0x000149d3, 0x00000000, 0x00000000, 0x00000000, 0x68a746a9,
      0x1b4af6cf, 0x00000000, 0x00000000, 0xa099669c, 0x17d2f6cf],
     [0x00005e1e, 0x00000000, 0x00000000, 0x00000000, 0x0cb826ff,
      0x1f42f50f, 0x00000000, 0x00000000, 0xbcb006e9, 0x1f4310ce],
     [0x000149d5, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x689c26a9, 0x1882f6cf, 0x00000000, 0x00000000],
     [0x000149d6, 0x00000000, 0xa04b869c, 0x0452f6cf, 0xa05cc69c,
      0x08aaf6cf, 0xa06e069c, 0x0cfaf6cf, 0xbc6b26a9, 0x0c42f6d3],
     [0x000149d7, 0x00000000, 0xbc6b26a9, 0x0c42f693, 0xbc8da6a9,
      0x14e2f6d3, 0xbc8dc6a9, 0x14e2f713, 0x00000000, 0x00000000],
     [0x000149d8, 0x00000000, 0x00000000, 0x00000000, 0x6495a70e,
      0x16e2f6cd, 0x687b86aa, 0x1102fc0f, 0x687e06a9, 0x1102f68f],
     [0x000149d9, 0x00000000, 0x40abe673, 0x1c72f6d0, 0x688da6a9,
      0x14daf6cf, 0x689946a9, 0x17c2f6cf, 0x849d4621, 0x17c2ee11],
     [0x00005e24, 0x00000000, 0x00000000, 0x00000000, 0x3cb6472f,
      0x1f42f2ce, 0x00000000, 0x00000000, 0xecb36727, 0x1f42f4ce],
     [0x0000d400, 0x00000000, 0xa03e83e8, 0x07d2ee0f, 0x747b669b,
      0x1162f18c, 0xac59469b, 0x0aa30d8c, 0xa0804682, 0x10c2fd0f],
     [0x0000d401, 0x00000000, 0xd06a4632, 0x0c52f90f, 0xd0922632,
      0x164af90f, 0xd0ba0632, 0x2042f90f, 0xd06a4632, 0x0c52f90f],
     [0x000149dd, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x689cc6a9, 0x18a2f6cf, 0x689cc6a9, 0x18a2f6cf],
     [0x000149de, 0x00000000, 0x689cc6a9, 0x18a2f6cf, 0x689cc6a9,
      0x18a2f6cf, 0x689cc6a9, 0x18a2f6cf, 0x689cc6a9, 0x18a2f6cf],
     [0x000149df, 0x00000000, 0x689cc6a9, 0x18a2f6cf, 0x689cc6a9,
      0x18a2f6cf, 0x689cc6a9, 0x18a2f6cf, 0x689cc6a9, 0x18a2f6cf],
     [0x000149e0, 0x00000000, 0x689cc6a9, 0x18a2f6cf, 0x689cc6a9,
      0x18a2f6cf, 0x689cc6a9, 0x18a2f6cf, 0x689cc6a9, 0x18a2f6cf],
     [0x000149e1, 0x00000000, 0x689cc6a9, 0x18a2f6cf, 0x689cc6a9,
      0x18a2f6cf, 0x689cc6a9, 0x18a2f6cf, 0x689cc6a9, 0x18a2f6cf],
     [0x000149e2, 0x00000000, 0x689cc6a9, 0x18a2f6cf, 0x689cc6a9,
      0x18a2f6cf, 0x689cc6a9, 0x18a2f6cf, 0x689cc6a9, 0x18a2f6cf],
     [0x0000d408, 0x00000000, 0x0c9246c0, 0x1773020b, 0x08924688,
      0x1773020d, 0x08924688, 0x1773020d, 0xf09246ce, 0x1773020b],
     [0x0000d409, 0x00000000, 0xf09246ce, 0x1773020b, 0xa078e720,
      0x0d4afcca, 0xa09d2720, 0x165afcca, 0xa0c16720, 0x1f6afcca],
     [0x0000d40a, 0x00000000, 0xc87ae72a, 0x0c52f6ca, 0xa09ae720,
      0x1452f6ca, 0xa0c16720, 0x1dbafb8a, 0xa083a720, 0x0f22fb8a],
     [0x0000d40b, 0x00000000, 0xa0814720, 0x0deaf6ca, 0xa082a720,
      0x0e42f6ca, 0xa0e5a720, 0x287afcca, 0xa083a720, 0x0ffafcca],
     [0x0000d40c, 0x00000000, 0xa083a720, 0x0ffafcca, 0xa08dc720,
      0x1282fcca, 0xa079c720, 0x0c0af6ca, 0xa083a720, 0x0f22fb8a],
     [0x0000d40d, 0x00000000, 0xa07b4720, 0x0d0af6ca, 0xa07c2720,
      0x0d42fb8a, 0xa08a0720, 0x10bafb8a, 0xa07da720, 0x0d02f6ca],
     [0x0000d40e, 0x00000000, 0xa0808720, 0x0e5af6ca, 0xa0ad0720,
      0x19c2f94a, 0xa087e720, 0x107af94a, 0xa08d8720, 0x11baf94a],
     [0x0000d40f, 0x00000000, 0xa08d8720, 0x11baf94a, 0xa07fa7a7,
      0x0efaf94a, 0x847e6720, 0x0cdaf6c8, 0x00000000, 0x00000000],
     [0x000149eb, 0x00000000, 0x34a68637, 0x1b1af6d1, 0x50912670,
      0x15c2f6d0, 0x50912670, 0x15c2f6d0, 0xd4a78653, 0x1b52f6d0],
     [0x000149ec, 0x00000000, 0x00000000, 0x00000000, 0xc4a7864f,
      0x1b52f6d0, 0xa099269c, 0x17c2f6cf, 0x20b065fd, 0x1d92f6d2],
     [0x000149ed, 0x00000000, 0x349a8677, 0x181af690, 0xdca645c9,
      0x1b0af6d2, 0x349a8677, 0x181af690, 0x54a926b0, 0x1bc2f68f],
     [0x00005e38, 0x00000000, 0x5cace70a, 0x1f42f50f, 0xccb4c6f7,
      0x1f42f6cf, 0x58b0e70b, 0x1f42f6cf, 0x70b7271e, 0x1f42fc0e],
     [0x000149ef, 0x00000000, 0xf8ade606, 0x1cfaf6d1, 0xd0b2e650,
      0x1e52f6d0, 0x2cad0639, 0x1cb2f691, 0x00000000, 0x00000000],
     [0x00005e3a, 0x00000000, 0xf0aee73e, 0x1f42fe4e, 0xecb726f2,
      0x1f42f18e, 0xe8b64746, 0x1f42fbce, 0x00000000, 0x00000000],
     [0x00005e3b, 0x00000000, 0xe0b36716, 0x1f42f9ce, 0x98b6c713,
      0x1f42f4ce, 0x00000000, 0x00000000, 0x50b0a725, 0x1f42f6ce],
     [0x00005e3c, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xdcb6e707, 0x1f42f50e, 0xa0b3a72e, 0x1f42f74e],
     [0x00005fb5, 0x00000000, 0xb8b54721, 0x1f43070e, 0x88b5a719,
      0x1f4304cf, 0x00000000, 0x00000000, 0xb0b3a6eb, 0x1f43038f],
     [0x00005e3e, 0x00000000, 0x00000000, 0x00000000, 0x9cb3e725,
      0x1f42f50e, 0xccb5472e, 0x1f42f5ce, 0x5cba0717, 0x1f42f60f],
     [0x00005e3f, 0x00000000, 0x8cb8271d, 0x1f42f70e, 0x4cb7e749,
      0x1f42f5cf, 0x6cb4c709, 0x1f42f60e, 0x3cac66ff, 0x1f42fb8f],
     [0x00005e40, 0x00000000, 0x00000000, 0x00000000, 0x78b4c705,
      0x1f42f7cf, 0xdcb0e72b, 0x1f42f60e, 0x00000000, 0x00000000],
     [0x00005e41, 0x00000000, 0x24b7c70b, 0x1f42f5cf, 0xf0b72712,
      0x1f42f4ce, 0x00000000, 0x00000000, 0x84b6e72d, 0x1f42f70f],
     [0x00005e42, 0x00000000, 0x00000000, 0x00000000, 0x58b6a6fd,
      0x1f42f40f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005e43, 0x00000000, 0x40b346f0, 0x1f42f40f, 0x00000000,
      0x00000000, 0xd0b6e734, 0x1f42f5cf, 0x00000000, 0x00000000],
     [0x00005e44, 0x00000000, 0xecb2c6f3, 0x1f430c8e, 0x40b1a71a,
      0x1f42f40f, 0xf4b2c727, 0x1f42f30e, 0x60b0c6ea, 0x1f42f30f],
     [0x00005e45, 0x00000000, 0xe8b006d3, 0x1f42f30e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xa4b3a721, 0x1f42f9ce],
     [0x00005e46, 0x00000000, 0x00000000, 0x00000000, 0x6cb866ed,
      0x1f42f4d0, 0x00000000, 0x00000000, 0xc0b506cb, 0x1f42f5cf],
     [0x00005e47, 0x00000000, 0x6cb60730, 0x1f43024f, 0xd0aee6de,
      0x1f42f6ce, 0xa8b7c72b, 0x1f42f6ce, 0x00000000, 0x00000000],
     [0x00005e48, 0x00000000, 0x00000000, 0x00000000, 0xe8b5072b,
      0x1f42fb0e, 0x00000000, 0x00000000, 0x28b20720, 0x1f42f7cf],
     [0x00005e49, 0x00000000, 0xb0b68710, 0x1f42f40e, 0xc4b606e7,
      0x1f42f5ce, 0xc0b1c72d, 0x1f42fa0e, 0x84b7c6e0, 0x1f42fb10],
     [0x00005e4a, 0x00000000, 0xa0a8070a, 0x1f430ece, 0xa0af6715,
      0x1f42f5ce, 0x10b306ff, 0x1f42f90f, 0x7cb7c72c, 0x1f42f74e],
     [0x00005e4b, 0x00000000, 0x0cb24714, 0x1f43050f, 0xe8af8702,
      0x1f42f8ce, 0x00000000, 0x00000000, 0x50b6071e, 0x1f42f7ce],
     [0x00005e4c, 0x00000000, 0x00000000, 0x00000000, 0xb0b24743,
      0x1f4308ce, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005e4d, 0x00000000, 0x80b06713, 0x1f42f30e, 0xc0b58701,
      0x1f42f6ce, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005e4e, 0x00000000, 0x50b50731, 0x1f42f7ce, 0x38b6a716,
      0x1f42f8cf, 0x68ae86ce, 0x1f430d4f, 0xf890e706, 0x1f43284e],
     [0x00005e4f, 0x00000000, 0x64b566ef, 0x1f43034f, 0x70af6702,
      0x1f42f78f, 0xf8b746fa, 0x1f42f98e, 0x04ab66ef, 0x1f42ff4f],
     [0x00005e50, 0x00000000, 0xf8b58706, 0x1f42fa8e, 0xc8ac8721,
      0x1f42fd4e, 0x74b566f7, 0x1f42fa8f, 0x00000000, 0x00000000],
     [0x00005e51, 0x00000000, 0x28b786e6, 0x1f42f98f, 0x94b0e6e7,
      0x1f42fc8f, 0x44b3c6e7, 0x1f42fd4f, 0xc4b62712, 0x1f42f58f],
     [0x00005e52, 0x00000000, 0x8cb64716, 0x1f43004e, 0x54b3e6fb,
      0x1f42fb8f, 0x84ace6eb, 0x1f42ff4f, 0x54b406df, 0x1f42fc8f],
     [0x00005e53, 0x00000000, 0x24aca6f2, 0x1f42ff4f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x84aae6ff, 0x1f42fd8f],
     [0x00005e54, 0x00000000, 0xb4ade700, 0x1f42fb8f, 0x84b4c6f6,
      0x1f42ff4f, 0x6cad06f2, 0x1f42fd8f, 0x94b5a6f7, 0x1f42fc8f],
     [0x00005e55, 0x00000000, 0xe0b38702, 0x1f42fb8e, 0x54b346f9,
      0x1f42f98f, 0x64b7270a, 0x1f42fb8f, 0x94b7270a, 0x1f42f88f],
     [0x00005e56, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa8b0e72a, 0x1f42fa8e, 0x00b3670a, 0x1f42fd90],
     [0x00005e57, 0x00000000, 0xa4af26fb, 0x1f42ff4f, 0xc4b8270e,
      0x1f42fe4f, 0x7cb1c72c, 0x1f42f98e, 0x44b08731, 0x1f43014e],
     [0x00005e58, 0x00000000, 0xecab470f, 0x1f42f68e, 0x80a8e71a,
      0x1f43124e, 0x48ac8719, 0x1f42f78f, 0x30b5070f, 0x1f42fd8f],
     [0x00005e59, 0x00000000, 0x1caa86f6, 0x1f42fd8f, 0x5cb56737,
      0x1f42fd8e, 0x00000000, 0x00000000, 0xa4b386f7, 0x1f42fa8f],
     [0x00005e5a, 0x00000000, 0xf0b2c72c, 0x1f4304ce, 0xf8b7270d,
      0x1f42f98e, 0x88b5871e, 0x1f42fd8f, 0x64b2c6f1, 0x1f43004f],
     [0x00005e5b, 0x00000000, 0x00000000, 0x00000000, 0xccb86734,
      0x1f42fcce, 0x00000000, 0x00000000, 0x34ace721, 0x1f42f68f],
     [0x00005e5c, 0x00000000, 0x34b0670a, 0x1f42fb8f, 0x00000000,
      0x00000000, 0x74b4a6fe, 0x1f42f98f, 0xc0b606ff, 0x1f42fa8f],
     [0x00005e5d, 0x00000000, 0xc0b286fe, 0x1f42fb8e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x9cade723, 0x1f42fc4e],
     [0x00005e5e, 0x00000000, 0xd4ac470e, 0x1f42f68f, 0xe8b34706,
      0x1f42fb8e, 0x7cb5c734, 0x1f42fd8f, 0x00000000, 0x00000000],
     [0x00005e5f, 0x00000000, 0x88b6470b, 0x1f42f78e, 0x9cb2e71d,
      0x1f42f98e, 0x00000000, 0x00000000, 0xfcb5c72f, 0x1f42f38e],
     [0x00005e60, 0x00000000, 0xe4ab0732, 0x1f430e8e, 0x54b4473f,
      0x1f430b8e, 0x08af46fb, 0x1f42f78f, 0x00000000, 0x00000000],
     [0x00005e61, 0x00000000, 0xfcb5c6fb, 0x1f42f88e, 0xd8aee710,
      0x1f42f38e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005e62, 0x00000000, 0x2cb4470e, 0x1f42fa8e, 0x00000000,
      0x00000000, 0x78b6470a, 0x1f42f68f, 0x64b44715, 0x1f42f68f],
     [0x00005e63, 0x00000000, 0x00000000, 0x00000000, 0xe0b2670a,
      0x1f42ff4f, 0x48ace725, 0x1f42fd8f, 0x9cb08700, 0x1f42fa8f],
     [0x00005e64, 0x00000000, 0x0cb3c71a, 0x1f42fa8f, 0x00000000,
      0x00000000, 0x8cb72704, 0x1f42fa8e, 0x34b66715, 0x1f42fa8f],
     [0x00005e65, 0x00000000, 0x54b66719, 0x1f42fc8f, 0x1cb08717,
      0x1f42f98e, 0x9cb64726, 0x1f42f98e, 0x44b5c6fe, 0x1f42f88f],
     [0x00005e66, 0x00000000, 0x4cb4c71d, 0x1f42fa8e, 0x00000000,
      0x00000000, 0x58b0c6f7, 0x1f42fc8f, 0x80b7e731, 0x1f42f58e],
     [0x00005e67, 0x00000000, 0x80b1c723, 0x1f430ece, 0x04b7a710,
      0x1f42f5cf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005e68, 0x00000000, 0xbcb44701, 0x1f42fb8f, 0xf0b2a706,
      0x1f42fc8e, 0x10ade6e3, 0x1f42fa8f, 0x00000000, 0x00000000],
     [0x00005e69, 0x00000000, 0xb4af26e2, 0x1f42f88e, 0x00000000,
      0x00000000, 0x78ab8736, 0x1f430f4e, 0xb0b6472a, 0x1f42f98e],
     [0x00005e6a, 0x00000000, 0x84b2a717, 0x1f42f88e, 0x38b5071e,
      0x1f42fb0f, 0x6cb62721, 0x1f42f2ce, 0x9cb3e71e, 0x1f42f98e],
     [0x00005e6b, 0x00000000, 0x48b8a72f, 0x1f42f9ce, 0x48b52703,
      0x1f42f88f, 0x64b22734, 0x1f42f88f, 0x00000000, 0x00000000],
     [0x00005e6c, 0x00000000, 0xecb2870b, 0x1f42fa8e, 0x40b38745,
      0x1f42f88e, 0xf0b086f3, 0x1f42f88e, 0x50b64738, 0x1f42f58e],
     [0x00005e6d, 0x00000000, 0xccb4e72b, 0x1f42fe4e, 0x00000000,
      0x00000000, 0x50b50731, 0x1f42f98e, 0x50b0e6fe, 0x1f42f98f],
     [0x0001bfff, 0x00000000, 0x00000000, 0x00000000, 0x3ca4a67e,
      0x1b42fbcc, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005e6f, 0x00000000, 0x00000000, 0x00000000, 0x28b6a746,
      0x1f43010e, 0x18b7472a, 0x1f430b0f, 0xfcb1872e, 0x1f430e8e],
     [0x00005e70, 0x00000000, 0x8cb1a733, 0x1f4307ce, 0x78aec6fb,
      0x1f42f90f, 0x00000000, 0x00000000, 0x28b1471a, 0x1f430c8f],
     [0x00005e71, 0x00000000, 0x00000000, 0x00000000, 0x24b666d9,
      0x1f42fd8f, 0x38b106f9, 0x1f4300cf, 0x00000000, 0x00000000],
     [0x00005e72, 0x00000000, 0x64b286df, 0x1f42f98f, 0x88b72742,
      0x1f430b8e, 0x90ad6732, 0x1f430a4e, 0x74b6a6fd, 0x1f42fc4f],
     [0x00005e73, 0x00000000, 0x00000000, 0x00000000, 0xe8b066de,
      0x1f42fc8e, 0x44b886e0, 0x1f42fb8f, 0x54b4c6d7, 0x1f42f88f],
     [0x00005e74, 0x00000000, 0x00000000, 0x00000000, 0xc8b7e72c,
      0x1f42f90e, 0x0cb5870e, 0x1f42fbcf, 0x00000000, 0x00000000],
     [0x00005e75, 0x00000000, 0x00000000, 0x00000000, 0xa0b6a6e7,
      0x1f42fb8f, 0x64b286cf, 0x1f42fc8f, 0x00000000, 0x00000000],
     [0x00005e76, 0x00000000, 0xc0b746f5, 0x1f42f9cf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005e77, 0x00000000, 0xc0b346df, 0x1f42f8cf, 0xe8b4c6d3,
      0x1f42ff8e, 0x24b226d4, 0x1f42ff8f, 0x88b806f7, 0x1f42fe8f],
     [0x00005e78, 0x00000000, 0x44aac6dc, 0x1f42fccf, 0x94b66707,
      0x1f42f84f, 0x00000000, 0x00000000, 0xf8b7a726, 0x1f42f8ce],
     [0x00005e79, 0x00000000, 0xb8b62700, 0x1f42face, 0x00000000,
      0x00000000, 0x7cb9473d, 0x1f42fd8e, 0x74b646f3, 0x1f42f58f],
     [0x00005e7a, 0x00000000, 0x00000000, 0x00000000, 0x64b7a71b,
      0x1f42f88f, 0x74b446fa, 0x1f42fe8f, 0x8cb2a700, 0x1f42fbce],
     [0x00005e7b, 0x00000000, 0x94b026ef, 0x1f43018f, 0xccb0072a,
      0x1f42f98e, 0x54ab26ed, 0x1f42fccf, 0xb4ae66f0, 0x1f42f98f],
     [0x00005e7c, 0x00000000, 0x68ae66e3, 0x1f42fe8f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005e7d, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x7cab071f, 0x1f43108e, 0x88b2c6de, 0x1f42fecf],
     [0x00005e7e, 0x00000000, 0x88aea6fa, 0x1f4300cf, 0x00000000,
      0x00000000, 0x78b106f5, 0x1f42facf, 0xd0af2737, 0x1f42fb8e],
     [0x00005e7f, 0x00000000, 0x00000000, 0x00000000, 0xc4ab2714,
      0x1f43018e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005e80, 0x00000000, 0x9cb1e731, 0x1f42fcce, 0x00000000,
      0x00000000, 0xa8b6071e, 0x1f42fbce, 0x14b2e71a, 0x1f42f8cf],
     [0x00005e81, 0x00000000, 0x44b4c710, 0x1f42f6cf, 0x94b746f0,
      0x1f42f64f, 0x58b066f4, 0x1f4300cf, 0x00000000, 0x00000000],
     [0x00005e82, 0x00000000, 0x6cb44702, 0x1f42f9ce, 0x00000000,
      0x00000000, 0xdcae271c, 0x1f4300ce, 0xc0b5c6f1, 0x1f42fd8f],
     [0x00005e83, 0x00000000, 0xb8b786fb, 0x1f42f8ce, 0x10aec707,
      0x1f42fecf, 0xb4b5a705, 0x1f42fdcf, 0x00000000, 0x00000000],
     [0x00005e84, 0x00000000, 0xc4b766ec, 0x1f42f78e, 0x24b1c70a,
      0x1f42fb0f, 0xf0b126df, 0x1f42f70e, 0xb4b48723, 0x1f42f70e],
     [0x00005e85, 0x00000000, 0x84ba471d, 0x1f42f70f, 0x9cb4871d,
      0x1f42f50e, 0x00000000, 0x00000000, 0x9cb64736, 0x1f42f78e],
     [0x00005e86, 0x00000000, 0x04b1e71a, 0x1f42ff8f, 0x04b4c718,
      0x1f42f8cf, 0x38b54715, 0x1f42f8cf, 0x04b506df, 0x1f42f70f],
     [0x00005e87, 0x00000000, 0x34b68731, 0x1f42f90f, 0x00000000,
      0x00000000, 0xd8b6a6ed, 0x1f42f70e, 0x4cb1c743, 0x1f43134e],
     [0x00005e88, 0x00000000, 0x70abc6e8, 0x1f42fa8f, 0x00000000,
      0x00000000, 0xe4b566fb, 0x1f42f9ce, 0x14b6a71b, 0x1f43024f],
     [0x00005e89, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x9cad870a, 0x1f42face, 0x00000000, 0x00000000],
     [0x00005e8a, 0x00000000, 0xacaee6ff, 0x1f42fdcf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x04b0c6dc, 0x1f42f80f],
     [0x00005e8b, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x74b24708, 0x1f42f8cf, 0x14b0a6ff, 0x1f42facf],
     [0x00005e8c, 0x00000000, 0xb0b686e0, 0x1f42fa8e, 0xf4b84716,
      0x1f42f70e, 0xc8b3070d, 0x1f42ff0f, 0xb4af2714, 0x1f42fccf],
     [0x00005e8d, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xb0b5c6ee, 0x1f42f7cf],
     [0x00005e8e, 0x00000000, 0x00000000, 0x00000000, 0xc0ad8708,
      0x1f42fbce, 0x00000000, 0x00000000, 0xdcb0a70d, 0x1f42f60f],
     [0x00005e8f, 0x00000000, 0xa0b72715, 0x1f42face, 0xe4b08736,
      0x1f42fa8e, 0x70ae8713, 0x1f43080e, 0x9caf6722, 0x1f42f9cf],
     [0x00005e90, 0x00000000, 0xdcb5c737, 0x1f4301ce, 0x00000000,
      0x00000000, 0x44b566f7, 0x1f42fa4f, 0xe8b84716, 0x1f42f4ce],
     [0x00005e91, 0x00000000, 0xfcb88701, 0x1f42f50e, 0x00000000,
      0x00000000, 0x80b1873c, 0x1f42f5ce, 0x34b6a736, 0x1f42face],
     [0x00005e92, 0x00000000, 0x9cb1e732, 0x1f42ff4e, 0x3cb80708,
      0x1f42f50e, 0x78b686cf, 0x1f42f6cf, 0x60b78712, 0x1f42f78e],
     [0x00005e93, 0x00000000, 0x08b7a70b, 0x1f42f84f, 0xa0b56730,
      0x1f42face, 0x7ca88714, 0x1f42f88f, 0x24b56711, 0x1f42fa8f],
     [0x00005e94, 0x00000000, 0x28b68730, 0x1f42f80f, 0x20b1671d,
      0x1f42fbcf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005e95, 0x00000000, 0xd0b2e717, 0x1f42f8ce, 0x00000000,
      0x00000000, 0xacb42700, 0x1f42f8ce, 0x44b34719, 0x1f42f60f],
     [0x00005e96, 0x00000000, 0xccb7671e, 0x1f42f7ce, 0x00000000,
      0x00000000, 0x04b6a70b, 0x1f42fbcf, 0x54b466cf, 0x1f42f80f],
     [0x00005e97, 0x00000000, 0x30b0e71f, 0x1f42f9cf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x48b52703, 0x1f42f6cf],
     [0x00005e98, 0x00000000, 0x64b5873e, 0x1f42f90e, 0x10b46728,
      0x1f42f88f, 0x70b42728, 0x1f42f90f, 0xa0b6c738, 0x1f42f78e],
     [0x00005e99, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xacb4a724, 0x1f42f88e],
     [0x00005e9a, 0x00000000, 0xc4b34709, 0x1f43058e, 0x24b28719,
      0x1f42f50f, 0x00000000, 0x00000000, 0x20b2a722, 0x1f42f9cf],
     [0x00005e9b, 0x00000000, 0xfcb0e722, 0x1f42f7ce, 0x48aec73a,
      0x1f42face, 0xccb3470e, 0x1f42f8ce, 0x00000000, 0x00000000],
     [0x00005e9c, 0x00000000, 0xa0b66738, 0x1f42f6ce, 0x88b5e72d,
      0x1f42fd8e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005e9d, 0x00000000, 0xd4b786f1, 0x1f43108f, 0x9cab471a,
      0x1f43104e, 0x08b40735, 0x1f430f8f, 0x4caa071e, 0x1f43158f],
     [0x00005e9e, 0x00000000, 0x4caae735, 0x1f4319cf, 0x78b04737,
      0x1f43130e, 0xbcaee721, 0x1f43160f, 0xc8a92729, 0x1f43130e],
     [0x00005e9f, 0x00000000, 0x00000000, 0x00000000, 0xa4ada742,
      0x1f4309ce, 0x5ca9470e, 0x1f43140f, 0x70ade741, 0x1f43164e],
     [0x00005ea0, 0x00000000, 0x98aba716, 0x1f4314cf, 0x20b3c72d,
      0x1f43160f, 0x00000000, 0x00000000, 0x68a8472b, 0x1f430b0f],
     [0x00005ea1, 0x00000000, 0x40ad2740, 0x1f4313ce, 0xc0ab0721,
      0x1f4319ce, 0xd8b2872d, 0x1f43114e, 0xccabe731, 0x1f43180e],
     [0x00005ea2, 0x00000000, 0xc8b08722, 0x1f43130e, 0xc8ab471d,
      0x1f431d4e, 0xccb5271b, 0x1f4311ce, 0xf8ab071a, 0x1f431a8e],
     [0x00005ea3, 0x00000000, 0x1cabe735, 0x1f43180e, 0x20a8472a,
      0x1f4310cf, 0x00000000, 0x00000000, 0x74ab6729, 0x1f4312ce],
     [0x00005ea4, 0x00000000, 0xf4abc72e, 0x1f43134e, 0x2caa0727,
      0x1f43130f, 0xdcaf0723, 0x1f4318ce, 0xb4b1a72c, 0x1f4301ce],
     [0x00005ea5, 0x00000000, 0x80aac731, 0x1f4313ce, 0x14b36728,
      0x1f430f0f, 0xfcb3c735, 0x1f43098e, 0xb0ae272e, 0x1f43130e],
     [0x00005ea6, 0x00000000, 0xc0b14735, 0x1f430b0e, 0x68abe73c,
      0x1f4305ce, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005ea7, 0x00000000, 0x5ca7e71e, 0x1f4319ce, 0x90a9671f,
      0x1f43164e, 0x84a9270b, 0x1f43198e, 0x64af6739, 0x1f43004e],
     [0x00005ea8, 0x00000000, 0x8cb0e739, 0x1f430d8e, 0x00000000,
      0x00000000, 0x90a866f3, 0x1f431a8e, 0x6cace70e, 0x1f43104e],
     [0x00005ea9, 0x00000000, 0x00000000, 0x00000000, 0x28b0a71f,
      0x1f43034f, 0xa8ab671b, 0x1f43174e, 0x00000000, 0x00000000],
     [0x00005eaa, 0x00000000, 0x64aa870e, 0x1f43170e, 0x88ac2738,
      0x1f43160e, 0x8cb0672d, 0x1f4312ce, 0x14a7c716, 0x1f43190f],
     [0x00005eab, 0x00000000, 0xc0b2c70f, 0x1f43050e, 0x78ab672e,
      0x1f43114e, 0x6cb02749, 0x1f43078e, 0xa0af6739, 0x1f430bce],
     [0x00005eac, 0x00000000, 0xa4a82726, 0x1f4314ce, 0xdcad472e,
      0x1f43090e, 0xb8ad2731, 0x1f430d4e, 0x54b7871d, 0x1f42fe8f],
     [0x00005ead, 0x00000000, 0xcca92736, 0x1f4319ce, 0x7ca84735,
      0x1f4316ce, 0x6cb42737, 0x1f43068e, 0xdcaa2736, 0x1f430b0e],
     [0x00005eae, 0x00000000, 0x34a9a726, 0x1f43198f, 0x00000000,
      0x00000000, 0x98b4271f, 0x1f42ff8e, 0x00000000, 0x00000000],
     [0x00005eaf, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x10ade736, 0x1f43098f, 0x04b2e739, 0x1f43180f],
     [0x00005eb0, 0x00000000, 0x00b46739, 0x1f43048f, 0x08b1a73a,
      0x1f430acf, 0x00000000, 0x00000000, 0x28ade738, 0x1f43094e],
     [0x00005eb1, 0x00000000, 0x48b38738, 0x1f43168e, 0x78b50736,
      0x1f43020e, 0x00000000, 0x00000000, 0x5ca7273f, 0x1f431b4e],
     [0x00005eb2, 0x00000000, 0x30ab0734, 0x1f430f0e, 0x00000000,
      0x00000000, 0x90ae2740, 0x1f42fd0e, 0x1cb166e9, 0x1f430650],
     [0x00005eb3, 0x00000000, 0x00000000, 0x00000000, 0xf8b44719,
      0x1f42fc8e, 0x00000000, 0x00000000, 0x9cb626fc, 0x1f42f88e],
     [0x00005eb4, 0x00000000, 0x00000000, 0x00000000, 0x1cad06fe,
      0x1f42fed0, 0x3cb1670f, 0x1f43024e, 0xc4b346d9, 0x1f42fe8f],
     [0x00005eb5, 0x00000000, 0x00000000, 0x00000000, 0x68b406cf,
      0x1f42fd0f, 0x70b24713, 0x1f43194f, 0x0cb3c70e, 0x1f42fd8f],
     [0x00005eb6, 0x00000000, 0xe8ac070e, 0x1f43014e, 0xf8aca6f2,
      0x1f43000f, 0xccb5870a, 0x1f42fa0e, 0x00000000, 0x00000000],
     [0x00005eb7, 0x00000000, 0xd4b04726, 0x1f43048e, 0xfcb7e702,
      0x1f42f590, 0xb8b1a730, 0x1f430c4e, 0x8cb20738, 0x1f430c4e],
     [0x00005eb8, 0x00000000, 0x60b0673e, 0x1f43064e, 0x70b4e6da,
      0x1f42fb90, 0x48b94723, 0x1f42f28f, 0xa4b94718, 0x1f42f90f],
     [0x00005eb9, 0x00000000, 0x54b1e706, 0x1f42fb0f, 0xe4b2872e,
      0x1f43058e, 0x9cb72732, 0x1f42fd0e, 0x00000000, 0x00000000],
     [0x00005eba, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x2cad0701, 0x1f430b0f, 0x70b6a724, 0x1f42f70e],
     [0x00005ebb, 0x00000000, 0x00000000, 0x00000000, 0x04b10702,
      0x1f43028f, 0x08b0e6ed, 0x1f42ff0f, 0xfcad66fa, 0x1f42ff0e],
     [0x00005ebc, 0x00000000, 0xc0b7a6e3, 0x1f42f5cf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005ebd, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x28b56725, 0x1f42f9cf, 0xc8b34716, 0x1f42fece],
     [0x00005ebe, 0x00000000, 0x90b58725, 0x1f42fa0e, 0x04b006fc,
      0x1f42f8cf, 0xa0ad6715, 0x1f430b90, 0xe8a8470a, 0x1f43184e],
     [0x00005ebf, 0x00000000, 0x00000000, 0x00000000, 0x5cab873b,
      0x1f43098e, 0x00000000, 0x00000000, 0x9cada73b, 0x1f43068e],
     [0x00005ec0, 0x00000000, 0xc0b0070a, 0x1f430a4e, 0x94af4700,
      0x1f430c8f, 0xc0b16713, 0x1f43024e, 0xaca3a720, 0x1f430b4e],
     [0x00005ec1, 0x00000000, 0x7caa0710, 0x1f430d4e, 0xacb00711,
      0x1f43194e, 0xbcaea71d, 0x1f43088e, 0x00000000, 0x00000000],
     [0x00005ec2, 0x00000000, 0xfcb24733, 0x1f43074e, 0x6ca3c71b,
      0x1f43178e, 0xbcae4717, 0x1f43024e, 0x04b14728, 0x1f430e4f],
     [0x00005ec3, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x2cada713, 0x1f431a4f, 0xc0a52721, 0x1f4311ce],
     [0x00005ec4, 0x00000000, 0xa8afa723, 0x1f431bce, 0x7cb4a720,
      0x1f430e0f, 0xecb3a703, 0x1f4308ce, 0x6cae8716, 0x1f431b4f],
     [0x00005ec5, 0x00000000, 0x78b1872a, 0x1f43120f, 0x04b16728,
      0x1f43168f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005ec6, 0x00000000, 0xeca7870e, 0x1f43194e, 0xdcaee729,
      0x1f430e4f, 0x6ca12719, 0x1f43164e, 0x00aaa715, 0x1f4312cf],
     [0x00005ec7, 0x00000000, 0x00000000, 0x00000000, 0x70a44723,
      0x1f431c4e, 0xacac072c, 0x1f430e8e, 0x00000000, 0x00000000],
     [0x00005ec8, 0x00000000, 0x54b1871a, 0x1f43044f, 0x00000000,
      0x00000000, 0x44aba720, 0x1f431c4e, 0x2ca4871f, 0x1f43118f],
     [0x00005ec9, 0x00000000, 0xa0a62715, 0x1f43188e, 0x28a52735,
      0x1f43168e, 0x88b1673d, 0x1f42ff4e, 0x00000000, 0x00000000],
     [0x00005eca, 0x00000000, 0x70b8a73a, 0x1f43084e, 0x00000000,
      0x00000000, 0x44aea6f9, 0x1f43118f, 0xc8a7672c, 0x1f43120e],
     [0x00005ecb, 0x00000000, 0x78aa8749, 0x1f430d4e, 0xb4b3871b,
      0x1f43074e, 0x4ca72724, 0x1f43118e, 0x88b6270c, 0x1f42fdcf],
     [0x00005ecc, 0x00000000, 0x48ab8726, 0x1f4319ce, 0x48a6a728,
      0x1f43194e, 0x6cab8701, 0x1f430e4e, 0x74aa870a, 0x1f43050f],
     [0x00005ecd, 0x00000000, 0x50a4a722, 0x1f43174e, 0xc4adc71a,
      0x1f430f4e, 0x04ae071a, 0x1f43090f, 0x00000000, 0x00000000],
     [0x00005ece, 0x00000000, 0xaca5a72c, 0x1f43164e, 0xccaf4726,
      0x1f43068e, 0xe0ace72c, 0x1f43160e, 0x5ca60727, 0x1f430bce],
     [0x00005ecf, 0x00000000, 0x84b36728, 0x1f4314cf, 0x00000000,
      0x00000000, 0x00acc726, 0x1f43060f, 0x00000000, 0x00000000],
     [0x00005ed0, 0x00000000, 0x94a80715, 0x1f43180f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005ed1, 0x00000000, 0xc0b0670e, 0x1f43180e, 0xd4adc728,
      0x1f43144e, 0x2cb54745, 0x1f43094e, 0xaca8a722, 0x1f43080e],
     [0x00005ed2, 0x00000000, 0x00aa2722, 0x1f43078f, 0x8cb06745,
      0x1f43078e, 0x54b2e722, 0x1f4318ce, 0x40a8a728, 0x1f43060f],
     [0x00005ed3, 0x00000000, 0xe4b56711, 0x1f43050e, 0x30a86741,
      0x1f431a8e, 0x8cac470e, 0x1f43018f, 0xf0b3a732, 0x1f42f98e],
     [0x00005ed4, 0x00000000, 0xe0ab0733, 0x1f4313ce, 0x14b2e712,
      0x1f43048f, 0x90ad072f, 0x1f430dce, 0x00000000, 0x00000000],
     [0x00005ed5, 0x00000000, 0xecb5e728, 0x1f42fb8e, 0x00000000,
      0x00000000, 0x8cb6a748, 0x1f430e4e, 0x00000000, 0x00000000],
     [0x00005ed6, 0x00000000, 0xdca7270a, 0x1f43058e, 0x00000000,
      0x00000000, 0x8cad4728, 0x1f430ece, 0x6ca42724, 0x1f43178e],
     [0x00005ed7, 0x00000000, 0x00000000, 0x00000000, 0xa4b0e737,
      0x1f430c8e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005ed8, 0x00000000, 0xa8a68734, 0x1f42ff8e, 0x68b82737,
      0x1f43064e, 0x28b06717, 0x1f43040f, 0x1ca90736, 0x1f43058e],
     [0x00005ed9, 0x00000000, 0x20b3c73a, 0x1f43158e, 0xeca7a73b,
      0x1f4313ce, 0x08af871f, 0x1f431c4f, 0x70b5073c, 0x1f430ece],
     [0x00005eda, 0x00000000, 0x00000000, 0x00000000, 0xb0a62744,
      0x1f431b8e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005edb, 0x00000000, 0xa4b1e744, 0x1f43014e, 0xecafc72b,
      0x1f43068e, 0x24b04717, 0x1f43064f, 0x00000000, 0x00000000],
     [0x00005edc, 0x00000000, 0x8ca9a731, 0x1f43034e, 0x08b6a735,
      0x1f42fb4f, 0x24a4273b, 0x1f430dce, 0x94b20736, 0x1f43058e],
     [0x00005edd, 0x00000000, 0xecb34735, 0x1f430c8e, 0xecb1c749,
      0x1f43018e, 0x60ad273a, 0x1f430f4e, 0x70af6722, 0x1f43068e],
     [0x00005ede, 0x00000000, 0x3cad873a, 0x1f430d8e, 0xc4a52726,
      0x1f43058e, 0xe0a9e733, 0x1f43118e, 0xa0abe726, 0x1f43154e],
     [0x00005edf, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x94b36718, 0x1f43030f, 0x00000000, 0x00000000],
     [0x00005ee0, 0x00000000, 0xb8a5c728, 0x1f43178e, 0x00000000,
      0x00000000, 0xa8aee719, 0x1f43158e, 0x00000000, 0x00000000],
     [0x00005ee1, 0x00000000, 0x5caee731, 0x1f430e8e, 0x30afe734,
      0x1f43098e, 0x80aa672e, 0x1f43104e, 0x60a62738, 0x1f430ece],
     [0x00005ee2, 0x00000000, 0x34a62717, 0x1f4312cf, 0x00000000,
      0x00000000, 0x30b56710, 0x1f4306cf, 0x88adc73d, 0x1f43178e],
     [0x00005ee3, 0x00000000, 0x60a42711, 0x1f43144e, 0xe8ac071b,
      0x1f43004e, 0x50ad272d, 0x1f43050e, 0x2cb8674b, 0x1f43048e],
     [0x00005ee4, 0x00000000, 0x8caae71c, 0x1f43104e, 0x6cabc738,
      0x1f430d4e, 0x5cae8738, 0x1f43080e, 0x00000000, 0x00000000],
     [0x00005ee5, 0x00000000, 0x44a82735, 0x1f43148f, 0xccb26748,
      0x1f43058e, 0xccb5471b, 0x1f42ff8e, 0x68b2c744, 0x1f4301ce],
     [0x00005ee6, 0x00000000, 0x8ca8072b, 0x1f43158e, 0xf8b46727,
      0x1f43090e, 0xb0aaa736, 0x1f430fce, 0xf0b42723, 0x1f43044e],
     [0x00005ee7, 0x00000000, 0x4ca86713, 0x1f431b0f, 0xa4b2e73d,
      0x1f42fd0e, 0x00000000, 0x00000000, 0xc0ab4727, 0x1f430e8e],
     [0x00005ee8, 0x00000000, 0xb8b24722, 0x1f43068e, 0x6cb0474d,
      0x1f430e8e, 0x18abc70c, 0x1f43150f, 0x00000000, 0x00000000],
     [0x00005ee9, 0x00000000, 0x7cac6734, 0x1f430a8e, 0x00000000,
      0x00000000, 0x68ab872f, 0x1f430b4e, 0xbca70728, 0x1f43138e],
     [0x00005eea, 0x00000000, 0x9cb30724, 0x1f4304ce, 0xa0a5272a,
      0x1f43148e, 0xacade723, 0x1f43124e, 0xacab073b, 0x1f430f0e],
     [0x00005eeb, 0x00000000, 0x0ca8a726, 0x1f43130f, 0xacae8738,
      0x1f43058e, 0x00000000, 0x00000000, 0xe4b32739, 0x1f430b0e],
     [0x00005eec, 0x00000000, 0x00000000, 0x00000000, 0x0ca6e738,
      0x1f43038f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005eed, 0x00000000, 0xa8b16731, 0x1f42ff0e, 0x74a6073b,
      0x1f430c8e, 0x00000000, 0x00000000, 0x70b36726, 0x1f430c8f],
     [0x00005eee, 0x00000000, 0xa0b2074d, 0x1f43048e, 0xeca9e733,
      0x1f4315ce, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005eef, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xb0a7073d, 0x1f43168e, 0x00000000, 0x00000000],
     [0x00005ef0, 0x00000000, 0x7ca9a73e, 0x1f43118e, 0x00abe740,
      0x1f43088f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005ef1, 0x00000000, 0x60b72741, 0x1f42fe4e, 0x00000000,
      0x00000000, 0x68b3e734, 0x1f430d4e, 0xe0a5a732, 0x1f42face],
     [0x00005ef2, 0x00000000, 0x00000000, 0x00000000, 0x3cb0a72e,
      0x1f430a4e, 0xe4afe731, 0x1f43130e, 0x40a9273e, 0x1f43168f],
     [0x00006010, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa8b30708, 0x1f43048f, 0x6cb44714, 0x1f42fc4f],
     [0x00005ef4, 0x00000000, 0x00000000, 0x00000000, 0x78af4731,
      0x1f43088e, 0x00000000, 0x00000000, 0x70aa672f, 0x1f430d4e],
     [0x00005ef5, 0x00000000, 0x54a6e733, 0x1f431a4e, 0x8cb14724,
      0x1f430e4e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005ef6, 0x00000000, 0x50a42734, 0x1f43198e, 0x4ca80742,
      0x1f43144e, 0xe4aa271c, 0x1f43168e, 0x60a5e726, 0x1f430e0e],
     [0x00005ef7, 0x00000000, 0x90b36741, 0x1f430e0e, 0x20b00746,
      0x1f43058e, 0xc8b0c736, 0x1f430cce, 0x38b36737, 0x1f43018e],
     [0x00005ef8, 0x00000000, 0xa0b7c738, 0x1f42fb4e, 0xd8b18733,
      0x1f43094e, 0xccac0735, 0x1f430c4e, 0x14afa73b, 0x1f43134e],
     [0x00005ef9, 0x00000000, 0x7caca744, 0x1f43150e, 0x4cb32739,
      0x1f4306ce, 0x80af072e, 0x1f43198e, 0x6cad2730, 0x1f4306ce],
     [0x00005efa, 0x00000000, 0x98b84731, 0x1f43148e, 0x6ca70735,
      0x1f43180e, 0x74adc740, 0x1f43034e, 0x34ad873e, 0x1f43144e],
     [0x00005efb, 0x00000000, 0x00000000, 0x00000000, 0xecb1273a,
      0x1f4302ce, 0x44adc711, 0x1f43114f, 0x00000000, 0x00000000],
     [0x00005efc, 0x00000000, 0x5caa472d, 0x1f43098e, 0xb8a5e738,
      0x1f43198e, 0xb0b1e72e, 0x1f43108e, 0x7cb24733, 0x1f43064e],
     [0x00005efd, 0x00000000, 0x68b28739, 0x1f43014e, 0x00000000,
      0x00000000, 0x20aba71c, 0x1f430dce, 0x88b10730, 0x1f43020e],
     [0x00005efe, 0x00000000, 0x70b3a72a, 0x1f430e4e, 0x50b8873d,
      0x1f43050e, 0x00000000, 0x00000000, 0x3ca9873c, 0x1f43198e],
     [0x00005eff, 0x00000000, 0x00ad6725, 0x1f43130f, 0x9cafe73b,
      0x1f43038e, 0x7cb00735, 0x1f4302ce, 0x50ad8734, 0x1f430f4e],
     [0x00005f00, 0x00000000, 0x6cab8734, 0x1f430e0e, 0xb8b84736,
      0x1f43028e, 0xbca88732, 0x1f43138e, 0xfcab6733, 0x1f430a8e],
     [0x00005f01, 0x00000000, 0x00000000, 0x00000000, 0xc4a90730,
      0x1f43048e, 0xc0b1a72d, 0x1f430c8e, 0x30b1671b, 0x1f42ffcf],
     [0x00005f02, 0x00000000, 0x00000000, 0x00000000, 0xf8aea731,
      0x1f43008e, 0xa0b0072a, 0x1f430e0e, 0xd0b0c731, 0x1f43108e],
     [0x00005f03, 0x00000000, 0x60b16743, 0x1f42fcce, 0xc4b14742,
      0x1f4301ce, 0xb4afc737, 0x1f430a0e, 0xc4b2272d, 0x1f42fa8e],
     [0x00005f04, 0x00000000, 0xacb2c736, 0x1f430c8e, 0xa4ae072f,
      0x1f430e4e, 0x6cafc733, 0x1f43058e, 0x94af2731, 0x1f4306ce],
     [0x00005f05, 0x00000000, 0x4cacc72f, 0x1f430bce, 0x00000000,
      0x00000000, 0x7cb08728, 0x1f430e8e, 0x9caea72f, 0x1f4307ce],
     [0x00005f06, 0x00000000, 0x00000000, 0x00000000, 0x60abe72a,
      0x1f43054e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005f07, 0x00000000, 0x10abe731, 0x1f43114f, 0x58b70745,
      0x1f43078e, 0x6caf6744, 0x1f43098e, 0x5caf2720, 0x1f430ace],
     [0x00005f08, 0x00000000, 0xf4ad2719, 0x1f430e8e, 0xb0a4471d,
      0x1f43188e, 0x94a6c720, 0x1f431e4e, 0x2cb14747, 0x1f43088e],
     [0x00005f09, 0x00000000, 0x00000000, 0x00000000, 0x84b76730,
      0x1f42ffce, 0x70b68721, 0x1f43098e, 0x98b5c74a, 0x1f43088e],
     [0x00005f0a, 0x00000000, 0xc8acc727, 0x1f43104e, 0xd0ae2723,
      0x1f43100e, 0x64b12734, 0x1f43140e, 0x8cae073b, 0x1f430c0e],
     [0x00005f0b, 0x00000000, 0x78b8472d, 0x1f43074f, 0xfcb4c726,
      0x1f43090e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005f0c, 0x00000000, 0x7cb14728, 0x1f43090e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xbcb70731, 0x1f43070e],
     [0x00005f0d, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x70a5872f, 0x1f42ff4e],
     [0x00005f0e, 0x00000000, 0x14b3e72a, 0x1f42fecf, 0x48af273a,
      0x1f43100e, 0x00000000, 0x00000000, 0x38b36738, 0x1f43048e],
     [0x00005f0f, 0x00000000, 0x90b3a733, 0x1f43020e, 0xfcb6271e,
      0x1f43028e, 0x9cb4c730, 0x1f43008e, 0x54b14730, 0x1f430d4e],
     [0x00005f10, 0x00000000, 0x84a8872a, 0x1f43018e, 0xa0a6672b,
      0x1f4309ce, 0x00000000, 0x00000000, 0xb8b0a724, 0x1f430b8e],
     [0x00005f11, 0x00000000, 0x00000000, 0x00000000, 0xb0b0272e,
      0x1f43088e, 0x00000000, 0x00000000, 0x00ad4736, 0x1f430d4e],
     [0x00005f12, 0x00000000, 0xd8b3272a, 0x1f4308ce, 0x64afc736,
      0x1f430b0e, 0x7ca40730, 0x1f43078e, 0x00000000, 0x00000000],
     [0x00005f13, 0x00000000, 0x4cafe73a, 0x1f43058e, 0xa4ade730,
      0x1f42fece, 0x00000000, 0x00000000, 0xf8b3672f, 0x1f42fe4e],
     [0x00005f14, 0x00000000, 0xa0b6272b, 0x1f42fe4e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x94b3e727, 0x1f430d4e],
     [0x00005f15, 0x00000000, 0xc0b7872b, 0x1f43030e, 0x00000000,
      0x00000000, 0x98b0073c, 0x1f4304ce, 0x3caba73c, 0x1f43024e],
     [0x00005f16, 0x00000000, 0xf0b4c72b, 0x1f42fb8e, 0x84b7872d,
      0x1f42f80e, 0x60ac473c, 0x1f43034e, 0x54b2c740, 0x1f4303ce],
     [0x00005f17, 0x00000000, 0x50abe730, 0x1f43048e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xb4a5a737, 0x1f4306ce],
     [0x00005f18, 0x00000000, 0x88b38738, 0x1f43000e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x50a7c738, 0x1f431b0e],
     [0x00005f19, 0x00000000, 0x98b4a73c, 0x1f430dce, 0x7cb5072d,
      0x1f42ff8e, 0xdcaf0738, 0x1f42f90e, 0x28b32738, 0x1f4303ce],
     [0x00005f1a, 0x00000000, 0x00000000, 0x00000000, 0x4cb04734,
      0x1f43040e, 0x70b08734, 0x1f43084e, 0x24b0e736, 0x1f4308ce],
     [0x00005f1b, 0x00000000, 0x5cb2c731, 0x1f430e4e, 0x00000000,
      0x00000000, 0xbcade72f, 0x1f43124e, 0x84b1c738, 0x1f430fce],
     [0x00005f1c, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xd4acc731, 0x1f42fb8e, 0xacb70723, 0x1f43094e],
     [0x00005f1d, 0x00000000, 0xf8b62710, 0x1f430bce, 0xe8b12714,
      0x1f42ff8e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005f1e, 0x00000000, 0xacb566f4, 0x1f42fcce, 0x9cb1c6ed,
      0x1f42ff0e, 0x9cb84700, 0x1f42f9ce, 0x54b0c718, 0x1f430d4f],
     [0x00005f1f, 0x00000000, 0xdcae270c, 0x1f42fa0e, 0x04b30708,
      0x1f42f6cf, 0x28b2e708, 0x1f42ff4f, 0x74b346fc, 0x1f42fd8e],
     [0x00005f20, 0x00000000, 0x9cb546fc, 0x1f42f7ce, 0x9cb3e710,
      0x1f42f9ce, 0x64afc701, 0x1f43058e, 0x8cb7e6f5, 0x1f42f58f],
     [0x00005f21, 0x00000000, 0x18b606e8, 0x1f42facf, 0xecafa6ef,
      0x1f42fdce, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005f22, 0x00000000, 0xecb246e9, 0x1f42fece, 0x18b7270e,
      0x1f42f7cf, 0x7ca886f7, 0x1f43154e, 0xb8b72712, 0x1f42f6ce],
     [0x00005f23, 0x00000000, 0x18a9a6eb, 0x1f42fe8f, 0xf8b5e6fb,
      0x1f42fbce, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005f24, 0x00000000, 0x10b34703, 0x1f42fe8f, 0xfcb126fc,
      0x1f42fe8e, 0x38b4c717, 0x1f42fdcf, 0x00000000, 0x00000000],
     [0x00005f25, 0x00000000, 0x38ae0707, 0x1f42fd8f, 0x68a84722,
      0x1f42f9cf, 0xbcb2c707, 0x1f42fa8e, 0xf8b7271b, 0x1f42fd0e],
     [0x00005f26, 0x00000000, 0x68a8c6f4, 0x1f42fbcf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x84b0a726, 0x1f4303ce],
     [0x00005f27, 0x00000000, 0xbcade71d, 0x1f43114e, 0xa4b00710,
      0x1f42fa0f, 0x78b4c70b, 0x1f42fb8f, 0x08b5c735, 0x1f430b8f],
     [0x00005f28, 0x00000000, 0x00000000, 0x00000000, 0x0cacc6ff,
      0x1f42fa8f, 0x40af6729, 0x1f430e8e, 0xf4b646fb, 0x1f42f60e],
     [0x00005f29, 0x00000000, 0x78b08737, 0x1f4305ce, 0x78aca712,
      0x1f4307cf, 0x00000000, 0x00000000, 0xecaf66e9, 0x1f42fece],
     [0x00005f2a, 0x00000000, 0x3cac870b, 0x1f42fa8f, 0x00000000,
      0x00000000, 0x14b04720, 0x1f43068f, 0x3cb1670b, 0x1f43028f],
     [0x00005f2b, 0x00000000, 0x00000000, 0x00000000, 0x3cb7670b,
      0x1f42f64f, 0x38b68727, 0x1f42fbcf, 0xf8b8c6f7, 0x1f42f7ce],
     [0x00005f2c, 0x00000000, 0x00000000, 0x00000000, 0xdcb1271d,
      0x1f43078e, 0x9cafe732, 0x1f430f4e, 0x28b646f3, 0x1f42fa0f],
     [0x00005f2d, 0x00000000, 0xf8b346fb, 0x1f42f8ce, 0x40b3e73b,
      0x1f42ff8e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005f2e, 0x00000000, 0x00000000, 0x00000000, 0x8cb64722,
      0x1f42f7ce, 0x4cb4e718, 0x1f42face, 0xecb68700, 0x1f42fbce],
     [0x00005f2f, 0x00000000, 0x48af4715, 0x1f43008f, 0x20b0e71a,
      0x1f42f68f, 0xa0b58734, 0x1f42f98e, 0x18b726f3, 0x1f42f9cf],
     [0x00005f30, 0x00000000, 0xa8b68707, 0x1f42f80f, 0xf0b7a717,
      0x1f42f9ce, 0x80b6672a, 0x1f42f84f, 0x00000000, 0x00000000],
     [0x00005f31, 0x00000000, 0x00000000, 0x00000000, 0xe8b5a704,
      0x1f42fa0e, 0x00000000, 0x00000000, 0x88b446ec, 0x1f42f90f],
     [0x00005f32, 0x00000000, 0xc8b4e716, 0x1f42face, 0x00000000,
      0x00000000, 0x3caec70f, 0x1f42fbcf, 0xf8aa46f7, 0x1f43028e],
     [0x00005f33, 0x00000000, 0x24b706ec, 0x1f42f70f, 0x78aec6ec,
      0x1f42f8cf, 0x88aec708, 0x1f42ffcf, 0x00000000, 0x00000000],
     [0x00005f34, 0x00000000, 0x3cb30721, 0x1f42f70e, 0x10b026f7,
      0x1f42f7cf, 0x48b0272d, 0x1f42facf, 0x00000000, 0x00000000],
     [0x00005f35, 0x00000000, 0xdcb506f7, 0x1f42f9ce, 0x48b1e714,
      0x1f42f8cf, 0x38b3471e, 0x1f42fbcf, 0x88b5a723, 0x1f42f60f],
     [0x00005f36, 0x00000000, 0xf8b78738, 0x1f42f60e, 0x18b4070e,
      0x1f42f7cf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005f37, 0x00000000, 0x5cb12740, 0x1f42f98e, 0x90b78732,
      0x1f42f9ce, 0x6caf4734, 0x1f43098e, 0x64aec727, 0x1f42f9ce],
     [0x00005f38, 0x00000000, 0xc0b64729, 0x1f42f9ce, 0x00000000,
      0x00000000, 0x6cb3472c, 0x1f42fbcf, 0x00000000, 0x00000000],
     [0x00005f39, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x38b5c727, 0x1f42f8cf],
     [0x00005f3a, 0x00000000, 0x38b0a6d8, 0x1f42fdcf, 0x00000000,
      0x00000000, 0x9cb02731, 0x1f43094e, 0x00000000, 0x00000000],
     [0x00005f3b, 0x00000000, 0x84b566dc, 0x1f42fc0e, 0x00000000,
      0x00000000, 0xfcb2a701, 0x1f42f60e, 0xb0b5e71a, 0x1f42face],
     [0x00005f3c, 0x00000000, 0x1cae06f8, 0x1f42fa0f, 0xdcaf4727,
      0x1f43134e, 0x30af8707, 0x1f42fc8f, 0x00000000, 0x00000000],
     [0x00005f3d, 0x00000000, 0xd8af06ef, 0x1f42fece, 0x00000000,
      0x00000000, 0xdcb5c721, 0x1f42fc0e, 0x7caee73c, 0x1f42f7ce],
     [0x00005f3e, 0x00000000, 0x60a88735, 0x1f431a4e, 0x00000000,
      0x00000000, 0xc8afc6e9, 0x1f43058f, 0x0ca76732, 0x1f431ecf],
     [0x00005f3f, 0x00000000, 0x00000000, 0x00000000, 0xf4b1c6e9,
      0x1f430b0e, 0x78a36733, 0x1f430a4e, 0x00000000, 0x00000000],
     [0x00005f40, 0x00000000, 0xf4b5870d, 0x1f430bcf, 0x60b926e4,
      0x1f43050f, 0xe4b3071a, 0x1f430c8e, 0x6cade6ec, 0x1f43050e],
     [0x00005f41, 0x00000000, 0x68b06704, 0x1f43108f, 0xe4b74705,
      0x1f4305cf, 0x3cb38726, 0x1f430a8f, 0xbcb22714, 0x1f430b8f],
     [0x00005f42, 0x00000000, 0xd0b62706, 0x1f43030f, 0x88aea713,
      0x1f430d8f, 0x9cb26738, 0x1f430a4e, 0xf0b7a6fb, 0x1f43070f],
     [0x00005f43, 0x00000000, 0x60b246fd, 0x1f43090f, 0xb4af26f4,
      0x1f43038f, 0xd0b2c6e8, 0x1f4309cf, 0xb8b026f2, 0x1f430bce],
     [0x00005f44, 0x00000000, 0x40b5c708, 0x1f430910, 0x58ae26ea,
      0x1f4305cf, 0xf8b4e6ec, 0x1f43074e, 0xfcb34707, 0x1f430bce],
     [0x00005f45, 0x00000000, 0x8cb58705, 0x1f4302cf, 0xf4b726ff,
      0x1f4308cf, 0xeca966ef, 0x1f430c0e, 0xecb42726, 0x1f430ace],
     [0x00005f46, 0x00000000, 0xbcaba716, 0x1f430c0f, 0xc8b4c6f9,
      0x1f430a0f, 0xdcb5e704, 0x1f43030f, 0x84ba4715, 0x1f43014f],
     [0x00005f47, 0x00000000, 0xe8b2e6e9, 0x1f43028f, 0x0cb186e5,
      0x1f430e10, 0x3cb5c6fa, 0x1f43064f, 0xb8b666e5, 0x1f4308cf],
     [0x00005f48, 0x00000000, 0x3cb3c740, 0x1f43094e, 0x48b2670b,
      0x1f430c0f, 0x74b12740, 0x1f43168e, 0x00000000, 0x00000000],
     [0x00005f49, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xa4b086f8, 0x1f43210e],
     [0x00005f4a, 0x00000000, 0x34b38709, 0x1f43068f, 0xb8b346ec,
      0x1f43094f, 0x00000000, 0x00000000, 0x58b2073b, 0x1f430dce],
     [0x00005f4b, 0x00000000, 0xa4aec6d9, 0x1f430a8f, 0x00000000,
      0x00000000, 0x68af8725, 0x1f4305ce, 0xf0a6a71e, 0x1f43200e],
     [0x00005f4c, 0x00000000, 0xccb166f6, 0x1f4308cf, 0xc4b526f6,
      0x1f43004f, 0xacb5e6e6, 0x1f4303cf, 0x6cb0e725, 0x1f4307ce],
     [0x00005f4d, 0x00000000, 0x00000000, 0x00000000, 0xccb2270a,
      0x1f430c8e, 0x30ac06fe, 0x1f430c90, 0x00000000, 0x00000000],
     [0x00005f4e, 0x00000000, 0x50afe702, 0x1f430b90, 0xc8ad2717,
      0x1f430a0f, 0x34af66f5, 0x1f430910, 0xc4b546fb, 0x1f430a8f],
     [0x00005f4f, 0x00000000, 0xc8b0e72c, 0x1f4303ce, 0xacafe707,
      0x1f430d4f, 0x1cb806f3, 0x1f43088f, 0xe0abc6eb, 0x1f430f4f],
     [0x00005f50, 0x00000000, 0x94af66f9, 0x1f43094f, 0x98b0c716,
      0x1f4307cf, 0x54b7c71a, 0x1f43098f, 0x1cb12700, 0x1f430c50],
     [0x00005f51, 0x00000000, 0xb4b72711, 0x1f430c8f, 0xb4a9a703,
      0x1f430e8f, 0xc8b16721, 0x1f43008e, 0xe8ab070c, 0x1f430f0e],
     [0x00005f52, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xacb5c70b, 0x1f43098e, 0x94afc705, 0x1f4305cf],
     [0x00005f53, 0x00000000, 0xbcb506ed, 0x1f42facf, 0x00000000,
      0x00000000, 0x1cb5e6ed, 0x1f4300cf, 0x50b0c709, 0x1f43064e],
     [0x00005f54, 0x00000000, 0xb8b0071e, 0x1f43070f, 0xd8b6c71e,
      0x1f43060e, 0xccac66fa, 0x1f43060e, 0xe8af66f2, 0x1f43094f],
     [0x00005f55, 0x00000000, 0x7cb066de, 0x1f43080f, 0x24b546ff,
      0x1f430310, 0x18b4271d, 0x1f430150, 0x00000000, 0x00000000],
     [0x00005f56, 0x00000000, 0x68b646f4, 0x1f4306cf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xb8b7c732, 0x1f42f30e],
     [0x00005f57, 0x00000000, 0x64a9a720, 0x1f430e4e, 0x00000000,
      0x00000000, 0x28b926f8, 0x1f430bd0, 0xd0b5a703, 0x1f43070f],
     [0x00005f58, 0x00000000, 0x00000000, 0x00000000, 0xf8b66720,
      0x1f4307cf, 0x28b08730, 0x1f430acf, 0x78b0e71f, 0x1f42ff8e],
     [0x00005f59, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x44baa701, 0x1f430250, 0x9cad2705, 0x1f43080f],
     [0x00005f5a, 0x00000000, 0x34b70719, 0x1f43018f, 0xecb52701,
      0x1f4305cf, 0x7caea6fe, 0x1f430a0f, 0x70a78742, 0x1f4316ce],
     [0x00005f5b, 0x00000000, 0x00000000, 0x00000000, 0xf4b72737,
      0x1f4302cd, 0x7cab673f, 0x1f42fd8e, 0x4caf26f6, 0x1f43058f],
     [0x00005f5c, 0x00000000, 0x44b066f6, 0x1f4304d0, 0x8cb6070a,
      0x1f43000f, 0x1cac8705, 0x1f43054f, 0x4cba6733, 0x1f4305ce],
     [0x00005f5d, 0x00000000, 0x00000000, 0x00000000, 0x7cb666fd,
      0x1f42f850, 0x8cb386fd, 0x1f42fe10, 0xc8ac871e, 0x1f430ece],
     [0x00005f5e, 0x00000000, 0x00000000, 0x00000000, 0xd4a7070b,
      0x1f43060e, 0xacad271c, 0x1f4303ce, 0x38b2e6f6, 0x1f43070f],
     [0x00005f5f, 0x00000000, 0x48a826f5, 0x1f430a4f, 0xd8b026ee,
      0x1f430ccf, 0x00000000, 0x00000000, 0x04b7a71c, 0x1f42fe8f],
     [0x00005f60, 0x00000000, 0x7cb7e722, 0x1f43080e, 0x8cb206fe,
      0x1f43028e, 0x00000000, 0x00000000, 0xdcad470a, 0x1f430a4e],
     [0x00005f61, 0x00000000, 0xe0b56711, 0x1f43068f, 0x0cb326f2,
      0x1f4308cf, 0x38b66705, 0x1f43080f, 0x00000000, 0x00000000],
     [0x00005f62, 0x00000000, 0xf4ada72c, 0x1f43060e, 0xb0b3271c,
      0x1f42fece, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005f63, 0x00000000, 0xe8b6a6f2, 0x1f4305cf, 0xf4aea732,
      0x1f43050e, 0xc8b626e0, 0x1f43044f, 0x70b5c708, 0x1f43030f],
     [0x00005f64, 0x00000000, 0x00000000, 0x00000000, 0x80ae46ef,
      0x1f43058f, 0xe4b2e70d, 0x1f43080e, 0xbcb426ed, 0x1f43014f],
     [0x00005f65, 0x00000000, 0xd4b186fa, 0x1f43038e, 0x00000000,
      0x00000000, 0xc8b366e3, 0x1f43020f, 0x00000000, 0x00000000],
     [0x00005f66, 0x00000000, 0x00000000, 0x00000000, 0xf4b3e70d,
      0x1f42fd4f, 0x18b34732, 0x1f42fecf, 0x9cb3c6f5, 0x1f42fdcf],
     [0x00005f67, 0x00000000, 0x20b1a711, 0x1f43018f, 0xd8b7a70e,
      0x1f42fe4e, 0x98b446ea, 0x1f42ff4f, 0x50b06701, 0x1f430210],
     [0x00005f68, 0x00000000, 0x14b68725, 0x1f42f9cf, 0x64ad86ff,
      0x1f43074f, 0xa4aa0700, 0x1f43034f, 0x70b6e706, 0x1f43040f],
     [0x00005f69, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xf8b3473b, 0x1f42ff4e, 0x6cb2e71d, 0x1f42ff4e],
     [0x00005f6a, 0x00000000, 0x00000000, 0x00000000, 0x9cb526ee,
      0x1f43054f, 0xb8afc721, 0x1f43044e, 0x8cb3672c, 0x1f42fe4e],
     [0x00005f6b, 0x00000000, 0x68b52702, 0x1f42ff4f, 0x28b4671c,
      0x1f43080f, 0xc0b50713, 0x1f43014e, 0x04ae2700, 0x1f43070f],
     [0x00005f6c, 0x00000000, 0x28b0e711, 0x1f4303cf, 0xa4af2702,
      0x1f43060f, 0x60af470d, 0x1f430a8f, 0x00000000, 0x00000000],
     [0x00005f6d, 0x00000000, 0x38b6a716, 0x1f4306d0, 0xdcb7a720,
      0x1f43018e, 0x00000000, 0x00000000, 0x40b38712, 0x1f42ff4e],
     [0x00005f6e, 0x00000000, 0x90b72711, 0x1f430b0f, 0x8cb5e6f7,
      0x1f43044f, 0x90b6472f, 0x1f4308ce, 0x38b8671d, 0x1f4305d0],
     [0x00005f6f, 0x00000000, 0x3cb1670b, 0x1f43004e, 0x6cb4472c,
      0x1f43024e, 0x00b4e726, 0x1f4302cf, 0x6cad6735, 0x1f43008e],
     [0x00005f70, 0x00000000, 0x00af8715, 0x1f43060f, 0xd0b7471b,
      0x1f43014e, 0x10b16705, 0x1f43004f, 0x00000000, 0x00000000],
     [0x00005f71, 0x00000000, 0xe4b5e6d8, 0x1f43040f, 0xdcb6a6e6,
      0x1f42f80e, 0x24ae66ff, 0x1f43090f, 0xacab06f7, 0x1f43080f],
     [0x00005f72, 0x00000000, 0x00000000, 0x00000000, 0x94afc6e1,
      0x1f4301cf, 0x88b28711, 0x1f431b8e, 0x48b266ff, 0x1f43080f],
     [0x00005f73, 0x00000000, 0x5cb0e70e, 0x1f43050f, 0x00000000,
      0x00000000, 0x2caf6713, 0x1f43050f, 0x6cb30700, 0x1f42ff0f],
     [0x00005f74, 0x00000000, 0x00000000, 0x00000000, 0x28b666e6,
      0x1f42f84f, 0x50b40726, 0x1f43070f, 0x00000000, 0x00000000],
     [0x00005f75, 0x00000000, 0x00000000, 0x00000000, 0xb8b6671e,
      0x1f42f84e, 0x50b18726, 0x1f43020f, 0x88afc6f3, 0x1f43068f],
     [0x00005f76, 0x00000000, 0x40b7c725, 0x1f4306cf, 0x6cb2c73e,
      0x1f43088e, 0xe8b7271e, 0x1f43030e, 0x84afe6e6, 0x1f430a4f],
     [0x00005f77, 0x00000000, 0x0cb3e736, 0x1f42fd4f, 0x00b246f2,
      0x1f4304ce, 0x84b706f8, 0x1f4304cf, 0x5cb286f8, 0x1f4306cf],
     [0x00005f78, 0x00000000, 0x2cb5472d, 0x1f4308ce, 0xa4b1c704,
      0x1f43094f, 0x00000000, 0x00000000, 0xa4b8272b, 0x1f4303ce],
     [0x00005f79, 0x00000000, 0xecb5c72d, 0x1f42f98e, 0x00000000,
      0x00000000, 0x5cb526c3, 0x1f43080f, 0xa8b02712, 0x1f430a0f],
     [0x00005f7a, 0x00000000, 0x04ae4708, 0x1f4302cf, 0xe0b4471b,
      0x1f43094e, 0x98b646e8, 0x1f43050f, 0x00000000, 0x00000000],
     [0x00005f7b, 0x00000000, 0xccb0c6fb, 0x1f43028f, 0x00000000,
      0x00000000, 0xecb5071b, 0x1f43050e, 0x6cb2473f, 0x1f4308ce],
     [0x00005f7c, 0x00000000, 0xa0b786fd, 0x1f4301ce, 0xa4b726d2,
      0x1f42fdcf, 0xdcb506f5, 0x1f43050e, 0xa8a50735, 0x1f42fc4e],
     [0x00005f7d, 0x00000000, 0x6cb9873a, 0x1f42fb4e, 0x00000000,
      0x00000000, 0xe0b766f7, 0x1f43038f, 0xd8b4a6e6, 0x1f4307ce],
     [0x00005f7e, 0x00000000, 0x00000000, 0x00000000, 0xc4b58712,
      0x1f4305cf, 0xe4b066fe, 0x1f4306cf, 0x54b7a70c, 0x1f430490],
     [0x00009103, 0x00000000, 0xa0b1a68c, 0x1d82f18f, 0x5896268c,
      0x1692f20f, 0x549b669b, 0x1852f6cf, 0xa089868c, 0x131af20f],
     [0x00005f80, 0x00000000, 0x00000000, 0x00000000, 0xa4b466ee,
      0x1f42fc4e, 0x00000000, 0x00000000, 0xc0b6c6fb, 0x1f43054e],
     [0x00005f81, 0x00000000, 0x9cb1e6ee, 0x1f43014f, 0x28b5a718,
      0x1f42f9cf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005f82, 0x00000000, 0x78b26734, 0x1f43130e, 0xfcb28709,
      0x1f42ffce, 0x54b4270c, 0x1f430890, 0xa8b546ff, 0x1f43060f],
     [0x00005f83, 0x00000000, 0x58b8c6ee, 0x1f43024f, 0xbcb6c712,
      0x1f43040e, 0x54b38702, 0x1f43024f, 0x7cb08736, 0x1f43034e],
     [0x00005f84, 0x00000000, 0xdcad0736, 0x1f43080e, 0xdcb5c72e,
      0x1f430a4e, 0x8cb3471e, 0x1f43040f, 0x04b026e6, 0x1f43004f],
     [0x00009106, 0x00000000, 0xa095e68c, 0x1692f1cf, 0xa08dc68c,
      0x14daf50f, 0x687b85c1, 0x0fa2f44f, 0x687fa68c, 0x1162f24f],
     [0x00005f86, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x90b2a6d9, 0x1f4306cf, 0x58b42738, 0x1f43004e],
     [0x00005f87, 0x00000000, 0xfcaaa6fb, 0x1f430a0e, 0xfcb3e727,
      0x1f43008e, 0x40ae871b, 0x1f430a0f, 0xc8b54726, 0x1f4301ce],
     [0x00005f88, 0x00000000, 0xecb5471e, 0x1f43070e, 0x9caf8725,
      0x1f4308ce, 0xd4b86720, 0x1f42fa0e, 0x04afc709, 0x1f43084f],
     [0x00005f89, 0x00000000, 0x8cb0871a, 0x1f43060e, 0xacb92724,
      0x1f42fc4e, 0x98b526c8, 0x1f43020f, 0x00000000, 0x00000000],
     [0x00005f8a, 0x00000000, 0x00000000, 0x00000000, 0xf4b706f4,
      0x1f4307ce, 0xacb14706, 0x1f43058e, 0x58b8a707, 0x1f43050f],
     [0x00005f8b, 0x00000000, 0x00000000, 0x00000000, 0x28b30713,
      0x1f43048f, 0x84b4670e, 0x1f43064f, 0x0cb5a716, 0x1f43070f],
     [0x00005f8c, 0x00000000, 0xd0b726e6, 0x1f43020f, 0xa4b7e6e1,
      0x1f42fdcf, 0x98ae2709, 0x1f4304ce, 0x90ac871d, 0x1f43054e],
     [0x00005f8d, 0x00000000, 0x2cafa735, 0x1f43014e, 0x20b5670f,
      0x1f43050f, 0xa0b02736, 0x1f4306ce, 0x40b5a730, 0x1f4304cf],
     [0x00005f8e, 0x00000000, 0xa0b64725, 0x1f43054f, 0x48b06714,
      0x1f43060f, 0x5cb566d7, 0x1f43030f, 0x70aae740, 0x1f42fa8e],
     [0x00005f8f, 0x00000000, 0xf8b946da, 0x1f43008f, 0x5cb4e720,
      0x1f42ff4f, 0x90b3e738, 0x1f4308ce, 0x50b88744, 0x1f42fc8e],
     [0x00005f90, 0x00000000, 0xf8afe700, 0x1f43054e, 0x5cb0871d,
      0x1f43024e, 0x8caf0715, 0x1f43068e, 0xb8ab6733, 0x1f42fe0e],
     [0x00005f91, 0x00000000, 0x90ae671b, 0x1f431f4e, 0x8cb6473b,
      0x1f43088e, 0x44b72721, 0x1f43070e, 0x64b1a716, 0x1f42fc8f],
     [0x00005f92, 0x00000000, 0x70b18705, 0x1f43010f, 0x4cb40709,
      0x1f43054f, 0x78b5272d, 0x1f42fa8e, 0x80b22728, 0x1f43008e],
     [0x00005f93, 0x00000000, 0xd8b0a723, 0x1f43024e, 0xecb34730,
      0x1f42fece, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005f94, 0x00000000, 0x80b4a718, 0x1f43044f, 0x50b7670e,
      0x1f43048f, 0xb0b2e72d, 0x1f42fe4e, 0x28b686ed, 0x1f430ccf],
     [0x00005f95, 0x00000000, 0x28b54721, 0x1f43048f, 0x58b5673b,
      0x1f43070f, 0x68b806fe, 0x1f43038f, 0xa8b30720, 0x1f43090e],
     [0x00005f96, 0x00000000, 0xc0ae870c, 0x1f43030e, 0x20b8671c,
      0x1f43014f, 0x90b4e737, 0x1f42fb0e, 0x00000000, 0x00000000],
     [0x00005f97, 0x00000000, 0x68b4c73f, 0x1f4304ce, 0xecb2c6f5,
      0x1f42ff8e, 0xfcb5e725, 0x1f43030e, 0x9cb0e70d, 0x1f43050e],
     [0x00005f98, 0x00000000, 0x50a9e701, 0x1f430c4e, 0xecb5c730,
      0x1f4303ce, 0x1cb06728, 0x1f43044f, 0x1cb4c711, 0x1f43044f],
     [0x00005f99, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x44b346ff, 0x1f42fe4f, 0x34b5e6e9, 0x1f42f94f],
     [0x00005f9a, 0x00000000, 0xf8b3c719, 0x1f43060e, 0xc0b1a6f4,
      0x1f43030f, 0xa4b60738, 0x1f43004e, 0x80b1a734, 0x1f43040e],
     [0x00005f9b, 0x00000000, 0x00000000, 0x00000000, 0x64a6c730,
      0x1f4316ce, 0x00000000, 0x00000000, 0xe0b7471a, 0x1f43008e],
     [0x00005f9c, 0x00000000, 0xccb5471c, 0x1f4302ce, 0x00000000,
      0x00000000, 0x58b306fe, 0x1f42ff0f, 0xb4b7270c, 0x1f43034f],
     [0x00005f9d, 0x00000000, 0x70a4c725, 0x1f430b4e, 0x2cae4719,
      0x1f43040f, 0x94b2871e, 0x1f43040f, 0x84b3a73e, 0x1f43038e],
     [0x00005f9e, 0x00000000, 0x2cb766f5, 0x1f43020f, 0x80b0c716,
      0x1f43020e, 0xf4adc6e9, 0x1f43094f, 0xb8b34713, 0x1f43020e],
     [0x00005f9f, 0x00000000, 0xf0b3670f, 0x1f42ff4f, 0x80b0a729,
      0x1f43074e, 0x2cb68721, 0x1f42fecf, 0x00b2e6ff, 0x1f42ff90],
     [0x00005fa0, 0x00000000, 0x50b64717, 0x1f43028f, 0xdcaf2718,
      0x1f43010e, 0x54b2e728, 0x1f4308ce, 0x98b8e73d, 0x1f42f34e],
     [0x00005fa1, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x34b2c6f8, 0x1f43044f, 0xc4b10719, 0x1f4309ce],
     [0x00005fa2, 0x00000000, 0xe4af071a, 0x1f42ffce, 0xb0b02733,
      0x1f43020e, 0x80b0872d, 0x1f4300ce, 0x50b62720, 0x1f43064e],
     [0x00005fa3, 0x00000000, 0x28ab273d, 0x1f4300ce, 0x50a9872f,
      0x1f43170e, 0x78b5272d, 0x1f42fa8e, 0x14b12739, 0x1f4303cf],
     [0x00005fa4, 0x00000000, 0xe4b0e6f2, 0x1f43038e, 0x3cb42711,
      0x1f4309cf, 0x90b3673a, 0x1f42fe4f, 0x24b4c714, 0x1f4307cf],
     [0x00005fa5, 0x00000000, 0x68b6e73d, 0x1f43024e, 0x28b50731,
      0x1f43030e, 0x78b5872d, 0x1f42fb4e, 0x34af2735, 0x1f43078e],
     [0x00005fa6, 0x00000000, 0xb0b42740, 0x1f43020e, 0xccb4c6f2,
      0x1f42ff8e, 0xa0b72711, 0x1f4306ce, 0x28b3c749, 0x1f430b4e],
     [0x00005fa7, 0x00000000, 0x70b60741, 0x1f43024e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xe48de6df, 0x1f4333cf],
     [0x00005fa8, 0x00000000, 0x64a46719, 0x1f43098f, 0x0cb3e6f4,
      0x1f430a8f, 0x24b546ee, 0x1f430990, 0x20b2670d, 0x1f430a8f],
     [0x00005fa9, 0x00000000, 0xe8b10707, 0x1f43040e, 0xd4b4270e,
      0x1f430c4f, 0x64aae706, 0x1f430b0f, 0xdcb5e6f8, 0x1f4304cf],
     [0x00005faa, 0x00000000, 0xf8b3c70f, 0x1f43040f, 0x74ac2705,
      0x1f43074f, 0x68b36706, 0x1f430e90, 0x38ad6700, 0x1f430910],
     [0x00005fab, 0x00000000, 0xe8af870c, 0x1f4304ce, 0x6cb166f0,
      0x1f4309d0, 0xbcade716, 0x1f43094f, 0xd4b58705, 0x1f43048f],
     [0x00005fac, 0x00000000, 0x40b3a6e0, 0x1f430110, 0x48b346f7,
      0x1f43064f, 0x70abe6fc, 0x1f4306cf, 0xa4ac06ff, 0x1f4305cf],
     [0x0000911a, 0x00000000, 0xa0990695, 0x17baf7cf, 0xa097e685,
      0x16b2f88f, 0x709ba695, 0x15eafbcf, 0xa0a14685, 0x1992f88f],
     [0x00005fae, 0x00000000, 0x18b366f0, 0x1f430610, 0x54b466f0,
      0x1f430ad0, 0x8cae0701, 0x1f43060f, 0x00000000, 0x00000000],
     [0x00005faf, 0x00000000, 0x00000000, 0x00000000, 0xd0b34700,
      0x1f4307d0, 0xdcb3c70a, 0x1f43078e, 0xd8b0c703, 0x1f43094e],
     [0x00005fb0, 0x00000000, 0x5cb366f2, 0x1f430b0f, 0x5cb2e6e4,
      0x1f430710, 0xdcb566ff, 0x1f4304cf, 0x0cb0270b, 0x1f43038f],
     [0x00005fb1, 0x00000000, 0x4cb526ed, 0x1f430a10, 0x68aec725,
      0x1f4308ce, 0xd8b126ef, 0x1f430910, 0x18ae06ec, 0x1f430210],
     [0x00005fb2, 0x00000000, 0x60b74717, 0x1f43058f, 0x54ac86e5,
      0x1f430a10, 0xe8b06728, 0x1f43088e, 0x28afe709, 0x1f430a0f],
     [0x00005fb3, 0x00000000, 0xecab86f5, 0x1f43050f, 0xe8aa06f3,
      0x1f430b0f, 0xacb4a6fc, 0x1f43024e, 0x1cb3a6f6, 0x1f430990],
     [0x00005fb4, 0x00000000, 0x14ad66ee, 0x1f430ad0, 0x8cb246fe,
      0x1f4303ce, 0x24b42718, 0x1f4308cf, 0xc8ae8711, 0x1f430a8f],
     [0x0000911e, 0x00000000, 0x389d0695, 0x1952fbcd, 0xa0a08685,
      0x190af88f, 0x78968695, 0x14fafbcf, 0xa0960685, 0x11c2f50f],
     [0x00005fb6, 0x00000000, 0x00b446fe, 0x1f4305d0, 0xc8b926fb,
      0x1f43044f, 0x34ae872e, 0x1f43080f, 0xacb8272e, 0x1f43034e],
     [0x00005fb7, 0x00000000, 0xb8b7e720, 0x1f43058f, 0x0cb00709,
      0x1f430390, 0x28b446fa, 0x1f430a90, 0x8cb5e706, 0x1f43044f],
     [0x00005fb8, 0x00000000, 0x50b566d7, 0x1f43080f, 0xecab670e,
      0x1f43074e, 0xf0a6c6e9, 0x1f430b4e, 0x1cb6e70c, 0x1f43098f],
     [0x00005fb9, 0x00000000, 0x00000000, 0x00000000, 0x3cb246fe,
      0x1f4305cf, 0xe8b7471b, 0x1f4302ce, 0xa0b126f8, 0x1f4303cf],
     [0x00005fba, 0x00000000, 0xf4b0a725, 0x1f43030e, 0xecb06738,
      0x1f43074e, 0xfcb20719, 0x1f43058e, 0x24b4c71e, 0x1f43044f],
     [0x00005fbb, 0x00000000, 0x00000000, 0x00000000, 0x68b0c72e,
      0x1f43074f, 0x84b2e726, 0x1f43044e, 0x38b266fa, 0x1f43040f],
     [0x00005fbc, 0x00000000, 0x6cb2c72c, 0x1f43064e, 0x98ade6fe,
      0x1f4303cf, 0xf4b506e0, 0x1f4308cf, 0x9cb3e701, 0x1f43034f],
     [0x00005fbd, 0x00000000, 0x28b4671c, 0x1f43068f, 0xb8a98735,
      0x1f43058e, 0x68b526fd, 0x1f43068f, 0x98acc6ee, 0x1f43010f],
     [0x00005fbe, 0x00000000, 0x6ca8a6fe, 0x1f43010f, 0x00000000,
      0x00000000, 0xa8b566ea, 0x1f4303cf, 0x60b5c71c, 0x1f43048f],
     [0x00005fbf, 0x00000000, 0x60ad86fe, 0x1f4304cf, 0xf8b4671d,
      0x1f43064f, 0x18aec70a, 0x1f43040f, 0x28b726f7, 0x1f43044f],
     [0x00005fc0, 0x00000000, 0x08b6c6f2, 0x1f4303d0, 0xacac26ed,
      0x1f4305cf, 0xe8afe72a, 0x1f43060e, 0x68aec6da, 0x1f43068f],
     [0x00005fc1, 0x00000000, 0x2cb44721, 0x1f43040f, 0xccb306f7,
      0x1f43044f, 0x84b2a71e, 0x1f43064f, 0x90b4e6f7, 0x1f43064f],
     [0x00005fc2, 0x00000000, 0xc4b486f0, 0x1f43020f, 0x8cb26703,
      0x1f43080e, 0x00000000, 0x00000000, 0x08b1c719, 0x1f430b0f],
     [0x00005fc3, 0x00000000, 0x20b1e6d3, 0x1f430750, 0xd4b466f2,
      0x1f430a8f, 0x84b786f0, 0x1f43070f, 0xdcb6e6e0, 0x1f43038f],
     [0x00005fc4, 0x00000000, 0x00000000, 0x00000000, 0x20b726e0,
      0x1f4303d0, 0x78b446e6, 0x1f42ff4f, 0xfcb4471b, 0x1f4305ce],
     [0x00005fc5, 0x00000000, 0x6cb3472a, 0x1f43094e, 0x44afc705,
      0x1f4302cf, 0x9cabe703, 0x1f43098f, 0x30af46e6, 0x1f43050f],
     [0x00005fc6, 0x00000000, 0xc8b7a725, 0x1f42ff8e, 0x0cb146e6,
      0x1f43050f, 0xe8b1e739, 0x1f43048e, 0xc8b0a70d, 0x1f42fe8e],
     [0x00005fc7, 0x00000000, 0xfcb3471c, 0x1f43038e, 0x58b52708,
      0x1f43064f, 0x00000000, 0x00000000, 0x60ade70e, 0x1f43068f],
     [0x00005fc8, 0x00000000, 0xb0b1c725, 0x1f4302cf, 0x3caf0707,
      0x1f43080f, 0x58b2a700, 0x1f430410, 0xd4b2c72e, 0x1f4304ce],
     [0x00009128, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x649b0697, 0x182b02cf, 0x00000000, 0x00000000],
     [0x00005fca, 0x00000000, 0x68ade6fc, 0x1f43020f, 0x44ad26ff,
      0x1f4306cf, 0xa0b7c713, 0x1f43054e, 0xdcb54737, 0x1f43090e],
     [0x00005fcb, 0x00000000, 0x60ad070d, 0x1f42ffcf, 0xdcb68714,
      0x1f43014e, 0x5cb3a729, 0x1f4300cf, 0xb0b0072d, 0x1f4306ce],
     [0x0000b829, 0x00000000, 0xfc6b45be, 0x0bd2f08b, 0x4868c685,
      0x0c6b00d6, 0x607424c0, 0x0de2f78d, 0x8869c6a6, 0x0bc2f597],
     [0x00005fcd, 0x00000000, 0xb4b72705, 0x1f4303cf, 0x18b3071a,
      0x1f43064f, 0x78af8717, 0x1f43068f, 0x00000000, 0x00000000],
     [0x00005fce, 0x00000000, 0x7cb6c6f3, 0x1f42f8d0, 0xf8ac271b,
      0x1f43140e, 0xb4b546f0, 0x1f42fccf, 0x00000000, 0x00000000],
     [0x00005fcf, 0x00000000, 0x00000000, 0x00000000, 0xbcb8272a,
      0x1f42f7ce, 0x7cb4e705, 0x1f42face, 0x84ae26ea, 0x1f43034f],
     [0x00005fd0, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xc4ae0714, 0x1f43098e, 0xe0aee72a, 0x1f430f4e],
     [0x00005fd1, 0x00000000, 0xc4b38726, 0x1f42f9ce, 0x6cb0872d,
      0x1f42fbce, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005fd2, 0x00000000, 0x7cb36726, 0x1f42f6ce, 0x00000000,
      0x00000000, 0x94b1a72c, 0x1f43040e, 0x88ab6725, 0x1f43178e],
     [0x00005fd3, 0x00000000, 0x70ad8720, 0x1f43074e, 0xb8aee737,
      0x1f430c4e, 0x24b7473f, 0x1f42f64f, 0x04b78739, 0x1f42f9cf],
     [0x00005fd4, 0x00000000, 0x98b3672e, 0x1f42fb8e, 0x48a4c6e0,
      0x1f4315cf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005fd5, 0x00000000, 0x4ca56718, 0x1f43128f, 0x8cb0e6ff,
      0x1f430d4e, 0x00000000, 0x00000000, 0x4ca506ee, 0x1f43220f],
     [0x00005fd6, 0x00000000, 0xdca646e7, 0x1f4315ce, 0x00000000,
      0x00000000, 0xa8a4a70c, 0x1f43004e, 0x5cb78701, 0x1f43040e],
     [0x00005fd7, 0x00000000, 0x2cae270b, 0x1f430e4f, 0x20b126fd,
      0x1f430f8f, 0x64a8e720, 0x1f430d4e, 0x1cb266f5, 0x1f42fd0f],
     [0x00005fd8, 0x00000000, 0x74acc71c, 0x1f431d0e, 0xb0adc70a,
      0x1f43054f, 0x38aee6f5, 0x1f430a8f, 0x08abe708, 0x1f43134f],
     [0x00005fd9, 0x00000000, 0x00000000, 0x00000000, 0x2ca66717,
      0x1f4321ce, 0x9cab06fb, 0x1f43150e, 0x9cb4c700, 0x1f43068e],
     [0x00005fda, 0x00000000, 0x48b2c705, 0x1f4302cf, 0x5cb28730,
      0x1f43014e, 0x98af2703, 0x1f430c4e, 0xbcac4707, 0x1f430b4e],
     [0x00005fdb, 0x00000000, 0x3cac26fe, 0x1f43104f, 0xcca926f3,
      0x1f43160e, 0xd0b04704, 0x1f4313ce, 0x00000000, 0x00000000],
     [0x00005fdc, 0x00000000, 0xb8a44724, 0x1f43018e, 0x8ca566f3,
      0x1f431bce, 0x44b36719, 0x1f43018e, 0x40aec701, 0x1f43124f],
     [0x00005fdd, 0x00000000, 0x58a886fe, 0x1f43124f, 0x70a70725,
      0x1f430f4e, 0x84a8a71e, 0x1f431fce, 0x90b6871f, 0x1f43120e],
     [0x00005fde, 0x00000000, 0x44b20724, 0x1f43010f, 0x9cb4271f,
      0x1f43098e, 0xdca9071d, 0x1f43124e, 0xdcb10707, 0x1f43074e],
     [0x00005fdf, 0x00000000, 0xb8af671e, 0x1f43038e, 0x90a32720,
      0x1f42fb8e, 0x54a74719, 0x1f43204e, 0xb8ad670a, 0x1f43160e],
     [0x00005fe0, 0x00000000, 0x00000000, 0x00000000, 0x18afc706,
      0x1f430c8f, 0x44aa8723, 0x1f43100e, 0x70b5c72a, 0x1f43080e],
     [0x00005fe1, 0x00000000, 0x00000000, 0x00000000, 0xbcb14723,
      0x1f43178e, 0xd0aae728, 0x1f43098e, 0x94b18717, 0x1f43028e],
     [0x00005fe2, 0x00000000, 0xd0ac2715, 0x1f43068e, 0xf4ada6f7,
      0x1f430e0e, 0x9cb36744, 0x1f4303ce, 0xacb0671c, 0x1f430c8e],
     [0x00005fe3, 0x00000000, 0x94b38727, 0x1f4304ce, 0x7cb2c71a,
      0x1f430d0e, 0xf4b2473e, 0x1f430c8e, 0x00000000, 0x00000000],
     [0x00005fe4, 0x00000000, 0x00000000, 0x00000000, 0xf0a9072d,
      0x1f431a0e, 0x38b98705, 0x1f43008f, 0x00000000, 0x00000000],
     [0x00005fe5, 0x00000000, 0x3cb1272d, 0x1f43044f, 0x54ad672c,
      0x1f43138e, 0x48b78709, 0x1f43008f, 0x00000000, 0x00000000],
     [0x00005fe6, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x2cb4e6fe, 0x1f42ff8f, 0x4ca76736, 0x1f431d0e],
     [0x00005fe7, 0x00000000, 0xccb1e70b, 0x1f42fc8e, 0x34b32703,
      0x1f43010f, 0x60aec73b, 0x1f42fc0f, 0x34b06703, 0x1f42ff8f],
     [0x00005fe8, 0x00000000, 0x18aee6fd, 0x1f43000f, 0x50ae6733,
      0x1f43184e, 0x9cae270c, 0x1f43034e, 0x48af2745, 0x1f4306ce],
     [0x00005fe9, 0x00000000, 0xb8b46732, 0x1f42f80e, 0xc8af6700,
      0x1f42fc8f, 0x60b66707, 0x1f42facf, 0xb4b2c710, 0x1f42fd4f],
     [0x00005fea, 0x00000000, 0xacaa073a, 0x1f43124e, 0x64aee74e,
      0x1f43010e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005feb, 0x00000000, 0x5cb086e2, 0x1f43054f, 0x88b906fe,
      0x1f42fa0e, 0xc4a80727, 0x1f43150e, 0xb8af671e, 0x1f42fb8e],
     [0x00005fec, 0x00000000, 0xf4b1c70b, 0x1f42face, 0x50b12709,
      0x1f43034f, 0x4cb0c73f, 0x1f4306ce, 0x2cb3e6f8, 0x1f42f90f],
     [0x00005fed, 0x00000000, 0x00000000, 0x00000000, 0x00b1e71c,
      0x1f4302cf, 0x3cb0e72d, 0x1f42fc8f, 0x6cb78713, 0x1f42fe0f],
     [0x00005fee, 0x00000000, 0xc8b7c738, 0x1f42fa8e, 0xb0a7073d,
      0x1f43134e, 0x08b3a711, 0x1f43018f, 0x58b7a727, 0x1f42f94e],
     [0x00005fef, 0x00000000, 0x80b2472f, 0x1f42f98e, 0xa0a3a6e5,
      0x1f42ffcf, 0x3cb846a9, 0x1f42f40f, 0x9cb2e70f, 0x1f43028e],
     [0x00005ff0, 0x00000000, 0xd8b326ea, 0x1f42ff4e, 0xe4b5e72e,
      0x1f430a4e, 0x50b7a6c3, 0x1f42fb4f, 0x20aa26e4, 0x1f43018f],
     [0x00005ff1, 0x00000000, 0x00000000, 0x00000000, 0x1cb4871e,
      0x1f42ffcf, 0x3cb2c736, 0x1f42ff8e, 0x20aba6f2, 0x1f43088f],
     [0x00005ff2, 0x00000000, 0x00000000, 0x00000000, 0x28aee703,
      0x1f42fccf, 0x98abe70a, 0x1f4304cf, 0xccb266e9, 0x1f42fe8f],
     [0x00005ff3, 0x00000000, 0xbcb24713, 0x1f430a0f, 0x14b78705,
      0x1f42fd8f, 0x70abc6f9, 0x1f42f9cf, 0xc4b4e702, 0x1f43068e],
     [0x00005ff4, 0x00000000, 0xa8b546ec, 0x1f42fe0f, 0xfcab8702,
      0x1f42fd8e, 0xd0a7e729, 0x1f43108e, 0x00000000, 0x00000000],
     [0x00005ff5, 0x00000000, 0xa0af2711, 0x1f42fd8f, 0x00b80745,
      0x1f4304ce, 0x00000000, 0x00000000, 0xe0ab46de, 0x1f43058e],
     [0x00005ff6, 0x00000000, 0x88b1a70e, 0x1f43034f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xd4af0716, 0x1f42face],
     [0x00008740, 0x00000000, 0xa07c65bc, 0x0ff2f1cf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00008741, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xa07aa5b8, 0x0fc2f34f],
     [0x00005ff9, 0x00000000, 0x00000000, 0x00000000, 0xa4ab0716,
      0x1f4304ce, 0x58ab8733, 0x1f430c4e, 0x00000000, 0x00000000],
     [0x00005ffa, 0x00000000, 0x50ad8727, 0x1f430f8e, 0x9cb0471d,
      0x1f42f6cf, 0x48b48700, 0x1f42fb0f, 0xecb706cd, 0x1f4300cf],
     [0x00005ffb, 0x00000000, 0x40aa8739, 0x1f43140e, 0x74b726d5,
      0x1f42f78f, 0x54ae26d2, 0x1f43038f, 0xd4a6c712, 0x1f431fce],
     [0x00005ffc, 0x00000000, 0xb0b80724, 0x1f42f94e, 0xf8aec73a,
      0x1f42fbce, 0x74b386e8, 0x1f42fdcf, 0x88b58730, 0x1f430e8e],
     [0x00009142, 0x00000000, 0x4093469f, 0x16cafa8f, 0x7098069f,
      0x17fafa8c, 0x409ce69f, 0x1932fa8f, 0x00000000, 0x00000000],
     [0x00005ffe, 0x00000000, 0x40aec70c, 0x1f4302cf, 0xf4b68726,
      0x1f42fd0e, 0x00000000, 0x00000000, 0x3caea713, 0x1f42fecf],
     [0x00005fff, 0x00000000, 0xa8b0c731, 0x1f43088e, 0x20b1a701,
      0x1f42f98f, 0x2cafc6f1, 0x1f42fc4f, 0xbcb1a726, 0x1f43000e],
     [0x00006000, 0x00000000, 0x34b34707, 0x1f42fc8f, 0x78b22735,
      0x1f42fd8f, 0x00000000, 0x00000000, 0x44b3273d, 0x1f43028e],
     [0x00006001, 0x00000000, 0xb4ad8736, 0x1f43068e, 0xe0b4473c,
      0x1f4300ce, 0x54b1e735, 0x1f42fdce, 0xf4a7670e, 0x1f4308ce],
     [0x00006002, 0x00000000, 0x80af4736, 0x1f43068e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x84ae8736, 0x1f4304ce],
     [0x00006003, 0x00000000, 0xecad66cc, 0x1f430e8f, 0x0cb3c70a,
      0x1f42f7cf, 0x2caa26ee, 0x1f43124f, 0xd4abe6d3, 0x1f43078e],
     [0x00006004, 0x00000000, 0xb4b666f9, 0x1f4300ce, 0x98aa270f,
      0x1f43108e, 0x6cb44727, 0x1f43084e, 0x00000000, 0x00000000],
     [0x00006005, 0x00000000, 0xa4b74712, 0x1f42f6ce, 0xdcb5e72e,
      0x1f42f9ce, 0x08b2870e, 0x1f4301cf, 0xccb9e717, 0x1f42f90e],
     [0x00006006, 0x00000000, 0xf8b02726, 0x1f42f58e, 0xbcb40723,
      0x1f42f68e, 0x00000000, 0x00000000, 0xdca926ff, 0x1f42ffce],
     [0x00006007, 0x00000000, 0xf8aa472b, 0x1f42f9ce, 0x00000000,
      0x00000000, 0x58b2c70b, 0x1f42f9cf, 0xf8b2272a, 0x1f42fc8e],
     [0x00006008, 0x00000000, 0xecb72727, 0x1f42fc8e, 0x38b4a71f,
      0x1f42f68f, 0x08af8716, 0x1f43004f, 0x00000000, 0x00000000],
     [0x00006009, 0x00000000, 0x94b48710, 0x1f42f4ce, 0x38ade71b,
      0x1f43008f, 0x28b1e726, 0x1f42f90f, 0xf8b3e71c, 0x1f43018e],
     [0x0000600a, 0x00000000, 0x5cb5672a, 0x1f42f84e, 0x48b54715,
      0x1f42fa8e, 0xacb30714, 0x1f42ff0e, 0x00000000, 0x00000000],
     [0x0000600b, 0x00000000, 0xacb5a70e, 0x1f42f78e, 0x88b7c72f,
      0x1f42f58e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000600c, 0x00000000, 0x50b5e720, 0x1f42fb8e, 0x78b2c71b,
      0x1f42f7cf, 0x00000000, 0x00000000, 0x5cb36718, 0x1f42fe8e],
     [0x0000600d, 0x00000000, 0xecb3e6ce, 0x1f42fb0e, 0xecb446b3,
      0x1f42fa4e, 0x18abc6f4, 0x1f42fecf, 0x8cb2271b, 0x1f43100e],
     [0x0000600e, 0x00000000, 0x4cb2c707, 0x1f430e8e, 0x64b6c6eb,
      0x1f42fc4f, 0x00000000, 0x00000000, 0x40b3e6ce, 0x1f43010f],
     [0x0000600f, 0x00000000, 0x00000000, 0x00000000, 0x24b426ff,
      0x1f42fa0f, 0xd8ad670c, 0x1f43008e, 0x74b746f8, 0x1f42f7cf],
     [0x0000b84b, 0x00000000, 0x3463257c, 0x0ffb2511, 0x3063257b,
      0x0ffb2511, 0x0466250a, 0x0b9af193, 0x046b250a, 0x0b9afb93],
     [0x00006011, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xb4b9c72c, 0x1f42f64e, 0x58b346c0, 0x1f43038f],
     [0x00006012, 0x00000000, 0x18b0e6ee, 0x1f42fc0f, 0x00000000,
      0x00000000, 0xe8b3a715, 0x1f42fcce, 0x4caa872b, 0x1f43114e],
     [0x00006013, 0x00000000, 0x50ae46d0, 0x1f42fe8f, 0x60af06f6,
      0x1f42fc4f, 0x00000000, 0x00000000, 0x94ada6c8, 0x1f42ff4f],
     [0x0000b84d, 0x00000000, 0xf065e5ce, 0x09daee0f, 0x3495857d,
      0x1cf32791, 0x1465e605, 0x09daee0f, 0x34a3257d, 0x204b2751],
     [0x00006015, 0x00000000, 0x70b166e7, 0x1f42fd0f, 0x00000000,
      0x00000000, 0x20afc70a, 0x1f430f0f, 0x00000000, 0x00000000],
     [0x0000b84e, 0x00000000, 0xc07bc662, 0x0f02eb98, 0xdc7bc369,
      0x0f02eb8c, 0x74e14797, 0x16fafecf, 0x00000000, 0x00000000],
     [0x00008760, 0x00000000, 0x00000000, 0x00000000, 0x247be693,
      0x1082f4cb, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006018, 0x00000000, 0x00000000, 0x00000000, 0x68b7c6f5,
      0x1f42f5cf, 0x04b4c6ec, 0x1f42fbcf, 0x00000000, 0x00000000],
     [0x00006019, 0x00000000, 0xc0b6c72d, 0x1f42fb0e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xf4b806f2, 0x1f42f90f],
     [0x0000601a, 0x00000000, 0xb8b7472c, 0x1f42f6ce, 0x08b06728,
      0x1f42fb0f, 0x70b306f6, 0x1f42fdcf, 0x00000000, 0x00000000],
     [0x0000601b, 0x00000000, 0xd4b4e71d, 0x1f42f8ce, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xacae072c, 0x1f42f8ce],
     [0x0000601c, 0x00000000, 0xacb38737, 0x1f42f84e, 0x4cb0673e,
      0x1f4309ce, 0x1cb18736, 0x1f42fece, 0x6cb5a73b, 0x1f43028e],
     [0x0000601d, 0x00000000, 0x34b1e714, 0x1f43018f, 0x1cb06728,
      0x1f42f80f, 0x3cb3473b, 0x1f4300ce, 0xdcb2e700, 0x1f42ffce],
     [0x0000601e, 0x00000000, 0x4cade735, 0x1f42fb4f, 0x14b68724,
      0x1f42f9ce, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000601f, 0x00000000, 0x00000000, 0x00000000, 0x78b02727,
      0x1f42fdcf, 0x3cb0073b, 0x1f430cce, 0x98b46738, 0x1f43048e],
     [0x0000b853, 0x00000000, 0x289fa67c, 0x1acafa0d, 0x28a3a67c,
      0x1acb020d, 0x2c8aa67d, 0x156af90d, 0x2c8ea67d, 0x156b010d],
     [0x00009154, 0x00000000, 0xa094267e, 0x119af10f, 0x00000000,
      0x00000000, 0x787dc5b4, 0x118af94f, 0x78800693, 0x11aafa8f],
     [0x00006022, 0x00000000, 0x00000000, 0x00000000, 0x08a38723,
      0x1f431bcf, 0x90b166c6, 0x1f42f90f, 0xd8ad26f9, 0x1f42f84f],
     [0x00006023, 0x00000000, 0xe8b7c6b6, 0x1f42fa4f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00b9a71a, 0x1f43060e],
     [0x00006024, 0x00000000, 0x50b566f5, 0x1f42f90f, 0x00000000,
      0x00000000, 0x74b946e4, 0x1f42f80f, 0x58aa4732, 0x1f43084e],
     [0x00006025, 0x00000000, 0x00000000, 0x00000000, 0xb8afa6be,
      0x1f42fb0f, 0x089ea712, 0x1f43224f, 0x00000000, 0x00000000],
     [0x00006026, 0x00000000, 0xe4b16718, 0x1f42fa0e, 0xb89de6fd,
      0x1f43354e, 0x00b446f6, 0x1f42fd10, 0x28b366dc, 0x1f42f810],
     [0x00009157, 0x00000000, 0xa081e693, 0x113afa8f, 0xa057e693,
      0x0812fbcf, 0xa09f65b4, 0x19f2fbcf, 0xa07ba5b4, 0x1102fbcf],
     [0x00006028, 0x00000000, 0x40b106bd, 0x1f42fa4f, 0xa4b526ed,
      0x1f42ff0f, 0x54b52716, 0x1f42f84f, 0xf8b726ef, 0x1f42f64e],
     [0x00006029, 0x00000000, 0xe4b4c6e9, 0x1f43004f, 0x28b566da,
      0x1f42fe10, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000602a, 0x00000000, 0x00000000, 0x00000000, 0x489d4732,
      0x1f42fa8e, 0x9cb026eb, 0x1f42fa0f, 0xf8b18713, 0x1f42f80f],
     [0x0000602b, 0x00000000, 0x1cb60708, 0x1f42f8cf, 0xf0ac86f8,
      0x1f42f80f, 0x80b866e0, 0x1f42f64f, 0x7cb1e738, 0x1f43018e],
     [0x0000602c, 0x00000000, 0x00000000, 0x00000000, 0x94ad870c,
      0x1f42fa0f, 0x50afe732, 0x1f43098e, 0x00000000, 0x00000000],
     [0x0000602d, 0x00000000, 0x8cab0730, 0x1f43044e, 0xe8b026cf,
      0x1f42fa4e, 0x00000000, 0x00000000, 0x04b546fc, 0x1f430110],
     [0x0000602e, 0x00000000, 0x9cb5470e, 0x1f42f80e, 0x00000000,
      0x00000000, 0x6cb20718, 0x1f42fd0e, 0x00000000, 0x00000000],
     [0x0000602f, 0x00000000, 0x18b3e716, 0x1f42fd0f, 0x34b446e1,
      0x1f430010, 0xd0b28703, 0x1f4320ce, 0x14afa6fe, 0x1f42fa4f],
     [0x00006030, 0x00000000, 0x74b4a6e6, 0x1f42fe4f, 0xd8b006e3,
      0x1f42f74f, 0xb8ae870d, 0x1f42f90e, 0xdca44727, 0x1f43238e],
     [0x00006031, 0x00000000, 0xd4a1c734, 0x1f43274e, 0x98b546e9,
      0x1f42f64f, 0xa4b266bd, 0x1f42fa4f, 0xb8aee6f6, 0x1f42fb0e],
     [0x00006032, 0x00000000, 0x88b3e6e9, 0x1f42f84f, 0xa0a8c6d8,
      0x1f42fb0f, 0xf4af8701, 0x1f42fc0e, 0x00000000, 0x00000000],
     [0x0000915d, 0x00000000, 0x3c9a66a5, 0x18b2fb8f, 0x6c9c06a5,
      0x191afb8c, 0x3ca446a5, 0x1b02f88f, 0x3c8f26a5, 0x15dafacf],
     [0x00006034, 0x00000000, 0xb0ab86c2, 0x1f42fe0f, 0x70b486c0,
      0x1f42ff0f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006035, 0x00000000, 0x14ae4732, 0x1f430b4e, 0xc8b5a6e4,
      0x1f42f34e, 0xa8b44730, 0x1f42fb0e, 0x94b6a704, 0x1f42f80e],
     [0x00006036, 0x00000000, 0x64b486f2, 0x1f42fb0f, 0x98aba6f0,
      0x1f42fd0e, 0x10afc6c3, 0x1f42ff10, 0xd8ae06e8, 0x1f42f80e],
     [0x0000915f, 0x00000000, 0xb4af46a5, 0x1d12fb8e, 0x3ca7a6a5,
      0x1ba2fa8f, 0x54a2c6a5, 0x1aa2fb8f, 0x3c9b06a5, 0x18cafb8f],
     [0x00006038, 0x00000000, 0xbcadc6ea, 0x1f42fd0f, 0x14a92734,
      0x1f430b0f, 0x00000000, 0x00000000, 0x78b126fe, 0x1f42f34f],
     [0x00006039, 0x00000000, 0x18b64722, 0x1f42f60f, 0x50b7a732,
      0x1f4304ce, 0xa8b3c6dc, 0x1f42fa0f, 0x04b56702, 0x1f42fe10],
     [0x0000603a, 0x00000000, 0x84b2a714, 0x1f43000f, 0xf4ae8715,
      0x1f43000e, 0x84ab0712, 0x1f43010f, 0xc8b046c9, 0x1f42fe0f],
     [0x0000603b, 0x00000000, 0x94b10732, 0x1f430a0e, 0xc8a926ca,
      0x1f42f74f, 0x00000000, 0x00000000, 0xacb8073e, 0x1f42f44e],
     [0x0000603c, 0x00000000, 0x68b2c727, 0x1f42f54f, 0x08b386fe,
      0x1f42f550, 0x94a966ef, 0x1f42fa0f, 0x5cb6e722, 0x1f42f54f],
     [0x0000603d, 0x00000000, 0xb8ac26cd, 0x1f42f74f, 0x14b246c6,
      0x1f42f750, 0x10b366fe, 0x1f42fd50, 0x00000000, 0x00000000],
     [0x0000603e, 0x00000000, 0x28ad2721, 0x1f42f80f, 0xa4ad86bf,
      0x1f42fb0f, 0x14af06d7, 0x1f42fa0f, 0xecb286f8, 0x1f42f74e],
     [0x0000603f, 0x00000000, 0xe8b2c722, 0x1f42f64e, 0x30b4271e,
      0x1f430e0f, 0xc0b02714, 0x1f43054e, 0x00000000, 0x00000000],
     [0x00006040, 0x00000000, 0x74ad66fd, 0x1f43174e, 0x9cb206df,
      0x1f42f90f, 0x6cae86f7, 0x1f43000f, 0x00000000, 0x00000000],
     [0x00006041, 0x00000000, 0x00000000, 0x00000000, 0x64a5c736,
      0x1f43094e, 0x78b4871b, 0x1f42f80f, 0x94b6c726, 0x1f42f78f],
     [0x00006042, 0x00000000, 0x2cb9a728, 0x1f42f74f, 0x78b7270a,
      0x1f42f90f, 0x60b8a737, 0x1f43008e, 0x00000000, 0x00000000],
     [0x00006043, 0x00000000, 0x00000000, 0x00000000, 0x10b5c6e2,
      0x1f42fb10, 0xa0ade6f5, 0x1f42fc4f, 0xe0b166fe, 0x1f42f94f],
     [0x0000b865, 0x00000000, 0xa0978691, 0x16a2f10f, 0xa097e68c,
      0x1742f54f, 0x788105b7, 0x10caf50f, 0x44796693, 0x0f92f84c],
     [0x00006045, 0x00000000, 0xb4a6072a, 0x1f43170e, 0x34b286fa,
      0x1f42f80f, 0x98b0672e, 0x1f42f74e, 0x00000000, 0x00000000],
     [0x00006046, 0x00000000, 0x5cb446f2, 0x1f43004f, 0xb8b686e8,
      0x1f42f74e, 0xb8b066f3, 0x1f42fc0e, 0x70b146c9, 0x1f42fe4f],
     [0x00006047, 0x00000000, 0x00000000, 0x00000000, 0xd8af8712,
      0x1f42fe0e, 0x88af46da, 0x1f42fe4f, 0xa8b146f4, 0x1f42fe4e],
     [0x00006048, 0x00000000, 0x00000000, 0x00000000, 0xb0b4e6af,
      0x1f42f84f, 0x30b3a71f, 0x1f42f68f, 0x78ac0717, 0x1f4303ce],
     [0x00006049, 0x00000000, 0x24b7e6e3, 0x1f42fa0f, 0x6cb2c6fe,
      0x1f42ff0f, 0x00000000, 0x00000000, 0x1cb4a708, 0x1f42f68f],
     [0x0000604a, 0x00000000, 0x00000000, 0x00000000, 0xfcb72735,
      0x1f42f90e, 0x00000000, 0x00000000, 0x78b76715, 0x1f42fc0f],
     [0x0000604b, 0x00000000, 0x08b266fd, 0x1f42fd4f, 0x78b2a6d7,
      0x1f42fb0f, 0x00000000, 0x00000000, 0x70af2709, 0x1f42f54f],
     [0x0000604c, 0x00000000, 0xd0b366c3, 0x1f42fc0f, 0x84b7071d,
      0x1f42fa4f, 0x38b546d2, 0x1f42fd0f, 0x18b3e6f0, 0x1f42fd50],
     [0x0000604d, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa4adc6c6, 0x1f42fb0f, 0x00000000, 0x00000000],
     [0x0000604e, 0x00000000, 0xfcb726e4, 0x1f42f58f, 0x18b9071c,
      0x1f42fb0f, 0x7cafa72d, 0x1f42fa0e, 0x00000000, 0x00000000],
     [0x0000604f, 0x00000000, 0x00000000, 0x00000000, 0x88b24709,
      0x1f42fd0f, 0x5cb4c739, 0x1f42fb0e, 0x00000000, 0x00000000],
     [0x00006050, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xdcb7c702, 0x1f42f80e],
     [0x00006051, 0x00000000, 0x7cb0e6de, 0x1f42ff0f, 0x00000000,
      0x00000000, 0xc4b42717, 0x1f42f90f, 0x0cb186ff, 0x1f42fa0f],
     [0x00006052, 0x00000000, 0xd4b00724, 0x1f42fd0e, 0x00000000,
      0x00000000, 0x20b00716, 0x1f42f94f, 0x84b7871d, 0x1f42f90f],
     [0x00006053, 0x00000000, 0x3cb5c70f, 0x1f42fc0f, 0x8cb3a708,
      0x1f42f64f, 0xa4b7e72b, 0x1f4315ce, 0x4cb5a6dd, 0x1f42fa10],
     [0x00006054, 0x00000000, 0xc4ade73c, 0x1f42fd4e, 0x28b50721,
      0x1f42fc0f, 0x5cb006d9, 0x1f42fb4f, 0xe8b36719, 0x1f42fa0e],
     [0x00006055, 0x00000000, 0xd0b246f9, 0x1f42f90f, 0x14b76715,
      0x1f42f750, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006056, 0x00000000, 0x00000000, 0x00000000, 0x34ac26f7,
      0x1f42fb0f, 0xe4b68706, 0x1f42fa4f, 0xb4af66cf, 0x1f42f94f],
     [0x00006057, 0x00000000, 0x8cb4c71d, 0x1f42f90e, 0x00000000,
      0x00000000, 0xd4b7a6fc, 0x1f42f94e, 0x80b42706, 0x1f42fd0f],
     [0x000087a1, 0x00000000, 0x74b3072a, 0x1d82ef4f, 0x68954656,
      0x1692f34f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006059, 0x00000000, 0x1cae0702, 0x1f42f94f, 0xc8b1c6db,
      0x1f42fd0f, 0xe0adc713, 0x1f42f80e, 0xd4b8670e, 0x1f42f54e],
     [0x0000605a, 0x00000000, 0x00000000, 0x00000000, 0xf0b0a6fc,
      0x1f42f90e, 0x00000000, 0x00000000, 0xb4afc72c, 0x1f42f74f],
     [0x0000605b, 0x00000000, 0x00000000, 0x00000000, 0x04ac26f0,
      0x1f42fc0f, 0xc8b366da, 0x1f42f74f, 0x50b0a717, 0x1f42f74f],
     [0x0000605c, 0x00000000, 0xc8b606fd, 0x1f42f80f, 0x5cb48715,
      0x1f42f74f, 0x60b2a6d0, 0x1f42f80f, 0xc8b2c6c3, 0x1f42f90e],
     [0x0000605d, 0x00000000, 0xa8b6c70a, 0x1f42f74f, 0x00000000,
      0x00000000, 0x48b7c6d8, 0x1f42f54f, 0x30ae46da, 0x1f42f58f],
     [0x0000605e, 0x00000000, 0x1cb24706, 0x1f42fa0f, 0x78b64729,
      0x1f42fb0f, 0xf4b7272c, 0x1f42f44e, 0x80b2e6fd, 0x1f42f74f],
     [0x0000605f, 0x00000000, 0x04aee6cd, 0x1f42fb10, 0x30b1c6e5,
      0x1f42f810, 0xf4b6e71f, 0x1f42f74e, 0xb8b7a6e7, 0x1f42f74f],
     [0x00006060, 0x00000000, 0x68b56721, 0x1f42fb0e, 0x00000000,
      0x00000000, 0x54b2c742, 0x1f42ffce, 0x18b5a6eb, 0x1f42f810],
     [0x00006061, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xd8ae8728, 0x1f42f90e, 0x88b306e8, 0x1f42f80f],
     [0x00006062, 0x00000000, 0x90ac26f9, 0x1f42f74f, 0x68b2c6fa,
      0x1f42f74f, 0x18b1e734, 0x1f42fa0f, 0x44b30728, 0x1f43094e],
     [0x00006063, 0x00000000, 0xf4b9e704, 0x1f42f84e, 0x20b3e709,
      0x1f42f90f, 0x00000000, 0x00000000, 0x58b1273a, 0x1f43100e],
     [0x00006064, 0x00000000, 0x00000000, 0x00000000, 0x70ae06fb,
      0x1f42fa4f, 0x00000000, 0x00000000, 0x70b48733, 0x1f42fc0e],
     [0x00006065, 0x00000000, 0x00000000, 0x00000000, 0x20ab66e0,
      0x1f42f750, 0x00000000, 0x00000000, 0x08af66ed, 0x1f42ff0f],
     [0x00006066, 0x00000000, 0x6cae8701, 0x1f42f80e, 0x70b1a6ce,
      0x1f42f80f, 0x5cad6747, 0x1f42fd4e, 0x80b30722, 0x1f42f90f],
     [0x00006067, 0x00000000, 0x84b5472d, 0x1f42fa0f, 0xb8b86743,
      0x1f42f44e, 0xc0b3e711, 0x1f43010e, 0x9cb5c70e, 0x1f42f80e],
     [0x00006068, 0x00000000, 0x80b6672e, 0x1f42f64e, 0x00000000,
      0x00000000, 0x04aee711, 0x1f42fb0f, 0xa4b14706, 0x1f42f74f],
     [0x00006069, 0x00000000, 0xb8b3471b, 0x1f42fe8f, 0x00000000,
      0x00000000, 0x7cb20718, 0x1f42fa0e, 0x0cb4c712, 0x1f42fb0f],
     [0x0000606a, 0x00000000, 0x54af4728, 0x1f42f54e, 0xe8b34731,
      0x1f42f94e, 0x6cade716, 0x1f42f94f, 0xa8b9c71b, 0x1f42f64e],
     [0x0000606b, 0x00000000, 0x60b62720, 0x1f42f74f, 0x00000000,
      0x00000000, 0xc8b76716, 0x1f42fa0e, 0x00000000, 0x00000000],
     [0x0000606c, 0x00000000, 0x30b6c708, 0x1f42fc0f, 0x90b36722,
      0x1f42fb0e, 0x74b186d3, 0x1f42fa0f, 0x28b7a732, 0x1f42fc0f],
     [0x0000917a, 0x00000000, 0x548c868c, 0x15db00cf, 0x5891a68c,
      0x1592f44f, 0x64b7668c, 0x1f2af58f, 0xa096068c, 0x1722f80f],
     [0x0000606e, 0x00000000, 0x70b8c73b, 0x1f42f3cf, 0xb4af2726,
      0x1f42fa0e, 0x24ac073e, 0x1f42fa8e, 0x9cab6721, 0x1f42f54f],
     [0x0000606f, 0x00000000, 0x64b726b2, 0x1f42f80f, 0x38b24742,
      0x1f42fd0f, 0xb4b4c733, 0x1f42f34e, 0xe0b5073b, 0x1f42f68e],
     [0x00006070, 0x00000000, 0x54b4872c, 0x1f42fc8e, 0xd4b5c711,
      0x1f42f80e, 0x64a9273c, 0x1f42f9ce, 0xa8b46715, 0x1f42f74e],
     [0x0000917c, 0x00000000, 0x6875c5c1, 0x0e72f44f, 0x6878668c,
      0x1032f44f, 0x6c74a5c1, 0x0e22f44f, 0xa06d469b, 0x0aa2f18f],
     [0x00006072, 0x00000000, 0x3cb3c72d, 0x1f42fdce, 0x88b8a70f,
      0x1f42f74f, 0x48b2c704, 0x1f42f34f, 0x00000000, 0x00000000],
     [0x000087bc, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa0966762, 0x1692f38f, 0x3879e68e, 0x0fa2f18c],
     [0x00006074, 0x00000000, 0xccb22703, 0x1f42f90e, 0xd0b006e4,
      0x1f42f64e, 0xa4b2a72b, 0x1f42f74e, 0xe8b6a735, 0x1f42f78e],
     [0x00006075, 0x00000000, 0x00000000, 0x00000000, 0x58b3e715,
      0x1f42fa4f, 0x00000000, 0x00000000, 0xf4b1e712, 0x1f42fc0e],
     [0x00006076, 0x00000000, 0x20b64732, 0x1f42f90f, 0x20b1a70b,
      0x1f42f910, 0x30b4872c, 0x1f42f90f, 0x88b0a6fa, 0x1f42fb4e],
     [0x00006077, 0x00000000, 0x00000000, 0x00000000, 0xb0b70738,
      0x1f42ff4e, 0xb8af6705, 0x1f42fb0e, 0xe8b3a721, 0x1f42f74e],
     [0x00006078, 0x00000000, 0x2cadc737, 0x1f430fce, 0x28abe734,
      0x1f430a0e, 0x50b54729, 0x1f42f74e, 0xc8acc6f2, 0x1f43204f],
     [0x00009180, 0x00000000, 0x6c6b25c1, 0x0c0af44f, 0x706ce65e,
      0x0c12efcf, 0x647865b5, 0x1032fbcf, 0x687665b5, 0x0e72f1cf],
     [0x0000607a, 0x00000000, 0x54b28726, 0x1f430e50, 0x7cb2a71a,
      0x1f430ace, 0x2c99e72e, 0x1f432c0f, 0x00000000, 0x00000000],
     [0x0000607b, 0x00000000, 0x5cb1c73e, 0x1f43078e, 0xb0b2473d,
      0x1f430c8e, 0xbcb2c723, 0x1f43090e, 0x00000000, 0x00000000],
     [0x0000607c, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x38b44701, 0x1f42fbcf, 0x28b146f6, 0x1f430a90],
     [0x0000607d, 0x00000000, 0x20b7a718, 0x1f430610, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xb8aea6ed, 0x1f430d0e],
     [0x0000607e, 0x00000000, 0x38b166b3, 0x1f430610, 0x90afc6f2,
      0x1f43038f, 0xa4b1c731, 0x1f430d0e, 0x8cb6473e, 0x1f42f9ce],
     [0x0000607f, 0x00000000, 0xb0ace6e8, 0x1f4312cf, 0x00000000,
      0x00000000, 0xc8b66727, 0x1f43088e, 0xe8b0270a, 0x1f43068e],
     [0x00006080, 0x00000000, 0x14a58725, 0x1f43160f, 0x98b0e72f,
      0x1f43048e, 0x9cb8072e, 0x1f42f9ce, 0x00000000, 0x00000000],
     [0x00006081, 0x00000000, 0x2ca586f7, 0x1f431c8f, 0x5ca2673b,
      0x1f430e4e, 0xf8b2c700, 0x1f43048e, 0xf0b44738, 0x1f4301ce],
     [0x00006082, 0x00000000, 0x9cb446ea, 0x1f42fe8f, 0x6cb88744,
      0x1f42fc4e, 0x68a98748, 0x1f430a0e, 0x20b186f3, 0x1f43064f],
     [0x00009185, 0x00000000, 0xa0b3267e, 0x1a5b00cf, 0x689e467e,
      0x151b008f, 0x689fe68c, 0x165306cf, 0xa08e467e, 0x106b008f],
     [0x00006084, 0x00000000, 0xd0b586f2, 0x1f42f6cf, 0xe8b466fd,
      0x1f42ff8e, 0xbcb8872b, 0x1f42f70e, 0x00000000, 0x00000000],
     [0x00009186, 0x00000000, 0xe49fe68c, 0x166306cc, 0xa08e667e,
      0x126b008f, 0x6889268c, 0x10eafd8f, 0xa09c067e, 0x1303164f],
     [0x00006086, 0x00000000, 0xb8b54718, 0x1f42face, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xc8b04725, 0x1f42ffce],
     [0x00006087, 0x00000000, 0x4caf674f, 0x1f430e4e, 0x20b3073f,
      0x1f430a0e, 0x9cb1c733, 0x1f43068e, 0x48b5c737, 0x1f42fcce],
     [0x00006088, 0x00000000, 0x80ad6712, 0x1f42fc0f, 0x5cb5471d,
      0x1f42f6cf, 0x94ae671a, 0x1f42f84f, 0x98b62716, 0x1f42f84f],
     [0x00006089, 0x00000000, 0x00000000, 0x00000000, 0x44b5e711,
      0x1f42fccf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000608a, 0x00000000, 0x2cb52731, 0x1f42f850, 0x4cb8e73a,
      0x1f42f350, 0x6cb886fd, 0x1f42f64f, 0x44b20718, 0x1f42f38f],
     [0x0000608b, 0x00000000, 0x7cb7e729, 0x1f42f88f, 0x88b80718,
      0x1f42f84f, 0x8cb3472d, 0x1f42fe8f, 0x08aea709, 0x1f42fe8f],
     [0x0000608c, 0x00000000, 0xbcb7471d, 0x1f42fbcf, 0x24b44718,
      0x1f42f94f, 0x3cb5c703, 0x1f42fa4f, 0x2cb0a713, 0x1f42fb4f],
     [0x0000608d, 0x00000000, 0x98ad870d, 0x1f42ff4e, 0x58b38711,
      0x1f42f74f, 0x0caf6714, 0x1f42fa4f, 0xecb38702, 0x1f42fa0e],
     [0x0000608e, 0x00000000, 0x58b1671b, 0x1f42fa8e, 0x04b52701,
      0x1f42fa4f, 0x9cb0a71e, 0x1f42fc8e, 0xb0aae722, 0x1f42f84f],
     [0x0000608f, 0x00000000, 0x70b4e71e, 0x1f42f98f, 0x7cb6c715,
      0x1f42f64e, 0x94b3071a, 0x1f42f84f, 0xd4b72715, 0x1f42f90e],
     [0x00006090, 0x00000000, 0xf4b1e713, 0x1f42f84e, 0x00000000,
      0x00000000, 0x8cb70716, 0x1f42f2ce, 0x00000000, 0x00000000],
     [0x00006091, 0x00000000, 0x50b1c6ff, 0x1f42fc8e, 0x80b8a6fe,
      0x1f42f48e, 0x00000000, 0x00000000, 0x64b5c715, 0x1f42f64f],
     [0x00006092, 0x00000000, 0x00000000, 0x00000000, 0xc4b60724,
      0x1f42fc0f, 0x00000000, 0x00000000, 0x7cb1a719, 0x1f42f54f],
     [0x00006093, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x84af66fa, 0x1f42fdcf, 0x88ada70b, 0x1f42ff0f],
     [0x00006094, 0x00000000, 0x00b50704, 0x1f42fa4f, 0xecb16707,
      0x1f43000f, 0xf0ab870d, 0x1f42fc4e, 0x8cb3c6ff, 0x1f42f94e],
     [0x00006095, 0x00000000, 0x00000000, 0x00000000, 0xd0b8e712,
      0x1f42fc0e, 0x3cb2c710, 0x1f42f84f, 0x3cb5a6f6, 0x1f42fd0f],
     [0x00006096, 0x00000000, 0x20b9a723, 0x1f42f68f, 0x1cb82723,
      0x1f42f68f, 0x60b28725, 0x1f42fc0f, 0xc4b0e705, 0x1f42fb0e],
     [0x00006097, 0x00000000, 0x4cb2c717, 0x1f42fa4e, 0x9cb7e730,
      0x1f42f54f, 0xf0b7a6f6, 0x1f42f54e, 0x44b54723, 0x1f42ef4f],
     [0x00006098, 0x00000000, 0x00000000, 0x00000000, 0xf4b5c706,
      0x1f42f70e, 0x7cb5e73d, 0x1f42f94e, 0x00b6a731, 0x1f42f84f],
     [0x00006099, 0x00000000, 0xf8b36734, 0x1f42fa4e, 0x00000000,
      0x00000000, 0x9cb4271c, 0x1f42f88f, 0x00000000, 0x00000000],
     [0x0000609a, 0x00000000, 0xf8b6c71d, 0x1f42f88e, 0x00b72731,
      0x1f42f68e, 0x28b5a732, 0x1f42f98e, 0x14b78739, 0x1f42ff0f],
     [0x0000609b, 0x00000000, 0x8cb60733, 0x1f42f68e, 0x04b6e71d,
      0x1f42f78f, 0xe0b5e703, 0x1f43270e, 0xb0b7272f, 0x1f432b8e],
     [0x0000609c, 0x00000000, 0x50b806ca, 0x1f42fd8f, 0xc8b8a737,
      0x1f42fa0e, 0x40b1c739, 0x1f43210f, 0x28b2270b, 0x1f42fd0f],
     [0x0000609d, 0x00000000, 0x6cb1e703, 0x1f43048f, 0x18b466fa,
      0x1f42ff4f, 0x04b4c733, 0x1f42fb8f, 0x04b8871d, 0x1f42ff8f],
     [0x0000609e, 0x00000000, 0xa8b00711, 0x1f430b4e, 0x10a74626,
      0x1f431654, 0x44ad671c, 0x1f43118f, 0x00000000, 0x00000000],
     [0x0000609f, 0x00000000, 0x68ae2730, 0x1f43110e, 0x2cb4e72e,
      0x1f430f4f, 0x68b5e730, 0x1f430f4f, 0xc0a8e732, 0x1f4313ce],
     [0x000060a0, 0x00000000, 0xf0ab872a, 0x1f4318ce, 0x00000000,
      0x00000000, 0xd8aa2720, 0x1f430d4e, 0x70b46749, 0x1f4311cf],
     [0x000060a1, 0x00000000, 0x78b4e72e, 0x1f430f4f, 0x3cb8673b,
      0x1f430d0e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000060a2, 0x00000000, 0xd8aa8714, 0x1f43134e, 0x00000000,
      0x00000000, 0xf8aea745, 0x1f4307cd, 0x50b14733, 0x1f43068e],
     [0x000060a3, 0x00000000, 0x00000000, 0x00000000, 0x48ac6746,
      0x1f430b4e, 0x80a72736, 0x1f4318ce, 0x58b0c72a, 0x1f430e4f],
     [0x000060a4, 0x00000000, 0x2cad872f, 0x1f430e8e, 0x98ae2733,
      0x1f430d0e, 0xe8b0871a, 0x1f43084e, 0x28af6746, 0x1f43124e],
     [0x000060a5, 0x00000000, 0xd8aca70a, 0x1f430ace, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xe4a5a721, 0x1f43188e],
     [0x000060a6, 0x00000000, 0x98b0672e, 0x1f430ecf, 0xf4b3c730,
      0x1f43140e, 0x38b10730, 0x1f430e0f, 0x50b06729, 0x1f43104f],
     [0x000060a7, 0x00000000, 0x18ada722, 0x1f43100f, 0xb4b80739,
      0x1f43010e, 0x58b42728, 0x1f430f0e, 0x64b1473b, 0x1f43128e],
     [0x000060a8, 0x00000000, 0x2cad6722, 0x1f4312cf, 0x98a9872a,
      0x1f4315cf, 0x8caf0734, 0x1f42ff4e, 0xf4a7871a, 0x1f43158e],
     [0x000060a9, 0x00000000, 0x28b1a725, 0x1f430a0f, 0x30b7a73f,
      0x1f42fe4e, 0x78a8071c, 0x1f430bcf, 0x9caaa73e, 0x1f43130e],
     [0x000060aa, 0x00000000, 0x40adc72e, 0x1f4309cf, 0x38b6c726,
      0x1f43030f, 0xb4abc72a, 0x1f431c4e, 0x40aea72a, 0x1f4313cf],
     [0x000060ab, 0x00000000, 0x0cb8673e, 0x1f430acf, 0xd0af4730,
      0x1f43128e, 0x98a7272d, 0x1f43100e, 0xc0ae6718, 0x1f430c0f],
     [0x000060ac, 0x00000000, 0x7cb4072e, 0x1f430f0e, 0x68b3673d,
      0x1f42fe4f, 0x00000000, 0x00000000, 0x8cb26739, 0x1f43084e],
     [0x000060ad, 0x00000000, 0xe0a7e72d, 0x1f4315ce, 0x00aee734,
      0x1f4310cf, 0xdca6a725, 0x1f4313ce, 0xd8ae6729, 0x1f430b8f],
     [0x000060ae, 0x00000000, 0x34ac272e, 0x1f43074f, 0x6caae73e,
      0x1f430bce, 0x3cae872f, 0x1f430d8f, 0x50a6a73d, 0x1f43290e],
     [0x000060af, 0x00000000, 0x34b0c735, 0x1f430f0f, 0x40aa6735,
      0x1f43114e, 0x4cb18735, 0x1f43064e, 0x00000000, 0x00000000],
     [0x000060b0, 0x00000000, 0x10b28720, 0x1f430e0f, 0xacb34708,
      0x1f430a4f, 0xd4ab0717, 0x1f43120f, 0x6cade72f, 0x1f430c0f],
     [0x000060b1, 0x00000000, 0xdcaea72a, 0x1f430c8e, 0xdcaa472d,
      0x1f43108e, 0x00000000, 0x00000000, 0xd8a7e73a, 0x1f43150e],
     [0x000060b2, 0x00000000, 0x04a6a715, 0x1f42fd4f, 0x00000000,
      0x00000000, 0xd4ad672a, 0x1f43084e, 0x1cad272f, 0x1f43168f],
     [0x000060b3, 0x00000000, 0x04af0729, 0x1f43120f, 0x48b5871a,
      0x1f4309cf, 0xd4aa0715, 0x1f43190f, 0x08ace719, 0x1f4313cf],
     [0x0000b89d, 0x00000000, 0x00000000, 0x00000000, 0x8877a58d,
      0x105afe8c, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000060b5, 0x00000000, 0xccad472a, 0x1f430c4e, 0x30a7873c,
      0x1f430fce, 0xd4a88712, 0x1f43108e, 0x30af471b, 0x1f430f0f],
     [0x000060b6, 0x00000000, 0x08a7872a, 0x1f43138f, 0x94b3a71c,
      0x1f43094f, 0x00000000, 0x00000000, 0x64b06736, 0x1f4303ce],
     [0x000060b7, 0x00000000, 0xf0aae72a, 0x1f430fce, 0x00000000,
      0x00000000, 0xb4b3673d, 0x1f43100e, 0xb0a9e73f, 0x1f431ace],
     [0x000060b8, 0x00000000, 0x1cae873c, 0x1f43130e, 0x50ad4724,
      0x1f43094f, 0x00000000, 0x00000000, 0x24ac473b, 0x1f430e4f],
     [0x000060b9, 0x00000000, 0xacaa673c, 0x1f4313ce, 0x78ae671f,
      0x1f4300cf, 0x68b54738, 0x1f43038f, 0x40ad073e, 0x1f430a4e],
     [0x000060ba, 0x00000000, 0x2ca9672a, 0x1f430ccf, 0x00000000,
      0x00000000, 0x84a9e732, 0x1f43168e, 0xcca7873d, 0x1f4312ce],
     [0x000060bb, 0x00000000, 0xf8a92726, 0x1f4314ce, 0xa4ac673c,
      0x1f4313ce, 0x00000000, 0x00000000, 0xa8b5472a, 0x1f43028e],
     [0x000060bc, 0x00000000, 0xdcaac73c, 0x1f4317ce, 0x4cb36741,
      0x1f43058f, 0x04a5a726, 0x1f4315cf, 0x18b4873a, 0x1f430bcf],
     [0x000060bd, 0x00000000, 0x2cb04736, 0x1f43068f, 0x5cb1673a,
      0x1f4314ce, 0x50b7c744, 0x1f43060e, 0x00afe72a, 0x1f43068f],
     [0x000060be, 0x00000000, 0x00000000, 0x00000000, 0x4cb0e73b,
      0x1f430f4e, 0x58b5273c, 0x1f4301ce, 0xacb08740, 0x1f42ff0e],
     [0x000060bf, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x54a9e73c, 0x1f430ccf, 0x00000000, 0x00000000],
     [0x000060c0, 0x00000000, 0xf8a72735, 0x1f4317ce, 0x2cadc739,
      0x1f43104f, 0x70b3a73d, 0x1f430c0e, 0x4cb5c735, 0x1f43170f],
     [0x000060c1, 0x00000000, 0x0cad0723, 0x1f4300cf, 0x48b18749,
      0x1f430f4e, 0x3ca8673d, 0x1f43178e, 0xa8b24736, 0x1f43034e],
     [0x000060c2, 0x00000000, 0xacb22730, 0x1f430a0f, 0xc8b3474e,
      0x1f43088e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000060c3, 0x00000000, 0x2cae8737, 0x1f42fc4e, 0xb0a98739,
      0x1f4316ce, 0x5ca8871a, 0x1f43148f, 0x34b0472a, 0x1f4313cf],
     [0x000060c4, 0x00000000, 0x00000000, 0x00000000, 0xa8a68728,
      0x1f43180e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000060c5, 0x00000000, 0x28ab6716, 0x1f431490, 0x10ab6726,
      0x1f4313cf, 0xf0b38735, 0x1f4306ce, 0xfca96733, 0x1f42f88e],
     [0x000060c6, 0x00000000, 0x18ada745, 0x1f430a0f, 0xe4a72726,
      0x1f430f0e, 0xaca80717, 0x1f43198e, 0x1cb4472e, 0x1f43198e],
     [0x000060c7, 0x00000000, 0x60a5e71a, 0x1f43150f, 0x00000000,
      0x00000000, 0x38a42731, 0x1f430dce, 0x00000000, 0x00000000],
     [0x000060c8, 0x00000000, 0xf8b34736, 0x1f43024e, 0x00000000,
      0x00000000, 0xe0a6871b, 0x1f4310ce, 0x1cad8745, 0x1f430a0f],
     [0x000060c9, 0x00000000, 0x60a7273f, 0x1f4307ce, 0x88abc726,
      0x1f43144f, 0x88ae6729, 0x1f43104e, 0xe0a8871e, 0x1f43160e],
     [0x000060ca, 0x00000000, 0x84b3072a, 0x1f430e4e, 0x14a4a72d,
      0x1f42fa4f, 0x2caec72a, 0x1f43114f, 0x64ade72d, 0x1f43188f],
     [0x00008814, 0x00000000, 0x009a669b, 0x18b2fbcf, 0xf474a68c,
      0x0faaff0c, 0x8072a6aa, 0x0ebafb8c, 0x00000000, 0x00000000],
     [0x00008815, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xe48de68e, 0x163300d5],
     [0x000060cd, 0x00000000, 0x00a96733, 0x1f430e0f, 0x34aae730,
      0x1f43060e, 0x9cbac74b, 0x1f43054e, 0x74b12731, 0x1f43028e],
     [0x00008817, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xa03e83e8, 0x1f42ee0f],
     [0x000060cf, 0x00000000, 0x38a7072d, 0x1f4315ce, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x7cb60721, 0x1f4306cf],
     [0x000060d0, 0x00000000, 0x14ab674d, 0x1f43140e, 0x6cad671c,
      0x1f430d4f, 0xb4b38733, 0x1f4308ce, 0x58b6a728, 0x1f42fd4f],
     [0x000060d1, 0x00000000, 0xd8a5c726, 0x1f43168e, 0xe0b44735,
      0x1f43014e, 0x74a9c717, 0x1f4303ce, 0x44ab272a, 0x1f43044e],
     [0x000060d2, 0x00000000, 0x5cad6726, 0x1f43078e, 0x1cb2c73e,
      0x1f43038e, 0x04a72719, 0x1f43088f, 0x0ca70724, 0x1f43178f],
     [0x000060d3, 0x00000000, 0xacaee735, 0x1f43150e, 0x28b10721,
      0x1f430b8f, 0xc0ac4726, 0x1f43144e, 0x18af8738, 0x1f42fe4f],
     [0x000060d4, 0x00000000, 0x38b22741, 0x1f42fece, 0xf4ad6733,
      0x1f4311ce, 0xe4b52731, 0x1f43098e, 0x9cae0729, 0x1f43150e],
     [0x000060d5, 0x00000000, 0x1ca8c732, 0x1f43050f, 0x00000000,
      0x00000000, 0x08b2e732, 0x1f43068f, 0x00000000, 0x00000000],
     [0x000060d6, 0x00000000, 0xf4b2273c, 0x1f43008e, 0x00000000,
      0x00000000, 0x50ab072f, 0x1f430e8f, 0x14ae871e, 0x1f43148f],
     [0x000060d7, 0x00000000, 0xacaec735, 0x1f430b8e, 0x00000000,
      0x00000000, 0x6cb3e731, 0x1f430b8e, 0x50b5e715, 0x1f43050f],
     [0x000060d8, 0x00000000, 0xe8b5472a, 0x1f4310ce, 0x18a78722,
      0x1f4311cf, 0x00000000, 0x00000000, 0x18acc715, 0x1f43134f],
     [0x000060d9, 0x00000000, 0x8caae724, 0x1f430f8e, 0xacb1c719,
      0x1f43108e, 0xf8ada72a, 0x1f43128e, 0x44ab072a, 0x1f43148f],
     [0x000060da, 0x00000000, 0x98ac673b, 0x1f43114e, 0x44b30721,
      0x1f43088f, 0x24ac8712, 0x1f4302cf, 0xe8a80725, 0x1f43148e],
     [0x000060db, 0x00000000, 0xf0ac6719, 0x1f430b8e, 0x7cae670b,
      0x1f43148f, 0xccae8719, 0x1f430f4e, 0xeca90726, 0x1f43168e],
     [0x000060dc, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x7ca7e72a, 0x1f43134f],
     [0x000060dd, 0x00000000, 0x08af671e, 0x1f43028f, 0xfcaa0726,
      0x1f430fce, 0x0cb80711, 0x1f42fe8f, 0x54b16737, 0x1f42fa0e],
     [0x000060de, 0x00000000, 0x44aaa746, 0x1f43120e, 0x00000000,
      0x00000000, 0xf4aa0727, 0x1f430b4e, 0xbcb5c725, 0x1f42fc8e],
     [0x00008828, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xa082c67e, 0x1162f0cf],
     [0x00008829, 0x00000000, 0x807bc68c, 0x0fa2f10f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x78cd267e, 0x24f2f20f],
     [0x000060e1, 0x00000000, 0x00000000, 0x00000000, 0x54aae713,
      0x1f43090f, 0x70b54746, 0x1f43024e, 0x7ca78726, 0x1f43038f],
     [0x000060e2, 0x00000000, 0xa8b1272f, 0x1f430d4e, 0x44a8073e,
      0x1f42fd0e, 0xacafa73c, 0x1f43064e, 0x6ca8072b, 0x1f43014e],
     [0x000060e3, 0x00000000, 0x84b04720, 0x1f431c0e, 0x64b2472b,
      0x1f43198e, 0x6cafa73a, 0x1f43180e, 0x14ac2731, 0x1f4302cf],
     [0x000060e4, 0x00000000, 0x20ac2721, 0x1f430f4f, 0x00000000,
      0x00000000, 0x0caae735, 0x1f430d0f, 0x6cb7a73f, 0x1f42f9ce],
     [0x000060e5, 0x00000000, 0x80a30724, 0x1f43188e, 0x44b1e716,
      0x1f4306ce, 0xf0b00729, 0x1f43064e, 0xaca9e732, 0x1f43114e],
     [0x000060e6, 0x00000000, 0x6cb2e73a, 0x1f43074e, 0xecb24734,
      0x1f43088e, 0x28aae72e, 0x1f43088f, 0x00ae6738, 0x1f43074f],
     [0x000060e7, 0x00000000, 0x64b1071e, 0x1f43080f, 0x70a6871e,
      0x1f43170f, 0xe8b2a738, 0x1f43144e, 0x28b6072d, 0x1f42f90e],
     [0x000060e8, 0x00000000, 0xc8b2a73c, 0x1f43094e, 0x00000000,
      0x00000000, 0xe4af6735, 0x1f43124e, 0x34ade728, 0x1f43144f],
     [0x000060e9, 0x00000000, 0x80a30724, 0x1f43150e, 0xd0b1e726,
      0x1f42ff8e, 0x70a2c72e, 0x1f43150e, 0x6cb58749, 0x1f430f8e],
     [0x000060ea, 0x00000000, 0x00ace732, 0x1f43130f, 0x80aec73b,
      0x1f43078e, 0x6cac672d, 0x1f430a8e, 0xa4afe734, 0x1f43038e],
     [0x00008834, 0x00000000, 0x6c3c66e0, 0x00027cd9, 0x6c3c66e0,
      0x00027cd9, 0x3026867e, 0x0002b18d, 0x00000000, 0x00000000],
     [0x000060ec, 0x00000000, 0x38aee722, 0x1f43074f, 0xa4ac072f,
      0x1f430e8e, 0x18abe726, 0x1f43038f, 0x04ace715, 0x1f431d4f],
     [0x000060ed, 0x00000000, 0xb4a4c72a, 0x1f43188e, 0xa0ae0735,
      0x1f43090e, 0x74b7070e, 0x1f4305cf, 0xf4b4472c, 0x1f430d4e],
     [0x000060ee, 0x00000000, 0xf8b18719, 0x1f42fd8e, 0x70ac072a,
      0x1f43158f, 0x78aa272a, 0x1f43118e, 0x00000000, 0x00000000],
     [0x000060ef, 0x00000000, 0x48b4271b, 0x1f43094f, 0x50b8073f,
      0x1f42fdce, 0x00000000, 0x00000000, 0x4ca9e73e, 0x1f42fd4e],
     [0x000060f0, 0x00000000, 0x30ae472c, 0x1f430f4f, 0x94afe739,
      0x1f4302ce, 0xc8a8671d, 0x1f43110e, 0x10a7a726, 0x1f43100f],
     [0x0000883a, 0x00000000, 0x3842e371, 0x00027a8c, 0x08452691,
      0x00027618, 0xfc4d458b, 0x00024990, 0x3c56a6dc, 0x00027e0c],
     [0x000060f2, 0x00000000, 0x08aee729, 0x1f43030f, 0xf4ae6726,
      0x1f4316ce, 0x48aa6743, 0x1f43088e, 0xf8b0e739, 0x1f4308ce],
     [0x0000883c, 0x00000000, 0xb433a71b, 0x000294d7, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000060f4, 0x00000000, 0x00000000, 0x00000000, 0x74a90732,
      0x1f43144e, 0x00000000, 0x00000000, 0xf8af8740, 0x1f43060e],
     [0x000060f5, 0x00000000, 0xb0b5e738, 0x1f43080e, 0xacb68727,
      0x1f43044e, 0xa4a5072c, 0x1f430fce, 0x8cab671b, 0x1f43080e],
     [0x000060f6, 0x00000000, 0xacb56727, 0x1f42fcce, 0xa0b3672d,
      0x1f43098e, 0x00000000, 0x00000000, 0x40a7872a, 0x1f43130e],
     [0x00008840, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x6891668c, 0x160af94f, 0x00000000, 0x00000000],
     [0x000060f8, 0x00000000, 0x10b3e741, 0x1f430b0f, 0xb8a7a728,
      0x1f430e0e, 0x9caf8717, 0x1f43060e, 0x7cb5c721, 0x1f4311cf],
     [0x000060f9, 0x00000000, 0xdcb2e72b, 0x1f4306ce, 0xe8a86729,
      0x1f43028e, 0x00000000, 0x00000000, 0x3ca8072e, 0x1f43070f],
     [0x00008843, 0x00000000, 0x709f269f, 0x19c2f8cc, 0xa08f867e,
      0x1672ff8f, 0x7882a693, 0x120af9cf, 0x7882e693, 0x121af9cf],
     [0x000060fb, 0x00000000, 0x0ca4a71e, 0x1f4312cf, 0x00000000,
      0x00000000, 0x50aa873e, 0x1f43054e, 0x6cb3c74c, 0x1f42fdce],
     [0x000060fc, 0x00000000, 0xf0b78732, 0x1f42fe0e, 0x50b54744,
      0x1f430dce, 0x9caf8740, 0x1f43084e, 0x5cb2a712, 0x1f43080f],
     [0x00008846, 0x00000000, 0x3ca2660b, 0x19d2fb0c, 0xa08d067e,
      0x1532ff8f, 0x9c97e68c, 0x17eaf94e, 0x64ac0697, 0x1d82f68f],
     [0x00008847, 0x00000000, 0x48a626a8, 0x1b52fa8f, 0xa097867e,
      0x175aff8f, 0x0c9de683, 0x1862ff4e, 0x00000000, 0x00000000],
     [0x00008848, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa0b6267e, 0x1ea2f593, 0x00000000, 0x00000000],
     [0x00008849, 0x00000000, 0xa093267e, 0x16bafa8f, 0x386f667e,
      0x0d42f6cc, 0xa097e68c, 0x1742f54f, 0x6897e67e, 0x1742f54f],
     [0x0000884a, 0x00000000, 0x7093069f, 0x16b2fa8c, 0xa06105b7,
      0x0b42f60f, 0x00000000, 0x00000000, 0xa096e74f, 0x1692f1cf],
     [0x00006102, 0x00000000, 0x00000000, 0x00000000, 0x40b2c724,
      0x1f43090f, 0x8cb34741, 0x1f4311ce, 0x70b4a747, 0x1f42fcce],
     [0x0000884c, 0x00000000, 0x649a4697, 0x1773070f, 0xa0afe690,
      0x1cbaf8cf, 0xa078467e, 0x10baf14f, 0x64c2868a, 0x2182f78f],
     [0x00006104, 0x00000000, 0x98aaa72d, 0x1f4310ce, 0x7ca98728,
      0x1f43070e, 0x74b0e73a, 0x1f43188e, 0xa4ad6726, 0x1f43100e],
     [0x0000884e, 0x00000000, 0x547c668d, 0x12bafb0f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000884f, 0x00000000, 0x708f25aa, 0x150af44f, 0x388045b4,
      0x10e2ee0c, 0xa085667e, 0x0eaaff8f, 0xa08f867e, 0x1672ff8f],
     [0x00006107, 0x00000000, 0xcca82721, 0x1f43130e, 0xa0ad4725,
      0x1f430fce, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00008851, 0x00000000, 0xa08aa67e, 0x13b2f34f, 0xa0966675,
      0x164af24f, 0x748dc693, 0x122af80f, 0x747b25a1, 0x101af80f],
     [0x00008852, 0x00000000, 0xa069c675, 0x092af4cf, 0x3c6fc675,
      0x0aaad40c, 0xa089c69c, 0x14c2f94f, 0x6c9a868c, 0x1852f50f],
     [0x0000610a, 0x00000000, 0xf4ac672a, 0x1f4315ce, 0x08b44734,
      0x1f43018f, 0x3cb4072d, 0x1f42fd0e, 0x38b48738, 0x1f430e8e],
     [0x00008854, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x6899268c, 0x1772f70f],
     [0x00008855, 0x00000000, 0x6899e68c, 0x1772f18f, 0x6897e68c,
      0x1772f74f, 0x6898868c, 0x1772f18f, 0x6898868c, 0x1772f14f],
     [0x00008856, 0x00000000, 0x6898868c, 0x1772f18f, 0x6898268c,
      0x1772f74f, 0x6498c68c, 0x1772f54f, 0x6898c68c, 0x1772f74f],
     [0x00008857, 0x00000000, 0x6899668c, 0x1772f14f, 0x6899668c,
      0x1772f54f, 0x6899668c, 0x1772f50f, 0x00000000, 0x00000000],
     [0x0000610f, 0x00000000, 0x30b0e746, 0x1f4300ce, 0xe0b4a731,
      0x1f430bce, 0x00000000, 0x00000000, 0xbcafe732, 0x1f430ece],
     [0x00006110, 0x00000000, 0xd0b06733, 0x1f4301ce, 0x00000000,
      0x00000000, 0x14b3e734, 0x1f43050e, 0x5cabc737, 0x1f43108e],
     [0x00006111, 0x00000000, 0xbcabe733, 0x1f43070e, 0xe8b52733,
      0x1f43000e, 0x5cb4c74e, 0x1f42fb0e, 0x40ad872c, 0x1f43140e],
     [0x00006112, 0x00000000, 0x00000000, 0x00000000, 0x6cb2e743,
      0x1f43064e, 0x00000000, 0x00000000, 0xecade733, 0x1f430c0e],
     [0x00006113, 0x00000000, 0x48b2472d, 0x1f43004e, 0x94a5a736,
      0x1f4312ce, 0x4cafe745, 0x1f43014e, 0x00000000, 0x00000000],
     [0x00006114, 0x00000000, 0x08afe72b, 0x1f4319cf, 0x5cb26743,
      0x1f4305ce, 0x7cb44735, 0x1f430a4e, 0x00000000, 0x00000000],
     [0x00006115, 0x00000000, 0xfcb06732, 0x1f43060e, 0x00000000,
      0x00000000, 0x64a8c72d, 0x1f4317cf, 0xa0b3c741, 0x1f4300ce],
     [0x00006116, 0x00000000, 0x00000000, 0x00000000, 0x9caaa72b,
      0x1f430b0e, 0x74aee734, 0x1f43144e, 0x94a9073c, 0x1f4317ce],
     [0x00006117, 0x00000000, 0x00ae6722, 0x1f430f8f, 0x08ac0731,
      0x1f430f8f, 0x3cb5673c, 0x1f430cce, 0x70b0c734, 0x1f43120e],
     [0x00006118, 0x00000000, 0x04afc735, 0x1f4303cf, 0x4ca88749,
      0x1f430fce, 0x50b32737, 0x1f42fece, 0xa0b0a74e, 0x1f43070e],
     [0x00006119, 0x00000000, 0x00000000, 0x00000000, 0x34ad0731,
      0x1f43110e, 0x5cb24741, 0x1f43088e, 0x94af872c, 0x1f43148e],
     [0x0000611a, 0x00000000, 0x3cb1e72d, 0x1f430d4e, 0xf8b5c71d,
      0x1f430e8e, 0x00000000, 0x00000000, 0x68aa8735, 0x1f43104e],
     [0x00008864, 0x00000000, 0x88a9a5a9, 0x1cf2ffd0, 0x3076e67e,
      0x0ffafd0d, 0x84a985a8, 0x1cf2ff90, 0x3076e67e, 0x0ffafd0d],
     [0x00008865, 0x00000000, 0x84ad85a9, 0x1cf2f790, 0x2076e6c2,
      0x0ffafd0c, 0x30a9867e, 0x1cf2ff8d, 0x30a9867e, 0x1cf2ff8d],
     [0x00008866, 0x00000000, 0x30a9867e, 0x1cf2ff8d, 0x30a9867e,
      0x1cf2ff8d, 0x88aac5aa, 0x1cf2fd10, 0x88aac5aa, 0x1cf2fd10],
     [0x00008867, 0x00000000, 0x38a98583, 0x1cf2ff91, 0x38a98583,
      0x1cf2ff91, 0x88a985a9, 0x1cf2ff90, 0x3876e67e, 0x0ffafd0d],
     [0x00008868, 0x00000000, 0x88a985a9, 0x1cf2ff90, 0x3876e67e,
      0x0ffafd0d, 0x88a985a9, 0x1cf2ff90, 0x88a985a9, 0x1cf2ff90],
     [0x00008869, 0x00000000, 0x84a9a5aa, 0x1cf2ff90, 0x3876e67e,
      0x0ffafd0d, 0x84a9a5aa, 0x1cf2ff90, 0x3876e67e, 0x0ffafccd],
     [0x0000886a, 0x00000000, 0x3876e67e, 0x0ffafccd, 0x84a98611,
      0x1cf2ff90, 0x84a98611, 0x1cf2ff90, 0xa0a98611, 0x1cf2ff8f],
     [0x0000886b, 0x00000000, 0xa0a98611, 0x1cf2ff8f, 0x88ce65a9,
      0x2582fa50, 0x88ad85aa, 0x1cf2f790, 0x3876e67e, 0x0ffafd0d],
     [0x0000886c, 0x00000000, 0x3073867e, 0x0e7af58d, 0x3074a67e,
      0x0e7af7cd, 0x3872e67e, 0x0e7af44d, 0x3874a67e, 0x0e7af7cd],
     [0x00006124, 0x00000000, 0x40b40741, 0x1f430fce, 0xc8b0273c,
      0x1f43030e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000886e, 0x00000000, 0x30ab86c4, 0x1cf2fbcd, 0x30aac63e,
      0x1cf2fd0e, 0xd0a9c696, 0x1e730b0d, 0xd0a9c696, 0x1e730b0d],
     [0x00006126, 0x00000000, 0x20afe747, 0x1f430c8e, 0x68b4c73a,
      0x1f43138e, 0x28a9e73c, 0x1f43120e, 0x34b3c738, 0x1f42fecf],
     [0x00006127, 0x00000000, 0x10ae672f, 0x1f42fecf, 0xcca6472b,
      0x1f43044e, 0xccb1473f, 0x1f430a8e, 0x04a9673a, 0x1f43054f],
     [0x00006128, 0x00000000, 0x14ac073f, 0x1f43110f, 0x10ae473b,
      0x1f43100e, 0xdcb6a739, 0x1f43138e, 0x00000000, 0x00000000],
     [0x00008872, 0x00000000, 0x309a067e, 0x182af84d, 0x30a9863f,
      0x1cf2ff8e, 0x309a067e, 0x182af84d, 0x1ca98603, 0x1cf2ff8f],
     [0x00008873, 0x00000000, 0x1ca98603, 0x1cf2ff8f, 0xecaac60f,
      0x1cf2fd0e, 0x78afc5ed, 0x1cf2f30f, 0xecaac60f, 0x1cf2fd0e],
     [0x00008874, 0x00000000, 0xecaac60f, 0x1cf2fd0e, 0x308ea67e,
      0x156af94d, 0xecaac60f, 0x1cf2fd0e, 0x308ea67e, 0x156af94d],
     [0x00008875, 0x00000000, 0x78afc5ed, 0x1cf2f30f, 0x208ea6c2,
      0x156af94c, 0x30abc67e, 0x1cf2fbcd, 0x30abc67e, 0x1cf2fbcd],
     [0x00008876, 0x00000000, 0x30abc67e, 0x1cf2fbcd, 0x30abc67e,
      0x1cf2fbcd, 0x74a9066c, 0x1cf2f98d, 0x78ac866d, 0x1cf3008d],
     [0x00008877, 0x00000000, 0x88aac5a9, 0x1cf2fd10, 0x88aac5a9,
      0x1cf2fd10, 0x3076e67e, 0x0ffafd0d, 0x3076e67e, 0x0ffafd0d],
     [0x00008878, 0x00000000, 0x88aac5a9, 0x1cf2fd10, 0x3076e67e,
      0x0ffafd0d, 0x88aac5a9, 0x1cf2fd10, 0x3076e67e, 0x0ffafd0d],
     [0x00006130, 0x00000000, 0xb8ad873f, 0x1f42ff0e, 0x4cb6c747,
      0x1f43070e, 0xb4ad673a, 0x1f43144e, 0x00000000, 0x00000000],
     [0x0000887a, 0x00000000, 0xecaac60f, 0x1cf2fd0e, 0x308ea67e,
      0x156af94d, 0xc08ea69a, 0x156af94c, 0x00000000, 0x00000000],
     [0x00006132, 0x00000000, 0x00000000, 0x00000000, 0x50b6a745,
      0x1f43054e, 0x3cb7673f, 0x1f4307ce, 0xdcb2472d, 0x1f43048e],
     [0x00006133, 0x00000000, 0x44af2738, 0x1f4312ce, 0xf8b0674b,
      0x1f4304cd, 0x60ad072d, 0x1f43018e, 0x50b9073b, 0x1f42ff4f],
     [0x0000887d, 0x00000000, 0x84a985a8, 0x1cf2ff90, 0x309b467e,
      0x182af5cd, 0x00aac6cb, 0x1cf2fd0c, 0x88aac5aa, 0x1cf2fd10],
     [0x0000887e, 0x00000000, 0x88aa25aa, 0x1cf2fbd0, 0x88ac45aa,
      0x1cf2fa10, 0x88aac5aa, 0x1cf2fd10, 0x88aac5aa, 0x1cf2fd10],
     [0x0000887f, 0x00000000, 0x88ad85aa, 0x1cf2f790, 0x84aac5a9,
      0x1cf2fd10, 0x84aac5a9, 0x1cf2fd10, 0x84afc5a9, 0x1cf2f310],
     [0x00008880, 0x00000000, 0xa084467e, 0x1182ee8f, 0x647106e0,
      0x0e7afccf, 0x74796684, 0x0ebaf80f, 0xa07b667e, 0x1183004f],
     [0x00008881, 0x00000000, 0xb87b66ef, 0x1182ffcd, 0x6497862f,
      0x17d2fa8e, 0xa091a68a, 0x16dafdcf, 0x7091e67e, 0x16dafdcf],
     [0x00008882, 0x00000000, 0x348ca5fb, 0x156afd0f, 0x2c8ca67e,
      0x156afd0d, 0x547345b3, 0x0f32fe10, 0x348ca5fb, 0x156afd0f],
     [0x00008883, 0x00000000, 0x2c8ca67e, 0x156afd0d, 0x547345b3,
      0x0f32fe10, 0xa07b2668, 0x110afd0f, 0x94b506e3, 0x1f42fb0b],
     [0x00008884, 0x00000000, 0x94b506e3, 0x1f42fb0b, 0x94a986e3,
      0x1c92fc8b, 0x108c2506, 0x156afe13, 0x448e25de, 0x156afa0e],
     [0x00008885, 0x00000000, 0xfc8e06cd, 0x156afa0e, 0x287a46ae,
      0x105af98c, 0x1470e583, 0x0d62f451, 0x2477a5bf, 0x105afed0],
     [0x00008886, 0x00000000, 0x7465456b, 0x0af2f811, 0x7465456b,
      0x0af2f811, 0x94b6e7b5, 0x1d030a0b, 0x94b6e7b5, 0x1d030a0b],
     [0x00008887, 0x00000000, 0x94b6e7b5, 0x1d030a0b, 0xa08ee596,
      0x156af84f, 0xa0a94596, 0x1cf2ff8f, 0xa08dc630, 0x156afa8f],
     [0x00008888, 0x00000000, 0xa08ee60b, 0x156af3cf, 0x808ec60b,
      0x156af38e, 0x749025ef, 0x156afc0f, 0xac53469a, 0x0853070c],
     [0x00006140, 0x00000000, 0xb8ab8734, 0x1f43078e, 0x00000000,
      0x00000000, 0xa8a6a71e, 0x1f43160e, 0x00000000, 0x00000000],
     [0x0000888a, 0x00000000, 0x2c882600, 0x1362f5cf, 0x24860600,
      0x1362fa0f, 0x24860600, 0x1362fa0f, 0xa08e6720, 0x0e5af60a],
     [0x0000888b, 0x00000000, 0xa0aca720, 0x15eaf60a, 0xa0cae720,
      0x1d7af60a, 0xa08e6720, 0x0f9af60a, 0xa0aca720, 0x172af60a],
     [0x0000888c, 0x00000000, 0xa0cac720, 0x1eb2f60a, 0xa08e6720,
      0x0f9af60a, 0xa08e6720, 0x0f9af60a, 0xa08e6720, 0x0f9af60a],
     [0x00006144, 0x00000000, 0x00000000, 0x00000000, 0xa4ab4737,
      0x1f4303ce, 0x18ac6722, 0x1f43154f, 0x5cabe72d, 0x1f4316ce],
     [0x00006145, 0x00000000, 0x78a7873a, 0x1f43158e, 0x6caaa73f,
      0x1f43108e, 0xfca8e729, 0x1f43090e, 0x1caf273c, 0x1f43034f],
     [0x0000888f, 0x00000000, 0xf08e2552, 0x156afa11, 0xf08e2552,
      0x156afa11, 0x088e2585, 0x156afa11, 0x3c8e25bb, 0x156afa50],
     [0x00006147, 0x00000000, 0xc4b6a727, 0x1f430cce, 0x7cb4472b,
      0x1f4314ce, 0xfcb10734, 0x1f430ace, 0x50ad672f, 0x1f43094f],
     [0x00008891, 0x00000000, 0x148e25ef, 0x156afa0f, 0x348e25fc,
      0x156afa0f, 0xf48e2644, 0x156af9cd, 0x788e266f, 0x156afa0c],
     [0x00008892, 0x00000000, 0x048e25c3, 0x156afa10, 0xdc8e260d,
      0x156afa0e, 0xec8e2610, 0x156afa0e, 0x388e45fc, 0x156afa0f],
     [0x00008893, 0x00000000, 0x348e25fc, 0x156afa0f, 0xc08e25da,
      0x156afa0f, 0x2c8e25bf, 0x156afa10, 0x808e25bf, 0x156afa11],
     [0x00008894, 0x00000000, 0x808e264b, 0x156afa11, 0xf88e264b,
      0x156afa0d, 0xfc8e264b, 0x156afa0d, 0xf88e264b, 0x156afa0d],
     [0x00008895, 0x00000000, 0x049f8589, 0x19c2fa11, 0x049f8589,
      0x19c2fa11, 0x088e2588, 0x156afa11, 0x808e26d8, 0x156afa11],
     [0x00008896, 0x00000000, 0x808e26c1, 0x156afa11, 0x808e273d,
      0x156afa11, 0x808e273d, 0x156afa11, 0x808e26dc, 0x156afa11],
     [0x00008897, 0x00000000, 0x808e273d, 0x156afa11, 0x8093471f,
      0x156aefd1, 0x808e26a7, 0x156afa11, 0x808e2747, 0x156afa11],
     [0x00008898, 0x00000000, 0x308e267e, 0x156afa0d, 0x108e25c6,
      0x156afa10, 0x308e267e, 0x156afa0d, 0x088e2608, 0x156afa0f],
     [0x00008899, 0x00000000, 0x048d2649, 0x156afe0e, 0x048d2649,
      0x156afe0e, 0x548c46b6, 0x156afc4c, 0x548c46b6, 0x156afc4c],
     [0x0000889a, 0x00000000, 0x908c26d2, 0x156afc0b, 0x908c26d2,
      0x156afc0b, 0x38b005fc, 0x1d2af44f, 0x38b005fc, 0x1d2af44f],
     [0x0000889b, 0x00000000, 0x206e26c2, 0x0e93034c, 0x988e2624,
      0x156afa0e, 0x308c267e, 0x156afc0d, 0x308c267e, 0x156afc0d],
     [0x0000889c, 0x00000000, 0x0c8c26c2, 0x156afc0c, 0x0c8c46c2,
      0x156afc0c, 0x108e2680, 0x156afa0d, 0x108e2680, 0x156afa0d],
     [0x00006154, 0x00000000, 0x00000000, 0x00000000, 0xb4a6273f,
      0x1f43180e, 0x00000000, 0x00000000, 0x10a7c73c, 0x1f4317cf],
     [0x00006155, 0x00000000, 0x08b7a730, 0x1f43064f, 0x00a82730,
      0x1f43018f, 0x4cb0874a, 0x1f430e4e, 0x1cb5e724, 0x1f43038f],
     [0x00006156, 0x00000000, 0x90b3a745, 0x1f430a0e, 0xc8b1e748,
      0x1f430e0e, 0xe4b2c74a, 0x1f42ff8d, 0xacaec730, 0x1f4301ce],
     [0x00006157, 0x00000000, 0x00000000, 0x00000000, 0xf4b1c730,
      0x1f43120e, 0xbcaec73a, 0x1f430cce, 0x00000000, 0x00000000],
     [0x000088a1, 0x00000000, 0x308c667e, 0x156afe4d, 0x308c667e,
      0x156afe4d, 0x048c2647, 0x156afe0e, 0x048c2647, 0x156afe0e],
     [0x000088a2, 0x00000000, 0x0c8c26c2, 0x156afe0c, 0x0c8c26c2,
      0x156afe0c, 0x408c265b, 0x156afe0c, 0x408c265b, 0x156afe0c],
     [0x000088a3, 0x00000000, 0x24860600, 0x1362fa0f, 0x24860600,
      0x1362fa0f, 0x24860600, 0x1362fa0f, 0x3c8c25fb, 0x156afe0f],
     [0x000088a4, 0x00000000, 0x3c8c25fb, 0x156afe0f, 0x048c2647,
      0x156afe0e, 0x048c2647, 0x156afe0e, 0x24860600, 0x1362fa0f],
     [0x000088a5, 0x00000000, 0x24860600, 0x1362fa0f, 0xc4a18657,
      0x1a52fa8d, 0xc4a18657, 0x1a52fa8d, 0xc4a18657, 0x1a52fa8d],
     [0x000088a6, 0x00000000, 0xc4a18657, 0x1a52fa8d, 0x6497862f,
      0x17d2fa8e, 0xc4a18657, 0x1a52fa8d, 0xc4a18657, 0x1a52fa8d],
     [0x000088a7, 0x00000000, 0xc4a18657, 0x1a52fa8d, 0xc4a18657,
      0x1a52fa8d, 0x28aaa67e, 0x1c72f94d, 0x28aaa67e, 0x1c72f94d],
     [0x000088a8, 0x00000000, 0x28aaa67e, 0x1c72f94d, 0x2caaa67e,
      0x1c72f94d, 0xa08c267e, 0x156afe0f, 0xa08c267e, 0x156afe0f],
     [0x00006160, 0x00000000, 0x54b3272d, 0x1f43114f, 0xf4af272c,
      0x1f430b8e, 0xf4b3c73f, 0x1f43098e, 0x1ca8872d, 0x1f430e8f],
     [0x000088aa, 0x00000000, 0xa08c267e, 0x156afe0f, 0xa0a4467e,
      0x1ae2fc4f, 0xa0a4667e, 0x1ae2f94f, 0xa0a4467e, 0x1ae2fc4f],
     [0x000088ab, 0x00000000, 0xa098e67e, 0x1892f04f, 0xa098e67e,
      0x1892f04f, 0xa0b1c67e, 0x1e42f04f, 0xa0b1c67e, 0x1e42f04f],
     [0x000088ac, 0x00000000, 0xec8c260f, 0x156afe0e, 0xec8c260f,
      0x156afe0e, 0x3c8d65fb, 0x156af40f, 0x3c9125fb, 0x156afb8f],
     [0x000088ad, 0x00000000, 0x048d6647, 0x156af40e, 0x04912647,
      0x156afb8e, 0x3cc7657b, 0x23cafa91, 0x3cc7657b, 0x23cafa91],
     [0x000088ae, 0x00000000, 0x3ca2657b, 0x1a8afa91, 0xfc8e060b,
      0x156afa0e, 0x507145aa, 0x0f03008c, 0x74884600, 0x1362f60d],
     [0x000088af, 0x00000000, 0x2c88466e, 0x1362f60f, 0x2c88466e,
      0x1362f60f, 0xa08dc630, 0x156afa8f, 0x28aaa67e, 0x1c7af94d],
     [0x000088b0, 0x00000000, 0x94ab46e3, 0x1ce2fb8b, 0x94ab46e3,
      0x1ce2fb8b, 0xa8a646f2, 0x1ce3058b, 0x80a646e8, 0x1ce3058b],
     [0x000088b1, 0x00000000, 0xe07ca5d0, 0x105af48f, 0xa457e521,
      0x08f302d2, 0x6c91a63d, 0x15e2f6cf, 0x088dc609, 0x156afacf],
     [0x000088b2, 0x00000000, 0x609d062e, 0x1952fb8e, 0x6098062e,
      0x1953054e, 0x6098062e, 0x1953054e, 0x609a862e, 0x1953008e],
     [0x000088b3, 0x00000000, 0x609a862e, 0x1953008e, 0x7c8e25a5,
      0x156afa10, 0x3c8325fc, 0x1222f5cf, 0x3c8325fc, 0x1222f5cf],
     [0x000088b4, 0x00000000, 0x3c8c25fb, 0x156afe0f, 0x3c8c25fb,
      0x156afe0f, 0x24860600, 0x1362fa0f, 0x24860600, 0x1362fa0f],
     [0x000088b5, 0x00000000, 0x2486065f, 0x1362fa0f, 0xac8e269a,
      0x156afa0c, 0x408c25fe, 0x156afc0f, 0x408c25fe, 0x156afc0f],
     [0x000088b6, 0x00000000, 0x40d825fe, 0x27d2f94f, 0x40d825fe,
      0x27d2f94f, 0x908c2726, 0x156afc0a, 0x908c2726, 0x156afc0a],
     [0x000088b7, 0x00000000, 0x048c2647, 0x156afe0e, 0x048c2647,
      0x156afe0e, 0xbc8c265b, 0x156afe0d, 0xbc8c265b, 0x156afe0d],
     [0x000088b8, 0x00000000, 0x0c8c26c2, 0x156afe0c, 0x0c8c26c2,
      0x156afe0c, 0x0c8c46c2, 0x156afe4c, 0x0c8c46c2, 0x156afe4c],
     [0x000088b9, 0x00000000, 0x408c265b, 0x156afe0c, 0x408c265b,
      0x156afe0c, 0x448e2685, 0x156afa0b, 0x448e2685, 0x156afa0b],
     [0x000088ba, 0x00000000, 0x448e2686, 0x156afa0b, 0x448e2686,
      0x156afa0b, 0x3087267e, 0x13daf40d, 0x308ae67e, 0x13dafb8d],
     [0x000088bb, 0x00000000, 0x0c8726c2, 0x13daf40c, 0x0c8ae6c2,
      0x13dafb8c, 0x00666646, 0x0ffb1e0e, 0x94a4c524, 0x1cf30912],
     [0x000088bc, 0x00000000, 0x589a05f0, 0x1cf31e8f, 0x589a05f0,
      0x1cf31e8f, 0x349de5fb, 0x19bafbcf, 0x348ca5fb, 0x156afd0f],
     [0x000088bd, 0x00000000, 0x547305b3, 0x0f32fd90, 0x348ca6b4,
      0x156afd0f, 0x348ca695, 0x156afd0f, 0x5473064d, 0x0f32fd90],
     [0x000088be, 0x00000000, 0xd08ca5fc, 0x156afd0c, 0x348ca5fb,
      0x156afd4f, 0x349de5fb, 0x19bafbcf, 0x348c85fb, 0x156afccf],
     [0x000088bf, 0x00000000, 0x547305b3, 0x0f32fd90, 0x348cc695,
      0x156afd4f, 0x5473a64d, 0x0f32fed0, 0x28aaa67e, 0x1c72f94d],
     [0x000088c0, 0x00000000, 0xd88725cf, 0x12f2f44f, 0x00000000,
      0x00000000, 0xa0ab66ee, 0x1cf2fbcf, 0x00000000, 0x00000000],
     [0x000088c1, 0x00000000, 0x00000000, 0x00000000, 0xa0860629,
      0x1362fa0f, 0xa08606c0, 0x1362fa0f, 0x00000000, 0x00000000],
     [0x000088c2, 0x00000000, 0x4c7666b1, 0x0eab1d0c, 0x4c6246b1,
      0x0eaaf4cc, 0x4c7666b1, 0x0eab1d0c, 0x4c6246b1, 0x0eaaf4cc],
     [0x000088c3, 0x00000000, 0x4472048e, 0x0e7afb0c, 0x4472048e,
      0x0e7afb0c, 0x5c720754, 0x0e7afb17, 0x5c720754, 0x0e7afb17],
     [0x000088c4, 0x00000000, 0x6c838571, 0x12c2fa11, 0xa476a59f,
      0x105b00d0, 0xa0978533, 0x17d2fa8f, 0xa0978533, 0x17d2fa8f],
     [0x000088c5, 0x00000000, 0x00000000, 0x00000000, 0xaca2062e,
      0x1a7af48c, 0xc8c166d4, 0x2262fb4b, 0xccc166d5, 0x2262fb4b],
     [0x000088c6, 0x00000000, 0x30ab667e, 0x1cf2fbcd, 0x6c838571,
      0x12c2fa11, 0x8c8c4687, 0x156afe0e, 0x00000000, 0x00000000],
     [0x000088c7, 0x00000000, 0x0471e67e, 0x0e7afad4, 0x0471e67e,
      0x0e7afad4, 0x3c71e48c, 0x0e7afacc, 0x3c72048c, 0x0e7afb0c],
     [0x000088c8, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xecb72550, 0x1fdafb91, 0xecb72550, 0x1fdafb91],
     [0x00006180, 0x00000000, 0xf0ab4740, 0x1f43038d, 0x2caec737,
      0x1f430e4e, 0x94b0e739, 0x1f43034d, 0x00000000, 0x00000000],
     [0x000088ca, 0x00000000, 0x00000000, 0x00000000, 0x4c6866b1,
      0x0c83014c, 0x4c66e6b1, 0x0c82fe4c, 0x00000000, 0x00000000],
     [0x000088cb, 0x00000000, 0xb8a7e69c, 0x1cf302cc, 0x40b2e638,
      0x1ed2fbce, 0x708645aa, 0x1382e98d, 0x00000000, 0x00000000],
     [0x000088cc, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xc0a3a61a, 0x1bcb020e, 0x00000000, 0x00000000],
     [0x000088cd, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x30a7a6d7, 0x1cf3034d, 0x00000000, 0x00000000],
     [0x00006185, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xecac472b, 0x1f43170e, 0x6cb2273a, 0x1f43120e],
     [0x000088cf, 0x00000000, 0x00000000, 0x00000000, 0xd4a5c693,
      0x1c73030c, 0x00000000, 0x00000000, 0xe08c66a7, 0x155afd0c],
     [0x000088d0, 0x00000000, 0xe08c66a7, 0x155afd0c, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006188, 0x00000000, 0x98ad4737, 0x1f430b0e, 0x90af472f,
      0x1f430d4e, 0x5cb4073f, 0x1f42ff0e, 0x74afc72d, 0x1f43050e],
     [0x00006189, 0x00000000, 0x58afc72f, 0x1f430ace, 0xccb6c724,
      0x1f43050e, 0x00aa8722, 0x1f431a8f, 0xb4ada73b, 0x1f4301ce],
     [0x0000618a, 0x00000000, 0x00000000, 0x00000000, 0x24b08745,
      0x1f43044e, 0x40a90741, 0x1f43090e, 0x00000000, 0x00000000],
     [0x000088d4, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xe09ae6d7, 0x18d2fbcc],
     [0x0000618c, 0x00000000, 0x28b12735, 0x1f43028f, 0x84ab0735,
      0x1f4307ce, 0xb8aa473d, 0x1f431a8e, 0x64b2a73a, 0x1f42fc4e],
     [0x0000618d, 0x00000000, 0x74a9e748, 0x1f43198e, 0x60b2a732,
      0x1f42fa8e, 0x28b5e73c, 0x1f430c4f, 0x00000000, 0x00000000],
     [0x0000618e, 0x00000000, 0xacaae739, 0x1f4312ce, 0x34b8873b,
      0x1f43070e, 0xa8b2473d, 0x1f43078e, 0x40b20748, 0x1f43080e],
     [0x0000618f, 0x00000000, 0x5cacc738, 0x1f42ff4e, 0x00000000,
      0x00000000, 0x34b8873b, 0x1f43040e, 0x7caee734, 0x1f430d4e],
     [0x00006190, 0x00000000, 0x6cb3073f, 0x1f43058e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x70afc73f, 0x1f430b8e],
     [0x00006191, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xbca2c741, 0x1f430dce, 0x88af473f, 0x1f43100e],
     [0x00006192, 0x00000000, 0xc4aec731, 0x1f430b4e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x90b2c740, 0x1f430d0e],
     [0x00006193, 0x00000000, 0x88af872d, 0x1f431a0e, 0xc8afa701,
      0x1f430c0e, 0xe8b36731, 0x1f42fb0e, 0xeca5e722, 0x1f43014e],
     [0x00006194, 0x00000000, 0xb8ace72b, 0x1f42fb8e, 0x94aca716,
      0x1f43014f, 0xd0af471c, 0x1f42fa8e, 0x84b7270e, 0x1f43014f],
     [0x00006195, 0x00000000, 0x50b30737, 0x1f43004e, 0x78b5c740,
      0x1f42fb8e, 0x94aa0739, 0x1f43024e, 0x00000000, 0x00000000],
     [0x00006196, 0x00000000, 0x00000000, 0x00000000, 0x20a9a729,
      0x1f43050f, 0x44a90731, 0x1f43004f, 0xb8ac672e, 0x1f42ff4e],
     [0x00006197, 0x00000000, 0x58b24739, 0x1f42ff4e, 0x00000000,
      0x00000000, 0x48ae0744, 0x1f42fb8e, 0x70b66731, 0x1f42fc4f],
     [0x00006198, 0x00000000, 0x00000000, 0x00000000, 0xbca8673a,
      0x1f42ff4e, 0x30b8470a, 0x1f42fe0f, 0x3cb646e7, 0x1f42fe4f],
     [0x00006199, 0x00000000, 0x40b646f9, 0x1f42f84f, 0x30af26fb,
      0x1f42fa4f, 0x00000000, 0x00000000, 0xe4b4a731, 0x1f42f94e],
     [0x0000619a, 0x00000000, 0x4cafa712, 0x1f42fa8f, 0x58b6a6fa,
      0x1f43048f, 0x1cb7e710, 0x1f42f74f, 0x8ca466f9, 0x1f4314cf],
     [0x000088e4, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x80a7a56a, 0x1c8b0351],
     [0x0000619c, 0x00000000, 0x5cb506d2, 0x1f42fd4f, 0x44b666e5,
      0x1f430d8f, 0x00000000, 0x00000000, 0xa8b046ff, 0x1f42fd4e],
     [0x0000fec1, 0x00000000, 0xa0a4069b, 0x1a0af1cf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000619e, 0x00000000, 0x00000000, 0x00000000, 0x2cb546de,
      0x1f430490, 0x8cb3c719, 0x1f42f4cf, 0x54b2a6f6, 0x1f42fd90],
     [0x0000619f, 0x00000000, 0x5cb706fe, 0x1f42fd4f, 0x34a7a6f7,
      0x1f431c0f, 0x60ac66de, 0x1f42fe4f, 0x24a986ef, 0x1f43134f],
     [0x000061a0, 0x00000000, 0x20b0e704, 0x1f42fd90, 0xdcb786e2,
      0x1f42fc50, 0x5cae06e1, 0x1f42fd4f, 0x00000000, 0x00000000],
     [0x000061a1, 0x00000000, 0x00000000, 0x00000000, 0xccb66701,
      0x1f42f94f, 0x10b6e6d5, 0x1f42fd50, 0xc0b2a6e1, 0x1f42fc4f],
     [0x000061a2, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x2cb8c6eb, 0x1f42fe50, 0xb0aac6f8, 0x1f42fd4f],
     [0x000061a3, 0x00000000, 0x3cb56734, 0x1f42fa0e, 0x68b246c2,
      0x1f42fb10, 0x84ab66ed, 0x1f430810, 0x00000000, 0x00000000],
     [0x000061a4, 0x00000000, 0xe0ab0706, 0x1f42fc0e, 0x9cb48724,
      0x1f42fd0f, 0x00000000, 0x00000000, 0xccaba726, 0x1f42f7ce],
     [0x000061a5, 0x00000000, 0x70b526e5, 0x1f43004f, 0xf8b4e702,
      0x1f42fb8e, 0xdcb506d6, 0x1f42fe4f, 0x78b246d0, 0x1f42ff4f],
     [0x000061a6, 0x00000000, 0x80b026ef, 0x1f4301cf, 0x54b5c711,
      0x1f42fe4f, 0x8cae66f9, 0x1f42f98e, 0x00000000, 0x00000000],
     [0x000061a7, 0x00000000, 0xd0b6e6f1, 0x1f42fe4e, 0x78b1c6c7,
      0x1f430050, 0xf8b64700, 0x1f42ff0e, 0x00000000, 0x00000000],
     [0x000061a8, 0x00000000, 0x00000000, 0x00000000, 0x40b766e1,
      0x1f42fc0f, 0x48b5c6e0, 0x1f42fb8f, 0x5cb906f1, 0x1f42fbd0],
     [0x000061a9, 0x00000000, 0xf4b7e718, 0x1f4309ce, 0xfcb5a6d3,
      0x1f43030f, 0x00000000, 0x00000000, 0x60b72712, 0x1f42fc4e],
     [0x000061aa, 0x00000000, 0x90b446f3, 0x1f42fe4f, 0xa4afe70a,
      0x1f43078e, 0x5cb5872c, 0x1f42fd0e, 0x8cb62736, 0x1f42f88f],
     [0x000061ab, 0x00000000, 0x88b566f9, 0x1f42ffcf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x74b6a6f2, 0x1f42fa10],
     [0x000061ac, 0x00000000, 0xdcaf26d9, 0x1f42fdcf, 0x58af072c,
      0x1f42f64e, 0x00000000, 0x00000000, 0xbcb1e6e2, 0x1f42fe0f],
     [0x000061ad, 0x00000000, 0xb8b14706, 0x1f42fd0e, 0x78b58701,
      0x1f42fa4e, 0x68b386e9, 0x1f42fecf, 0x8cb186d9, 0x1f430150],
     [0x000061ae, 0x00000000, 0x5caf46ee, 0x1f42f9ce, 0x14b186ec,
      0x1f42fd4f, 0x38b3c709, 0x1f42fe0f, 0x98af8710, 0x1f4307ce],
     [0x000061af, 0x00000000, 0x0cac6703, 0x1f43050f, 0xf8af86d1,
      0x1f42ff0f, 0x44b5c724, 0x1f43004f, 0x50ab26f2, 0x1f42fe50],
     [0x000061b0, 0x00000000, 0xd8b4e6eb, 0x1f42fccf, 0xe8aca6d2,
      0x1f43020f, 0xc4b4a702, 0x1f42fd0f, 0x2cabc6f6, 0x1f42fc10],
     [0x000061b1, 0x00000000, 0x8cb486f4, 0x1f42f8cf, 0xb8ad66fd,
      0x1f42fd0f, 0x8cb646e2, 0x1f42fd10, 0x84b40704, 0x1f42ff0f],
     [0x000061b2, 0x00000000, 0xf0b34704, 0x1f43004f, 0xc0b72723,
      0x1f42f68e, 0xa4abc705, 0x1f430e4f, 0xc4b7a71a, 0x1f4305ce],
     [0x000061b3, 0x00000000, 0x84b426e5, 0x1f42fb4f, 0xf8ae471a,
      0x1f43088e, 0xb0ab26f1, 0x1f42fb4f, 0x30b4c6d1, 0x1f42fb90],
     [0x000061b4, 0x00000000, 0x78b186e4, 0x1f430110, 0xc8b0e718,
      0x1f43030e, 0x00000000, 0x00000000, 0x64b00728, 0x1f43044e],
     [0x000061b5, 0x00000000, 0x38afa6cb, 0x1f42fa10, 0x00000000,
      0x00000000, 0x60b5a6ef, 0x1f42f9cf, 0x14a3c740, 0x1f431c0f],
     [0x000061b6, 0x00000000, 0x7cb24734, 0x1f42fb0e, 0xf4b5470a,
      0x1f42fbcf, 0x1cad0708, 0x1f42fe0f, 0x9cb5c722, 0x1f42f80e],
     [0x000061b7, 0x00000000, 0x24b72709, 0x1f42f94f, 0x58b6a6da,
      0x1f42ff4f, 0xacb426e5, 0x1f42f50f, 0xacb54700, 0x1f42fccf],
     [0x000061b8, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xe8b2c710, 0x1f42ff0e, 0x8cad270d, 0x1f42f94f],
     [0x000061b9, 0x00000000, 0x8cb686e0, 0x1f42f70f, 0x00000000,
      0x00000000, 0x20b3470c, 0x1f42fe4f, 0x00000000, 0x00000000],
     [0x000061ba, 0x00000000, 0x08b106c3, 0x1f42ff50, 0xc8b3e713,
      0x1f43080e, 0x88a6070d, 0x1f43050e, 0x80b3271f, 0x1f42f98f],
     [0x000061bb, 0x00000000, 0x68b5273c, 0x1f42f74e, 0x44b266d6,
      0x1f42f950, 0xb4ad6715, 0x1f430f4e, 0x0cb56711, 0x1f42fa10],
     [0x000061bc, 0x00000000, 0xd4aea72a, 0x1f43080e, 0x38b5c703,
      0x1f42fd50, 0xd8b64704, 0x1f42fb4f, 0xa4af66f2, 0x1f43004f],
     [0x000061bd, 0x00000000, 0xf8b566fb, 0x1f42fb4e, 0x78b3c6cb,
      0x1f42f9cf, 0xdcb186fe, 0x1f42fb0e, 0xe4b72703, 0x1f42f8ce],
     [0x000061be, 0x00000000, 0xecae670e, 0x1f43000e, 0x54aa66ed,
      0x1f42f94f, 0x10b7a70f, 0x1f42fed0, 0x98b86701, 0x1f42f8cf],
     [0x000061bf, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xf4b6c731, 0x1f42f98e, 0x00000000, 0x00000000],
     [0x000061c0, 0x00000000, 0xb8a90733, 0x1f430f8e, 0x24b686f8,
      0x1f42fa0f, 0x4cb90736, 0x1f42f80e, 0xf0b7672a, 0x1f42fb8e],
     [0x000061c1, 0x00000000, 0xe8b7e6d3, 0x1f42f74e, 0x34af26fe,
      0x1f42f94f, 0x78b74700, 0x1f42fb0f, 0xa0ab8716, 0x1f43028e],
     [0x000061c2, 0x00000000, 0x24b5e6da, 0x1f430010, 0xa0b36722,
      0x1f42fa0e, 0xf8ab8700, 0x1f42face, 0xe8b64725, 0x1f42f74e],
     [0x000061c3, 0x00000000, 0x60b3c6e8, 0x1f42f8cf, 0x10b86703,
      0x1f42f64f, 0xf4a986df, 0x1f42fd0e, 0x00000000, 0x00000000],
     [0x000061c4, 0x00000000, 0x00000000, 0x00000000, 0x08b4073f,
      0x1f43088f, 0xe8b706de, 0x1f42f64f, 0x1cb686da, 0x1f42f950],
     [0x000061c5, 0x00000000, 0x00000000, 0x00000000, 0x88b6e705,
      0x1f42f8cf, 0x00000000, 0x00000000, 0xccace6de, 0x1f42ff4f],
     [0x000061c6, 0x00000000, 0xe0b286d6, 0x1f42f88f, 0x0cb9c6f3,
      0x1f42f80f, 0xd0aae73c, 0x1f430d8e, 0x68b106e5, 0x1f42f7cf],
     [0x000061c7, 0x00000000, 0xb8ac4736, 0x1f43174e, 0x00000000,
      0x00000000, 0xecb86713, 0x1f42f6ce, 0x00000000, 0x00000000],
     [0x000061c8, 0x00000000, 0xe8af66de, 0x1f42f94f, 0xf4b4873b,
      0x1f42fb0e, 0xb8b446d9, 0x1f42fd4f, 0x14b6c71f, 0x1f42f8cf],
     [0x000061c9, 0x00000000, 0xc4ada70f, 0x1f43030e, 0x8cb2a70f,
      0x1f42f90e, 0x70b766fc, 0x1f42f68f, 0x98b6470e, 0x1f42f80f],
     [0x000061ca, 0x00000000, 0x40b7e72a, 0x1f42facf, 0x2cab26fa,
      0x1f42f58f, 0x24b00717, 0x1f42fe0f, 0x00000000, 0x00000000],
     [0x000061cb, 0x00000000, 0x58b3c6ba, 0x1f42fad0, 0x50b346e6,
      0x1f42fb0f, 0x00b4e713, 0x1f42fb4f, 0x00000000, 0x00000000],
     [0x000061cc, 0x00000000, 0xb0a9a71d, 0x1f430d0e, 0xa8b1e723,
      0x1f42f74e, 0x4cb7270c, 0x1f42f80f, 0xbcb4e731, 0x1f42f74e],
     [0x000061cd, 0x00000000, 0xf4afc704, 0x1f42fa8e, 0xf8b12706,
      0x1f42f74e, 0x00000000, 0x00000000, 0xfcb84728, 0x1f42f74e],
     [0x000061ce, 0x00000000, 0xc4b286f6, 0x1f430e4e, 0x00000000,
      0x00000000, 0x70b766e9, 0x1f42f50f, 0x60b48738, 0x1f42f88e],
     [0x00008918, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x000061d0, 0x00000000, 0x8cb6472a, 0x1f42fcce, 0xf0ace71f,
      0x1f43134e, 0x10baa6e2, 0x1f42f550, 0xdcb706e5, 0x1f42fbcf],
     [0x000061d1, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xe8af070c, 0x1f42ff4e, 0xc4b466e6, 0x1f42fd0f],
     [0x000061d2, 0x00000000, 0xe8aee6fd, 0x1f42fa8f, 0xacb46722,
      0x1f42fa0e, 0x00000000, 0x00000000, 0x60b60718, 0x1f42f90f],
     [0x000061d3, 0x00000000, 0x6cb58720, 0x1f42f70e, 0xfcb1e6e2,
      0x1f42f84e, 0xf0aec709, 0x1f42f90e, 0x7cb7a731, 0x1f42f84e],
     [0x000061d4, 0x00000000, 0xe0b0e6bf, 0x1f42fece, 0x94b686f0,
      0x1f42fb8e, 0x58b5e701, 0x1f42fa10, 0xa4b84717, 0x1f42f40e],
     [0x000061d5, 0x00000000, 0x10b566f9, 0x1f42fd0f, 0xacb0e6fb,
      0x1f42f80f, 0x8cb406f3, 0x1f42f74f, 0x88b24719, 0x1f42f70f],
     [0x000061d6, 0x00000000, 0x70b506de, 0x1f42fd0f, 0x08af670e,
      0x1f42f8cf, 0x18b526f8, 0x1f43010f, 0x28b56718, 0x1f42fa4f],
     [0x000061d7, 0x00000000, 0xb0ada71b, 0x1f43014e, 0xf8b82708,
      0x1f43014e, 0x0caf46cf, 0x1f43004f, 0x0cb086ee, 0x1f43020f],
     [0x000061d8, 0x00000000, 0x80b026da, 0x1f42f80f, 0x08b506ee,
      0x1f42fd0f, 0x1caaa6e5, 0x1f4304cf, 0x50b40720, 0x1f42f74f],
     [0x000061d9, 0x00000000, 0x7cb2e70c, 0x1f42fb0f, 0xb0b1c70e,
      0x1f430f8e, 0xa8b786d4, 0x1f42fa0f, 0xe0b8a706, 0x1f42fa0f],
     [0x000061da, 0x00000000, 0x34b2e711, 0x1f43064f, 0xc0b566fd,
      0x1f42f8cf, 0x04b46710, 0x1f42ff0f, 0xe4b30702, 0x1f42f74e],
     [0x000061db, 0x00000000, 0x08b70716, 0x1f42f8cf, 0x98b5c6db,
      0x1f42ff0f, 0xd8b4471f, 0x1f42f70e, 0xfcb5c706, 0x1f42fc4e],
     [0x000061dc, 0x00000000, 0x9cb6a710, 0x1f42fd8f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x68b8871f, 0x1f42f9ce],
     [0x000061dd, 0x00000000, 0x0cab2700, 0x1f42f80f, 0xa8b166ef,
      0x1f43078e, 0xbcb7a721, 0x1f42f7ce, 0x04b1a719, 0x1f42fc0f],
     [0x000061de, 0x00000000, 0x54b126c6, 0x1f42fb4f, 0xe0b8a6ca,
      0x1f43008f, 0x3cb50700, 0x1f42f8cf, 0x28b48707, 0x1f42f8cf],
     [0x000061df, 0x00000000, 0x3cb2070c, 0x1f42fb4f, 0xf0b8a714,
      0x1f42fa4e, 0xecb44717, 0x1f42fa4e, 0x3cb5a6f1, 0x1f42fa0f],
     [0x000061e0, 0x00000000, 0x00000000, 0x00000000, 0x74b5a6b7,
      0x1f42ff8f, 0x4cb00726, 0x1f42f80e, 0x74b6870e, 0x1f42f74e],
     [0x000061e1, 0x00000000, 0xd8af66e8, 0x1f42fdce, 0x78b4e712,
      0x1f4303cf, 0x00000000, 0x00000000, 0x78ae671a, 0x1f43018f],
     [0x000061e2, 0x00000000, 0x54b086bf, 0x1f43004f, 0xccb26709,
      0x1f42fc4e, 0x00000000, 0x00000000, 0x4cb6672d, 0x1f43000f],
     [0x000061e3, 0x00000000, 0x00000000, 0x00000000, 0xf8b266e1,
      0x1f43074f, 0x00000000, 0x00000000, 0x70b726d4, 0x1f43004f],
     [0x000061e4, 0x00000000, 0x5cb3c714, 0x1f43010e, 0x5cb16729,
      0x1f43020f, 0x18b7a70c, 0x1f42fa8f, 0xccb646ff, 0x1f42fe0e],
     [0x000061e5, 0x00000000, 0x84b7c702, 0x1f43010f, 0x00000000,
      0x00000000, 0xb4b8c6e1, 0x1f43004e, 0x0cb4c6f7, 0x1f42fe0f],
     [0x000061e6, 0x00000000, 0xb8b06712, 0x1f43010f, 0x00000000,
      0x00000000, 0xb4a9c730, 0x1f431a4e, 0xfcb0a6fa, 0x1f4302ce],
     [0x000061e7, 0x00000000, 0xb4b6a70b, 0x1f43090e, 0x7cb7470d,
      0x1f43010f, 0x44b1c700, 0x1f42fecf, 0x50b3c6e5, 0x1f42f9cf],
     [0x000061e8, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x84afc72c, 0x1f430c8e, 0xf8b8a6eb, 0x1f42fd0e],
     [0x000061e9, 0x00000000, 0xbcb5c702, 0x1f43058f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000061ea, 0x00000000, 0x6caf470f, 0x1f42fb4f, 0x00000000,
      0x00000000, 0x08ab26ff, 0x1f43014f, 0xc4b6a739, 0x1f42fc0e],
     [0x000061eb, 0x00000000, 0x10b0871f, 0x1f43004f, 0xfcb066fe,
      0x1f42fc8e, 0xacb32709, 0x1f43020e, 0x30b1a71e, 0x1f430dcf],
     [0x000061ec, 0x00000000, 0x20b5c6f7, 0x1f42fa4f, 0x00000000,
      0x00000000, 0x60ace6f6, 0x1f42fb8f, 0xb4b42716, 0x1f42f94f],
     [0x000061ed, 0x00000000, 0x18ac6735, 0x1f431acf, 0xdcb0e6e6,
      0x1f42ff8e, 0x30ab0712, 0x1f43104f, 0xd4ace735, 0x1f42fb8e],
     [0x000061ee, 0x00000000, 0x18abe716, 0x1f43060f, 0xfcb4a6f7,
      0x1f42fa0e, 0xf4ae2712, 0x1f42fd4e, 0xf0b54730, 0x1f42f94e],
     [0x000061ef, 0x00000000, 0x5cb1a704, 0x1f43008f, 0x24b1472a,
      0x1f430f4f, 0x2cb0e70d, 0x1f42fc8f, 0x18aa8718, 0x1f43144f],
     [0x000061f0, 0x00000000, 0x7cb1e732, 0x1f42fdce, 0x00000000,
      0x00000000, 0xf8b0471d, 0x1f42ff8e, 0x28b466f0, 0x1f42fb8f],
     [0x000061f1, 0x00000000, 0x20b18720, 0x1f430b8f, 0x24b246f3,
      0x1f42fc8f, 0xc0b3471c, 0x1f42fbcf, 0x58b2e73a, 0x1f42ff4e],
     [0x000061f2, 0x00000000, 0x5cb166d5, 0x1f42f9cf, 0xd0b746ed,
      0x1f42fa8e, 0x30ab070d, 0x1f43104f, 0xe8b3e709, 0x1f42fecf],
     [0x000061f3, 0x00000000, 0x54b66711, 0x1f42fe4f, 0x00000000,
      0x00000000, 0x14b50705, 0x1f42fb4f, 0x00000000, 0x00000000],
     [0x000061f4, 0x00000000, 0xf8b56746, 0x1f42fa8d, 0x3cb2473c,
      0x1f42f90e, 0xbcb4c73e, 0x1f42f70e, 0x80b82738, 0x1f42f74e],
     [0x000061f5, 0x00000000, 0x1cb446da, 0x1f42fc0f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x58ace738, 0x1f430f0e],
     [0x000061f6, 0x00000000, 0x80b1670f, 0x1f42f58e, 0xa8b20707,
      0x1f42fc4e, 0x00000000, 0x00000000, 0x74b1c705, 0x1f42fdce],
     [0x00008940, 0x00000000, 0xcc98653c, 0x1622eb53, 0x00000000,
      0x00000000, 0xe46f4776, 0x16233d4a, 0x00000000, 0x00000000],
     [0x00008941, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xe46f4776, 0x16233d4a, 0x00000000, 0x00000000],
     [0x000061f9, 0x00000000, 0xd4b266f4, 0x1f42f60e, 0xe0b2e736,
      0x1f42fe4e, 0xc4af271e, 0x1f43014e, 0x74b746e0, 0x1f42face],
     [0x00008943, 0x00000000, 0xe498853c, 0x16233d4a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00008944, 0x00000000, 0xe46f453c, 0x1622eb4a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000061fc, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x24ae2724, 0x1f42fe0f, 0xa4b32721, 0x1f42fa4e],
     [0x00008946, 0x00000000, 0xcc6f4776, 0x1622eb53, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000061fe, 0x00000000, 0x00000000, 0x00000000, 0xb8af6740,
      0x1f4311ce, 0xe0b1a711, 0x1f42fc0e, 0xb0b1c739, 0x1f42fdce],
     [0x000061ff, 0x00000000, 0x28b2c731, 0x1f430d0f, 0x00000000,
      0x00000000, 0xecb26730, 0x1f42fa0e, 0xb4b4a72c, 0x1f4307ce],
     [0x00006200, 0x00000000, 0xfcade6ff, 0x1f42fa4e, 0xb4abe71e,
      0x1f430d0e, 0xbcb2c72f, 0x1f42fb8e, 0xb4b7472a, 0x1f43004e],
     [0x00006201, 0x00000000, 0x00000000, 0x00000000, 0xbcb326f1,
      0x1f42f8cf, 0x60aa074b, 0x1f4319ce, 0x00000000, 0x00000000],
     [0x00006202, 0x00000000, 0x90aea726, 0x1f4302ce, 0xc0b566f9,
      0x1f42face, 0x6cb6c721, 0x1f42f90e, 0xfcae0706, 0x1f42f98e],
     [0x00006203, 0x00000000, 0x7cad66fe, 0x1f43014e, 0xb0b6c6ea,
      0x1f42f60f, 0xc8b60725, 0x1f42f94e, 0x00b7470d, 0x1f42f68f],
     [0x00006204, 0x00000000, 0x5cb72731, 0x1f42fa4e, 0xacb5470c,
      0x1f42fbce, 0x00000000, 0x00000000, 0xbcb8272e, 0x1f42fa4e],
     [0x00006205, 0x00000000, 0x88b7a731, 0x1f42f90e, 0xe0afa6f5,
      0x1f42fa0e, 0x88b7671e, 0x1f42fa0e, 0xa8b14703, 0x1f43004e],
     [0x00006206, 0x00000000, 0x00000000, 0x00000000, 0x0cb26740,
      0x1f42fd4f, 0x00000000, 0x00000000, 0x30b1272f, 0x1f4302cf],
     [0x00006207, 0x00000000, 0xa8b7070a, 0x1f43070e, 0x58b7a6e1,
      0x1f42fdd0, 0x00000000, 0x00000000, 0xd4b88732, 0x1f42fb4e],
     [0x00006208, 0x00000000, 0x10abe702, 0x1f43128f, 0x74b12741,
      0x1f43004e, 0xa0b56739, 0x1f43058e, 0xe0b38702, 0x1f42f40e],
     [0x00006209, 0x00000000, 0xecaba740, 0x1f430a4e, 0x84a72737,
      0x1f4316ce, 0xf4b32736, 0x1f42fd4e, 0x58ae871a, 0x1f4307ce],
     [0x0000620a, 0x00000000, 0xdcaf6726, 0x1f42fe4e, 0x50b086f7,
      0x1f43000f, 0x84ae4735, 0x1f4309ce, 0xc4aae719, 0x1f430f4e],
     [0x00008954, 0x00000000, 0x58986599, 0x1622eb52, 0xe47ae776,
      0x1623264a, 0xe4988599, 0x16233d4a, 0xe498853c, 0x1623264a],
     [0x00008955, 0x00000000, 0xe4986599, 0x1623264a, 0xe46f4599,
      0x1622eb4a, 0xe47ae53c, 0x1622eb4a, 0xe47ae599, 0x1622eb4a],
     [0x0000620d, 0x00000000, 0x00000000, 0x00000000, 0x54ad4735,
      0x1f42f94e, 0xb4b1471f, 0x1f4307ce, 0x7caf6705, 0x1f42fb0e],
     [0x0000620e, 0x00000000, 0x3cb0c72c, 0x1f42fb4e, 0x58aea734,
      0x1f43080e, 0x00000000, 0x00000000, 0xb4a9e734, 0x1f430ece],
     [0x0000620f, 0x00000000, 0x6cb7e72f, 0x1f42f9ce, 0xd8afa71c,
      0x1f43000e, 0x48b3a714, 0x1f42fbce, 0x5cade741, 0x1f43128e],
     [0x00008959, 0x00000000, 0xe4986599, 0x1622eb4a, 0xe498653c,
      0x1622eb4a, 0xe4986599, 0x1622eb4a, 0x58986776, 0x1622eb52],
     [0x00006211, 0x00000000, 0xe0b5a6ef, 0x1f42f6d0, 0xbcb2870d,
      0x1f42f90e, 0x88afa721, 0x1f4305ce, 0x00000000, 0x00000000],
     [0x00006212, 0x00000000, 0x8cb64704, 0x1f42f9ce, 0x00000000,
      0x00000000, 0x50b2c71f, 0x1f42fccf, 0xb8ae6731, 0x1f43150e],
     [0x0000895c, 0x00000000, 0x00000000, 0x00000000, 0xe498e776,
      0x1622ea4a, 0xe498e776, 0x1622ea4a, 0x00000000, 0x00000000],
     [0x00006214, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xc0b7e6ff, 0x1f42f88e, 0xf8b52703, 0x1f42f78e],
     [0x00006215, 0x00000000, 0x04b28711, 0x1f42fa4f, 0x1cb2a71b,
      0x1f42f54f, 0x74b48709, 0x1f42f74f, 0xe4b9872c, 0x1f42f88e],
     [0x00006216, 0x00000000, 0x00000000, 0x00000000, 0x18b7071e,
      0x1f42f64f, 0x2cb4a70f, 0x1f42f48f, 0x28b8672a, 0x1f42fc4f],
     [0x00008960, 0x00000000, 0x60d62776, 0x25eaee14, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00008961, 0x00000000, 0xe4d62517, 0x25eaee0a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006219, 0x00000000, 0x74918703, 0x1f432c4f, 0x08aec6ff,
      0x1f43054f, 0x00000000, 0x00000000, 0x50b7a6f7, 0x1f42f78e],
     [0x00008963, 0x00000000, 0xe48a4776, 0x25e2ee0a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000621b, 0x00000000, 0x4cb1e6f7, 0x1f42fc4f, 0x34b5c70a,
      0x1f42fc8f, 0xd8b2c719, 0x1f43050e, 0x38b5670a, 0x1f42fa8f],
     [0x0000621c, 0x00000000, 0x44b3872b, 0x1f430acf, 0x64b52705,
      0x1f42ff4f, 0x54ab4709, 0x1f42f78f, 0x00000000, 0x00000000],
     [0x0000621d, 0x00000000, 0x64b206ef, 0x1f42fb8f, 0x94ab4715,
      0x1f42fb8f, 0x98b08702, 0x1f42fd8e, 0x68b5c735, 0x1f43000e],
     [0x0000621e, 0x00000000, 0x00000000, 0x00000000, 0x28b4e706,
      0x1f42f78f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000621f, 0x00000000, 0x7cb48706, 0x1f42ff4f, 0x84b26719,
      0x1f42fa8f, 0x58b4a733, 0x1f4302ce, 0x08b76704, 0x1f42f78f],
     [0x00006220, 0x00000000, 0xc8af670d, 0x1f42ff4e, 0x68b4c734,
      0x1f43030e, 0x34b64708, 0x1f42fc8f, 0x58abe71c, 0x1f43080e],
     [0x00006221, 0x00000000, 0x54b44703, 0x1f42fc4f, 0xc4aca730,
      0x1f4313ce, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000896b, 0x00000000, 0x74b945bd, 0x1fe2f78f, 0x74b945bd,
      0x1fe2f78f, 0x307f86bc, 0x1182f80c, 0x307f86bc, 0x1182f80c],
     [0x00006223, 0x00000000, 0x14b0a723, 0x1f430b0f, 0x90b50716,
      0x1f42f58f, 0x30aea706, 0x1f42fa8f, 0x00000000, 0x00000000],
     [0x00006224, 0x00000000, 0x00000000, 0x00000000, 0x88ade6fb,
      0x1f43004f, 0x54b5c70b, 0x1f42f98f, 0x28b52709, 0x1f42fd8f],
     [0x0000896e, 0x00000000, 0xdc8a2614, 0x14a3020e, 0xd88a2613,
      0x14a3020e, 0xd8ad2613, 0x1d12fe4e, 0xd8ad2613, 0x1d12fe4e],
     [0x00006226, 0x00000000, 0x44b26706, 0x1f42fd8f, 0x54aa86fe,
      0x1f43024f, 0xe0b6670c, 0x1f42f88f, 0xe0b2a702, 0x1f42f98f],
     [0x00006227, 0x00000000, 0x08b6c70e, 0x1f42f68f, 0x00000000,
      0x00000000, 0xa8b48735, 0x1f43050e, 0xa4b82706, 0x1f42fe4f],
     [0x00008971, 0x00000000, 0xd8aaa613, 0x1d12f94e, 0xd8aaa613,
      0x1d12f94e, 0xd8bea6d0, 0x2142f7cb, 0xd8bea6d0, 0x2142f7cb],
     [0x00006229, 0x00000000, 0x5cb3c735, 0x1f42fc4e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xf4ad06f6, 0x1f43004e],
     [0x0000622a, 0x00000000, 0xf0b10706, 0x1f42fa8f, 0x00000000,
      0x00000000, 0xa4b0e711, 0x1f42fc8f, 0xc4b7072e, 0x1f42f78f],
     [0x0000622b, 0x00000000, 0xb8b30731, 0x1f42fd8e, 0xb4b2872a,
      0x1f43084e, 0x38b2a709, 0x1f42ffcf, 0x00000000, 0x00000000],
     [0x00008975, 0x00000000, 0xc4a18657, 0x1a52fa8d, 0xc4a18657,
      0x1a52fa8d, 0xe07c4690, 0x1222fe8c, 0xe07ec690, 0x1223038c],
     [0x00008976, 0x00000000, 0x28aaa67e, 0x1c72f94d, 0x28aaa67e,
      0x1c72f94d, 0x90aaa67e, 0x1c72f953, 0x28aaa4e4, 0x1c72f94d],
     [0x00008977, 0x00000000, 0x90776690, 0x1c72f4d3, 0x90ad0690,
      0x1c735fd3, 0xe0ad04e4, 0x1c735fcc, 0xe07764e4, 0x1c72f48c],
     [0x0000622f, 0x00000000, 0x3cb6e713, 0x1f42fb4f, 0xd0b306fa,
      0x1f42f78f, 0xecb5c71e, 0x1f42fb8e, 0x54b7271c, 0x1f42f70f],
     [0x00008979, 0x00000000, 0x28aaa67e, 0x1c7af94d, 0x28aaa67e,
      0x1c7af94d, 0x8c7765a4, 0x105aff90, 0x2caaa67e, 0x1c72f94d],
     [0x0000897a, 0x00000000, 0x2caaa67e, 0x1c72f94d, 0x2caaa67e,
      0x1c72f94d, 0x2caaa67e, 0x1c72f94d, 0x2caaa67e, 0x1c72f94d],
     [0x0000897b, 0x00000000, 0xa4c94713, 0x23caf6cd, 0xa4c94713,
      0x23caf6cd, 0xa4c94713, 0x23caf6cd, 0x38cca6f9, 0x25baff8b],
     [0x0000897c, 0x00000000, 0x28aaa67e, 0x1c72f94d, 0x28aaa67e,
      0x1c72f94d, 0x28aaa67e, 0x1c72f94d, 0x28aaa67e, 0x1c72f94d],
     [0x0000897d, 0x00000000, 0xc4a18657, 0x1a52fa8d, 0xc4a18657,
      0x1a52fa8d, 0xc4a18657, 0x1a52fa8d, 0xc4a18657, 0x1a52fa8d],
     [0x0000897e, 0x00000000, 0x28aaa67e, 0x1c7af94d, 0x28aaa67e,
      0x1c7af94d, 0x28aaa67e, 0x1c7af94d, 0x7096262c, 0x1752f94e],
     [0x0000897f, 0x00000000, 0x7096262c, 0x1752f94e, 0x7084e5e9,
      0x12caf78f, 0x7484e5ea, 0x12caf78f, 0x28aaa67e, 0x1c7af94d],
     [0x00006237, 0x00000000, 0x1cb0c711, 0x1f42ff4f, 0x3cb64725,
      0x1f42fe4e, 0x50b66700, 0x1f42fd8f, 0x50b9a72c, 0x1f430bce],
     [0x00008981, 0x00000000, 0x00000000, 0x00000000, 0x98a3c677,
      0x1b32fd0e, 0x98a3c677, 0x1b32fd0e, 0x00000000, 0x00000000],
     [0x00008982, 0x00000000, 0x00000000, 0x00000000, 0x6497862f,
      0x17d2fa8e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00008983, 0x00000000, 0x9483a662, 0x122afb8d, 0x00000000,
      0x00000000, 0xa0b7668c, 0x1f42f60f, 0x00000000, 0x00000000],
     [0x00008984, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x28aaa67e, 0x1c72f94d, 0x00000000, 0x00000000],
     [0x0001492d, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x5495669a, 0x15baee0f, 0x5495669a, 0x15baee0f],
     [0x000087a0, 0x00000000, 0x74b30762, 0x1d82ef4f, 0x6895468e,
      0x1692f34f, 0x74b30762, 0x1d82ef4f, 0x6895468e, 0x1692f34f],
     [0x000060eb, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x68a5272a, 0x1f4313ce, 0xacb5c735, 0x1f43108e],
     [0x00008988, 0x00000000, 0x00000000, 0x00000000, 0x1483265e,
      0x135aff8f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006240, 0x00000000, 0x00000000, 0x00000000, 0x14b2671f,
      0x1f430f0f, 0xf8b5e711, 0x1f42f68e, 0x00000000, 0x00000000],
     [0x00006241, 0x00000000, 0xfcb64729, 0x1f42f84e, 0x8cb70715,
      0x1f43004e, 0x38b686e7, 0x1f42fc4f, 0xe0b7c722, 0x1f42ff4e],
     [0x00006242, 0x00000000, 0x00000000, 0x00000000, 0x28b546f2,
      0x1f42fa8f, 0xa0adc729, 0x1f42f58f, 0xacb78709, 0x1f42fd4e],
     [0x00011111, 0x00000000, 0x4099e683, 0x186afa8d, 0xa0992675,
      0x1722f78f, 0x78938684, 0x1452fa8f, 0xa0924675, 0x1132f44f],
     [0x00006244, 0x00000000, 0x18afc721, 0x1f42f98f, 0xf8b50709,
      0x1f42fa8e, 0x84aea72e, 0x1f42fc8e, 0xe0b826ff, 0x1f42f98f],
     [0x00011112, 0x00000000, 0x6c9f6675, 0x160afe4f, 0x609d8675,
      0x11fafd0f, 0x60c82675, 0x1ca2fd0f, 0xa0a3c675, 0x18b2f44f],
     [0x00006246, 0x00000000, 0x8caf0741, 0x1f42fc8e, 0x7cb2e6f7,
      0x1f42fb8e, 0xb0b40715, 0x1f42f78e, 0xfcb0e713, 0x1f42f98e],
     [0x00006247, 0x00000000, 0x00000000, 0x00000000, 0x9cb6c70b,
      0x1f42f74e, 0xa4b426f3, 0x1f42f98f, 0xeca94706, 0x1f42f58e],
     [0x00006248, 0x00000000, 0x00000000, 0x00000000, 0xf8b78703,
      0x1f42f78e, 0x84ab471e, 0x1f43074e, 0x0cb7c6fe, 0x1f42fb8f],
     [0x00006249, 0x00000000, 0x00000000, 0x00000000, 0x68b5c723,
      0x1f42f68e, 0x54b666e7, 0x1f42fb8f, 0x74af86fe, 0x1f430d0e],
     [0x0000624a, 0x00000000, 0x00000000, 0x00000000, 0xa8af272a,
      0x1f430e0e, 0x34b38711, 0x1f42fb8f, 0xa4b80704, 0x1f42f4cf],
     [0x0000624b, 0x00000000, 0xdcb526e7, 0x1f42f88e, 0xc0ada735,
      0x1f430a4e, 0xb4b0670f, 0x1f43110e, 0xb8aa6721, 0x1f42f68e],
     [0x0000624c, 0x00000000, 0xb4b20736, 0x1f430b4e, 0xd8ad272d,
      0x1f430c0e, 0x6cb3c730, 0x1f42f88e, 0xf4b306f2, 0x1f42fa8e],
     [0x0000624d, 0x00000000, 0xe0b2a6fd, 0x1f42f78f, 0x4cac671d,
      0x1f42f78f, 0x90b006f3, 0x1f42f68f, 0xf0b5c6f2, 0x1f42f98f],
     [0x0000624e, 0x00000000, 0xf0b5a727, 0x1f42f98e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x88b3a73c, 0x1f43094e],
     [0x0000624f, 0x00000000, 0x48b826f6, 0x1f42f98f, 0x88b4a71d,
      0x1f43074e, 0xfcae06fa, 0x1f42f98e, 0x00000000, 0x00000000],
     [0x000060fd, 0x00000000, 0xecb4a746, 0x1f42fbce, 0x74a60734,
      0x1f43120e, 0x7cb0c735, 0x1f430c0e, 0x5cae8735, 0x1f43080e],
     [0x000060fe, 0x00000000, 0x2cb6a730, 0x1f42fe8f, 0x64b2471c,
      0x1f43134f, 0x1ca4a740, 0x1f43034e, 0x50b6471e, 0x1f43058e],
     [0x0000899b, 0x00000000, 0x00000000, 0x00000000, 0x7869c6e8,
      0x0d52fc4f, 0xcc6a46e8, 0x0d5300cc, 0xcc6ec6e8, 0x0d52f84c],
     [0x00006253, 0x00000000, 0x7cb2e6f3, 0x1f42f78e, 0x68b72739,
      0x1f42f68e, 0x00000000, 0x00000000, 0x18b786ee, 0x1f42f68f],
     [0x00006254, 0x00000000, 0xf0b76731, 0x1f42fc8e, 0x28b66727,
      0x1f42f98e, 0xb4b7a6e1, 0x1f42f48f, 0xd8b94712, 0x1f42f68e],
     [0x00006255, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x60b68721, 0x1f42ff8f, 0x4cb44715, 0x1f42f58e],
     [0x00006256, 0x00000000, 0x54ba670f, 0x1f42f98e, 0x8cb8a707,
      0x1f42f98e, 0x04b6e713, 0x1f42fb8f, 0x84b48746, 0x1f42f58e],
     [0x00006257, 0x00000000, 0x14b1e730, 0x1f42f98f, 0x40b78703,
      0x1f42f98f, 0xa4b62733, 0x1f43054e, 0xc8b80728, 0x1f42face],
     [0x00006258, 0x00000000, 0x30b2c729, 0x1f42fa8f, 0x90b086ee,
      0x1f42f58e, 0xa8b1a718, 0x1f42f98e, 0xdcb42744, 0x1f42fb8e],
     [0x00006259, 0x00000000, 0x74b346f6, 0x1f42f7cf, 0x00000000,
      0x00000000, 0xfcb426fa, 0x1f42fc8e, 0x00000000, 0x00000000],
     [0x0000625a, 0x00000000, 0x00000000, 0x00000000, 0x94afa735,
      0x1f42ff4e, 0x54b46711, 0x1f42f98e, 0xa8b3c70b, 0x1f42fd8f],
     [0x0000625b, 0x00000000, 0x94b3a704, 0x1f42f98f, 0x28aec72e,
      0x1f42f98f, 0xccb7a6fa, 0x1f42fe8e, 0x7cb76702, 0x1f42f4cf],
     [0x0000625c, 0x00000000, 0x00000000, 0x00000000, 0x58b446fe,
      0x1f42f88f, 0x84af8730, 0x1f4309ce, 0xbcb56710, 0x1f42f48e],
     [0x0000625d, 0x00000000, 0x98af0709, 0x1f42f8ce, 0x00000000,
      0x00000000, 0xa4b326fb, 0x1f42f68e, 0xc8b74724, 0x1f42f68e],
     [0x0000625e, 0x00000000, 0x00000000, 0x00000000, 0xa0b72711,
      0x1f42f58e, 0xe0ad6714, 0x1f42fa8e, 0x70b4c70d, 0x1f42f88e],
     [0x0000625f, 0x00000000, 0xa8afc719, 0x1f42f78e, 0x00000000,
      0x00000000, 0x88b066e5, 0x1f430e8f, 0xccaec6f3, 0x1f430d4f],
     [0x00006260, 0x00000000, 0x00000000, 0x00000000, 0x0cb6c71a,
      0x1f42facf, 0xd4b3871c, 0x1f43070e, 0x5cae672e, 0x1f43088e],
     [0x00006261, 0x00000000, 0x00000000, 0x00000000, 0x14b446df,
      0x1f42fd0f, 0xa8b40736, 0x1f42fe8e, 0xb4a96708, 0x1f43120e],
     [0x00006262, 0x00000000, 0xb4b22722, 0x1f430c0e, 0x00000000,
      0x00000000, 0x44ada737, 0x1f4309ce, 0x74b4e720, 0x1f43114f],
     [0x00006263, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x3cb6e6fb, 0x1f42fd4f],
     [0x00006264, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x70b58733, 0x1f43108e],
     [0x00006265, 0x00000000, 0x00000000, 0x00000000, 0x40b5e6d9,
      0x1f42f80f, 0x84b906ff, 0x1f42fd8f, 0x6cb7c6f1, 0x1f42ff0f],
     [0x00006266, 0x00000000, 0x90b6a70d, 0x1f4306cf, 0x00000000,
      0x00000000, 0x6cada715, 0x1f43108e, 0x2cb846e0, 0x1f42f74f],
     [0x00006267, 0x00000000, 0xf4b666d3, 0x1f42f78e, 0x58b586e2,
      0x1f4300cf, 0x64b766e2, 0x1f42fdcf, 0x64b806e5, 0x1f42f9cf],
     [0x00006268, 0x00000000, 0x00000000, 0x00000000, 0x48b5e6f9,
      0x1f42f94f, 0x0cb646f9, 0x1f430a8f, 0x84b926ed, 0x1f42fa4f],
     [0x00006269, 0x00000000, 0x3cb706f1, 0x1f42f94f, 0x00000000,
      0x00000000, 0x6cb7a728, 0x1f42fc0f, 0x44ada738, 0x1f4309ce],
     [0x0000626a, 0x00000000, 0x00000000, 0x00000000, 0x74b94722,
      0x1f42f24e, 0x00b9672a, 0x1f43088f, 0x00000000, 0x00000000],
     [0x0000626b, 0x00000000, 0x78b7e726, 0x1f4301cf, 0x08b786b1,
      0x1f43030f, 0xdcad8734, 0x1f4312ce, 0x54b7272f, 0x1f42fbcf],
     [0x0000626c, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00b8473f, 0x1f43008f, 0x90b66712, 0x1f42f84f],
     [0x0000626d, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x6cb78717, 0x1f43070f, 0x24b8a72c, 0x1f42f58f],
     [0x0000626e, 0x00000000, 0x00000000, 0x00000000, 0x98b6a6d0,
      0x1f42f98f, 0x6cb1c721, 0x1f4309ce, 0x00000000, 0x00000000],
     [0x0000626f, 0x00000000, 0x00000000, 0x00000000, 0x44b30732,
      0x1f43148e, 0x2cb7a712, 0x1f42ff0f, 0xb4b72736, 0x1f43020e],
     [0x00006270, 0x00000000, 0xd8b82739, 0x1f42f78e, 0x58b566ed,
      0x1f43114f, 0xbcb646e5, 0x1f43028f, 0x00000000, 0x00000000],
     [0x00006271, 0x00000000, 0xdcb666f7, 0x1f42ff0f, 0x18b1c736,
      0x1f43154f, 0x84b6e6f2, 0x1f42fa8f, 0xacb6270a, 0x1f4304cf],
     [0x00006272, 0x00000000, 0x34aa2726, 0x1f4322cf, 0x34adc715,
      0x1f43108f, 0x2cb6c6fc, 0x1f430e0f, 0x90b5e6ed, 0x1f42fd4f],
     [0x00006273, 0x00000000, 0xbcb5c6fe, 0x1f43008f, 0x00000000,
      0x00000000, 0x94b8271f, 0x1f42fc4f, 0x80b6270d, 0x1f42fb0f],
     [0x00006274, 0x00000000, 0x84b6e70f, 0x1f4303cf, 0x94b6c71d,
      0x1f42f94f, 0x94a1873b, 0x1f430d8e, 0x7cabc70b, 0x1f43030e],
     [0x00006122, 0x00000000, 0xb4ab672e, 0x1f43168e, 0xdcace733,
      0x1f430b4e, 0x00000000, 0x00000000, 0xf4afe73b, 0x1f4302ce],
     [0x00006123, 0x00000000, 0x98ace71a, 0x1f430c8e, 0x80aba73d,
      0x1f430f4e, 0x48b2c737, 0x1f430b4e, 0xccb02734, 0x1f4310ce],
     [0x00006277, 0x00000000, 0x68aa471f, 0x1f43110e, 0x88b52708,
      0x1f42fb4f, 0x50ada70f, 0x1f43020f, 0x00b3e6f2, 0x1f42f94f],
     [0x00006278, 0x00000000, 0x44b64735, 0x1f430a0e, 0x3cb82704,
      0x1f42fe4f, 0x78a8871f, 0x1f430e4e, 0x7cb5673d, 0x1f43030e],
     [0x00006279, 0x00000000, 0xf8b38707, 0x1f42f74e, 0xacb6c713,
      0x1f42ff4f, 0x8cb04719, 0x1f42fc4f, 0x5cb6273b, 0x1f42f8ce],
     [0x0000627a, 0x00000000, 0x2cb6c704, 0x1f42fd4f, 0xe4b16704,
      0x1f42fc4e, 0x00000000, 0x00000000, 0xccb7a72e, 0x1f42fa4e],
     [0x0000627b, 0x00000000, 0x54b90705, 0x1f42ff0f, 0x90b6e705,
      0x1f42fc4e, 0x00000000, 0x00000000, 0x08b06710, 0x1f42ff4f],
     [0x0000627c, 0x00000000, 0x20b5270d, 0x1f42fa4f, 0xa4ac4728,
      0x1f43070e, 0x7caf6717, 0x1f42ff4e, 0x54b74716, 0x1f43004f],
     [0x0000612a, 0x00000000, 0x48b3c745, 0x1f42fb4e, 0x9cb2c738,
      0x1f4305ce, 0x18b36741, 0x1f430c8e, 0xb4ac4739, 0x1f4312ce],
     [0x0000627e, 0x00000000, 0x9cb1670d, 0x1f42fb4e, 0x00000000,
      0x00000000, 0x6caec711, 0x1f43118e, 0xf8b54722, 0x1f42f84e],
     [0x000089c8, 0x00000000, 0x4497c638, 0x17fafb4e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000612d, 0x00000000, 0xb8a7c734, 0x1f43118e, 0x00000000,
      0x00000000, 0xe8b90732, 0x1f430a4e, 0x00000000, 0x00000000],
     [0x00011130, 0x00000000, 0x7491c697, 0x16b2f80f, 0x7485e697,
      0x121afa0f, 0x74b8c5a1, 0x2072fa4f, 0x749625a1, 0x17cafa4f],
     [0x0000612f, 0x00000000, 0x90b6e741, 0x1f43024e, 0x3cae071e,
      0x1f43148f, 0x00000000, 0x00000000, 0x58aa0742, 0x1f4313ce],
     [0x00011131, 0x00000000, 0x00000000, 0x00000000, 0x5c9545a1,
      0x182af3cc, 0x5c9b65a1, 0x1862f58c, 0xa08605a4, 0x1222fa0f],
     [0x000089cd, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xf08ec650, 0x15baf6cd, 0x00000000, 0x00000000],
     [0x00006285, 0x00000000, 0x00000000, 0x00000000, 0xe8b326f8,
      0x1f42f8cf, 0xf8b44728, 0x1f42fd4f, 0x18b9e6fb, 0x1f42fa90],
     [0x00006286, 0x00000000, 0x08b7e6fe, 0x1f430390, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xb4b8c70d, 0x1f42f88f],
     [0x00006134, 0x00000000, 0x64ad6740, 0x1f42fc8e, 0x98ae073b,
      0x1f43074e, 0x4cb2673c, 0x1f4302ce, 0xe8b3673d, 0x1f42f74e],
     [0x00006288, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xe8b106f7, 0x1f42fdce, 0x8cb6c717, 0x1f42f88f],
     [0x00006289, 0x00000000, 0x00000000, 0x00000000, 0x20adc706,
      0x1f42f98f, 0x00000000, 0x00000000, 0x20b2e6f5, 0x1f4300cf],
     [0x0000628a, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x64b4270e, 0x1f42fe4f, 0x00000000, 0x00000000],
     [0x00006138, 0x00000000, 0xaca72723, 0x1f431c4e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x28a84726, 0x1f43050f],
     [0x00006139, 0x00000000, 0x00000000, 0x00000000, 0x58b46720,
      0x1f43060f, 0x80b2c728, 0x1f42ff0e, 0x0caf071e, 0x1f43030f],
     [0x0000613a, 0x00000000, 0xb4b2a71e, 0x1f43030e, 0xecb50738,
      0x1f430a4e, 0xecb30729, 0x1f42ff8e, 0x54b18731, 0x1f43020e],
     [0x0000613b, 0x00000000, 0xe4b1c741, 0x1f43020e, 0x00000000,
      0x00000000, 0x58b24737, 0x1f42fd8e, 0x18ae2724, 0x1f43044f],
     [0x0000613c, 0x00000000, 0xf8b30728, 0x1f43054e, 0x7cae872f,
      0x1f430f8e, 0x6ca92728, 0x1f43160e, 0x84ab6737, 0x1f43130e],
     [0x0000613d, 0x00000000, 0xf0ab0735, 0x1f43120e, 0x00000000,
      0x00000000, 0xd8ae6720, 0x1f43094e, 0x08ab6721, 0x1f43038f],
     [0x0000613e, 0x00000000, 0x00000000, 0x00000000, 0xacad8712,
      0x1f43008e, 0x44af672b, 0x1f43038f, 0xacb3071a, 0x1f43078e],
     [0x0000613f, 0x00000000, 0x60b82746, 0x1f43024e, 0x50b0e73c,
      0x1f430d4e, 0xd0a78732, 0x1f4317ce, 0x84a68738, 0x1f4305ce],
     [0x000089dc, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x4c78c6b7, 0x0f431d0c, 0x4c6406b7, 0x0f42f38c],
     [0x00006141, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x78b56732, 0x1f430e0e, 0xccb5c738, 0x1f430b0e],
     [0x00006142, 0x00000000, 0x70a88736, 0x1f43140e, 0xb0b0272b,
      0x1f4315ce, 0x5cb0c726, 0x1f43068e, 0x20b4e72b, 0x1f43098f],
     [0x00006143, 0x00000000, 0xecb2c728, 0x1f4303ce, 0xe4ad071b,
      0x1f43080e, 0x0cb3671f, 0x1f4306cf, 0x6caa0739, 0x1f431c8e],
     [0x000089e0, 0x00000000, 0x689a26a9, 0x18a2f6cf, 0x689a26a9,
      0x18a2f6cf, 0x689a26a9, 0x18a2f6cf, 0x689a26a9, 0x18a2f6cf],
     [0x000089e1, 0x00000000, 0x689a26a9, 0x18a2f6cf, 0x689a26a9,
      0x18a2f6cf, 0x689a26a9, 0x18a2f6cf, 0x689a26a9, 0x18a2f6cf],
     [0x00006146, 0x00000000, 0x50b36736, 0x1f430b4e, 0xe8b1a722,
      0x1f43054e, 0x60b3674a, 0x1f42f98e, 0x00000000, 0x00000000],
     [0x000089e3, 0x00000000, 0x689a26a9, 0x18a2f6cf, 0x689a26a9,
      0x18a2f6cf, 0x689a26a9, 0x18a2f6cf, 0x689a26a9, 0x18a2f6cf],
     [0x00006148, 0x00000000, 0x58b5072a, 0x1f4310cf, 0x40b6273a,
      0x1f42fbce, 0x00000000, 0x00000000, 0x40b3e740, 0x1f43028e],
     [0x00006149, 0x00000000, 0x8ca98728, 0x1f4312ce, 0xf0abc734,
      0x1f4315ce, 0xcca92732, 0x1f4318ce, 0x30b0e728, 0x1f430f4f],
     [0x0000614a, 0x00000000, 0xbca40725, 0x1f43160e, 0xd8aa673d,
      0x1f4312ce, 0xb8b18728, 0x1f43038e, 0x50a8a731, 0x1f43150e],
     [0x0000614b, 0x00000000, 0xf0b5a728, 0x1f42ff4e, 0x5cb6e741,
      0x1f430cce, 0x8ca60720, 0x1f43150e, 0xccb0e71c, 0x1f43158e],
     [0x0000614c, 0x00000000, 0xcca92726, 0x1f42fd0e, 0x50b1c732,
      0x1f4305cf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000614d, 0x00000000, 0xc4b5273a, 0x1f42face, 0xb8ace739,
      0x1f430b4e, 0x00000000, 0x00000000, 0x94ae6724, 0x1f430b8e],
     [0x00008804, 0x00000000, 0xa46224eb, 0x0a6af7d2, 0xa86224e9,
      0x0a6af7d2, 0xa47d04eb, 0x0fa2ee12, 0xc47d04e2, 0x0fa2ee12],
     [0x00008805, 0x00000000, 0xc4bb84e2, 0x1f42ee12, 0xc53884e2,
      0x3e82ee12, 0xac6fc69a, 0x105b0e4c, 0xf07d035b, 0x0fa2ee0a],
     [0x1de88806, 0x000000f2, 0x645e468c, 0x0a6b0ad6, 0x6459c68c,
      0x0a6b01d6, 0x6c59c44e, 0x0a6b01cd, 0x6459c68c, 0x0a6b01d6],
     [0x9ec88807, 0x0007d6f8, 0x6472468c, 0x0de2f8d6, 0x6470a68c,
      0x0de2f596, 0x6c72844e, 0x0de2f94d, 0x6470a68c, 0x0de2f596],
     [0x00006152, 0x00000000, 0x7cafc735, 0x1f43058e, 0xacafc742,
      0x1f43100e, 0x58b4e731, 0x1f43018f, 0x00b18736, 0x1f43020e],
     [0x00006153, 0x00000000, 0x00000000, 0x00000000, 0x40b44725,
      0x1f430cce, 0xc4b3273b, 0x1f4308ce, 0x00000000, 0x00000000],
     [0x000089f0, 0x00000000, 0xa08dc630, 0x156afa8f, 0xa4c94713,
      0x23caf6cd, 0xa08ea67e, 0x15aafb0f, 0x348ca5f9, 0x156afd0f],
     [0x000089f1, 0x00000000, 0x348cc5f9, 0x156afd4f, 0x887086a6,
      0x0e3afbcc, 0x887086a6, 0x0e3afbcc, 0x2c882600, 0x1362f5cf],
     [0x0000880c, 0x00000000, 0x54c186aa, 0x22aafd4f, 0x54eec6aa,
      0x2dfafd4f, 0xe859468e, 0x090b00d5, 0xe46a668e, 0x0d5300d5],
     [0x0000880d, 0x00000000, 0xe47b868e, 0x119b00d5, 0xe859468e,
      0x090b00d5, 0xe46a668e, 0x0d5300d5, 0xe47b868e, 0x119b00d5],
     [0x00006158, 0x00000000, 0x6ca4c730, 0x1f43104e, 0x40ae8743,
      0x1f43100e, 0xccae873f, 0x1f430c4e, 0x8cabe73e, 0x1f43150e],
     [0x00006159, 0x00000000, 0xfcaec721, 0x1f43084e, 0xf8afe730,
      0x1f43054e, 0xc0a5a730, 0x1f430d8e, 0xdcb0e730, 0x1f43034e],
     [0x0000615a, 0x00000000, 0xd4b4c732, 0x1f42fa8e, 0x34b1273f,
      0x1f43138e, 0xd8b1c73c, 0x1f43068e, 0x5cad072d, 0x1f430d4e],
     [0x0000615b, 0x00000000, 0x14aca729, 0x1f430fcf, 0x9caee73f,
      0x1f430dce, 0xb8a8a730, 0x1f431c8e, 0x00000000, 0x00000000],
     [0x0000615c, 0x00000000, 0x00000000, 0x00000000, 0xd0a72728,
      0x1f43088e, 0xb8aac70c, 0x1f43018e, 0x00000000, 0x00000000],
     [0x0000615d, 0x00000000, 0xacacc720, 0x1f43070f, 0xc8b74727,
      0x1f43038e, 0x68b1873d, 0x1f43124e, 0xe4a88735, 0x1f430ace],
     [0x000089fa, 0x00000000, 0x4c6866b1, 0x0c83014c, 0x4c66e6b1,
      0x0c82fe4c, 0x4c82a6b7, 0x1313004c, 0x4c81a6b7, 0x1312fe4c],
     [0x000089fb, 0x00000000, 0x4c78c6b7, 0x0f431a8c, 0x4c6546b7,
      0x0f42f38c, 0xdc58e68c, 0x074afc0c, 0xdc54a68c, 0x074af38c],
     [0x000089fc, 0x00000000, 0x30b7267e, 0x204aff4d, 0x30b7267e,
      0x204aff4d, 0xd0acc65a, 0x1e72fb8d, 0xd0b1865a, 0x1e73050d],
     [0x00006161, 0x00000000, 0xa0aec739, 0x1f43100e, 0xb4b20735,
      0x1f42fd4e, 0xb8aa2737, 0x1f430fce, 0x08b8873b, 0x1f42fc4f],
     [0x00006162, 0x00000000, 0x94b7673a, 0x1f43050e, 0xc0acc72e,
      0x1f43074e, 0x60acc742, 0x1f4308ce, 0x84a72742, 0x1f43108e],
     [0x00006163, 0x00000000, 0xa8b08730, 0x1f4308ce, 0xb4b1c730,
      0x1f43168e, 0xbcad8735, 0x1f430d0e, 0xd0ab873d, 0x1f43124e],
     [0x00006164, 0x00000000, 0x10b2a730, 0x1f4300cf, 0xa8b2673d,
      0x1f43000e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006165, 0x00000000, 0x54b2c739, 0x1f42fdce, 0x34b26735,
      0x1f42ff4e, 0xa4afa72e, 0x1f43008e, 0xb4a6c739, 0x1f43178e],
     [0x00006166, 0x00000000, 0xa8ad2736, 0x1f43074e, 0xf8ae073f,
      0x1f43004e, 0xc0ae672c, 0x1f430a8e, 0x2cb14739, 0x1f43120e],
     [0x00006167, 0x00000000, 0x2cafe72a, 0x1f42ff8e, 0x84a2c736,
      0x1f42fc4e, 0xd0b6a72c, 0x1f430f4e, 0x2cb60736, 0x1f43090f],
     [0x00006168, 0x00000000, 0xe0a62730, 0x1f43078e, 0x18a60734,
      0x1f43150f, 0xd8afe737, 0x1f430b0e, 0x00b5a724, 0x1f430ccf],
     [0x00006169, 0x00000000, 0x40b2c735, 0x1f43068f, 0x00000000,
      0x00000000, 0x5cada73e, 0x1f42fc8e, 0xe0ae073a, 0x1f4310ce],
     [0x0000616a, 0x00000000, 0x5cb16736, 0x1f430b0e, 0xf8ae473e,
      0x1f4311ce, 0x9cb10749, 0x1f4305ce, 0x70aa8736, 0x1f43100e],
     [0x0000616b, 0x00000000, 0x5cb0e740, 0x1f43034e, 0x00000000,
      0x00000000, 0x08b3672b, 0x1f430a8f, 0x50b2072f, 0x1f43018e],
     [0x0000616c, 0x00000000, 0x70ab6736, 0x1f43120e, 0xb4b3e729,
      0x1f4303ce, 0x00000000, 0x00000000, 0x44b50741, 0x1f43000e],
     [0x0000616d, 0x00000000, 0x2ca96735, 0x1f43144e, 0x88b4c745,
      0x1f43048e, 0xa8b4a726, 0x1f430c8e, 0x40ad6743, 0x1f43170e],
     [0x0000616e, 0x00000000, 0xecad4738, 0x1f430bcd, 0xb8ac2739,
      0x1f43108e, 0x4caee736, 0x1f430a8e, 0x00000000, 0x00000000],
     [0x000062c2, 0x00000000, 0xc0b5a719, 0x1f43034e, 0x00000000,
      0x00000000, 0x9cb5a71c, 0x1f42fd8f, 0x44afe6fe, 0x1f42ff8f],
     [0x00006170, 0x00000000, 0xb8ac272b, 0x1f430d4e, 0xccaac733,
      0x1f43154e, 0xdcad4737, 0x1f43118e, 0x48b2c73d, 0x1f430d4f],
     [0x00006171, 0x00000000, 0x50b5e744, 0x1f43064e, 0x68a7673c,
      0x1f430b8e, 0x7cb2e738, 0x1f430b0e, 0xdcb0472a, 0x1f43078e],
     [0x00006172, 0x00000000, 0x2cb0872a, 0x1f430c8f, 0x20af673c,
      0x1f43048f, 0x00000000, 0x00000000, 0x78a6a736, 0x1f42ff4e],
     [0x000062c6, 0x00000000, 0x7cad86f3, 0x1f42fe8e, 0xbcb72748,
      0x1f42f88e, 0xe8b346fe, 0x1f43000f, 0xb0b7e742, 0x1f42fe4e],
     [0x00006174, 0x00000000, 0xdcb6a748, 0x1f4303ce, 0x4ca4a736,
      0x1f4318ce, 0x98af2724, 0x1f4302ce, 0x8cafe735, 0x1f43094e],
     [0x00006175, 0x00000000, 0x00000000, 0x00000000, 0x34aa8738,
      0x1f43028f, 0x00000000, 0x00000000, 0x64b2a729, 0x1f42fd8e],
     [0x00006176, 0x00000000, 0x84acc736, 0x1f43038e, 0xacb30731,
      0x1f43098e, 0x60a4072d, 0x1f431e0e, 0x00000000, 0x00000000],
     [0x00006177, 0x00000000, 0x50b9474c, 0x1f43034e, 0x64b1e742,
      0x1f4302ce, 0xecad674c, 0x1f43070e, 0xb4b14733, 0x1f43108e],
     [0x00006178, 0x00000000, 0x00000000, 0x00000000, 0xecad2721,
      0x1f43054e, 0x14b72737, 0x1f43044f, 0x50a9a73e, 0x1f430f0e],
     [0x000062cc, 0x00000000, 0xd0b946ea, 0x1f42face, 0x60b6a71e,
      0x1f42f54e, 0x00000000, 0x00000000, 0x24b68712, 0x1f42f590],
     [0x0000617a, 0x00000000, 0x8caa0736, 0x1f43060e, 0x84b2e73a,
      0x1f43070e, 0x74b94734, 0x1f42fc4e, 0x70aae738, 0x1f430b0e],
     [0x0000617b, 0x00000000, 0x70afc737, 0x1f43174e, 0x4caee73b,
      0x1f4312ce, 0x00000000, 0x00000000, 0xe8aba739, 0x1f430e0e],
     [0x0000617c, 0x00000000, 0xc4a46739, 0x1f43084e, 0xccb08739,
      0x1f42fbce, 0xf0ae074c, 0x1f4301ce, 0x00000000, 0x00000000],
     [0x00013857, 0x00000000, 0xa0800675, 0x1302f28f, 0xa0ae0675,
      0x1ad2f44f, 0x5897a682, 0x169af6cf, 0x58922682, 0x1382f40f],
     [0x0000617e, 0x00000000, 0xf0b1e72e, 0x1f43088e, 0x7cab0737,
      0x1f42fbce, 0x7ca5c739, 0x1f43160e, 0x4cb72739, 0x1f43098e],
     [0x00008835, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x303c66e0, 0x00027cd8, 0x303c66e0, 0x00027cd8],
     [0x00008836, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xcc42e656, 0x00027a97],
     [0x00006181, 0x00000000, 0x6caea739, 0x1f43008e, 0x4cb6673d,
      0x1f42f9ce, 0xacaa4735, 0x1f43044e, 0xacb5c736, 0x1f43028e],
     [0x00006182, 0x00000000, 0x00000000, 0x00000000, 0x38ad0744,
      0x1f43094e, 0x3cb2c721, 0x1f430c8f, 0xa4a8271e, 0x1f43010e],
     [0x00006183, 0x00000000, 0xe4ade741, 0x1f430a8d, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006184, 0x00000000, 0x00000000, 0x00000000, 0xd0aa272b,
      0x1f42ff4e, 0x00000000, 0x00000000, 0x18b28727, 0x1f43000f],
     [0x0000883b, 0x00000000, 0xb03c6371, 0x00027ccb, 0xb03c6371,
      0x00027ccb, 0xb03c63c0, 0x00027ccb, 0xb03c63c0, 0x00027ccb],
     [0x00006186, 0x00000000, 0x20ae2741, 0x1f430b0e, 0x40ad2740,
      0x1f4318ce, 0x4cae6741, 0x1f43048e, 0xb8ac0737, 0x1f4308ce],
     [0x0001385c, 0x00000000, 0x747c45a1, 0x10b2f80f, 0x388805a1,
      0x13a2ef4c, 0x388645a1, 0x12e2f80c, 0xa078e5a2, 0x0a62f4cf],
     [0x000062db, 0x00000000, 0x70ac0725, 0x1f430ace, 0x1cb786e6,
      0x1f42f5cf, 0x00000000, 0x00000000, 0x4cb0e719, 0x1f42fbce],
     [0x0001385d, 0x00000000, 0x747905a1, 0x0fb2f68f, 0x78678661,
      0x0a1af30f, 0x6c840594, 0x1262f80f, 0xa0784594, 0x0c5af94f],
     [0x000149ce, 0x00000000, 0x849a46a3, 0x1802f6cf, 0x689d26a9,
      0x18c2f6cf, 0xa099269c, 0x17baf6cf, 0x6c9286a8, 0x161af6cf],
     [0x00008841, 0x00000000, 0x00000000, 0x00000000, 0x68a1e68c,
      0x1a2afa0f, 0x00000000, 0x00000000, 0x6884a68c, 0x12b2f50f],
     [0x00008842, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x349345a1, 0x1712f58c, 0x64ba6697, 0x1f2afb4f],
     [0x000149d1, 0x00000000, 0xa08fe69c, 0x157af70f, 0xa091269b,
      0x15c2f6cf, 0xa090669c, 0x158af6cf, 0x689c66a9, 0x1892f68f],
     [0x00008844, 0x00000000, 0x64ad868b, 0x1c0af48f, 0x1897669f,
      0x17d2f94f, 0x64b2e697, 0x1d92f64f, 0x7485e697, 0x121afa0f],
     [0x00008845, 0x00000000, 0x00000000, 0x00000000, 0xa08d067e,
      0x15d2ff8f, 0x68b7468c, 0x1fa2efcf, 0x6898c68c, 0x17c2f78f],
     [0x000149d4, 0x00000000, 0xa099669c, 0x17d2f6cf, 0xa099269c,
      0x17baf6cf, 0xa099269c, 0x17baf6cf, 0x00000000, 0x00000000],
     [0x00010008, 0x00000000, 0xa03e83e8, 0x07d2ee0f, 0x74648683,
      0x0a6af7cf, 0x34748682, 0x0d231216, 0xa082068c, 0x0faaee8f],
     [0x00010009, 0x00000000, 0x3c7ca6c3, 0x0fa2f60e, 0x5496a6aa,
      0x179b020f, 0x5898e682, 0x1853010f, 0x345ca682, 0x06b30f16],
     [0x0001000a, 0x00000000, 0xcc65e685, 0x0a6af88c, 0xd062a685,
      0x0a6af20c, 0x9c7c0682, 0x0fa30e13, 0xa08845e2, 0x151b038f],
     [0x0009000b, 0x00001a01, 0x9c4f644d, 0x07d2eccd, 0xa061c4e7,
      0x0a6afa52, 0x744fc44c, 0x07d2f4cf, 0x586ec682, 0x08b2ddcf],
     [0x0000884b, 0x00000000, 0x64af4697, 0x1db2f68f, 0x4092e69f,
      0x166af9cf, 0x5ca3868c, 0x1a5af6cf, 0x7483c5a1, 0x139af58f],
     [0x0001000d, 0x00000000, 0xa07a668c, 0x0fa2ee4f, 0x847be682,
      0x0fa2f1cf, 0x847fa696, 0x0fa2f58f, 0x8081a682, 0x0fa300cf],
     [0x0001000e, 0x00000000, 0x847c268c, 0x0fa2f58f, 0x5c7c068c,
      0x0fa2f3cf, 0x745f25a1, 0x0a6afa8f, 0x9c5f25a1, 0x0a6af48d],
     [0x0001000f, 0x00000000, 0x788885ec, 0x151b030f, 0x8088456a,
      0x151b0391, 0x788885ec, 0x151b030f, 0x70798680, 0x0fa30f0f],
     [0xc0010010, 0x04106c03, 0x58a34682, 0x1cc30b8f, 0xa0850684,
      0x131ae14f, 0xa0880675, 0x131aec0f, 0x5894a682, 0x14dafe8f],
     [0x00008850, 0x00000000, 0x94acc6e3, 0x1cdafd4b, 0x6892068c,
      0x15baff0f, 0xa07b267e, 0x117af14f, 0xa07b267e, 0x117af14f],
     [0x0000619b, 0x00000000, 0x78b586ff, 0x1f430210, 0x30af46ed,
      0x1f42ff50, 0xf4b766d2, 0x1f4301cf, 0x98a5e705, 0x1f42fe4e],
     [0x05010013, 0x0d517600, 0xa0846675, 0x1162ec0f, 0xa0ab8675,
      0x1a0ae98f, 0x64996675, 0x14dae90f, 0x5895e683, 0x1692fd0f],
     [0x06f90014, 0x1121ea00, 0xa08a2675, 0x131aee0f, 0xc895e682,
      0x1692fccc, 0xa0880675, 0x131aeacf, 0x587e0683, 0x0fa2f24f],
     [0x48d90015, 0x18f2bc54, 0xa08da675, 0x1162fccf, 0x589e2675,
      0x1693078f, 0x58948675, 0x131b010f, 0x58afc675, 0x1a0affcf],
     [0x8e010016, 0x0003dc72, 0xa0906675, 0x131ae6cf, 0xa08da675,
      0x1163018f, 0xa08a4675, 0x1162ec8f, 0x3c6f667f, 0x0c2af34d],
     [0x00010017, 0x00000000, 0x58666682, 0x08b2e3cf, 0x3c6e467f,
      0x0c2af10d, 0x54734682, 0x0d32ee14, 0xac7d039d, 0x0fa2ee0d],
     [0x00010018, 0x1f73e87c, 0x50656680, 0x0a6b0c17, 0x747a05a1,
      0x0faaf24f, 0x7479a693, 0x0fa2f3cf, 0x7473a5a1, 0x0de2f58f],
     [0x40010019, 0x2193fc7e, 0x6c806693, 0x0fa2f1cf, 0x747205a1,
      0x0de2f5cf, 0x6473868e, 0x08b2c94c, 0x687965a1, 0x0fa2f00c],
     [0x1131001a, 0x22b0008a, 0x7c7a4693, 0x0fa2f2cf, 0x745f8676,
      0x08b2fa4f, 0x64616674, 0x08b2cf0c, 0x74782693, 0x0de2f18f],
     [0x000062f7, 0x00000000, 0xccb4470e, 0x1f42fa8f, 0x08b106f6,
      0x1f42fd50, 0xccb6e6e6, 0x1f43008f, 0x78ada6eb, 0x1f42fe0f],
     [0x5279001c, 0x2814a694, 0x6c7985a1, 0x0fc2db4c, 0x5c7b05a1,
      0x0fa2f44c, 0xa07205a1, 0x0c2af94f, 0x6c6c45a2, 0x0c2af20f],
     [0x00008a42, 0x00000000, 0x3077067e, 0x0ffafccd, 0x3077067e,
      0x0ffafccd, 0x30a9467e, 0x1cf2ffcd, 0x30a9667e, 0x1cf3000d],
     [0x000062fa, 0x00000000, 0xd8b266df, 0x1f42fb0e, 0xb0ab66fe,
      0x1f42fd4f, 0x00000000, 0x00000000, 0x30b44719, 0x1f42fb8f],
     [0x0001001f, 0x00000000, 0x5853e682, 0x089b084f, 0xdc6a2697,
      0x0c82ec4c, 0x7c7d452b, 0x10eaf812, 0x00000000, 0x00000000],
     [0x00008a45, 0x00000000, 0x84ab65aa, 0x1cf2fbd0, 0x84ab65aa,
      0x1cf2fbd0, 0x84ab65a9, 0x1cf2fbd0, 0x84ab65aa, 0x1cf2fbd0],
     [0x00008a46, 0x00000000, 0x84ac05aa, 0x1cf2fa90, 0x84ab65a9,
      0x1cf2fbd0, 0x84ab65a9, 0x1cf2fbd0, 0x84ab65a9, 0x1cf2fbd0],
     [0x00008a47, 0x00000000, 0x84ab65a9, 0x1cf2fbd0, 0x84ab65a9,
      0x1cf2fbd0, 0x84ab65a9, 0x1cf2fbd0, 0x84ab65aa, 0x1cf2fbd0],
     [0x00008a48, 0x00000000, 0x84ab65aa, 0x1cf2fbd0, 0x30ab667e,
      0x1cf2fbcd, 0x30aba67c, 0x1cf2fbcd, 0x30ab667e, 0x1cf2fbcd],
     [0x00008a49, 0x00000000, 0x30ab667e, 0x1cf2fbcd, 0x30ab667e,
      0x1cf2fbcd, 0x30ab667e, 0x1cf2fbcd, 0x30aba67e, 0x1cf2fbcd],
     [0x00008a4a, 0x00000000, 0x30ab667e, 0x1cf2fb4d, 0x30ab667e,
      0x1cf2fb4d, 0x30aba67e, 0x1cf2fbcd, 0x30ab667e, 0x1cf2fbcd],
     [0x00008a4b, 0x00000000, 0x30ab667e, 0x1cf2fbcd, 0x30ab667e,
      0x1cf2fbcd, 0x30ab667e, 0x1cf2fbcd, 0x30ab667e, 0x1cf2fbcd],
     [0x00008a4c, 0x00000000, 0x38aba67e, 0x1cf2fbcd, 0x30ab467e,
      0x1cf2fb8d, 0x30ab667e, 0x1cf2fbcd, 0x84ab65a9, 0x1cf2fbd0],
     [0x00010028, 0x00000000, 0xa03e83e8, 0x07d2ee0f, 0x6c66a5c2,
      0x0c2afccc, 0x64798618, 0x0fa3014d, 0x807f2686, 0x0fa2f08f],
     [0x00010029, 0x00000000, 0x787fc5fe, 0x0fa2e88f, 0xa08a2675,
      0x0fa2f50f, 0x5853e682, 0x089b084f, 0x18782682, 0x0fa2fb4d],
     [0x00008a4f, 0x00000000, 0xa0a9858f, 0x1cf2fcd0, 0x2caac58f,
      0x1cf2ff4f, 0xd0a9861b, 0x1cf2ff4d, 0xd0a9861b, 0x1cf2ff4d],
     [0x00008a50, 0x00000000, 0xd0a6c6fc, 0x1cf3050d, 0xd0a6c6fc,
      0x1cf3050d, 0x30ab663e, 0x1cf2fbce, 0x30ab663e, 0x1cf2fbce],
     [0x0001002c, 0x00000000, 0xb86ee68c, 0x0c830755, 0xa0884620,
      0x151b038f, 0xdc67068c, 0x0962f653, 0xd068e68c, 0x0962f8d3],
     [0x0001002d, 0x00000000, 0x5870e680, 0x0a6b1b17, 0x5c7ca594,
      0x0fa2e68c, 0xb48c2675, 0x117afd0d, 0xbc55251e, 0x07d2ff92],
     [0x0001002e, 0x2e500000, 0x3c5543e8, 0x0a6ae68c, 0xdc62068c,
      0x0962f8d3, 0xf86bc68c, 0x09b2fed5, 0x3476657b, 0x0fa2fbd0],
     [0x00008a54, 0x00000000, 0xacad8506, 0x1cf2f790, 0x3062867e,
      0x0ffaff4d, 0x88ab65a8, 0x1cf2fbd0, 0x88ab65a8, 0x1cf2fbd0],
     [0x0000886f, 0x00000000, 0x10af25d6, 0x1ddafb93, 0xd0af2506,
      0x1ddafb8f, 0x3075a67e, 0x0ffb258d, 0x3062867e, 0x0ffaff4d],
     [0x00008870, 0x00000000, 0x10af25d6, 0x1ddafb93, 0xd0af2506,
      0x1ddafb8f, 0x3075a67e, 0x0ffb258d, 0x3062867e, 0x0ffaff4d],
     [0x00008871, 0x00000000, 0x30a9863e, 0x1cf2ffce, 0x309b467e,
      0x182af5cd, 0x30a9863e, 0x1cf2ffce, 0x30a9863f, 0x1cf2ff8e],
     [0x00008a58, 0x00000000, 0x3076c67e, 0x0ffafccd, 0x3076c67e,
      0x0ffafccd, 0x1cab6603, 0x1cf2fbcf, 0x308d267e, 0x156afc4d],
     [0x00008a59, 0x00000000, 0x1cab6603, 0x1cf2fbcf, 0x308d267e,
      0x156afc4d, 0x80ab6603, 0x1cf2fbd1, 0x1cab656a, 0x1cf2fbcf],
     [0x00008a5a, 0x00000000, 0x80ab6603, 0x1cf2fbd1, 0x1cab656a,
      0x1cf2fbcf, 0x80ab6603, 0x1cf2fbd1, 0x1cab656a, 0x1cf2fbcf],
     [0x00013878, 0x00000000, 0x786005b8, 0x0942fc0f, 0xa07f25b8,
      0x0ec2f78f, 0x747d4693, 0x10c2f28f, 0x448185ad, 0x118aebcc],
     [0x00008a5c, 0x00000000, 0x80ab656a, 0x1cf2fbd1, 0x84ab661d,
      0x1cf2fbd0, 0x84ab65e4, 0x1cf2fbd0, 0x98ab65a9, 0x1cf2fbcf],
     [0x00008a5d, 0x00000000, 0x98ab65a9, 0x1cf2fbcf, 0x6cab65a9,
      0x1cf2fbcd, 0x348c2647, 0x156afe0b, 0x38ab65fc, 0x1cf2f94f],
     [0x00008a5e, 0x00000000, 0x388c2648, 0x156afe0b, 0x888c265b,
      0x156afe0b, 0x38ab65fc, 0x1cf2f94f, 0x888c065b, 0x156afdcb],
     [0x00008a5f, 0x00000000, 0x8ca165e7, 0x1cf30fcf, 0x8ca165e7,
      0x1cf30fcf, 0x7489862d, 0x156b030e, 0x7489862d, 0x156b030e],
     [0x00008a60, 0x00000000, 0xac7e269f, 0x1293034c, 0xd87f65cf,
      0x11aaf98f, 0xb46fa61e, 0x0fbb098e, 0x4c7a26b7, 0x12a3090c],
     [0x00008a61, 0x00000000, 0x4c7b86b7, 0x12a30bcc, 0x4c6fa6b7,
      0x0e7aff8c, 0x4c6fa6b7, 0x0e7aff8c, 0x486c66b7, 0x0ffb0acc],
     [0x1d01003d, 0x00074200, 0x7479067d, 0x0fa2f4cf, 0x747c4658,
      0x0fa2f4cf, 0x7479c646, 0x0fa2f4cf, 0x748845ed, 0x151b038f],
     [0x0001003e, 0x00000000, 0x84792612, 0x0fa2f50d, 0x7479e680,
      0x0fa2f88f, 0x7479e680, 0x0fa2f88f, 0x7479e67d, 0x0fa2f88f],
     [0x00008a64, 0x00000000, 0x4c61a6b7, 0x0eaaf38c, 0x4c6b26b7,
      0x0c83004c, 0x4c6b26b7, 0x0c83004c, 0x64886671, 0x156af68d],
     [0x00008a65, 0x00000000, 0x648fe671, 0x156b058d, 0x648ee671,
      0x156b038d, 0x64896671, 0x156af88d, 0x4c78c6b7, 0x0f431d0c],
     [0x00010041, 0x00000000, 0xfc8cc684, 0x131ae14c, 0xfc80a5a1,
      0x0faaf24c, 0x5894a754, 0x14dafe8f, 0x74746680, 0x0de2f58f],
     [0x00010042, 0x00000000, 0x5894a753, 0x14dafe8f, 0x7473e67d,
      0x0de2f58f, 0x5894a71a, 0x14dafe8f, 0x7473a646, 0x0de2f58f],
     [0x00010043, 0x00000000, 0x5894a753, 0x14dafe8f, 0x7479a67d,
      0x0de2f58f, 0xa0960753, 0x1692ec0f, 0x6c95a69b, 0x130af1cf],
     [0x00010044, 0x00000000, 0xa0960675, 0x1692ec0f, 0x6c870693,
      0x0fa2f1cf, 0xa08dc6dd, 0x131aedcf, 0x7478c606, 0x0de2f5cf],
     [0x00010045, 0x00000000, 0xa08dc74a, 0x131aedcf, 0x74796672,
      0x0de2f5cf, 0xa08dc71a, 0x131aedcf, 0x74720646, 0x0de2f5cf],
     [0x000061cf, 0x00000000, 0x38b3e714, 0x1f42f94f, 0x00000000,
      0x00000000, 0x04b6c6ee, 0x1f42fc0f, 0xacb7e70a, 0x1f42f64f],
     [0x00010047, 0x00000000, 0x5898c755, 0x1692fb0f, 0x6879667d,
      0x0fa2f00c, 0x5898c74a, 0x1692fb0f, 0x687a0672, 0x0fa2f00c],
     [0x00010048, 0x00000000, 0x5898c71a, 0x1692fb0f, 0x68796646,
      0x0fa2f00c, 0x7498c682, 0x1692fb0b, 0x687966bc, 0x0fa2f00c],
     [0x00010049, 0x00000000, 0xa09ea753, 0x1692ec0f, 0x7c7a4753,
      0x0fa2f2cf, 0xa09ea675, 0x1692ec0f, 0x7c7a4693, 0x0fa2f2cf],
     [0x00006326, 0x00000000, 0x74b36721, 0x1f42f84f, 0x08b1a6f1,
      0x1f42fd8f, 0x9cb1c6f8, 0x1f43010e, 0x00000000, 0x00000000],
     [0x00006327, 0x00000000, 0x6cb7e730, 0x1f43000e, 0xe8a30707,
      0x1f4315ce, 0xa0a00738, 0x1f431ace, 0x00000000, 0x00000000],
     [0x00008a71, 0x00000000, 0x28aaa67e, 0x1c72f94d, 0x28aaa67e,
      0x1c72f94d, 0x28aaa67e, 0x1c72f94d, 0x28aaa67e, 0x1c72f94d],
     [0x0001004d, 0x00000000, 0x58818755, 0x0de2ec8f, 0x646aa67d,
      0x08b2cf0c, 0x7498c675, 0x14daefcb, 0x74782693, 0x0de2f18b],
     [0x0001004e, 0x00000000, 0xa089a5b3, 0x10f2ef4f, 0xa0846754,
      0x1162ec0f, 0x746a0754, 0x08b2f84f, 0x74846675, 0x1162ec0b],
     [0x00008a74, 0x00000000, 0x3ca3a5fb, 0x1acb020f, 0x6098062e,
      0x1953054e, 0x6098062e, 0x1953054e, 0x6098062e, 0x1953054e],
     [0x00008a75, 0x00000000, 0x6098262e, 0x1953058e, 0x6098062e,
      0x1953054e, 0x109a8642, 0x1953008e, 0x109a8642, 0x1953008e],
     [0x00008a76, 0x00000000, 0xd0684654, 0x0ffb1a4d, 0xd0682654,
      0x0ffb1a0d, 0xd07e6654, 0x15831a4d, 0xd07e6654, 0x15831a4d],
     [0x00010052, 0x00000000, 0x7c79e67d, 0x0fa2f18f, 0x7c82069b,
      0x120afc8f, 0x58960682, 0x1692ec0f, 0x6075c5a1, 0x0fa2f18c],
     [0x00008a78, 0x00000000, 0x2caaa67e, 0x1c72f94d, 0x808b25e8,
      0x14daf40f, 0xa0994586, 0x18b2fe0f, 0x308e267e, 0x156af9cd],
     [0x00008a79, 0x00000000, 0x308e2732, 0x156af9cd, 0x308e267e,
      0x156afa0d, 0x689ac630, 0x18f2fd0e, 0xac87069f, 0x13a2fa0c],
     [0x00008a7a, 0x00000000, 0xa4c94713, 0x23caf6cd, 0xa4c94713,
      0x23caf6cd, 0xdc99c6d0, 0x17d2f60b, 0x1c9ba703, 0x18b2f94b],
     [0x00008a7b, 0x00000000, 0xdc9786cf, 0x17d2fa8b, 0xdc9786cf,
      0x17d2fa8b, 0xd491a6d3, 0x17d3064b, 0xd491a6d3, 0x17d3064b],
     [0x00008a7c, 0x00000000, 0xd499c6d3, 0x17d2f60b, 0xd499c6d3,
      0x17d2f60b, 0xd495a6d3, 0x17d2fe4b, 0xd495a6d3, 0x17d2fe4b],
     [0x00008a7d, 0x00000000, 0x6cab65f1, 0x1cf2fbcf, 0x287a46ae,
      0x105af98c, 0x6073c6e5, 0x1043058e, 0x6073c67e, 0x1043058e],
     [0x00010059, 0x00000000, 0xa08da753, 0x1162fccf, 0x7477269d,
      0x08b2f78f, 0xa08da675, 0x1162fccf, 0x7463860a, 0x08b2f50f],
     [0x00008a7f, 0x00000000, 0x4c6fc6b1, 0x0e5b014c, 0x4c6e46b1,
      0x0e5afe4c, 0x10922604, 0x17d3054f, 0x98922524, 0x17d30552],
     [0x00008a80, 0x00000000, 0x94c4a6e3, 0x2332fb4b, 0x94c4a6e3,
      0x2332fb4b, 0x94c4a6e3, 0x2332fb4b, 0x80a646e8, 0x1ce3058b],
     [0x0001005c, 0x00000000, 0x589e2754, 0x1693078f, 0x747e6680,
      0x0fa2f88f, 0xfc9e2675, 0x1693078c, 0xfc81c5a1, 0x0fa2f88c],
     [0x0001005d, 0x00000000, 0x58afc755, 0x1a0affcf, 0x588f867d,
      0x14daf1cf, 0xa08da755, 0x1163018f, 0x6873c67d, 0x0de2e80c],
     [0x0001005e, 0x00000000, 0xa08da71a, 0x1163018f, 0xa08a4754,
      0x1162ec8f, 0x5c6f4680, 0x0c2aed8e, 0xa08a471a, 0x1162ec8f],
     [0x0001005f, 0x00000000, 0x5c6e0646, 0x0c2aed8e, 0xa08a4753,
      0x1162ec8f, 0x5c73c67f, 0x0c2aed8e, 0xa07ea693, 0x0bfaf14f],
     [0x00010060, 0x00000000, 0x7479a693, 0x0fa2f3cf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0001118e, 0x00000000, 0x68a0e5ad, 0x15f3110f, 0xa08285ad,
      0x0f12f58f, 0x408525ad, 0x0f22e94c, 0xa07f25ad, 0x0dfaf44f],
     [0x00010062, 0x00000000, 0x7486a60c, 0x0fa2f58f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00008a88, 0x00000000, 0xa4c56661, 0x24cb068d, 0xf079870d,
      0x111b23ca, 0xfc8e071b, 0x156afa0e, 0xfc8e06ab, 0x156afa0e],
     [0x00010064, 0x00000000, 0x88926694, 0x14dafe8f, 0x00000000,
      0x00000000, 0x247c46aa, 0x0ec2de8d, 0x00000000, 0x00000000],
     [0x00010065, 0x00000000, 0x00000000, 0x00000000, 0x78904693,
      0x1502f2cf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00008a8b, 0x00000000, 0x8c8e25e7, 0x156afa0f, 0xc492c657,
      0x16a2fa8d, 0xc492c657, 0x16a2fa8d, 0x8c7565a7, 0x0f52fa90],
     [0x00010067, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xfc75c5a1, 0x0fa2f18b, 0x00000000, 0x00000000],
     [0x00010068, 0x00000000, 0x58a0669b, 0x1692fd0f, 0x748765bb,
      0x10b2f4cf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00008a8e, 0x00000000, 0xc4a18657, 0x1a52fa8d, 0xa4c94713,
      0x23caf6cd, 0xa4c94713, 0x23caf6cd, 0xa4c94713, 0x23caf6cd],
     [0x000088a9, 0x00000000, 0xa08e267e, 0x156afa0f, 0xa08e267e,
      0x156afa0f, 0xa074a67e, 0x0f8afe0f, 0xa074c67e, 0x0f92fe0f],
     [0x00008a90, 0x00000000, 0x24860600, 0x1362fa0f, 0x24860600,
      0x1362fa0f, 0x24860684, 0x1362fa0f, 0x24860684, 0x1362fa0f],
     [0x00008a91, 0x00000000, 0x24860600, 0x1362fa0f, 0x24860600,
      0x1362fa0f, 0x4886077a, 0x1362fa09, 0x4886077a, 0x1362fa09],
     [0x00008a92, 0x00000000, 0x4886077a, 0x1362fa09, 0x4886077a,
      0x1362fa09, 0x04bf45f8, 0x21b2fa0f, 0x00bf45f7, 0x21b2fa0f],
     [0x00008a93, 0x00000000, 0x248ac642, 0x1362f08f, 0x1c8ac600,
      0x1362f08e, 0x24860600, 0x1362fa0f, 0x24860600, 0x1362fa0f],
     [0x0001006f, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x70772603, 0x0fa2f9cf, 0x00000000, 0x00000000],
     [0x00010070, 0x00000000, 0xa05ec6c8, 0x0552f1cf, 0xa06de6c8,
      0x0912f1cf, 0xa07426c8, 0x0aa2f1cf, 0x74648683, 0x0a6af7cf],
     [0x00008a96, 0x00000000, 0x2c898600, 0x1612f3cf, 0x6c882631,
      0x1362f5ce, 0x2c882600, 0x1362f5cf, 0x2c882600, 0x1362f5cf],
     [0x00008a97, 0x00000000, 0x2c882600, 0x1362f5cf, 0x2c882600,
      0x1362f5cf, 0x2c882704, 0x1362f5cf, 0x74884600, 0x1362f58d],
     [0x00008a98, 0x00000000, 0x1c884600, 0x1362f58b, 0xa08665c7,
      0x1362f94f, 0x2c88470e, 0x1362f58f, 0x1c884600, 0x1362f58b],
     [0x00008a99, 0x00000000, 0x30bc86ff, 0x209aff8b, 0x30bc86ff,
      0x209aff8b, 0xfc8e256a, 0x156afa0d, 0x108e26a7, 0x156afa10],
     [0x00008a9a, 0x00000000, 0xac8e269f, 0x156afa0c, 0x308e267e,
      0x156afa0d, 0xf08e25f1, 0x156afa11, 0x6c8e25f1, 0x156afa0f],
     [0x00008a9b, 0x00000000, 0x088e2607, 0x156afa0f, 0x348e26a7,
      0x156afa0f, 0x808e2737, 0x156afa11, 0x048e26ab, 0x156afa10],
     [0x00008a9c, 0x00000000, 0x588e2672, 0x156afa0d, 0x6c8e2670,
      0x156afa0d, 0x6c8e2670, 0x156afa0d, 0x348e25fc, 0x156afa0f],
     [0x00008a9d, 0x00000000, 0x04b76589, 0x1fbafa11, 0x80b5256a,
      0x1f2afa11, 0x80ec056a, 0x2ce2fa11, 0xf88e264b, 0x156afa0d],
     [0x00006355, 0x00000000, 0xd8b3e707, 0x1f42fe8f, 0x30b6c6f3,
      0x1f430a4f, 0x48aaa71b, 0x1f43030f, 0x00000000, 0x00000000],
     [0x00008a9f, 0x00000000, 0x388ea70e, 0x156b010f, 0x7c8c2659,
      0x156afc0d, 0x7c8c2659, 0x156afc0d, 0x7c8ca659, 0x156afd0d],
     [0x00008aa0, 0x00000000, 0x7c8ca659, 0x156afd0d, 0x7c8ca659,
      0x156afd0d, 0x7c8ca659, 0x156afd0d, 0x7c8ca6f1, 0x156afd0d],
     [0x00008aa1, 0x00000000, 0x7c8ca6f1, 0x156afd0d, 0x548e26d2,
      0x156afa0b, 0x548e26d2, 0x156afa0b, 0x408ca65c, 0x156afd0c],
     [0x00008aa2, 0x00000000, 0x408c265c, 0x157afc0c, 0xcc8e26d2,
      0x156afa0a, 0xcc8e26d2, 0x156afa0a, 0x008c278a, 0x156afc09],
     [0x00008aa3, 0x00000000, 0x008c278a, 0x156afc09, 0xe08e26d2,
      0x156afa0c, 0xe08e26d2, 0x156afa0c, 0xfc8fa74b, 0x156afd09],
     [0x0001007f, 0x00000000, 0xa0b06754, 0x1bcae74f, 0x748e8680,
      0x14daf3cf, 0xfc95e754, 0x1692fd0d, 0x84792680, 0x0fa2f50d],
     [0x00008aa5, 0x00000000, 0xfc8ca74a, 0x156afd09, 0xb88c2668,
      0x156afc0d, 0xb88c2668, 0x156afc0d, 0xb88c2668, 0x156afc0d],
     [0x00008aa6, 0x00000000, 0xb88c2668, 0x156afc0d, 0x548ca6b6,
      0x156afd0c, 0x548ca6b6, 0x156afd0c, 0x308ca6be, 0x156afd0c],
     [0x00008aa7, 0x00000000, 0x308ca6be, 0x156afd0c, 0x108ec680,
      0x156afb4d, 0x108d8680, 0x156af8cd, 0x748e26ee, 0x156afa0b],
     [0x0000635f, 0x00000000, 0x00000000, 0x00000000, 0x78b3e725,
      0x1f42fb0f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00008aa9, 0x00000000, 0x3898c5fc, 0x1872fd0f, 0x38a1e5fc,
      0x1abafd0f, 0x388ca5fc, 0x156af6cf, 0x388fc5fc, 0x156afd0f],
     [0x00006361, 0x00000000, 0x10af4706, 0x1f42fbcf, 0x1cb7e721,
      0x1f42f74f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00008aab, 0x00000000, 0x048ca64d, 0x156afd0e, 0x048ca64d,
      0x156afd0e, 0x108e261b, 0x156afa10, 0x048c2649, 0x156afe0e],
     [0x00006210, 0x00000000, 0x68b606d0, 0x1f42fdd0, 0xc8b12716,
      0x1f430f8e, 0x58b446e0, 0x1f42fcd0, 0x18b126da, 0x1f42f90f],
     [0x00008aad, 0x00000000, 0x548ca6b5, 0x156afd0c, 0x908c46d3,
      0x156afe4b, 0x908c46d3, 0x156afe4b, 0x548e26d3, 0x156afa0b],
     [0x00008aae, 0x00000000, 0x548e26d3, 0x156afa0b, 0xcc8e26d3,
      0x156afa0a, 0xcc8e26d3, 0x156afa0a, 0x38b005fc, 0x1d2af44f],
     [0x00006213, 0x00000000, 0xccb68714, 0x1f42fe4e, 0xfcb70708,
      0x1f42f38e, 0x6cb6a6f2, 0x1f42f68e, 0x00000000, 0x00000000],
     [0x00008ab0, 0x00000000, 0x048ca647, 0x156afd0e, 0x048ca647,
      0x156afd0e, 0x048ca647, 0x156afd0e, 0x048ca6ad, 0x156afd0e],
     [0x00008ab1, 0x00000000, 0x048ca6ad, 0x156afd0e, 0x548c46b5,
      0x156afe0c, 0x548c66b5, 0x156afe4c, 0x108ca681, 0x156afd0d],
     [0x0001008d, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x645d45a1, 0x08b2cf0c],
     [0x00006217, 0x00000000, 0x00000000, 0x00000000, 0xd8b7071a,
      0x1f42f68e, 0x2cb6672a, 0x1f42f88f, 0x00000000, 0x00000000],
     [0x00006218, 0x00000000, 0x00000000, 0x00000000, 0xfcb6c719,
      0x1f42f84e, 0xccb76727, 0x1f42f88e, 0xdcb5272a, 0x1f42fb8e],
     [0x0000636c, 0x00000000, 0x00000000, 0x00000000, 0xa8b1e70d,
      0x1f42f84e, 0xa8b5a715, 0x1f42f7ce, 0x1cb76703, 0x1f430210],
     [0x0000621a, 0x00000000, 0x9cb6e734, 0x1f43008e, 0xe8b906ef,
      0x1f42f98e, 0xf8b846f3, 0x1f42f58e, 0xc4aaa70f, 0x1f42fb8e],
     [0x00008ab7, 0x00000000, 0x78860615, 0x1362f0cf, 0x78860615,
      0x1362fa0f, 0xa074a67e, 0x0f8afe0f, 0xa08e255b, 0x156afa0f],
     [0x00008ab8, 0x00000000, 0xa08e255b, 0x156afa0f, 0xa08e267e,
      0x156afa0f, 0xa08ca67e, 0x156afd0f, 0xa0a2e67e, 0x1ae2f98f],
     [0x00010094, 0x00000000, 0x787325b4, 0x0de2f2cf, 0x787b65b4,
      0x0ffaf24f, 0x787b65b4, 0x0ffaf24f, 0x747b8693, 0x0fa2f3cf],
     [0x00010095, 0x00000000, 0x7473a5a1, 0x0de2f58f, 0x2073a5a1,
      0x0de2ed4d, 0xfc806693, 0x0fa2f1cb, 0x6c9c0693, 0x0fa2f1cf],
     [0x00006372, 0x00000000, 0xc4b70715, 0x1f42fc8e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x38b7070c, 0x1f42f910],
     [0x00010097, 0x00000000, 0x687665c3, 0x0f02f5cf, 0x6891c5c3,
      0x14d2f5cf, 0x6877c5c3, 0x0f52f58f, 0x646905a1, 0x0b2ad50c],
     [0x00006374, 0x00000000, 0x10b806d3, 0x1f42f610, 0x90b38722,
      0x1f4300cf, 0x00000000, 0x00000000, 0xa0b3470d, 0x1f42f990],
     [0x00006222, 0x00000000, 0xbcb6c738, 0x1f43070e, 0x74b22706,
      0x1f42fe4f, 0x00000000, 0x00000000, 0x68b7a725, 0x1f4309ce],
     [0x0001009a, 0x00000000, 0x745f8676, 0x08b2f20f, 0x785fc5ae,
      0x0a6afacf, 0xa063c5a1, 0x07baec0f, 0x7467e693, 0x08b2ef0f],
     [0x00006377, 0x00000000, 0xd0b306ec, 0x1f42fe0f, 0x44b306ca,
      0x1f42ffd0, 0xbcaf06f2, 0x1f43044f, 0x50b826f6, 0x1f42fc0f],
     [0x00006225, 0x00000000, 0x00000000, 0x00000000, 0xb4b5c6fd,
      0x1f42fc8f, 0x54b0e6f3, 0x1f42fb4f, 0xa0b5c716, 0x1f42f68e],
     [0x000088dc, 0x00000000, 0xe09ae6d7, 0x18d2fbcc, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000637a, 0x00000000, 0xa4b9a73f, 0x1f42f98e, 0x80b1a715,
      0x1f42fbce, 0x24b46721, 0x1f42fecf, 0xbcb1c713, 0x1f4301ce],
     [0x00006228, 0x00000000, 0x00000000, 0x00000000, 0x34b54709,
      0x1f42fb8f, 0xa8b26721, 0x1f42fb8e, 0x00000000, 0x00000000],
     [0x000088df, 0x00000000, 0x30a50630, 0x1b3afa8c, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000100a1, 0x00000000, 0xfc88e693, 0x0e2ad28b, 0xfc6ae5be,
      0x0a9b01cb, 0xd489c693, 0x0dbade8b, 0x1c6385b4, 0x0a52f78e],
     [0x000138ae, 0x00000000, 0x388686dc, 0x116afb0c, 0x00000000,
      0x00000000, 0x388f66dc, 0x10a2f2cc, 0x00000000, 0x00000000],
     [0x0000622c, 0x00000000, 0x94b80734, 0x1f42f50e, 0x44b6a6f2,
      0x1f42f98f, 0x80af0725, 0x1f430d0e, 0x00000000, 0x00000000],
     [0x00008ac9, 0x00000000, 0x38cca6f9, 0x25baff8b, 0x209a462d,
      0x185af94e, 0x209a462d, 0x185af94e, 0xfc7d8649, 0x1102f80d],
     [0x000100a5, 0x00000000, 0xa07e2693, 0x0fa2fbcf, 0xa07c6693,
      0x0fa2fbcf, 0x6872267e, 0x0c4ae7cf, 0xe877e5a1, 0x0e12f40b],
     [0x000088e5, 0x00000000, 0xa4af4661, 0x1cf2f40d, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000100a7, 0x00000000, 0xa09265b8, 0x11e2f44f, 0xfc6fc674,
      0x0c9ada0b, 0xa479a59f, 0x0e7af48b, 0xa079a5b8, 0x0eb2f44f],
     [0x000100a8, 0x00000000, 0x5c91c62e, 0x0f02f44c, 0xa07e2693,
      0x0fa2fbcf, 0xa07c6693, 0x0fa2fbcf, 0x6c9b2693, 0x173af1cf],
     [0x000100a9, 0x00000000, 0xfca00693, 0x173af1cb, 0xe49b2693,
      0x1792f1ce, 0x747fe60a, 0x0fa2f78f, 0xfc906693, 0x102ae60b],
     [0x000100aa, 0x00000000, 0x608b060a, 0x13c2f78f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00008ad0, 0x00000000, 0x84ab661d, 0x1cf2fbd0, 0x84ab65e4,
      0x1cf2fbd0, 0x6cab65a9, 0x1cf2fbcd, 0x38ab65fc, 0x1cf2f94f],
     [0x000100ac, 0x00000000, 0xb86f672e, 0x0bd2efd4, 0xb872472e,
      0x0bd2efd4, 0xbc6a473b, 0x0962f912, 0x0466869a, 0x0a02ee95],
     [0x00006389, 0x00000000, 0x8cb5e726, 0x1f42fa8e, 0xf0b4c706,
      0x1f42ff0e, 0xbcb5470c, 0x1f42fdce, 0xb4b806de, 0x1f42f70f],
     [0x00003c41, 0x00000000, 0x4c800511, 0x106aee13, 0x2892e637,
      0x106b26d7, 0x286f8637, 0x106b0e97, 0x1867a64a, 0x106b0b17],
     [0x00003c42, 0x00000000, 0x48844661, 0x106ae60f, 0xa0770463,
      0x106affcf, 0xbc750584, 0x106b03d2, 0x6877e64b, 0x106afe17],
     [0x000100b0, 0x00000000, 0x3c64e69a, 0x0a32f594, 0x3c69669a,
      0x0a32f3d4, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00003c44, 0x00000000, 0x00000000, 0x00000000, 0xfc8986a9,
      0x106adb4b, 0x1871664b, 0x106b1e97, 0x847504de, 0x106b03d2],
     [0x00003c45, 0x00000000, 0x846a24de, 0x106b19d2, 0xa0762597,
      0x106af8cf, 0xa07a8597, 0x106b018f, 0x5c74a568, 0x106b04d1],
     [0x0000638f, 0x00000000, 0xe4b28709, 0x1f42fa4e, 0xa4aec6fa,
      0x1f42fa4f, 0x90b386de, 0x1f42fa4f, 0x7cb7c6c0, 0x1f42fa0f],
     [0x000088f3, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x1ca986c3, 0x1cf2fa8c, 0x00000000, 0x00000000],
     [0x000088f4, 0x00000000, 0x3462857d, 0x0ffb2591, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000100b6, 0x00000000, 0x5072c672, 0x0a6b0b57, 0x9064a646,
      0x0a6b21d7, 0x906ae6ab, 0x0a6b14d7, 0xfc578410, 0x0a6ae90c],
     [0x000100b7, 0x00000000, 0xb473e658, 0x0a6b0717, 0x587b4680,
      0x0a6b0557, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000100b8, 0x00000000, 0x08686694, 0x09daf3d3, 0xd459472d,
      0x06e2f854, 0xdc62c69b, 0x0962f214, 0xd46de69b, 0x0be2ef14],
     [0x00006395, 0x00000000, 0x40b00729, 0x1f43000e, 0x7cb2470a,
      0x1f42fbce, 0xf4b8a72b, 0x1f42f78e, 0x3cb7e70a, 0x1f42fb4f],
     [0x00006243, 0x00000000, 0x8cb5a704, 0x1f42f98e, 0x00000000,
      0x00000000, 0x58b60739, 0x1f43044e, 0x00000000, 0x00000000],
     [0x00003c4e, 0x00000000, 0x1c8043e8, 0x106aee0c, 0x20800667,
      0x106aee17, 0xfc80063e, 0x106aee17, 0x7478a5a2, 0x106afc8f],
     [0x00003c4f, 0x00000000, 0x7478a5a2, 0x106afc8f, 0x20800667,
      0x106aee57, 0xa07bc673, 0x106af68f, 0xa07c0672, 0x106af5cf],
     [0x00006399, 0x00000000, 0xa4b88706, 0x1f42f78f, 0x48b406fe,
      0x1f42f78f, 0x90ada71a, 0x1f42f64e, 0x48ad6717, 0x1f42fece],
     [0x0000639a, 0x00000000, 0x00000000, 0x00000000, 0x58b40733,
      0x1f43060e, 0x9cb3c71a, 0x1f43000e, 0x00000000, 0x00000000],
     [0x00003c52, 0x00000000, 0x1476a59c, 0x106af14c, 0x8c788651,
      0x106afd0f, 0x1481059c, 0x106aec4c, 0x1484840b, 0x106ae58f],
     [0x00003c53, 0x00000000, 0x188484a3, 0x106ae58f, 0x1884853c,
      0x106ae58f, 0x188485d5, 0x106ae58f, 0x1884866e, 0x106ae58f],
     [0x00003c54, 0x00000000, 0x188484a3, 0x106ae58f, 0x1884853c,
      0x106ae58f, 0x188485d5, 0x106ae58f, 0x1884866e, 0x106ae58f],
     [0x00003c55, 0x00000000, 0x1484840b, 0x106ae58f, 0x188484a3,
      0x106ae58f, 0x1884853c, 0x106ae58f, 0x188485d5, 0x106ae58f],
     [0x00003c56, 0x00000000, 0x1884866e, 0x106ae58f, 0x188484a3,
      0x106ae58f, 0x1884853c, 0x106ae58f, 0x188485d5, 0x106ae58f],
     [0x00003c57, 0x00000000, 0x1884866e, 0x106ae58f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x9075264b, 0x106b0596],
     [0x00003c58, 0x00000000, 0x9074464b, 0x106b03d6, 0x147ba64b,
      0x106af6d7, 0x147ba64b, 0x106af6d7, 0x1872a64b, 0x106b03d7],
     [0x00003c59, 0x00000000, 0x1875264b, 0x106b08d7, 0x287ac59c,
      0x106af58c, 0x8c79864b, 0x106aee8f, 0x107ae64b, 0x106af14c],
     [0x00003c5a, 0x00000000, 0x807da59f, 0x106af30f, 0x8c7d05b2,
      0x106af3cf, 0xa07b459f, 0x106af74f, 0x1863a66e, 0x106b26cf],
     [0x000063a4, 0x00000000, 0xe8b88739, 0x1f42f68e, 0x8cb5c71b,
      0x1f42fc0e, 0xbcb6a726, 0x1f42fc0e, 0xd4b36718, 0x1f42fd0e],
     [0x00008908, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xc07803f8, 0x0fa2f80d],
     [0x00003c5d, 0x00000000, 0xa078a64b, 0x106afccf, 0x8c7e859c,
      0x106af6cf, 0x8c7d859f, 0x106af60f, 0x747ba596, 0x106af68f],
     [0x000063a7, 0x00000000, 0xe4b1c71a, 0x1f42fc0e, 0xd0b06710,
      0x1f42fb4e, 0x88b52715, 0x1f42fe0e, 0xa0b66738, 0x1f42fb0e],
     [0x000063a8, 0x00000000, 0x3cad273f, 0x1f4310ce, 0x6cb0e700,
      0x1f42f84e, 0x00000000, 0x00000000, 0x3cb1c704, 0x1f42fdce],
     [0x000063a9, 0x00000000, 0xc0b46728, 0x1f42f7ce, 0x9cb52730,
      0x1f42f9ce, 0x58b4c70e, 0x1f42f80e, 0x00000000, 0x00000000],
     [0x00003c61, 0x00000000, 0xa080a64b, 0x106aed0f, 0xa07fa59c,
      0x106af34f, 0x00000000, 0x00000000, 0x74802656, 0x106aee0f],
     [0x000063ab, 0x00000000, 0xd8aae720, 0x1f42fdce, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x40b2070d, 0x1f42fecf],
     [0x00003c63, 0x00000000, 0xa0796596, 0x106afb0c, 0xa07a85a2,
      0x106af8cc, 0x9c78c64b, 0x106afc8e, 0x8c78c64b, 0x106afc8f],
     [0x00003c64, 0x00000000, 0x7470c657, 0x106b0c8f, 0x74798656,
      0x106afb0f, 0xa07b664b, 0x106af5cf, 0x287b864b, 0x106b060c],
     [0x000063ae, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x58b2e725, 0x1f42f90f, 0x00000000, 0x00000000],
     [0x000063af, 0x00000000, 0x00000000, 0x00000000, 0xb4b3e707,
      0x1f42f88e, 0x58b80725, 0x1f42f4cf, 0x00000000, 0x00000000],
     [0x00003c67, 0x00000000, 0xa07aa59f, 0x106af88f, 0xa07b2596,
      0x106afb4f, 0xa07b6596, 0x106af70f, 0xa078e596, 0x106af84f],
     [0x000063b1, 0x00000000, 0x00000000, 0x00000000, 0xb8b6470f,
      0x1f42f88e, 0x04b0a710, 0x1f4303cf, 0x00000000, 0x00000000],
     [0x00003c69, 0x00000000, 0x2c6d065d, 0x106b13d7, 0x1c71c64b,
      0x106b03d7, 0x2c75466c, 0x106b0357, 0x1063440a, 0x106afa4c],
     [0x00003c6a, 0x00000000, 0x1079c40a, 0x106b278c, 0x6c718369,
      0x106b0b0a, 0x4877036b, 0x106affca, 0xdc74a4f3, 0x106b04d2],
     [0x00003c6b, 0x00000000, 0x5c74a568, 0x106b04d1, 0x6c716368,
      0x106b0b0a, 0xf4716369, 0x106b0ac9, 0xfc7b236e, 0x106af80a],
     [0x00003c6c, 0x00000000, 0x047f43e0, 0x106aef4a, 0x8883a672,
      0x106af096, 0x2c6dc656, 0x106b11d7, 0x2c6e0656, 0x106b1257],
     [0x00008919, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x0000891a, 0x00000000, 0x6894068c, 0x1562ee0f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000138cb, 0x00000000, 0x388b06dc, 0x132af88c, 0x00000000,
      0x00000000, 0x388f06dc, 0x129ae24c, 0x00000000, 0x00000000],
     [0x000063b9, 0x00000000, 0x00000000, 0x00000000, 0xb0ad070b,
      0x1f42f80e, 0xbcb7a70b, 0x1f42f7ce, 0xbcb3070b, 0x1f42face],
     [0x0000e9e4, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x549a469b, 0x180af4cf, 0x00000000, 0x00000000],
     [0x000063bb, 0x00000000, 0x5cb1871d, 0x1f430d8e, 0x00000000,
      0x00000000, 0xbcb6c722, 0x1f42f6ce, 0x9cb2e70b, 0x1f42fe8e],
     [0x000138cd, 0x00000000, 0x387be6dc, 0x0ef2f54c, 0x00000000,
      0x00000000, 0x387ac6dc, 0x0dc2f0cc, 0x00000000, 0x00000000],
     [0x000063bd, 0x00000000, 0x9cb0e70e, 0x1f42fcce, 0xccb3870b,
      0x1f42f5ce, 0x64b4670b, 0x1f42f9cf, 0xbcb5a70b, 0x1f42f8ce],
     [0x000100e2, 0x00000000, 0xa093668e, 0x13b2efcf, 0xa0a5268e,
      0x1722ef0f, 0xa074268e, 0x0af2eecf, 0x00000000, 0x00000000],
     [0x000100e3, 0x00000000, 0x5895e68e, 0x1692fc8f, 0x00000000,
      0x00000000, 0xa099268e, 0x1222f00f, 0xa09ae68e, 0x17d2ec8f],
     [0x000100e4, 0x00000000, 0x746ee671, 0x08b2fa4f, 0xa0850684,
      0x131ae14f, 0xa0880675, 0x131aec0f, 0xa08f2675, 0x131af00f],
     [0x000100e5, 0x00000000, 0xa0804684, 0x131ae60f, 0xa08dc675,
      0x131aedcf, 0xa08a4675, 0x1162ec8f, 0xa09ea675, 0x1692ec0f],
     [0x000100e6, 0x00000000, 0x5895e683, 0x1692fd0f, 0xa06e8675,
      0x0a6aec0f, 0xa098c675, 0x14daefcf, 0xa0850684, 0x131ae14f],
     [0x000100e7, 0x00000000, 0xa0ab8675, 0x1a0ae98f, 0x64996675,
      0x14dae90f, 0xa0938675, 0x145aec8f, 0x5895e683, 0x1692fd0f],
     [0x000100e8, 0x00000000, 0xa09ea675, 0x1692ec0f, 0xa08a2675,
      0x131aee0f, 0x00000000, 0x00000000, 0xa090e675, 0x1362ec8f],
     [0x000100e9, 0x00000000, 0xa08da675, 0x1162fccf, 0xa08f8684,
      0x1163018f, 0xa099e675, 0x172afa8f, 0xa0906675, 0x131ae6cf],
     [0x000100ea, 0x00000000, 0xa09fc683, 0x151b014f, 0xa09ae682,
      0x17d2ec8f, 0xa0780740, 0x0a6aec0f, 0xa08f8740, 0x1163018f],
     [0x000100eb, 0x00000000, 0x74832671, 0x1142f4cf, 0x7473a671,
      0x0de2f58f, 0x6c75c671, 0x0ed2f18c, 0x74628671, 0x08b2fa4f],
     [0x000100ec, 0x00000000, 0x78764671, 0x0ef2f2cf, 0x748325a1,
      0x1142f4cf, 0x6c7ec68e, 0x0fd2e40c, 0x6875459b, 0x0cd2f2cc],
     [0x000063c9, 0x00000000, 0xd0af270b, 0x1f42fe8e, 0x9cb5a70b,
      0x1f42f9ce, 0x6cb2a735, 0x1f43068e, 0x00000000, 0x00000000],
     [0x000100ee, 0x00000000, 0x747c468e, 0x0f02f4cf, 0x745be5a1,
      0x08b2fa4f, 0x6c78a5a1, 0x0de2f18f, 0x6074668e, 0x0e52eb0f],
     [0x000100ef, 0x00000000, 0x6c7ae594, 0x1072e5cc, 0x5877e5a1,
      0x0eb2f30f, 0xbc764693, 0x0e32f58c, 0x747905a1, 0x0fa2f4cf],
     [0x000063cc, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xacb52707, 0x1f42f78e, 0xecb8a71a, 0x1f42f6ce],
     [0x000100f1, 0x00000000, 0x7473c594, 0x0cd2f10f, 0x787645a1,
      0x0ef2f2cf, 0x6c8845a1, 0x1372f4cc, 0x647cc5a1, 0x0e4ad30c],
     [0x000100f2, 0x00000000, 0x6c9205a1, 0x1242f1cc, 0x7490459f,
      0x1572f4cf, 0x746b6646, 0x08b2fa4f, 0x78764646, 0x0ef2f2cf],
     [0x000100f3, 0x00000000, 0x74790671, 0x0fa2f4cf, 0x78764671,
      0x0ef2f2cf, 0x74904671, 0x1572f4cf, 0x00000000, 0x00000000],
     [0x000100f4, 0x00000000, 0x7875069e, 0x0e42f94f, 0x7880468e,
      0x1162f2cf, 0xa0952684, 0x12a3018f, 0x00000000, 0x00000000],
     [0x000100f5, 0x00000000, 0x00000000, 0x00000000, 0x6c88e693,
      0x139af4cc, 0x74a68594, 0x18c2f24f, 0x00000000, 0x00000000],
     [0x000100f6, 0x00000000, 0x6c95e683, 0x1692fd0c, 0x6c7905a1,
      0x0fa2f4cc, 0x6491a682, 0x150afbcc, 0xbc7ac5b2, 0x0de2f58c],
     [0x000100f7, 0x00000000, 0xa08f2675, 0x116af00f, 0xa8798599,
      0x0f3af60c, 0x5892e6ed, 0x142af2cf, 0xa0762693, 0x0e4af5cf],
     [0x000100f8, 0x00000000, 0x64920682, 0x1622efcc, 0x58768610,
      0x1083054c, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006282, 0x00000000, 0xf8b56725, 0x1f43028e, 0x00000000,
      0x00000000, 0x00b3a70b, 0x1f42fa50, 0x00000000, 0x00000000],
     [0x00006283, 0x00000000, 0xe4b3e70e, 0x1f42f7cf, 0x00000000,
      0x00000000, 0xc8b68720, 0x1f43014e, 0x60b026eb, 0x1f43024f],
     [0x00006284, 0x00000000, 0xb8b2a71e, 0x1f42face, 0xf8b6c702,
      0x1f42f88f, 0x18adc717, 0x1f42fe50, 0xacad871a, 0x1f42fe8e],
     [0x000100fc, 0x00000000, 0x6c8465a1, 0x10aaea0f, 0x6c7b05a1,
      0x1022f4cc, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000100fd, 0x00000000, 0x5895e683, 0x1692fd0f, 0x747305a1,
      0x0de2f58f, 0x747245a1, 0x0de2f40f, 0x00000000, 0x00000000],
     [0x00006287, 0x00000000, 0x00000000, 0x00000000, 0xf4b5071a,
      0x1f42fd4e, 0x7cb546d0, 0x1f4300cf, 0x98b986f6, 0x1f42fa8f],
     [0x000063db, 0x00000000, 0x00af2709, 0x1f42ff0f, 0xc0b2c722,
      0x1f42fe4f, 0x48b4c711, 0x1f43010f, 0x68b34709, 0x1f42ff4f],
     [0x00003c93, 0x00000000, 0xa07b664b, 0x106af04f, 0x0c724667,
      0x106b0998, 0x9c72464b, 0x106b0997, 0x00000000, 0x00000000],
     [0x00010101, 0x00000000, 0x58938682, 0x148afecf, 0x587cc683,
      0x0fa2efcf, 0xa06e4675, 0x0a6aec4f, 0xa074a740, 0x0a6ae64f],
     [0x00010102, 0x00000000, 0x58786675, 0x0de2e58f, 0x60af2675,
      0x1e0ae54f, 0xa0afc675, 0x1e32e70f, 0xa0962675, 0x1892ff8f],
     [0x00010103, 0x00000000, 0xa090a77a, 0x136ae70f, 0x00000000,
      0x00000000, 0x6898075f, 0x1483098f, 0xd49be675, 0x1692e7cc],
     [0x00003c97, 0x00000000, 0xa07b264b, 0x106af0cf, 0x8c7e8658,
      0x106af6cf, 0xa07ca732, 0x106af4cf, 0xa07ca732, 0x106af4cf],
     [0x00010105, 0x00000000, 0xd4958675, 0x147ad44c, 0xa08d6675,
      0x131aee4f, 0xa0b8067d, 0x1de2e04f, 0x60830684, 0x11a2f04f],
     [0x00003c99, 0x00000000, 0xa07d4732, 0x106af48f, 0xa07d470b,
      0x106af48f, 0xa0764732, 0x106b01cf, 0xa0764732, 0x106b01cf],
     [0x00003c9a, 0x00000000, 0x8880067d, 0x106afbcf, 0x8880067d,
      0x106afbcf, 0x88800674, 0x106afbcf, 0x88800657, 0x106afbcf],
     [0x00003c9b, 0x00000000, 0x88800656, 0x106afbcf, 0x8878867d,
      0x106afbcf, 0x8878867d, 0x106afbcf, 0x88788657, 0x106afbcf],
     [0x00003c9c, 0x00000000, 0xa077667d, 0x106b018f, 0xa077667d,
      0x106b018f, 0x74790732, 0x106afc0f, 0x74790732, 0x106afc0f],
     [0x00003c9d, 0x00000000, 0x74790729, 0x106afc0f, 0x7479070b,
      0x106afc0f, 0x747f8732, 0x106aef0f, 0x747f8732, 0x106aef0f],
     [0x00003c9e, 0x00000000, 0xa07da732, 0x106af2cf, 0xa07da732,
      0x106af2cf, 0x8878e67d, 0x106afc4f, 0x8878e67d, 0x106afc4f],
     [0x00003c9f, 0x00000000, 0x8878e674, 0x106afc4f, 0x8878e657,
      0x106afc4f, 0x887e867d, 0x106af10f, 0x887e867d, 0x106af10f],
     [0x00003ca0, 0x00000000, 0x107d067d, 0x106af48c, 0x107d067d,
      0x106af48c, 0xa064a440, 0x106b244f, 0x606c06bf, 0x106b1617],
     [0x0001010e, 0x00000000, 0x747c65a1, 0x107af54f, 0x747c6683,
      0x107af54f, 0x747b25a1, 0x0f5af28f, 0x7075c5a1, 0x0ed2e30f],
     [0x0001010f, 0x00000000, 0x7089a598, 0x13cae2cf, 0x7c7985a1,
      0x0fc2f30f, 0x747945a1, 0x0f4af54f, 0x7c7a65a1, 0x0ffaf2cf],
     [0x00010110, 0x00000000, 0x6c7885a1, 0x0f1adacc, 0x747345a1,
      0x0dcaf4cf, 0x7c9725a1, 0x172af24f, 0x686f25a1, 0x0d2adecc],
     [0x000063ed, 0x00000000, 0x78b586e7, 0x1f42fccf, 0x8cae8725,
      0x1f43084e, 0xa4b146eb, 0x1f43024f, 0x48b146e7, 0x1f43028f],
     [0x00010112, 0x00000000, 0x749ca5a1, 0x188af5cf, 0xc89ca5a1,
      0x188af5cc, 0x748085a1, 0x11baf10f, 0x7490a5a1, 0x158afa8f],
     [0x000063ef, 0x00000000, 0x4cb246e9, 0x1f4300cf, 0x50b026e7,
      0x1f43050f, 0x54b326f7, 0x1f43040f, 0x8cb0a6ee, 0x1f4301cf],
     [0x00010114, 0x00000000, 0x00000000, 0x00000000, 0x7479e646,
      0x0dc2f68f, 0x60768693, 0x0efaf30c, 0x74776680, 0x0c32ee4f],
     [0x000063f1, 0x00000000, 0xecb2a71d, 0x1f43028e, 0x08b3c6db,
      0x1f4305cf, 0x00b3e70d, 0x1f4303cf, 0x7cb1a6f8, 0x1f43080f],
     [0x00003ca9, 0x00000000, 0xa07da64b, 0x106af28f, 0xdc7ac64b,
      0x106af9cd, 0xa076264b, 0x106b018f, 0xa07da64b, 0x106af28f],
     [0x000063f3, 0x00000000, 0xa4b146ed, 0x1f43024f, 0x1caea6fa,
      0x1f43000f, 0x10b3a70c, 0x1f42fe0f, 0x00000000, 0x00000000],
     [0x00003cab, 0x00000000, 0xa07dc596, 0x106af24f, 0x6479e596,
      0x106af60e, 0xa07dc596, 0x106af24f, 0x787f6596, 0x106aef0d],
     [0x00008958, 0x00000000, 0xe4988776, 0x1623264a, 0xe46f4776,
      0x1622eb4a, 0xe47ae776, 0x1622eb4a, 0xe47ae776, 0x1622eb4a],
     [0x0001011a, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa0ae2675, 0x1dcae04f, 0x74944598, 0x172aee0f],
     [0x0000895a, 0x00000000, 0xcc986776, 0x1622eb53, 0x58986776,
      0x1622eb52, 0xe4986776, 0x1622eb4a, 0xe4986776, 0x1622eb4a],
     [0x0000895b, 0x00000000, 0xe4986776, 0x1622eb4a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000063f9, 0x00000000, 0x2cb6e723, 0x1f43014f, 0x1cb566f6,
      0x1f42fe8f, 0xc4b4e6ee, 0x1f42fc8f, 0x00000000, 0x00000000],
     [0x000063fa, 0x00000000, 0x28b3471b, 0x1f42ff0f, 0x70ad86eb,
      0x1f4300cf, 0x2cb6e708, 0x1f42fd0f, 0x20b6e705, 0x1f43018f],
     [0x000063fb, 0x00000000, 0x00000000, 0x00000000, 0x30b6e6ff,
      0x1f43014f, 0x3caec6ed, 0x1f43058f, 0xd0b60725, 0x1f42f94e],
     [0x000063fc, 0x00000000, 0x04b38706, 0x1f43048f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x78af06f3, 0x1f43038f],
     [0x000063fd, 0x00000000, 0xb8b666d5, 0x1f43008f, 0x28b566e5,
      0x1f4300cf, 0x48b12719, 0x1f42ffcf, 0x2cb6e6f0, 0x1f43014f],
     [0x000063fe, 0x00000000, 0x2cb6e723, 0x1f43010f, 0x28b24703,
      0x1f43004f, 0x78b7e6ea, 0x1f43034f, 0x84b20720, 0x1f43070f],
     [0x000063ff, 0x00000000, 0x44b2a71d, 0x1f43020f, 0x10b76718,
      0x1f43024f, 0x28b54708, 0x1f43010f, 0x40b18722, 0x1f43034f],
     [0x00006400, 0x00000000, 0x30b726f6, 0x1f43030f, 0x2cb6e6ff,
      0x1f43014f, 0xa8b24706, 0x1f43020f, 0x2cb6e711, 0x1f43014f],
     [0x00006401, 0x00000000, 0x1cb38700, 0x1f43030f, 0x1cb4471e,
      0x1f43014f, 0xd0b4670f, 0x1f43014e, 0x00000000, 0x00000000],
     [0x00006402, 0x00000000, 0x00000000, 0x00000000, 0x3cb22702,
      0x1f43048f, 0x48b226df, 0x1f42ff0f, 0x08b44725, 0x1f43014f],
     [0x00006403, 0x00000000, 0x08b3c730, 0x1f43010f, 0xf8b36722,
      0x1f4300ce, 0x78b446ea, 0x1f42fc4f, 0xa8b3a717, 0x1f42fe0e],
     [0x00006404, 0x00000000, 0x34b2c6db, 0x1f42fe4f, 0xe8b50703,
      0x1f42fc0e, 0x40afe71f, 0x1f43014f, 0x5cb2e73f, 0x1f43024f],
     [0x00006405, 0x00000000, 0x0cb5a716, 0x1f42fecf, 0x5cb2e703,
      0x1f43024f, 0x5cb126d8, 0x1f42fc8f, 0x44b5a6f8, 0x1f4301cf],
     [0x00006406, 0x00000000, 0x00000000, 0x00000000, 0x54b7271e,
      0x1f43014f, 0x0cb58716, 0x1f43014f, 0x20b586e5, 0x1f43010f],
     [0x0000896a, 0x00000000, 0x28aaa67e, 0x1c72f94d, 0x28aaa67e,
      0x1c72f94d, 0x407705b4, 0x0f22f610, 0x407705b4, 0x0f22f610],
     [0x00006408, 0x00000000, 0x2cb6e731, 0x1f43014f, 0xacb44720,
      0x1f43020e, 0xbcb6c721, 0x1f42ff8e, 0x28b1c709, 0x1f43024f],
     [0x00006409, 0x00000000, 0x10ace6cb, 0x1f43018f, 0x00000000,
      0x00000000, 0x70b1a6dc, 0x1f43054f, 0x70b22732, 0x1f43008f],
     [0x0000896d, 0x00000000, 0x108d8611, 0x14a2f4d0, 0x108d8611,
      0x14a2f4d0, 0x2cbc86fe, 0x209aff8b, 0x30bc86ff, 0x209aff8b],
     [0x0000640b, 0x00000000, 0x00000000, 0x00000000, 0x10b0c70e,
      0x1f4302cf, 0xa0b5072e, 0x1f42fd8e, 0x08ae6702, 0x1f4305cf],
     [0x0000640c, 0x00000000, 0x00000000, 0x00000000, 0x28b5a6ed,
      0x1f42fc8f, 0x2cb68719, 0x1f43048f, 0x00000000, 0x00000000],
     [0x0000640d, 0x00000000, 0x00aee712, 0x1f4301cf, 0xbcb5e721,
      0x1f42fd0e, 0xe4b2c723, 0x1f43004e, 0x00000000, 0x00000000],
     [0x0000640e, 0x00000000, 0xc0b4a726, 0x1f43000e, 0xfcb34736,
      0x1f42fece, 0x00000000, 0x00000000, 0x60b026ee, 0x1f43024f],
     [0x0000640f, 0x00000000, 0x14b706fd, 0x1f43014f, 0x4cafa72c,
      0x1f4302cf, 0xdcb7672d, 0x1f4301ce, 0xc4aec6fc, 0x1f43010e],
     [0x00006410, 0x00000000, 0x00000000, 0x00000000, 0xd8b7a725,
      0x1f42fdce, 0x14b62723, 0x1f43030f, 0x00000000, 0x00000000],
     [0x00006411, 0x00000000, 0x60b4c71a, 0x1f4301cf, 0xfcb5e71a,
      0x1f42f90e, 0x00000000, 0x00000000, 0x40b806f8, 0x1f43010f],
     [0x00006412, 0x00000000, 0x00000000, 0x00000000, 0x60b4c73d,
      0x1f4301cf, 0x6cb7c713, 0x1f42fe4f, 0x9cb2e6f1, 0x1f42fb8e],
     [0x00006413, 0x00000000, 0x00000000, 0x00000000, 0xd4b68713,
      0x1f42ff0e, 0x24b386fd, 0x1f43034f, 0x2cb4e703, 0x1f43044f],
     [0x00006414, 0x00000000, 0x4cb666f2, 0x1f42f74f, 0xc0b7c73a,
      0x1f42fe4e, 0x3cb1672e, 0x1f43018f, 0x40b7c727, 0x1f4302cf],
     [0x00006415, 0x00000000, 0xfcb4c736, 0x1f43018e, 0x0cb8a748,
      0x1f42fecf, 0x0cb8a716, 0x1f42fecf, 0xfcb10734, 0x1f4302ce],
     [0x00006416, 0x00000000, 0xb4b4a74e, 0x1f42fa8e, 0xa0b42728,
      0x1f42fbce, 0x00000000, 0x00000000, 0x08b3a726, 0x1f42ff8f],
     [0x00006417, 0x00000000, 0xe0b5a720, 0x1f42fa8e, 0x48b526f0,
      0x1f43004f, 0x24b78733, 0x1f42fdcf, 0x00000000, 0x00000000],
     [0x00006418, 0x00000000, 0xd4b80748, 0x1f4302ce, 0xc0b58720,
      0x1f42f9ce, 0xa4b66705, 0x1f42fd8e, 0xa4b72730, 0x1f42fe4e],
     [0x00006419, 0x00000000, 0x00000000, 0x00000000, 0x0cafe71e,
      0x1f43000f, 0x00000000, 0x00000000, 0x0cafe713, 0x1f43018f],
     [0x0000641a, 0x00000000, 0x10b38706, 0x1f43024f, 0xd8b2c729,
      0x1f43014e, 0x00000000, 0x00000000, 0x00b4a709, 0x1f43008f],
     [0x0000641b, 0x00000000, 0x00000000, 0x00000000, 0x04b2e73e,
      0x1f4303cf, 0x24b2e71e, 0x1f42fd4f, 0x60b106db, 0x1f42fccf],
     [0x0000641c, 0x00000000, 0xd4b16720, 0x1f42ff0e, 0x00000000,
      0x00000000, 0x1cb40707, 0x1f42fb4f, 0xccb46722, 0x1f42fece],
     [0x0000641d, 0x00000000, 0xe4b4a72f, 0x1f43020e, 0xe0b24731,
      0x1f43058e, 0xe0b6a736, 0x1f42fd4e, 0xb0b6c724, 0x1f43008e],
     [0x0000641e, 0x00000000, 0x14b5271a, 0x1f4300cf, 0xe0b6a71a,
      0x1f42fd4e, 0x98b38730, 0x1f42fe4e, 0xe0b6a6f7, 0x1f42fd4e],
     [0x0000641f, 0x00000000, 0xc0b5c731, 0x1f42fece, 0xa0b4273f,
      0x1f42fb4e, 0xbcb50717, 0x1f42fd4e, 0xf0b586fe, 0x1f42f8ce],
     [0x00006420, 0x00000000, 0x64b76724, 0x1f42fd8f, 0xf4b18735,
      0x1f43000e, 0x4cb7c725, 0x1f42fe4f, 0xb4b3672d, 0x1f42fb0e],
     [0x00006421, 0x00000000, 0xc8b4471b, 0x1f43030e, 0xc0b28738,
      0x1f42fc0e, 0xc0b226fc, 0x1f42face, 0x18b46713, 0x1f43004f],
     [0x00006422, 0x00000000, 0x00b726f3, 0x1f42fa0f, 0x70b2a738,
      0x1f42ff8e, 0x70b32738, 0x1f43008e, 0x7cb2673a, 0x1f42fa0e],
     [0x00006423, 0x00000000, 0x00000000, 0x00000000, 0x44b3472d,
      0x1f42fa4e, 0x00000000, 0x00000000, 0x18b2e6f5, 0x1f42fe4f],
     [0x00006424, 0x00000000, 0xbcb34725, 0x1f42ffce, 0x84b20713,
      0x1f43220f, 0x00000000, 0x00000000, 0x38aba6d0, 0x1f43060f],
     [0x00006425, 0x00000000, 0xacaf26e2, 0x1f43178e, 0xc8b0c74c,
      0x1f43270e, 0x00000000, 0x00000000, 0x8cace6d6, 0x1f42fe4e],
     [0x00006426, 0x00000000, 0x4cae86de, 0x1f42fb8e, 0x6cacc71d,
      0x1f43004e, 0x00000000, 0x00000000, 0xacab66aa, 0x1f43068e],
     [0x00006427, 0x00000000, 0x00000000, 0x00000000, 0xd8ae46fe,
      0x1f42fb8e, 0x9cafe727, 0x1f43018e, 0x5cad871d, 0x1f43050e],
     [0x00006428, 0x00000000, 0x7cb186e2, 0x1f42fe8e, 0x6cb026fb,
      0x1f42ffce, 0xf8acc702, 0x1f42face, 0xc8ae6700, 0x1f4301ce],
     [0x00006429, 0x00000000, 0x00000000, 0x00000000, 0x6cafe709,
      0x1f43018e, 0x4cadc736, 0x1f43020e, 0x8caec6c5, 0x1f43000e],
     [0x0000642a, 0x00000000, 0x6cac871a, 0x1f430c0e, 0x00000000,
      0x00000000, 0xd8af86e9, 0x1f43018e, 0x00000000, 0x00000000],
     [0x0000642b, 0x00000000, 0xc8ac8718, 0x1f42fe4e, 0x00000000,
      0x00000000, 0xd8af0700, 0x1f43030e, 0xd8ad0713, 0x1f42f6ce],
     [0x0000642c, 0x00000000, 0x6caba721, 0x1f43000e, 0x0caf4707,
      0x1f42fd8e, 0x6cb026e8, 0x1f42f8ce, 0xc8ae26fa, 0x1f42fb0e],
     [0x0001110d, 0x00000000, 0xa0942683, 0x166af6cf, 0xa0944675,
      0x15c2f78f, 0x7097667b, 0x14fafa8f, 0xa09e2675, 0x18b2f78f],
     [0x0000642e, 0x00000000, 0x5cb3a72c, 0x1f430bce, 0xacad2710,
      0x1f43100e, 0x48af070b, 0x1f4306cf, 0x9cae2719, 0x1f42fece],
     [0x0000642f, 0x00000000, 0x00000000, 0x00000000, 0xaca96734,
      0x1f4301ce, 0x7cae4714, 0x1f43004e, 0xb8af4726, 0x1f42fd8e],
     [0x00006430, 0x00000000, 0x00000000, 0x00000000, 0x9caf0724,
      0x1f42f6ce, 0x00000000, 0x00000000, 0x9caf6734, 0x1f42fcce],
     [0x00006431, 0x00000000, 0xe8ac071a, 0x1f43018e, 0xc8a7e6f6,
      0x1f42fd0e, 0x00000000, 0x00000000, 0x9ca7e727, 0x1f42ffce],
     [0x00006432, 0x00000000, 0x8caec6e7, 0x1f42f94e, 0x00000000,
      0x00000000, 0x9cad272d, 0x1f43084e, 0x6caf272c, 0x1f4310ce],
     [0x00006433, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x6cac2737, 0x1f43120e, 0xd8adc704, 0x1f43018e],
     [0x00006434, 0x00000000, 0xe8ac8725, 0x1f42fd0e, 0xe8ae0719,
      0x1f43068e, 0x00000000, 0x00000000, 0x18ac46f5, 0x1f4308cf],
     [0x00006435, 0x00000000, 0x8cb146ea, 0x1f43034e, 0x8cb10717,
      0x1f42f94e, 0x7cafc6d6, 0x1f43040e, 0x7cae272b, 0x1f42ff8e],
     [0x00006436, 0x00000000, 0x18aae6f6, 0x1f43084f, 0x4caf2701,
      0x1f43064e, 0x7cafc6ee, 0x1f4301ce, 0xb8ada721, 0x1f430a8e],
     [0x00006437, 0x00000000, 0x7cafc716, 0x1f43028e, 0x6caec725,
      0x1f42f90e, 0x00000000, 0x00000000, 0x7cafc708, 0x1f43020e],
     [0x00006438, 0x00000000, 0x7cafc6eb, 0x1f4302ce, 0xb8b0a6fc,
      0x1f42ff8e, 0x8caf2704, 0x1f430b0e, 0x7cafc727, 0x1f43060e],
     [0x00006439, 0x00000000, 0x4caac6fc, 0x1f42f88e, 0x4cae26e9,
      0x1f42ff8e, 0x28ac26f8, 0x1f430b4f, 0xe8acc6ff, 0x1f430b8e],
     [0x0000643a, 0x00000000, 0x6cacc725, 0x1f42f90e, 0x8cb10720,
      0x1f43000e, 0xacaf871a, 0x1f42ff0e, 0x4caec723, 0x1f42ffce],
     [0x0000643b, 0x00000000, 0x5cb1072d, 0x1f4300ce, 0x4cae2727,
      0x1f43064e, 0x00000000, 0x00000000, 0xc8ad271f, 0x1f42ff8e],
     [0x0000643c, 0x00000000, 0x5cb186d6, 0x1f42f3ce, 0x8cb2072f,
      0x1f43038e, 0xe8af872f, 0x1f42fc8e, 0x2cb16719, 0x1f43080e],
     [0x0000643d, 0x00000000, 0xacaf6722, 0x1f42f9ce, 0x5cb0872a,
      0x1f42fcce, 0x00000000, 0x00000000, 0xa0b14701, 0x1f43028e],
     [0x0000643e, 0x00000000, 0xd8afe6f9, 0x1f42fd8e, 0xb8aee6e7,
      0x1f430b4e, 0xf4b7070d, 0x1f42ffce, 0x6cade6f4, 0x1f430bce],
     [0x0000643f, 0x00000000, 0xb8ae66fd, 0x1f430bce, 0x6caf673c,
      0x1f42f8ce, 0x9caea705, 0x1f43014e, 0xacb066ee, 0x1f42fb8e],
     [0x00006440, 0x00000000, 0x9caea6fb, 0x1f42ffce, 0xd8b006eb,
      0x1f43044e, 0xacb0a728, 0x1f42fd8e, 0xe8af0710, 0x1f42fe0e],
     [0x00006441, 0x00000000, 0xe8ad66eb, 0x1f43084e, 0xc8afc6ff,
      0x1f43094e, 0xd8ae06ea, 0x1f43078e, 0xacaf46e5, 0x1f42fc0e],
     [0x00006442, 0x00000000, 0xb8aea6c3, 0x1f42ff8e, 0x9cb2871c,
      0x1f43060e, 0x00000000, 0x00000000, 0x8caf2715, 0x1f43088e],
     [0x00006443, 0x00000000, 0x00000000, 0x00000000, 0x6caca6e1,
      0x1f4302ce, 0x5caee735, 0x1f42fd4e, 0xb8af4700, 0x1f42f98e],
     [0x00006444, 0x00000000, 0x9cae0711, 0x1f4309ce, 0xb8ad86ff,
      0x1f43030e, 0xb8b0272b, 0x1f43068e, 0x00000000, 0x00000000],
     [0x00006445, 0x00000000, 0x9caf2731, 0x1f42ff0e, 0x00000000,
      0x00000000, 0xe8ad46fc, 0x1f43074e, 0x7cb0a72d, 0x1f43074e],
     [0x000062f3, 0x00000000, 0xa8a8670a, 0x1f42f850, 0x4caea70b,
      0x1f42ff0f, 0x0cad86fd, 0x1f42fb50, 0xf8aba6f2, 0x1f42fb4f],
     [0x00006447, 0x00000000, 0x7cb48731, 0x1f42f74e, 0xd8b2c6ec,
      0x1f43058e, 0x2cac6748, 0x1f42fd8e, 0x4cb0a72c, 0x1f4302ce],
     [0x00011128, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x649b0697, 0x182b02cf, 0x00000000, 0x00000000],
     [0x00011129, 0x00000000, 0x00000000, 0x00000000, 0xdca1868a,
      0x1912f04c, 0x64bc0697, 0x1f8af80f, 0x00000000, 0x00000000],
     [0x0001112a, 0x00000000, 0x00000000, 0x00000000, 0x64b60697,
      0x1e52f78f, 0x64916690, 0x15a3028f, 0x64ad4697, 0x1c72f78f],
     [0x0001112b, 0x00000000, 0x08916690, 0x15a3028f, 0x00000000,
      0x00000000, 0x64962690, 0x173afecf, 0x64afe697, 0x1c82f8cf],
     [0x0001112c, 0x00000000, 0x64a32697, 0x1a52f70f, 0x64b1c697,
      0x1d22f6cf, 0x64c44697, 0x21b2f6cf, 0x64aba697, 0x1bdaf70f],
     [0x0000644d, 0x00000000, 0x5cae0727, 0x1f4302ce, 0x7cb20701,
      0x1f42fece, 0x9cb38736, 0x1f42f88e, 0x00000000, 0x00000000],
     [0x0000644e, 0x00000000, 0x8cb4a72c, 0x1f43030e, 0x6caea6dd,
      0x1f43030e, 0xe8b00732, 0x1f42f58e, 0x9cb0c70d, 0x1f4304ce],
     [0x0000644f, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x9cb1a712, 0x1f43000e, 0x7cb1272f, 0x1f4303ce],
     [0x00006450, 0x00000000, 0x9cafe710, 0x1f42f9ce, 0xb8b2273a,
      0x1f43064e, 0x00000000, 0x00000000, 0xb8b066db, 0x1f42f8ce],
     [0x00006451, 0x00000000, 0xc8b16730, 0x1f42f84e, 0x8cb0e738,
      0x1f43074e, 0x7cb16731, 0x1f4301ce, 0x9cb14734, 0x1f42fece],
     [0x00006452, 0x00000000, 0xb8b1c720, 0x1f42f6ce, 0x7caa06fb,
      0x1f43160f, 0x9cb266e5, 0x1f43040f, 0x4cb06739, 0x1f43054f],
     [0x00011133, 0x00000000, 0x74a905a1, 0x1bc2f58f, 0x7492e5a1,
      0x1782fe4f, 0x348ba590, 0x1492f58c, 0x748ba5c6, 0x159afb0f],
     [0x00003c4b, 0x00000000, 0x147ec596, 0x106af08c, 0xfc7b859c,
      0x106af0c9, 0x747da656, 0x106af24f, 0x70798643, 0x106af48d],
     [0x00006455, 0x00000000, 0x94b3c705, 0x1f42fd8f, 0x08b146d9,
      0x1f430410, 0xc4b446ea, 0x1f4308cf, 0x88b1c6c4, 0x1f430010],
     [0x00006456, 0x00000000, 0xe8b4a6db, 0x1f4308cf, 0x00000000,
      0x00000000, 0x2cb7c6fd, 0x1f4302d0, 0x00000000, 0x00000000],
     [0x00006457, 0x00000000, 0x00000000, 0x00000000, 0xe8ae46d5,
      0x1f430650, 0x74b6c6eb, 0x1f42ff90, 0x3cad4701, 0x1f430acf],
     [0x00006458, 0x00000000, 0xe0b386c2, 0x1f4307ce, 0xb0b0a6f2,
      0x1f43000f, 0x08ae6723, 0x1f4305cf, 0xe0b646dc, 0x1f4305cf],
     [0x00006459, 0x00000000, 0x1cb3070c, 0x1f4308d0, 0x98b72700,
      0x1f43054f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00003c51, 0x00000000, 0xa073a50e, 0x106b174f, 0x2873a64b,
      0x106b0695, 0x3879c632, 0x106b2795, 0x287a2651, 0x106aec8c],
     [0x0000645b, 0x00000000, 0xecae66fb, 0x1f4307ce, 0x00000000,
      0x00000000, 0xc8adc6cf, 0x1f43068f, 0xccaa46fd, 0x1f43090f],
     [0x0000645c, 0x00000000, 0xc4b566f6, 0x1f43008f, 0x70af4714,
      0x1f430a8e, 0xc4b0e6d6, 0x1f430610, 0xe8a8870e, 0x1f430a4e],
     [0x0000645d, 0x00000000, 0x04b726fa, 0x1f42fc0f, 0xd8b38738,
      0x1f4300ce, 0x50b4270b, 0x1f43080f, 0x08b2e701, 0x1f430350],
     [0x0000645e, 0x00000000, 0x3cb84737, 0x1f430550, 0x8cb0670d,
      0x1f4307cf, 0xdcab8714, 0x1f4308cf, 0x00000000, 0x00000000],
     [0x0000645f, 0x00000000, 0x00000000, 0x00000000, 0x80a986d9,
      0x1f43020f, 0x6cad66d8, 0x1f430510, 0x28b78717, 0x1f4303cf],
     [0x00006460, 0x00000000, 0x78b366f2, 0x1f4304cf, 0xf0b546fd,
      0x1f4300ce, 0xacb926f3, 0x1f42fd0e, 0x8cb7e711, 0x1f42fc0f],
     [0x00003d18, 0x00000000, 0xa07ca70f, 0x106af4cf, 0xa07d4701,
      0x106af48f, 0xa07da701, 0x106af28f, 0x7479070f, 0x106afc0f],
     [0x00003d19, 0x00000000, 0x747d4701, 0x106af44f, 0xa07e8701,
      0x106af0cf, 0x747b0701, 0x106af7cf, 0x747f2701, 0x106aee0f],
     [0x00003d1a, 0x00000000, 0xa07dc701, 0x106af54f, 0x00000000,
      0x00000000, 0x88800667, 0x106afbcf, 0x88788667, 0x106afbcf],
     [0x00003d1b, 0x00000000, 0xa07dc655, 0x106af24f, 0x8878e667,
      0x106afc4f, 0x107d0655, 0x106af48c, 0xa07f2655, 0x106aefcf],
     [0x00003d1c, 0x00000000, 0x8c76e656, 0x106afc8f, 0x8c7fc656,
      0x106aee8f, 0xa07e8655, 0x106af20f, 0x00000000, 0x00000000],
     [0x00006466, 0x00000000, 0x00000000, 0x00000000, 0x40b706f7,
      0x1f4303cf, 0x84b706be, 0x1f42fb0f, 0x80b7470c, 0x1f42ffd0],
     [0x00003c5e, 0x00000000, 0x1078a59f, 0x106b000c, 0x0c78c654,
      0x106aee0c, 0x0c77259f, 0x106afb0c, 0x8c80264b, 0x106af30f],
     [0x00006468, 0x00000000, 0xacb226f0, 0x1f43040f, 0xacb24719,
      0x1f43054e, 0x84b3a713, 0x1f42ff10, 0x8cb3e70a, 0x1f4300cf],
     [0x00006469, 0x00000000, 0xf0b0c746, 0x1f43038d, 0x68ac86ee,
      0x1f4302cf, 0x00000000, 0x00000000, 0x20b406a4, 0x1f42ffcf],
     [0x0000646a, 0x00000000, 0x4cb02721, 0x1f42ffcf, 0x00000000,
      0x00000000, 0xc0b7a701, 0x1f4300ce, 0x90b0c72b, 0x1f43068e],
     [0x0000646b, 0x00000000, 0x34b1473e, 0x1f43098e, 0x54b24728,
      0x1f4302cf, 0xa4b1a704, 0x1f43024f, 0xd8b36718, 0x1f4301cf],
     [0x0000646c, 0x00000000, 0x8cb14701, 0x1f43024e, 0xacb50725,
      0x1f42fe8f, 0x64b7e73a, 0x1f43040e, 0x9cae66f9, 0x1f43078e],
     [0x0000646d, 0x00000000, 0x84b0a71f, 0x1f42ff0f, 0x5cb90733,
      0x1f42fe0e, 0x00000000, 0x00000000, 0x7cb42727, 0x1f4301cf],
     [0x0000646e, 0x00000000, 0x70b6873f, 0x1f42f7ce, 0x04b3a6f9,
      0x1f43044f, 0x28b3e728, 0x1f42fc8f, 0x00000000, 0x00000000],
     [0x0000646f, 0x00000000, 0x90b3e6f7, 0x1f43004f, 0x94b586ee,
      0x1f42ff10, 0xccb54739, 0x1f43004e, 0x00000000, 0x00000000],
     [0x00006470, 0x00000000, 0x70b6a73f, 0x1f42fe0e, 0xb0b4e720,
      0x1f430d0e, 0x94b6c72c, 0x1f4300ce, 0xa0b72711, 0x1f42ffce],
     [0x00003c68, 0x00000000, 0x4078659f, 0x106afd4e, 0xa07c859f,
      0x106af84f, 0xb8800675, 0x106aee17, 0x2c63a65d, 0x106b26d7],
     [0x00006472, 0x00000000, 0x2cb886fd, 0x1f42f3cf, 0x2cafa6fd,
      0x1f42f9cf, 0xf8b66703, 0x1f42face, 0xacb16718, 0x1f43000e],
     [0x00006473, 0x00000000, 0x04b366e3, 0x1f430790, 0x48b1e728,
      0x1f430b8f, 0x0cb3a6fc, 0x1f42fe8f, 0x14b1e724, 0x1f43058f],
     [0x00006474, 0x00000000, 0xd4ac472b, 0x1f42fdce, 0x44b5c71e,
      0x1f42fa0f, 0x00000000, 0x00000000, 0x8cb2270b, 0x1f42fbcf],
     [0x00006475, 0x00000000, 0xa4b80708, 0x1f42fa0f, 0xecaa0703,
      0x1f4300ce, 0x4cb1a703, 0x1f430190, 0xc4a6072f, 0x1f42fdce],
     [0x00006476, 0x00000000, 0xc8b54714, 0x1f42ff0e, 0xecaee713,
      0x1f42f50e, 0x44b2e703, 0x1f42fecf, 0x70b0e713, 0x1f43038f],
     [0x00006477, 0x00000000, 0xa0b6c70d, 0x1f43030f, 0xf8b5e724,
      0x1f4300ce, 0x00000000, 0x00000000, 0x74b866f1, 0x1f42f450],
     [0x00006478, 0x00000000, 0x00000000, 0x00000000, 0xa0b2470d,
      0x1f4300cf, 0x54aca708, 0x1f42fecf, 0x04ae6732, 0x1f42f90f],
     [0x00006479, 0x00000000, 0x4ca8a712, 0x1f4302cf, 0x00000000,
      0x00000000, 0x84af26f6, 0x1f42fd0f, 0xccaca716, 0x1f42f90e],
     [0x0000647a, 0x00000000, 0xccb7c6ef, 0x1f42fd0e, 0x7cb58709,
      0x1f42f90f, 0x24b3e708, 0x1f42fc0f, 0x0cadc70b, 0x1f42fdcf],
     [0x0000647b, 0x00000000, 0x7cb4c708, 0x1f42fc0e, 0xecb4470e,
      0x1f42fccf, 0xc0b1670c, 0x1f42ff0e, 0x00000000, 0x00000000],
     [0x0000647c, 0x00000000, 0x00000000, 0x00000000, 0xf0b92718,
      0x1f42fb0f, 0x00000000, 0x00000000, 0x98b446fa, 0x1f42f80f],
     [0x0000647d, 0x00000000, 0x40b08703, 0x1f42fc0f, 0xe8b886f6,
      0x1f42f9cf, 0xfcba2720, 0x1f42f0cf, 0x4cb62718, 0x1f42fb10],
     [0x0000647e, 0x00000000, 0x7cb0a70d, 0x1f42fecf, 0xa8afe700,
      0x1f42fd0f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000647f, 0x00000000, 0xf0b846ed, 0x1f42f44f, 0xccb7a6ec,
      0x1f42f90e, 0x08b286f8, 0x1f43000f, 0x5cb186f8, 0x1f42fb0e],
     [0x00006480, 0x00000000, 0xc4b446e4, 0x1f42fb0f, 0x60ad2710,
      0x1f42fb0f, 0x68b5a6fb, 0x1f42fd0f, 0x54b3c6fc, 0x1f42f94f],
     [0x00006481, 0x00000000, 0x7cb286fa, 0x1f42fd0e, 0x18a6a700,
      0x1f42fb0f, 0xd4b806f3, 0x1f42fc0f, 0x84b0c6ff, 0x1f42fa0f],
     [0x00006482, 0x00000000, 0x00000000, 0x00000000, 0x48abc712,
      0x1f42facf, 0xdcb546ef, 0x1f42fb0f, 0x00000000, 0x00000000],
     [0x00006483, 0x00000000, 0xb8b446e3, 0x1f42fa0f, 0x9cb4c714,
      0x1f4300cf, 0x60b3e729, 0x1f42fd0f, 0xe8ab66f7, 0x1f4301ce],
     [0x00006484, 0x00000000, 0x8cb90710, 0x1f42f80f, 0xa4b5670e,
      0x1f42f60f, 0xb4b6a6f8, 0x1f42f84f, 0x00000000, 0x00000000],
     [0x00006485, 0x00000000, 0x7cb46720, 0x1f42fc4e, 0x24b3a710,
      0x1f42fcd0, 0x48b726ec, 0x1f42fb0f, 0x94b6a6e8, 0x1f42fd0f],
     [0x00006486, 0x00000000, 0x00000000, 0x00000000, 0x9cb6a6f6,
      0x1f4300cf, 0xccb686f2, 0x1f42fd0f, 0x00000000, 0x00000000],
     [0x00006487, 0x00000000, 0xe0ac86f8, 0x1f42fd0f, 0x00000000,
      0x00000000, 0x08af2724, 0x1f42f90f, 0x00000000, 0x00000000],
     [0x00006488, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xbcaf8707, 0x1f42f90e],
     [0x00006489, 0x00000000, 0x04a866ec, 0x1f42fd10, 0xd8b2c6f7,
      0x1f42fd0f, 0x2cb266fc, 0x1f42fc10, 0xb4b706e8, 0x1f42fdcf],
     [0x0000648a, 0x00000000, 0x00000000, 0x00000000, 0x84b30712,
      0x1f42ff0e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00003d42, 0x0000ca19, 0xa06fc5e8, 0x106b0e4f, 0xa07aa5e8,
      0x106af40f, 0xa07b85f5, 0x106af6cf, 0xa07d05e8, 0x106af40f],
     [0x0000648c, 0x00000000, 0x4cb306fe, 0x1f42fdce, 0xb8b7c6ea,
      0x1f42fb0f, 0x2cb886f8, 0x1f42fdd0, 0xc4b2a6fb, 0x1f42fb0e],
     [0x0000648d, 0x00000000, 0x8cb7270a, 0x1f42f50f, 0x00000000,
      0x00000000, 0x04ae46f5, 0x1f4304d0, 0xd8b406ef, 0x1f42fdcf],
     [0x03683d45, 0x0710001c, 0xa07c65f3, 0x106af54f, 0xa07c65e8,
      0x106af54f, 0xa07c05e8, 0x106af58f, 0xa07c65e8, 0x106af54f],
     [0x00003d46, 0x0000e400, 0xa07c85f3, 0x106af4cf, 0xa078869e,
      0x106afd0f, 0xa07c669e, 0x106af54f, 0xf47c45f5, 0x106af30d],
     [0x00006490, 0x00000000, 0xb8b526e4, 0x1f42f90e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006491, 0x00000000, 0x34b5e6fe, 0x1f42f950, 0x1cb22717,
      0x1f42fdd0, 0x18adc701, 0x1f42ffd0, 0x00000000, 0x00000000],
     [0x00006492, 0x00000000, 0xd8af0705, 0x1f42fc0f, 0xa0af070a,
      0x1f42f7cf, 0xe8ac6701, 0x1f42ffcf, 0xd8b76711, 0x1f42facf],
     [0x000089f6, 0x00000000, 0x4ca486b6, 0x1b12fa8c, 0x4ca486b6,
      0x1b12fa8c, 0xa0e2867e, 0x2b02fe0f, 0xa0e2867e, 0x2b02fe0f],
     [0x00006494, 0x00000000, 0xf8adc706, 0x1f42fc0f, 0x70a84716,
      0x1f42fa10, 0xccb266ee, 0x1f42fd0f, 0x8ca866f7, 0x1f42fc0e],
     [0x00006495, 0x00000000, 0x74afa703, 0x1f42fb0f, 0x00000000,
      0x00000000, 0x4cb76700, 0x1f42fb0f, 0xe4b5e706, 0x1f42f80f],
     [0x00006496, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x9cb00710, 0x1f42fa0e, 0x8cb4e6f1, 0x1f42f80f],
     [0x00006497, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x44b3070f, 0x1f42fd0f, 0x00000000, 0x00000000],
     [0x00006498, 0x00000000, 0x14b646fe, 0x1f42fd10, 0xa8b4e703,
      0x1f42fdce, 0x54b7871f, 0x1f42f5ce, 0x28af06fe, 0x1f42fc10],
     [0x00006499, 0x00000000, 0xd8b0c712, 0x1f42fcce, 0x8cb786f3,
      0x1f42ffce, 0xd4b2e6fd, 0x1f42ffcf, 0x38b746f1, 0x1f42fa0f],
     [0x000089fd, 0x00000000, 0xaccde621, 0x2582fb0e, 0x88fc65a9,
      0x3132fbd0, 0x84fc65a9, 0x3132fbd0, 0x84fc65a9, 0x3132fbd0],
     [0x0000649b, 0x00000000, 0x08a946fd, 0x1f42fcd0, 0x54b04701,
      0x1f42ffd0, 0x00000000, 0x00000000, 0xacb4e6e9, 0x1f42fdcf],
     [0x0000649c, 0x00000000, 0xf8ad470a, 0x1f42fece, 0x8cb646fc,
      0x1f42f88f, 0xbcb066f6, 0x1f4301ce, 0x00000000, 0x00000000],
     [0x0000649d, 0x00000000, 0x54b5872e, 0x1f43040f, 0x00000000,
      0x00000000, 0x50adc700, 0x1f42fa0f, 0x00000000, 0x00000000],
     [0x0000649e, 0x00000000, 0xacb6270c, 0x1f42fd0f, 0x84af2704,
      0x1f42fb0e, 0x6cb2671b, 0x1f42fc0e, 0x5cb78708, 0x1f42f70f],
     [0x0000649f, 0x00000000, 0x5cb74701, 0x1f42fa8e, 0x44b2a706,
      0x1f42f80f, 0xc8b0070d, 0x1f42fc0e, 0x6cb72706, 0x1f42f80f],
     [0x000064a0, 0x00000000, 0x30b4e71e, 0x1f42fa0f, 0x00000000,
      0x00000000, 0x08aec706, 0x1f42f80f, 0x8cb64719, 0x1f42ffcf],
     [0x00003c98, 0x00000000, 0xa07ca729, 0x106af4cf, 0xa07ca70b,
      0x106af4cf, 0xa07ca70b, 0x106af4cf, 0xa07d4732, 0x106af48f],
     [0x000064a2, 0x00000000, 0x3cb4c706, 0x1f42f810, 0x00000000,
      0x00000000, 0x00b6a702, 0x1f42f70f, 0x10afa6f1, 0x1f42f710],
     [0x000064a3, 0x00000000, 0x58b48700, 0x1f42fb0f, 0xccb446f7,
      0x1f42f90f, 0xf0b56712, 0x1f430a4e, 0x00000000, 0x00000000],
     [0x000064a4, 0x00000000, 0x00000000, 0x00000000, 0x8cb78705,
      0x1f42f70f, 0x00000000, 0x00000000, 0x4cb7070b, 0x1f42fbd0],
     [0x000064a5, 0x00000000, 0xdcb266fc, 0x1f42ff0e, 0xacb2471f,
      0x1f42f70f, 0xacb6a72a, 0x1f42f90e, 0xa4aee706, 0x1f42f80f],
     [0x000064a6, 0x00000000, 0x88aea724, 0x1f42f9cf, 0xf4b5c705,
      0x1f42fc0e, 0x2cb9670c, 0x1f42fdd0, 0xa8b4070f, 0x1f42fa0f],
     [0x00011187, 0x00000000, 0x689d267e, 0x14ab0b4f, 0x74a1067e,
      0x14731f0f, 0x74c2a67e, 0x1ccb1e8f, 0xa0a3467e, 0x15e2f5cf],
     [0x000064a8, 0x00000000, 0x7cb1471b, 0x1f42ff0f, 0x78b04705,
      0x1f42fccf, 0x94b7a706, 0x1f42f80f, 0x88b366f5, 0x1f42f610],
     [0x000064a9, 0x00000000, 0x28b72709, 0x1f42fd0f, 0x70b68706,
      0x1f42fa0f, 0xa8b1470a, 0x1f42fb0f, 0x7cb50706, 0x1f42f80f],
     [0x0001118a, 0x00000000, 0x408665b7, 0x0f82ec4c, 0xa07e4694,
      0x0f3afdcf, 0xa067268f, 0x06e2ff4f, 0x406ac68f, 0x07f2d08c],
     [0x000064ab, 0x00000000, 0x80b5872e, 0x1f42f80e, 0x30b36704,
      0x1f42fe4f, 0x10b30724, 0x1f43054f, 0x00000000, 0x00000000],
     [0x000064ac, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x3cb5472f, 0x1f42f60e, 0xb4b60717, 0x1f42f8cf],
     [0x000064ad, 0x00000000, 0xfcb2e721, 0x1f430e0e, 0xb4b1a711,
      0x1f42face, 0xf4b646e3, 0x1f42fb0e, 0x1cb1272c, 0x1f42facf],
     [0x000064ae, 0x00000000, 0x00000000, 0x00000000, 0x38b566f3,
      0x1f42fd0f, 0x00000000, 0x00000000, 0x7cb46734, 0x1f42f80e],
     [0x000064af, 0x00000000, 0x0cb346ed, 0x1f42f810, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000064b0, 0x00000000, 0x00b1e700, 0x1f42fed0, 0x58ae270f,
      0x1f42fb10, 0x20b2a70d, 0x1f42fa0f, 0xdcb6a706, 0x1f42ffce],
     [0x000064b1, 0x00000000, 0x48b266f7, 0x1f42fecf, 0x4cb2e719,
      0x1f42f90e, 0x2cb5a71f, 0x1f43074f, 0x3cb026f6, 0x1f42f9cf],
     [0x000064b2, 0x00000000, 0x3cb3e70f, 0x1f43080f, 0x7cb64706,
      0x1f42fd0e, 0x4cb726fb, 0x1f42fb0f, 0x58b846fe, 0x1f42f80f],
     [0x000064b3, 0x00000000, 0xc0b466fa, 0x1f42f90f, 0xc0b16709,
      0x1f42fb0e, 0x88b5e6fb, 0x1f42fc0f, 0xecb2c6f8, 0x1f42fd0f],
     [0x000064b4, 0x00000000, 0x9cafc6f7, 0x1f42fecf, 0x9cb40701,
      0x1f42fd0f, 0x5cbac734, 0x1f42face, 0x50ac26f6, 0x1f42fdcf],
     [0x000064b5, 0x00000000, 0x00000000, 0x00000000, 0xbcafc702,
      0x1f42fecf, 0x00000000, 0x00000000, 0xf4a7e6fe, 0x1f42fc0e],
     [0x000064b6, 0x00000000, 0x28b166f6, 0x1f42fdd0, 0x6cb2e6ff,
      0x1f42fecf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000064b7, 0x00000000, 0x00000000, 0x00000000, 0x0cb26702,
      0x1f42fb0f, 0xb8afc705, 0x1f42fc0f, 0x40b066f7, 0x1f42fc0f],
     [0x000064b8, 0x00000000, 0xa4b786fe, 0x1f42fc0f, 0x78b98711,
      0x1f42f90f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000064b9, 0x00000000, 0xdcb2a715, 0x1f42f70f, 0x00000000,
      0x00000000, 0xe4af46fe, 0x1f42f90e, 0x44b726fe, 0x1f42ffcf],
     [0x000064ba, 0x00000000, 0x80b0a702, 0x1f42fc0f, 0x9caf06fa,
      0x1f42f90f, 0x40af870a, 0x1f42f70f, 0x00000000, 0x00000000],
     [0x000064bb, 0x00000000, 0x00000000, 0x00000000, 0xb4b60717,
      0x1f42f8cf, 0x28b3a706, 0x1f42fc0f, 0xb8b28700, 0x1f42fecf],
     [0x000064bc, 0x00000000, 0x88b3c6fd, 0x1f42f910, 0x7cb126fe,
      0x1f42f90f, 0x7cb58708, 0x1f42fa0f, 0x8cb7e703, 0x1f42f54e],
     [0x000064bd, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xdcb826e1, 0x1f42fb0e],
     [0x000064be, 0x00000000, 0x34b16706, 0x1f42f80f, 0x18b766f0,
      0x1f42f54f, 0xccb626fa, 0x1f42f90f, 0xe8b366ea, 0x1f43080e],
     [0x000064bf, 0x00000000, 0x50b0c726, 0x1f42f84f, 0x00000000,
      0x00000000, 0xe4adc702, 0x1f42fa0e, 0x08b226f1, 0x1f42fb10],
     [0x000064c0, 0x00000000, 0xccb7a702, 0x1f42fd0f, 0x68b82716,
      0x1f42f70e, 0xacb54719, 0x1f42f64f, 0x00000000, 0x00000000],
     [0x000064c1, 0x00000000, 0xd8b6a734, 0x1f42f50e, 0x00000000,
      0x00000000, 0xe0b3a729, 0x1f42f70e, 0x00000000, 0x00000000],
     [0x00013858, 0x00000000, 0xa093c675, 0x0e7af58f, 0x68980675,
      0x1442f64f, 0xa0934675, 0x0f6300cf, 0xa0b6e675, 0x1953070f],
     [0x00013859, 0x00000000, 0xa09ec675, 0x1452e80f, 0xa090c675,
      0x0e52f88f, 0x747fa5a1, 0x11b2f80f, 0x74844693, 0x12b2f4cf],
     [0x000064c4, 0x00000000, 0x28b3e715, 0x1f42f9cf, 0x00000000,
      0x00000000, 0x00b986e0, 0x1f42f60f, 0xfcb7070b, 0x1f42f64e],
     [0x000064c5, 0x00000000, 0xe4b786f9, 0x1f42f90e, 0x1cb7e71c,
      0x1f42f910, 0xb8b5871c, 0x1f430e8e, 0x00000000, 0x00000000],
     [0x000064c6, 0x00000000, 0x04b6270c, 0x1f42fa10, 0xbcae8707,
      0x1f42f74f, 0x94b4c729, 0x1f42fa0e, 0x18b726ff, 0x1f42fecf],
     [0x000064c7, 0x00000000, 0x00000000, 0x00000000, 0xf4b2a6fc,
      0x1f42f64e, 0xb8b4672c, 0x1f42f90e, 0x34b546fd, 0x1f42f94f],
     [0x0001385e, 0x00000000, 0xa094c594, 0x13fafc0f, 0xa083c594,
      0x116af18f, 0x3881c594, 0x0ebaef4c, 0xa080c594, 0x10e2f34f],
     [0x000064c9, 0x00000000, 0x30b026fc, 0x1f42f64f, 0xd0aba6fc,
      0x1f42f64e, 0x7cad472d, 0x1f42fbce, 0xdcb5e6ee, 0x1f42f84e],
     [0x000064ca, 0x00000000, 0x90b16702, 0x1f42f4cf, 0x90afa70c,
      0x1f42f60f, 0x80b44718, 0x1f42f80f, 0xf8b0e6f6, 0x1f42fb0e],
     [0x000064cb, 0x00000000, 0xf8b6672e, 0x1f42f84e, 0x60aee703,
      0x1f42f94f, 0x28ae6711, 0x1f42f810, 0x70b4672a, 0x1f42fd0f],
     [0x000064cc, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x28ba06f2, 0x1f42f14f, 0x2cb426fb, 0x1f42f750],
     [0x000064cd, 0x00000000, 0xecb00703, 0x1f42f94f, 0xb4b7e702,
      0x1f42f64f, 0x34b7c738, 0x1f42f90f, 0x00000000, 0x00000000],
     [0x0000637b, 0x00000000, 0xdcb446f6, 0x1f42fc8f, 0x00000000,
      0x00000000, 0xdcb3e6ba, 0x1f42f70f, 0x3cb86718, 0x1f42f98f],
     [0x0000637c, 0x00000000, 0x28ae26fc, 0x1f42fecf, 0x8cb50725,
      0x1f42f70e, 0x1cb9a6d2, 0x1f42facf, 0x68b6c6f7, 0x1f42fed0],
     [0x0000637d, 0x00000000, 0xecb626b8, 0x1f42fb4f, 0xfcb20717,
      0x1f4301ce, 0x00000000, 0x00000000, 0xd4b56706, 0x1f42ff8f],
     [0x0000637e, 0x00000000, 0xb8b2a6ff, 0x1f4304ce, 0xb8b546cf,
      0x1f42ff4f, 0xccb726e7, 0x1f42fece, 0xf8b566fb, 0x1f43018e],
     [0x000064d2, 0x00000000, 0x00000000, 0x00000000, 0x78b406f3,
      0x1f42fc0f, 0xf8b6a72e, 0x1f42f90e, 0xfcb206f9, 0x1f42fd0e],
     [0x000064d3, 0x00000000, 0xc0b00726, 0x1f430f4e, 0x54b58722,
      0x1f42f90f, 0x10b106db, 0x1f42fd0f, 0x2cb26710, 0x1f42fd0e],
     [0x00006381, 0x00000000, 0x70af6718, 0x1f42f54e, 0xa0a6a70d,
      0x1f430dce, 0x1cb8071a, 0x1f42fc0f, 0x00b4671f, 0x1f42fbcf],
     [0x000064d5, 0x00000000, 0xecb42707, 0x1f42fece, 0x3cb486df,
      0x1f42fa0e, 0x14b4e6fb, 0x1f42f70f, 0x40b64706, 0x1f42fd0e],
     [0x000064d6, 0x00000000, 0x8cac66fa, 0x1f42fa0f, 0xa0b2873a,
      0x1f43114e, 0xa4b26706, 0x1f42f70e, 0x48b9c721, 0x1f42f50f],
     [0x000064d7, 0x00000000, 0x64b86702, 0x1f42f70f, 0x00000000,
      0x00000000, 0x10a946fe, 0x1f42f84f, 0x00000000, 0x00000000],
     [0x000064d8, 0x00000000, 0xa4b2c704, 0x1f42fa0f, 0x64b606db,
      0x1f42fd0f, 0x00000000, 0x00000000, 0x28b3471e, 0x1f42f94f],
     [0x000064d9, 0x00000000, 0xd0b366f5, 0x1f42fa0f, 0x78b346fc,
      0x1f42fb0f, 0x00000000, 0x00000000, 0xd0afe6f9, 0x1f42fc0e],
     [0x00013870, 0x00000000, 0xa08ce67e, 0x14b2fd0f, 0xa091a67e,
      0x1192fd0f, 0xa08d868a, 0x14a2f50f, 0xa091867e, 0x13fafd0f],
     [0x000064db, 0x00000000, 0xfcb646f7, 0x1f42f50e, 0x84b4c6e1,
      0x1f42f60f, 0xa0b8a72b, 0x1f42f40e, 0x00000000, 0x00000000],
     [0x000064dc, 0x00000000, 0x48b66717, 0x1f42fb0f, 0xacb7670a,
      0x1f42fd0e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000064dd, 0x00000000, 0x00000000, 0x00000000, 0xa4b6e711,
      0x1f42f7cf, 0x84b506db, 0x1f42fd0f, 0x9cb92703, 0x1f42fd0f],
     [0x000064de, 0x00000000, 0x00000000, 0x00000000, 0x80b4e6df,
      0x1f42fd0f, 0x1cadc6fe, 0x1f42f90f, 0xa8b166e1, 0x1f42fd0e],
     [0x000064df, 0x00000000, 0x20b6271f, 0x1f42f80f, 0x00000000,
      0x00000000, 0x10b36705, 0x1f42fc10, 0x00000000, 0x00000000],
     [0x00013876, 0x00000000, 0x788b85b7, 0x1252f9cf, 0x44846693,
      0x10baeb0c, 0x408065b7, 0x0fbb030c, 0x7881a693, 0x0f8af58f],
     [0x00013877, 0x00000000, 0x787b05b7, 0x0f72f6cf, 0x4c774693,
      0x0d6af60c, 0x447b45b7, 0x0f6af78c, 0x787e6693, 0x1032fe4f],
     [0x000064e2, 0x00000000, 0x94b1c711, 0x1f42fa0f, 0xc8adc6fa,
      0x1f42f94e, 0x00b36725, 0x1f42fb0f, 0x00000000, 0x00000000],
     [0x000064e3, 0x00000000, 0x48b92739, 0x1f42f80f, 0x1cb2271d,
      0x1f42f94f, 0x8cb68726, 0x1f42f90f, 0xd8b66731, 0x1f43034e],
     [0x000064e4, 0x00000000, 0x00000000, 0x00000000, 0xc0b446ff,
      0x1f42fd0f, 0xd0b0a704, 0x1f42f90e, 0x00000000, 0x00000000],
     [0x0001387b, 0x00000000, 0x787bc5b7, 0x1012fd4f, 0x408ea5b8,
      0x14cafbcc, 0x448385b7, 0x1012dc0c, 0x4096a5b5, 0x147300cc],
     [0x000064e6, 0x00000000, 0x28aec702, 0x1f42fb10, 0xb8b1e6ee,
      0x1f42f70e, 0x98b386fe, 0x1f42fa0f, 0xd8b3072b, 0x1f42fa0e],
     [0x000064e7, 0x00000000, 0x00000000, 0x00000000, 0x78b82708,
      0x1f42f90f, 0x54b5c714, 0x1f42fc0f, 0xccb64700, 0x1f42f90e],
     [0x000064e8, 0x00000000, 0x00000000, 0x00000000, 0xe4b1c6ea,
      0x1f42fa0f, 0x3cb00722, 0x1f42fecf, 0x10b14722, 0x1f430b4f],
     [0x000064e9, 0x00000000, 0x28b566ff, 0x1f42fd0f, 0xccb42713,
      0x1f43098e, 0x00ae26f9, 0x1f42f90f, 0xa0b0470e, 0x1f42fc0f],
     [0x00006397, 0x00000000, 0x10ada6ee, 0x1f42ffcf, 0x74b6a6e6,
      0x1f42facf, 0x40b166e4, 0x1f42fecf, 0x80b40735, 0x1f42fdce],
     [0x000064eb, 0x00000000, 0x30af8721, 0x1f42fb0f, 0xecb3a71b,
      0x1f42fb0e, 0x20b74731, 0x1f42f68f, 0xd8b60702, 0x1f42fa0e],
     [0x000064ec, 0x00000000, 0x00b2a702, 0x1f42fd10, 0xc0b90702,
      0x1f42fd0e, 0x84b72703, 0x1f42fd0f, 0x08b2c72d, 0x1f42fdcf],
     [0x000064ed, 0x00000000, 0xb8b2c715, 0x1f42fd0f, 0x00b8a700,
      0x1f42f90f, 0x00000000, 0x00000000, 0x24aec709, 0x1f42fa0f],
     [0x0000639b, 0x00000000, 0xdcb8470a, 0x1f42f58f, 0xa4b1471a,
      0x1f42f8ce, 0x00000000, 0x00000000, 0xa4b86717, 0x1f42f64e],
     [0x0000639c, 0x00000000, 0x5cb4e6df, 0x1f42fc4f, 0x00000000,
      0x00000000, 0x94b46740, 0x1f42fbce, 0x28b4e6f6, 0x1f42fb0f],
     [0x0000639d, 0x00000000, 0x94b466ee, 0x1f42f44f, 0x00000000,
      0x00000000, 0xb0b7a6ec, 0x1f42f7cf, 0x00000000, 0x00000000],
     [0x000064f1, 0x00000000, 0x90b2e71d, 0x1f42f70e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xd8b5c6f6, 0x1f42fc0f],
     [0x000064f2, 0x00000000, 0x68b6c721, 0x1f42f70f, 0x00000000,
      0x00000000, 0x30b5072a, 0x1f43084f, 0x00000000, 0x00000000],
     [0x000064f3, 0x00000000, 0x9cb44703, 0x1f42fb0f, 0x1cb0c6fa,
      0x1f4300cf, 0xc8b346e9, 0x1f42fc0e, 0xe8b4a70c, 0x1f42f90f],
     [0x000064f4, 0x00000000, 0xc0b6c710, 0x1f42f84e, 0xb0ab4716,
      0x1f42f90e, 0xccb88720, 0x1f42fc0e, 0x00000000, 0x00000000],
     [0x000064f5, 0x00000000, 0x40b3a711, 0x1f42f90f, 0xe8b4e719,
      0x1f42fb0f, 0xacb5e73d, 0x1f42fa8e, 0x20b8e71d, 0x1f42fc10],
     [0x000064f6, 0x00000000, 0xc8b466f8, 0x1f42fb0f, 0x18b06713,
      0x1f42fb0f, 0xb0b1c703, 0x1f42fdcf, 0x00000000, 0x00000000],
     [0x000064f7, 0x00000000, 0xa4b486fe, 0x1f42fb0f, 0x4cb4a6fe,
      0x1f42fb0f, 0xc4b1672e, 0x1f42f80e, 0x94b22715, 0x1f42fb0f],
     [0x00008a5b, 0x00000000, 0x80ab6603, 0x1cf2fbd1, 0x1cab656a,
      0x1cf2fbcf, 0x308d267e, 0x156afc4d, 0x308d267e, 0x156afc4d],
     [0x000064f9, 0x00000000, 0xfcb4c72f, 0x1f42fb0e, 0x84b6670e,
      0x1f42f88f, 0xf0b2a6ce, 0x1f42fe0f, 0x0cb2e716, 0x1f43028f],
     [0x000064fa, 0x00000000, 0xe8b4e721, 0x1f430d4e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00003db2, 0x00000000, 0x00000000, 0x00000000, 0x8871265b,
      0x106b1d57, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00003db3, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x8868665b, 0x106b0bd7, 0x887fa65b, 0x106b0017],
     [0x000064fd, 0x00000000, 0x00000000, 0x00000000, 0xb8b24733,
      0x1f42fc0e, 0x6cb6a725, 0x1f42fc0e, 0x60b0e71c, 0x1f42fc0f],
     [0x00003db5, 0x00000000, 0x54724678, 0x106b0997, 0xa03e83e8,
      0x106aee0f, 0x88756667, 0x106aec57, 0x00000000, 0x00000000],
     [0x000063ac, 0x00000000, 0xf0b8c72e, 0x1f42f38e, 0x9cb64715,
      0x1f42f88e, 0x9cb64715, 0x1f42f88e, 0x00000000, 0x00000000],
     [0x00003db7, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x4c800511, 0x106aee13, 0x00000000, 0x00000000],
     [0x00006501, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xdcb52728, 0x1f43074e, 0x5cb646ee, 0x1f4300cf],
     [0x00006502, 0x00000000, 0x00000000, 0x00000000, 0x50b24705,
      0x1f42ff0f, 0xecb6e709, 0x1f4300ce, 0xf8b0e6f1, 0x1f42f90e],
     [0x00006503, 0x00000000, 0xf4b7272e, 0x1f42f84e, 0x68b22719,
      0x1f42fc0e, 0x48b48704, 0x1f42fecf, 0xb0b2273a, 0x1f42fa0e],
     [0x00006504, 0x00000000, 0xa0b5c737, 0x1f42fa0e, 0x18af26fc,
      0x1f42f910, 0x00b44705, 0x1f42fb0f, 0x30b62703, 0x1f42f90f],
     [0x00006505, 0x00000000, 0xbcaf871d, 0x1f42fb0e, 0xc4b386fa,
      0x1f42fc0e, 0xd4b42720, 0x1f42f80e, 0x00000000, 0x00000000],
     [0x000063b3, 0x00000000, 0x68b8c71e, 0x1f42fa8f, 0x8cb2672c,
      0x1f430a8e, 0x0cac6721, 0x1f430d8f, 0xfcb40712, 0x1f42fb8e],
     [0x0001389d, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x388185aa, 0x11d2f3cc, 0x00000000, 0x00000000],
     [0x000063b5, 0x00000000, 0xecb0072a, 0x1f42f8ce, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xacb4a71e, 0x1f42fdce],
     [0x00008a6c, 0x00000000, 0x6497862f, 0x17d2fa8e, 0x649786b5,
      0x17d2fa8e, 0x6497871b, 0x17d2fa8e, 0x64978728, 0x17d2fa8e],
     [0x0000650a, 0x00000000, 0x0cb04725, 0x1f42f94f, 0x1cb5470e,
      0x1f42f80f, 0xb4b1472c, 0x1f42fb0e, 0xf0b2c72d, 0x1f42fa0e],
     [0x0000650b, 0x00000000, 0x3cb2271e, 0x1f42f90f, 0x00000000,
      0x00000000, 0x8cb76732, 0x1f42f70e, 0x00000000, 0x00000000],
     [0x0000650c, 0x00000000, 0xecb4c6fa, 0x1f42fa0e, 0xa0b4c706,
      0x1f42fc0f, 0xe0b1c702, 0x1f42fb0e, 0x50b586fa, 0x1f42f70f],
     [0x00008a70, 0x00000000, 0xc4a18657, 0x1a52fa8d, 0xc4a18657,
      0x1a52fa8d, 0xc4c28657, 0x221afa8d, 0xc4c28657, 0x221afa8d],
     [0x0000650e, 0x00000000, 0x70b2e735, 0x1f42f90e, 0xbcb646ec,
      0x1f42fccf, 0x00b2a719, 0x1f42fa0f, 0xb0b6a739, 0x1f42fa0e],
     [0x00008a72, 0x00000000, 0x28aaa67e, 0x1c72f94d, 0x64b946b0,
      0x20b2fe0c, 0xa4c947d3, 0x23caf6cd, 0x94c94713, 0x23caf6cb],
     [0x00006510, 0x00000000, 0x6cb4a725, 0x1f42fb0f, 0xe0b866ea,
      0x1f42f44e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006511, 0x00000000, 0xdcaf872e, 0x1f42f90e, 0x9cb54731,
      0x1f42f8ce, 0xd8b50700, 0x1f42face, 0xccb78716, 0x1f42f90e],
     [0x00003dc9, 0x00000000, 0x547a269e, 0x106af9ce, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006513, 0x00000000, 0xe0b3e735, 0x1f42fece, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x68b14715, 0x1f42f90e],
     [0x000138aa, 0x00000000, 0x38a306dc, 0x17f2f88c, 0x00000000,
      0x00000000, 0x389046dc, 0x15c2f88c, 0x00000000, 0x00000000],
     [0x00003dcc, 0x00000000, 0x7479c5a2, 0x106afa4f, 0xa075c59f,
      0x106b080f, 0xa07985a2, 0x106af98f, 0xfc7a85a2, 0x106af8cb],
     [0x00003dcd, 0x00000000, 0x287c65a3, 0x106af54c, 0xfc798596,
      0x106afb0b, 0x74796656, 0x106afb4f, 0xfc7a85a6, 0x106af8cb],
     [0x00006517, 0x00000000, 0x00000000, 0x00000000, 0xf8b6a71f,
      0x1f42f90e, 0x70b7672c, 0x1f42fdce, 0x00000000, 0x00000000],
     [0x00006518, 0x00000000, 0xdcb7471a, 0x1f42fa0e, 0x00000000,
      0x00000000, 0x1cb58728, 0x1f42f90f, 0x9cb1671e, 0x1f42f84f],
     [0x00006519, 0x00000000, 0xf8b7c716, 0x1f42f80e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000651a, 0x00000000, 0x6cb4c702, 0x1f42facf, 0x70b3c6df,
      0x1f4301cf, 0x90b32728, 0x1f42f60f, 0x94b92752, 0x1f42face],
     [0x00008a7e, 0x00000000, 0x8c7f269f, 0x12d3034a, 0x8c7f269f,
      0x12d3034a, 0x3c8c25fc, 0x156afe0f, 0x3c8c25fc, 0x156afe0f],
     [0x0000651c, 0x00000000, 0xdcb9271a, 0x1f42f70e, 0x4cb6272a,
      0x1f42f80e, 0x80b60738, 0x1f42fb0e, 0x8cb74734, 0x1f42f34e],
     [0x0000651d, 0x00000000, 0xb0afc736, 0x1f42f80e, 0x3cb0c72c,
      0x1f42f60e, 0x2cb6a726, 0x1f42f60f, 0x8cb54727, 0x1f42f70e],
     [0x00008a81, 0x00000000, 0x80a646e8, 0x1ce3058b, 0x94a646e3,
      0x1ce3058b, 0x94a646e3, 0x1ce3058b, 0x94c7a6e3, 0x24e302cb],
     [0x000138b5, 0x00000000, 0xe07ea6dc, 0x101af38b, 0x00000000,
      0x00000000, 0xe082a6dc, 0x120af9cb, 0x00000000, 0x00000000],
     [0x00006520, 0x00000000, 0x6cb74701, 0x1f42f60f, 0x6cb7e72d,
      0x1f42fbce, 0x6cb6c726, 0x1f42f60e, 0x54b2e708, 0x1f42fdce],
     [0x00006521, 0x00000000, 0x00000000, 0x00000000, 0x649046dc,
      0x1f43250f, 0xf4b38708, 0x1f42fa0f, 0x08b4270f, 0x1f42f950],
     [0x00006522, 0x00000000, 0xd8b20723, 0x1f42ff0e, 0x24b54714,
      0x1f42ff0f, 0xc4a60720, 0x1f42fd0e, 0xecaee713, 0x1f43000e],
     [0x00006523, 0x00000000, 0x78ac6719, 0x1f4301cf, 0x58b5270f,
      0x1f42f850, 0x08b28707, 0x1f42fa0f, 0x08ab4705, 0x1f42fd0f],
     [0x00006524, 0x00000000, 0x30a9e70b, 0x1f42fd0f, 0x00000000,
      0x00000000, 0x78b5e709, 0x1f42f90f, 0x04ae6732, 0x1f42f90f],
     [0x00006525, 0x00000000, 0xb0ae0705, 0x1f42fd0f, 0xb0b1c6f3,
      0x1f42fc0f, 0x00000000, 0x00000000, 0x10b5a705, 0x1f42fd10],
     [0x00006526, 0x00000000, 0x00000000, 0x00000000, 0xbcb04707,
      0x1f42f90e, 0x98b02715, 0x1f42fd0f, 0x2cb4c706, 0x1f42fd10],
     [0x00006527, 0x00000000, 0x1cb22711, 0x1f42fd10, 0x94b64708,
      0x1f42fe8f, 0xdcb3071e, 0x1f42f94e, 0x34b0a713, 0x1f42f94f],
     [0x00017827, 0x00000000, 0xf49e26ef, 0x1842f80b, 0xf49fe6ef,
      0x17baf90b, 0xf49ee6ef, 0x1492f90b, 0x00000000, 0x00000000],
     [0x00008a8c, 0x00000000, 0x3c892696, 0x1402f8cf, 0x988925f9,
      0x1402f8cd, 0xec8925f9, 0x1402f8ce, 0x208ce602, 0x156afc4f],
     [0x0000652a, 0x00000000, 0xfcb20727, 0x1f42f84e, 0x68ada715,
      0x1f42fb0f, 0xdcb6a711, 0x1f42fd0f, 0xe4af2707, 0x1f42fa0f],
     [0x0000652b, 0x00000000, 0x10b3c703, 0x1f42fd10, 0xc8b10711,
      0x1f42fd0e, 0x04b54718, 0x1f42fa10, 0x18b4270a, 0x1f42fd10],
     [0x00008a8f, 0x00000000, 0x6c838571, 0x12c2fa11, 0x6c838571,
      0x12c2fa11, 0xf85b45d0, 0x0962fd0c, 0xa091867e, 0x15b2f58f],
     [0x0001782c, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x6c7f26a7, 0x1162bf0c],
     [0x0000652e, 0x00000000, 0x6cada705, 0x1f42fb0e, 0x88b546f5,
      0x1f42fb0f, 0x44b3070f, 0x1f42fd0f, 0x08ab4707, 0x1f42fc10],
     [0x0000652f, 0x00000000, 0x30aae721, 0x1f42fd10, 0x2cb4a71a,
      0x1f4300d0, 0xc8b2c70b, 0x1f42face, 0x4cb18705, 0x1f42fd10],
     [0x00006530, 0x00000000, 0x2cb1871e, 0x1f42fb10, 0x10b4c707,
      0x1f42f810, 0xbcad270e, 0x1f42fa0f, 0xf0b64704, 0x1f42f9ce],
     [0x00006531, 0x00000000, 0xdcae0707, 0x1f42fb0f, 0xa8b2c703,
      0x1f42fc0f, 0x9cb00702, 0x1f42f70e, 0x00000000, 0x00000000],
     [0x00006532, 0x00000000, 0x6cb18707, 0x1f42ffce, 0x30ae0705,
      0x1f42fd10, 0xd8aee705, 0x1f42fd0f, 0x40b62705, 0x1f42fd10],
     [0x00006533, 0x00000000, 0xc0b40716, 0x1f42fc0f, 0x64b4a711,
      0x1f42fd0f, 0x08b56719, 0x1f42fc0f, 0x00000000, 0x00000000],
     [0x00006534, 0x00000000, 0xf4af2725, 0x1f42fd0e, 0x9cb126f7,
      0x1f42fdcf, 0xb8b26721, 0x1f42fd0e, 0x00000000, 0x00000000],
     [0x00006535, 0x00000000, 0x00000000, 0x00000000, 0x20ae2713,
      0x1f4300cf, 0x28b3a705, 0x1f42fd0f, 0xf8b3c714, 0x1f42fd0f],
     [0x000138cc, 0x00000000, 0x388dc6dc, 0x1012df8c, 0x00000000,
      0x00000000, 0x387fc6dc, 0x10c2f80c, 0x00000000, 0x00000000],
     [0x00006537, 0x00000000, 0x80aec724, 0x1f42f74f, 0x84ae870f,
      0x1f42fdcf, 0x28aaa712, 0x1f42ffcf, 0xd8af670a, 0x1f42fb0f],
     [0x000138ce, 0x00000000, 0x388186dc, 0x1002f60c, 0x00000000,
      0x00000000, 0x387f66dc, 0x108af30c, 0x00000000, 0x00000000],
     [0x000138cf, 0x00000000, 0x3c7726dc, 0x0a32eb8c, 0x00000000,
      0x00000000, 0x388446dc, 0x1112fc4c, 0x00000000, 0x00000000],
     [0x0000653a, 0x00000000, 0x2cb70706, 0x1f42fc10, 0x50b16708,
      0x1f42f74f, 0x6cb7270b, 0x1f42f90f, 0x0cb7e70e, 0x1f42f710],
     [0x000138d1, 0x00000000, 0x387c66dc, 0x0e92f60c, 0x00000000,
      0x00000000, 0x387906dc, 0x0e32f04c, 0x00000000, 0x00000000],
     [0x000138d2, 0x00000000, 0xe07cc6dc, 0x10aaf4cb, 0x00000000,
      0x00000000, 0x3c9746dc, 0x127af18c, 0x00000000, 0x00000000],
     [0x0000653d, 0x00000000, 0x80b18706, 0x1f42fa0f, 0x2cb3470e,
      0x1f42f910, 0x84b4e713, 0x1f42f90f, 0x08b4c6f4, 0x1f42f910],
     [0x000138d4, 0x00000000, 0x388486dc, 0x10b2f88c, 0x00000000,
      0x00000000, 0x3881a6dc, 0x0e02f60c, 0x00000000, 0x00000000],
     [0x000138d5, 0x00000000, 0x3882a6dc, 0x1012f60c, 0x00000000,
      0x00000000, 0x3894c6dc, 0x14baed8c, 0x00000000, 0x00000000],
     [0x000138d6, 0x00000000, 0x389606dc, 0x13c2ef0c, 0x00000000,
      0x00000000, 0x389a86dc, 0x14e2f60c, 0x00000000, 0x00000000],
     [0x00008aa4, 0x00000000, 0xfc8fa74b, 0x156afd09, 0x588d4734,
      0x156afbca, 0x588d4734, 0x156afbca, 0xfc8ca74a, 0x156afd09],
     [0x00006542, 0x00000000, 0x1cb66713, 0x1f42f94f, 0xfcb06706,
      0x1f42fa0f, 0xecb06706, 0x1f42fa0e, 0x9cb5a72b, 0x1f42face],
     [0x00006543, 0x00000000, 0x8cb1e721, 0x1f42fa0e, 0x08b7e707,
      0x1f42fa10, 0x2caf070a, 0x1f42f90f, 0x10ada706, 0x1f42fa0f],
     [0x000138da, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xe08f86dc, 0x1082dfcb, 0x00000000, 0x00000000],
     [0x000063f2, 0x00000000, 0x28b066df, 0x1f4303cf, 0x20ac66d3,
      0x1f43024f, 0x00000000, 0x00000000, 0x48b306d4, 0x1f43054f],
     [0x00006546, 0x00000000, 0xe8af0706, 0x1f42fa0f, 0x40b1e706,
      0x1f42fd0f, 0x70af070b, 0x1f42f70f, 0x28b6a71a, 0x1f42fa0f],
     [0x00008aaa, 0x00000000, 0x7c8e8659, 0x156afa8d, 0x7c8de65a,
      0x156af94d, 0x248aa601, 0x156af94f, 0x248e8601, 0x156b010f],
     [0x00006548, 0x00000000, 0x00000000, 0x00000000, 0xfcaf870b,
      0x1f42f84e, 0x08af2706, 0x1f42fa10, 0x40b06715, 0x1f42fdcf],
     [0x00008aac, 0x00000000, 0x048c2649, 0x156afe0e, 0x408ca65c,
      0x156afd0c, 0x408ca65c, 0x156afd0c, 0x548ca6b5, 0x156afd0c],
     [0x00003d41, 0x06300000, 0xa07c65e8, 0x106af24f, 0xa07c65e8,
      0x106af54f, 0xa07c65e8, 0x106af54f, 0x74752672, 0x106b03cf],
     [0x000063f8, 0x00000000, 0x24afa700, 0x1f43054f, 0x18b246e6,
      0x1f43028f, 0x58b666f2, 0x1f43000f, 0x30adc6db, 0x1f43034f],
     [0x03383d43, 0x0000d000, 0xa07d05e8, 0x106af40f, 0xa07d45e8,
      0x106af38f, 0x707525f3, 0x106b03cf, 0xa07dc5e8, 0x106af24f],
     [0x03503d44, 0x06c0d600, 0xa07c45e8, 0x106af24f, 0x00000000,
      0x00000000, 0xa07925e8, 0x106af54f, 0xa07b25e8, 0x106af40f],
     [0x0000654e, 0x00000000, 0x00b186fb, 0x1f42fa10, 0x4cb74708,
      0x1f42fa0f, 0x18b08705, 0x1f42f910, 0x68b6c708, 0x1f42fa0f],
     [0x0000654f, 0x00000000, 0x68b6a711, 0x1f42fa0f, 0x00000000,
      0x00000000, 0xbcb30717, 0x1f42f90f, 0xb0b58725, 0x1f42f90f],
     [0x00006550, 0x00000000, 0x40b54721, 0x1f42fc0f, 0xbcb3c71a,
      0x1f42f90f, 0x10b2c71c, 0x1f42fa0f, 0x00000000, 0x00000000],
     [0x00006551, 0x00000000, 0xe8b0a721, 0x1f42fa0e, 0x5cac4710,
      0x1f4300cf, 0x68b1c716, 0x1f42fa0f, 0x20b44712, 0x1f42fa0f],
     [0x00006552, 0x00000000, 0x00000000, 0x00000000, 0x18ace706,
      0x1f42fa10, 0x0cb7070c, 0x1f42f810, 0x00000000, 0x00000000],
     [0x00006553, 0x00000000, 0xd4ab2719, 0x1f42fdce, 0x18b2c71c,
      0x1f42f60f, 0x84b6271c, 0x1f42fa0e, 0x60ace706, 0x1f42fa0f],
     [0x00006554, 0x00000000, 0x54af270a, 0x1f42fc0f, 0x2cb36725,
      0x1f42ffcf, 0x00b2a706, 0x1f42fa10, 0x20b64706, 0x1f42fa0f],
     [0x00006555, 0x00000000, 0xa8b06706, 0x1f42fa0f, 0x00000000,
      0x00000000, 0xecac870b, 0x1f42f94e, 0xc0b1870a, 0x1f42fa0f],
     [0x00006556, 0x00000000, 0x4cb4a706, 0x1f42fa0f, 0xfcabc706,
      0x1f42fa0e, 0x00000000, 0x00000000, 0xe4b3671d, 0x1f42fa0e],
     [0x00008aba, 0x00000000, 0xa08e2623, 0x156afa0f, 0xbc8e269b,
      0x156afa0c, 0xa08e267e, 0x156afa0f, 0xa08e267e, 0x156afa0f],
     [0x00006558, 0x00000000, 0x00000000, 0x00000000, 0xccb2670d,
      0x1f42fa0e, 0x0cb5c6f6, 0x1f42f910, 0x2cb72714, 0x1f42fdcf],
     [0x00006559, 0x00000000, 0x60b0e71c, 0x1f42fa0f, 0xb0b0872b,
      0x1f42fa0e, 0x30b62709, 0x1f42f60f, 0x3caf06e8, 0x1f42f80f],
     [0x0000655a, 0x00000000, 0x1cb24714, 0x1f42fa0f, 0xb8ada715,
      0x1f42fa0e, 0x14b1270f, 0x1f42f810, 0xe0b68713, 0x1f42fb0f],
     [0x0000655b, 0x00000000, 0xa4b3e72d, 0x1f42fa0e, 0x60b20704,
      0x1f42f90f, 0x00000000, 0x00000000, 0xf0ade706, 0x1f42fa0e],
     [0x0000655c, 0x00000000, 0xe4b5471f, 0x1f42fd0e, 0x84b12712,
      0x1f42f90f, 0xccb76724, 0x1f42fa0e, 0xa8b20721, 0x1f42f60f],
     [0x0000655d, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa0b60730, 0x1f42f80e, 0x94b60728, 0x1f430c4e],
     [0x0000655e, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xf8b4c6d8, 0x1f42fbcf, 0x14b6c6e1, 0x1f42ff90],
     [0x0000655f, 0x00000000, 0x20b0a6d4, 0x1f430390, 0x28b4c716,
      0x1f42f80f, 0x00000000, 0x00000000, 0x2cb386dd, 0x1f430d4f],
     [0x00006560, 0x00000000, 0x2ca9e702, 0x1f4319cf, 0x00000000,
      0x00000000, 0xd8a4a70c, 0x1f43124e, 0xc8a94705, 0x1f431a4e],
     [0x00006561, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xc8a7a704, 0x1f43170e, 0xdca9270e, 0x1f4312ce],
     [0x00006562, 0x00000000, 0xdca7470e, 0x1f430f4e, 0xd4aa4717,
      0x1f43178e, 0xdca9270e, 0x1f4312ce, 0x14aae717, 0x1f4316cf],
     [0x00006563, 0x00000000, 0xd0a8a717, 0x1f43130e, 0xd4a7a717,
      0x1f43164e, 0xc0a8c72b, 0x1f43104e, 0xd4a6670d, 0x1f430bce],
     [0x00006564, 0x00000000, 0xe0a8071a, 0x1f43158e, 0x88aaa710,
      0x1f43188f, 0x90a78731, 0x1f43090e, 0x2ca58700, 0x1f4314cf],
     [0x00006565, 0x00000000, 0x48a70717, 0x1f43110f, 0x00000000,
      0x00000000, 0xcca9a72a, 0x1f43120e, 0x00000000, 0x00000000],
     [0x0001511c, 0x00000000, 0xa0842685, 0x0fb2f88f, 0x708f4685,
      0x1172fe8f, 0xa0a76685, 0x18daf88f, 0xa0960685, 0x1742f88f],
     [0x00006567, 0x00000000, 0xd0a68711, 0x1f43114e, 0x00000000,
      0x00000000, 0xd0a68711, 0x1f43114e, 0xd8a68712, 0x1f43104e],
     [0x00006568, 0x00000000, 0xccaa8720, 0x1f43100e, 0xd4a90725,
      0x1f43120e, 0xd0aa4738, 0x1f43108e, 0xfcab2722, 0x1f43158e],
     [0x0001511f, 0x00000000, 0x78a3c685, 0x16eb000f, 0x64a22685,
      0x128afe8f, 0x5ccba685, 0x1ceafe8f, 0xa0a64685, 0x1942f50f],
     [0x00015120, 0x00000000, 0xa0992685, 0x112af7cf, 0xa0a64685,
      0x18eafe8f, 0x788305b6, 0x122af90f, 0x807b6695, 0x0feafa8f],
     [0x00015121, 0x00000000, 0x787805b6, 0x0eeaf90f, 0x68882695,
      0x129af90f, 0x7877e5b6, 0x0f92f90f, 0x648d8695, 0x11e2f90c],
     [0x00015122, 0x00000000, 0x748065b6, 0x107af38c, 0x78826695,
      0x1202fa8f, 0x7c640654, 0x0b2afbcf, 0x64724654, 0x0d7ae98c],
     [0x00015123, 0x00000000, 0x7484e695, 0x1222fbcf, 0x7c654695,
      0x0ad2fa8f, 0x7c9965bb, 0x17c2f64f, 0x788045bb, 0x117af64f],
     [0x0000656e, 0x00000000, 0x00000000, 0x00000000, 0x9ca7c70d,
      0x1f43144e, 0xd0a82711, 0x1f43150e, 0x8caac701, 0x1f43138e],
     [0x00015125, 0x00000000, 0x7472e5b6, 0x0ed2fbcf, 0x78664638,
      0x0afaf90f, 0x787d45b7, 0x10baf64f, 0x6881e5c1, 0x1152fb0f],
     [0x00015126, 0x00000000, 0x68a265c1, 0x1972fb0f, 0x808265b6,
      0x125af64f, 0x6c7fc5b6, 0x103af6cc, 0x547ce5b6, 0x109af6cf],
     [0x00006571, 0x00000000, 0x00000000, 0x00000000, 0x00a786fa,
      0x1f43178f, 0xc0a66707, 0x1f43100e, 0xc4a76708, 0x1f43178e],
     [0x00006572, 0x00000000, 0xeca7e727, 0x1f430fce, 0x78a6a70d,
      0x1f43114e, 0xd8a9070a, 0x1f43150e, 0x88a76707, 0x1f4311ce],
     [0x00006573, 0x00000000, 0x7ca9e70e, 0x1f4310ce, 0xb4a5e70f,
      0x1f4310ce, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006574, 0x00000000, 0xa8a70710, 0x1f43148e, 0xe8a90713,
      0x1f43124e, 0xe0a8a70d, 0x1f43170e, 0x90a906f8, 0x1f43150e],
     [0x00006575, 0x00000000, 0x48a5871c, 0x1f430d8e, 0x98a78711,
      0x1f43108e, 0x8ca8c725, 0x1f43164e, 0x00000000, 0x00000000],
     [0x00006576, 0x00000000, 0xc0a826ff, 0x1f43148e, 0x00000000,
      0x00000000, 0xc0a7870c, 0x1f430fce, 0xa4a9470f, 0x1f43128e],
     [0x00006577, 0x00000000, 0xe8a6271d, 0x1f43120e, 0x00000000,
      0x00000000, 0xc0a706ff, 0x1f43124e, 0x10a7071c, 0x1f43104f],
     [0x00006578, 0x00000000, 0x10a7071c, 0x1f43104f, 0xf0a6e720,
      0x1f430f0e, 0x08a8c727, 0x1f43144f, 0x98a7e705, 0x1f43134e],
     [0x00006579, 0x00000000, 0x48a76705, 0x1f43134e, 0xc8a76705,
      0x1f43134e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000657a, 0x00000000, 0x04a566ed, 0x1f43134f, 0xb8a726f5,
      0x1f43138e, 0x14a746f2, 0x1f431a8f, 0x00a6a6f3, 0x1f43144f],
     [0x0000657b, 0x00000000, 0x00000000, 0x00000000, 0xfca8a6d7,
      0x1f43180e, 0x3ca9a6ef, 0x1f4318cf, 0xc8a6e6e9, 0x1f4313ce],
     [0x0000657c, 0x00000000, 0xc8a6e6ee, 0x1f43144e, 0xe0a6e6f1,
      0x1f43144e, 0xf8a666e6, 0x1f4316ce, 0xe4a706f2, 0x1f43144e],
     [0x0000657d, 0x00000000, 0x24a546f2, 0x1f43154f, 0x20a6e6f1,
      0x1f43144f, 0xf0a6a6f1, 0x1f43144e, 0xf0a726f1, 0x1f43144e],
     [0x00015134, 0x00000000, 0x4cb5e6a3, 0x1ec2fa8f, 0x4cb9a6a3,
      0x2122fbcf, 0x4cac26a3, 0x1c82fd0f, 0x4cafc6a3, 0x1efafd0f],
     [0x0000657f, 0x00000000, 0xf4a6e6f3, 0x1f43144e, 0xd4a6a6e8,
      0x1f43144e, 0xf0a646eb, 0x1f43144e, 0x00000000, 0x00000000],
     [0x00006580, 0x00000000, 0xc0a8a6e5, 0x1f43158e, 0x28a6c700,
      0x1f43108f, 0xd8a6e6ed, 0x1f4313ce, 0xeca84704, 0x1f43120e],
     [0x00006581, 0x00000000, 0xf0a646ee, 0x1f43144e, 0x18a886ee,
      0x1f431a0f, 0xf4a666ed, 0x1f43144e, 0x00000000, 0x00000000],
     [0x00015138, 0x00000000, 0xd09c26a3, 0x194b000e, 0x4cb826a3,
      0x20c2fbcf, 0x4ca026a3, 0x1983024f, 0x4cbea6a3, 0x2032fe4f],
     [0x00006583, 0x00000000, 0xf0a646eb, 0x1f43144e, 0xf0a646f1,
      0x1f43144e, 0xe8a846e3, 0x1f43130e, 0xf4a686f1, 0x1f43144e],
     [0x00006584, 0x00000000, 0xd4a6a6e8, 0x1f43154e, 0xf8a6e6e7,
      0x1f43154e, 0xf0a686f1, 0x1f43144e, 0x00000000, 0x00000000],
     [0x0001513b, 0x00000000, 0x6893e5b6, 0x17e2f6cf, 0x68b086a3,
      0x1daaf50f, 0x688f85b6, 0x16b2f6cf, 0x6c9c26a3, 0x1802f44c],
     [0x0001513c, 0x00000000, 0x209ee5b6, 0x199af4cc, 0x689d46a3,
      0x1a32fbcf, 0x688146a2, 0x1172f80f, 0x20a566a2, 0x1a42f84c],
     [0x0001513d, 0x00000000, 0x6899c6a3, 0x1952fbcf, 0x688d86a3,
      0x1452f8cf, 0x68c2a5b6, 0x238af94f, 0x689ee5b6, 0x1a9af94f],
     [0x0001513e, 0x00000000, 0x68a005b6, 0x1a82f6cf, 0x6c9ec5b6,
      0x1baaf44c, 0x6ca6a5b6, 0x1c8af6cc, 0xa08f85b6, 0x152af80f],
     [0x0001513f, 0x00000000, 0x6876a615, 0x1192facf, 0x688b0685,
      0x1352f9cf, 0x689dc5a9, 0x1a52f5cf, 0x689245b2, 0x16e2f80f],
     [0x00015140, 0x00000000, 0x68b545b2, 0x1fa2f80f, 0x689b05b6,
      0x19a2fdcf, 0x209765a9, 0x1882f80c, 0x689645d5, 0x1872fd4f],
     [0x0000658b, 0x00000000, 0x54b606ff, 0x1f430acf, 0x48b746f3,
      0x1f43090f, 0x20b6a6c9, 0x1f431290, 0xa8afe6db, 0x1f430a0f],
     [0x0000658c, 0x00000000, 0x68b7a6d4, 0x1f43098f, 0xdcafe6f4,
      0x1f430ace, 0xa4b5e6fe, 0x1f430f0f, 0x94a926d5, 0x1f43114f],
     [0x0000658d, 0x00000000, 0x18a4c6c2, 0x1f43120f, 0xbcb1c723,
      0x1f430f4e, 0x28b7a6ef, 0x1f4311cf, 0x00000000, 0x00000000],
     [0x0000658e, 0x00000000, 0x00000000, 0x00000000, 0x84aec6e8,
      0x1f430ccf, 0x08b346d4, 0x1f430ccf, 0x84b646f0, 0x1f43134f],
     [0x0000658f, 0x00000000, 0xd8a9c6f7, 0x1f43098e, 0x58ac06f5,
      0x1f4311cf, 0x00000000, 0x00000000, 0x28b546e7, 0x1f43134f],
     [0x00006590, 0x00000000, 0xd0b0a6ee, 0x1f43124f, 0x00000000,
      0x00000000, 0xccb62702, 0x1f43098e, 0x94b106d5, 0x1f430ccf],
     [0x00006591, 0x00000000, 0xf0b486e5, 0x1f4312ce, 0x10b02701,
      0x1f430cd0, 0x94b206ea, 0x1f43114f, 0xb4b4e6fe, 0x1f430d8f],
     [0x00006592, 0x00000000, 0x44af0700, 0x1f43104f, 0xf0ae46cd,
      0x1f43100f, 0xd4ae4736, 0x1f430e8e, 0x84b1a6e2, 0x1f4310cf],
     [0x00006593, 0x00000000, 0x14abc6c0, 0x1f430910, 0x2cb82737,
      0x1f430bce, 0xacb8272b, 0x1f4305ce, 0xc4b0a715, 0x1f43098e],
     [0x00006594, 0x00000000, 0x64b6e6f6, 0x1f430fcf, 0xd8b7a6d9,
      0x1f43058e, 0x00000000, 0x00000000, 0x6cb9c72d, 0x1f4303ce],
     [0x00006595, 0x00000000, 0xf8a9a707, 0x1f4307ce, 0xf0b4c717,
      0x1f4311cf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006596, 0x00000000, 0xf0ae66d6, 0x1f43090f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x94afc714, 0x1f4309cf],
     [0x00017896, 0x00000000, 0x6ca666a1, 0x1b2af70f, 0x8495e6a9,
      0x14daf70f, 0xa09be6f7, 0x111af64f, 0x68b386a4, 0x189af64f],
     [0x00006598, 0x00000000, 0x00000000, 0x00000000, 0xb0b68719,
      0x1f430b0f, 0xb0b5c70e, 0x1f430fcf, 0x6cb3e747, 0x1f430f4e],
     [0x00006446, 0x00000000, 0xacb0c72c, 0x1f42f74e, 0x4cb24709,
      0x1f42fbce, 0xacb20724, 0x1f4302ce, 0xd8b0e717, 0x1f4304ce],
     [0x0000659a, 0x00000000, 0x8ca5a6e7, 0x1f4310cf, 0xf0b6c6ef,
      0x1f430ccf, 0xc4b54702, 0x1f430dcf, 0xd8b40712, 0x1f430bce],
     [0x0000659b, 0x00000000, 0x08b826d3, 0x1f43000f, 0x90b36725,
      0x1f430bce, 0x00000000, 0x00000000, 0x70b786f9, 0x1f430acf],
     [0x0000659c, 0x00000000, 0x68b6a731, 0x1f430a4f, 0xc8ace72d,
      0x1f430bce, 0xb8b3c70b, 0x1f43070f, 0x9cb82731, 0x1f43070e],
     [0x0000659d, 0x00000000, 0x5cb3473c, 0x1f43050e, 0xf0b7c732,
      0x1f430f8e, 0x60ad271c, 0x1f430fcf, 0x40af670a, 0x1f430dcf],
     [0x0000644b, 0x00000000, 0xb8b08706, 0x1f42ff8e, 0x6cb4273b,
      0x1f42f78e, 0xc8b1c70d, 0x1f43104e, 0x7cb06725, 0x1f43030e],
     [0x0000644c, 0x00000000, 0x3cb30733, 0x1f43004e, 0x5caec720,
      0x1f42f90e, 0x08b0070f, 0x1f42ff8f, 0x9cb226fa, 0x1f43010e],
     [0x000065a0, 0x00000000, 0x28b026eb, 0x1f4310cf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x54b6a712, 0x1f4309ce],
     [0x000065a1, 0x00000000, 0xa4b546ee, 0x1f430acf, 0x64b0a6e0,
      0x1f430ecf, 0x48b6e712, 0x1f430acf, 0x58b326f6, 0x1f43098f],
     [0x000065a2, 0x00000000, 0x08b0a6d2, 0x1f43090f, 0xc4adc6f2,
      0x1f430a0f, 0xa4b8672b, 0x1f430cce, 0x90ab6729, 0x1f430d0e],
     [0x000065a3, 0x00000000, 0x00000000, 0x00000000, 0xe4b3272a,
      0x1f430d0f, 0xfcb28713, 0x1f430bce, 0xe8b166f4, 0x1f430ece],
     [0x000065a4, 0x00000000, 0x4caf2713, 0x1f4306cf, 0x68ad46ff,
      0x1f43098f, 0x9cb54735, 0x1f430d4e, 0x0caac72a, 0x1f43098f],
     [0x000065a5, 0x00000000, 0x5cb166e3, 0x1f43124f, 0x5ca8e704,
      0x1f43104f, 0x00000000, 0x00000000, 0x84b46728, 0x1f43094f],
     [0x000065a6, 0x00000000, 0x68b50704, 0x1f430f4f, 0xe4ab8715,
      0x1f430ace, 0x00000000, 0x00000000, 0xccb7470e, 0x1f4308ce],
     [0x00006454, 0x00000000, 0x08b006f6, 0x1f4305cf, 0x00000000,
      0x00000000, 0xf8a9c700, 0x1f430b0f, 0x48b5872f, 0x1f43030e],
     [0x000065a8, 0x00000000, 0x4caec719, 0x1f4307cf, 0x50ac8713,
      0x1f43080f, 0xc4b5c722, 0x1f43058e, 0x1cb2e73b, 0x1f42ff8e],
     [0x000065a9, 0x00000000, 0x20af2731, 0x1f43030f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xccb64723, 0x1f4309ce],
     [0x000065aa, 0x00000000, 0x70b3873b, 0x1f4306cf, 0x44b0670e,
      0x1f430d4f, 0x94b72730, 0x1f43088f, 0x00000000, 0x00000000],
     [0x000065ab, 0x00000000, 0xecb406ea, 0x1f430d0e, 0x00000000,
      0x00000000, 0x18b3a721, 0x1f43058f, 0x00000000, 0x00000000],
     [0x000178ab, 0x00000000, 0x00000000, 0x00000000, 0xf4c426ef,
      0x20a2f90b, 0x00000000, 0x00000000, 0xf4acc6ef, 0x1acaf90b],
     [0x0000645a, 0x00000000, 0x98ad8709, 0x1f43084e, 0x54adc712,
      0x1f430310, 0x88b82709, 0x1f4302cf, 0x00000000, 0x00000000],
     [0x000178ad, 0x00000000, 0x00000000, 0x00000000, 0xcc9fa6ef,
      0x1a12fc4b, 0x00000000, 0x00000000, 0xf49d26ef, 0x187af90b],
     [0x000065af, 0x00000000, 0x2cad0725, 0x1f43098e, 0x8ca1a727,
      0x1f430dce, 0x28b4671c, 0x1f42ff8f, 0x48b54719, 0x1f42ff0f],
     [0x000065b0, 0x00000000, 0x74b24735, 0x1f42fdce, 0x84b2c70c,
      0x1f42f98f, 0x28b2c6ff, 0x1f42facf, 0x78b42709, 0x1f42fccf],
     [0x000065b1, 0x00000000, 0xccb6c735, 0x1f42f8ce, 0xccb6c722,
      0x1f42ff8e, 0x68b2673c, 0x1f43120e, 0x3caee72e, 0x1f42fb8e],
     [0x000065b2, 0x00000000, 0x7ca80734, 0x1f43034e, 0xe8b4671d,
      0x1f42fb8e, 0x08b186f1, 0x1f4303cf, 0x4ca92731, 0x1f4308ce],
     [0x000065b3, 0x00000000, 0xccb4e71c, 0x1f42f68e, 0x8cb3c741,
      0x1f4311ce, 0x58af8707, 0x1f42fc0f, 0x78b26718, 0x1f430a0f],
     [0x000178b3, 0x00000000, 0x00000000, 0x00000000, 0xf47dc6ef,
      0x0ffaf64b, 0x00000000, 0x00000000, 0xf48e46ef, 0x1432f5cb],
     [0x00006462, 0x00000000, 0x00000000, 0x00000000, 0xb8b3e72d,
      0x1f43038e, 0x24b7069f, 0x1f4303d0, 0x5cb3e725, 0x1f4300cf],
     [0x00006463, 0x00000000, 0x7cb6e6da, 0x1f430250, 0x44b706e9,
      0x1f430010, 0x00000000, 0x00000000, 0x50b406f3, 0x1f43050f],
     [0x00006464, 0x00000000, 0xa0ade6e8, 0x1f42fe4f, 0x74b906fa,
      0x1f43020e, 0x6cb246d7, 0x1f430890, 0xd4b2270c, 0x1f42fc4f],
     [0x00006465, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x68b52741, 0x1f42fad0],
     [0x000065b9, 0x00000000, 0x00000000, 0x00000000, 0x78b1e738,
      0x1f42ff8e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006467, 0x00000000, 0xccb4a70f, 0x1f4300cf, 0x90b06715,
      0x1f43024f, 0x68b686b5, 0x1f4302d0, 0x54b04710, 0x1f430a0e],
     [0x000178ba, 0x00000000, 0x00000000, 0x00000000, 0x648586ef,
      0x1222f98c, 0x00000000, 0x00000000, 0xf48566ef, 0x0daaf6cb],
     [0x000178bb, 0x00000000, 0x00000000, 0x00000000, 0xf47ee6ef,
      0x1002f88b, 0x00000000, 0x00000000, 0x647b46ef, 0x0cdaf60c],
     [0x000178bc, 0x00000000, 0x00000000, 0x00000000, 0xf48926ef,
      0x13c2fd0b, 0x00000000, 0x00000000, 0x648446ef, 0x1152fb0c],
     [0x000178bd, 0x00000000, 0x00000000, 0x00000000, 0x64a266ef,
      0x1972f24c, 0x00000000, 0x00000000, 0xf48c46ef, 0x143af6cb],
     [0x000178be, 0x00000000, 0x00000000, 0x00000000, 0x648e86ef,
      0x12baf30c, 0x00000000, 0x00000000, 0xf483e6ef, 0x109af6cb],
     [0x000065c0, 0x00000000, 0xacae2713, 0x1f43154e, 0x6cb40725,
      0x1f43180e, 0x0caee70a, 0x1f43114f, 0x00000000, 0x00000000],
     [0x000065c1, 0x00000000, 0x60b2c72a, 0x1f43128e, 0xb0a98706,
      0x1f43170e, 0xbcb4c72e, 0x1f43098e, 0x88b3872e, 0x1f43004e],
     [0x000065c2, 0x00000000, 0x3caa0712, 0x1f43124e, 0x48b32717,
      0x1f4300ce, 0x44ac8714, 0x1f430bcf, 0x90ade708, 0x1f43114e],
     [0x000065c3, 0x00000000, 0x00000000, 0x00000000, 0x4cae0731,
      0x1f43028e, 0x60b1c728, 0x1f43078e, 0x8caee724, 0x1f430f8e],
     [0x00006471, 0x00000000, 0x00000000, 0x00000000, 0xdcb6a71e,
      0x1f42fc0e, 0xf8b36731, 0x1f43038e, 0xb8b96740, 0x1f430a8e],
     [0x000065c5, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x60b2c720, 0x1f4305ce, 0x00000000, 0x00000000],
     [0x000065c6, 0x00000000, 0xf8a9871e, 0x1f4316ce, 0x2ca6270a,
      0x1f43144f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000065c7, 0x00000000, 0x00b22726, 0x1f43068f, 0x6cab26db,
      0x1f43114f, 0xa8b56734, 0x1f43180e, 0xa8ac8716, 0x1f4315ce],
     [0x000065c8, 0x00000000, 0x6cb60717, 0x1f43148e, 0x00000000,
      0x00000000, 0x24b4c719, 0x1f430c0f, 0x68ac2722, 0x1f43178e],
     [0x000065c9, 0x00000000, 0x74a8671f, 0x1f4312ce, 0xbcb02722,
      0x1f43198e, 0xe0a74701, 0x1f4308ce, 0x44b1472b, 0x1f43068e],
     [0x000065ca, 0x00000000, 0x54b0c732, 0x1f42face, 0x9caa470e,
      0x1f430c0e, 0xe0aaa710, 0x1f43134e, 0xa4aa0710, 0x1f43140e],
     [0x000065cb, 0x00000000, 0x9cadc71e, 0x1f43158e, 0x74aa0729,
      0x1f430c0e, 0x0cabc70f, 0x1f43158f, 0xecb4270f, 0x1f430d4e],
     [0x000065cc, 0x00000000, 0x60afc725, 0x1f43060e, 0x00000000,
      0x00000000, 0x90b7672e, 0x1f430c0e, 0x00000000, 0x00000000],
     [0x000065cd, 0x00000000, 0x00000000, 0x00000000, 0x9cabe70f,
      0x1f43118e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000065ce, 0x00000000, 0xb4ae0734, 0x1f4308ce, 0x8caca734,
      0x1f43044e, 0x24b42714, 0x1f43068f, 0x00000000, 0x00000000],
     [0x000178ce, 0x00000000, 0x00000000, 0x00000000, 0x648766ef,
      0x121af30c, 0x00000000, 0x00000000, 0x6489c6ef, 0x133af98c],
     [0x000178cf, 0x00000000, 0x00000000, 0x00000000, 0x647ae6ef,
      0x0b1af54c, 0x00000000, 0x00000000, 0x649086ef, 0x1292f6cc],
     [0x000178d0, 0x00000000, 0x00000000, 0x00000000, 0x648ec6ef,
      0x12b2f28c, 0x00000000, 0x00000000, 0x649aa6ef, 0x15cae58c],
     [0x000065d2, 0x00000000, 0x44adc714, 0x1f430e4f, 0x38b5470e,
      0x1f42fdcf, 0x00000000, 0x00000000, 0x68b1272b, 0x1f43098e],
     [0x000178d2, 0x00000000, 0x00000000, 0x00000000, 0xf47dc6ef,
      0x0fa2f60b, 0x00000000, 0x00000000, 0x649f06ef, 0x1462ee4c],
     [0x000178d3, 0x00000000, 0x00000000, 0x00000000, 0x649006ef,
      0x13e2f4cc, 0x00000000, 0x00000000, 0x647ec6ef, 0x0fc2f3cc],
     [0x000065d5, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x88b18729, 0x1f43000e, 0x00000000, 0x00000000],
     [0x000065d6, 0x00000000, 0xa0b70702, 0x1f42fcce, 0xfcb4670e,
      0x1f42ff8e, 0x3cb86721, 0x1f42fccf, 0xfcb72719, 0x1f42f8ce],
     [0x000065d7, 0x00000000, 0xc0b6c72e, 0x1f42fa0e, 0x00000000,
      0x00000000, 0xacafc72a, 0x1f430c4e, 0x00000000, 0x00000000],
     [0x000065d8, 0x00000000, 0x80afe736, 0x1f430a4e, 0x2cac0742,
      0x1f42f78e, 0x58aee6e8, 0x1f430ed0, 0x00000000, 0x00000000],
     [0x0001518f, 0x00000000, 0xa091a69a, 0x1592f44f, 0xa094e68c,
      0x13e3020f, 0x54a2269b, 0x169b0bcf, 0xa09f068c, 0x162b020f],
     [0x000065da, 0x00000000, 0x64ade726, 0x1f42f58e, 0x6cb0c740,
      0x1f43028e, 0x0cb3e71e, 0x1f43028f, 0xecb86729, 0x1f42f40e],
     [0x00015191, 0x00000000, 0xa081468c, 0x0dc301cf, 0x2086468c,
      0x0f0af1ce, 0xa0a4868c, 0x1643020f, 0xa08b068c, 0x12db020f],
     [0x00015192, 0x00000000, 0xa0bba68c, 0x1c8b020f, 0x58a4068c,
      0x16a3020f, 0x58a7869c, 0x1853088f, 0xa095668c, 0x122b020f],
     [0x000178dc, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xf499e6ef, 0x1092f10b],
     [0x0000648b, 0x00000000, 0x30b9a6fc, 0x1f42f1d0, 0x68b5071a,
      0x1f43034e, 0x44b246fe, 0x1f42fd0f, 0x00000000, 0x00000000],
     [0x000178de, 0x00000000, 0x00000000, 0x00000000, 0x6486e6ef,
      0x12caf98c, 0x00000000, 0x00000000, 0x648266ef, 0x106af98c],
     [0x00015196, 0x00000000, 0x688005c1, 0x0e72ffcf, 0x688ca68c,
      0x1032ff4f, 0x6c7c05c1, 0x0e22ffcf, 0xa081269c, 0x0aa3000f],
     [0x0000648e, 0x00000000, 0xe4b6a71b, 0x1f42f60f, 0x64b68711,
      0x1f42f50f, 0xb0af2701, 0x1f42fc0f, 0x00000000, 0x00000000],
     [0x0000648f, 0x00000000, 0x00000000, 0x00000000, 0x6cb1c70b,
      0x1f42ff8e, 0x28b1271c, 0x1f42f810, 0x40b2c70f, 0x1f42fad0],
     [0x000065e3, 0x00000000, 0x00000000, 0x00000000, 0x68b5471d,
      0x1f42fbcf, 0x04b72723, 0x1f42fccf, 0x4cb2c735, 0x1f43088e],
     [0x000065e4, 0x00000000, 0xb4b40729, 0x1f42fd0e, 0x38b606f7,
      0x1f42f8cf, 0xc8b6a70b, 0x1f42ff8e, 0x00000000, 0x00000000],
     [0x000065e5, 0x00000000, 0x28b76703, 0x1f43038f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x5cad271b, 0x1f42fdce],
     [0x000065e6, 0x00000000, 0xa0aba709, 0x1f42f9ce, 0xf0a806e5,
      0x1f43028e, 0xdcb0e70f, 0x1f43038e, 0x00000000, 0x00000000],
     [0x000065e7, 0x00000000, 0xecb246f7, 0x1f42fd8e, 0x28b0e700,
      0x1f42fccf, 0x6cb08727, 0x1f42fd8e, 0x00000000, 0x00000000],
     [0x000065e8, 0x00000000, 0x48af6722, 0x1f42f78f, 0x44b366fe,
      0x1f43020f, 0xacb7271e, 0x1f42fe8e, 0xecb6470f, 0x1f42f8ce],
     [0x000065e9, 0x00000000, 0xf8a7271e, 0x1f43168e, 0x20b5a70c,
      0x1f42fbce, 0x28b6c707, 0x1f42f84f, 0x00000000, 0x00000000],
     [0x000065ea, 0x00000000, 0x08af66fe, 0x1f42ff8f, 0x00000000,
      0x00000000, 0xacac2723, 0x1f430cce, 0x3cac8713, 0x1f42fccf],
     [0x000065eb, 0x00000000, 0xf8b486e8, 0x1f42ff8e, 0x28b4a712,
      0x1f42fb0f, 0x58b566fc, 0x1f43018f, 0xf8b2e722, 0x1f42fcce],
     [0x000065ec, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x18b3c710, 0x1f42ffcf, 0x0cb7270b, 0x1f42f98f],
     [0x000065ed, 0x00000000, 0xe0af66fe, 0x1f43008e, 0x00000000,
      0x00000000, 0x00ad4741, 0x1f4303ce, 0x5ca78726, 0x1f43160e],
     [0x000065ee, 0x00000000, 0x00000000, 0x00000000, 0xf8b28705,
      0x1f42f7ce, 0x00000000, 0x00000000, 0xbcb14716, 0x1f42fb0e],
     [0x000065ef, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xb8b36711, 0x1f42f94e],
     [0x000065f0, 0x00000000, 0x00000000, 0x00000000, 0x48b34710,
      0x1f42f98f, 0x00000000, 0x00000000, 0x44b56712, 0x1f42fb8f],
     [0x00003de8, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x707c4623, 0x106af8cd, 0x00000000, 0x00000000],
     [0x000065f2, 0x00000000, 0xacb56734, 0x1f42fa4e, 0x98afe718,
      0x1f42face, 0x00000000, 0x00000000, 0x4caee736, 0x1f43078e],
     [0x000065f3, 0x00000000, 0x48af6739, 0x1f42fd8f, 0xbcb6a71d,
      0x1f42fa0e, 0x7cb8a71d, 0x1f42f80e, 0x40b4873b, 0x1f43074e],
     [0x000064a1, 0x00000000, 0x00000000, 0x00000000, 0xa0ae4720,
      0x1f42f40f, 0xc8b1270a, 0x1f42fecf, 0xacb5c70e, 0x1f42fd0e],
     [0x000065f5, 0x00000000, 0x28b7c70d, 0x1f4301cf, 0xf0b266fe,
      0x1f430ace, 0x8cb54725, 0x1f42f80e, 0x7cb3c705, 0x1f42f90e],
     [0x000065f6, 0x00000000, 0x8cb7a71d, 0x1f42ffce, 0x5cb28739,
      0x1f42f54f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000065f7, 0x00000000, 0x5cae6705, 0x1f42f90e, 0x04b14713,
      0x1f42fa0f, 0xdcb32725, 0x1f42fa0e, 0x78b92720, 0x1f4308ce],
     [0x000065f8, 0x00000000, 0x00000000, 0x00000000, 0xecb24716,
      0x1f4305ce, 0x00000000, 0x00000000, 0x8cb1271d, 0x1f4301ce],
     [0x000065f9, 0x00000000, 0x00000000, 0x00000000, 0x44af2730,
      0x1f43010e, 0xe8a96720, 0x1f43148e, 0x3cb04710, 0x1f43000f],
     [0x000064a7, 0x00000000, 0x24b5071b, 0x1f42f64f, 0xf8b746f4,
      0x1f42f90e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000065fb, 0x00000000, 0xa4aea701, 0x1f43004f, 0x9cab66e3,
      0x1f4307cf, 0x68ad0727, 0x1f430b0e, 0x00000000, 0x00000000],
     [0x000065fc, 0x00000000, 0xd0ab671f, 0x1f430f4e, 0x88aea70a,
      0x1f4308ce, 0xd8b3c70f, 0x1f42fd8e, 0x80b3872f, 0x1f42ff8e],
     [0x000064aa, 0x00000000, 0x24b5670a, 0x1f42fa90, 0x50ae2706,
      0x1f42fa10, 0x38adc700, 0x1f42ffcf, 0x6cb30708, 0x1f42f40f],
     [0x000065fe, 0x00000000, 0xccbb070a, 0x1f42ff8e, 0x9cb4a6fb,
      0x1f4303cf, 0x88b34706, 0x1f42f80f, 0xa4ada705, 0x1f42f8ce],
     [0x000065ff, 0x00000000, 0x00000000, 0x00000000, 0x3cb00706,
      0x1f4302cf, 0x38af8712, 0x1f4304ce, 0x14aee73f, 0x1f430b4e],
     [0x00006600, 0x00000000, 0x60b6c739, 0x1f42f80e, 0xacad071e,
      0x1f431bce, 0x5cb02709, 0x1f430acf, 0x2cae26ed, 0x1f43110f],
     [0x00006601, 0x00000000, 0x3ca986e4, 0x1f42ffcf, 0x0cad86ee,
      0x1f42fe0f, 0x5cb0a6f7, 0x1f4301cf, 0x10ab26ee, 0x1f42fa8f],
     [0x00006602, 0x00000000, 0x20ac2708, 0x1f43034f, 0x00000000,
      0x00000000, 0xd0ad8702, 0x1f42fd0e, 0x00000000, 0x00000000],
     [0x00006603, 0x00000000, 0x6cb206f9, 0x1f42fc0f, 0x7cad66fd,
      0x1f4301cf, 0x5cae66ec, 0x1f43014f, 0x9cad6716, 0x1f42fe4f],
     [0x00006604, 0x00000000, 0x88ac86fb, 0x1f42f7cf, 0x3cb10705,
      0x1f42fc0f, 0x3cb126f5, 0x1f4300cf, 0x10b2a71a, 0x1f430c8f],
     [0x00006605, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x1cadc6ed, 0x1f43044f, 0x10ad071d, 0x1f42fa4f],
     [0x00006606, 0x00000000, 0x5cada726, 0x1f42f84f, 0x00000000,
      0x00000000, 0xf0af86fb, 0x1f43060e, 0x28af6710, 0x1f42f9cf],
     [0x00006607, 0x00000000, 0x7cb1e6db, 0x1f42f54f, 0x7cad26e7,
      0x1f43018f, 0x7cad070a, 0x1f42f5cf, 0x00000000, 0x00000000],
     [0x00006608, 0x00000000, 0x7cab06fc, 0x1f42f98f, 0xc0ad0703,
      0x1f43018e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006609, 0x00000000, 0x3cace6fb, 0x1f43080f, 0x00000000,
      0x00000000, 0x18ac4720, 0x1f42ff8f, 0x5ca9e703, 0x1f43124f],
     [0x0000660a, 0x00000000, 0x50ada6de, 0x1f42fb4f, 0xecae86f6,
      0x1f43044e, 0x00000000, 0x00000000, 0x8cb206f5, 0x1f42fa4f],
     [0x0000660b, 0x00000000, 0x0cb18701, 0x1f4301cf, 0x4caee6fe,
      0x1f43044f, 0x00000000, 0x00000000, 0x6cac26f9, 0x1f43028f],
     [0x0000660c, 0x00000000, 0x10ace71b, 0x1f42fb4f, 0x00000000,
      0x00000000, 0x98af66bb, 0x1f43070f, 0x00000000, 0x00000000],
     [0x0000660d, 0x00000000, 0xf0b006f9, 0x1f43050e, 0x70ad66d9,
      0x1f42facf, 0x00000000, 0x00000000, 0xd4ab6710, 0x1f42f7ce],
     [0x0000660e, 0x00000000, 0xf0b046fb, 0x1f42fd8e, 0xf0ac8719,
      0x1f42f98e, 0x00000000, 0x00000000, 0xf0b0471d, 0x1f42fd8e],
     [0x0000660f, 0x00000000, 0xf0b0c70e, 0x1f43038e, 0xf0b2071d,
      0x1f43010e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006610, 0x00000000, 0x00000000, 0x00000000, 0x4caf26e3,
      0x1f43020f, 0x00000000, 0x00000000, 0x7cad26d7, 0x1f43078f],
     [0x000151c7, 0x00000000, 0xa0990695, 0x17baf7cf, 0xa097e685,
      0x16b2f88f, 0xa09c2685, 0x13d2f88f, 0xa0882695, 0x13c2f60f],
     [0x00006612, 0x00000000, 0xc8ad66e8, 0x1f4309ce, 0x4caf2700,
      0x1f42ff0f, 0xfcaf2712, 0x1f4300ce, 0xf0b006d3, 0x1f43050e],
     [0x00006613, 0x00000000, 0xbcae070d, 0x1f42ffcf, 0x6cac8712,
      0x1f43030f, 0x3cb36700, 0x1f42f9cf, 0xb4ac472d, 0x1f42f5ce],
     [0x000151ca, 0x00000000, 0xa0b20685, 0x1b2af88f, 0xa09d2685,
      0x1672fc4f, 0x609ce695, 0x184afbcf, 0xa0b44685, 0x1bbaf7cf],
     [0x000151cb, 0x00000000, 0xa09a2685, 0x1322f88f, 0x609ce695,
      0x187afbcf, 0xa0a0e685, 0x17bafe0f, 0xa0960685, 0x11c2f50f],
     [0x000064c3, 0x00000000, 0xccb0670b, 0x1f42fa0e, 0x2cb486fc,
      0x1f42f60e, 0x90b2a6f0, 0x1f42f94f, 0x9cb52705, 0x1f42f510],
     [0x000151cd, 0x00000000, 0xa0a46695, 0x19d2fc4f, 0x60898685,
      0x13c2f8cf, 0x708d45b5, 0x1382f90f, 0x6c876695, 0x115af50c],
     [0x00006618, 0x00000000, 0xf8ae86dc, 0x1f43058e, 0x00000000,
      0x00000000, 0x60ae8703, 0x1f4301cf, 0x70ae8700, 0x1f42f68f],
     [0x000151cf, 0x00000000, 0x6c7e65b6, 0x102af64c, 0x7483e696,
      0x11b2f90f, 0x7c60c5b6, 0x09f2fbcf, 0xa086a5b6, 0x1182fbcf],
     [0x000151d0, 0x00000000, 0x6081a695, 0x11d2fbcf, 0x6c89e5a9,
      0x13e2f64c, 0x788145b3, 0x105afbcf, 0x747b6695, 0x0ee2f50c],
     [0x000151d1, 0x00000000, 0x7881e5b6, 0x118af90f, 0x6c8845a9,
      0x121af7cf, 0x6c84c5b6, 0x129af64c, 0x747e05b6, 0x0f02f7cc],
     [0x000151d2, 0x00000000, 0x7889e5a9, 0x1282f90f, 0x847d45a9,
      0x0eaaf64f, 0x788165b6, 0x1142f64f, 0x6c91e5b6, 0x1612fbcc],
     [0x000151d3, 0x00000000, 0x709305b6, 0x136af64c, 0x6c9d05b6,
      0x15eaf64c, 0x7891a5b6, 0x157af38f, 0x78846696, 0x117af90f],
     [0x000151d4, 0x00000000, 0x787aa5b5, 0x0f0af90f, 0x6c8786a2,
      0x12faf64f, 0x648d45b6, 0x12faeb0f, 0x6c906695, 0x155af90c],
     [0x000151d5, 0x00000000, 0x6c84e5b6, 0x124af90c, 0x78ac65a9,
      0x1b22f64f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006620, 0x00000000, 0xb8ab86f7, 0x1f42f90f, 0x5ca926df,
      0x1f42fe4f, 0x3cae86f5, 0x1f42ff0f, 0xb8ad6716, 0x1f42fe4f],
     [0x000064ce, 0x00000000, 0xbcb6c70e, 0x1f42f90e, 0xd0b4a707,
      0x1f42f80e, 0xf0b7c71c, 0x1f42f58e, 0x08b96733, 0x1f42f24f],
     [0x000064cf, 0x00000000, 0x04b6a6f6, 0x1f42fb0f, 0x00000000,
      0x00000000, 0xd0b3471c, 0x1f430a4e, 0x00000000, 0x00000000],
     [0x00006623, 0x00000000, 0x7cac66e3, 0x1f42f94f, 0x7cac66e4,
      0x1f42fd0f, 0x00000000, 0x00000000, 0x7cac4707, 0x1f43008f],
     [0x000064d1, 0x00000000, 0x28b2670f, 0x1f43000f, 0x00000000,
      0x00000000, 0xfcb38706, 0x1f42f80e, 0x4cb2670b, 0x1f42fb0f],
     [0x00006625, 0x00000000, 0x7cac6707, 0x1f42f90f, 0x00000000,
      0x00000000, 0x64a88705, 0x1f42fdcf, 0x9caf86f2, 0x1f42ffcf],
     [0x00006626, 0x00000000, 0x8caca6f1, 0x1f42f9cf, 0x00000000,
      0x00000000, 0x98aca6f9, 0x1f43008f, 0x7cac6706, 0x1f43078f],
     [0x000064d4, 0x00000000, 0x00b7e704, 0x1f42fdcf, 0xb8b5e71b,
      0x1f42fb0e, 0x8cb686e0, 0x1f42fd0e, 0x00000000, 0x00000000],
     [0x00006628, 0x00000000, 0x30aea707, 0x1f4302cf, 0x38ad06f6,
      0x1f42fdcf, 0x7cac66e8, 0x1f43020f, 0x00000000, 0x00000000],
     [0x00006629, 0x00000000, 0x58ab8726, 0x1f43058f, 0x7cac66f9,
      0x1f43048f, 0x50ad671d, 0x1f43104e, 0x1cad0732, 0x1f42fa8f],
     [0x0000662a, 0x00000000, 0x94b7c6ff, 0x1f43028f, 0x94b6a6e4,
      0x1f42fb0f, 0xe8b2471e, 0x1f4300ce, 0x00000000, 0x00000000],
     [0x0000662b, 0x00000000, 0x1cb806c6, 0x1f42f74f, 0x44b7c6dd,
      0x1f42f74f, 0x30b746bf, 0x1f42f94f, 0x88b7e6d0, 0x1f42f84f],
     [0x0000662c, 0x00000000, 0x00000000, 0x00000000, 0xa4b686f7,
      0x1f42f90f, 0xb0b5c6ad, 0x1f42f58e, 0xacb786dd, 0x1f42f68f],
     [0x000064da, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00b6e734, 0x1f43010f, 0x00000000, 0x00000000],
     [0x0000662e, 0x00000000, 0x18b886cd, 0x1f42f54f, 0x00000000,
      0x00000000, 0xc0b6a6d9, 0x1f42f44e, 0xecb826fc, 0x1f42f88f],
     [0x000151e5, 0x00000000, 0xa097068c, 0x155afd0f, 0xa09ea68c,
      0x161af44f, 0xa0a0668c, 0x1762fd0f, 0x54a5469b, 0x1a7b048f],
     [0x00006630, 0x00000000, 0x00b7c6f3, 0x1f42f74f, 0xccb7a6d7,
      0x1f42fc4f, 0x54b826e8, 0x1f42f68f, 0x54b74716, 0x1f42f68f],
     [0x00006631, 0x00000000, 0x28b826ed, 0x1f42f7cf, 0x00000000,
      0x00000000, 0xc0b906de, 0x1f42f88f, 0x00000000, 0x00000000],
     [0x00006632, 0x00000000, 0x00000000, 0x00000000, 0x78b6c700,
      0x1f42f68f, 0x00000000, 0x00000000, 0x20b6c6cc, 0x1f42f68f],
     [0x000064e0, 0x00000000, 0xacb866e7, 0x1f42fa0e, 0x00000000,
      0x00000000, 0x9cb54712, 0x1f42facf, 0xacb786e0, 0x1f42f70f],
     [0x00006634, 0x00000000, 0x00000000, 0x00000000, 0x04b266d4,
      0x1f42f84f, 0x8cb5e6d2, 0x1f42f84f, 0x20b6a6de, 0x1f42f74f],
     [0x00006635, 0x00000000, 0x00000000, 0x00000000, 0x18b70701,
      0x1f42f68f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006636, 0x00000000, 0x58b706e7, 0x1f43028f, 0xd0b766dd,
      0x1f42fb8f, 0x2cb446ea, 0x1f42f54f, 0xc0b6270d, 0x1f430e8e],
     [0x000151ed, 0x00000000, 0x6882069c, 0x11f2f28f, 0x6c85a5b6,
      0x1292eb0c, 0x688525c1, 0x106af84f, 0x6c80269c, 0x0f0af8cc],
     [0x00006638, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xacb88722, 0x1f42fd0f, 0x50afc709, 0x1f42face],
     [0x00006639, 0x00000000, 0x00000000, 0x00000000, 0x74b1c703,
      0x1f42fa0f, 0x00000000, 0x00000000, 0x8cb8871d, 0x1f42f9ce],
     [0x0000663a, 0x00000000, 0x58b8270a, 0x1f43090f, 0x6cb58712,
      0x1f42f9cf, 0x9cb28724, 0x1f42f30f, 0x30b4c70b, 0x1f42fbcf],
     [0x0000663b, 0x00000000, 0x00000000, 0x00000000, 0x50aa6721,
      0x1f42f80f, 0x88b4270b, 0x1f42fc8f, 0x5cb90719, 0x1f42f70f],
     [0x0000663c, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xb0b2c70b, 0x1f42f9cf, 0x00000000, 0x00000000],
     [0x0000663d, 0x00000000, 0x4cac66f6, 0x1f42f70f, 0x00000000,
      0x00000000, 0x54b5870b, 0x1f42f74f, 0x00000000, 0x00000000],
     [0x0000663e, 0x00000000, 0x00000000, 0x00000000, 0xacb26710,
      0x1f42fc0e, 0x74b6671f, 0x1f43054e, 0x00000000, 0x00000000],
     [0x00018741, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xa07aa5b8, 0x0fc2f34f],
     [0x00006640, 0x00000000, 0x50b6a70d, 0x1f42f90f, 0x00000000,
      0x00000000, 0xacb3a703, 0x1f42f90f, 0xa8b4470f, 0x1f42f90f],
     [0x000064ee, 0x00000000, 0x00000000, 0x00000000, 0xd8b766f2,
      0x1f42f64f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006642, 0x00000000, 0x40b66730, 0x1f43054e, 0x8cb5871d,
      0x1f42f70f, 0x70b8274d, 0x1f42f84e, 0x00000000, 0x00000000],
     [0x000064f0, 0x00000000, 0x5cb0070a, 0x1f42f70f, 0x00000000,
      0x00000000, 0xa4b206e1, 0x1f42fdcf, 0xd8b5c700, 0x1f42f90f],
     [0x00006644, 0x00000000, 0x4cb9a72c, 0x1f42fa8e, 0x00b4071b,
      0x1f42facf, 0xc0b4c70b, 0x1f42f60f, 0xf0b4c71c, 0x1f42face],
     [0x00006645, 0x00000000, 0x38ad0716, 0x1f42fd0f, 0xdcb7271e,
      0x1f42f70f, 0x60b5c712, 0x1f42fa0f, 0x8cb9a72a, 0x1f42f60e],
     [0x00006646, 0x00000000, 0x44ba4726, 0x1f42f84f, 0x00000000,
      0x00000000, 0xfcb40736, 0x1f42fbce, 0x90b7871f, 0x1f42f40f],
     [0x00006647, 0x00000000, 0x00000000, 0x00000000, 0x14b8271f,
      0x1f42f4cf, 0x28b2c71d, 0x1f42f70f, 0x08b32714, 0x1f42fa10],
     [0x00006648, 0x00000000, 0xf4b7872e, 0x1f42f60e, 0x10b2070f,
      0x1f42f70f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006649, 0x00000000, 0x8cb4c710, 0x1f42f80f, 0xc4b86719,
      0x1f43074e, 0x00000000, 0x00000000, 0x80b38707, 0x1f42fc0f],
     [0x0000664a, 0x00000000, 0xbcb5071a, 0x1f42f8ce, 0x7cb72707,
      0x1f42f84f, 0x7cb3c70c, 0x1f42f80f, 0x5cb4c702, 0x1f42f00e],
     [0x0000664b, 0x00000000, 0x78ae270b, 0x1f42f60f, 0xa0b146fe,
      0x1f42fb0f, 0x3cb3c739, 0x1f42fdce, 0x0cb64715, 0x1f42fa0f],
     [0x0000664c, 0x00000000, 0x70b5a712, 0x1f42f80f, 0x30b34712,
      0x1f42f810, 0x18ae4715, 0x1f42fd0f, 0x4cae8715, 0x1f42fd0f],
     [0x0000664d, 0x00000000, 0x00000000, 0x00000000, 0x54b6e73a,
      0x1f42f64f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000064fb, 0x00000000, 0xbcb3671e, 0x1f42fa0e, 0x00000000,
      0x00000000, 0x08b82725, 0x1f42f70f, 0x00000000, 0x00000000],
     [0x0000664f, 0x00000000, 0x24b22730, 0x1f42f70f, 0x98b5070b,
      0x1f42f90f, 0x40af6726, 0x1f42f74f, 0xf4b54709, 0x1f42f70e],
     [0x00006650, 0x00000000, 0x00000000, 0x00000000, 0x20b78703,
      0x1f42f60f, 0xb0b6a725, 0x1f42f80f, 0x3cb5c6f7, 0x1f42fb0f],
     [0x00006651, 0x00000000, 0x00000000, 0x00000000, 0xf8b88712,
      0x1f42f70e, 0x00000000, 0x00000000, 0xbcb1a71d, 0x1f42fd0f],
     [0x00006652, 0x00000000, 0x80b1a71d, 0x1f42f84f, 0x44b3a726,
      0x1f42f74f, 0x00000000, 0x00000000, 0xecb0e71d, 0x1f42fbce],
     [0x00006500, 0x00000000, 0xe4b0e721, 0x1f42ffce, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x30b48715, 0x1f42f80f],
     [0x00006654, 0x00000000, 0x68b38738, 0x1f42facf, 0x84b5c72c,
      0x1f42f40e, 0xb8b6472c, 0x1f42f50e, 0xbcb46725, 0x1f42fb0e],
     [0x00006655, 0x00000000, 0xa4b32731, 0x1f43038e, 0x64b42742,
      0x1f43018e, 0x40b2271e, 0x1f42f90f, 0x10b7a733, 0x1f43018e],
     [0x00006656, 0x00000000, 0x24b24735, 0x1f42f54f, 0x80b34724,
      0x1f42face, 0x00000000, 0x00000000, 0xdcb6a732, 0x1f42f60e],
     [0x00006657, 0x00000000, 0x64b2c716, 0x1f42f94e, 0x00000000,
      0x00000000, 0x64b84742, 0x1f42f80e, 0x90b6673d, 0x1f42f80e],
     [0x00006658, 0x00000000, 0x00000000, 0x00000000, 0xa4b5270a,
      0x1f42f7ce, 0x00000000, 0x00000000, 0xf09a86fd, 0x1f432e4f],
     [0x00006506, 0x00000000, 0x4cb32714, 0x1f42fdcf, 0xccb60715,
      0x1f42fd0f, 0xb0b646fe, 0x1f42f88f, 0x00000000, 0x00000000],
     [0x0000665a, 0x00000000, 0xf0b66703, 0x1f42fc8f, 0x6cb6e706,
      0x1f42facf, 0xf4b0e6fd, 0x1f42f90f, 0xb0b64700, 0x1f42fd8f],
     [0x00006508, 0x00000000, 0xb0b1c722, 0x1f42f90e, 0x58b6a73b,
      0x1f42f7ce, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006509, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x54b5a6e4, 0x1f42f98f],
     [0x0000665d, 0x00000000, 0xd0adc6ed, 0x1f42fc8f, 0x7cb44704,
      0x1f42f9ce, 0xccb44709, 0x1f4301cf, 0x00af4700, 0x1f42fc90],
     [0x00018760, 0x00000000, 0x00000000, 0x00000000, 0x247be693,
      0x1082f4cb, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00018761, 0x00000000, 0x247da693, 0x10f2efcb, 0x245ea693,
      0x0932f2cb, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00018762, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x246a05b3, 0x0c2afacb, 0x00000000, 0x00000000],
     [0x00018763, 0x00000000, 0x00000000, 0x00000000, 0x247a65aa,
      0x1022f24b, 0x247285aa, 0x0e2af4cb, 0x00000000, 0x00000000],
     [0x0000650f, 0x00000000, 0xa4b24737, 0x1f42f90e, 0x70b28702,
      0x1f42f80f, 0x3cb58725, 0x1f430acf, 0xb8b54725, 0x1f4302cf],
     [0x00006663, 0x00000000, 0x00000000, 0x00000000, 0x94b54715,
      0x1f42facf, 0x00000000, 0x00000000, 0xbcae4704, 0x1f42fb0f],
     [0x00018766, 0x00000000, 0x446ee6db, 0x0dcafc56, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006512, 0x00000000, 0x20b206f3, 0x1f4300cf, 0x68b80734,
      0x1f42facf, 0x4cb8a744, 0x1f42fb0e, 0x00b3a71d, 0x1f43064f],
     [0x00018768, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xfc7046dd, 0x0f02fe13],
     [0x00006514, 0x00000000, 0x30b2a70b, 0x1f42fb0f, 0xc4b6a71e,
      0x1f42fa0f, 0xfcb4e736, 0x1f42fd8e, 0x08b8c703, 0x1f42f34f],
     [0x00006515, 0x00000000, 0x00000000, 0x00000000, 0x80b1c703,
      0x1f42fa0e, 0x00000000, 0x00000000, 0x54b886fe, 0x1f42f80e],
     [0x00006516, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xb4b68734, 0x1f42f80e, 0xc0b6272d, 0x1f42f8ce],
     [0x0000666a, 0x00000000, 0x28b58735, 0x1f42fdce, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x38b68743, 0x1f4306ce],
     [0x0000666b, 0x00000000, 0xbcae0722, 0x1f43120e, 0x78b646d7,
      0x1f42fc8f, 0xf4afa709, 0x1f4307ce, 0xf8b286c5, 0x1f42ffce],
     [0x0000666c, 0x00000000, 0x5cab870b, 0x1f42fd0f, 0xb0b646d3,
      0x1f42f7cf, 0xc0b306d1, 0x1f42fe0f, 0xa8b72705, 0x1f42f7cf],
     [0x0000666d, 0x00000000, 0x28ade702, 0x1f42fc8f, 0x30aa8734,
      0x1f430f8e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000666e, 0x00000000, 0x00000000, 0x00000000, 0x84ad26e7,
      0x1f42fd8f, 0x68b726dd, 0x1f42f5cf, 0x9cb926fe, 0x1f42f50f],
     [0x0000666f, 0x00000000, 0xbcb766de, 0x1f42f64f, 0x98a8c72a,
      0x1f4317ce, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006670, 0x00000000, 0x00000000, 0x00000000, 0x0cb726fa,
      0x1f42fc50, 0x30b2e6e1, 0x1f42fe4f, 0x50b5a6e8, 0x1f42fa8f],
     [0x0000651e, 0x00000000, 0xa0b44707, 0x1f42f80f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000651f, 0x00000000, 0xe8b3c710, 0x1f42fc0e, 0xd4b1a73c,
      0x1f42fb0e, 0xe0b7673a, 0x1f43078e, 0x3cb0c71e, 0x1f430a8f],
     [0x00006673, 0x00000000, 0x30a9872d, 0x1f43174e, 0x08b486cf,
      0x1f42fa8f, 0x58b506c7, 0x1f42fb0f, 0x58b246c7, 0x1f42fe0f],
     [0x00006674, 0x00000000, 0xa0b546e8, 0x1f42fbcf, 0x78b20738,
      0x1f43044e, 0x64b04712, 0x1f42fa4f, 0x68b386c7, 0x1f42fe4f],
     [0x00006675, 0x00000000, 0x50b4c6cd, 0x1f42fc0f, 0xb4aa2737,
      0x1f4315ce, 0x28b726d9, 0x1f42fa8f, 0xc0b8e6fd, 0x1f42fa0e],
     [0x00006676, 0x00000000, 0x8cab86f1, 0x1f42fb4f, 0x20b546cf,
      0x1f42facf, 0x00000000, 0x00000000, 0xacb586f7, 0x1f42f60f],
     [0x00006677, 0x00000000, 0x60b626cb, 0x1f42fc0f, 0x88b466fa,
      0x1f42fa4f, 0x00000000, 0x00000000, 0xb0b526c5, 0x1f42fbcf],
     [0x00006678, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xc8af8701, 0x1f42f98e, 0x50b706aa, 0x1f42fb0f],
     [0x00006679, 0x00000000, 0x70b1e6aa, 0x1f42f88f, 0x24b2e6e1,
      0x1f42f78f, 0x00000000, 0x00000000, 0x68afc6ab, 0x1f42f8cf],
     [0x0000667a, 0x00000000, 0x00000000, 0x00000000, 0x70b646da,
      0x1f42fb8f, 0x4cb466d8, 0x1f42f80f, 0x00000000, 0x00000000],
     [0x00006528, 0x00000000, 0x60ade71a, 0x1f42fb0f, 0x7ca98705,
      0x1f42fd0f, 0x8caec717, 0x1f42fb0f, 0x00b60700, 0x1f42fc10],
     [0x0000667c, 0x00000000, 0x40b026b1, 0x1f42facf, 0xd0b6c711,
      0x1f42f58f, 0x08b306e3, 0x1f42ff0f, 0x00000000, 0x00000000],
     [0x0000667d, 0x00000000, 0x54b206f7, 0x1f42f88f, 0x00000000,
      0x00000000, 0x94b066ec, 0x1f42f88f, 0xe8b92703, 0x1f42f88e],
     [0x0000667e, 0x00000000, 0xbcb5e6f3, 0x1f42fa4f, 0xc0b426e7,
      0x1f42fa4f, 0x34b7a6f6, 0x1f42fa8f, 0x9cb166f3, 0x1f42f88e],
     [0x0000652c, 0x00000000, 0xdcb2670b, 0x1f42fd0f, 0x30b04709,
      0x1f42fc0f, 0x10b2e70e, 0x1f42fd10, 0xd4b50714, 0x1f42f70f],
     [0x0000652d, 0x00000000, 0xd8b2070d, 0x1f42fd0f, 0x48b64712,
      0x1f42fd0f, 0xf8b2e705, 0x1f42fd0e, 0x0cb0c705, 0x1f42fb10],
     [0x00006681, 0x00000000, 0x80b6c6ff, 0x1f42fa8e, 0x0cb1c715,
      0x1f42fa4f, 0x18ae06d6, 0x1f42fa4f, 0xfcb926dd, 0x1f42f88e],
     [0x00006682, 0x00000000, 0x00000000, 0x00000000, 0x54b8e6dc,
      0x1f42f88f, 0xf8b186e7, 0x1f42fa4e, 0x8cb72707, 0x1f42f94e],
     [0x00006683, 0x00000000, 0x00000000, 0x00000000, 0x28b7a6d4,
      0x1f42f8cf, 0x24b5c721, 0x1f42fc8f, 0xfcb3670e, 0x1f42f78e],
     [0x00006684, 0x00000000, 0x00000000, 0x00000000, 0xf8b4a703,
      0x1f42f88e, 0x64b766f3, 0x1f42f64f, 0xf4b7e706, 0x1f42f50f],
     [0x00006685, 0x00000000, 0xc0b006e1, 0x1f42f88e, 0xa8b786fb,
      0x1f42f5cf, 0x48af872f, 0x1f430cce, 0x00000000, 0x00000000],
     [0x00006686, 0x00000000, 0x00000000, 0x00000000, 0xd0b04725,
      0x1f42facf, 0x78b0c734, 0x1f42f40f, 0x78b466e3, 0x1f42f68f],
     [0x0001000c, 0x00000000, 0x847ca68c, 0x0fa2f60f, 0xa071a68c,
      0x0fa2fa8f, 0xa077068c, 0x0fa2f10f, 0x8478a68c, 0x0fa2f20f],
     [0x00006688, 0x00000000, 0x60b706ea, 0x1f42f8cf, 0x00000000,
      0x00000000, 0xd8b826da, 0x1f42f88f, 0x10b46708, 0x1f42f58f],
     [0x00006536, 0x00000000, 0x74b0a714, 0x1f42fdcf, 0xc4b6e711,
      0x1f42f80f, 0x00000000, 0x00000000, 0xd4ad8702, 0x1f42fd0f],
     [0x0000668a, 0x00000000, 0x6cb506f8, 0x1f42face, 0xc0b886fd,
      0x1f42facf, 0x24b70719, 0x1f42facf, 0x60b6073e, 0x1f42face],
     [0x00006538, 0x00000000, 0xa0ae4716, 0x1f42fa0f, 0x8cac66fe,
      0x1f42f94f, 0xacb64722, 0x1f42f74e, 0x70b6871c, 0x1f42f90f],
     [0x00006539, 0x00000000, 0xc0b30705, 0x1f42fa0f, 0x30b18707,
      0x1f42f750, 0x00000000, 0x00000000, 0xc8b30705, 0x1f42fd0e],
     [0xc0010012, 0x08c11021, 0xa09ea675, 0x1692ec0f, 0xa06e8675,
      0x0a6aec0f, 0x587be675, 0x0de2ec8f, 0xa098c675, 0x14daefcf],
     [0x0000653b, 0x00000000, 0x5cb78708, 0x1f42f90f, 0xa8ada70c,
      0x1f42fe4f, 0x04b4c70d, 0x1f42fa0f, 0x78b4670d, 0x1f42f90f],
     [0x0000653c, 0x00000000, 0xacb6270b, 0x1f42f90f, 0x60b626f4,
      0x1f42f60f, 0x90ab070a, 0x1f42f80f, 0xacb5a712, 0x1f42f90f],
     [0x00006690, 0x00000000, 0x34b68747, 0x1f43030e, 0xd0ae0736,
      0x1f430bce, 0x90b8071e, 0x1f42f74e, 0xccaf06e6, 0x1f42fb8e],
     [0x0000653e, 0x00000000, 0xc0b1c71e, 0x1f43000e, 0x48ad070c,
      0x1f42fc0f, 0x4cada719, 0x1f42f64f, 0x00000000, 0x00000000],
     [0x0000653f, 0x00000000, 0xccb3c70e, 0x1f42f40e, 0xa8b1e6fe,
      0x1f42f90f, 0x90b226fb, 0x1f42f70f, 0x2cb50706, 0x1f42fa10],
     [0x00006540, 0x00000000, 0x4cac471e, 0x1f42f90f, 0x4ca80716,
      0x1f42f64f, 0x2cb24706, 0x1f42fa10, 0x58b5c706, 0x1f42fa10],
     [0x00006694, 0x00000000, 0x4cb7a714, 0x1f42fc8f, 0x00000000,
      0x00000000, 0x6cb3c702, 0x1f42f88e, 0x1cb18725, 0x1f42fc4f],
     [0x00006695, 0x00000000, 0x8cb14701, 0x1f42fd8e, 0x7cb4c71b,
      0x1f42fb0f, 0x48afa707, 0x1f42f9cf, 0x94b6a705, 0x1f42f84f],
     [0xd1e9001b, 0x2484868f, 0x74616693, 0x08b2f84f, 0x7c9685a1,
      0x1692f10f, 0x7c79c5a1, 0x0fa2f18f, 0x747905a1, 0x0fa2f4cf],
     [0x00006544, 0x00000000, 0xc8b62715, 0x1f42fa0f, 0xf4af6729,
      0x1f42f74e, 0xfcb68706, 0x1f42fa0e, 0x14b26706, 0x1f42fa0f],
     [0x00006545, 0x00000000, 0x50b1271a, 0x1f42fc0f, 0xb4b6e6f9,
      0x1f42fccf, 0xf8afa729, 0x1f42fa0e, 0x40adc702, 0x1f42f80f],
     [0x00006699, 0x00000000, 0xc0b5e729, 0x1f42f68e, 0xb0b24747,
      0x1f42f88e, 0xecb446ee, 0x1f42f88e, 0xacb3070c, 0x1f42f7ce],
     [0x00006547, 0x00000000, 0x00000000, 0x00000000, 0xecb56706,
      0x1f42fa0e, 0xe4b6c706, 0x1f42fa0e, 0x20b54706, 0x1f42fa10],
     [0x0000669b, 0x00000000, 0xe8a8c6e6, 0x1f4309ce, 0x90b646d5,
      0x1f42f64f, 0x84b646e1, 0x1f42fa4f, 0x28ac8702, 0x1f42fa8f],
     [0x00006549, 0x00000000, 0x0cb24709, 0x1f42fa10, 0x38b2470d,
      0x1f42fa0f, 0x9caae734, 0x1f42fc0e, 0x00000000, 0x00000000],
     [0x0000654a, 0x00000000, 0x94b5c703, 0x1f42f50f, 0x40b6a717,
      0x1f42f90f, 0xd4b10712, 0x1f42f90f, 0xd8b16706, 0x1f42fa0f],
     [0x000187a0, 0x00000000, 0x74b30762, 0x1d82ef4f, 0x6895468e,
      0x1692f34f, 0x74b30762, 0x1d82ef4f, 0x6895468e, 0x1692f34f],
     [0x000187a1, 0x00000000, 0x74b3072a, 0x1d82ef4f, 0x68954656,
      0x1692f34f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000654d, 0x00000000, 0x60b0c706, 0x1f42fa0f, 0x50af86e0,
      0x1f42f80f, 0xe4b54706, 0x1f42fa0f, 0xecb10711, 0x1f42fa0e],
     [0x00008c04, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa092867e, 0x156af08f, 0x00000000, 0x00000000],
     [0x000066a2, 0x00000000, 0x18b2c70c, 0x1f42f60f, 0x00000000,
      0x00000000, 0xd8acc6db, 0x1f42f78f, 0x84af0719, 0x1f42fece],
     [0x000066a3, 0x00000000, 0x6cb64703, 0x1f42f70f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x54b58710, 0x1f42f54f],
     [0x000066a4, 0x00000000, 0x6cb3c71e, 0x1f42f6cf, 0xe4b3e71e,
      0x1f42f84e, 0x14b5c6ce, 0x1f42f6cf, 0x0cb1c715, 0x1f42f6cf],
     [0x0001002a, 0x00000000, 0x90712646, 0x0a6b08d7, 0x58986682,
      0x17c2f84f, 0xf86a868c, 0x08a2f895, 0x3476257b, 0x0fa2fb50],
     [0x0001002b, 0x00000000, 0x5088456a, 0x151b0391, 0xa061c4e7,
      0x0a6afa52, 0x58986682, 0x17c2f84f, 0xf071e62f, 0x0a6b06d7],
     [0x000066a7, 0x00000000, 0x94b0e72f, 0x1f4312ce, 0x90af26d5,
      0x1f42f6cf, 0x84b54732, 0x1f430b0e, 0x3cac6715, 0x1f42f6cf],
     [0x000066a8, 0x00000000, 0x0caf66f6, 0x1f42f98f, 0xc4ad86de,
      0x1f42fa8e, 0x74b46708, 0x1f42f6cf, 0x34b626fd, 0x1f42f5cf],
     [0x000066a9, 0x00000000, 0x28b506ef, 0x1f42f78f, 0xecaf271c,
      0x1f42f6ce, 0x00000000, 0x00000000, 0xc0b4e729, 0x1f42f6ce],
     [0x0001002f, 0x00000000, 0x789a868c, 0x1772f64f, 0x789c268c,
      0x1772f68f, 0x789a868c, 0x1772f3cf, 0x6c6c65c1, 0x0fa2f50c],
     [0x57710030, 0x31f628be, 0xa085077a, 0x131ae14f, 0xa085077a,
      0x131ae14f, 0xa0850777, 0x131ae14f, 0xa0860752, 0x131ae14f],
     [0x19510031, 0x35f000d1, 0xa0850740, 0x131ae14f, 0xa08507a5,
      0x131ae14f, 0xa0b06675, 0x1bcae74f, 0x3c94a682, 0x14dafe8c],
     [0x00010032, 0x00000000, 0xa08dc77a, 0x131aedcf, 0xa08dc77a,
      0x131aedcf, 0xa08dc777, 0x131aedcf, 0xa08dc740, 0x131aedcf],
     [0x00010033, 0x00000000, 0xa070477a, 0x0a6aec0f, 0xa072477a,
      0x0a6aec0f, 0xa076c777, 0x0a6aec0f, 0xa077a740, 0x0a6aec0f],
     [0x00010034, 0x3636c000, 0xa0960675, 0x1692ec0f, 0x64996752,
      0x14dae90f, 0x5895e77a, 0x1692fd0f, 0x5895e77a, 0x1692fd0f],
     [0xdb410035, 0x0006dcda, 0x5895e777, 0x1692fd0f, 0x5895e752,
      0x1692fd0f, 0x5895e740, 0x1692fd0f, 0xc08745d9, 0x151b054f],
     [0x5ba10036, 0x3836f8dd, 0xfc95e6ba, 0x1692fd0d, 0x589e277a,
      0x1693078f, 0x589e277a, 0x1693078f, 0x589e2777, 0x1693078f],
     [0x1c210037, 0x00000000, 0x589e2740, 0x1693078f, 0xa08da77a,
      0x1163018f, 0xa085a675, 0x131aee0f, 0x647c268f, 0x0fa2c40c],
     [0x9c610038, 0x000000e3, 0x747a0680, 0x0faaf24f, 0x747a0680,
      0x0faaf24f, 0x747ca67d, 0x0faaf24f, 0x747fa658, 0x0faaf24f],
     [0x9c810039, 0x000728e4, 0x747d6646, 0x0faaf24f, 0x747a06ad,
      0x0faaf24f, 0x748e85a1, 0x14daf3cf, 0x3c73a5a1, 0x0de2f48c],
     [0x8001003a, 0x000730e5, 0x74724680, 0x0de2f5cf, 0x74746680,
      0x0de2f5cf, 0x7478c67d, 0x0de2f5cf, 0x7479e646, 0x0de2f5cf],
     [0x0001003b, 0x00000000, 0x74644680, 0x08b2f9cf, 0x74664680,
      0x08b2f9cf, 0x746a667d, 0x08b2f9cf, 0x746ba646, 0x08b2f9cf],
     [0x000066b7, 0x00000000, 0x7cb5c6ea, 0x1f42fb0e, 0x00000000,
      0x00000000, 0xe0b786f5, 0x1f42f5ce, 0x4cab26d7, 0x1f43028f],
     [0x00008c1b, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xfca7867d, 0x1c2af74e, 0x00000000, 0x00000000],
     [0x00006566, 0x00000000, 0x28a9a706, 0x1f4317cf, 0xc8a9e72b,
      0x1f43118e, 0x00000000, 0x00000000, 0xd0a68711, 0x1f43114e],
     [0x0001003f, 0x00000000, 0x7479e646, 0x0fa2f88f, 0x6873c680,
      0x0de2e80c, 0x6c792693, 0x0fa2db4c, 0x6875c646, 0x0de2e80c],
     [0x00010040, 0x00000000, 0xa08506dd, 0x131ae14f, 0x747aa607,
      0x0faaf24f, 0xa0850746, 0x131ae14f, 0x747aa672, 0x0faaf24f],
     [0x00006569, 0x00000000, 0x6ca6471f, 0x1f4310ce, 0xfcab0719,
      0x1f43180e, 0x00000000, 0x00000000, 0xcca92725, 0x1f4312ce],
     [0x0000656a, 0x00000000, 0x78a8e70e, 0x1f43148e, 0xe0a64713,
      0x1f4314ce, 0x00000000, 0x00000000, 0xe0a88708, 0x1f43178e],
     [0x0000656b, 0x00000000, 0xaca5c710, 0x1f4312ce, 0x9ca886f1,
      0x1f431b0e, 0x58a826fd, 0x1f43110e, 0x00000000, 0x00000000],
     [0x0000656c, 0x00000000, 0xe0a7e709, 0x1f431a8e, 0xf0a80711,
      0x1f431a4e, 0xeca7a725, 0x1f43160e, 0x00000000, 0x00000000],
     [0x0000656d, 0x00000000, 0x00000000, 0x00000000, 0xd0a7270b,
      0x1f43154e, 0xbca76711, 0x1f43124e, 0xb4b086cf, 0x1f4303ce],
     [0x00010046, 0x00000000, 0xe48dc675, 0x131aedcc, 0xe47205a1,
      0x0de2f5cc, 0xa08dc753, 0x131aedcf, 0x747d467d, 0x0de2f5cf],
     [0x0000656f, 0x00000000, 0xbca6a70a, 0x1f43110e, 0xe0a8c703,
      0x1f4316ce, 0xb4a6e715, 0x1f43110e, 0x9ca74706, 0x1f43168e],
     [0x000066c3, 0x00000000, 0x88a5871e, 0x1f43098e, 0x7ca72720,
      0x1f43020e, 0xd8a6070f, 0x1f43138e, 0x00b0e720, 0x1f430f8f],
     [0x000066c4, 0x00000000, 0x90ae6726, 0x1f4308ce, 0xacaa672d,
      0x1f430c0e, 0x84a6e722, 0x1f43060e, 0xbca6a721, 0x1f430ace],
     [0x0001004a, 0x00000000, 0xa076072c, 0x0a6aec0f, 0x746b2658,
      0x08b2f58f, 0xa07566dd, 0x0a6aec0f, 0x74692607, 0x08b2f54f],
     [0x0001004b, 0x00000000, 0xa076874a, 0x0a6aec0f, 0x7469e672,
      0x08b2f98f, 0xfc6e8675, 0x0a6aec0c, 0xfc646676, 0x08b2fa4c],
     [0x000066c7, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x24aa473f, 0x1f43060e, 0x24b02743, 0x1f42ffce],
     [0x000066c8, 0x00000000, 0xe8b6e730, 0x1f43010d, 0x00000000,
      0x00000000, 0x40aaa739, 0x1f430f8e, 0x50b4c733, 0x1f43030e],
     [0x000066c9, 0x00000000, 0x10ad0747, 0x1f430cce, 0xe4a8671c,
      0x1f430fce, 0x00000000, 0x00000000, 0xaca84708, 0x1f430c4e],
     [0x0001004f, 0x00000000, 0x74616693, 0x08b2efcb, 0xa088e682,
      0x1162ec0f, 0x7476869d, 0x08b2f84f, 0xa0846675, 0x1162ec0f],
     [0x00010050, 0x00000000, 0x746ec693, 0x0a1af84f, 0xa0846675,
      0x1162ec0f, 0x7464e693, 0x08b2f74f, 0x64996754, 0x14dae90f],
     [0x00010051, 0x00000000, 0x7c79c680, 0x0fa2f18f, 0x74996675,
      0x14dae90b, 0x7479c5a1, 0x0fa2f18b, 0x64996753, 0x14dae90f],
     [0x000066cd, 0x00000000, 0x00000000, 0x00000000, 0xb0ace71b,
      0x1f43148e, 0x00000000, 0x00000000, 0x04b4a707, 0x1f43004f],
     [0x000066ce, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x98b0072b, 0x1f43040e, 0xc8a70724, 0x1f43160e],
     [0x00010054, 0x00000000, 0x58988754, 0x1692fd0f, 0x74822680,
      0x0fa2f4cf, 0x80b70682, 0x1d82fa4f, 0x708f45a1, 0x14daf30f],
     [0x00010055, 0x00000000, 0xa0880754, 0x131aeacf, 0xa0720680,
      0x0c2af94f, 0x74880675, 0x131aeacb, 0x747205a1, 0x0c2aed8b],
     [0x0000657e, 0x00000000, 0x18a886e8, 0x1f4316cf, 0x08a666ee,
      0x1f43144f, 0xd4a6a6e8, 0x1f43144e, 0x3caa46fb, 0x1f43168f],
     [0x00010057, 0x00000000, 0x587e0755, 0x0fa2f24f, 0x6c6ea67d,
      0x0c2af20f, 0x3c7e0683, 0x0fa2f24c, 0x3c6c45a2, 0x0c2af20c],
     [0x00010058, 0x00000000, 0x58810753, 0x0fa2f24f, 0x6c73c67f,
      0x0c2af20f, 0x3c8da675, 0x1162fccc, 0x3c63860a, 0x08b2e48c],
     [0x000066d4, 0x00000000, 0x00000000, 0x00000000, 0x54b74732,
      0x1f42f8cf, 0xd4b4a710, 0x1f42f6ce, 0x00000000, 0x00000000],
     [0x0001005a, 0x00000000, 0x589e272c, 0x1693078f, 0x7479e658,
      0x0fa2f88f, 0x589e26dd, 0x1693078f, 0x7479e607, 0x0fa2f88f],
     [0x0001005b, 0x00000000, 0x589e274a, 0x1693078f, 0x747a8672,
      0x0fa2f88f, 0x589e2773, 0x1693078f, 0x7479e69b, 0x0fa2f88f],
     [0x000066d7, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x40b6c700, 0x1f43008f],
     [0x00006585, 0x00000000, 0xdca6e6e9, 0x1f4315ce, 0xf4a686ed,
      0x1f43144e, 0xf4a686ec, 0x1f43144e, 0xf0a686f3, 0x1f4313ce],
     [0x00006586, 0x00000000, 0x00000000, 0x00000000, 0xf4a606e6,
      0x1f43144e, 0xf0a646f1, 0x1f43144e, 0x00000000, 0x00000000],
     [0x00006587, 0x00000000, 0x4cb06745, 0x1f42ff8e, 0xf49006c5,
      0x1f43450f, 0xdcae86d5, 0x1f43128e, 0x04b546d2, 0x1f431410],
     [0x00006588, 0x00000000, 0x68b486bf, 0x1f43080f, 0x9cb186fc,
      0x1f43060e, 0xe4b666d1, 0x1f43084f, 0x2cb26708, 0x1f430c4f],
     [0x00006589, 0x00000000, 0x68b366e0, 0x1f430c0f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000658a, 0x00000000, 0x64b246cb, 0x1f43058f, 0x00000000,
      0x00000000, 0x64b6c6cc, 0x1f430acf, 0x00000000, 0x00000000],
     [0x000066de, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x50b40727, 0x1f43058f, 0x08b0271d, 0x1f43020f],
     [0x000066df, 0x00000000, 0xfcb40719, 0x1f43010f, 0x7cb5e70c,
      0x1f42fccf, 0xfcb1e719, 0x1f4300cf, 0x00000000, 0x00000000],
     [0x000066e0, 0x00000000, 0xfcb06718, 0x1f42facf, 0x00000000,
      0x00000000, 0xecaf0719, 0x1f43018f, 0x18b66716, 0x1f42f80f],
     [0x00010066, 0x00000000, 0x00000000, 0x00000000, 0x747bc693,
      0x0fa2f18f, 0x74616693, 0x08b2f84f, 0xa07a4684, 0x0f52f58f],
     [0x000066e2, 0x00000000, 0x84b0671c, 0x1f43064f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000066e3, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xbcae06f1, 0x1f4308cf, 0x00000000, 0x00000000],
     [0x000066e4, 0x00000000, 0xecae4719, 0x1f4304cf, 0xd8b8e720,
      0x1f43064f, 0x94b32719, 0x1f42ffcf, 0xdcac2719, 0x1f42fece],
     [0x000066e5, 0x00000000, 0x00000000, 0x00000000, 0xecb08720,
      0x1f42ff8f, 0xecb1c720, 0x1f4301cf, 0x5cb6a720, 0x1f42f80f],
     [0x000066e6, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa4b5c6f1, 0x1f43040f, 0x44b386e2, 0x1f4302cf],
     [0x0001006c, 0x00000000, 0x748a6607, 0x11eaf88f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000066e8, 0x00000000, 0x90b2e6fd, 0x1f42fbcf, 0xacb5e6f1,
      0x1f42fecf, 0xf8b546f5, 0x1f4301ce, 0x00000000, 0x00000000],
     [0x0001006e, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xf87845aa, 0x0fa2f00b, 0xa07d068c, 0x0fa2f10f],
     [0x00006597, 0x00000000, 0x84b346ec, 0x1f43088f, 0xe4b5c704,
      0x1f43118f, 0xacb28712, 0x1f43114f, 0xd8ad0715, 0x1f43088e],
     [0x000066eb, 0x00000000, 0x00000000, 0x00000000, 0xdcb3670c,
      0x1f43010f, 0xe8b3472b, 0x1f42fe0e, 0x8cb726ed, 0x1f42fecf],
     [0x00006599, 0x00000000, 0x0cb846f0, 0x1f430b4f, 0x78ac071d,
      0x1f430d0f, 0x94ad873c, 0x1f430a0e, 0x94ade6c7, 0x1f430bcf],
     [0x000066ed, 0x00000000, 0x74b8871f, 0x1f42f40f, 0x04b8a701,
      0x1f42ffcf, 0x8cb4e710, 0x1f42facf, 0x00000000, 0x00000000],
     [0x000066ee, 0x00000000, 0x18b8271d, 0x1f42fb0f, 0xe0afe718,
      0x1f42fece, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000066ef, 0x00000000, 0x00000000, 0x00000000, 0xc0b726f6,
      0x1f43044e, 0x00000000, 0x00000000, 0x0cb6470a, 0x1f42fa4f],
     [0x000066f0, 0x00000000, 0x64af2732, 0x1f43080f, 0xc4b6471e,
      0x1f42fd8f, 0x00000000, 0x00000000, 0xb8b6a716, 0x1f42fccf],
     [0x000066f1, 0x00000000, 0xd4b6c6f4, 0x1f42fd4e, 0x00000000,
      0x00000000, 0xb0b026f3, 0x1f42fd0e, 0x04b766f3, 0x1f42fccf],
     [0x0000659f, 0x00000000, 0x70b3670e, 0x1f430bcf, 0x38b46722,
      0x1f430e4f, 0x44aee6d8, 0x1f430acf, 0x00000000, 0x00000000],
     [0x000066f3, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x34b3871c, 0x1f42fe0f],
     [0x000066f4, 0x00000000, 0x00000000, 0x00000000, 0x78b24732,
      0x1f43008e, 0x9cb0c732, 0x1f43038f, 0x2cb2e73a, 0x1f42ff0f],
     [0x000066f5, 0x00000000, 0xdcafc70d, 0x1f4303cf, 0x60b1c712,
      0x1f43004f, 0x04b3672d, 0x1f43014f, 0x34b82744, 0x1f43024e],
     [0x000066f6, 0x00000000, 0x00000000, 0x00000000, 0xbcb4a71b,
      0x1f43004e, 0xa8b3e717, 0x1f42fb4e, 0x2caec717, 0x1f42fecf],
     [0x000066f7, 0x00000000, 0xf0b626ff, 0x1f42fcce, 0x00000000,
      0x00000000, 0x5cb546f6, 0x1f42fb8e, 0x00000000, 0x00000000],
     [0x000066f8, 0x00000000, 0x9cb82726, 0x1f42fb0e, 0xf8b3a70e,
      0x1f43004e, 0xc0b68709, 0x1f43004f, 0xf8b3c6fc, 0x1f42fd8e],
     [0x0001007e, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa085079e, 0x131ae14f, 0x747a0744, 0x0faaf24f],
     [0x000066fa, 0x00000000, 0x30b20707, 0x1f43054f, 0x00000000,
      0x00000000, 0x18b3e71a, 0x1f42fa0f, 0xa8b366d2, 0x1f42f88e],
     [0x000066fb, 0x00000000, 0x68aa6719, 0x1f43088e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000066fc, 0x00000000, 0xc0b7c70d, 0x1f42fd4f, 0x60b68726,
      0x1f42f80f, 0xb4b8e719, 0x1f42f34f, 0x00000000, 0x00000000],
     [0x000066fd, 0x00000000, 0x00000000, 0x00000000, 0xdcb76716,
      0x1f42f64e, 0x00000000, 0x00000000, 0x78b30711, 0x1f42fd8f],
     [0x000066fe, 0x00000000, 0xa4b5e70b, 0x1f42fecf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000065ac, 0x00000000, 0x98ad66e3, 0x1f430a0f, 0x24b28719,
      0x1f430ecf, 0x54aee715, 0x1f43078f, 0x8cb3c732, 0x1f43064e],
     [0x000065ad, 0x00000000, 0x6cb726f6, 0x1f43070f, 0x00000000,
      0x00000000, 0xb4b06719, 0x1f43110e, 0x80b52710, 0x1f42face],
     [0x00006701, 0x00000000, 0x3cb5271d, 0x1f42fb0f, 0xb0ae470b,
      0x1f42fecf, 0x40b6c70e, 0x1f42fb4f, 0xbcb4c71d, 0x1f43028e],
     [0x00006702, 0x00000000, 0xdcb4471d, 0x1f42fe8e, 0x88b3a728,
      0x1f43004f, 0x6cb9873a, 0x1f42f20e, 0x3cafe6f8, 0x1f42fccf],
     [0x00018805, 0x00000000, 0xc4bb84e2, 0x1f42ee12, 0xc53884e2,
      0x3e82ee12, 0xac6fc69a, 0x105b0e4c, 0xf07d035b, 0x0fa2ee0a],
     [0x00006704, 0x00000000, 0xecb3a70b, 0x1f42fdce, 0x00000000,
      0x00000000, 0x0cb44716, 0x1f42fc4f, 0x44b7c706, 0x1f42ffcf],
     [0x00006705, 0x00000000, 0x58b44723, 0x1f43010f, 0xa8b64700,
      0x1f42f88f, 0x00000000, 0x00000000, 0x0cae2708, 0x1f43018f],
     [0x00006706, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xc0b22705, 0x1f43008f],
     [0x00006707, 0x00000000, 0xccb80730, 0x1f43004e, 0x38ae670b,
      0x1f43028f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006708, 0x00000000, 0x00000000, 0x00000000, 0x50b04719,
      0x1f4303cf, 0x00000000, 0x00000000, 0x60b36715, 0x1f43014f],
     [0x00006709, 0x00000000, 0xd8b16715, 0x1f43010e, 0xecafc734,
      0x1f42fd4e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000065b7, 0x00000000, 0xccb8270f, 0x1f42fdce, 0x48b2e6f9,
      0x1f43104f, 0xfcb6871d, 0x1f42fc8e, 0xe0a90735, 0x1f43148e],
     [0x0000670b, 0x00000000, 0x34b56719, 0x1f43014f, 0x28b5c72d,
      0x1f42fc8e, 0xc0b22705, 0x1f43008f, 0x10b0e702, 0x1f43034f],
     [0x0000670c, 0x00000000, 0x70b5e729, 0x1f42f90e, 0x04b4e6d6,
      0x1f42fb8f, 0x40b1a745, 0x1f4301ce, 0xf8b48702, 0x1f4301ce],
     [0x0000670d, 0x00000000, 0x38b7271e, 0x1f42fa4f, 0x00000000,
      0x00000000, 0x3cb7870c, 0x1f42fe4f, 0x0cb7a713, 0x1f4302cf],
     [0x000065bb, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xacb1e71d, 0x1f430c4e],
     [0x000065bc, 0x00000000, 0xb8b48703, 0x1f43108e, 0xd8af672d,
      0x1f43100e, 0x00b1a70c, 0x1f4311cf, 0x34aa2726, 0x1f43074f],
     [0x000065bd, 0x00000000, 0x00000000, 0x00000000, 0xb4a90725,
      0x1f4311ce, 0x04b76731, 0x1f43008f, 0xa4b3471a, 0x1f430ece],
     [0x00010096, 0x00000000, 0x747285a1, 0x0de2f5cf, 0x747205a1,
      0x0de2f5cf, 0x748e65a1, 0x13faf5cf, 0x6878e5c3, 0x0de2f5cf],
     [0x000065bf, 0x00000000, 0x00000000, 0x00000000, 0x88aba72d,
      0x1f43188e, 0xc8b3871f, 0x1f43068e, 0xb0ae672f, 0x1f4312ce],
     [0x00006713, 0x00000000, 0x98b92718, 0x1f43008e, 0x18b58715,
      0x1f42fe8f, 0xf4b8c720, 0x1f43014e, 0x00000000, 0x00000000],
     [0x00010099, 0x00000000, 0x7879e5aa, 0x0f02ef0f, 0xd87a45aa,
      0x0fa2f2cb, 0x7c7c4693, 0x0fa2f2cf, 0xfc7c4693, 0x0fa2ec8b],
     [0x00018817, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xa03e83e8, 0x1f42ee0f],
     [0x0001009b, 0x00000000, 0x746c4693, 0x0bbaf10f, 0xfc616693,
      0x07e2f00b, 0xfc81a693, 0x11faf84b, 0x7c9685a1, 0x1692f10f],
     [0x000065c4, 0x00000000, 0xdcac4707, 0x1f4318ce, 0x04ada721,
      0x1f43168f, 0xf4b8a6dd, 0x1f43078f, 0x70b40729, 0x1f43090e],
     [0x0001009d, 0x00000000, 0x808965a1, 0x10dae90f, 0x747905a1,
      0x0fa2f4cf, 0x889ac5a1, 0x1672fa4f, 0x908e45c3, 0x14e2f58f],
     [0x00006719, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x80b42703, 0x1f42fd8f, 0x50b1a727, 0x1f43024f],
     [0x0001009f, 0x00000000, 0xfc7205a1, 0x0a6ae90b, 0xfc7205a1,
      0x0c32f40b, 0xa07385be, 0x0c8af94f, 0xa06325be, 0x0a92fe8f],
     [0x000100a0, 0x00000000, 0xa07d25b8, 0x0edaf44f, 0xa08725b8,
      0x0edaf44f, 0x386d85a2, 0x0c2af04c, 0xfc86a693, 0x0cfad28b],
     [0x0000671c, 0x00000000, 0x00000000, 0x00000000, 0x88b2a6f8,
      0x1f42fe4f, 0x00000000, 0x00000000, 0x8cb8a71a, 0x1f42f84e],
     [0x000100a2, 0x00000000, 0xfc65060a, 0x08b2ef8b, 0x747a65a1,
      0x0fa2f04f, 0x788385aa, 0x10cafa4f, 0x7879e5a1, 0x0fa2fb0f],
     [0x0000671e, 0x00000000, 0x2cb42728, 0x1f42fdcf, 0x7cb3c71e,
      0x1f43004e, 0xa0b72711, 0x1f42fcce, 0x00000000, 0x00000000],
     [0x000100a4, 0x00000000, 0x38742594, 0x0caaf24c, 0xe46e0594,
      0x0c4af24e, 0xfc7f25aa, 0x0ceaf34b, 0xdc8285aa, 0x0e4aefca],
     [0x00006720, 0x00000000, 0x00000000, 0x00000000, 0x94ad673e,
      0x1f43094e, 0xe4aea70c, 0x1f4303cf, 0x00000000, 0x00000000],
     [0x00006721, 0x00000000, 0x00000000, 0x00000000, 0x08b60706,
      0x1f42ff90, 0xd8b0e713, 0x1f43048e, 0xd8abc713, 0x1f43074f],
     [0x000065cf, 0x00000000, 0x00000000, 0x00000000, 0x48b42722,
      0x1f430e8e, 0xf8ade71e, 0x1f430d4e, 0x48b5c72c, 0x1f4305ce],
     [0x000065d0, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa0ac472e, 0x1f42fc8e, 0xf8ad071e, 0x1f43004e],
     [0x000065d1, 0x00000000, 0x48aca72c, 0x1f43078e, 0x00000000,
      0x00000000, 0x64b76701, 0x1f42fe0f, 0xb0b0672f, 0x1f430cce],
     [0x00006725, 0x00000000, 0x1cb1871b, 0x1f43074f, 0x5caf471b,
      0x1f430750, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006726, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xfcb7271b, 0x1f43074e, 0x0cb7471b, 0x1f430750],
     [0x00006727, 0x00000000, 0xe8b26733, 0x1f43080e, 0x00000000,
      0x00000000, 0x48b48721, 0x1f43090f, 0x24b1671b, 0x1f43074f],
     [0x000100ad, 0x00000000, 0x0466469a, 0x0a02ee15, 0x2c68669a,
      0x0a02ee12, 0x04784694, 0x0c32ef95, 0xbc7ee69a, 0x0fa2f1d4],
     [0x000100ae, 0x00000000, 0xc86b269d, 0x0a52f212, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x8c5c0696, 0x0a6b01d6],
     [0x0000672a, 0x00000000, 0x60aa8719, 0x1f43140f, 0xd8b6a71b,
      0x1f43038f, 0x00000000, 0x00000000, 0xb8b2a71c, 0x1f42fc8e],
     [0x0000672b, 0x00000000, 0x00000000, 0x00000000, 0x04b0c72c,
      0x1f43074f, 0x14b5c728, 0x1f43054f, 0x00000000, 0x00000000],
     [0x0000672c, 0x00000000, 0x50b5a6fc, 0x1f42fbcf, 0x84b2e71b,
      0x1f43048f, 0x0cb6e700, 0x1f430010, 0xdcb1871b, 0x1f43074f],
     [0x0000672d, 0x00000000, 0x38ad4709, 0x1f430290, 0x18b5671d,
      0x1f430290, 0xc0b6471d, 0x1f43024f, 0x30adc71d, 0x1f43028f],
     [0x0000672e, 0x00000000, 0x9caf4710, 0x1f43030f, 0x00000000,
      0x00000000, 0x14b9071d, 0x1f430250, 0xdcaf6720, 0x1f43058f],
     [0x0000672f, 0x00000000, 0xdcb2672f, 0x1f43038e, 0xdcb4471a,
      0x1f42ff0e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000065dd, 0x00000000, 0x58b5270d, 0x1f42fb8f, 0x00000000,
      0x00000000, 0x08b5c713, 0x1f42f88f, 0xe8ae0722, 0x1f42fe8e],
     [0x000065de, 0x00000000, 0x18b42726, 0x1f42fccf, 0x18b12726,
      0x1f4302cf, 0xacb6c70c, 0x1f42f8ce, 0x28b62723, 0x1f42f8cf],
     [0x000065df, 0x00000000, 0xecb7a711, 0x1f42f0ce, 0x98b38714,
      0x1f42fcce, 0xdcb2070c, 0x1f42f8ce, 0x18b48723, 0x1f42f68f],
     [0x00006733, 0x00000000, 0xc8b3a72c, 0x1f4305ce, 0x94af2716,
      0x1f42fece, 0x74ac26f4, 0x1f4302cf, 0x28af6719, 0x1f43058f],
     [0x000100b9, 0x00000000, 0xd469a737, 0x09f2f014, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000065e2, 0x00000000, 0xecb94714, 0x1f42f68e, 0x00000000,
      0x00000000, 0x18b2a722, 0x1f42fc8f, 0xf8b34725, 0x1f42f90e],
     [0x000100bb, 0x00000000, 0x5464a42e, 0x0a02f1cd, 0x8c6fe681,
      0x0caaf097, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006737, 0x00000000, 0xf0b6c708, 0x1f42fccf, 0xecb34733,
      0x1f42ffce, 0xa8b6072c, 0x1f4302ce, 0xb8b1c738, 0x1f42ffce],
     [0x000100bd, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x305ba377, 0x0a6ad68c],
     [0x00006739, 0x00000000, 0x00000000, 0x00000000, 0x6cade73a,
      0x1f431ace, 0xfcb4272a, 0x1f42fc4e, 0xb4b38745, 0x1f4314ce],
     [0x0000673a, 0x00000000, 0x00000000, 0x00000000, 0xf0b2472a,
      0x1f43004e, 0x38ad270a, 0x1f43144e, 0x64b38719, 0x1f42fe0f],
     [0x0000673b, 0x00000000, 0x6caec745, 0x1f43078e, 0x78b3e71e,
      0x1f42f6ce, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000673c, 0x00000000, 0xdcb32720, 0x1f42fece, 0xdcb1c720,
      0x1f42f84e, 0xccb14734, 0x1f42f94e, 0xd0b78722, 0x1f42ff4e],
     [0x0000673d, 0x00000000, 0x8cb40741, 0x1f4309ce, 0x90b48720,
      0x1f4300ce, 0x90ad673a, 0x1f43118e, 0x7cb3471d, 0x1f43018e],
     [0x0000673e, 0x00000000, 0x00000000, 0x00000000, 0x64b3670c,
      0x1f42f7ce, 0x7cb3471e, 0x1f42fece, 0x70b3471d, 0x1f42fb4e],
     [0x0000673f, 0x00000000, 0x7cb3e71d, 0x1f43040e, 0x7cb3471d,
      0x1f42fc0e, 0x00000000, 0x00000000, 0x78b30712, 0x1f43004e],
     [0x00006740, 0x00000000, 0x70b3871d, 0x1f42f98e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xc8b78718, 0x1f42f94e],
     [0x00006741, 0x00000000, 0x54b20716, 0x1f42fb0e, 0x70b3871d,
      0x1f42fb8e, 0xbcb4e73b, 0x1f42fc8e, 0xf8b4a737, 0x1f43020e],
     [0x00006742, 0x00000000, 0x5cb20719, 0x1f42f48e, 0xc4b4273b,
      0x1f42fd0e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006743, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xf4b22721, 0x1f43010e, 0x00000000, 0x00000000],
     [0x000065f1, 0x00000000, 0x60b6c739, 0x1f42f78e, 0x18b4e71f,
      0x1f42f78f, 0x44b18723, 0x1f42fd8f, 0x44af2730, 0x1f43028e],
     [0x00006745, 0x00000000, 0xc4b4c711, 0x1f42fa4e, 0x34b3873d,
      0x1f42fa4f, 0x00000000, 0x00000000, 0x90b24724, 0x1f43038e],
     [0x00006746, 0x00000000, 0xf0b3a704, 0x1f42fd8e, 0x28b5e71d,
      0x1f43030f, 0x00000000, 0x00000000, 0x84aca72c, 0x1f4316ce],
     [0x000065f4, 0x00000000, 0xd8b6470f, 0x1f42fa4e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x8cb40742, 0x1f42fa8e],
     [0x00006748, 0x00000000, 0xd4b4870c, 0x1f42fb8e, 0x00000000,
      0x00000000, 0xc4b6670d, 0x1f42fe8e, 0xbcb2473f, 0x1f43008e],
     [0x00006749, 0x00000000, 0x00000000, 0x00000000, 0xd0ba271b,
      0x1f42f98e, 0x54b6074a, 0x1f430c8e, 0x00000000, 0x00000000],
     [0x0000674a, 0x00000000, 0x0cb36728, 0x1f43048f, 0x1cb6071c,
      0x1f43030f, 0xe0b6a73a, 0x1f42f78e, 0x08b3273d, 0x1f42ff0f],
     [0x00004002, 0x00000000, 0x00000000, 0x00000000, 0xa03e83e8,
      0x0fa2ee0f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000674c, 0x00000000, 0xdcb12714, 0x1f42fe4e, 0xd4b30714,
      0x1f42f70e, 0x00000000, 0x00000000, 0xa8b2e709, 0x1f42fcce],
     [0x000065fa, 0x00000000, 0x00000000, 0x00000000, 0x28ae2724,
      0x1f43074f, 0x34ad2710, 0x1f42ff0f, 0xa4b62701, 0x1f43004f],
     [0x0000674e, 0x00000000, 0xd4b30714, 0x1f42ffce, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xd8b6273b, 0x1f430a4e],
     [0x0000674f, 0x00000000, 0x00000000, 0x00000000, 0x30a8a72c,
      0x1f43154e, 0x04b3c70f, 0x1f43050f, 0xbcb52737, 0x1f42f90e],
     [0x000065fd, 0x00000000, 0x00000000, 0x00000000, 0x0cab0706,
      0x1f43070f, 0x28ac4702, 0x1f42f4d0, 0x00000000, 0x00000000],
     [0x00004008, 0x00000000, 0xa03e83e8, 0x0fa2ee0f, 0x6069a6aa,
      0x0fa32310, 0x5c6e069c, 0x0fa31657, 0x707b6721, 0x0fa2f150],
     [0x00006752, 0x00000000, 0x70b36731, 0x1f42fe4e, 0x00000000,
      0x00000000, 0xbcb5671d, 0x1f43030e, 0x8cb3e71a, 0x1f42fb4e],
     [0x00006753, 0x00000000, 0x7cb7a710, 0x1f42f6ce, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xbcb4e718, 0x1f42fc0e],
     [0x00006754, 0x00000000, 0xd0b4472e, 0x1f42fc8e, 0x44b20735,
      0x1f43140f, 0xf8b38729, 0x1f42f98e, 0xa0b3a712, 0x1f42fcce],
     [0x0000400c, 0x00000000, 0xa0772698, 0x0fa2fa10, 0xc86f468e,
      0x0fa30890, 0xc877a698, 0x0fa2fa50, 0xa076c698, 0x0fa2fa90],
     [0x0000400d, 0x00000000, 0xc879068e, 0x0fa2f610, 0xa0774683,
      0x0fa2f9d0, 0xa0772698, 0x0fa2fa10, 0x84770684, 0x0fa2fa10],
     [0x00006757, 0x00000000, 0x20b3a71d, 0x1f42ff0f, 0x48b5e740,
      0x1f42f98f, 0xdca6c723, 0x1f43178d, 0x50a86733, 0x1f43134e],
     [0x0000400f, 0x00000000, 0x487a661b, 0x0fa2f392, 0x807a65eb,
      0x0fa2f393, 0x607a6621, 0x0fa2f392, 0x78750698, 0x0fa2fe50],
     [0x00004010, 0x00000000, 0xa07b8629, 0x0fa2f150, 0xc87c068e,
      0x0fa2f0d0, 0xc87a268e, 0x0fa2f3d0, 0xa0794698, 0x0fa2f7d0],
     [0x0001889b, 0x00000000, 0x206e26c2, 0x0e93034c, 0x988e2624,
      0x156afa0e, 0x308c267e, 0x156afc0d, 0x308c267e, 0x156afc0d],
     [0x0000675b, 0x00000000, 0xf4b5872f, 0x1f42f80e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xd0b52722, 0x1f42fa0e],
     [0x000100e1, 0x00000000, 0x5866c671, 0x090b1617, 0x586ee671,
      0x0a6aff97, 0xa085068e, 0x131ae14f, 0xc85f25a1, 0x0a6b1394],
     [0x00004014, 0x00000000, 0xc87a668e, 0x0fa2f2d0, 0x6c7ae698,
      0x0fa2f58f, 0xc87b468e, 0x0fa2f110, 0x9c7726ad, 0x0fa2f710],
     [0x00004015, 0x00000000, 0xc879e68e, 0x0fa2f490, 0xa078a68e,
      0x0fa2f450, 0xc87b268e, 0x0fa2f1d0, 0xc87be68e, 0x0fa2f090],
     [0x00004016, 0x00000000, 0xc87aa68e, 0x0fa2f310, 0xc87c868e,
      0x0fa2ef50, 0xc878c68e, 0x0fa2f6d0, 0x946b2721, 0x0fa3114e],
     [0x0001889e, 0x00000000, 0xb88e26d6, 0x156afa0b, 0xb88e26d6,
      0x156afa0b, 0x388c25fc, 0x156afe0f, 0x388c25fc, 0x156afe0f],
     [0x00004018, 0x00000000, 0x506a46a2, 0x0fa30f97, 0xa07905cc,
      0x0fa2f650, 0xa078c698, 0x0fa2f690, 0xa075e5cb, 0x0fa2fc50],
     [0x00004019, 0x00000000, 0xa076a698, 0x0fa2fb10, 0xa476c5cc,
      0x0fa2fad0, 0xc878e698, 0x0fa2f650, 0xf87705ce, 0x0fa2face],
     [0x00006763, 0x00000000, 0xd0b5271a, 0x1f42f38e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00b6c732, 0x1f42f74f],
     [0x00006611, 0x00000000, 0x5caf26cc, 0x1f4302cf, 0x4caf270e,
      0x1f42fd4f, 0xc8b006f2, 0x1f42fb8f, 0x00000000, 0x00000000],
     [0x0000401c, 0x00000000, 0xbc7905cc, 0x0fa2f60e, 0xbc7905cc,
      0x0fa2f64e, 0xc87465cc, 0x0fa2f550, 0x9c74a5da, 0x0fa30250],
     [0x0000401d, 0x00000000, 0xa077865d, 0x0fa2f950, 0xa07785cc,
      0x0fa2f950, 0xc87825cc, 0x0fa2fb10, 0xc87b05cc, 0x0fa2f210],
     [0x00006767, 0x00000000, 0xc0b26730, 0x1f43008e, 0x88b4472f,
      0x1f43044e, 0x88b4472f, 0x1f42f74e, 0x88b44720, 0x1f42fd0e],
     [0x0000401f, 0x00000000, 0x94624721, 0x0fa3258e, 0x9471e721,
      0x0fa3078e, 0x487806a5, 0x0fa2f858, 0x00000000, 0x00000000],
     [0x00004020, 0x00000000, 0x84758687, 0x0fa2f74f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006617, 0x00000000, 0x2cb16723, 0x1f42fc4f, 0x2cb166e9,
      0x1f43004f, 0x44ade724, 0x1f42facf, 0x1caea6e9, 0x1f42fb8f],
     [0x000100f0, 0x00000000, 0x58818594, 0x0fc2f2cf, 0x6c7965a1,
      0x0fc2e40c, 0xbc7725a1, 0x0e32f58c, 0x7480e594, 0x0f92f4cf],
     [0x00006619, 0x00000000, 0x1caf8722, 0x1f42fdcf, 0x50ad4702,
      0x1f42fecf, 0x00000000, 0x00000000, 0x60b28735, 0x1f42f98f],
     [0x0000676d, 0x00000000, 0xbcb52721, 0x1f42fd8e, 0xfcb26733,
      0x1f4301ce, 0xb4b3e72d, 0x1f42f58e, 0x88b4472f, 0x1f4300ce],
     [0x0000676e, 0x00000000, 0x90b4270b, 0x1f42f88e, 0x88b44733,
      0x1f43020e, 0xe4b16730, 0x1f42f68e, 0x88b4472f, 0x1f42fcce],
     [0x0000676f, 0x00000000, 0xf8b1a738, 0x1f42fa0e, 0x00000000,
      0x00000000, 0x90b6471d, 0x1f42fd8e, 0xfca8e743, 0x1f43144d],
     [0x0000661d, 0x00000000, 0x04ae8732, 0x1f42fa8f, 0x04a7c6ff,
      0x1f431acf, 0x2cac86f8, 0x1f43084f, 0x2cad26ed, 0x1f43100f],
     [0x0000661e, 0x00000000, 0x58a9e6e4, 0x1f42ff8f, 0x0cad86ee,
      0x1f4302cf, 0x78ac26ec, 0x1f42fc4f, 0x7ca9c6fe, 0x1f43020f],
     [0x00004029, 0x00000000, 0x4c7b05e2, 0x0fa2f210, 0xf07a8659,
      0x0fa2f30e, 0xdc60c685, 0x0fa3268d, 0xac742693, 0x0fa2ffcd],
     [0x00006773, 0x00000000, 0x14b1e714, 0x1f42fecf, 0x88b4472f,
      0x1f42ff0e, 0x88b4472f, 0x1f42fa0e, 0xa8b3a72e, 0x1f42fdce],
     [0x0000402b, 0x00000000, 0xe0744542, 0x0fa2ff91, 0x8c6d2513,
      0x0fa30dd3, 0x407bc6f2, 0x0fa2f094, 0xccbb2757, 0x1f42ee1c],
     [0x00006775, 0x00000000, 0x00000000, 0x00000000, 0x08a7a738,
      0x1f43124e, 0xe8af073c, 0x1f431c8d, 0xc8b2e741, 0x1f43028e],
     [0x0000402d, 0x00000000, 0xd467e65f, 0x0fa31856, 0x847ac5e4,
      0x0fa2f28e, 0x5c794660, 0x0fa2f58e, 0x1464e536, 0x0fa31e53],
     [0x0000402e, 0x00000000, 0xb86863f3, 0x0fa3174c, 0x506a468b,
      0x0fa31394, 0xa46ea672, 0x0fa30ad3, 0x787b45de, 0x0fa2f190],
     [0x0000402f, 0x00000000, 0x707aa66a, 0x0fa2f2ce, 0x707b466a,
      0x0fa2f18e, 0x707b666c, 0x0fa2f14e, 0xfc6c46e9, 0x0c02f28e],
     [0x00006779, 0x00000000, 0xb0b2c723, 0x1f42fece, 0x78a4a738,
      0x1f431a8e, 0xbcb2c735, 0x1f42fcce, 0x00000000, 0x00000000],
     [0x00006627, 0x00000000, 0xfcab8719, 0x1f42fc8e, 0xa4a98711,
      0x1f43030f, 0x7cac66ef, 0x1f42facf, 0x7cac6708, 0x1f43018f],
     [0x0000677b, 0x00000000, 0xa8b40727, 0x1f42ff0e, 0x18b3472c,
      0x1f42ffcf, 0xb0b2c723, 0x1f42fd0e, 0xd8b3a72d, 0x1f42f90e],
     [0x0001887e, 0x00000000, 0x88aa25aa, 0x1cf2fbd0, 0x88ac45aa,
      0x1cf2fa10, 0x88aac5aa, 0x1cf2fd10, 0x88aac5aa, 0x1cf2fd10],
     [0x0000677d, 0x00000000, 0xa8b40727, 0x1f42fc8e, 0xd8b4270d,
      0x1f42f74e, 0xb0b2c725, 0x1f42ff8e, 0xb0b1c72b, 0x1f42fc4e],
     [0x0000677e, 0x00000000, 0xc8b4472f, 0x1f43020e, 0x4ca9073c,
      0x1f42fc4e, 0x84b2e73d, 0x1f43124e, 0x0cb72721, 0x1f42fc0f],
     [0x00010104, 0x00000000, 0xa0854684, 0x131ae1cf, 0xa089e675,
      0x1272e70f, 0xa085e675, 0x12aae84f, 0xa089e675, 0x11cae50f],
     [0x0000662d, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x7cb866d3, 0x1f42fa4f, 0x00000000, 0x00000000],
     [0x00010106, 0x00000000, 0xa09c2675, 0x1622e7cf, 0xa09c275f,
      0x1622e7cf, 0xa090a67d, 0x136ae70f, 0x609b0675, 0x15dae54f],
     [0x0000662f, 0x00000000, 0x80b5c701, 0x1f42f54f, 0xccb7e6fc,
      0x1f42fdcf, 0x60b986c3, 0x1f42f48f, 0xdcba46cb, 0x1f42f2cf],
     [0x0000403a, 0x00000000, 0xa096a6a6, 0x1f4337d0, 0xa096a6a6,
      0x1f4337d0, 0xa096a698, 0x1f4337d0, 0x00000000, 0x00000000],
     [0x0000403b, 0x00000000, 0xc88fc6a6, 0x1f4343d0, 0xc88fc6a6,
      0x1f434590, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000403c, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x9c96c6a6, 0x1f4337d0, 0x9c96c6a6, 0x1f4337d0],
     [0x0001010b, 0x00000000, 0xa081a675, 0x12aae70f, 0x588e0682,
      0x1492f1cf, 0x58a8c682, 0x1b6ae60f, 0xa0930675, 0x13dae1cf],
     [0x0000403e, 0x00000000, 0x00000000, 0x00000000, 0xa099e6a6,
      0x1f433190, 0xa099e6a6, 0x1f433190, 0x00000000, 0x00000000],
     [0x0001010d, 0x00000000, 0x74794693, 0x0f4af58f, 0x747345a1,
      0x0dc2f68f, 0x74a165a1, 0x18faee0f, 0x746b25a1, 0x0bc2e98f],
     [0x00004040, 0x00000000, 0x00000000, 0x00000000, 0x9c94e662,
      0x1f4332d0, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006637, 0x00000000, 0x78ba2718, 0x1f42f08f, 0x00000000,
      0x00000000, 0x88b366a1, 0x1f430a0f, 0x5cb54735, 0x1f42fc0e],
     [0x0000678b, 0x00000000, 0x5caf0715, 0x1f42fa4f, 0x20b00721,
      0x1f43064f, 0x00000000, 0x00000000, 0x80b1c730, 0x1f43104e],
     [0x00010111, 0x00000000, 0x6c932693, 0x15f2f54c, 0x747565a1,
      0x0de2e54f, 0xc87c65a1, 0x107af54c, 0x7c76c5a1, 0x0f12f88f],
     [0x00004044, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xa096a662, 0x1f4337d0],
     [0x00010113, 0x00000000, 0x7474a5a1, 0x0ebafa8f, 0x746f65a1,
      0x0cc2efcf, 0x749065a1, 0x1512f34f, 0x7c76a598, 0x0f0ae7cf],
     [0x00004046, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xa096a698, 0x1f4337d0],
     [0x00006790, 0x00000000, 0x00000000, 0x00000000, 0x48aec714,
      0x1f43010f, 0x48aee70b, 0x1f42ff4f, 0x30b0a70c, 0x1f43140f],
     [0x00006791, 0x00000000, 0x3caca711, 0x1f42ff8f, 0x40b0a705,
      0x1f42fb8f, 0x34b14715, 0x1f42fdcf, 0x1cb12712, 0x1f43038f],
     [0x00010117, 0x00000000, 0x747b2680, 0x0f5af28f, 0x00000000,
      0x00000000, 0x6872a683, 0x0d2adecc, 0xc87c65a1, 0x107af54c],
     [0x0000404a, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xc88fc662, 0x1f434110],
     [0x00006641, 0x00000000, 0x00000000, 0x00000000, 0x5cb6672e,
      0x1f42f50e, 0x00000000, 0x00000000, 0x2caf26fe, 0x1f42f40f],
     [0x00006795, 0x00000000, 0x00000000, 0x00000000, 0x40b406fc,
      0x1f42fb8f, 0x00000000, 0x00000000, 0x30b206f9, 0x1f4301cf],
     [0x00006643, 0x00000000, 0x7cb48728, 0x1f42f50e, 0xdcb06707,
      0x1f42f78e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0001011c, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x5895e683, 0x1642fd0f, 0x747945a1, 0x0f4af54f],
     [0x0001011d, 0x00000000, 0x589b467e, 0x1433010f, 0x588085a1,
      0x0e82f68f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006799, 0x00000000, 0x3caf6713, 0x1f43008f, 0x00000000,
      0x00000000, 0x2cb46702, 0x1f42fe0f, 0x5cb26705, 0x1f42f94f],
     [0x00004051, 0x00000000, 0xa03e83e8, 0x1f42ee0f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00004052, 0x00000000, 0xa03e83e8, 0x1f42ee0f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00004053, 0x00000000, 0x00000000, 0x00000000, 0x9c96c662,
      0x1f4337d0, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000679d, 0x00000000, 0x00000000, 0x00000000, 0xa0a10726,
      0x1f4320ce, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000679e, 0x00000000, 0x28b506fe, 0x1f42fb0f, 0x28b6a723,
      0x1f430150, 0x40b44732, 0x1f43054f, 0x00000000, 0x00000000],
     [0x00010124, 0x00000000, 0xa08c46f7, 0x1062e68f, 0x747105e3,
      0x0a8af88f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000188be, 0x00000000, 0xd08ca5fc, 0x156afd0c, 0x348ca5fb,
      0x156afd4f, 0x349de5fb, 0x19bafbcf, 0x348c85fb, 0x156afccf],
     [0x0000664e, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x68b56725, 0x1f42f40e, 0x00000000, 0x00000000],
     [0x000067a2, 0x00000000, 0x28a82739, 0x1f42fd4f, 0x5cae071d,
      0x1f43094e, 0x4cada715, 0x1f430a4e, 0x5cade738, 0x1f42f58e],
     [0x000067a3, 0x00000000, 0xf8ab8735, 0x1f42f88e, 0x3cb1e735,
      0x1f42fa8e, 0xbcaf2735, 0x1f42f88e, 0x00000000, 0x00000000],
     [0x000188a6, 0x00000000, 0xc4a18657, 0x1a52fa8d, 0x6497862f,
      0x17d2fa8e, 0xc4a18657, 0x1a52fa8d, 0xc4a18657, 0x1a52fa8d],
     [0x000067a5, 0x00000000, 0x90b22736, 0x1f42fa8e, 0x64b16720,
      0x1f43028e, 0x00000000, 0x00000000, 0x10b0c725, 0x1f43064f],
     [0x00006653, 0x00000000, 0x70ae6721, 0x1f42f70f, 0x00000000,
      0x00000000, 0xe0b5471d, 0x1f42face, 0x00000000, 0x00000000],
     [0x000067a7, 0x00000000, 0x40aa8742, 0x1f42fa8e, 0xccac0736,
      0x1f42fb8e, 0x00000000, 0x00000000, 0x3cb3e715, 0x1f42f74e],
     [0x000067a8, 0x00000000, 0x44a88741, 0x1f42fa8e, 0x7caa873b,
      0x1f42f88e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000067a9, 0x00000000, 0xe0b0e73c, 0x1f43008e, 0x68b7673a,
      0x1f43060e, 0x00b14729, 0x1f4303cf, 0x68b5472f, 0x1f42fdce],
     [0x000067aa, 0x00000000, 0x00000000, 0x00000000, 0x5cb3e72f,
      0x1f42f88e, 0x54b66743, 0x1f42f84e, 0x00000000, 0x00000000],
     [0x000067ab, 0x00000000, 0x00000000, 0x00000000, 0xccb48730,
      0x1f42f90e, 0xb4b3a727, 0x1f42fbce, 0x00000000, 0x00000000],
     [0x00006659, 0x00000000, 0x00000000, 0x00000000, 0x14b7a706,
      0x1f42f9d0, 0x00000000, 0x00000000, 0x50b1a6fc, 0x1f42f9cf],
     [0x000067ad, 0x00000000, 0x7cb2671b, 0x1f42f98e, 0x10b00718,
      0x1f42f8cf, 0xb8b2e730, 0x1f43008e, 0xb0b46719, 0x1f42f8ce],
     [0x0000665b, 0x00000000, 0xa8ab6709, 0x1f43018f, 0xd8b6a704,
      0x1f42f7cf, 0xd4b2c70e, 0x1f42f90f, 0xdcb0c713, 0x1f42fc8e],
     [0x000067af, 0x00000000, 0x00afa739, 0x1f42f88f, 0x50af672e,
      0x1f42fc4f, 0xe0b3072a, 0x1f42fb4e, 0x0cb1c72e, 0x1f43014e],
     [0x000188b2, 0x00000000, 0x609d062e, 0x1952fb8e, 0x6098062e,
      0x1953054e, 0x6098062e, 0x1953054e, 0x609a862e, 0x1953008e],
     [0x000188b3, 0x00000000, 0x609a862e, 0x1953008e, 0x7c8e25a5,
      0x156afa10, 0x3c8325fc, 0x1222f5cf, 0x3c8325fc, 0x1222f5cf],
     [0x000067b2, 0x00000000, 0x20b44711, 0x1f42fecf, 0xd8ac2720,
      0x1f4313ce, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006660, 0x00000000, 0x58b6e708, 0x1f42fd8f, 0x7cb4c6fe,
      0x1f42f80f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006661, 0x00000000, 0x2cb6270d, 0x1f42f9d0, 0x00afa70b,
      0x1f42fd90, 0xe8b2271a, 0x1f42f8ce, 0xf8b60708, 0x1f42fd8f],
     [0x000067b5, 0x00000000, 0xecb926ff, 0x1f42f84e, 0x68b686e2,
      0x1f43010f, 0x90b626be, 0x1f43054f, 0x00000000, 0x00000000],
     [0x000067b6, 0x00000000, 0xb8b626f3, 0x1f43028f, 0x40b2a720,
      0x1f42ffcf, 0x68b7e6d9, 0x1f42fb0f, 0xccb32734, 0x1f43064e],
     [0x000067b7, 0x00000000, 0x78af0702, 0x1f42ff8f, 0x74b106fb,
      0x1f42fb0f, 0x48af66d2, 0x1f43084f, 0x1cb28715, 0x1f43034f],
     [0x000188ba, 0x00000000, 0x448e2686, 0x156afa0b, 0x448e2686,
      0x156afa0b, 0x3087267e, 0x13daf40d, 0x308ae67e, 0x13dafb8d],
     [0x00006666, 0x00000000, 0x80b0a70b, 0x1f43018f, 0xc0b68731,
      0x1f43068e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000067ba, 0x00000000, 0x8cade72b, 0x1f4310ce, 0x58b1a6fe,
      0x1f42ff4f, 0xf0b64700, 0x1f43024e, 0x68b246b8, 0x1f43064f],
     [0x000067bb, 0x00000000, 0x00000000, 0x00000000, 0x40b7e70d,
      0x1f43058e, 0x54b4670a, 0x1f43000f, 0x20b5470b, 0x1f43024f],
     [0x00004073, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x9c94e698, 0x1f4332d0, 0x00000000, 0x00000000],
     [0x00004074, 0x00000000, 0xc88fc698, 0x1f433f50, 0x00000000,
      0x00000000, 0x9c96c698, 0x1f4337d0, 0x00000000, 0x00000000],
     [0x00004075, 0x00000000, 0xa099e698, 0x1f433190, 0x00000000,
      0x00000000, 0xa099e6b0, 0x1f433190, 0x00000000, 0x00000000],
     [0x000067bf, 0x00000000, 0x78aca709, 0x1f43058f, 0x38b1c701,
      0x1f43194f, 0xc8b0e6e6, 0x1f43220f, 0xccb1872a, 0x1f43178e],
     [0x000067c0, 0x00000000, 0x8cac6731, 0x1f43114e, 0x60b00731,
      0x1f43114e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000067c1, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x70b4a6d5, 0x1f42fe8f, 0xb0b20731, 0x1f430e8e],
     [0x000067c2, 0x00000000, 0xa8af0742, 0x1f4306ce, 0x90b04739,
      0x1f42ffce, 0xacaf0738, 0x1f430e0e, 0xe0ada721, 0x1f4311ce],
     [0x000067c3, 0x00000000, 0x00000000, 0x00000000, 0xa8ac6725,
      0x1f431f0e, 0xf0a9e71f, 0x1f430a4e, 0x94a886ef, 0x1f430ece],
     [0x000067c4, 0x00000000, 0xa0a46726, 0x1f430cce, 0x00000000,
      0x00000000, 0xc0a6e731, 0x1f430dce, 0x50b5a703, 0x1f43054f],
     [0x000067c5, 0x00000000, 0x00000000, 0x00000000, 0x64b3a739,
      0x1f430e4e, 0xb0b22729, 0x1f430b8e, 0x94af270f, 0x1f43104e],
     [0x000067c6, 0x00000000, 0x40aba745, 0x1f430ece, 0x6cad8735,
      0x1f430b0e, 0x38b4273d, 0x1f43114e, 0x60b4a731, 0x1f430c4e],
     [0x000067c7, 0x00000000, 0x10b42741, 0x1f430d0e, 0x00000000,
      0x00000000, 0x74ac8745, 0x1f43108e, 0x00000000, 0x00000000],
     [0x000067c8, 0x00000000, 0x04b5a72a, 0x1f43158f, 0x4cb10729,
      0x1f43030e, 0x5cb78703, 0x1f42fc8f, 0x2cb726f6, 0x1f4300cf],
     [0x000067c9, 0x00000000, 0x2cb746f6, 0x1f43050f, 0x8cb4e701,
      0x1f43068f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000067ca, 0x00000000, 0x8cb4e700, 0x1f43068f, 0x8cb4e700,
      0x1f43068f, 0x8cb4e700, 0x1f43040f, 0x8cb4e700, 0x1f43068f],
     [0x000067cb, 0x00000000, 0x68b5670c, 0x1f42fecf, 0x7cb56715,
      0x1f43030f, 0xe8b48718, 0x1f42fb8e, 0x28b706fc, 0x1f43004f],
     [0x000067cc, 0x00000000, 0x5cb3a708, 0x1f42ff4f, 0x5cb3a71d,
      0x1f42ff4f, 0x5cb3a708, 0x1f42ff4f, 0x5cb3a708, 0x1f42ff4f],
     [0x000067cd, 0x00000000, 0x04b64704, 0x1f42fb8f, 0x5cb3a720,
      0x1f42ff4f, 0x5cb3a70a, 0x1f42ff4f, 0x6cb96722, 0x1f43050f],
     [0x0000667b, 0x00000000, 0x18b606bc, 0x1f42f8cf, 0x7caf4701,
      0x1f42fc4f, 0x90b2a6eb, 0x1f42f78f, 0x00000000, 0x00000000],
     [0x000067cf, 0x00000000, 0x00000000, 0x00000000, 0x18b6a737,
      0x1f42fd0f, 0x8cb48744, 0x1f42fc0e, 0x00000000, 0x00000000],
     [0x000067d0, 0x00000000, 0x6cb7c73f, 0x1f42fc4e, 0x6cad473f,
      0x1f42fc4e, 0xe0b5c740, 0x1f42fc4e, 0xe8b1e740, 0x1f42fc0e],
     [0x000067d1, 0x00000000, 0xe8b44720, 0x1f42fe0e, 0x00000000,
      0x00000000, 0xdcb1073d, 0x1f42fc4e, 0x18b42731, 0x1f42f80f],
     [0x000067d2, 0x00000000, 0x90b7e739, 0x1f42fdce, 0x8cb12722,
      0x1f42fcce, 0x58b80751, 0x1f43044e, 0x54b74741, 0x1f430b8e],
     [0x000067d3, 0x00000000, 0x28b3c731, 0x1f4305ce, 0x24b0e733,
      0x1f430f4e, 0x38b22731, 0x1f430e4e, 0x68b1c739, 0x1f43088e],
     [0x000067d4, 0x00000000, 0xacb4e71d, 0x1f43104e, 0x48a9a732,
      0x1f431a8f, 0xb0aee732, 0x1f430c4e, 0x00000000, 0x00000000],
     [0x000067d5, 0x00000000, 0x7cb4a6ed, 0x1f42fbcf, 0xacb646f2,
      0x1f42f4cf, 0xe4b7a702, 0x1f42f7ce, 0x8cb4870d, 0x1f42face],
     [0x000067d6, 0x00000000, 0xb8b72701, 0x1f42f3ce, 0xd0b46704,
      0x1f42fccf, 0x00000000, 0x00000000, 0xc8b4e6fc, 0x1f42fbcf],
     [0x000067d7, 0x00000000, 0x98b8270d, 0x1f42f88f, 0xecad8704,
      0x1f42fbcf, 0xe0ada704, 0x1f43008f, 0xe0b5a702, 0x1f42fccf],
     [0x000067d8, 0x00000000, 0xecace707, 0x1f42fccf, 0xecb7a70a,
      0x1f42fa0e, 0xecb7e71d, 0x1f42f50e, 0xfcb06708, 0x1f42fb8e],
     [0x000067d9, 0x00000000, 0x54b5c725, 0x1f4310ce, 0x78b4070e,
      0x1f42fbce, 0xa0b7870c, 0x1f42f6ce, 0xc0af870b, 0x1f42ff4e],
     [0x00006687, 0x00000000, 0xccb6a713, 0x1f42f8cf, 0xb4b7a702,
      0x1f42f34f, 0x78afe700, 0x1f42fb0f, 0x00000000, 0x00000000],
     [0x000067db, 0x00000000, 0x8cb56711, 0x1f42facf, 0x00000000,
      0x00000000, 0x5cb506f5, 0x1f42ffce, 0xd8b746f4, 0x1f42ffcf],
     [0x00006689, 0x00000000, 0x48b52715, 0x1f42f450, 0xdcb5470e,
      0x1f42f5ce, 0x00000000, 0x00000000, 0xbcb2e6e4, 0x1f42f9cf],
     [0x000067dd, 0x00000000, 0x50af4711, 0x1f42fe8e, 0x54b24715,
      0x1f42fe90, 0xb4b20715, 0x1f43008e, 0xb0b3c702, 0x1f42f90f],
     [0x000067de, 0x00000000, 0x70b68709, 0x1f42fbcf, 0x60ade747,
      0x1f43088e, 0x84b1a700, 0x1f42fbce, 0x10b4e70a, 0x1f42fbcf],
     [0x000067df, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x34ade73d, 0x1f42fe8e, 0x4cab0702, 0x1f430d4f],
     [0x000067e0, 0x00000000, 0xe4b526e1, 0x1f42ff8f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x54b4c6df, 0x1f4300d0],
     [0x0000668e, 0x00000000, 0x6cad4713, 0x1f42f98f, 0x74b3a725,
      0x1f42fdcf, 0xa8a9a716, 0x1f4310ce, 0x00000000, 0x00000000],
     [0x0000668f, 0x00000000, 0x00000000, 0x00000000, 0x30af86c5,
      0x1f42f90f, 0x94b086ef, 0x1f42f88e, 0x30b0671f, 0x1f42fcce],
     [0x000067e3, 0x00000000, 0xb0b3c6e8, 0x1f43038f, 0x38b7072d,
      0x1f42fbcf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006691, 0x00000000, 0x6cb5e71c, 0x1f42fb0f, 0xa4b506e2,
      0x1f42fa4f, 0xf8b346de, 0x1f42fb0e, 0x00000000, 0x00000000],
     [0x00006692, 0x00000000, 0xe8b0c702, 0x1f42fc8e, 0x20b4e71a,
      0x1f42ff4f, 0x5cb54727, 0x1f42fbce, 0x00000000, 0x00000000],
     [0x00006693, 0x00000000, 0x50b5c73c, 0x1f42fc8f, 0xfcb68716,
      0x1f42fe0e, 0x8cb54738, 0x1f42fc8e, 0xfcb686fa, 0x1f42fc8e],
     [0x000067e7, 0x00000000, 0xbcb3073f, 0x1f43020e, 0xe4b6672c,
      0x1f42f80e, 0x00000000, 0x00000000, 0x4cb1472e, 0x1f431f0f],
     [0x000067e8, 0x00000000, 0xf4b72733, 0x1f43010e, 0x00000000,
      0x00000000, 0xacb6471d, 0x1f42f64e, 0x00000000, 0x00000000],
     [0x00006696, 0x00000000, 0x00000000, 0x00000000, 0x30b4a71d,
      0x1f42fc8f, 0x70b42733, 0x1f43110e, 0x80aee702, 0x1f42fcce],
     [0x00006697, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xe4b38725, 0x1f42fc8e, 0xacb6e6f4, 0x1f42f94e],
     [0x000188ed, 0x00000000, 0x98ab66e6, 0x1cf2fbd8, 0x54ab6455,
      0x1cf2fbce, 0xccab65d7, 0x1cf2fbcf, 0x00000000, 0x00000000],
     [0x000188e4, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x80a7a56a, 0x1c8b0351],
     [0x0000669a, 0x00000000, 0xbcafa736, 0x1f42f80e, 0x7cb3c722,
      0x1f42f80e, 0xfcb3c706, 0x1f42f5ce, 0x6cb48731, 0x1f4300ce],
     [0x000188e5, 0x00000000, 0xa4af4661, 0x1cf2f40d, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000669c, 0x00000000, 0xa8b5a6d7, 0x1f42fd4f, 0x6caea6c7,
      0x1f42f80f, 0x00000000, 0x00000000, 0x08b726fa, 0x1f42fcd0],
     [0x0000669d, 0x00000000, 0x54a9c6eb, 0x1f42f7cf, 0x9cb546d5,
      0x1f42fa4f, 0xa4b206e0, 0x1f42fbcf, 0x94b0e6d5, 0x1f42f64f],
     [0x000188f3, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x1ca986c3, 0x1cf2fa8c, 0x00000000, 0x00000000],
     [0x000188f4, 0x00000000, 0x3462857d, 0x0ffb2591, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000066a0, 0x00000000, 0xb4afe6dc, 0x1f42fc0f, 0xb8b3c717,
      0x1f42f70f, 0xa4a92715, 0x1f430e4e, 0x00000000, 0x00000000],
     [0x000066a1, 0x00000000, 0xdcb646f6, 0x1f42f7ce, 0xe8b4e704,
      0x1f42fa0e, 0xd4b6c704, 0x1f42f8cf, 0xe8ae4701, 0x1f42ff8f],
     [0x000188f7, 0x00000000, 0x4085441f, 0x1162eb8d, 0x708546eb,
      0x1162eb98, 0x4085445d, 0x1162eb8e, 0x708546e9, 0x1162eb98],
     [0x000188f8, 0x00000000, 0x50b2a42a, 0x1cf2ed4c, 0x70b2a732,
      0x1cf2ed58, 0xccc6c616, 0x23c2fb8e, 0xd8a60690, 0x1c73028c],
     [0x000188f9, 0x00000000, 0x10c16506, 0x2232f9d3, 0x50bae5f7,
      0x1fd2f3cf, 0xc0ab659a, 0x1cf2fbd0, 0x1c9a2646, 0x18f31e8e],
     [0x000066a5, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xdcb92716, 0x1f42f6ce, 0x28b04707, 0x1f42fc50],
     [0x000066a6, 0x00000000, 0x88a98721, 0x1f43198e, 0x00000000,
      0x00000000, 0x64b606e8, 0x1f42f9cf, 0x94af871f, 0x1f430fce],
     [0x000188eb, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x1065e506, 0x09daee13],
     [0x000040b2, 0x00000000, 0x00000000, 0x00000000, 0x38992679,
      0x1f433319, 0x88934660, 0x1f433dd3, 0x8094064c, 0x1f433293],
     [0x000040b3, 0x00000000, 0x00000000, 0x00000000, 0xc8bb23b6,
      0x1f42ee0d, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000066aa, 0x00000000, 0x44b3671e, 0x1f430b0e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x64b7e6fb, 0x1f42f90f],
     [0x000066ab, 0x00000000, 0x00000000, 0x00000000, 0xe8b4c6fb,
      0x1f42f90e, 0x00000000, 0x00000000, 0x08b5a6ff, 0x1f42fa0f],
     [0x000066ac, 0x00000000, 0x48b6a6e4, 0x1f42ff0f, 0x8cb906f5,
      0x1f42f88e, 0x00000000, 0x00000000, 0x6cb706eb, 0x1f42f80f],
     [0x000066ad, 0x00000000, 0x90b646f3, 0x1f42f98f, 0x00000000,
      0x00000000, 0x70b666dc, 0x1f42ff0f, 0x58afa6e0, 0x1f42fccf],
     [0x000066ae, 0x00000000, 0x68b30706, 0x1f4303cf, 0x2cb646d7,
      0x1f43004f, 0x50ad26d9, 0x1f42ff0f, 0x14b8a6ed, 0x1f43014f],
     [0x000066af, 0x00000000, 0x94b6070b, 0x1f42fa4f, 0x00000000,
      0x00000000, 0x50b6e6e4, 0x1f42fdcf, 0xe8b286fa, 0x1f42fc8e],
     [0x000066b0, 0x00000000, 0x5cb62723, 0x1f42fc8e, 0xf8b726df,
      0x1f42fb4e, 0x6cb686ec, 0x1f42fe8f, 0x00000000, 0x00000000],
     [0x000066b1, 0x00000000, 0x08b686fa, 0x1f42f84f, 0x40b5c708,
      0x1f42fb0f, 0xe0b1e70b, 0x1f42fe4e, 0x20af06f6, 0x1f43000f],
     [0x000066b2, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x20b24716, 0x1f42ff0f, 0x20b4c71c, 0x1f42fc4f],
     [0x00018908, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xc07803f8, 0x0fa2f80d],
     [0x000066b4, 0x00000000, 0xd0b44716, 0x1f42fd4e, 0x24ac66e2,
      0x1f42ff0f, 0xacaf872b, 0x1f42fcce, 0x08b386fa, 0x1f42fccf],
     [0x00003fff, 0x07500000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x44750524, 0x106b03d1],
     [0x000066b6, 0x00000000, 0x60aaa732, 0x1f431a0e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000040c1, 0x00000000, 0x00000000, 0x00000000, 0xccbb2757,
      0x1f42ee1c, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000066b8, 0x00000000, 0x00000000, 0x00000000, 0xb0adc70d,
      0x1f43048e, 0x48b32733, 0x1f42fecf, 0x64acc733, 0x1f43060e],
     [0x000066b9, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xb8b3271f, 0x1f42face, 0x90ab873c, 0x1f4300ce],
     [0x000066ba, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x28a58716, 0x1f4303ce, 0x90a6073c, 0x1f42ffce],
     [0x000066bb, 0x00000000, 0xb4a70734, 0x1f43010e, 0xd8b06711,
      0x1f43030e, 0xc8aba716, 0x1f4303ce, 0x80b4c73a, 0x1f4300ce],
     [0x000066bc, 0x00000000, 0x00000000, 0x00000000, 0x04aae703,
      0x1f430ccf, 0xa4ac2738, 0x1f42fd0e, 0x44ad473c, 0x1f4300ce],
     [0x000066bd, 0x00000000, 0xecafe73c, 0x1f43054d, 0x00000000,
      0x00000000, 0x4caa0714, 0x1f430c8e, 0xd4a5c707, 0x1f430b8e],
     [0x000066be, 0x00000000, 0x00000000, 0x00000000, 0xacb06707,
      0x1f430b8e, 0xdcac0707, 0x1f430b8e, 0x80a9c723, 0x1f42fe0e],
     [0x00004009, 0x00000000, 0xdc79a6cf, 0x0fa2f4cf, 0xa0792698,
      0x0fa2f610, 0xa07d8698, 0x0fa2f410, 0x5c60e69b, 0x0fa321d7],
     [0x0000400a, 0x00000000, 0x946da721, 0x0fa30c0e, 0x946d2721,
      0x0fa30b0e, 0xc87146d1, 0x0fa305d6, 0xd87a6640, 0x0fa2f391],
     [0x0000400b, 0x00000000, 0xe468649d, 0x0fa3178e, 0x1c7a6582,
      0x0fa2f395, 0x5c6804a9, 0x0fa31d90, 0x947c2721, 0x0fa2f04e],
     [0x000066c2, 0x00000000, 0xb4b38733, 0x1f42ff8e, 0x00000000,
      0x00000000, 0xa4b5270b, 0x1f430f8e, 0xa4a68726, 0x1f4310ce],
     [0x00018918, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x00018919, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x0001891a, 0x00000000, 0x6894068c, 0x1562ee0f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000066c6, 0x00000000, 0x30ae6735, 0x1f43060e, 0x48a4c73a,
      0x1f4308ce, 0x74a4c70f, 0x1f430a8e, 0x00000000, 0x00000000],
     [0x00004011, 0x00000000, 0xc87a068e, 0x0fa2f410, 0xc879268e,
      0x0fa2f610, 0xc879068e, 0x0fa2f610, 0xa07d0698, 0x0fa2f050],
     [0x00004012, 0x00000000, 0xc87ae68e, 0x0fa2f210, 0xc870268e,
      0x0fa30610, 0xa079c68e, 0x0fa2f490, 0xc87a268e, 0x0fa2f410],
     [0x00004013, 0x00000000, 0xc87a668e, 0x0fa2f390, 0xc87bc68e,
      0x0fa2f290, 0xc87bc68e, 0x0fa2f250, 0xa0796698, 0x0fa2f590],
     [0x000066ca, 0x00000000, 0x48abe713, 0x1f43130e, 0x68ad8716,
      0x1f43140e, 0x60abe722, 0x1f430d4e, 0x68a8a70f, 0x1f430b4e],
     [0x000066cb, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x5caa6710, 0x1f43084e, 0x80a8c711, 0x1f43158e],
     [0x000066cc, 0x00000000, 0x00000000, 0x00000000, 0x0caea719,
      0x1f4308cf, 0xcca84712, 0x1f4314ce, 0x60a7471a, 0x1f42fd4e],
     [0x00004017, 0x00000000, 0x947c2721, 0x0fa2f04e, 0x946b6721,
      0x0fa311ce, 0x6472472e, 0x0fa30397, 0xb87a63ae, 0x0fa2f38d],
     [0x00011400, 0x00000000, 0xa03e83e8, 0x07d2ee0f, 0x647d8691,
      0x0fa2cacc, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000066cf, 0x00000000, 0x54b7673e, 0x1f43058f, 0x00000000,
      0x00000000, 0x2cb32704, 0x1f42fa8f, 0x2cb32704, 0x1f42fa8f],
     [0x0000401a, 0x00000000, 0xc8776698, 0x0fa2f5d0, 0xc8732688,
      0x0fa2ffd0, 0xbc75c688, 0x0fa2f7ce, 0xc87ba698, 0x0fa2f110],
     [0x0000401b, 0x00000000, 0xc874a698, 0x0fa2ff10, 0xc87a05cc,
      0x0fa2f110, 0xc87945cc, 0x0fa2f5d0, 0xa07705cc, 0x0fa2fa10],
     [0x000066d2, 0x00000000, 0x78b36719, 0x1f42fc8f, 0x5cb3a70a,
      0x1f42f9cf, 0x6cb38706, 0x1f42f6cf, 0xdcb5c715, 0x1f42f5ce],
     [0x000066d3, 0x00000000, 0x28b6070d, 0x1f42f6cf, 0x70b5e725,
      0x1f42fa8f, 0x74b6e734, 0x1f42fa8f, 0x7cb5a6fc, 0x1f42f98f],
     [0x00005379, 0x00000000, 0xb8b82721, 0x1f42f4cd, 0xb8b82721,
      0x1f42f4cd, 0xb8b82721, 0x1f42f4cd, 0xb8b82721, 0x1f42f4cd],
     [0x000066d5, 0x00000000, 0x70b42746, 0x1f42fa4e, 0xccb4a705,
      0x1f42f6ce, 0x98b48717, 0x1f42f88e, 0x00000000, 0x00000000],
     [0x0000537b, 0x00000000, 0xb8b82721, 0x1f42f4cd, 0xb8b82721,
      0x1f42f4cd, 0xb8b82721, 0x1f42f4cd, 0xb8b82721, 0x1f42f4cd],
     [0x000040e1, 0x00000000, 0xfc8166c9, 0x1f436257, 0x8c8ee71b,
      0x1f434756, 0xa0a966d6, 0x1f43124f, 0x4c852594, 0x1f435ad4],
     [0x000040e2, 0x00000000, 0xa0a8e6c9, 0x1f43134f, 0xa0afc6c9,
      0x1f43058f, 0xa094a6c9, 0x1f433bcf, 0x00000000, 0x00000000],
     [0x0001892e, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x0001892f, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x00018930, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x000040e6, 0x00000000, 0x50aa06fc, 0x1f4312d0, 0x808de6f1,
      0x1f434850, 0x80abe6f1, 0x1f430cd0, 0x80ada6f1, 0x1f430a90],
     [0x00018932, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x00004028, 0x00000000, 0x00000000, 0x00000000, 0x7864a659,
      0x0fa31ece, 0x78760659, 0x0fa2fc0e, 0x94796653, 0x0fa2f54e],
     [0x00018934, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x00018935, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x00018936, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x0000402c, 0x00000000, 0x7c6cc68f, 0x0fa30e96, 0xcc78660c,
      0x0fa2f74f, 0x506dc693, 0x0fa30c94, 0x306de693, 0x0fa30c54],
     [0x00018938, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x00018939, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x000040ef, 0x00000000, 0x209b85d7, 0x1f43220e, 0x5097660b,
      0x1f432ed0, 0xdc96e6e4, 0x1f432d8e, 0x509585f4, 0x1f432d90],
     [0x000040f0, 0x00000000, 0x50a525f4, 0x1f432150, 0x389cc5f4,
      0x1f43248e, 0x94962612, 0x1f4338ce, 0x50a34633, 0x1f4324d0],
     [0x000040f1, 0x00000000, 0x509e85fe, 0x1f4321d0, 0x509e85dc,
      0x1f432450, 0x38a30667, 0x1f431f4e, 0x54a025e2, 0x1f431f4e],
     [0x000040f2, 0x00000000, 0x5ca70693, 0x1f431bce, 0x50a8e5f1,
      0x1f430bd0, 0xa090667d, 0x1f43444f, 0xa09c8660, 0x1f432c0f],
     [0x000040f3, 0x00000000, 0xa09606c3, 0x1f43390f, 0xa09c86a9,
      0x1f432c0f, 0xa0a6c6ad, 0x1f43178f, 0x00000000, 0x00000000],
     [0x000066ea, 0x00000000, 0x0cb2a719, 0x1f42facf, 0x00000000,
      0x00000000, 0x0cb1e715, 0x1f43038f, 0xd4b6c722, 0x1f42fd8f],
     [0x00018940, 0x00000000, 0xcc98653c, 0x1622eb53, 0x00000000,
      0x00000000, 0xe46f4776, 0x16233d4a, 0x00000000, 0x00000000],
     [0x00018941, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xe46f4776, 0x16233d4a, 0x00000000, 0x00000000],
     [0x00018942, 0x00000000, 0xcc98653c, 0x1622eb53, 0x00000000,
      0x00000000, 0xe46f4776, 0x16233d4a, 0x00000000, 0x00000000],
     [0x00004038, 0x00000000, 0x9c94e6a6, 0x1f4332d0, 0x9c94e6a6,
      0x1f4332d0, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00018944, 0x00000000, 0xe46f453c, 0x1622eb4a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005395, 0x00000000, 0xdcb6a716, 0x1f43048e, 0x90ace728,
      0x1f430b4e, 0x7cb0072b, 0x1f430f4e, 0x64b18748, 0x1f43020e],
     [0x00018946, 0x00000000, 0xcc6f4776, 0x1622eb53, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00018947, 0x00000000, 0xe4986776, 0x16233d4a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000403d, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xfca8069c, 0x1f4312d0],
     [0x00018949, 0x00000000, 0xe46f4776, 0x1622eb4a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000403f, 0x00000000, 0xa099e660, 0x1f433190, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0001894b, 0x00000000, 0xe498653c, 0x1622eb4a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00015400, 0x00000000, 0xa03e83e8, 0x07d2ee0f, 0x6c7f26a7,
      0x1162bf0c, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0001894d, 0x00000000, 0xcc986776, 0x1622eb53, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000066f9, 0x00000000, 0x10b686f1, 0x1f42fc90, 0x20b44705,
      0x1f43000f, 0x84b6e6dc, 0x1f42fd0f, 0xacb18705, 0x1f43004f],
     [0x0001894f, 0x00000000, 0xe4986776, 0x1622eb4a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000053a0, 0x00000000, 0xa8a8c724, 0x1f43138e, 0x00000000,
      0x00000000, 0x00b56712, 0x1f430e0f, 0xccb4a710, 0x1f42face],
     [0x00004106, 0x00000000, 0xc89ae68e, 0x1f431f10, 0xc89ae6ff,
      0x1f431f10, 0xa0970697, 0x1f432090, 0x9c9c268e, 0x1f431ed0],
     [0x00004107, 0x00000000, 0xc8a7668e, 0x1f4317d0, 0xc89e268e,
      0x1f432910, 0x9c9cc698, 0x1f432b90, 0xc89fc68e, 0x1f432210],
     [0x00004108, 0x00000000, 0xc89c868e, 0x1f432c50, 0xa0970698,
      0x1f431cd0, 0xc89e268e, 0x1f432910, 0xa09c468e, 0x1f432c90],
     [0x00018954, 0x00000000, 0x58986599, 0x1622eb52, 0xe47ae776,
      0x1623264a, 0xe4988599, 0x16233d4a, 0xe498853c, 0x1623264a],
     [0x0000410a, 0x00000000, 0xc4a2e68e, 0x1f431490, 0x64a5468e,
      0x1f43144f, 0xc4a0868e, 0x1f431d50, 0xc4a6268e, 0x1f431450],
     [0x00018956, 0x00000000, 0x58988776, 0x16233d52, 0xcc988776,
      0x16232653, 0x58986776, 0x16232652, 0x586f4776, 0x1622eb52],
     [0x00018957, 0x00000000, 0xcc7ae776, 0x1622eb53, 0x587ae776,
      0x1622eb52, 0xe4988776, 0x16233d4a, 0xe4988776, 0x1623264a],
     [0x00006703, 0x00000000, 0x8cb40711, 0x1f42fd0f, 0xe4b7a70f,
      0x1f42fb4f, 0x68b54705, 0x1f42fe0f, 0x00000000, 0x00000000],
     [0x00018959, 0x00000000, 0xe4986599, 0x1622eb4a, 0xe498653c,
      0x1622eb4a, 0xe4986599, 0x1622eb4a, 0x58986776, 0x1622eb52],
     [0x0001895a, 0x00000000, 0xcc986776, 0x1622eb53, 0x58986776,
      0x1622eb52, 0xe4986776, 0x1622eb4a, 0xe4986776, 0x1622eb4a],
     [0x0001895b, 0x00000000, 0xe4986776, 0x1622eb4a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0001895c, 0x00000000, 0x00000000, 0x00000000, 0xe498e776,
      0x1622ea4a, 0xe498e776, 0x1622ea4a, 0x00000000, 0x00000000],
     [0x00004112, 0x00000000, 0xc49aa5cc, 0x1f432790, 0xd89c45cc,
      0x1f43274f, 0xc493c5cc, 0x1f432ed0, 0xc49905cc, 0x1f432510],
     [0x00004113, 0x00000000, 0xc490e5cc, 0x1f433e90, 0x9c8f65cc,
      0x1f433d90, 0xb09985d3, 0x1f4324d0, 0xb09405cc, 0x1f4335d0],
     [0x00004114, 0x00000000, 0x00000000, 0x00000000, 0xa096a65c,
      0x1f4337d0, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00018960, 0x00000000, 0x60d62776, 0x25eaee14, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00018961, 0x00000000, 0xe4d62517, 0x25eaee0a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00018962, 0x00000000, 0xe4d62776, 0x25eaee0a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00018963, 0x00000000, 0xe48a4776, 0x25e2ee0a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000670f, 0x00000000, 0xf0b20705, 0x1f43020e, 0x64b16731,
      0x1f43050e, 0x34ae0710, 0x1f43024f, 0x94b2e724, 0x1f43024e],
     [0x0000405a, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xa099e662, 0x1f433190],
     [0x00006711, 0x00000000, 0x60b46730, 0x1f43038e, 0x00000000,
      0x00000000, 0x3cb1c735, 0x1f43060e, 0x50b64731, 0x1f42f8cf],
     [0x00006712, 0x00000000, 0xf4b6a720, 0x1f42ff4f, 0xb0b14719,
      0x1f43144e, 0xecafc714, 0x1f43008e, 0x70b34721, 0x1f42fb0f],
     [0x00018968, 0x00000000, 0x28aaa67e, 0x1c72f94d, 0x28aaa67e,
      0x1c72f94d, 0x28aaa67e, 0x1c72f94d, 0x28aaa67e, 0x1c72f94d],
     [0x00006714, 0x00000000, 0x68b5c72c, 0x1f43008e, 0x00000000,
      0x00000000, 0x88b2a734, 0x1f43008e, 0x00000000, 0x00000000],
     [0x00006715, 0x00000000, 0x38b36727, 0x1f4302cf, 0x58b6a6f9,
      0x1f43044f, 0x90b5670c, 0x1f42f94f, 0xa8b6072c, 0x1f43008e],
     [0x00006716, 0x00000000, 0x84b3070d, 0x1f4300ce, 0xe4b44716,
      0x1f4307ce, 0xfcb32741, 0x1f42fece, 0x00000000, 0x00000000],
     [0x00006717, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x74b76710, 0x1f42ff8e, 0x6cb1271d, 0x1f430dce],
     [0x00006718, 0x00000000, 0xc4b6e744, 0x1f43000e, 0x00000000,
      0x00000000, 0xecb6471a, 0x1f4300ce, 0x30b2c71d, 0x1f4300cf],
     [0x0001896e, 0x00000000, 0xdc8a2614, 0x14a3020e, 0xd88a2613,
      0x14a3020e, 0xd8ad2613, 0x1d12fe4e, 0xd8ad2613, 0x1d12fe4e],
     [0x0000671a, 0x00000000, 0x54b3e73a, 0x1f43004e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000671b, 0x00000000, 0x00000000, 0x00000000, 0x6cb62729,
      0x1f42f88e, 0x78b7a71b, 0x1f42f90f, 0x00000000, 0x00000000],
     [0x00018971, 0x00000000, 0xd8aaa613, 0x1d12f94e, 0xd8aaa613,
      0x1d12f94e, 0xd8bea6d0, 0x2142f7cb, 0xd8bea6d0, 0x2142f7cb],
     [0x0000671d, 0x00000000, 0xa4b3a71e, 0x1f42fd8e, 0xe8b38700,
      0x1f42fd8e, 0xd8b6473d, 0x1f42f88e, 0xe0b08708, 0x1f42fe4f],
     [0x00018973, 0x00000000, 0xe0aca690, 0x1c72f54c, 0xe0ad0690,
      0x1c72f4cc, 0xc4a18657, 0x1a52fa8d, 0xc4a18657, 0x1a52fa8d],
     [0x00018974, 0x00000000, 0xc4a18657, 0x1a52fa8d, 0xc4a18657,
      0x1a52fa8d, 0xc4a18657, 0x1a52fa8d, 0xc4a18657, 0x1a52fa8d],
     [0x00018975, 0x00000000, 0xc4a18657, 0x1a52fa8d, 0xc4a18657,
      0x1a52fa8d, 0xe07c4690, 0x1222fe8c, 0xe07ec690, 0x1223038c],
     [0x00018976, 0x00000000, 0x28aaa67e, 0x1c72f94d, 0x28aaa67e,
      0x1c72f94d, 0x90aaa67e, 0x1c72f953, 0x28aaa4e4, 0x1c72f94d],
     [0x00018977, 0x00000000, 0x90776690, 0x1c72f4d3, 0x90ad0690,
      0x1c735fd3, 0xe0ad04e4, 0x1c735fcc, 0xe07764e4, 0x1c72f48c],
     [0x00006723, 0x00000000, 0x00000000, 0x00000000, 0xd0b76720,
      0x1f43070f, 0x60aa6723, 0x1f430e4f, 0x00000000, 0x00000000],
     [0x00018979, 0x00000000, 0x28aaa67e, 0x1c7af94d, 0x28aaa67e,
      0x1c7af94d, 0x8c7765a4, 0x105aff90, 0x2caaa67e, 0x1c72f94d],
     [0x0001897a, 0x00000000, 0x2caaa67e, 0x1c72f94d, 0x2caaa67e,
      0x1c72f94d, 0x2caaa67e, 0x1c72f94d, 0x2caaa67e, 0x1c72f94d],
     [0x0001897b, 0x00000000, 0xa4c94713, 0x23caf6cd, 0xa4c94713,
      0x23caf6cd, 0xa4c94713, 0x23caf6cd, 0x38cca6f9, 0x25baff8b],
     [0x0001897c, 0x00000000, 0x28aaa67e, 0x1c72f94d, 0x28aaa67e,
      0x1c72f94d, 0x28aaa67e, 0x1c72f94d, 0x28aaa67e, 0x1c72f94d],
     [0x00006728, 0x00000000, 0xc4b64717, 0x1f4302cf, 0xd0afe717,
      0x1f43018f, 0xa0b5c703, 0x1f42f9cf, 0x28b6671b, 0x1f430190],
     [0x00006729, 0x00000000, 0x48b34718, 0x1f430510, 0x98b486ff,
      0x1f43028f, 0x2cb62717, 0x1f43038f, 0x60ae0723, 0x1f43084f],
     [0x0001897f, 0x00000000, 0x7096262c, 0x1752f94e, 0x7084e5e9,
      0x12caf78f, 0x7484e5ea, 0x12caf78f, 0x28aaa67e, 0x1c7af94d],
     [0x0001892d, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x00018981, 0x00000000, 0x00000000, 0x00000000, 0x98a3c677,
      0x1b32fd0e, 0x98a3c677, 0x1b32fd0e, 0x00000000, 0x00000000],
     [0x00018982, 0x00000000, 0x00000000, 0x00000000, 0x6497862f,
      0x17d2fa8e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00018983, 0x00000000, 0x9483a662, 0x122afb8d, 0x00000000,
      0x00000000, 0xa0b7668c, 0x1f42f60f, 0x00000000, 0x00000000],
     [0x00018984, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x28aaa67e, 0x1c72f94d, 0x00000000, 0x00000000],
     [0x00006730, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x2cb5670b, 0x1f4306d0],
     [0x00006731, 0x00000000, 0x08b0671d, 0x1f43028f, 0xe4b7a703,
      0x1f42fd8f, 0x0cb3e70c, 0x1f4303cf, 0x7cb2a719, 0x1f43068f],
     [0x00006732, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xecae071e, 0x1f43018f, 0x64b48705, 0x1f4301cf],
     [0x00018931, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x00006734, 0x00000000, 0xf0af0702, 0x1f43034f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x78b40716, 0x1f43000f],
     [0x00006735, 0x00000000, 0x34af8711, 0x1f43048f, 0x24b3a6ee,
      0x1f430490, 0xf8ade718, 0x1f43144e, 0x3cb4e710, 0x1f43020f],
     [0x00006736, 0x00000000, 0x14b00722, 0x1f430a0f, 0xc8b2471d,
      0x1f43000e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00018933, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x00006738, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x70b0a723, 0x1f42ffcf, 0x00000000, 0x00000000],
     [0x0001898e, 0x00000000, 0x00000000, 0x00000000, 0x58b906c0,
      0x23f3188e, 0x58b906c0, 0x23f3188e, 0x58b906c0, 0x23f3188e],
     [0x0001898f, 0x00000000, 0xb8a16657, 0x1a2af98d, 0x5889a6c0,
      0x140af80e, 0x5889a6c0, 0x140af80e, 0x8881c6a6, 0x12dafe4c],
     [0x00018990, 0x00000000, 0x8481c666, 0x12dafe4d, 0x8481c666,
      0x12dafe4d, 0x948c0662, 0x14a2fb8d, 0xe0af86c4, 0x1e52fe8c],
     [0x00018991, 0x00000000, 0x70aac701, 0x1e52fdcd, 0x00000000,
      0x00000000, 0xe8a006e0, 0x1a42fd0d, 0xe88686c2, 0x13c3010d],
     [0x00018992, 0x00000000, 0xe8b3e6e0, 0x1e22f44d, 0x749ac66c,
      0x186af8cd, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000c805, 0x00000000, 0x74bb84f7, 0x1f42ee12, 0x753884f7,
      0x3e82ee12, 0x00000000, 0x00000000, 0x247e435f, 0x1042f08b],
     [0x00018937, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x1e58c807, 0x0007baf5, 0x307b469b, 0x0fa2f615, 0x3079069b,
      0x0fa2f195, 0xd0790483, 0x0fa2f18c, 0x3079069b, 0x0fa2f195],
     [0x0000c808, 0x00000000, 0x8877269b, 0x0fa2f9cd, 0x9077869b,
      0x0fa2f94d, 0x487bc5b6, 0x1182ff90, 0x00000000, 0x00000000],
     [0x0000c809, 0x00000000, 0x00000000, 0x00000000, 0x6c878484,
      0x14d3028f, 0x6cb12484, 0x1f43028f, 0x00000000, 0x00000000],
     [0x00018998, 0x00000000, 0x148fe649, 0x156af68e, 0xfc8fe643,
      0x156af68d, 0xfc8ee649, 0x156af84d, 0x148fe643, 0x156af68e],
     [0x00006744, 0x00000000, 0xa8a74719, 0x1f4319ce, 0x00000000,
      0x00000000, 0x70b2e727, 0x1f42f9ce, 0x00000000, 0x00000000],
     [0x0001893a, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x00000000, 0x00000000],
     [0x0001899b, 0x00000000, 0x00000000, 0x00000000, 0x7869c6e8,
      0x0d52fc4f, 0xcc6a46e8, 0x0d5300cc, 0xcc6ec6e8, 0x0d52f84c],
     [0x00006747, 0x00000000, 0x00000000, 0x00000000, 0xa8b6a716,
      0x1f43030e, 0x68b1c73c, 0x1f43008f, 0xe0b4e73a, 0x1f43058e],
     [0x0000c80f, 0x00000000, 0x6c82869b, 0x138b024f, 0x00000000,
      0x00000000, 0x987d072e, 0x0fa2ee1b, 0x00000000, 0x00000000],
     [0x0000c810, 0x00000000, 0x909a26bd, 0x18f301d7, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00004094, 0x00000000, 0x00000000, 0x00000000, 0xa03e83e8,
      0x1f42ee0f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000674b, 0x00000000, 0x24aca722, 0x1f430b8e, 0x94b1a719,
      0x1f430ace, 0xd4b3e715, 0x1f43068e, 0xe0b3e71c, 0x1f42ff4e],
     [0x0000c813, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x807684d4, 0x0fa2fc0c, 0xd05de5c0, 0x0a6afecc],
     [0x0000674d, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xd4b30714, 0x1f4303ce, 0x30a4a72c, 0x1f431c0e],
     [0x00004098, 0x00000000, 0x00000000, 0x00000000, 0xa03e83e8,
      0x1f42ee0f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000053f4, 0x00000000, 0x50a8c6fd, 0x1f42f30f, 0x2ca9c718,
      0x1f42f40f, 0x00000000, 0x00000000, 0xa4b066e5, 0x1f42facf],
     [0x00006750, 0x00000000, 0x30aac730, 0x1f43110e, 0xd4b30714,
      0x1f43028e, 0xe0b40715, 0x1f42f7ce, 0xc8b5271d, 0x1f42fb8e],
     [0x00006751, 0x00000000, 0x68b42731, 0x1f42fcce, 0x88b52714,
      0x1f43004e, 0x2cb6672a, 0x1f42f88f, 0x00000000, 0x00000000],
     [0x000053f7, 0x00000000, 0x9cb0072c, 0x1f42fe8e, 0x24b7a706,
      0x1f42ff8f, 0x90b6472c, 0x1f42fdce, 0xa4b64713, 0x1f42fbcf],
     [0x000189a8, 0x00000000, 0x34f827e7, 0x2f32f44d, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000189a9, 0x00000000, 0x00000000, 0x00000000, 0x3c8c06f8,
      0x14a2fb8b, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006755, 0x00000000, 0xb8b42714, 0x1f42f98e, 0x00000000,
      0x00000000, 0xacb4e71d, 0x1f4310ce, 0x7cb36729, 0x1f42f6ce],
     [0x00006756, 0x00000000, 0xacb4e71d, 0x1f42f84e, 0x78b0071d,
      0x1f42ff8e, 0xacb4e71d, 0x1f43058e, 0xbcb4870e, 0x1f43030e],
     [0x00018943, 0x00000000, 0xe498853c, 0x16233d4a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006758, 0x00000000, 0x10b2e72d, 0x1f43008f, 0x0cb4e721,
      0x1f42fd8f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006759, 0x00000000, 0xc0b5c731, 0x1f42f94e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xd4b30714, 0x1f43040e],
     [0x0000675a, 0x00000000, 0xd0b52724, 0x1f42fa0e, 0xdcb6a71b,
      0x1f42f94e, 0x18b2273a, 0x1f42f6cf, 0xc8b4c720, 0x1f42f9ce],
     [0x00018945, 0x00000000, 0xcc988776, 0x16233d53, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000675c, 0x00000000, 0x14b4e713, 0x1f42fc0f, 0xc8b4c719,
      0x1f43048e, 0xe4b16722, 0x1f42fcce, 0xd0b52727, 0x1f42f58e],
     [0x0000675d, 0x00000000, 0xd4b4e711, 0x1f42fd4e, 0xd0b5271b,
      0x1f43030e, 0x00000000, 0x00000000, 0xd0b52714, 0x1f42f2ce],
     [0x0000675e, 0x00000000, 0xd0b3a720, 0x1f42f84e, 0x54aba726,
      0x1f430ace, 0xe0b4a71c, 0x1f42fbce, 0xecb4a712, 0x1f42face],
     [0x0000675f, 0x00000000, 0x00000000, 0x00000000, 0xd0b5271d,
      0x1f42fdce, 0x00000000, 0x00000000, 0x9cb3c712, 0x1f42face],
     [0x00006760, 0x00000000, 0x0cb4a717, 0x1f42facf, 0xd0b52714,
      0x1f43024e, 0xd0b5271f, 0x1f42f6ce, 0x00000000, 0x00000000],
     [0x00006761, 0x00000000, 0x04b4e71d, 0x1f42fc0f, 0xd0b5271c,
      0x1f43008e, 0xd0b5271b, 0x1f42f74e, 0xd0b5272e, 0x1f42fa0e],
     [0x00006762, 0x00000000, 0xc8b4c712, 0x1f42fa4e, 0xd8b30735,
      0x1f43024e, 0xd0b52714, 0x1f42f68e, 0x6cb5670f, 0x1f42f48e],
     [0x000189b8, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x608a46ed, 0x15e3058e, 0x00000000, 0x00000000],
     [0x00006764, 0x00000000, 0x08b4c724, 0x1f42facf, 0x00000000,
      0x00000000, 0xacb2872f, 0x1f42f70e, 0x00000000, 0x00000000],
     [0x00006765, 0x00000000, 0xa4b3a72f, 0x1f4303ce, 0x00000000,
      0x00000000, 0x4cb2c72a, 0x1f43078e, 0x88b04708, 0x1f42face],
     [0x00006766, 0x00000000, 0x4cb3c735, 0x1f42fe0f, 0x8cb34728,
      0x1f42fe8e, 0x48b30730, 0x1f43008f, 0xb0b3472f, 0x1f4308ce],
     [0x0000540c, 0x00000000, 0x78b5a729, 0x1f42f50e, 0x0cb4e701,
      0x1f42f70f, 0x00000000, 0x00000000, 0x5cb8a720, 0x1f42f80e],
     [0x00006768, 0x00000000, 0xa8b2c717, 0x1f43010e, 0xa4b32726,
      0x1f43008e, 0xb4b0672c, 0x1f42f8ce, 0xc8b56737, 0x1f42f78e],
     [0x00006769, 0x00000000, 0xf4b28729, 0x1f42ffce, 0x00000000,
      0x00000000, 0x48a4e739, 0x1f43168e, 0xa4b34729, 0x1f42fcce],
     [0x0000676a, 0x00000000, 0x88b4472d, 0x1f42fcce, 0x1cb30741,
      0x1f4304ce, 0xc0b26727, 0x1f42ff8e, 0x94b76741, 0x1f42f68e],
     [0x000189c0, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xe8afa64c, 0x1e0af6d0, 0x00000000, 0x00000000],
     [0x000040b6, 0x00000000, 0x00000000, 0x00000000, 0x3c8ce629,
      0x1f434494, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000189c2, 0x00000000, 0x00000000, 0x00000000, 0xc88e4613,
      0x1592f691, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000c835, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x903c8736, 0x00027117, 0x90404736, 0x00027897],
     [0x000189c4, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x709686ab, 0x179af68f],
     [0x00006770, 0x00000000, 0x00000000, 0x00000000, 0x90b5c72d,
      0x1f42f94e, 0xc4b4e713, 0x1f43030e, 0x88b44733, 0x1f4300ce],
     [0x00006771, 0x00000000, 0xbcb66743, 0x1f42f84e, 0x90b3a72d,
      0x1f42fdce, 0xa8b5272e, 0x1f43054e, 0xd0b68732, 0x1f42ff8e],
     [0x00006772, 0x00000000, 0x00b6c71b, 0x1f42f80f, 0x00000000,
      0x00000000, 0xd8b1072f, 0x1f43040e, 0xb0b2a723, 0x1f42ffce],
     [0x000189c8, 0x00000000, 0x4497c638, 0x17fafb4e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006774, 0x00000000, 0xc4b36725, 0x1f42f98e, 0xd8b42714,
      0x1f4301ce, 0xacb2a723, 0x1f42face, 0xe4b44729, 0x1f42f68e],
     [0x000189ca, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xf89a264d, 0x18aaf6cd, 0x00000000, 0x00000000],
     [0x00006776, 0x00000000, 0xe8afe744, 0x1f43088d, 0xe8b1c732,
      0x1f4310cd, 0x88b20710, 0x1f42f8ce, 0xb0b2c723, 0x1f42f48e],
     [0x00006777, 0x00000000, 0xd8b42725, 0x1f42f94e, 0xacb4270d,
      0x1f42fd4e, 0xb0b2c723, 0x1f42ff8e, 0x00ab8737, 0x1f43068e],
     [0x000189cd, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xf08ec650, 0x15baf6cd, 0x00000000, 0x00000000],
     [0x0000541e, 0x00000000, 0x78b64739, 0x1f42f8cf, 0x00000000,
      0x00000000, 0x68b406ea, 0x1f42fdcf, 0xb0b3a6fd, 0x1f42fa0e],
     [0x0000677a, 0x00000000, 0xa8b28727, 0x1f42fece, 0x00b36736,
      0x1f43148e, 0x00000000, 0x00000000, 0xa8b40727, 0x1f42fa4e],
     [0x00018955, 0x00000000, 0xe4986599, 0x1623264a, 0xe46f4599,
      0x1622eb4a, 0xe47ae53c, 0x1622eb4a, 0xe47ae599, 0x1622eb4a],
     [0x0000677c, 0x00000000, 0xe8ae0742, 0x1f430d0d, 0x00000000,
      0x00000000, 0x50ace740, 0x1f43118e, 0xa8b40727, 0x1f42fc8e],
     [0x00005422, 0x00000000, 0xecb646f9, 0x1f42fa0e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xd0b00717, 0x1f42fd0e],
     [0x0000c845, 0x00000000, 0x00000000, 0x00000000, 0xa091668c,
      0x171300cf, 0x58c0c69b, 0x222af08f, 0x5498a69b, 0x175af48f],
     [0x0000677f, 0x00000000, 0x00000000, 0x00000000, 0xf8aee738,
      0x1f43050d, 0xa8b40720, 0x1f43014e, 0xe8aa673c, 0x1f43034d],
     [0x00006780, 0x00000000, 0xb0b2c723, 0x1f42fe8e, 0xc8b6e738,
      0x1f42ff4e, 0x00b26727, 0x1f4302cf, 0x64b3a726, 0x1f42fc0e],
     [0x00018958, 0x00000000, 0xe4988776, 0x1623264a, 0xe46f4776,
      0x1622eb4a, 0xe47ae776, 0x1622eb4a, 0xe47ae776, 0x1622eb4a],
     [0x00006782, 0x00000000, 0x00000000, 0x00000000, 0x28a6a73d,
      0x1f430cce, 0x00000000, 0x00000000, 0xbcb52735, 0x1f42f74e],
     [0x00005428, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xe0b80726, 0x1f42f94e, 0xd4b72701, 0x1f42fa0e],
     [0x00006784, 0x00000000, 0xb8b52719, 0x1f42f68e, 0x50b2e731,
      0x1f4302ce, 0x28b74734, 0x1f43028e, 0xa8b4671d, 0x1f42f7ce],
     [0x00006785, 0x00000000, 0x50b8270e, 0x1f42f68e, 0xa8b5a736,
      0x1f42f38e, 0x00000000, 0x00000000, 0x1cac6744, 0x1f43040e],
     [0x00006786, 0x00000000, 0x00000000, 0x00000000, 0xd4b42737,
      0x1f42f54e, 0xf8b4c723, 0x1f42fd0e, 0xc4b1c708, 0x1f42fc4e],
     [0x000189dc, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x4c78c6b7, 0x0f431d0c, 0x4c6406b7, 0x0f42f38c],
     [0x00006788, 0x00000000, 0x24ace711, 0x1f43014f, 0x2cae6725,
      0x1f43028f, 0xc4a7c713, 0x1f43148e, 0x80ade72a, 0x1f4303ce],
     [0x00006789, 0x00000000, 0x00000000, 0x00000000, 0x8cb1c705,
      0x1f4307ce, 0xfcb00727, 0x1f42face, 0x00000000, 0x00000000],
     [0x0000678a, 0x00000000, 0x3cafa705, 0x1f43028f, 0x40af8702,
      0x1f42f68f, 0x38ae8713, 0x1f43010f, 0x4cb00718, 0x1f4309cf],
     [0x000189e0, 0x00000000, 0x689a26a9, 0x18a2f6cf, 0x689a26a9,
      0x18a2f6cf, 0x689a26a9, 0x18a2f6cf, 0x689a26a9, 0x18a2f6cf],
     [0x000189e1, 0x00000000, 0x689a26a9, 0x18a2f6cf, 0x689a26a9,
      0x18a2f6cf, 0x689a26a9, 0x18a2f6cf, 0x689a26a9, 0x18a2f6cf],
     [0x000189e2, 0x00000000, 0x689a26a9, 0x18a2f6cf, 0x689a26a9,
      0x18a2f6cf, 0x689a26a9, 0x18a2f6cf, 0x689a26a9, 0x18a2f6cf],
     [0x000189e3, 0x00000000, 0x689a26a9, 0x18a2f6cf, 0x689a26a9,
      0x18a2f6cf, 0x689a26a9, 0x18a2f6cf, 0x689a26a9, 0x18a2f6cf],
     [0x000189e4, 0x00000000, 0x689a26a9, 0x18a2f6cf, 0x689a26a9,
      0x18a2f6cf, 0x689a26a9, 0x18a2f6cf, 0x689a26a9, 0x18a2f6cf],
     [0x0000c857, 0x00000000, 0x709f6698, 0x1772f3cf, 0x709f6698,
      0x1772fa4f, 0x709f6698, 0x1772f58f, 0x00000000, 0x00000000],
     [0x000189e6, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xb8aa2599, 0x1cb2f6d0],
     [0x00006792, 0x00000000, 0x28b06717, 0x1f42ff0f, 0x64afa715,
      0x1f43014f, 0xfcaf6719, 0x1f42fd0e, 0x40b10701, 0x1f43028f],
     [0x00006793, 0x00000000, 0x38b0e710, 0x1f42f7cf, 0x00000000,
      0x00000000, 0x5cb00708, 0x1f4301cf, 0x0caee71c, 0x1f42f38f],
     [0x00006794, 0x00000000, 0x00000000, 0x00000000, 0x5cafe715,
      0x1f43024f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000543a, 0x00000000, 0xd0b10743, 0x1f42fbce, 0xf0ab2710,
      0x1f42ffce, 0xbcaa86fa, 0x1f42fa0e, 0x00000000, 0x00000000],
     [0x00006796, 0x00000000, 0xf0afe6f5, 0x1f43014e, 0x00000000,
      0x00000000, 0x4cb0e706, 0x1f43034f, 0x78b28715, 0x1f42f68f],
     [0x00006797, 0x00000000, 0x9cb28731, 0x1f430ace, 0x00000000,
      0x00000000, 0x30ae66f7, 0x1f42fd8f, 0x00000000, 0x00000000],
     [0x00006798, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x30b14712, 0x1f43000f],
     [0x000040e3, 0x00000000, 0xa0a906dc, 0x1f43130f, 0x00000000,
      0x00000000, 0xa0ada6dc, 0x1f4309cf, 0xa0ab26c9, 0x1f430ecf],
     [0x000040e4, 0x00000000, 0x00000000, 0x00000000, 0x80ae26f1,
      0x1f430b90, 0x80a366f1, 0x1f431e50, 0x80a2e6f1, 0x1f431dd0],
     [0x000040e5, 0x00000000, 0x80a646f1, 0x1f4312d0, 0x80a4c6f1,
      0x1f431d90, 0x80a506f1, 0x1f431c50, 0x80ac06f1, 0x1f430e10],
     [0x000189f1, 0x00000000, 0x348cc5f9, 0x156afd4f, 0x887086a6,
      0x0e3afbcc, 0x887086a6, 0x0e3afbcc, 0x2c882600, 0x1362f5cf],
     [0x000189f2, 0x00000000, 0x3cafc5fd, 0x1e32fd0f, 0x3cafc5fd,
      0x1e32fd0f, 0x00000000, 0x00000000, 0x30a2667e, 0x1a32ee0d],
     [0x000189f3, 0x00000000, 0x4c67270e, 0x0a2af30c, 0x30a2667e,
      0x1a32ee0d, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000189f4, 0x00000000, 0xd8bea6d0, 0x2142f7cb, 0x2c882600,
      0x1362f5cf, 0x24860600, 0x1362fa0f, 0xa08dc630, 0x156afa8f],
     [0x000189f5, 0x00000000, 0xa08dc630, 0x156afa8f, 0x60b7262e,
      0x1fdaf80e, 0x60b8e62e, 0x1fdafb8e, 0x60d3062e, 0x2662f80e],
     [0x000189f6, 0x00000000, 0x4ca486b6, 0x1b12fa8c, 0x4ca486b6,
      0x1b12fa8c, 0xa0e2867e, 0x2b02fe0f, 0xa0e2867e, 0x2b02fe0f],
     [0x000189f7, 0x00000000, 0x3ca2657b, 0x1a8afa91, 0x84fc65aa,
      0x3132fbd0, 0x84fc65aa, 0x3132fbd0, 0xb470a69d, 0x0fb3074c],
     [0x000189f8, 0x00000000, 0x1c9ba703, 0x18b2f94b, 0x44986635,
      0x17e2f94e, 0x449d4635, 0x191af94e, 0x449d4635, 0x191af94e],
     [0x000189f9, 0x00000000, 0x28cca67e, 0x24f2f94d, 0x28cca67e,
      0x24f2f94d, 0x4c7ac6b5, 0x0fc31d0c, 0x4c6606b5, 0x0fc2f38c],
     [0x000189fa, 0x00000000, 0x4c6866b1, 0x0c83014c, 0x4c66e6b1,
      0x0c82fe4c, 0x4c82a6b7, 0x1313004c, 0x4c81a6b7, 0x1312fe4c],
     [0x000189fb, 0x00000000, 0x4c78c6b7, 0x0f431a8c, 0x4c6546b7,
      0x0f42f38c, 0xdc58e68c, 0x074afc0c, 0xdc54a68c, 0x074af38c],
     [0x000189fc, 0x00000000, 0x30b7267e, 0x204aff4d, 0x30b7267e,
      0x204aff4d, 0xd0acc65a, 0x1e72fb8d, 0xd0b1865a, 0x1e73050d],
     [0x000189fd, 0x00000000, 0xaccde621, 0x2582fb0e, 0x88fc65a9,
      0x3132fbd0, 0x84fc65a9, 0x3132fbd0, 0x84fc65a9, 0x3132fbd0],
     [0x000189fe, 0x00000000, 0xecfc660f, 0x3132fbce, 0xecfc660f,
      0x3132fbce, 0x78fc65ed, 0x3132fbcf, 0x84fc65aa, 0x3132fbd0],
     [0x000189ff, 0x00000000, 0x84fc65aa, 0x3132fbd0, 0xecfc660f,
      0x3132fbce, 0xecfc660f, 0x3132fbce, 0x88fc65a9, 0x3132fbd0],
     [0x00005450, 0x00000000, 0x48b506bc, 0x1f430850, 0x44b3870e,
      0x1f4308cf, 0x00000000, 0x00000000, 0x88b3e6da, 0x1f42ff0f],
     [0x0000c873, 0x00000000, 0x4cb04623, 0x1e8afe8f, 0xa0b02622,
      0x1e8aff0e, 0xa0d34622, 0x26c2fa8e, 0xa0b02622, 0x1e8aff0e],
     [0x00005452, 0x00000000, 0x20b6272d, 0x1f43058f, 0x18b50711,
      0x1f43064f, 0x00000000, 0x00000000, 0x10b4e740, 0x1f43040f],
     [0x0000c875, 0x00000000, 0xa0d34622, 0x26c2fa8e, 0x0892c6c8,
      0x1652f80c, 0x30ab867e, 0x1cf2fb8d, 0x30ab867e, 0x1cf2fb8d],
     [0x0001896f, 0x00000000, 0xa4c94713, 0x23caf6cd, 0xa4c94713,
      0x23caf6cd, 0xe08d85c5, 0x14a2f4ce, 0xe08d85c5, 0x14a2f4ce],
     [0x0000c877, 0x00000000, 0x7cb0c5ab, 0x1e8afd90, 0x7cb0c5ab,
      0x1e8afd90, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00018970, 0x00000000, 0x2cb826fe, 0x209af6cb, 0x30bc86ff,
      0x209aff8b, 0xd8870613, 0x14a2fbce, 0xd4870612, 0x14a2fbce],
     [0x0000c879, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xecaac60f, 0x1cf2fd0e, 0x308ea67e, 0x156af94d],
     [0x000067b3, 0x00000000, 0x30af0735, 0x1f43074e, 0x38b46742,
      0x1f43008e, 0x80b70723, 0x1f43034e, 0x28aec721, 0x1f42f98f],
     [0x000067b4, 0x00000000, 0x04ae670a, 0x1f42fa8f, 0x5cad86fc,
      0x1f43080f, 0x5cad86fc, 0x1f43080f, 0xf8b0a6ea, 0x1f42fe0e],
     [0x00018972, 0x00000000, 0xd8bea6d0, 0x2142f7cb, 0xc4a18657,
      0x1a52fa8d, 0x1c9ba703, 0x18b2f94b, 0xc4a18657, 0x1a52fa8d],
     [0x00004100, 0x00000000, 0x00000000, 0x00000000, 0xc49b06f6,
      0x1f432f50, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000545c, 0x00000000, 0xacae66fe, 0x1f431110, 0x7cb4671c,
      0x1f4301cf, 0x00000000, 0x00000000, 0x14ad0708, 0x1f431350],
     [0x000067b8, 0x00000000, 0xa8b0070d, 0x1f4304cf, 0x00000000,
      0x00000000, 0x98b50713, 0x1f43034f, 0x00000000, 0x00000000],
     [0x000067b9, 0x00000000, 0x64b6c701, 0x1f42fd4f, 0x34b10706,
      0x1f42f7cf, 0x14b526fd, 0x1f4300d0, 0x5caae740, 0x1f4306ce],
     [0x00004104, 0x00000000, 0xc89d0698, 0x1f432b50, 0xc894268e,
      0x1f432b90, 0xc49c468e, 0x1f432c90, 0xc89c468e, 0x1f432c90],
     [0x00004105, 0x00000000, 0x689a468e, 0x1f43278f, 0xc49c468e,
      0x1f432c90, 0xa0a68698, 0x1f431a50, 0xa0932698, 0x1f432f90],
     [0x000067bc, 0x00000000, 0x1cb346f2, 0x1f4304cf, 0x00000000,
      0x00000000, 0x90b72726, 0x1f43034e, 0x6cb2a70f, 0x1f431c8e],
     [0x000067bd, 0x00000000, 0x78b72703, 0x1f42f94f, 0xc0b36739,
      0x1f42f58e, 0x40ae273e, 0x1f42f84e, 0x80aea739, 0x1f42fb0e],
     [0x000067be, 0x00000000, 0x00000000, 0x00000000, 0x20ada713,
      0x1f430e4e, 0x70b906fd, 0x1f42fa0f, 0x94b80711, 0x1f42fccf],
     [0x00005464, 0x00000000, 0x40a4c720, 0x1f431bce, 0x40a6e743,
      0x1f43244e, 0x50a5c720, 0x1f431e0f, 0x8cac2741, 0x1f43110e],
     [0x00005465, 0x00000000, 0x24b30724, 0x1f43030e, 0xb0aee714,
      0x1f43084e, 0x44aa66c1, 0x1f4313d7, 0x0cb226cc, 0x1f4314d0],
     [0x00018978, 0x00000000, 0x8cad0690, 0x1c72f4d3, 0xe0ad04e4,
      0x1c72f4cc, 0x28aaa67e, 0x1c7af94d, 0x28aaa67e, 0x1c7af94d],
     [0x00005467, 0x00000000, 0x44b1a71b, 0x1f42fdcf, 0x00000000,
      0x00000000, 0xbcac06d5, 0x1f430f0e, 0x00000000, 0x00000000],
     [0x0000410d, 0x00000000, 0xdc9245cc, 0x1f43340f, 0xa096a5cc,
      0x1f4337d0, 0xb09905d3, 0x1f433450, 0x9c8e25cc, 0x1f433cd0],
     [0x0000410e, 0x00000000, 0xc89445cc, 0x1f432f90, 0xc894462f,
      0x1f432f90, 0xb09145d3, 0x1f4330d0, 0xac9545cc, 0x1f432f90],
     [0x0000410f, 0x00000000, 0xc89ca5cc, 0x1f432d10, 0xc896e5cc,
      0x1f433750, 0x9c96c5cc, 0x1f4337d0, 0xc89825cc, 0x1f4333d0],
     [0x00004110, 0x00000000, 0xb09c45cc, 0x1f432c8e, 0xa096a5ca,
      0x1f4337d0, 0xc896a5cc, 0x1f4337d0, 0xb09ac5cc, 0x1f432f8e],
     [0x00004111, 0x00000000, 0xb09d268e, 0x1f432cce, 0xc896e5cc,
      0x1f433910, 0xdc93e5cc, 0x1f432f4f, 0xc892c5cc, 0x1f433510],
     [0x0000c88f, 0x00000000, 0xb093c55e, 0x1772fed1, 0xb093c55e,
      0x1772fed1, 0xf493e58b, 0x1772ff10, 0xac9405cc, 0x1772fe90],
     [0x0000c890, 0x00000000, 0x00636627, 0x0ae2fb4f, 0x9893c5a4,
      0x1772fed0, 0x5493e5b7, 0x1772ff10, 0x5493e5b7, 0x1772ff10],
     [0x0000c891, 0x00000000, 0xc893e5fa, 0x1772ff0e, 0xb093e620,
      0x1772ff0e, 0x4893e620, 0x1772ff0d, 0x4093e66a, 0x1772ff0d],
     [0x0001897d, 0x00000000, 0xc4a18657, 0x1a52fa8d, 0xc4a18657,
      0x1a52fa8d, 0xc4a18657, 0x1a52fa8d, 0xc4a18657, 0x1a52fa8d],
     [0x0000c893, 0x00000000, 0xb093e620, 0x1772ff0e, 0x6c93e5ee,
      0x1772ff0f, 0xf893e5cc, 0x1772ff0f, 0x4c93e5cc, 0x1772ff11],
     [0x0001897e, 0x00000000, 0x28aaa67e, 0x1c7af94d, 0x28aaa67e,
      0x1c7af94d, 0x28aaa67e, 0x1c7af94d, 0x7096262c, 0x1752f94e],
     [0x000067ce, 0x00000000, 0x5cb3a72e, 0x1f42ff8f, 0x08b44706,
      0x1f4301d0, 0x00000000, 0x00000000, 0x6cb3474a, 0x1f43068e],
     [0x00005474, 0x00000000, 0xe4ade6cd, 0x1f430c0f, 0x38b92710,
      0x1f430bcf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005475, 0x00000000, 0xecb7471e, 0x1f42fece, 0x00000000,
      0x00000000, 0x7cb4073b, 0x1f43004e, 0x7cb1671c, 0x1f4304ce],
     [0x00005476, 0x00000000, 0xb8b426fa, 0x1f42fd8e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xecab6728, 0x1f4309ce],
     [0x0000c899, 0x00000000, 0xbc92465b, 0x1773020d, 0xc092465b,
      0x1773020d, 0x289246c1, 0x1773020c, 0x289246c1, 0x1773020c],
     [0x00005478, 0x00000000, 0x24b726d8, 0x1f430b50, 0x3cb726ec,
      0x1f4307d0, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005479, 0x00000000, 0x54b266c1, 0x1f430ccf, 0x00000000,
      0x00000000, 0xdcb286d7, 0x1f43000f, 0x84af26c2, 0x1f43068e],
     [0x0000547a, 0x00000000, 0x00000000, 0x00000000, 0xb8af26c1,
      0x1f43068e, 0xa4af26d8, 0x1f43068f, 0x10afc721, 0x1f43144f],
     [0x0000c89d, 0x00000000, 0x3893c6f4, 0x1772fecb, 0x3893c6f4,
      0x1772fecb, 0x189246c6, 0x1773020c, 0x189246c6, 0x1773020c],
     [0x0000547c, 0x00000000, 0x34b5c6f9, 0x1f42f8cf, 0x6cb88723,
      0x1f4301cf, 0x00000000, 0x00000000, 0x8cb3872c, 0x1f43070e],
     [0x0000c89f, 0x00000000, 0x7892466d, 0x1773020d, 0x7892466d,
      0x1773020d, 0xfc93c68c, 0x1772fecc, 0xfc93c68c, 0x1772fecc],
     [0x0000c8a0, 0x00000000, 0xd4924659, 0x1773020d, 0xd4924659,
      0x1773020d, 0x6c92060b, 0x1773028f, 0x6c92060b, 0x1773028f],
     [0x000067da, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x0cb7a702, 0x1f42f9d0, 0x18b02702, 0x1f42fb50],
     [0x0000c8a2, 0x00000000, 0x7c9206d3, 0x1773028c, 0x7c9206d3,
      0x1773028c, 0x809206c6, 0x1773028c, 0x809206c6, 0x1773028c],
     [0x000067dc, 0x00000000, 0x40b26706, 0x1f42ffcf, 0xacb2a709,
      0x1f42fa8e, 0xc8b046fa, 0x1f42fdcf, 0x00000000, 0x00000000],
     [0x0000c8a4, 0x00000000, 0x349165fc, 0x177303cf, 0x2c91666c,
      0x177303ce, 0x2c91666c, 0x177303ce, 0x1c878605, 0x1452fe8f],
     [0x00005483, 0x00000000, 0x84aa4705, 0x1f42fece, 0x58a2a713,
      0x1f432390, 0x00a8c718, 0x1f43000f, 0x00000000, 0x00000000],
     [0x0000c8a6, 0x00000000, 0x98a44662, 0x1b02fa8d, 0x389a463a,
      0x1882fa8e, 0x98a2e662, 0x1a52f7cd, 0x98a44662, 0x1b02fa8d],
     [0x0000c8a7, 0x00000000, 0x98a44662, 0x1b02fa8d, 0x98a44662,
      0x1b02fa8d, 0x28aaa67d, 0x1c72f94d, 0x28aaa67d, 0x1c72f94d],
     [0x00018988, 0x00000000, 0x00000000, 0x00000000, 0x1483265e,
      0x135aff8f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000067e2, 0x00000000, 0xb8b526f9, 0x1f42fbcf, 0x08b526f2,
      0x1f42ffd0, 0xf4b5c6d5, 0x1f42fd8f, 0xc4ae66fd, 0x1f42fecf],
     [0x00005488, 0x00000000, 0x24a86704, 0x1f4302cf, 0xa0ab06f1,
      0x1f430bce, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000067e4, 0x00000000, 0x64b4e731, 0x1f42f78f, 0xa0ab4738,
      0x1f43050e, 0x1ca92745, 0x1f43070e, 0x00000000, 0x00000000],
     [0x000067e5, 0x00000000, 0x70af072f, 0x1f430b0e, 0x24b0c732,
      0x1f42ff0e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000067e6, 0x00000000, 0xfcb24725, 0x1f4303ce, 0xccb2070f,
      0x1f430b8f, 0x04ab871a, 0x1f43154f, 0x08b46721, 0x1f43080f],
     [0x0000548c, 0x00000000, 0x14a6a709, 0x1f43040f, 0x84b6a6f1,
      0x1f42fb8f, 0xd4a36705, 0x1f43008e, 0xe4a70725, 0x1f42f9ce],
     [0x0000548d, 0x00000000, 0x00000000, 0x00000000, 0x80a48718,
      0x1f42f50f, 0x24a9071d, 0x1f43004f, 0xb4aa470c, 0x1f42f48e],
     [0x000067e9, 0x00000000, 0xb4b74708, 0x1f42f54e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000548f, 0x00000000, 0x00000000, 0x00000000, 0xdca72703,
      0x1f43020e, 0x00000000, 0x00000000, 0x0ca6a713, 0x1f43090f],
     [0x0000c8b2, 0x00000000, 0x80a2e644, 0x1b32fece, 0x80a4a644,
      0x1b32fc4e, 0x80a42644, 0x1b32fb4e, 0x809f2644, 0x1b33064e],
     [0x00005491, 0x00000000, 0x00aa4720, 0x1f4304cf, 0x00000000,
      0x00000000, 0x74a5870c, 0x1f430ece, 0x00a80720, 0x1f42fd4f],
     [0x00005492, 0x00000000, 0x00000000, 0x00000000, 0xf4a8e724,
      0x1f4305ce, 0x00a7c709, 0x1f43154f, 0x4cb70729, 0x1f42fbcf],
     [0x00005493, 0x00000000, 0xd4a7e735, 0x1f42fe0e, 0xd4b7c73f,
      0x1f43058e, 0xc4a8c71e, 0x1f42fa0e, 0x14b466eb, 0x1f42fc0f],
     [0x00005494, 0x00000000, 0xdca726e1, 0x1f430b0e, 0xd0a626fd,
      0x1f42fcce, 0x90a8271c, 0x1f43088e, 0x00000000, 0x00000000],
     [0x00018a45, 0x00000000, 0x84ab65aa, 0x1cf2fbd0, 0x84ab65aa,
      0x1cf2fbd0, 0x84ab65a9, 0x1cf2fbd0, 0x84ab65aa, 0x1cf2fbd0],
     [0x0000c8b8, 0x00000000, 0x849246c7, 0x1773020c, 0x849246c7,
      0x1773020c, 0xdc916700, 0x177303cb, 0xdc916700, 0x177303cb],
     [0x00005497, 0x00000000, 0x08a92711, 0x1f42fbcf, 0x00a8e719,
      0x1f43060f, 0xe4a7072f, 0x1f42f90e, 0x94ad2709, 0x1f4301ce],
     [0x0000c8ba, 0x00000000, 0xb493c68c, 0x1772fecc, 0xb493c68c,
      0x1772fecc, 0xd4922659, 0x1773024d, 0xd4922659, 0x1773024d],
     [0x00005499, 0x00000000, 0xdcaa46fe, 0x1f43108e, 0x00a8e6e6,
      0x1f430b8f, 0x00000000, 0x00000000, 0x94a8270c, 0x1f42f78e],
     [0x0000549a, 0x00000000, 0x00000000, 0x00000000, 0xb4ad4713,
      0x1f43018e, 0xc0aee748, 0x1f430f4e, 0x0ca7270e, 0x1f42fd4f],
     [0x0000549b, 0x00000000, 0xb4a8e707, 0x1f430d0e, 0xd0a7e6e5,
      0x1f42fe4e, 0xfca7a700, 0x1f43084e, 0xd4a8c715, 0x1f430a4e],
     [0x0000549c, 0x00000000, 0x0cb08734, 0x1f43040f, 0xa4b76724,
      0x1f42f64f, 0x24a76716, 0x1f42fd0f, 0xd0b42732, 0x1f42fcce],
     [0x0000549d, 0x00000000, 0xd0a8a723, 0x1f430e4e, 0x90aa071d,
      0x1f43010e, 0x00000000, 0x00000000, 0xf4a7e72e, 0x1f42f98e],
     [0x0000549e, 0x00000000, 0x4ca8a725, 0x1f43098f, 0x00000000,
      0x00000000, 0xa0b14720, 0x1f43058e, 0xc0ae4710, 0x1f42fa4e],
     [0x00018a4f, 0x00000000, 0xa0a9858f, 0x1cf2fcd0, 0x2caac58f,
      0x1cf2ff4f, 0xd0a9861b, 0x1cf2ff4d, 0xd0a9861b, 0x1cf2ff4d],
     [0x000054a0, 0x00000000, 0xc4a94713, 0x1f430e8e, 0xcca926e5,
      0x1f43030e, 0xd0aa06fc, 0x1f42f68e, 0xccab4721, 0x1f4309ce],
     [0x000054a1, 0x00000000, 0x90aa0708, 0x1f43000e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xecab6727, 0x1f42f94e],
     [0x000054a2, 0x00000000, 0xb8b0e73c, 0x1f42ff0e, 0xe0ab0719,
      0x1f43008e, 0xe4a9e73b, 0x1f42f64e, 0x00aa670c, 0x1f4304cf],
     [0x00018a53, 0x00000000, 0x3075a67e, 0x0ffaff4d, 0x3075a67e,
      0x0ffaff4d, 0x10ad859f, 0x1cf2f793, 0x3075a67e, 0x0ffb258d],
     [0x000054a4, 0x00000000, 0xe0a6a72f, 0x1f43034e, 0xf8a6e725,
      0x1f43038e, 0x44b7c716, 0x1f42f5cf, 0x74ab473d, 0x1f42fc0e],
     [0x000054a5, 0x00000000, 0x04b6871c, 0x1f42f84f, 0x00000000,
      0x00000000, 0xbcaa673a, 0x1f43064e, 0xc0aac73c, 0x1f43038e],
     [0x000054a6, 0x00000000, 0xe8ade726, 0x1f42f94e, 0xc8aac73d,
      0x1f42f8ce, 0x00000000, 0x00000000, 0x70a5071b, 0x1f42ff4f],
     [0x00018a57, 0x00000000, 0x3076e67e, 0x0ffafd0d, 0x3076e67e,
      0x0ffafd0d, 0x88ab65a8, 0x1cf2fbd0, 0x88ab65a8, 0x1cf2fbd0],
     [0x0000c8ca, 0x00000000, 0x00000000, 0x00000000, 0x9c7066c4,
      0x0deaff4c, 0x9c6d86c4, 0x0deaf98c, 0x00000000, 0x00000000],
     [0x000054a9, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xbcaca72b, 0x1f42ff8e, 0x00000000, 0x00000000],
     [0x0001899a, 0x00000000, 0x00000000, 0x00000000, 0xac69a6b2,
      0x0c32f94d, 0xac7e46b2, 0x1182fa8d, 0xac98a732, 0x1a42f80d],
     [0x00018a5b, 0x00000000, 0x80ab6603, 0x1cf2fbd1, 0x1cab656a,
      0x1cf2fbcf, 0x308d267e, 0x156afc4d, 0x308d267e, 0x156afc4d],
     [0x000054ac, 0x00000000, 0x00000000, 0x00000000, 0xacb266f2,
      0x1f42fb8f, 0x84b106f8, 0x1f4305cf, 0x00ac272b, 0x1f43174f],
     [0x00000741, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xa07ca596, 0x106afa4f],
     [0x00000742, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x80774596, 0x106b024f, 0xa07ba596, 0x106af9cf],
     [0x00018a5f, 0x00000000, 0x8ca165e7, 0x1cf30fcf, 0x8ca165e7,
      0x1cf30fcf, 0x7489862d, 0x156b030e, 0x7489862d, 0x156b030e],
     [0x00018a60, 0x00000000, 0xac7e269f, 0x1293034c, 0xd87f65cf,
      0x11aaf98f, 0xb46fa61e, 0x0fbb098e, 0x4c7a26b7, 0x12a3090c],
     [0x000054b1, 0x00000000, 0x00000000, 0x00000000, 0x28b2c72e,
      0x1f42ffcf, 0x00000000, 0x00000000, 0x94a3a72a, 0x1f43114e],
     [0x00018a62, 0x00000000, 0x487006b7, 0x0ffb120c, 0x4c6a86b7,
      0x0ffb070c, 0x4c71e6b7, 0x0ffb15cc, 0x4c7666b7, 0x0eab1d0c],
     [0x000054b3, 0x00000000, 0x00000000, 0x00000000, 0x44ae0721,
      0x1f42fd8f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00018a64, 0x00000000, 0x4c61a6b7, 0x0eaaf38c, 0x4c6b26b7,
      0x0c83004c, 0x4c6b26b7, 0x0c83004c, 0x64886671, 0x156af68d],
     [0x000054b5, 0x00000000, 0x00000000, 0x00000000, 0x14b0872c,
      0x1f43070f, 0x70abe706, 0x1f4308cf, 0x4cab2703, 0x1f43004f],
     [0x000054b6, 0x00000000, 0x34b0072a, 0x1f42f70f, 0xe4b6e72f,
      0x1f42face, 0x00000000, 0x00000000, 0xc4b226ff, 0x1f43024e],
     [0x000054b7, 0x00000000, 0x00000000, 0x00000000, 0x88b9073c,
      0x1f42f80e, 0x60b1e73f, 0x1f43064e, 0x8cb7a749, 0x1f42ffce],
     [0x000054b8, 0x00000000, 0x0cb24710, 0x1f43008f, 0x00000000,
      0x00000000, 0x84b4672d, 0x1f42ffce, 0x2cb1072e, 0x1f42facf],
     [0x000054b9, 0x00000000, 0x54aca736, 0x1f43048f, 0x00000000,
      0x00000000, 0xbcb1871a, 0x1f42fcce, 0x78b4471e, 0x1f42fc8f],
     [0x000189a2, 0x00000000, 0xf8aca697, 0x2043140e, 0xf8aca697,
      0x2043140e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00018a6b, 0x00000000, 0xb893861a, 0x1612f68e, 0xb892861a,
      0x1612f48e, 0xb893861a, 0x1612f68e, 0xb892861a, 0x1622f48e],
     [0x000054bc, 0x00000000, 0x0cb566f3, 0x1f42f5d0, 0x68b2c732,
      0x1f4301cf, 0xb0b5c72b, 0x1f42f98e, 0x60af272b, 0x1f42fd8f],
     [0x00018a6d, 0x00000000, 0x64978728, 0x17d2fa8e, 0xc4ad4657,
      0x1c72f40d, 0xc4a18657, 0x1a52fa8d, 0xc4a18657, 0x1a52fa8d],
     [0x000054be, 0x00000000, 0xb8b4272a, 0x1f42f88e, 0x5ca58707,
      0x1f431a4f, 0xe4a8472a, 0x1f43128e, 0xf8a3671d, 0x1f431f4e],
     [0x00018a6f, 0x00000000, 0xc4a18657, 0x1a52fa8d, 0xd4a1875a,
      0x1a52fa8c, 0xc4a18657, 0x1a52fa8d, 0xc4a18657, 0x1a52fa8d],
     [0x0000b800, 0x00000000, 0x3cae664a, 0x2503bd4f, 0x44d5e683,
      0x2503bd50, 0xa0cfc7e6, 0x2542f58f, 0x00000000, 0x00000000],
     [0x0000b801, 0x00000000, 0x8cab65aa, 0x1cf2fbd0, 0x84ab65fa,
      0x1cf2fbd0, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000b802, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x7c8e2602, 0x156afa10, 0x0c8e2607, 0x156afa0f],
     [0x0000b803, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x508cc736, 0x156afd0a, 0x0c8c26c2, 0x156afc0c],
     [0x0000b804, 0x00000000, 0x0c8c26c2, 0x156afc0c, 0x508cc736,
      0x156afd4a, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000b805, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xc48bc71a, 0x156afb4a, 0x00000000, 0x00000000],
     [0x0000b806, 0x00000000, 0xc48d871a, 0x156afeca, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000b807, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xe88e4647, 0x156afa0d, 0x00000000, 0x00000000],
     [0x0000b808, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xac8e269f, 0x156afa0c],
     [0x0000b809, 0x00000000, 0x00000000, 0x00000000, 0xf08e26bc,
      0x156afa0b, 0x308b067e, 0x156af9cd, 0x308e467e, 0x156b004d],
     [0x0000b80a, 0x00000000, 0x34b0067f, 0x1d2af44d, 0x30b0067e,
      0x1d2af44d, 0x30d2867e, 0x26c2f8cd, 0x30d4267e, 0x26c2fc0d],
     [0x0000b80b, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x3091467e, 0x156af3cd],
     [0x000054cc, 0x00000000, 0x14aca6f7, 0x1f4316cf, 0xacae4729,
      0x1f43124e, 0x00000000, 0x00000000, 0x14ad46f7, 0x1f430a8f],
     [0x0000b80d, 0x00000000, 0x00000000, 0x00000000, 0x18734642,
      0x0f32fe0e, 0x00000000, 0x00000000, 0x308e267e, 0x156afa0d],
     [0x0000b80e, 0x00000000, 0xac93c69a, 0x16e2fa8c, 0x308e067e,
      0x156af9cd, 0x30802713, 0x0ebaf80d, 0x308ca6c8, 0x156afd0d],
     [0x0000b80f, 0x00000000, 0x308ca67e, 0x156afd0d, 0x18734642,
      0x0f32fe0e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000b810, 0x00000000, 0x108e2587, 0x156afa11, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xc48ca71a, 0x156afd0a],
     [0x0000b811, 0x00000000, 0xc48ca71a, 0x156afd0a, 0xc48ca71a,
      0x156afd0a, 0xc48ca71a, 0x156afd0a, 0x00000000, 0x00000000],
     [0x0000b812, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xd88ca6d1, 0x156afd0b],
     [0x0000b813, 0x00000000, 0x4c8ca735, 0x156afd0a, 0x548e25fe,
      0x156afa0f, 0x4c8ca735, 0x156afd0a, 0xd88ca6d1, 0x156afd0b],
     [0x0000b814, 0x00000000, 0x308c067e, 0x156afe4d, 0x308c067e,
      0x156afe4d, 0xc48e2619, 0x156afa0e, 0xa08a05aa, 0x13c2f48f],
     [0x00018a85, 0x00000000, 0xa0948720, 0x13a2f60a, 0xa08e6720,
      0x0f9af60a, 0xa08e6720, 0x108af60a, 0xa0a4c720, 0x1712f60a],
     [0x0000b816, 0x00000000, 0x00000000, 0x00000000, 0x208e26c2,
      0x156afa0c, 0x208e26c2, 0x156afa0c, 0x188e2619, 0x156afa10],
     [0x0000b817, 0x00000000, 0x548e25fe, 0x156afa0f, 0x787505b3,
      0x0e22f20f, 0x2c7146a2, 0x000305d8, 0x00000000, 0x00000000],
     [0x0000b818, 0x00000000, 0x00000000, 0x00000000, 0x8866c35b,
      0x0002f0c9, 0x0866c35b, 0x0002f0c8, 0x907b26c6, 0x00030597],
     [0x00018a89, 0x00000000, 0xfc8e06a8, 0x156afa0e, 0xf48e060b,
      0x156afa0b, 0x888e060b, 0x156afa0c, 0x5892a60b, 0x156af84c],
     [0x0000b81a, 0x00000000, 0x247b6693, 0x1062f04b, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x18734642, 0x0f32fe0e],
     [0x0000b81b, 0x00000000, 0x18734642, 0x0f32fe0e, 0x2c8ca6f9,
      0x156afd0d, 0x2c8ca6f9, 0x156afd0d, 0x9c8ca6f9, 0x156afd0d],
     [0x0000b81c, 0x00000000, 0x9c8ca6f9, 0x156afd0d, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00000771, 0x00000000, 0x9075264b, 0x106b0596, 0x9074464b,
      0x106b03d6, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000054de, 0x00000000, 0x4cafe728, 0x1f42ff8e, 0x5caf6705,
      0x1f42fb0e, 0x30b2670e, 0x1f43138f, 0x7caf0712, 0x1f42f34e],
     [0x0000b81f, 0x00000000, 0xb08e26de, 0x156afa0b, 0xb08e26de,
      0x156afa0b, 0x148c26c4, 0x156afc0c, 0x148c26c4, 0x156afc0c],
     [0x0000b820, 0x00000000, 0xc48c471a, 0x156afc4a, 0xc48c471a,
      0x156afc4a, 0x0c8c26c2, 0x156afc0c, 0x0c8c26c2, 0x156afc0c],
     [0x00018a91, 0x00000000, 0x24860600, 0x1362fa0f, 0x24860600,
      0x1362fa0f, 0x4886077a, 0x1362fa09, 0x4886077a, 0x1362fa09],
     [0x0000b822, 0x00000000, 0xc48c271a, 0x156afc0a, 0xc48c071a,
      0x156afbca, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00018a93, 0x00000000, 0x248ac642, 0x1362f08f, 0x1c8ac600,
      0x1362f08e, 0x24860600, 0x1362fa0f, 0x24860600, 0x1362fa0f],
     [0x0000b824, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x008ce6b7, 0x156afd8b, 0x008cc6b7, 0x156afd4b],
     [0x0000b825, 0x00000000, 0xe08ce6b7, 0x156afd8b, 0xe08cc6b7,
      0x156afd4b, 0xc48c071a, 0x156afbca, 0xc48d471a, 0x156afe4a],
     [0x0000b826, 0x00000000, 0xac91469a, 0x156af3cc, 0xc487e61f,
      0x1322f44c, 0x4c94c6b7, 0x1622f28c, 0x4c94c6b7, 0x1622f28c],
     [0x000054e7, 0x00000000, 0x94b06708, 0x1f43040f, 0xfcb34711,
      0x1f42f98e, 0x80b206f8, 0x1f42f98e, 0x00a9671d, 0x1f42fa8f],
     [0x0000b828, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x3881e5b4, 0x118af40c, 0x00000000, 0x00000000],
     [0x000054e9, 0x00000000, 0x28b5a6f9, 0x1f42f88f, 0x90b446f1,
      0x1f42f78f, 0xf4b1870b, 0x1f42fa8e, 0xc4aa6700, 0x1f42fe4e],
     [0x0000b82a, 0x00000000, 0x306ce67e, 0x0f830a8d, 0x3c8be5d9,
      0x143afa52, 0x8869c6a6, 0x0bc2f597, 0x306ce67e, 0x0f830a8d],
     [0x0000b82b, 0x00000000, 0x887586a6, 0x0eb2f597, 0x307ea67e,
      0x13f2f6cd, 0xa069a67e, 0x0d3afbcf, 0xa069a67e, 0x0d3afbcf],
     [0x0000b82c, 0x00000000, 0xec7086c7, 0x00030717, 0xa86403b6,
      0x0002ee0b, 0xa86403b6, 0x0002ee0b, 0x3877a693, 0x10eaf60c],
     [0x0000b82d, 0x00000000, 0x105ec614, 0x09cafbd3, 0x105ec614,
      0x09cafbd3, 0x844e05a9, 0x0002f590, 0x7c58e52c, 0x08caff92],
     [0x000054ee, 0x00000000, 0x00000000, 0x00000000, 0xe4b40729,
      0x1f430e4e, 0x00000000, 0x00000000, 0x70b2e71c, 0x1f42ff8f],
     [0x00018a9f, 0x00000000, 0x388ea70e, 0x156b010f, 0x7c8c2659,
      0x156afc0d, 0x7c8c2659, 0x156afc0d, 0x7c8ca659, 0x156afd0d],
     [0x0000b830, 0x00000000, 0xf087c72c, 0x13e2fa8b, 0xf087c72c,
      0x13e2fa8b, 0xf087c72c, 0x13e2fa8b, 0x8096056a, 0x1772fa91],
     [0x0000b831, 0x00000000, 0x109605c6, 0x1772fa90, 0x109605c6,
      0x1772fa90, 0x10960506, 0x1772fa93, 0x8096057a, 0x1772fa91],
     [0x0000b832, 0x00000000, 0x80b5456a, 0x1f42fa91, 0x10b545c6,
      0x1f42fa90, 0x08b54608, 0x1f42fa8f, 0x8096056a, 0x1772fa91],
     [0x0000b833, 0x00000000, 0x109605c6, 0x1772fa90, 0x08960608,
      0x1772fa8f, 0xf087c72c, 0x13e2fa8b, 0xf087c72c, 0x13e2fa8b],
     [0x0000b834, 0x00000000, 0xf087c72c, 0x13e2fa8b, 0xf087c72c,
      0x13e2fa8b, 0xb8a7e69c, 0x1cf302cc, 0xa4af4661, 0x1cf2f40d],
     [0x0000b835, 0x00000000, 0xa4af4661, 0x1cf2f40d, 0x10b54506,
      0x1f42fa93, 0x8096056a, 0x1772fa91, 0x6497862f, 0x17d2fa8e],
     [0x0000b836, 0x00000000, 0xa0696630, 0x0c82fc4f, 0xa0576681,
      0x07fafc0f, 0xa0680681, 0x0c22fc0f, 0x00edc64a, 0x2e03038e],
     [0x0000b837, 0x00000000, 0x00c4254a, 0x2372fe52, 0xa076278d,
      0x1023004f, 0xa075678d, 0x0fa2fc4f, 0xa095e6da, 0x1853050f],
     [0x0000b838, 0x00000000, 0xa0760780, 0x0fa2f80f, 0xa06646dd,
      0x0c2b024f, 0xa07426da, 0x0fa2fd0f, 0x88a36666, 0x1a52f6cd],
     [0x0000b839, 0x00000000, 0x00000000, 0x00000000, 0xac76c69a,
      0x105b000c, 0xac76c69a, 0x105b000c, 0xa49aa713, 0x1822f6cd],
     [0x0000b83a, 0x00000000, 0x38be45fc, 0x21aafbcf, 0xfc8e060b,
      0x156afa0e, 0x28aaa67d, 0x1c72f94d, 0xb892661f, 0x1662f94e],
     [0x0000b83b, 0x00000000, 0x808e2746, 0x156afa11, 0xc066671b,
      0x0ffb1e0a, 0x30a7a6d7, 0x1cf3034d, 0xfc8e260b, 0x1572fa4e],
     [0x0000b83c, 0x00000000, 0x00000000, 0x00000000, 0xa069442a,
      0x0c32fa0f, 0x2cbfa790, 0x211af78d, 0x30aa467e, 0x211b1f0d],
     [0x0000b83d, 0x00000000, 0x0098469e, 0x182afbcd, 0x58ab8688,
      0x1cf2fbcd, 0xd8ad46d3, 0x1c6af3cd, 0x08b346bf, 0x1de2f38e],
     [0x0000b83e, 0x00000000, 0x3c6885c2, 0x0fa316ce, 0xa0936690,
      0x17fb040f, 0x3c5be5c2, 0x094afd8e, 0xa10e4690, 0x36b3040f],
     [0x0000b83f, 0x00000000, 0xa0fea690, 0x32cb040f, 0xa0fea690,
      0x32cb040f, 0xa0fea690, 0x32cb040f, 0xa0fea690, 0x32cb040f],
     [0x0000b840, 0x00000000, 0xa1318690, 0x3f83040f, 0xa0fea690,
      0x32cb040f, 0xa0fc8690, 0x3243040f, 0xa1528690, 0x47c3040f],
     [0x0000b841, 0x00000000, 0x94530581, 0x0322de13, 0xa1318690,
      0x3f83040f, 0xa1318690, 0x3f83040f, 0xa0fea690, 0x32cb040f],
     [0x0000b842, 0x00000000, 0xa0fea690, 0x32cb040f, 0x446246f5,
      0x0a3af08b, 0x4454c6f5, 0x07d2f84b, 0x00000000, 0x00000000],
     [0x0000b843, 0x00000000, 0x8867c568, 0x0c82ff51, 0x8867c568,
      0x0c82ff51, 0x3477e57d, 0x14631e51, 0x8065e56a, 0x09daee11],
     [0x0000b844, 0x00000000, 0x10808598, 0x14630d10, 0x10808598,
      0x14630d10, 0x30ab867e, 0x1cf2fbcd, 0x30ab867e, 0x1cf2fbcd],
     [0x0000b845, 0x00000000, 0x30ab667e, 0x1cf2fb8d, 0x30ab667e,
      0x1cf2fb8d, 0x4c62a4be, 0x0ffb25d1, 0x10538506, 0x072afd53],
     [0x0000b846, 0x00000000, 0xb85864f7, 0x08aaff91, 0xb85864f7,
      0x08aaff91, 0x3076e67e, 0x0ffafccd, 0x3076e67e, 0x0ffafccd],
     [0x0000b847, 0x00000000, 0x30ab867e, 0x1cf2fb8d, 0x30ab867e,
      0x1cf2fb8d, 0x30ab867e, 0x1cf2fb8d, 0x30ab867e, 0x1cf2fb8d],
     [0x0000b848, 0x00000000, 0x18632583, 0x0ffb2511, 0x0465c50a,
      0x09baed53, 0x8c65a566, 0x0b7afb91, 0x9065a567, 0x0b7afb91],
     [0x0000b849, 0x00000000, 0x3076e67e, 0x0ffafccd, 0x3076e67e,
      0x0ffafccd, 0x84ab85a9, 0x1cf2fb90, 0x84ab85a9, 0x1cf2fb90],
     [0x0000b84a, 0x00000000, 0x34ab867e, 0x1cf2fb8d, 0x30ab867e,
      0x1cf2fbcd, 0x30ab667e, 0x1cf2fb8d, 0x30ab867d, 0x1cf2fb8d],
     [0x0000079f, 0x00000000, 0x807dc709, 0x106af28f, 0x907d0671,
      0x106af40f, 0x287dc64b, 0x106af28d, 0x387d0597, 0x106af40d],
     [0x0000b84c, 0x00000000, 0xb865255d, 0x0bdaff91, 0xb865255d,
      0x0bdaff91, 0xb865255d, 0x0bdaff91, 0xb865255d, 0x0bdaff91],
     [0x00009104, 0x00000000, 0xe09b669b, 0x1852f6cc, 0xa098068c,
      0x1692f48f, 0x547ea69c, 0x1162f6cf, 0xa08e068c, 0x14daf5cf],
     [0x00009105, 0x00000000, 0x5496268c, 0x1692f20f, 0x5896268c,
      0x1692f20f, 0x64b9268c, 0x1f42f2cf, 0xa095e68c, 0x1692f20f],
     [0x000007a3, 0x00000000, 0xa07c86ec, 0x106af4cf, 0xa07c8635,
      0x106af4cf, 0xa07da6ec, 0x106af2cf, 0x107d0634, 0x106af48c],
     [0x00009107, 0x00000000, 0x687445c1, 0x0de2f44f, 0x6881468c,
      0x1162f44f, 0x6873e5c1, 0x0de2f44f, 0xa06f269b, 0x0a6af18f],
     [0x00009108, 0x00000000, 0x687ae5c0, 0x0fa2f50c, 0xa081468c,
      0x1162f1cf, 0xa05e869b, 0x08b2f1cf, 0x745f669b, 0x0a6adfcc],
     [0x00009109, 0x00000000, 0xa082668c, 0x1162f38f, 0xa05e868c,
      0x08b2f1cf, 0xa0a445c1, 0x1a0af1cf, 0xa081e5c1, 0x1162f34f],
     [0x0000910a, 0x00000000, 0x687a05c1, 0x0fa2f44f, 0x6c8005c1,
      0x1162f2cc, 0x6c8185c1, 0x1162f68c, 0xa074c5c1, 0x0de2f50f],
     [0x0000910b, 0x00000000, 0x686ba5c1, 0x0c2af44f, 0x7068065e,
      0x0a6af2cf, 0x6881c5b5, 0x1162f20f, 0x687b25b5, 0x0fa2f34f],
     [0x0000910c, 0x00000000, 0x6896e5b5, 0x1692f3cf, 0xa07b05b5,
      0x0fa2f10f, 0x6c7ac5b5, 0x0fa2f20c, 0xa07305b5, 0x0de2f34f],
     [0x0000910d, 0x00000000, 0xa0942683, 0x166af6cf, 0xa0944675,
      0x15c2f78f, 0x7097667b, 0x14fafa8f, 0xa09e2675, 0x18b2f78f],
     [0x0000910e, 0x00000000, 0xa09a4675, 0x1652f78f, 0xa098e675,
      0x1352f78f, 0x709a4684, 0x16f2fa8f, 0xa0b1e675, 0x1b4af78f],
     [0x0000910f, 0x00000000, 0xa080c675, 0x0f02f78f, 0x708c0675,
      0x10e2fd0f, 0xa0a2c675, 0x17d2f78f, 0xa0920675, 0x1622f78f],
     [0x00009110, 0x00000000, 0xa0c26675, 0x1f6af78f, 0xa0af2675,
      0x1a9af78f, 0x74978685, 0x16e2fa8f, 0xa0968675, 0x1292f78f],
     [0x000007ae, 0x00000000, 0x3c7d464b, 0x106af48d, 0x4078a59f,
      0x106afbcd, 0xa07d4773, 0x106af48f, 0x887886bf, 0x106afbcf],
     [0x00009112, 0x00000000, 0x6c9f6675, 0x160afe4f, 0x609d8675,
      0x11fafd0f, 0x60c82675, 0x1ca2fd0f, 0xa0a3c675, 0x18b2f44f],
     [0x00009113, 0x00000000, 0xa0956675, 0x10baf6cf, 0xa0a2c675,
      0x1822fd0f, 0x787985a1, 0x0fb2f80f, 0x7476c684, 0x0eb2f94f],
     [0x00009114, 0x00000000, 0x747085a1, 0x0cfaf80f, 0x70806684,
      0x10a2f80f, 0x7471c5a1, 0x0deaf80f, 0xb48b6684, 0x115af80c],
     [0x00009115, 0x00000000, 0xb47c05a1, 0x0f62f30c, 0x00000000,
      0x00000000, 0x745ea650, 0x09bafa8f, 0xb46d0650, 0x0c2aea0c],
     [0x00009116, 0x00000000, 0x74806684, 0x10f2f94f, 0x78614684,
      0x09f2f94f, 0x809385a1, 0x1632f58f, 0x8078e5a1, 0x0f8af58f],
     [0x00009117, 0x00000000, 0x747545a1, 0x0e52f80f, 0xc479c5a1,
      0x0f4ae68c, 0xc47865a1, 0x0e52f80c, 0xa06fa5a1, 0x0cc2f58f],
     [0x0000b861, 0x00000000, 0x6894068c, 0x1652f58f, 0xa06b067e,
      0x0c8af94f, 0xa08d467e, 0x13d3008f, 0xa08de68a, 0x14d2f5cf],
     [0x0000b862, 0x00000000, 0xa09e867e, 0x1a5b00cf, 0x6889a67e,
      0x151b008f, 0xa08b667e, 0x141af50f, 0x6894068c, 0x1652f58f],
     [0x000007b7, 0x00000000, 0x747c6732, 0x106afc0f, 0x8c78e67d,
      0x106afc0f, 0x747c6773, 0x106afc0f, 0x8c78e6bf, 0x106afc0f],
     [0x0000b864, 0x00000000, 0xa088a67e, 0x1302f1cf, 0xa091c68c,
      0x1592f40f, 0xa095267e, 0x1662f3cf, 0xa092267e, 0x15e2f5cf],
     [0x000007b9, 0x00000000, 0x407f864b, 0x106aeecd, 0x407e8597,
      0x106af10d, 0x747f8773, 0x106aef0f, 0x887e86bf, 0x106af10f],
     [0x0000911d, 0x00000000, 0xa0c46685, 0x1fc2f88f, 0xa0b20685,
      0x1b2af88f, 0x609ce695, 0x184afbcf, 0xa09a2685, 0x1322f88f],
     [0x0000b867, 0x00000000, 0x4475e5b7, 0x0f72f84c, 0x7873a693,
      0x0df2f34f, 0x786025b8, 0x0872fc4f, 0xa07985b8, 0x0ec3028f],
     [0x0000911f, 0x00000000, 0x78a3c685, 0x16eb000f, 0x64a22685,
      0x128afe8f, 0x5ccba685, 0x1ceafe8f, 0xa0a64685, 0x1942f50f],
     [0x0000b869, 0x00000000, 0x787965b7, 0x0f9af50f, 0x787b65ad,
      0x0fdaefcf, 0x407945b6, 0x0f92fa0c, 0x507245b7, 0x0d02f64c],
     [0x000007be, 0x00000000, 0xa07da729, 0x106af2cf, 0x107d0674,
      0x106af48c, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000c94d, 0x00000000, 0xcc986776, 0x1622eb53, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000b86c, 0x00000000, 0x707be693, 0x0f4af88f, 0x4088c694,
      0x1372f50c, 0x407865b7, 0x0f5af50c, 0x789ae5ad, 0x17d2efcf],
     [0x00009124, 0x00000000, 0x7881e5b6, 0x118af90f, 0x6c83c5bd,
      0x11dae5cc, 0x6c8105b6, 0x1072f90c, 0xa07385bb, 0x0dcaf64f],
     [0x0000552e, 0x00000000, 0x6cb4c726, 0x1f43034e, 0x00000000,
      0x00000000, 0x60b3c6b3, 0x1f430210, 0xbcb8a704, 0x1f42f68e],
     [0x00009126, 0x00000000, 0x68a265c1, 0x1972fb0f, 0x808265b6,
      0x125af64f, 0x6c7fc5b6, 0x103af6cc, 0x547ce5b5, 0x109af6cf],
     [0x00009127, 0x00000000, 0x64a8468a, 0x1abaf5cf, 0x00000000,
      0x00000000, 0x64a02697, 0x18eaf74f, 0x64a4c697, 0x1baaf70f],
     [0x000007c5, 0x00000000, 0x747a8667, 0x106af8cf, 0x747a8667,
      0x106af8cf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00009129, 0x00000000, 0x00000000, 0x00000000, 0xdca1868a,
      0x1912f04c, 0x64bc0697, 0x1f8af80f, 0x00000000, 0x00000000],
     [0x0000912a, 0x00000000, 0x00000000, 0x00000000, 0x64b60697,
      0x1e52f78f, 0x64916690, 0x15a3028f, 0x64ad4697, 0x1c72f78f],
     [0x0000912b, 0x00000000, 0x08916690, 0x15a3028f, 0x00000000,
      0x00000000, 0x64962690, 0x173afecf, 0x64afe697, 0x1c82f8cf],
     [0x0000912c, 0x00000000, 0x64a32697, 0x1a52f70f, 0x64b1c697,
      0x1d22f6cf, 0x64c44697, 0x21b2f6cf, 0x64aba697, 0x1bdaf70f],
     [0x0000912d, 0x00000000, 0x18b10697, 0x1cf304cc, 0x64b08697,
      0x1d22fccf, 0x749d45a1, 0x199af58f, 0x70846697, 0x1222f9cf],
     [0x0000912e, 0x00000000, 0x748825a1, 0x14b2f58f, 0x74a5e697,
      0x1a6af58f, 0x00000000, 0x00000000, 0x5c92a697, 0x156af4cc],
     [0x0000c95a, 0x00000000, 0xcc986776, 0x1622eb53, 0x58986776,
      0x1622eb52, 0xe4986776, 0x1622eb4a, 0xe4986776, 0x1622eb4a],
     [0x0000c95b, 0x00000000, 0xe4986776, 0x1622eb4a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00009131, 0x00000000, 0x00000000, 0x00000000, 0x5c9545a1,
      0x182af3cc, 0x5c9b65a1, 0x1862f58c, 0xa08605a4, 0x1222fa0f],
     [0x00009132, 0x00000000, 0x747205fb, 0x101afd8f, 0x7481067a,
      0x113af58f, 0x74952590, 0x178af58f, 0x748745a1, 0x1352f58f],
     [0x000007d0, 0x00000000, 0x8c7ae667, 0x106af84f, 0x8c7ae667,
      0x106af84f, 0x8c7ae667, 0x106af84f, 0x8c7ae667, 0x106af84f],
     [0x00009134, 0x00000000, 0x4cb5e6a3, 0x1ec2fa8f, 0x4cb9a6a3,
      0x2122fbcf, 0x4cac26a3, 0x1c82fd0f, 0x4cafc6a3, 0x1efafd0f],
     [0x00009135, 0x00000000, 0x4ca166a3, 0x19d305cf, 0x4cbea6a3,
      0x2092fe4f, 0x4ca266a3, 0x1a13028f, 0x4ccec6a3, 0x249afe4f],
     [0x00009136, 0x00000000, 0x4cb8a6a3, 0x1f2af9cf, 0x20ad46a3,
      0x1c52f2cc, 0x4ccbc6a3, 0x2412f94f, 0x4cbd66a3, 0x2062f80f],
     [0x00009137, 0x00000000, 0x4cda26a3, 0x28a2fd0f, 0x4cc546a3,
      0x223afd0f, 0x4c9c26a3, 0x194b000f, 0x4cbac6a3, 0x200afbcf],
     [0x000007d5, 0x00000000, 0x8c7a8667, 0x106af8cf, 0x8c7a8667,
      0x106af8cf, 0x8c7a869e, 0x106af8cf, 0x8c7a869e, 0x106af8cf],
     [0x00005542, 0x00000000, 0x58b566e6, 0x1f42fc0f, 0x04b3c71f,
      0x1f43014f, 0x70b72707, 0x1f43000f, 0xd8b8a70b, 0x1f42fe0e],
     [0x0000913a, 0x00000000, 0x20b6e6a3, 0x1eeafd0c, 0x4cb886a3,
      0x1f22fa8f, 0x68aaa5b6, 0x1d72f6cf, 0x688c86a3, 0x1432fd0f],
     [0x0000913b, 0x00000000, 0x6893e5b6, 0x17e2f6cf, 0x68b086a3,
      0x1daaf50f, 0x688f85b6, 0x16b2f6cf, 0x6c9c26a3, 0x1802f44c],
     [0x0000913c, 0x00000000, 0x209ee5b6, 0x199af4cc, 0x689d46a3,
      0x1a32fbcf, 0x688146a2, 0x1172f80f, 0x24a566a2, 0x1a42f84c],
     [0x0000913d, 0x00000000, 0x6899c6a3, 0x1952fbcf, 0x688d86a3,
      0x1452f8cf, 0x68c2a5b6, 0x238af94f, 0x689ee5b6, 0x1a9af94f],
     [0x0000913e, 0x00000000, 0x68a005b6, 0x1a82f6cf, 0x6c9ec5b6,
      0x1baaf44c, 0x6ca6a5b6, 0x1c8af6cc, 0xa08f85b6, 0x152af80f],
     [0x0000913f, 0x00000000, 0x6876a615, 0x1192facf, 0x688b0685,
      0x1352f9cf, 0x689dc5aa, 0x1a52f5cf, 0x689245b2, 0x16e2f80f],
     [0x00009140, 0x00000000, 0x68b545b2, 0x1fa2f80f, 0x689b05b6,
      0x19a2fdcf, 0x209765aa, 0x1882f80c, 0x689645d5, 0x1872fd4f],
     [0x0000c96c, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xa4c94713, 0x23caf6cd],
     [0x0000c96d, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x30bc86ff, 0x209aff8b],
     [0x0000554c, 0x00000000, 0x34ac46e8, 0x1f42f84f, 0x70ad86f3,
      0x1f4303cf, 0x58b086d9, 0x1f43044f, 0x8cb3c70e, 0x1f43004f],
     [0x00009144, 0x00000000, 0x48bf669f, 0x21dafa8f, 0x489f669f,
      0x19dafa8f, 0x40a0c69f, 0x1a2af74f, 0x709f269f, 0x19baf80c],
     [0x00009145, 0x00000000, 0xa0a4469f, 0x1b0af74e, 0x00000000,
      0x00000000, 0x40a2a69f, 0x1ac2fbcf, 0x4098c69f, 0x17f2f9cf],
     [0x00009146, 0x00000000, 0x489b86a0, 0x189afa8f, 0x40a0269f,
      0x19fafa0f, 0x40bea69f, 0x219afa0f, 0x249a669f, 0x17daf98f],
     [0x00009147, 0x00000000, 0x7097c69f, 0x17f2f9cc, 0x00000000,
      0x00000000, 0x587a65bc, 0x1092facf, 0x5878469f, 0x100af98f],
     [0x000007e5, 0x00000000, 0xfc7ac667, 0x106af2cb, 0xfc7ac667,
      0x106af2cb, 0xfc7ac69e, 0x106af2cb, 0xfc7ac69e, 0x106af2cb],
     [0x00005552, 0x00000000, 0x5cac6722, 0x1f43084e, 0x08b64703,
      0x1f42fb8f, 0x58b8c6ed, 0x1f43014f, 0xecb5c6f9, 0x1f43084e],
     [0x00005553, 0x00000000, 0xb4b286ff, 0x1f42ffcf, 0x84b00726,
      0x1f43020e, 0x18b3c6e1, 0x1f43028f, 0x1cab0720, 0x1f4319cf],
     [0x0000914b, 0x00000000, 0x587705bc, 0x0fbafa8f, 0x5c7d8632,
      0x115af78c, 0x5c77e5bc, 0x0fdafacc, 0x5873c5bc, 0x0e7af78f],
     [0x000007e9, 0x00000000, 0xc07c0667, 0x106af60c, 0xc07c0667,
      0x106af60c, 0xc07c069e, 0x106af60c, 0xc07c069e, 0x106af60c],
     [0x000189f0, 0x00000000, 0xa08dc630, 0x156afa8f, 0xa4c94713,
      0x23caf6cd, 0xa08ea67e, 0x15aafb0f, 0x348ca5f9, 0x156afd0f],
     [0x00005557, 0x00000000, 0x28b746e1, 0x1f42ff10, 0xd4b6a715,
      0x1f42f7ce, 0x74b446cb, 0x1f4305d0, 0x18b36712, 0x1f42fe4f],
     [0x0000b898, 0x00000000, 0x00000000, 0x00000000, 0x787aa58e,
      0x105af84f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000b899, 0x00000000, 0x00000000, 0x00000000, 0xa071258d,
      0x105b0dcf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000b89a, 0x00000000, 0x00000000, 0x00000000, 0xa077658d,
      0x105aff0f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00009152, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x6889268c, 0x13e2f6cf, 0xa08c467e, 0x107af30f],
     [0x0000b89c, 0x00000000, 0x00000000, 0x00000000, 0x887a858c,
      0x105afc8c, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000555d, 0x00000000, 0x00000000, 0x00000000, 0x9cb76702,
      0x1f42f68f, 0x44b306fb, 0x1f42fe0f, 0xacb1a702, 0x1f42fd8e],
     [0x0000b89e, 0x00000000, 0x00000000, 0x00000000, 0x807b464c,
      0x105af74f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000b89f, 0x00000000, 0x00000000, 0x00000000, 0x887bc58d,
      0x105af44c, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000b8a0, 0x00000000, 0x00000000, 0x00000000, 0x707a2646,
      0x105af9cf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00009158, 0x00000000, 0x707e05b2, 0x114af94f, 0x3880a5b4,
      0x11f2fbcc, 0x387f65b4, 0x11f2f94c, 0xa07165b7, 0x096afbcf],
     [0x00009159, 0x00000000, 0x787ae5b4, 0x103af70f, 0x7863a661,
      0x0a4af30f, 0x787ba5aa, 0x1102fbcf, 0xa07a65aa, 0x0ddaf30f],
     [0x0000b8a3, 0x00000000, 0x2c7025c2, 0x0002fb53, 0x307806c6,
      0x00030597, 0x0c8e2656, 0x156afa0e, 0xa067446f, 0x0a2aedcf],
     [0x0000b8a4, 0x00000000, 0xa08dc46f, 0x13caedcf, 0x706747a3,
      0x0a2aeddc, 0xa0e7467e, 0x2b62f78f, 0x9117e6e3, 0x382afc8b],
     [0x000007f9, 0x00000000, 0x287a8667, 0x106af88c, 0x287a8667,
      0x106af88c, 0x8c7a8667, 0x106af8cf, 0x8c7a869e, 0x106af8cf],
     [0x000007fa, 0x00000000, 0xa07fe728, 0x106aedcf, 0xa07fe6c7,
      0x106aedcf, 0x00000000, 0x00000000, 0xa07de672, 0x106ade4f],
     [0x000007fb, 0x00000000, 0x00000000, 0x00000000, 0x046e064b,
      0x106b11d7, 0x046e064b, 0x106b1197, 0x0467264c, 0x106b2017],
     [0x00005568, 0x00000000, 0x00000000, 0x00000000, 0x7caf6735,
      0x1f43014e, 0x94af0700, 0x1f42ff0f, 0x08a88718, 0x1f430c8f],
     [0x00009160, 0x00000000, 0x3ca3a6a5, 0x1ae2fb8f, 0x54a286a5,
      0x1abafa8f, 0x54c3c6a5, 0x230afa8f, 0x3c9f66a5, 0x199afa8f],
     [0x00009161, 0x00000000, 0x6ca046a5, 0x1a2afa8c, 0x949666a5,
      0x179af90c, 0x4082a5c3, 0x12c2fbcf, 0x407d869f, 0x117af94f],
     [0x00009162, 0x00000000, 0x407205c3, 0x0e82fbcf, 0x3c7d469e,
      0x116afa0f, 0x4073e5c3, 0x0ee2fbcf, 0x486a86a4, 0x0b92f64c],
     [0x00009163, 0x00000000, 0x347dc5c3, 0x11b2fbcc, 0x347f069f,
      0x1202f94c, 0x406de6a1, 0x0d6af6cf, 0x3468a6a1, 0x0c2af80c],
     [0x00009164, 0x00000000, 0x4070c69f, 0x0e42fa0f, 0x406de69f,
      0x0d8af94f, 0x40b305c3, 0x1ec2f80f, 0x408f05c3, 0x15c2f80f],
     [0x00009165, 0x00000000, 0x407ce5c3, 0x1152f94f, 0x3487a639,
      0x1402f70c, 0x347fc5c3, 0x11f2fbcc, 0x407c25c3, 0x106af80f],
     [0x00009166, 0x00000000, 0x247da66b, 0x116afb0f, 0x446dc678,
      0x0db2f94f, 0x408d25c3, 0x154af6cf, 0x40804639, 0x11eafbcf],
     [0x00009167, 0x00000000, 0x40a1e639, 0x1a92fbcf, 0x5c7ba5c3,
      0x104afa8c, 0x34818639, 0x12a2fbcc, 0x347525c3, 0x0f22f70c],
     [0x00009168, 0x00000000, 0xa08de68a, 0x14d2f5cf, 0xa082e67e,
      0x12e3008f, 0x688e268c, 0x14faf4cf, 0xa090867e, 0x15a3008f],
     [0x00009169, 0x00000000, 0xa082067e, 0x123b008f, 0xa07fe67e,
      0x10bb008f, 0x688ce68c, 0x15baf4cf, 0xa087867e, 0x1493008f],
     [0x0000916a, 0x00000000, 0xa06b067e, 0x0c8af94f, 0x6864a67e,
      0x0c72f10f, 0xa08d467e, 0x13d3008f, 0xa082c67e, 0x117b008f],
     [0x0000916b, 0x00000000, 0xa09e867e, 0x1a5b00cf, 0x6889a67e,
      0x151b008f, 0x6894068c, 0x1652f58f, 0xa07e867e, 0x106b008f],
     [0x0000916c, 0x00000000, 0xe494e68c, 0x1662f58c, 0xa087267e,
      0x126b008f, 0x687aa68c, 0x10eaf60f, 0xa088a67e, 0x1302f1cf],
     [0x0000916d, 0x00000000, 0x6888867e, 0x14aaff4f, 0x748c667e,
      0x1472f5cf, 0x74ae067e, 0x1ccaf54f, 0xa092267e, 0x15e2f5cf],
     [0x0000916e, 0x00000000, 0xa08aa67e, 0x13b2f34f, 0xa089e67e,
      0x13eaf50f, 0x786f65b7, 0x0e02f6cf, 0x7878c694, 0x0f82fdcf],
     [0x0000916f, 0x00000000, 0x787485b7, 0x0e42f3cf, 0x74752694,
      0x0f72f50f, 0x787405b7, 0x0de2f3cf, 0xa06ca693, 0x0a82f30f],
     [0x00009170, 0x00000000, 0x4078e5b7, 0x0f82f34c, 0xa0738694,
      0x0f3afdcf, 0xa052068f, 0x06e2fe0f, 0x4055a68f, 0x07f2db8c],
     [0x00009171, 0x00000000, 0xa0770694, 0x0e2afdcf, 0xa0508694,
      0x066afd4f, 0xa094e5b8, 0x17a2fe4f, 0xa07385b8, 0x0f3afdcf],
     [0x00009172, 0x00000000, 0x787965b7, 0x0f9af50f, 0x407945b8,
      0x0f92fecc, 0x4074e5b8, 0x0f92f50c, 0xa06785b8, 0x0a82fdcf],
     [0x00009173, 0x00000000, 0x786a45b7, 0x0c2afa4f, 0x7862662c,
      0x091aee4f, 0x747445ad, 0x0f5afdcf, 0x6875e5ad, 0x0ed2f5cf],
     [0x00009174, 0x00000000, 0x6892e5ad, 0x15f2f50f, 0xa07705ad,
      0x0f12f58f, 0x407725ad, 0x0f22f50c, 0xa072a5ad, 0x0dfaf44f],
     [0x0001511d, 0x00000000, 0xa0c46685, 0x1fc2f88f, 0xa0b20685,
      0x1b2af88f, 0x609ce695, 0x184afbcf, 0xa09a2685, 0x1322f88f],
     [0x0001511e, 0x00000000, 0x389d0695, 0x1952fbcd, 0xa0a08685,
      0x190af88f, 0x78968695, 0x14fafbcf, 0xa0960685, 0x11c2f50f],
     [0x00009177, 0x00000000, 0xa06d668c, 0x0dc2fe4f, 0x2071468c,
      0x0f0af1ce, 0xa096e68c, 0x1643020f, 0xa087e68c, 0x12db020f],
     [0x00009178, 0x00000000, 0xa0a6a68c, 0x1c8b020f, 0x588f068c,
      0x16a3020f, 0x589b669c, 0x1852f6cf, 0xa085a68c, 0x122b020f],
     [0x00009179, 0x00000000, 0xe09cc69b, 0x185af6cc, 0xa090a68c,
      0x14f3020f, 0x547e669b, 0x1152f6cf, 0xa08ce68c, 0x140af18f],
     [0x0000b8c3, 0x00000000, 0x387546dc, 0x0a6ae80c, 0x00000000,
      0x00000000, 0x3c98e6dc, 0x16daf64c, 0x00000000, 0x00000000],
     [0x0000b8c4, 0x00000000, 0x389466dc, 0x15f2f1cc, 0x00000000,
      0x00000000, 0x3caa86dc, 0x1bcaf10c, 0x00000000, 0x00000000],
     [0x00015124, 0x00000000, 0x7881e5b6, 0x118af90f, 0x6c83c5bd,
      0x11dae5cc, 0x6c8105b6, 0x1072f90c, 0xa07385bb, 0x0dcaf64f],
     [0x0000b8c6, 0x00000000, 0x389486dc, 0x1692f68c, 0x00000000,
      0x00000000, 0x3c9666dc, 0x1692f28c, 0x00000000, 0x00000000],
     [0x0000b8c7, 0x00000000, 0x388526dc, 0x116af20c, 0x00000000,
      0x00000000, 0x3c8986dc, 0x1382f58c, 0x00000000, 0x00000000],
     [0x0000b8c8, 0x00000000, 0x3888a6dc, 0x131af24c, 0x00000000,
      0x00000000, 0x389666dc, 0x1692f54c, 0x00000000, 0x00000000],
     [0x0000b8c9, 0x00000000, 0x3c9986dc, 0x17daf6cc, 0x00000000,
      0x00000000, 0x3c9686dc, 0x1692f08c, 0x00000000, 0x00000000],
     [0x0000b8ca, 0x00000000, 0x3c9906dc, 0x173af38c, 0x00000000,
      0x00000000, 0x3c97e6dc, 0x1742f54c, 0x00000000, 0x00000000],
     [0x00009182, 0x00000000, 0xa08de68a, 0x14d2f5cf, 0xa08ea67e,
      0x12e3008f, 0x689ce68c, 0x14fb060f, 0xa09c667e, 0x15a3008f],
     [0x00009183, 0x00000000, 0xa093467e, 0x123b008f, 0xa093667e,
      0x10bb008f, 0x689ce68c, 0x15bb064f, 0xa09c267e, 0x1493008f],
     [0x00009184, 0x00000000, 0xa07e867e, 0x0c8afccf, 0x6879467e,
      0x0c72f38f, 0xa099a67e, 0x13d3008f, 0xa085067e, 0x117b008f],
     [0x0000558e, 0x00000000, 0x88b46717, 0x1f42fd8f, 0x68b8073e,
      0x1f42f80e, 0x0cb44716, 0x1f43024f, 0x70b7a735, 0x1f43004e],
     [0x0001805f, 0x00000000, 0xa072c656, 0x0de2f4cf, 0xa0894784,
      0x1322f08f, 0xa072c68a, 0x0de2f4cf, 0xa06e6693, 0x0a72f30f],
     [0x00009187, 0x00000000, 0x689d267e, 0x14ab0b4f, 0x74a1067e,
      0x14731f0f, 0x74c2a67e, 0x1ccb1e8f, 0xa0a3467e, 0x15e2f5cf],
     [0x00009188, 0x00000000, 0xa09f467e, 0x13b31c8f, 0xa09de67e,
      0x13eaf50f, 0x7878e5b7, 0x0e02fbcf, 0x78816694, 0x0f83008f],
     [0x00005592, 0x00000000, 0xd0b566fb, 0x1f42f84f, 0x88b246fb,
      0x1f42f64f, 0xc0ac0716, 0x1f4305ce, 0x00000000, 0x00000000],
     [0x0000918a, 0x00000000, 0x408665b7, 0x0f82ec4c, 0xa07e4694,
      0x0f3afdcf, 0xa067268f, 0x06e2ff4f, 0x406ac68f, 0x07f2d08c],
     [0x0000918b, 0x00000000, 0xa0840694, 0x0e2afdcf, 0xa065a694,
      0x066afd4f, 0xa09f65b8, 0x17a2fe4f, 0xa07e45b8, 0x0f3afdcf],
     [0x0000918c, 0x00000000, 0x788185b7, 0x0f9b010f, 0x4081c5b8,
      0x0f92f18c, 0x408325b8, 0x0f93000c, 0xa07565b8, 0x0a82fdcf],
     [0x00015135, 0x00000000, 0x4ca166a3, 0x19d305cf, 0x4cbea6a3,
      0x2092fe4f, 0x4ca266a3, 0x1a13028f, 0x4ccec6a3, 0x249afe4f],
     [0x0000918e, 0x00000000, 0x68a0e5ad, 0x15f3110f, 0xa08285ad,
      0x0f12f58f, 0x408525ad, 0x0f22e94c, 0xa07f25ad, 0x0dfaf44f],
     [0x00015137, 0x00000000, 0x4cda26a3, 0x28a2fd0f, 0x4cc546a3,
      0x223afd0f, 0x4c9c26a3, 0x194b000f, 0x4cbac6a3, 0x200afbcf],
     [0x0000b8d9, 0x00000000, 0xe091a6dc, 0x150afbcb, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00015139, 0x00000000, 0x4caf86a3, 0x1e22fd0f, 0x4cbe86a3,
      0x2082fd0f, 0x4ce1c6a3, 0x2942fd0f, 0x4cbcc6a3, 0x204afe0f],
     [0x0000b8db, 0x00000000, 0x3892e6ed, 0x142adc0c, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00009193, 0x00000000, 0xe0a7669b, 0x185b084c, 0xa095c68c,
      0x14f3020f, 0x548e269b, 0x1152fe8f, 0xa0a0a68c, 0x140b154f],
     [0x00009194, 0x00000000, 0x54a1868c, 0x15db0ccf, 0x58a6a68c,
      0x15931e4f, 0x64cc668c, 0x1f2b1f8f, 0xa0a9268c, 0x1722f80f],
     [0x00009195, 0x00000000, 0xa0a7c68c, 0x15b31d0f, 0xa09ea68c,
      0x146af44f, 0x687de5c1, 0x0f4afa0f, 0x6c84468c, 0x1002facf],
     [0x00009196, 0x00000000, 0x688005c1, 0x0e72ffcf, 0x688ca68c,
      0x1032ff4f, 0x6c7c05c1, 0x0e22ffcf, 0xa081269c, 0x0aa3000f],
     [0x00009197, 0x00000000, 0x688965c0, 0x0fc2ee8c, 0xa082468c,
      0x0ff2fbcf, 0xa06c4698, 0x07aafccf, 0x78758698, 0x0a22d78c],
     [0x00009198, 0x00000000, 0xa089668c, 0x103afbcf, 0xa06a068c,
      0x075afbcf, 0xa0a3a5c1, 0x1842fbcf, 0xa08245c1, 0x0ff2fbcf],
     [0x00009199, 0x00000000, 0x688245c1, 0x0fab000f, 0x6c8465c1,
      0x1002eecc, 0x6c8645c1, 0x1002ff4c, 0xa07f65c1, 0x0cdafbcf],
     [0x0000919a, 0x00000000, 0x6c75c5c1, 0x0c0af74f, 0x7076665f,
      0x0c13068f, 0x6485a5b6, 0x1033024f, 0x6884a5b6, 0x0e730e4f],
     [0x0000919b, 0x00000000, 0x68a245b6, 0x15eb0ecf, 0xa08745b6,
      0x0fd2f30f, 0x7085a5b6, 0x0ec2e74c, 0xa080c5b6, 0x0dcaf34f],
     [0x0000919c, 0x00000000, 0xa07c8689, 0x106af48f, 0xa07a867e,
      0x106af54f, 0x747ac688, 0x106af80f, 0xa07ae67e, 0x106af44f],
     [0x0000919d, 0x00000000, 0xa07d067e, 0x106af5cf, 0xa07b867e,
      0x106af68f, 0x747c6688, 0x106af74f, 0xa07c867e, 0x106af48f],
     [0x0001806b, 0x00000000, 0x00000000, 0x00000000, 0x78682693,
      0x09b2f18f, 0x00000000, 0x00000000, 0x68a3c6ee, 0x17f2f18f],
     [0x0000919f, 0x00000000, 0xa07d267e, 0x106af34f, 0xa07be67e,
      0x106af5cf, 0x7478c688, 0x106afc0f, 0xa07a667e, 0x106af5cf],
     [0x000091a0, 0x00000000, 0x7478c688, 0x106afc0d, 0x747f867e,
      0x106af48f, 0x74794688, 0x106afb0f, 0xa07c867e, 0x106af48f],
     [0x000091a1, 0x00000000, 0x747ec67e, 0x106af04f, 0x807dc67e,
      0x106af24f, 0x807e867e, 0x106af0cf, 0xa07ca67e, 0x106af40f],
     [0x000091a2, 0x00000000, 0xa07de67e, 0x106af1cf, 0xa07a667e,
      0x106af9cf, 0x887f05b3, 0x106afc8f, 0x887aa649, 0x106af24f],
     [0x000055ac, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x9cb3270e, 0x1f42fd8e, 0x60b16725, 0x1f430b8e],
     [0x000091a4, 0x00000000, 0x107e05b5, 0x106af54c, 0xa07da649,
      0x106af24f, 0xa076864a, 0x106b030f, 0x146bc64a, 0x106af9cc],
     [0x000091a5, 0x00000000, 0xa07da649, 0x106af40f, 0xa077e649,
      0x106afdcf, 0xa07f85b0, 0x106aee8f, 0xa07da5b0, 0x106af24f],
     [0x0001806f, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x7073e603, 0x0fa3004f, 0x00000000, 0x00000000],
     [0x000091a7, 0x00000000, 0x8877a5b3, 0x106b000f, 0x8876862c,
      0x106af44f, 0x887da5aa, 0x106af24f, 0x907d05aa, 0x106af38f],
     [0x0000b8f1, 0x00000000, 0x848e265b, 0x156afa0d, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x30aa667e, 0x1c32ee0d],
     [0x000091a9, 0x00000000, 0x745be5a1, 0x08b2f9cf, 0x645d45a1,
      0x08b2cf0c, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000091aa, 0x00000000, 0xa094a69a, 0x16faf04f, 0xa08be68c,
      0x14daf20f, 0xa088a68c, 0x1362f20f, 0xa090869a, 0x159af20f],
     [0x000091ab, 0x00000000, 0xa08ea68c, 0x153af20f, 0xa08dc68c,
      0x15aaf50f, 0xa09d668c, 0x1952f34f, 0x589b669c, 0x1852f6cf],
     [0x000091ac, 0x00000000, 0xa06cc68c, 0x0d2af30f, 0xa09ea68c,
      0x19a2f58f, 0xa092c69a, 0x161af04f, 0xa0b1a68c, 0x1e62f18f],
     [0x000091ad, 0x00000000, 0x5896268c, 0x1692f20f, 0xa088e68c,
      0x137af50f, 0x549b669b, 0x1852f6cf, 0xa09d668c, 0x1862f34f],
     [0x000091ae, 0x00000000, 0xa089868c, 0x131af20f, 0x589b669c,
      0x1852f6cf, 0xa08ce68c, 0x14caf18f, 0xa08e068c, 0x14daf5cf],
     [0x000091af, 0x00000000, 0xa095e69c, 0x1692eecf, 0xa0a4c68c,
      0x1a22f28f, 0xa095e68c, 0x175af20f, 0xa0a0a69c, 0x1902eecf],
     [0x000091b0, 0x00000000, 0xa098e69c, 0x1852f6cf, 0x6890868c,
      0x159af20f, 0x688bc5c1, 0x1422f44f, 0x6c80069c, 0x1162f94c],
     [0x000091b1, 0x00000000, 0x6c7d25c1, 0x1032f10c, 0x687a269c,
      0x0fb2f48f, 0x687425c1, 0x0de2f50f, 0x6c75269c, 0x0e5af3cc],
     [0x000091b2, 0x00000000, 0x6c82a5c1, 0x1222f10c, 0x687a069c,
      0x0faaf44f, 0x686485b5, 0x0a32f1cf, 0xa08465c1, 0x122af34f],
     [0x000091b3, 0x00000000, 0x5880669c, 0x1112f2cf, 0x6c8805b5,
      0x1312f94c, 0x687c65c1, 0x1032f1cf, 0x6c75669c, 0x0e8af3cc],
     [0x000091b4, 0x00000000, 0x687a05c1, 0x0fa2f44f, 0x588aa5b5,
      0x13baf30f, 0x6c7ee5c1, 0x111af94c, 0x747605c1, 0x0e82f3cc],
     [0x000091b5, 0x00000000, 0x6880a5b5, 0x11c2f44f, 0x6877a5b5,
      0x0f62f28f, 0x688365c1, 0x1202f10f, 0x6c8d25c1, 0x146af40c],
     [0x000091b6, 0x00000000, 0x6c87c5c1, 0x1322f34c, 0x6c9c65c1,
      0x17daf10c, 0x689705c1, 0x16f2f48f, 0x687be6ab, 0x101af44f],
     [0x000091b7, 0x00000000, 0x687445c1, 0x0de2f44f, 0x688c069c,
      0x143af10f, 0x5482c5c1, 0x119af10f, 0x6c8d268c, 0x146af40c],
     [0x000091b8, 0x00000000, 0x6c7b45c1, 0x0ffaf44c, 0x68a8e5b5,
      0x1b02f04f, 0xa0942683, 0x166af6cf, 0xa0944675, 0x15c2f78f],
     [0x000091b9, 0x00000000, 0xa098a675, 0x1342f78f, 0xa0840683,
      0x12a2f58f, 0xa09a4675, 0x1652f78f, 0xa0a2c675, 0x1822fd0f],
     [0x000091ba, 0x00000000, 0xa0b1e675, 0x1b4af78f, 0x74978685,
      0x170afa8f, 0xa080c675, 0x0f02f78f, 0xa0a2c675, 0x17d2f78f],
     [0x000091bb, 0x00000000, 0xa0944683, 0x1672f6cf, 0xa0c26675,
      0x1f6af78f, 0xa0af2675, 0x1a9af78f, 0xa09b2675, 0x1612fb0f],
     [0x000091bc, 0x00000000, 0x74978685, 0x16e2fa8f, 0xa0b1e675,
      0x1b4af78f, 0xa0968675, 0x1292f78f, 0x74978685, 0x170afa8f],
     [0x000091bd, 0x00000000, 0xa09d8675, 0x16fafc8f, 0xa0924675,
      0x1132f44f, 0xa09b6684, 0x132af50f, 0xa09be675, 0x1822f44f],
     [0x000091be, 0x00000000, 0xa0a3c675, 0x18b2f44f, 0xa09b6683,
      0x14f2f50f, 0xa09fa682, 0x1902f60f, 0x64898675, 0x139af88f],
     [0x000091bf, 0x00000000, 0x7880a5a1, 0x1062f80f, 0xc47f4684,
      0x0f6af44c, 0xb477c5a1, 0x0d62f6cc, 0x7476e684, 0x0e7af80f],
     [0x000091c0, 0x00000000, 0x747605a1, 0x0f22f44f, 0xc47a8684,
      0x0d9af80c, 0xc47765a1, 0x0e62f58c, 0x7479c684, 0x0f22f80f],
     [0x000055ca, 0x00000000, 0x08ac8728, 0x1f42f60f, 0x2cb28709,
      0x1f42fa4f, 0xc0b60729, 0x1f42ff8f, 0x00000000, 0x00000000],
     [0x000091c2, 0x00000000, 0x7c7845a6, 0x0e22fa8f, 0xc475e684,
      0x0d8af44c, 0x747545a1, 0x0e52f80f, 0x6c858594, 0x1172f6cf],
     [0x000091c3, 0x00000000, 0xc47985a1, 0x0fb2f58c, 0xc47885d2,
      0x0dbaf6cc, 0x7482e594, 0x10caf80f, 0x8c798594, 0x0dd2f58f],
     [0x000091c4, 0x00000000, 0x7476259f, 0x0e62f58f, 0xc48d65a1,
      0x14d2fa8c, 0x788f25a1, 0x129af58c, 0xc49765a1, 0x14aaf58c],
     [0x000107a0, 0x00000000, 0x58afc758, 0x1a0affcf, 0x588f8680,
      0x14daf1cf, 0x58afc754, 0x1a0affcf, 0x588f8680, 0x14daf1cf],
     [0x000107a1, 0x00000000, 0x58afc71a, 0x1a0affcf, 0x588f8646,
      0x14daf1cf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000091c7, 0x00000000, 0xa0990695, 0x17baf7cf, 0xa097e685,
      0x16b2f88f, 0xa09c2685, 0x13d2f88f, 0xa0882695, 0x13c2f60f],
     [0x000091c8, 0x00000000, 0xa09cc685, 0x16e2f88f, 0xa0a64685,
      0x18eafe8f, 0xa0b4c685, 0x1bdaf88f, 0x609ce695, 0x187afbcf],
     [0x000055d2, 0x00000000, 0x00000000, 0x00000000, 0xa0b6470d,
      0x1f42fc4f, 0x94afa6fa, 0x1f42f70f, 0xdcb786c9, 0x1f42fa8e],
     [0x000091ca, 0x00000000, 0xa0b20685, 0x1b2af88f, 0xa09d2685,
      0x1672fc4f, 0x609ce695, 0x184afbcf, 0xa0b44685, 0x1bbaf7cf],
     [0x000091cb, 0x00000000, 0xa09a2685, 0x1322f88f, 0x609ce695,
      0x187afbcf, 0xa0a0e685, 0x17bafe0f, 0xa0960685, 0x11c2f50f],
     [0x000055d5, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x84b4c700, 0x1f42fd4f],
     [0x000091cd, 0x00000000, 0xa0a46695, 0x19d2fc4f, 0x60898685,
      0x13c2f8cf, 0x708d45b5, 0x1382f90f, 0x6c876695, 0x115af50c],
     [0x000091ce, 0x00000000, 0x787d65b6, 0x0f52f90c, 0x8081c695,
      0x10d2f90f, 0x7876e5b6, 0x0f7af50f, 0x747fc695, 0x0ec2f90c],
     [0x000055d8, 0x00000000, 0xb0b2a6e2, 0x1f43164f, 0x58b7a725,
      0x1f42f94f, 0xd8b02705, 0x1f4301ce, 0x00000000, 0x00000000],
     [0x000055d9, 0x00000000, 0x88afc730, 0x1f42fcce, 0x00000000,
      0x00000000, 0xbcb466e5, 0x1f430010, 0x00000000, 0x00000000],
     [0x000091d1, 0x00000000, 0x7881e5b6, 0x118af90f, 0x6c8845aa,
      0x121af7cf, 0x6c84c5b6, 0x129af64c, 0x747e05b6, 0x0f02f7cc],
     [0x000091d2, 0x00000000, 0x7889e5aa, 0x1282f90f, 0x847d45aa,
      0x0eaaf64f, 0x788165b6, 0x1142f64f, 0x6c91e5b6, 0x1612fbcc],
     [0x000091d3, 0x00000000, 0x709305b6, 0x136af64c, 0x6c9d05b6,
      0x15eaf64c, 0x7891a5b6, 0x157af38f, 0x78846696, 0x117af90f],
     [0x000091d4, 0x00000000, 0x787aa5b5, 0x0f0af90f, 0x6c8786a2,
      0x12faf64f, 0x648d45b6, 0x12faeb0f, 0x6c906695, 0x155af90c],
     [0x000091d5, 0x00000000, 0x6c84e5b6, 0x124af90c, 0x78ac65aa,
      0x1b22f64f, 0xa091a69a, 0x1592f44f, 0xa088c68c, 0x13e3020f],
     [0x000091d6, 0x00000000, 0xa085a68c, 0x127b020f, 0xa093869a,
      0x1682f80f, 0xa089268c, 0x13db020f, 0xa08c668c, 0x146af44f],
     [0x000091d7, 0x00000000, 0xa08de68c, 0x165b020f, 0x549b669b,
      0x1852f6cf, 0xa06d668c, 0x0dc2fe4f, 0xa096e68c, 0x1643020f],
     [0x000091d8, 0x00000000, 0xa091c69a, 0x1612f80f, 0xa0a6a68c,
      0x1c8b020f, 0x588f068c, 0x16a3020f, 0xa08a268c, 0x1402f6cf],
     [0x000091d9, 0x00000000, 0x589b669c, 0x1852f6cf, 0xa08de68c,
      0x165b020f, 0xa085a68c, 0x122b020f, 0x549b669b, 0x1852f6cf],
     [0x000091da, 0x00000000, 0xa08d868c, 0x1512f50f, 0xa08ce68c,
      0x140af18f, 0xa099869b, 0x1762f30f, 0xa09f668c, 0x1902f44f],
     [0x000091db, 0x00000000, 0xa096068c, 0x1722f80f, 0xa0a1669b,
      0x1932f1cf, 0xa098869b, 0x1782f60f, 0x28942680, 0x16faf94f],
     [0x000091dc, 0x00000000, 0x688d25c1, 0x14b2f80f, 0x6c7b669c,
      0x1002f7cc, 0x6c7a25c1, 0x0fb2f08c, 0x687a269c, 0x0fb2f44f],
     [0x000091dd, 0x00000000, 0x6874c5c1, 0x0e1af44f, 0x6c7b869c,
      0x0fa2f50c, 0x6c79c5c1, 0x0ff2f6cc, 0x687a269c, 0x0fa2f3cf],
     [0x000091de, 0x00000000, 0x686385b5, 0x09fafb4f, 0xa07e85c1,
      0x107afbcf, 0x687f869c, 0x1152f28f, 0x6c7f25b5, 0x1132f7cc],
     [0x000091df, 0x00000000, 0x687985c1, 0x0f62fbcf, 0x6c7ba69c,
      0x0faaf50c, 0x687a05c1, 0x0faaf44f, 0x688605b5, 0x1292f08f],
     [0x000091e0, 0x00000000, 0x6c7b45c1, 0x0ffaf78c, 0x6c7b45c1,
      0x0f92f48c, 0x688385b5, 0x1042f44f, 0x687985b5, 0x0efaef8f],
     [0x000107bc, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa08da758, 0x1163018f, 0x6873c680, 0x0de2e80c],
     [0x000091e2, 0x00000000, 0x6894a5b5, 0x1722f88f, 0x687a069b,
      0x0faaf44f, 0x687585c1, 0x0e72f44f, 0x687fc69c, 0x10c2f6cf],
     [0x000091e3, 0x00000000, 0x6883c5c1, 0x11d2f18f, 0x6c8aa69c,
      0x13d2f44c, 0x6c7925c1, 0x0f72f44c, 0x68a765b5, 0x1a82ef8f],
     [0x000091e4, 0x00000000, 0xa091a69a, 0x1592f44f, 0xa092668c,
      0x1612fd0f, 0xa096a68c, 0x12d2fd0f, 0xa093869a, 0x1682f80f],
     [0x000091e5, 0x00000000, 0xa097068c, 0x155afd0f, 0xa09ea68c,
      0x161af44f, 0xa0a0668c, 0x1762fd0f, 0x54a5469b, 0x1a7b048f],
     [0x000091e6, 0x00000000, 0xa07da68c, 0x0d9afa8f, 0xa0a2068c,
      0x1642fd0f, 0xa08f469a, 0x1572f30f, 0xa0b9268c, 0x1d2afd0f],
     [0x000091e7, 0x00000000, 0x58a1868c, 0x1742fd0f, 0xa09aa68c,
      0x1592f9cf, 0x58a5869c, 0x1a8b048f, 0xa0a0668c, 0x174afd0f],
     [0x00015190, 0x00000000, 0xa099868c, 0x13db020f, 0xa099268c,
      0x1233020f, 0x54a0a69b, 0x175308cf, 0xa0a2e68c, 0x165b020f],
     [0x000091e9, 0x00000000, 0xa0a2669b, 0x14fb04cf, 0xa0a6e68c,
      0x1a1b000f, 0xa0a6a68c, 0x1722f30f, 0xa0af269b, 0x18bb0d4f],
     [0x000091ea, 0x00000000, 0xa0a4869b, 0x1982f9cf, 0x289d8680,
      0x18630c0f, 0x689665c1, 0x1532f9cf, 0x6c87269c, 0x1142eb0c],
     [0x000091eb, 0x00000000, 0x7085e5c1, 0x106b030c, 0x6882e69c,
      0x0fdaf58f, 0x687e05c1, 0x0fc2f94f, 0x6c81e69c, 0x0f02fa4c],
     [0x000091ec, 0x00000000, 0x6c8025c1, 0x10a2f78c, 0x6883a69c,
      0x1182fe4f, 0x686445b6, 0x0a2afc0f, 0xa08745c1, 0x10caf78f],
     [0x000055f6, 0x00000000, 0xf4b126f8, 0x1f42face, 0x78a5a6fa,
      0x1f43044f, 0xfca9070a, 0x1f42ff4f, 0x00000000, 0x00000000],
     [0x000055f7, 0x00000000, 0x44b2871b, 0x1f4307cf, 0xf4b5c702,
      0x1f43004f, 0x00000000, 0x00000000, 0x44b6673a, 0x1f42fccf],
     [0x00015197, 0x00000000, 0x688965c1, 0x0fc2ee8c, 0xa082468c,
      0x0ff2fbcf, 0xa06c4698, 0x07aafccf, 0x78758698, 0x0a22d78c],
     [0x00015198, 0x00000000, 0xa089668c, 0x103afbcf, 0xa06a068c,
      0x075afbcf, 0xa0a3a5c1, 0x1842fbcf, 0xa08245c1, 0x0ff2fbcf],
     [0x00015199, 0x00000000, 0x688245c1, 0x0fab000f, 0x6c8465c1,
      0x1002eecc, 0x6c8645c1, 0x1002ff4c, 0xa07f65c1, 0x0cdafbcf],
     [0x000091f2, 0x00000000, 0x6c7f85c1, 0x1102f78c, 0x68b085b6,
      0x1bcaf80f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0001519b, 0x00000000, 0x68a245b6, 0x15eb0ecf, 0xa08745b6,
      0x0fd2f30f, 0x7085a5b6, 0x0ec2e74c, 0xa080c5b6, 0x0dcaf34f],
     [0x000091f4, 0x00000000, 0xa07a4698, 0x0fa2f24f, 0x68790698,
      0x0fa2f20f, 0xa07a0698, 0x0fa2f2cf, 0x8079468c, 0x0fa2f38f],
     [0x000091f5, 0x00000000, 0x6c79e698, 0x0fa2f50f, 0xa07a268c,
      0x0fa2f24f, 0x6c798698, 0x0fa2f50f, 0x6c79a698, 0x0fa2f48f],
     [0x000091f6, 0x00000000, 0x687e868c, 0x10e2f50f, 0xa06ae69d,
      0x10e304cf, 0xa07ec68c, 0x111afa0f, 0x687a468c, 0x10e2fa4f],
     [0x000091f7, 0x00000000, 0xa080068c, 0x10e2f30f, 0x687ba67e,
      0x10e2f6cf, 0x687e868c, 0x10e2f50f, 0xa07e667e, 0x10e2f40f],
     [0x000091f8, 0x00000000, 0x687e868c, 0x10e2f50f, 0x707e868c,
      0x10e2f50f, 0x687a268c, 0x0fa2f3cf, 0xa064468d, 0x0fa3090f],
     [0x000091f9, 0x00000000, 0xa079268c, 0x0fa2f6cf, 0x6875a68c,
      0x0fa2f5cf, 0xa07ba68c, 0x0fa2f0cf, 0x6877c68c, 0x0fa2f70f],
     [0x000091fa, 0x00000000, 0x68794694, 0x0fa2f60f, 0x8076e67e,
      0x0fa2f78f, 0x6876668c, 0x0fa2fa4f, 0x4c78c68c, 0x0fa2f50f],
     [0x000091fb, 0x00000000, 0x6c7a0698, 0x0fa2f40f, 0xa0684698,
      0x0fa3028f, 0xa079c698, 0x0fa2f30f, 0x6c7a6698, 0x0fa2f28f],
     [0x000091fc, 0x00000000, 0xa07b0698, 0x0fa2f2cf, 0x6c7ae68c,
      0x0fa2f14f, 0x6c79e698, 0x0fa2f48f, 0xa079668c, 0x0fa2f6cf],
     [0x000091fd, 0x00000000, 0x6c798698, 0x0fa2f50f, 0x6c79e698,
      0x0fa2f48f, 0x7478e691, 0x106afbcf, 0xa074e691, 0x106b098f],
     [0x000091fe, 0x00000000, 0xa0794691, 0x106afb0f, 0x747a6691,
      0x106af8cf, 0xa07c2692, 0x106af54f, 0x74794686, 0x106afb0f],
     [0x000091ff, 0x00000000, 0x74788691, 0x106afc8f, 0x747a6696,
      0x106af8cf, 0x747a6691, 0x106af8cf, 0x74788691, 0x106afc8f],
     [0x00005609, 0x00000000, 0xccb7e707, 0x1f42fc8f, 0x90b2c702,
      0x1f430d8f, 0xfcb34713, 0x1f42fe4e, 0xb8b446ef, 0x1f43034f],
     [0x00018a4a, 0x00000000, 0x30ab667e, 0x1cf2fb4d, 0x30ab667e,
      0x1cf2fb4d, 0x30aba67e, 0x1cf2fbcd, 0x30ab667e, 0x1cf2fbcd],
     [0x0000560b, 0x00000000, 0x6cb7071c, 0x1f42face, 0x04b1470e,
      0x1f42fb8f, 0xacb1e706, 0x1f43004e, 0x88b0c74c, 0x1f43070e],
     [0x00018a4b, 0x00000000, 0x30ab667e, 0x1cf2fbcd, 0x30ab667e,
      0x1cf2fbcd, 0x30ab667e, 0x1cf2fbcd, 0x30ab667e, 0x1cf2fbcd],
     [0x0000560d, 0x00000000, 0xf4b4c722, 0x1f42fd0e, 0x60b4871d,
      0x1f42fe4f, 0x50aaa736, 0x1f42fc4e, 0xc0ad870a, 0x1f42fd8e],
     [0x0000560e, 0x00000000, 0x6cb6e6db, 0x1f42f74f, 0x84b04710,
      0x1f43018f, 0x44b6a72a, 0x1f42f7cf, 0xf0b24735, 0x1f43194e],
     [0x0001809f, 0x00000000, 0xfc6865b4, 0x0a6aef4b, 0xfc68e5b4,
      0x0b92efcb, 0xa068a5be, 0x09daf08f, 0xa06805be, 0x0af2ef4f],
     [0x00005610, 0x00000000, 0x08b1e6ed, 0x1f43014f, 0xe0ac270d,
      0x1f430cce, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005611, 0x00000000, 0x28af66f6, 0x1f42ff4f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005612, 0x00000000, 0x20ae8705, 0x1f43144f, 0x78b96730,
      0x1f42f80e, 0x88b6c723, 0x1f42fe4f, 0x28b0e71a, 0x1f430f4f],
     [0x00005613, 0x00000000, 0xc0aa8709, 0x1f42f70e, 0x70b8a70a,
      0x1f42f34f, 0x2cb7e70a, 0x1f42fccf, 0x74b3671e, 0x1f42facf],
     [0x00005614, 0x00000000, 0x00000000, 0x00000000, 0xccac4718,
      0x1f4304ce, 0xa8b66711, 0x1f42fa4e, 0x28ae66d0, 0x1f42fa0f],
     [0x00005615, 0x00000000, 0x3cb76735, 0x1f42fa4f, 0xd0b6c724,
      0x1f42fbce, 0x00000000, 0x00000000, 0xfcb5c71b, 0x1f43158e],
     [0x00005616, 0x00000000, 0xfcb6472d, 0x1f42fb0e, 0x68b00711,
      0x1f42ff8e, 0xe4ba4717, 0x1f42f78e, 0xbcb7e71a, 0x1f42f78e],
     [0x000048a7, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x90a9c6b2, 0x1f43118f, 0x00000000, 0x00000000],
     [0x00005618, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x80b0c729, 0x1f42fe8e, 0xe0b1c705, 0x1f43164e],
     [0x00005619, 0x00000000, 0xccab86fe, 0x1f42ff0e, 0x18b0c6f8,
      0x1f42f84f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000561a, 0x00000000, 0x54b9871e, 0x1f42f8ce, 0x58b4071c,
      0x1f42fd10, 0x00000000, 0x00000000, 0x94b4272f, 0x1f42f98e],
     [0x0000561b, 0x00000000, 0xe0ac06df, 0x1f42fe4f, 0x58b506d7,
      0x1f42ff50, 0x00000000, 0x00000000, 0x00b10702, 0x1f42f80f],
     [0x0000561c, 0x00000000, 0xecb186fc, 0x1f43020e, 0xecadc721,
      0x1f43114e, 0x70b1a733, 0x1f4301ce, 0x00000000, 0x00000000],
     [0x0000561d, 0x00000000, 0xacaca70c, 0x1f42fd4e, 0xf8af874a,
      0x1f42fa8e, 0x74b46713, 0x1f42ff0f, 0x00000000, 0x00000000],
     [0x0000561e, 0x00000000, 0x00000000, 0x00000000, 0xe8aee741,
      0x1f42fd8e, 0xe0b0672d, 0x1f42f98e, 0x20b4c72a, 0x1f42fccf],
     [0x0000561f, 0x00000000, 0xf0b06715, 0x1f42ffce, 0x28b4c716,
      0x1f42fe0f, 0xf0b22721, 0x1f43078e, 0xc4b16711, 0x1f42ff0e],
     [0x00005620, 0x00000000, 0x8cb3670f, 0x1f42fb8e, 0x0cb00705,
      0x1f42fecf, 0xecaf86f7, 0x1f42ff4e, 0xf8b7472f, 0x1f43008e],
     [0x00005621, 0x00000000, 0x00000000, 0x00000000, 0x50ad66e8,
      0x1f430c0f, 0x5cafc71b, 0x1f42fc4e, 0x60b1e73c, 0x1f42fb8e],
     [0x00005622, 0x00000000, 0x84b3871a, 0x1f42f8cf, 0xe4ae2713,
      0x1f42fb8e, 0xe8b5872d, 0x1f42fcce, 0x50b7c730, 0x1f42fb8e],
     [0x00005623, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x8cb38716, 0x1f42fe8e, 0x84ac0728, 0x1f43160f],
     [0x00005624, 0x00000000, 0x2cb04730, 0x1f42fb0f, 0xb8ae0716,
      0x1f43008e, 0xe4a90719, 0x1f42fe8e, 0x08b5e736, 0x1f42fecf],
     [0x000180aa, 0x00000000, 0x788ea62b, 0x1452f14f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005626, 0x00000000, 0xf8b766f5, 0x1f42f5ce, 0x30b16721,
      0x1f42fa4f, 0x08b4c6ce, 0x1f42fe4f, 0x00000000, 0x00000000],
     [0x00005627, 0x00000000, 0xf0b5c732, 0x1f43124e, 0xf8b5070a,
      0x1f42fcce, 0x80afc72c, 0x1f42fc8e, 0x40b3c729, 0x1f42f84f],
     [0x0001787d, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x6c86c698, 0x0fa3044f, 0xa07da698, 0x0fa3210f],
     [0x000151c8, 0x00000000, 0xa09cc685, 0x16e2f88f, 0xa0a64685,
      0x18eafe8f, 0xa0b4c685, 0x1bdaf88f, 0x609ce695, 0x187afbcf],
     [0x000151c9, 0x00000000, 0xa0842685, 0x0fb2f88f, 0xa0a76685,
      0x18daf88f, 0xa0990695, 0x17baf7cf, 0xa0c46685, 0x1fc2f88f],
     [0x00017880, 0x00000000, 0xa091e685, 0x16eaefcf, 0xa097c685,
      0x16caf28f, 0x00000000, 0x00000000, 0xa0966685, 0x1542f28f],
     [0x00017881, 0x00000000, 0xa0966685, 0x0ed2f28f, 0x68970695,
      0x1672f6cf, 0xa071e685, 0x0bf2f38f, 0x688f0685, 0x12daf2cf],
     [0x000151cc, 0x00000000, 0xa0a08695, 0x140af5cf, 0xa0a26685,
      0x19daf50f, 0xa0a64685, 0x1942f50f, 0xa0a02695, 0x15b2f58f],
     [0x00017883, 0x00000000, 0x68976695, 0x1572f58f, 0xa0902685,
      0x0deaf58f, 0x689ce685, 0x162af6cf, 0xa096a685, 0x0fc2f88f],
     [0x00017884, 0x00000000, 0xa0ba6685, 0x1bdb024f, 0xa0a68685,
      0x17baefcf, 0xa097c685, 0x0e72f08f, 0x6c8825b6, 0x13d2f94f],
     [0x00017885, 0x00000000, 0x6c8be6a3, 0x14aaf68f, 0x6c82a5b6,
      0x11daf94f, 0x00000000, 0x00000000, 0x6c8205b6, 0x11faf94f],
     [0x00017886, 0x00000000, 0xa08bc6a3, 0x0db2f94f, 0x6c8ec5b6,
      0x14d2f50c, 0xa08b86a3, 0x14aaf68f, 0x00000000, 0x00000000],
     [0x00017887, 0x00000000, 0x00000000, 0x00000000, 0xa08b86a3,
      0x140af68f, 0xa07226a3, 0x0ba2f68f, 0xa0aea5b6, 0x1d72f6cf],
     [0x00017888, 0x00000000, 0xa08b85b6, 0x14aaf68f, 0x6c8365b6,
      0x1252f94f, 0x6c8f25b6, 0x1542eecc, 0x6c8d45b6, 0x14b2f94c],
     [0x00017889, 0x00000000, 0xa081c5b6, 0x0c9af64f, 0x6c7f65b6,
      0x10aaf64f, 0x6873468c, 0x0c9af38f, 0x6c8ce5a9, 0x14aaf94f],
     [0xde110807, 0x0007a8f2, 0x707ec682, 0x11631796, 0x707ce682,
      0x116313d6, 0x9c71244d, 0x1162fc4d, 0x707ce682, 0x11631856],
     [0x00005636, 0x00000000, 0x68acc714, 0x1f430e4f, 0xfcad0738,
      0x1f42fb4e, 0x14b5a730, 0x1f42fc4f, 0xf0b026f9, 0x1f42f8ce],
     [0x00010809, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x749dc44c, 0x1bcafc4f, 0x00000000, 0x00000000],
     [0x00005638, 0x00000000, 0x9cb5270c, 0x1f42fa8f, 0x00000000,
      0x00000000, 0xa4b186ea, 0x1f42f8cf, 0xfcb1e6e0, 0x1f42f84e],
     [0x000180b4, 0x00000000, 0xec5d05b4, 0x0a6b044f, 0x4c5d05b4,
      0x0a6b0454, 0xcc5f4555, 0x0a6b0010, 0xcc5f2555, 0x0a6affd0],
     [0x0001080c, 0x00000000, 0x54c3e6aa, 0x22eb020f, 0x54f126aa,
      0x2e3b020f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000563b, 0x00000000, 0xa8b166ec, 0x1f430490, 0x00000000,
      0x00000000, 0x68ae66ef, 0x1f42ffcf, 0x48b56707, 0x1f42facf],
     [0x00017891, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xe4a6c6af, 0x1b3af78e],
     [0x00017892, 0x00000000, 0x789b06a7, 0x179af64f, 0x709226a8,
      0x14daf70f, 0xa0a386a0, 0x1912f58f, 0x808cc6a8, 0x130af84f],
     [0x0000ca60, 0x00000000, 0x8085c6a9, 0x151b084c, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00017894, 0x00000000, 0xd0a3e69f, 0x142af70d, 0x68a506a7,
      0x1ac2f78f, 0x809486a8, 0x16b2f78f, 0xeccdc6a9, 0x2512f78e],
     [0x00017895, 0x00000000, 0x04c7c72b, 0x1f2af70f, 0x78a046ab,
      0x1822f8cf, 0xa099e6a0, 0x142af70f, 0x5c9aa6a8, 0x1852f8cd],
     [0x00005641, 0x00000000, 0xdcb186e9, 0x1f42fe0f, 0x00000000,
      0x00000000, 0x8cb44718, 0x1f430dce, 0x38b66710, 0x1f430acf],
     [0x00005642, 0x00000000, 0x00000000, 0x00000000, 0x78ade71f,
      0x1f43094e, 0xd0adc6f7, 0x1f43098f, 0x00000000, 0x00000000],
     [0x00005643, 0x00000000, 0x78b1a721, 0x1f4310ce, 0x70b3672b,
      0x1f430cce, 0x74b1a71d, 0x1f43170e, 0xd4ae4725, 0x1f42ff4e],
     [0x00005644, 0x00000000, 0xd4b0a724, 0x1f4303ce, 0x00000000,
      0x00000000, 0xd0a9a6ff, 0x1f430b4e, 0x00000000, 0x00000000],
     [0x000151e4, 0x00000000, 0xa091a69a, 0x1592f44f, 0xa092668c,
      0x1612fd0f, 0xa096a68c, 0x12d2fd0f, 0xa093869a, 0x1682f80f],
     [0x00005646, 0x00000000, 0x8cb106dc, 0x1f43030e, 0xb4b526f2,
      0x1f42f70e, 0xa8a1473e, 0x1f431a4e, 0x84aae6f8, 0x1f430f4f],
     [0x000151e6, 0x00000000, 0xa07da68c, 0x0d9afa8f, 0xa0a2068c,
      0x1642fd0f, 0xa08f469a, 0x1572f30f, 0xa0b9268c, 0x1d2afd0f],
     [0x000151e7, 0x00000000, 0x58a1868c, 0x1742fd0f, 0xa09aa68c,
      0x1592f9cf, 0x58a5869c, 0x1a8b048f, 0xa0a0668c, 0x174afd0f],
     [0x000151e8, 0x00000000, 0xa092e68c, 0x122afd0f, 0x54a5469b,
      0x1a7b048f, 0xa09c068c, 0x15c2f34f, 0xa097e68c, 0x140b03cf],
     [0x0000564a, 0x00000000, 0x00000000, 0x00000000, 0xd0b626dd,
      0x1f430c8f, 0xc8b6871b, 0x1f430a8f, 0x18b5a71c, 0x1f43078f],
     [0x000151ea, 0x00000000, 0xa0a4869b, 0x1982f9cf, 0x289d8680,
      0x18630c0f, 0x689665c1, 0x1532f9cf, 0x6c87269c, 0x1142eb0c],
     [0x0000ca6e, 0x00000000, 0x98a44662, 0x1b02fa8d, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000151ec, 0x00000000, 0x6c8025c1, 0x10a2f78c, 0x6883a69c,
      0x1182fe4f, 0x686445b6, 0x0a2afc0f, 0xa08745c1, 0x10caf78f],
     [0x0000ca70, 0x00000000, 0x98a44662, 0x1b02fa8d, 0x98a44662,
      0x1b02fa8d, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000151ee, 0x00000000, 0x687ee5c1, 0x10faf94f, 0x689085b6,
      0x13c2f94f, 0x6c8185c1, 0x1182e5cc, 0x6c83c5c1, 0x102afb0c],
     [0x000151ef, 0x00000000, 0x688e65b6, 0x1332f94f, 0x6882e5b6,
      0x105af88f, 0x688045c1, 0x1132fd4f, 0x6c90e5c1, 0x155afbcc],
     [0x000151f0, 0x00000000, 0x6c8cc5c1, 0x11fada0c, 0x6c9c65c1,
      0x15fb00cc, 0x689a05b5, 0x17a2fe0f, 0x6881e69b, 0x1122f94f],
     [0x00005652, 0x00000000, 0xa4b64731, 0x1f43004e, 0x4cba2735,
      0x1f42ff8e, 0x94afe735, 0x1f43160e, 0xf0b6c725, 0x1f4302ce],
     [0x000151f2, 0x00000000, 0x6c7f85c1, 0x1102f78c, 0x68b085b6,
      0x1bcaf80f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00018c04, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa092867e, 0x156af08f, 0x00000000, 0x00000000],
     [0x000178aa, 0x00000000, 0x00000000, 0x00000000, 0x64a746ef,
      0x1972f90c, 0x00000000, 0x00000000, 0xf49846ef, 0x17e2f90b],
     [0x00010828, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xa08f2675, 0x131af00f],
     [0x00010829, 0x00000000, 0x807f2686, 0x0fa2f08f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x6ccb4675, 0x23eaee0f],
     [0x00005658, 0x00000000, 0xacb2c73f, 0x1f43078e, 0x38b68737,
      0x1f43024e, 0x70b7473d, 0x1f43034e, 0x00000000, 0x00000000],
     [0x000178ae, 0x00000000, 0x00000000, 0x00000000, 0xf48c26ef,
      0x126afc4b, 0x00000000, 0x00000000, 0xf49586ef, 0x1192f58b],
     [0x000178af, 0x00000000, 0x00000000, 0x00000000, 0xf4a426ef,
      0x174b008b, 0x00000000, 0x00000000, 0xf49f46ef, 0x12aafe8b],
     [0x000178b0, 0x00000000, 0x00000000, 0x00000000, 0xf4cbe6ef,
      0x1ea2fe8b, 0x00000000, 0x00000000, 0xf4a4e6ef, 0x191af68b],
     [0x000178b1, 0x00000000, 0x00000000, 0x00000000, 0xf496c6ef,
      0x11caf44b, 0x00000000, 0x00000000, 0xf49626ef, 0x1682f88b],
     [0x000178b2, 0x00000000, 0x00000000, 0x00000000, 0xf488e6ef,
      0x13b2f98b, 0x00000000, 0x00000000, 0xf48506ef, 0x124afc4b],
     [0x0000565e, 0x00000000, 0xc8b38721, 0x1f42fb4e, 0xe8b466ef,
      0x1f42f84f, 0x00000000, 0x00000000, 0xd8b646ec, 0x1f42fb4f],
     [0x0000565f, 0x00000000, 0xe0b686f5, 0x1f42f44f, 0x70b5c6fa,
      0x1f42f88f, 0xfcb346ef, 0x1f42fa4f, 0xf8b406de, 0x1f42fb8e],
     [0x000178b5, 0x00000000, 0x00000000, 0x00000000, 0xf48966ef,
      0x12caf40b, 0x00000000, 0x00000000, 0xf486a6ef, 0x131af6cb],
     [0x0000ca83, 0x00000000, 0xa10e8720, 0x2e62f60a, 0xa09a2720,
      0x128af60a, 0xa09a2720, 0x128af60a, 0xa09a2720, 0x128af60a],
     [0x00010834, 0x00000000, 0x6c3c66e0, 0x00027cd9, 0x6c3fc6e0,
      0x00028399, 0x3021467e, 0x0002a30d, 0x00000000, 0x00000000],
     [0x00010835, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x303c66e0, 0x00027cd8, 0x303c66e0, 0x00027cd8],
     [0x00010836, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xcc440656, 0x00027cd7],
     [0x00005665, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x14b8a705, 0x1f42f650, 0xd0b826f6, 0x1f42f54e],
     [0x00010838, 0x00000000, 0x00000000, 0x00000000, 0x3041a6e0,
      0x00027cd8, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00010839, 0x00000000, 0x347bc7e7, 0x0001fb8d, 0x303b867e,
      0x0002828d, 0x3033c67e, 0x0002964d, 0xd85a26bd, 0x0002594c],
     [0x0001083a, 0x00000000, 0x3842e371, 0x00027a8c, 0x08456691,
      0x00027698, 0xfc51a58b, 0x000227d0, 0x00000000, 0x00000000],
     [0x0001083b, 0x00000000, 0xb0786371, 0x0002f4cb, 0xb0786371,
      0x0002f4cb, 0xb03c63c0, 0x00027ccb, 0xb03c63c0, 0x00027ccb],
     [0x0000566a, 0x00000000, 0x54b32705, 0x1f42f64f, 0xe8b626fa,
      0x1f42fa4f, 0x1cb1a6ee, 0x1f42fb10, 0x80ac86f9, 0x1f42f74f],
     [0x0000566b, 0x00000000, 0x1cb586c7, 0x1f42fa10, 0x00000000,
      0x00000000, 0x70b626f5, 0x1f42fa4f, 0xccae86ea, 0x1f42f54f],
     [0x0000566c, 0x00000000, 0x00000000, 0x00000000, 0x88aec6f3,
      0x1f42f70f, 0x38b546e9, 0x1f42fdd0, 0x38b086f4, 0x1f42facf],
     [0x0000ca8f, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xa096e68c, 0x16f2f4cf],
     [0x00010840, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x58964682, 0x15f2f6cf, 0x00000000, 0x00000000],
     [0x00010841, 0x00000000, 0x00000000, 0x00000000, 0x68a3868c,
      0x1abaf9cf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00010842, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x349345a1, 0x1712f58c, 0x64ba6697, 0x1f2afb4f],
     [0x00005671, 0x00000000, 0x00000000, 0x00000000, 0x98b20711,
      0x1f42f98e, 0x2cb606f7, 0x1f42fc8f, 0xb8ae6701, 0x1f43048e],
     [0x00010844, 0x00000000, 0x64ad868b, 0x1c0af48f, 0x00000000,
      0x00000000, 0x64b2e697, 0x1d92f64f, 0x7485e697, 0x121afa0f],
     [0x00005673, 0x00000000, 0x60b8e6fb, 0x1f42f40e, 0xe0b546ee,
      0x1f42f78e, 0x9cb7a6f7, 0x1f42f70f, 0x4cb6e6e5, 0x1f42f80f],
     [0x00005674, 0x00000000, 0x54b6a6de, 0x1f42fa50, 0x7cb1e6f3,
      0x1f42f68f, 0xe0b2e6dd, 0x1f42f74f, 0x28b546fa, 0x1f42f850],
     [0x00005675, 0x00000000, 0xd0b14725, 0x1f43038e, 0x00000000,
      0x00000000, 0xc8b4c6f5, 0x1f42f70f, 0x78b6c6e3, 0x1f42f64f],
     [0x000178cb, 0x00000000, 0x00000000, 0x00000000, 0x6492e6ef,
      0x14faf98c, 0x00000000, 0x00000000, 0x6496c6ef, 0x14c2ddcc],
     [0x000178cc, 0x00000000, 0x00000000, 0x00000000, 0x649266ef,
      0x1262d50c, 0x00000000, 0x00000000, 0x6482e6ef, 0x11daf98c],
     [0x00005678, 0x00000000, 0x5cafc6dd, 0x1f42fb0f, 0x08b0a703,
      0x1f42f950, 0x00000000, 0x00000000, 0xacb666ed, 0x1f42f54f],
     [0x0001084b, 0x00000000, 0x64af4697, 0x1db2f68f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x7483c5a1, 0x139af58f],
     [0x0001084c, 0x00000000, 0x649a4697, 0x1773070f, 0xa0afe690,
      0x1cbaf8cf, 0x00000000, 0x00000000, 0x64c2868a, 0x2182f78f],
     [0x0001084d, 0x00000000, 0x749385a1, 0x15caf58f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000178d1, 0x00000000, 0x00000000, 0x00000000, 0x648786ef,
      0x11daf6cc, 0x00000000, 0x00000000, 0x648d26ef, 0x0fc2e08c],
     [0x0001084f, 0x00000000, 0x708d4594, 0x13daf80f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xa0a00675, 0x1772f58f],
     [0x0000567e, 0x00000000, 0x00000000, 0x00000000, 0xe0b3a6fd,
      0x1f42f38f, 0x48b7c706, 0x1f42f44f, 0xd8ae66f3, 0x1f42f84f],
     [0x000178d4, 0x00000000, 0x00000000, 0x00000000, 0x648ea6ef,
      0x129af98c, 0x00000000, 0x00000000, 0x647fa6ef, 0x0ed2f30c],
     [0x000178d5, 0x00000000, 0x00000000, 0x00000000, 0x648786ef,
      0x1232f30c, 0x00000000, 0x00000000, 0x649f06ef, 0x16b2ee4c],
     [0x000178d6, 0x00000000, 0x00000000, 0x00000000, 0x6499c6ef,
      0x1372e3cc, 0x00000000, 0x00000000, 0x64a386ef, 0x1682f74c],
     [0x000178d7, 0x00000000, 0x00000000, 0x00000000, 0x64a1e6ef,
      0x1872f40c, 0x00000000, 0x00000000, 0x6493a6ef, 0x1302f30c],
     [0x000178d8, 0x00000000, 0x00000000, 0x00000000, 0x649ee6ef,
      0x16baee0c, 0x00000000, 0x00000000, 0x64b8c6ef, 0x1ceaef8c],
     [0x000178d9, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xf47e26ef, 0x0edae54b],
     [0x000178da, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xf48fe6ef, 0x106add0b],
     [0x000178db, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xf478c6ef, 0x0f2af20b],
     [0x00005687, 0x00000000, 0x4cb38735, 0x1f42f74e, 0x00000000,
      0x00000000, 0xf0b64705, 0x1f42f90e, 0x80a8e720, 0x1f42f90f],
     [0x00005688, 0x00000000, 0xb0b70727, 0x1f42f54f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xdcb26727, 0x1f42fa0e],
     [0x00005689, 0x00000000, 0x00000000, 0x00000000, 0xe0b48740,
      0x1f42f54e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000568a, 0x00000000, 0x00000000, 0x00000000, 0x48b7871c,
      0x1f42f70f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000178e0, 0x00000000, 0x689146ab, 0x14f2f08f, 0x00000000,
      0x00000000, 0x688946ab, 0x1372f18f, 0x00000000, 0x00000000],
     [0x000178e1, 0x00000000, 0x686f465c, 0x0cdaf28f, 0x00000000,
      0x00000000, 0x6868c5c1, 0x0b1af1cf, 0x00000000, 0x00000000],
     [0x000178e2, 0x00000000, 0xa07e0682, 0x0f6af44f, 0xa0798682,
      0x0f02f20f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000568e, 0x00000000, 0x70af6706, 0x1f42fe8f, 0x14b18706,
      0x1f42fc10, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000cab1, 0x00000000, 0x00000000, 0x00000000, 0x289246c2,
      0x1773020c, 0x289246c2, 0x1773020c, 0x00000000, 0x00000000],
     [0x00005690, 0x00000000, 0xf0b426f3, 0x1f42f74e, 0x4cb44724,
      0x1f42fe8e, 0x28aaa720, 0x1f43008f, 0x84b0870d, 0x1f42f68f],
     [0x00005691, 0x00000000, 0x8cafe6fa, 0x1f43014f, 0x00000000,
      0x00000000, 0x9cb5c731, 0x1f43048e, 0x78b2c706, 0x1f42fd8f],
     [0x00005692, 0x00000000, 0x40b40720, 0x1f42fe8f, 0xf0b3a6fb,
      0x1f42f18f, 0x88b7071d, 0x1f42f90e, 0x00000000, 0x00000000],
     [0x00005693, 0x00000000, 0xa8b526f1, 0x1f42f74f, 0xacb34725,
      0x1f42f94e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005694, 0x00000000, 0x58b2c6ff, 0x1f42fa8f, 0xf0b2c6fc,
      0x1f43014e, 0x9cb2470c, 0x1f42fe0f, 0x80af070e, 0x1f43094e],
     [0x00005695, 0x00000000, 0x00000000, 0x00000000, 0x44b30710,
      0x1f42fd4f, 0x40b52703, 0x1f42f84f, 0xc8b186f8, 0x1f42fd4f],
     [0x00005696, 0x00000000, 0x38b3c723, 0x1f42f58f, 0x00000000,
      0x00000000, 0x08b5a709, 0x1f42f74f, 0x28ae86f7, 0x1f43004f],
     [0x00005697, 0x00000000, 0xa0b286f0, 0x1f4307ce, 0xd0b5e6fe,
      0x1f42fe8f, 0x5caf6729, 0x1f43008e, 0xb8aac6f2, 0x1f42fd8f],
     [0x00005698, 0x00000000, 0xfcaee70a, 0x1f42ff8e, 0x00000000,
      0x00000000, 0xacb36748, 0x1f42f74e, 0x00000000, 0x00000000],
     [0x00005699, 0x00000000, 0x08ab06fe, 0x1f42fe4f, 0x8caf4715,
      0x1f42fc4e, 0x8cb50711, 0x1f42fa0e, 0x78af872c, 0x1f42fe4e],
     [0x0000569a, 0x00000000, 0x00000000, 0x00000000, 0x8cb06716,
      0x1f42ff4e, 0xd0b1c72b, 0x1f42f9ce, 0x00000000, 0x00000000],
     [0x0000569b, 0x00000000, 0x64af0703, 0x1f42fd50, 0x7cb2a703,
      0x1f42fc50, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000178f1, 0x00000000, 0x00000000, 0x00000000, 0x6479e5b6,
      0x1012f9cc, 0x7c60c5b6, 0x0b2afbcf, 0x00000000, 0x00000000],
     [0x0000569d, 0x00000000, 0xd0b12706, 0x1f43050e, 0x08b2670b,
      0x1f42f94f, 0xe8ae8719, 0x1f42f48e, 0xc8b4e73c, 0x1f42f74e],
     [0x0000569e, 0x00000000, 0xe8b1c703, 0x1f42fc0e, 0x00000000,
      0x00000000, 0x80b1472b, 0x1f4301ce, 0xa0aec725, 0x1f42fd8f],
     [0x0000569f, 0x00000000, 0x98b2c711, 0x1f42fa8f, 0x28b866fb,
      0x1f42fb8f, 0x00000000, 0x00000000, 0x60b5e710, 0x1f42f48e],
     [0x000056a0, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x6cb64701, 0x1f42fa4e],
     [0x000056a1, 0x00000000, 0x84b44716, 0x1f42fe4f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000056a2, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xd8ac0719, 0x1f42f94e, 0xf4b8a72d, 0x1f42fb8e],
     [0x000056a3, 0x00000000, 0x48aea6fd, 0x1f42f990, 0x00000000,
      0x00000000, 0x9cac8703, 0x1f42f94f, 0xf4b06713, 0x1f42fb8e],
     [0x000056a4, 0x00000000, 0xe0b066f1, 0x1f430b8e, 0x00000000,
      0x00000000, 0xacb7272d, 0x1f42f74e, 0x38b1c708, 0x1f42ff8f],
     [0x000056a5, 0x00000000, 0x64b146f1, 0x1f42fc8f, 0x7cb7c729,
      0x1f42f4ce, 0x00000000, 0x00000000, 0xa0b24709, 0x1f42fb4f],
     [0x000056a6, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x70ae870b, 0x1f42f80f, 0x3cb5072e, 0x1f42f68f],
     [0x000056a7, 0x00000000, 0x20aaa71e, 0x1f43024f, 0xdcad06f8,
      0x1f430d0e, 0x20b56707, 0x1f42fb4f, 0xd8af0711, 0x1f42f88e],
     [0x00018a99, 0x00000000, 0x30bc86ff, 0x209aff8b, 0x30bc86ff,
      0x209aff8b, 0xfc8e256a, 0x156afa0d, 0x108e26a7, 0x156afa10],
     [0x000056a9, 0x00000000, 0x68b7870b, 0x1f42f610, 0x9caf0707,
      0x1f42fd0f, 0xecae06f0, 0x1f42f94e, 0x74af86d9, 0x1f42f78f],
     [0x000056aa, 0x00000000, 0x00000000, 0x00000000, 0x00ac86f2,
      0x1f42f98f, 0x58b506e5, 0x1f42f550, 0x00000000, 0x00000000],
     [0x000056ab, 0x00000000, 0x08b4c707, 0x1f42fa8f, 0x00000000,
      0x00000000, 0x90b76721, 0x1f42fa8e, 0xd0afc713, 0x1f42fe0e],
     [0x000056ac, 0x00000000, 0xd0ad2714, 0x1f42face, 0xecb2270e,
      0x1f42f60e, 0x1cb50716, 0x1f42f60f, 0x84b2a727, 0x1f42f78f],
     [0x000056ad, 0x00000000, 0xf0b7c70a, 0x1f42fa4e, 0xf0b5271c,
      0x1f42f90e, 0x7cb0e715, 0x1f42f54e, 0xa0b1c6f6, 0x1f42f50e],
     [0x00010880, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x74796684, 0x0ebaf80f, 0x00000000, 0x00000000],
     [0x000056af, 0x00000000, 0x68b4a6df, 0x1f42f550, 0xf4b2c703,
      0x1f42f60e, 0xb8b7073c, 0x1f42f60e, 0x98b78707, 0x1f42f70f],
     [0x000056b0, 0x00000000, 0x8cb8c71c, 0x1f42f50e, 0xf8b7a738,
      0x1f42f38e, 0xfcb5c725, 0x1f42f48e, 0x00000000, 0x00000000],
     [0x000056b1, 0x00000000, 0x3cad86ee, 0x1f42f34f, 0x00000000,
      0x00000000, 0xfcb9470b, 0x1f42f54e, 0x1cb2a6f8, 0x1f42f34f],
     [0x000056b2, 0x00000000, 0xe8b14726, 0x1f42fcce, 0x84b6c6f7,
      0x1f42f44f, 0xd8b0e716, 0x1f42f84e, 0x78b186f6, 0x1f42f50f],
     [0x000056b3, 0x00000000, 0xacb6a73d, 0x1f42f90e, 0xc0b086f3,
      0x1f42fa0f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000056b4, 0x00000000, 0xa8b606e1, 0x1f42f950, 0x00000000,
      0x00000000, 0x3cb54707, 0x1f42f74f, 0x00000000, 0x00000000],
     [0x000056b5, 0x00000000, 0xbcae670e, 0x1f42fa4f, 0x00b186fd,
      0x1f42f60f, 0xecb0c715, 0x1f42f48e, 0x9cb3a6f3, 0x1f42f30f],
     [0x000056b6, 0x00000000, 0xe4b046f9, 0x1f42f84e, 0x98b5e6db,
      0x1f42f60f, 0xfcb8270a, 0x1f42f4ce, 0x0caf470e, 0x1f430f8f],
     [0x000180f3, 0x00000000, 0x7879a67e, 0x0fcaf6cf, 0x787c467e,
      0x1062f20f, 0x7888e67e, 0x138af54f, 0x00000000, 0x00000000],
     [0x00018aa1, 0x00000000, 0x7c8ca6f1, 0x156afd0d, 0x548e26d2,
      0x156afa0b, 0x548e26d2, 0x156afa0b, 0x408ca65c, 0x156afd0c],
     [0x000056b9, 0x00000000, 0x00000000, 0x00000000, 0xe0b1671d,
      0x1f42f60e, 0x3cb62741, 0x1f42f50e, 0x00000000, 0x00000000],
     [0x000056ba, 0x00000000, 0x24b4e728, 0x1f42f70f, 0x38b6a716,
      0x1f42f4cf, 0xc0b2e702, 0x1f42f54e, 0x3cb84735, 0x1f42f90f],
     [0x000056bb, 0x00000000, 0xd0b6671a, 0x1f42f74f, 0xdcb20719,
      0x1f42fd0e, 0x40b0e71b, 0x1f42f94e, 0x00000000, 0x00000000],
     [0x000056bc, 0x00000000, 0x00000000, 0x00000000, 0x20b06715,
      0x1f42f70f, 0x00000000, 0x00000000, 0xccade738, 0x1f430d8e],
     [0x000056bd, 0x00000000, 0x2cb1473a, 0x1f42f54e, 0x1cb3670a,
      0x1f42f40f, 0x88b28700, 0x1f42f54f, 0x3cae8700, 0x1f42f44e],
     [0x000056be, 0x00000000, 0xccb3673f, 0x1f42f60e, 0xdcb44736,
      0x1f42f50e, 0x7cab46f1, 0x1f42f70f, 0x24b306fb, 0x1f42f54f],
     [0x000180f7, 0x00000000, 0xa082c67e, 0x1162f0cf, 0xa874e5aa,
      0x0eb3020c, 0x68934705, 0x15faf14f, 0xa077667e, 0x0ffafe0f],
     [0x00018aa5, 0x00000000, 0xfc8ca74a, 0x156afd09, 0xb88c2668,
      0x156afc0d, 0xb88c2668, 0x156afc0d, 0xb88c2668, 0x156afc0d],
     [0x000180f8, 0x00000000, 0x389e668c, 0x190af0cc, 0x407b6625,
      0x1082ec8c, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000056c2, 0x00000000, 0x90b86728, 0x1f42f34e, 0xfcb36741,
      0x1f42f54e, 0x00000000, 0x00000000, 0x7cb4c6fa, 0x1f42f3ce],
     [0x000056c3, 0x00000000, 0x60b5c731, 0x1f42f64f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xd4b86708, 0x1f42f44e],
     [0x00018aa7, 0x00000000, 0x308ca6be, 0x156afd0c, 0x108ec680,
      0x156afb4d, 0x108d8680, 0x156af8cd, 0x748e26ee, 0x156afa0b],
     [0x000056c5, 0x00000000, 0xc8b586ff, 0x1f42f38f, 0x00000000,
      0x00000000, 0x18b2e71a, 0x1f43008f, 0x6cb04723, 0x1f42f90f],
     [0x000056c6, 0x00000000, 0x00000000, 0x00000000, 0x20b26719,
      0x1f42f70f, 0x08b34725, 0x1f42f40f, 0xe4b5c702, 0x1f42f60e],
     [0x000056c7, 0x00000000, 0x00000000, 0x00000000, 0x9cb66737,
      0x1f42f58e, 0x20ae071c, 0x1f42f94f, 0x00000000, 0x00000000],
     [0x00018aa9, 0x00000000, 0x3898c5fc, 0x1872fd0f, 0x38a1e5fc,
      0x1abafd0f, 0x388ca5fc, 0x156af6cf, 0x388fc5fc, 0x156afd0f],
     [0x000056c9, 0x00000000, 0xf0b88731, 0x1f42f28e, 0x8cb0e6fd,
      0x1f42f90e, 0x80b54737, 0x1f42f30e, 0x70b2c70a, 0x1f42f4cf],
     [0x00018aaa, 0x00000000, 0x7c8e8659, 0x156afa8d, 0x7c8de65a,
      0x156af94d, 0x248aa601, 0x156af94f, 0x248e8601, 0x156b010f],
     [0x000180fd, 0x00000000, 0x6894868c, 0x1692f68f, 0x787165b4,
      0x0dbaf44f, 0x787245b4, 0x0de2f60f, 0x00000000, 0x00000000],
     [0x000056cc, 0x00000000, 0xb0b5271a, 0x1f42fbce, 0x00000000,
      0x00000000, 0xa0b2a6e8, 0x1f42fd8f, 0x00000000, 0x00000000],
     [0x000056cd, 0x00000000, 0xb0b5873a, 0x1f43070e, 0x00000000,
      0x00000000, 0x64b8a747, 0x1f42f38e, 0x20b44721, 0x1f42f74f],
     [0x00018aac, 0x00000000, 0x048c2649, 0x156afe0e, 0x408ca65c,
      0x156afd0c, 0x408ca65c, 0x156afd0c, 0x548ca6b5, 0x156afd0c],
     [0x000056cf, 0x00000000, 0xf8afa6e5, 0x1f42f5ce, 0x68ade6ec,
      0x1f42fa4f, 0x78af66e7, 0x1f42f84f, 0xd4b52717, 0x1f42fa0f],
     [0x000056d0, 0x00000000, 0x80b26703, 0x1f42f68f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x64b7a72f, 0x1f42f70e],
     [0x00018100, 0x00000000, 0x00000000, 0x00000000, 0xa08a6750,
      0x13aaf38f, 0xac96067e, 0x17a2f28c, 0xa0828788, 0x11daf2cf],
     [0x000056d2, 0x00000000, 0x54afa735, 0x1f42fe8e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xa0b426fe, 0x1f42fd0e],
     [0x00018101, 0x00000000, 0x688c268c, 0x145af78f, 0x687e468c,
      0x1162fd8f, 0xa065e67e, 0x0a6af28f, 0xa066e750, 0x0a6af44f],
     [0x000056d4, 0x00000000, 0xf4b466ec, 0x1f4304ce, 0xcc9fc6f2,
      0x1f430f4e, 0x00000000, 0x00000000, 0x14b526fa, 0x1f431d8f],
     [0x00018102, 0x00000000, 0x686ac67e, 0x0baaec8f, 0x68b5c67e,
      0x1ee2f08f, 0xa0b9667e, 0x1fcaf2cf, 0xa0a0c67e, 0x191af28f],
     [0x000056d6, 0x00000000, 0xb0ae273e, 0x1f42ff8e, 0xb8b4e6b9,
      0x1f42fa4f, 0x9cb0e73b, 0x1f43068e, 0x78ab8729, 0x1f430b0e],
     [0x000056d7, 0x00000000, 0x6cb54707, 0x1f42f98f, 0x70b16741,
      0x1f42fbce, 0x00000000, 0x00000000, 0x94b20702, 0x1f4302cf],
     [0x00018ab1, 0x00000000, 0x048ca6ad, 0x156afd0e, 0x548c46b5,
      0x156afe0c, 0x548c66b5, 0x156afe4c, 0x108ca681, 0x156afd0d],
     [0x000056d9, 0x00000000, 0x20b6a701, 0x1f42f750, 0x44b0c743,
      0x1f43014e, 0x00adc70e, 0x1f43100f, 0x00000000, 0x00000000],
     [0x000056da, 0x00000000, 0x00000000, 0x00000000, 0x94b12709,
      0x1f42fc0f, 0x84af672a, 0x1f430b8e, 0xa0af0719, 0x1f43024e],
     [0x000056db, 0x00000000, 0xecb086e0, 0x1f43054e, 0x00000000,
      0x00000000, 0x20afc707, 0x1f43020f, 0x00000000, 0x00000000],
     [0x00018ab3, 0x00000000, 0xa48c86b5, 0x156afe8a, 0xccdf8616,
      0x2a42fe0e, 0xccdf8616, 0x2a42fe0e, 0x388b65fc, 0x156afa8f],
     [0x000056dd, 0x00000000, 0x00000000, 0x00000000, 0xb4b4c6fc,
      0x1f43010e, 0x00000000, 0x00000000, 0x80b20726, 0x1f43034e],
     [0x000056de, 0x00000000, 0x44b16732, 0x1f43060e, 0x00000000,
      0x00000000, 0xe0b1c6fd, 0x1f42f80e, 0x28b4672a, 0x1f42f84f],
     [0x00018107, 0x00000000, 0xa0ab667e, 0x1beaf2cf, 0xa096867e,
      0x16b2f2cf, 0x6894c68c, 0x16caf70f, 0xa096a67e, 0x16a2f2cf],
     [0x000056e0, 0x00000000, 0x40aba64a, 0x1f4313d3, 0x78b14732,
      0x1f4312ce, 0x00000000, 0x00000000, 0x90aea71e, 0x1f43118f],
     [0x00018108, 0x00000000, 0xa081667e, 0x11daf2cf, 0x688ea68c,
      0x152af70f, 0xa088867e, 0x1352f58f, 0x6495467e, 0x163af1cf],
     [0x000056e2, 0x00000000, 0x88af2735, 0x1f43120e, 0xf4b42725,
      0x1f42fe0e, 0x00000000, 0x00000000, 0xecb4e726, 0x1f431a0e],
     [0x000056e3, 0x00000000, 0x7cb2c732, 0x1f430acf, 0x20af26f7,
      0x1f43070f, 0x80ac66f7, 0x1f4313cf, 0x48afc72e, 0x1f43004f],
     [0x000056e4, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x68ae6707, 0x1f43110f, 0x10b0c71e, 0x1f43108f],
     [0x0001810a, 0x00000000, 0xa0b7267e, 0x1f12f54f, 0x3cb7267e,
      0x1f12f54d, 0xa096667e, 0x170af14f, 0xa0aaa67e, 0x1ba2f2cf],
     [0x000056e6, 0x00000000, 0xd8af0731, 0x1f43108e, 0xf0b2472c,
      0x1f430fce, 0xf4b3872c, 0x1f4309ce, 0x88b3c721, 0x1f430f4f],
     [0x0001810b, 0x00000000, 0xa086c67e, 0x1322f2cf, 0x688b268c,
      0x145af58f, 0x68aa668c, 0x1c32f2cf, 0xa08bc67e, 0x13eaeecf],
     [0x000056e8, 0x00000000, 0xfcaec72c, 0x1f43144f, 0xaca8671f,
      0x1f4315ce, 0xd0b5a740, 0x1f43010e, 0x38ae471f, 0x1f430f4f],
     [0x000056e9, 0x00000000, 0x20b0a71e, 0x1f4313cf, 0x74afe736,
      0x1f43078e, 0x24ad0735, 0x1f43134f, 0x0cae6723, 0x1f4318cf],
     [0x00018aba, 0x00000000, 0xa08e2623, 0x156afa0f, 0xbc8e269b,
      0x156afa0c, 0xa08e267e, 0x156afa0f, 0xa08e267e, 0x156afa0f],
     [0x000056eb, 0x00000000, 0x20aca703, 0x1f430ccf, 0xd0ae673d,
      0x1f43068e, 0x38b06726, 0x1f43128f, 0x00000000, 0x00000000],
     [0x000056ec, 0x00000000, 0x60b0873f, 0x1f430e8e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xccb1c73b, 0x1f43140e],
     [0x000056ed, 0x00000000, 0xd4b2c730, 0x1f4304ce, 0x44b1e740,
      0x1f43168e, 0x90b6a734, 0x1f4313ce, 0x00000000, 0x00000000],
     [0x000056ee, 0x00000000, 0xb8b66736, 0x1f43094e, 0xecb60730,
      0x1f43010e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00009100, 0x00000000, 0xa094a69a, 0x1692f04f, 0xa08be68c,
      0x14daf20f, 0x5494669b, 0x1692fa4f, 0xa094c68c, 0x1692f18f],
     [0x00009101, 0x00000000, 0xa08ea68c, 0x14daf20f, 0xa087668c,
      0x131af20f, 0x549ce69b, 0x1852f74f, 0xa09d668c, 0x1852f34f],
     [0x00009102, 0x00000000, 0xa06cc68c, 0x0c2af30f, 0x207a468c,
      0x0fa2eece, 0xa09ea68c, 0x1852f58f, 0xa08e468c, 0x14daf2cf],
     [0x00018abe, 0x00000000, 0x34c9867d, 0x2493048d, 0x308ca6be,
      0x156afd0c, 0x308ca6be, 0x156afd0c, 0x28a886ae, 0x1bf2f98c],
     [0x000056f3, 0x00000000, 0x48ae2735, 0x1f43154e, 0x90a9670b,
      0x1f43180f, 0x38a7e717, 0x1f43078f, 0x00000000, 0x00000000],
     [0x000056f4, 0x00000000, 0xbcb5e735, 0x1f4306ce, 0xf8aa0727,
      0x1f43020e, 0x80b6a739, 0x1f43070e, 0x60af273d, 0x1f43164e],
     [0x00018112, 0x00000000, 0xa09ba5aa, 0x1802f3cf, 0x7c9ba5aa,
      0x1802f3cd, 0xa07de5aa, 0x10daf00f, 0xa08f45aa, 0x14f2f3cf],
     [0x000056f6, 0x00000000, 0x50ace741, 0x1f431a0e, 0x40b4a720,
      0x1f42ff8f, 0x00000000, 0x00000000, 0x74b5e73c, 0x1f430f8e],
     [0x000056f7, 0x00000000, 0x00000000, 0x00000000, 0xdcab0735,
      0x1f43068e, 0x9cae473a, 0x1f43124e, 0x5cb78740, 0x1f42fece],
     [0x000056f8, 0x00000000, 0x88ad472e, 0x1f430c4e, 0x74b6c731,
      0x1f43024e, 0x8cb2e73d, 0x1f42fcce, 0xccade72a, 0x1f43084e],
     [0x00007daf, 0x00000000, 0x50b82724, 0x1f42f4ce, 0x50b82724,
      0x1f42f4ce, 0x50b82724, 0x1f42f4ce, 0x50b82724, 0x1f42f4ce],
     [0x00007db0, 0x00000000, 0x50b82724, 0x1f42f4ce, 0x50b82724,
      0x1f42f4ce, 0x50b82724, 0x1f42f4ce, 0x50b82724, 0x1f42f4ce],
     [0x00007db1, 0x00000000, 0x50b82724, 0x1f42f4ce, 0xd88986ca,
      0x1f43520f, 0xd89966ca, 0x1f43324f, 0xd8a846ca, 0x1f43148f],
     [0x00007db2, 0x00000000, 0x7ca786ca, 0x1f43160f, 0x7c9da5d4,
      0x1f4329cf, 0x7cab86ca, 0x1f430e0f, 0x7cb526ca, 0x1f42facf],
     [0x00018116, 0x00000000, 0x3855e693, 0x08b2dacc, 0x789245aa,
      0x15f2f00f, 0xa094a5aa, 0x168af3cf, 0xa07ce693, 0x1002ef8f],
     [0x00007db4, 0x00000000, 0x1c6566d8, 0x1f42f7d0, 0x0c88e6f4,
      0x1f43534f, 0x60aba630, 0x1f431154, 0x94a466e0, 0x1f4316cf],
     [0x000056ff, 0x00000000, 0xbcb026fc, 0x1f430cce, 0x00000000,
      0x00000000, 0x6cb40704, 0x1f42fd0f, 0x98ac8734, 0x1f430a8e],
     [0x00009111, 0x00000000, 0x4099e683, 0x186afa8d, 0xa0992675,
      0x1722f78f, 0x78938684, 0x1452fa8f, 0xa0924675, 0x1132f44f],
     [0x00007db7, 0x00000000, 0x24a706d8, 0x1f431550, 0xaca2a6df,
      0x1f43244f, 0x54a1a704, 0x1f43070f, 0xecb2e6a0, 0x1f42facf],
     [0x00005702, 0x00000000, 0x40b0e738, 0x1f43068e, 0x68b58711,
      0x1f42f6ce, 0x50b3c741, 0x1f43038e, 0x70afe73e, 0x1f43048e],
     [0x00007db9, 0x00000000, 0x94a0c71a, 0x1f42fb0f, 0x90b4072e,
      0x1f42fcd3, 0x8cae8725, 0x1f43084e, 0xb4b06719, 0x1f43110e],
     [0x00007dba, 0x00000000, 0x2c6f6630, 0x0fa30957, 0xb891e6ee,
      0x1f434119, 0x5c95e69a, 0x1f433951, 0x5ca486d6, 0x1f431c11],
     [0x00007dbb, 0x00000000, 0x48a3a679, 0x1f431bd0, 0x48a0c6d6,
      0x1f430290, 0xf88ec609, 0x1f433391, 0xecb7a70e, 0x1f430b8f],
     [0x00007dbc, 0x00000000, 0xb4a42698, 0x1f431390, 0x90a606e4,
      0x1f431850, 0xc8a32695, 0x1f431e90, 0x38ab6590, 0x1f430c54],
     [0x00009118, 0x00000000, 0x746f45a1, 0x0dc2fa8f, 0x7c61e61f,
      0x09caf80f, 0x7c7605a1, 0x0ed2f58f, 0x7c7a65b2, 0x0fd3000f],
     [0x00009119, 0x00000000, 0x7c9c05b4, 0x183b000f, 0x7c7e45a1,
      0x1132f58f, 0xc47c85a0, 0x0f82f58c, 0x6878e5aa, 0x0f9af88f],
     [0x00005709, 0x00000000, 0xecb6e70a, 0x1f430e8f, 0x24b1c6ef,
      0x1f42facf, 0x00000000, 0x00000000, 0x8cb2c71c, 0x1f43140f],
     [0x0000911b, 0x00000000, 0xa09cc685, 0x16e2f88f, 0xa09c4685,
      0x13daf90f, 0x709e8695, 0x1802fbcf, 0xa0b4c685, 0x1bdaf88f],
     [0x0000911c, 0x00000000, 0xa0842685, 0x0fb2f88f, 0x708f4685,
      0x1172fe8f, 0xa0a76685, 0x18daf88f, 0xa0960685, 0x1742f88f],
     [0x00007dc2, 0x00000000, 0x90aca72a, 0x1f43150e, 0xec9d2690,
      0x1f43250f, 0xecaae70a, 0x1f431acf, 0xc89786c2, 0x1f43234e],
     [0x00007dc3, 0x00000000, 0xc8a7c71e, 0x1f43190e, 0xe8a106ce,
      0x1f431c0f, 0xe8a106ec, 0x1f431c0f, 0x4cada6f9, 0x1f430a4e],
     [0x00007dc4, 0x00000000, 0x4caf8743, 0x1f430a4e, 0xe8b066a8,
      0x1f43044f, 0xe8b60700, 0x1f43010f, 0x60a3c6db, 0x1f4319cf],
     [0x00009120, 0x00000000, 0xa0992685, 0x112af7cf, 0xa0a64685,
      0x18eafe8f, 0x788305b6, 0x122af90f, 0x807b6695, 0x0feafa8f],
     [0x00009121, 0x00000000, 0x787805b6, 0x0eeaf90f, 0x68882695,
      0x129af90f, 0x7877e5b6, 0x0f92f90f, 0x688d8695, 0x11e2f90c],
     [0x00009122, 0x00000000, 0x748065b6, 0x107af38c, 0x78826695,
      0x1202fa8f, 0x7c640654, 0x0b2afbcf, 0x64724654, 0x0d7ae98c],
     [0x00009123, 0x00000000, 0x7484e696, 0x1222fbcf, 0x7c654695,
      0x0ad2fa8f, 0x7c9965bb, 0x17c2f64f, 0x788045bb, 0x117af64f],
     [0x00005713, 0x00000000, 0x6c9e6704, 0x1f42fd4e, 0x54b6e719,
      0x1f42fe4f, 0xccb6a71f, 0x1f42f98e, 0x68b0072e, 0x1f42fa8e],
     [0x00009125, 0x00000000, 0x7472e5b6, 0x0ed2fbcf, 0x78664638,
      0x0afaf90f, 0x787d45b7, 0x10baf64f, 0x6881e5c1, 0x1152fb0f],
     [0x00005715, 0x00000000, 0x08b666f8, 0x1f430310, 0xbcb8e73c,
      0x1f42fc4e, 0xb8a9070a, 0x1f43064e, 0x00000000, 0x00000000],
     [0x00005716, 0x00000000, 0x7cb1a6d5, 0x1f42f68f, 0xd4ad2702,
      0x1f42fd4e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005717, 0x00000000, 0x24b3e71e, 0x1f42fb8f, 0x1cabe71c,
      0x1f42f98f, 0x08aa8706, 0x1f43018f, 0x00000000, 0x00000000],
     [0x00005718, 0x00000000, 0xe4b36722, 0x1f42f98e, 0xb4aae704,
      0x1f42fd8e, 0x80b0e730, 0x1f42fb8e, 0xb8b4c721, 0x1f42f6ce],
     [0x00005719, 0x00000000, 0x74a8a72b, 0x1f42fc4e, 0xf8b5672d,
      0x1f42f78e, 0x94b06724, 0x1f42f5ce, 0xccb1c720, 0x1f42fc8e],
     [0x0000571a, 0x00000000, 0xf4b1c740, 0x1f42fb8e, 0xe0b5a716,
      0x1f43008e, 0x80b4c723, 0x1f42f98e, 0x00000000, 0x00000000],
     [0x00007dd1, 0x00000000, 0x009fe654, 0x1f43188f, 0x00a926f4,
      0x1f43068f, 0xcca766db, 0x1f430e4f, 0xc4a526e4, 0x1f43134f],
     [0x00007dd2, 0x00000000, 0xc8a48703, 0x1f431e0e, 0xd0aa66e6,
      0x1f430c4f, 0x3c9aa621, 0x1f432e90, 0x58a066a8, 0x1f431dd0],
     [0x00007dd3, 0x00000000, 0xe88ce657, 0x1f43264f, 0xe88d66e2,
      0x1f43124f, 0xb496262c, 0x1f432b4f, 0xd09ea6bd, 0x1f431f0f],
     [0x0000912f, 0x00000000, 0x00000000, 0x00000000, 0x7494c697,
      0x178af78f, 0x747b0675, 0x0f8302cf, 0x34984675, 0x16d2f04c],
     [0x00009130, 0x00000000, 0x7491c697, 0x16b2f80f, 0x7485e697,
      0x121afa0f, 0x74b8c5a1, 0x2072fa4f, 0x749625a1, 0x17cafa4f],
     [0x00007dd6, 0x00000000, 0xb899e69d, 0x1f431ecf, 0xb8aca6eb,
      0x1f43110f, 0x34a186ac, 0x1f4316cf, 0x34a68708, 0x1f4316cf],
     [0x00005721, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x30b546c9, 0x1f42fd50, 0x00000000, 0x00000000],
     [0x00009133, 0x00000000, 0x74a905a1, 0x1bc2f58f, 0x7492e5a1,
      0x1782fe4f, 0x348ba590, 0x1492f58c, 0x748ba5c6, 0x159afb0f],
     [0x00005723, 0x00000000, 0xe4ade733, 0x1f4309ce, 0xe8b186d7,
      0x1f42fa8e, 0x00000000, 0x00000000, 0x98b7a6ef, 0x1f42fb0f],
     [0x00007dda, 0x00000000, 0xd89b868a, 0x1f431d8f, 0xd8ad86d6,
      0x1f43134f, 0xb0a886e0, 0x1f43110f, 0xb0af06e9, 0x1f43110f],
     [0x00007ddb, 0x00000000, 0x6096c5c5, 0x1f43268f, 0x7c9f0647,
      0x1f431a4f, 0x7cacc6fc, 0x1f43138f, 0x94a62696, 0x1f4317cf],
     [0x00007ddc, 0x00000000, 0x94aee6e9, 0x1f43110f, 0x749026c3,
      0x1f4344d0, 0x74a106ea, 0x1f4344d0, 0xcca486df, 0x1f43160f],
     [0x00009138, 0x00000000, 0xd09c26a3, 0x194b000e, 0x4cb826a3,
      0x20c2fbcf, 0x4ca026a3, 0x1983024f, 0x4cbea6a3, 0x2032fe4f],
     [0x00009139, 0x00000000, 0x4caf86a3, 0x1e22fd0f, 0x4cbe86a3,
      0x2082fd0f, 0x4ce1c6a3, 0x2942fd0f, 0x4cbcc6a3, 0x204afe0f],
     [0x00007ddf, 0x00000000, 0x90a6c6ff, 0x1f432010, 0x90a6e6d0,
      0x1f431910, 0x7c9c8654, 0x1f4324d0, 0x7cae26ed, 0x1f431750],
     [0x0000572a, 0x00000000, 0x98b5c6dd, 0x1f42fed0, 0x48a8a72b,
      0x1f42fdcf, 0xe8a6a71c, 0x1f43218e, 0x90b106f2, 0x1f42fa8f],
     [0x0000572b, 0x00000000, 0x9caf66ed, 0x1f42fcce, 0x58b726eb,
      0x1f42fa0f, 0xa4b486f2, 0x1f42fe8f, 0x34ae06bf, 0x1f42fbd0],
     [0x00007de2, 0x00000000, 0x3c93e6b9, 0x1f433a10, 0x54a1c69e,
      0x1f432251, 0xb89da685, 0x1f431dd0, 0xd8a5c67b, 0x1f431090],
     [0x0000572d, 0x00000000, 0x00000000, 0x00000000, 0x5caea6f4,
      0x1f42fbcf, 0xb8a786f9, 0x1f42ffcf, 0x60b5c6d6, 0x1f42fa0f],
     [0x00007de4, 0x00000000, 0x009325f6, 0x1f4336d1, 0x00996663,
      0x1f432c11, 0x889c06d7, 0x1f432010, 0xdc91e6d7, 0x1f43300f],
     [0x00007de5, 0x00000000, 0x74af867f, 0x1f430b50, 0x78a1e688,
      0x1f4324d1, 0xaca0464a, 0x1f432391, 0xf098a5f2, 0x1f43304f],
     [0x00009141, 0x00000000, 0x489b469f, 0x188af9cf, 0x409f46a8,
      0x19b2fa0f, 0x00000000, 0x00000000, 0x40a4a69f, 0x1b22fa8f],
     [0x00007de7, 0x00000000, 0x64a16688, 0x1f4324d0, 0xd0aa86db,
      0x1f43180f, 0x7c95663d, 0x1f432cd0, 0x1c9d2615, 0x1f4329cf],
     [0x00009143, 0x00000000, 0x00000000, 0x00000000, 0x7098a69f,
      0x1822fa8c, 0x48a2a69f, 0x1a72fa8f, 0x408cc69f, 0x14eaf9cf],
     [0x00007de9, 0x00000000, 0x689a468e, 0x1f43278f, 0xc49c468e,
      0x1f432c90, 0xc49b06f6, 0x1f432f50, 0xa0a68698, 0x1f431a50],
     [0x00007dea, 0x00000000, 0xa0932698, 0x1f432f90, 0xc89ae68e,
      0x1f431f10, 0xc89ae6ff, 0x1f431f10, 0xa0970697, 0x1f432090],
     [0x00007deb, 0x00000000, 0x9c9c268e, 0x1f431ed0, 0xc8a7668e,
      0x1f4317d0, 0xc89e268e, 0x1f432910, 0x9c9cc698, 0x1f432b90],
     [0x00007dec, 0x00000000, 0xc89fc68e, 0x1f432210, 0xc89c868e,
      0x1f432c50, 0xa0970698, 0x1f431cd0, 0xc89e268e, 0x1f432910],
     [0x00009148, 0x00000000, 0x586985bc, 0x0c0afc4f, 0x5877669f,
      0x0fd2f94f, 0x586de5bc, 0x0d22f9cf, 0x5c66069e, 0x0a3af4cc],
     [0x00009149, 0x00000000, 0x5c7825bc, 0x0f9afacc, 0x5c7a069f,
      0x1082fa0c, 0x5868c69e, 0x0c02f88f, 0x5c65669f, 0x0acaf90c],
     [0x0000914a, 0x00000000, 0x586c869f, 0x0d22fa0f, 0x586a469f,
      0x0c72f98f, 0x3ca985bc, 0x1c72fccf, 0x3c8745bc, 0x13e2fd0f],
     [0x0000573a, 0x00000000, 0xc0b086ff, 0x1f42f7ce, 0xb4ada702,
      0x1f4309ce, 0xb8b986c7, 0x1f42fe8f, 0x00000000, 0x00000000],
     [0x0000914c, 0x00000000, 0x40792657, 0x1032fa4f, 0x5868a678,
      0x0bb2f78f, 0x5888a5c6, 0x143afd0f, 0x58788632, 0x101af9cf],
     [0x0000914d, 0x00000000, 0x3c970632, 0x17baf84f, 0xac7145bc,
      0x0e42f94c, 0x5c788632, 0x1022fa0c, 0x5c7165bc, 0x0e4af8cc],
     [0x0000914e, 0x00000000, 0xa094e67e, 0x172afa8f, 0xa08cc67e,
      0x1522ff8f, 0x00000000, 0x00000000, 0xa093267e, 0x1692ff8f],
     [0x0000914f, 0x00000000, 0xa085667e, 0x1372ff8f, 0xa085667e,
      0x0eaaff8f, 0x6c91868c, 0x1612f94f, 0x00000000, 0x00000000],
     [0x00009150, 0x00000000, 0xa05d067e, 0x0a13018f, 0x687c667e,
      0x1182f80f, 0xa099a68a, 0x16faff8f, 0xa085e67e, 0x127aff8f],
     [0x00009151, 0x00000000, 0xa0a0a67e, 0x1abaff8f, 0x00000000,
      0x00000000, 0x6897e68c, 0x17c2f94f, 0x00000000, 0x00000000],
     [0x00007df7, 0x00000000, 0xc493c5cc, 0x1f432ed0, 0xc49905cc,
      0x1f432510, 0xc490e5cc, 0x1f433e90, 0x9c8f65cc, 0x1f433d90],
     [0x00009153, 0x00000000, 0x688da67e, 0x15d2fe4f, 0xa090267e,
      0x11c2f10f, 0xa0b5267e, 0x1cc2f10f, 0xa09a267e, 0x1802f6cf],
     [0x00005743, 0x00000000, 0x54ae06f2, 0x1f4306cf, 0xecb3470b,
      0x1f43004e, 0x64b6c733, 0x1f43000e, 0x20b02714, 0x1f43040f],
     [0x00009155, 0x00000000, 0x7879e5b4, 0x1042f94f, 0x787f6693,
      0x11f2f94f, 0x787a45b4, 0x105af94f, 0xa0746693, 0x0b82f44f],
     [0x00009156, 0x00000000, 0x387f65b4, 0x11f2f94c, 0xa07ba693,
      0x1102fbcf, 0xa057e693, 0x0812fbcf, 0x3c5dc693, 0x098aea4c],
     [0x00010918, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x00010919, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x0001091a, 0x00000000, 0x6894068c, 0x1562ee0f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000915a, 0x00000000, 0xa09565aa, 0x1522f30f, 0xa080c5aa,
      0x1182f58f, 0x387e45aa, 0x0ea2f30c, 0xa07a05aa, 0x103af8cf],
     [0x0000915b, 0x00000000, 0x3ca326a5, 0x1ac2fa8f, 0x54a1c6a5,
      0x1a8afa8f, 0x5499e6a5, 0x182afb8f, 0x54a706a5, 0x1bdafb8f],
     [0x0000915c, 0x00000000, 0x5499e6a5, 0x18a2fb8f, 0x6c9c06a5,
      0x191afb8c, 0x54a026a5, 0x1a0afb8f, 0x6ca1e6a5, 0x1a5af88c],
     [0x0000574c, 0x00000000, 0x9cae86fe, 0x1f42fe8f, 0x68a20712,
      0x1f43064e, 0x54b4271c, 0x1f43064f, 0x94b6a715, 0x1f43010e],
     [0x0000915e, 0x00000000, 0x3cc5a6a5, 0x236afa8f, 0x3ca3c6a5,
      0x1af2fa8f, 0x54a946a5, 0x1c6afb8f, 0x6ca1e6a5, 0x1a92fa8c],
     [0x0000b815, 0x00000000, 0x789365ec, 0x1582f74f, 0x6884e5c3,
      0x11daf30f, 0x748c85b3, 0x13c2f08f, 0x7088e5b3, 0x1382f54f],
     [0x0000574f, 0x00000000, 0x20b666dd, 0x1f43020f, 0xe0afc71a,
      0x1f430f8e, 0xe8b446f3, 0x1f42fbcf, 0xacb1e706, 0x1f4300ce],
     [0x00005750, 0x00000000, 0x8cb02707, 0x1f42fece, 0xf0b4671a,
      0x1f42ff8e, 0x5caee729, 0x1f42fd8e, 0xacac0731, 0x1f42f80e],
     [0x00005751, 0x00000000, 0x00000000, 0x00000000, 0xe4a9470d,
      0x1f430c0e, 0x00000000, 0x00000000, 0x64b2671c, 0x1f42fa8f],
     [0x0000b819, 0x00000000, 0x2c73a6f1, 0x000305d8, 0xd467e35b,
      0x0002ee49, 0x2c7206ea, 0x00030758, 0xd467e35b, 0x0002ee49],
     [0x00005753, 0x00000000, 0x58b06723, 0x1f42facf, 0x00000000,
      0x00000000, 0x74ae66f6, 0x1f43040f, 0x00000000, 0x00000000],
     [0x00005754, 0x00000000, 0x64b6a743, 0x1f42ff4e, 0xd4ac66fc,
      0x1f43074e, 0x04ae0709, 0x1f43120f, 0x00000000, 0x00000000],
     [0x00005755, 0x00000000, 0x00000000, 0x00000000, 0xf0b6271c,
      0x1f43018e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000b81d, 0x00000000, 0x00000000, 0x00000000, 0xc48e265a,
      0x156afa0d, 0xc48e265a, 0x156afa0d, 0xf08e26bd, 0x156afa0b],
     [0x00005757, 0x00000000, 0x0cb1a731, 0x1f43018f, 0xf0b4a720,
      0x1f42fa0e, 0x6cb48735, 0x1f430a0e, 0x00000000, 0x00000000],
     [0x00005758, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xdcb8a70c, 0x1f42fbce, 0xe0b2671e, 0x1f42fc0e],
     [0x00005759, 0x00000000, 0x00000000, 0x00000000, 0x0cb066e6,
      0x1f42fa0f, 0x00000000, 0x00000000, 0x30ada6c9, 0x1f42fd4f],
     [0x0000b821, 0x00000000, 0x7c8c26ad, 0x156afc0c, 0x7c8c26ad,
      0x156afc0c, 0xc48c271a, 0x156afc0a, 0xc48c271a, 0x156afbca],
     [0x0001092d, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x0000575c, 0x00000000, 0x00000000, 0x00000000, 0xd0b9270e,
      0x1f42fe4e, 0x18b54729, 0x1f42fe4f, 0x80aec731, 0x1f43078e],
     [0x0001092f, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x00010930, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x00010931, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x00010932, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x00010933, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x00010934, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x00005763, 0x00000000, 0x84a6e72a, 0x1f43170e, 0x1caf86e1,
      0x1f42f50f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00009175, 0x00000000, 0xa091a69a, 0x1592f44f, 0xa088c68c,
      0x13e3020f, 0x5494869b, 0x169afa4f, 0xa092c68c, 0x162b020f],
     [0x00009176, 0x00000000, 0xa089268c, 0x13db020f, 0xa085c68c,
      0x1233020f, 0x5492669b, 0x1752f74f, 0xa08de68c, 0x165b020f],
     [0x00005766, 0x00000000, 0x00000000, 0x00000000, 0x1cb08730,
      0x1f42fd0e, 0x70b8a734, 0x1f4302ce, 0x00000000, 0x00000000],
     [0x0000b82e, 0x00000000, 0x74e14797, 0x2a02fecf, 0x74e14797,
      0x2a02fecf, 0x00000000, 0x00000000, 0x0c8e2656, 0x156afa0e],
     [0x0000b82f, 0x00000000, 0xfc8de60b, 0x156af9ce, 0x3891067e,
      0x1632f1cc, 0x38c4a6dd, 0x2272f1cc, 0xf087c72c, 0x13e2fa8b],
     [0x00005769, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xacab670e, 0x1f42fb0e],
     [0x0000917b, 0x00000000, 0xa092c68c, 0x15b2f30f, 0xa08c668c,
      0x146af44f, 0x687405c1, 0x0f4af3cf, 0x6c7b668c, 0x1002fbcf],
     [0x0000576b, 0x00000000, 0x0cb10738, 0x1f42fe4f, 0x9caac733,
      0x1f43170e, 0x5cb646e8, 0x1f42f78f, 0xf0af8723, 0x1f430f4e],
     [0x0000917d, 0x00000000, 0x687bc5c0, 0x0fc2f50c, 0xa077668c,
      0x0ff2fbcf, 0xa056e698, 0x07aafa8f, 0x74602698, 0x0a22dfcc],
     [0x0000917e, 0x00000000, 0xa07dc68c, 0x103afbcf, 0xa055068c,
      0x075afbcf, 0xa098a5c1, 0x1842fbcf, 0xa07765c1, 0x0ff2fbcf],
     [0x0000917f, 0x00000000, 0x687a05c1, 0x0faaf44f, 0x6c7b65c1,
      0x1002fbcc, 0x6c77a5c1, 0x1002f44c, 0xa07145c1, 0x0cdafbcf],
     [0x0000576f, 0x00000000, 0x38b7a71f, 0x1f42fc0f, 0xd0b54733,
      0x1f42f9ce, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00009181, 0x00000000, 0x689405b5, 0x15eaf24f, 0xa07b45b5,
      0x0fd2f30f, 0x6c7765b5, 0x0ec2f28c, 0xa072a5b5, 0x0dcaf34f],
     [0x00010943, 0x00000000, 0xe498853c, 0x16233d4a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005772, 0x00000000, 0x00000000, 0x00000000, 0x54b6e739,
      0x1f42f6ce, 0x00000000, 0x00000000, 0xa0b1273e, 0x1f43068e],
     [0x00010945, 0x00000000, 0xcc988776, 0x16233d53, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00010946, 0x00000000, 0xcc6f4776, 0x1622eb53, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00010947, 0x00000000, 0xe4986776, 0x16233d4a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005776, 0x00000000, 0x3cb84728, 0x1f42fb8f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x24a706d8, 0x1f431550],
     [0x00005777, 0x00000000, 0x00000000, 0x00000000, 0x48a2a707,
      0x1f43094f, 0xf8a6e70f, 0x1f430e0e, 0x2cb7a707, 0x1f4313cf],
     [0x00009189, 0x00000000, 0x787d65b7, 0x0e42fecf, 0x74898694,
      0x0f73000f, 0x787b65b7, 0x0de2ff4f, 0xa0804693, 0x0a83074f],
     [0x0001094b, 0x00000000, 0xe498653c, 0x1622eb4a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000577a, 0x00000000, 0xd4a8e6da, 0x1f43210f, 0x40b6c6c6,
      0x1f4300d0, 0x00000000, 0x00000000, 0x7cb326c0, 0x1f430790],
     [0x0001094d, 0x00000000, 0xcc986776, 0x1622eb53, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000918d, 0x00000000, 0x787485b7, 0x0c2afd4f, 0x786d862c,
      0x091b060f, 0x748185ad, 0x0f5b044f, 0x6883e5ad, 0x0ed311cf],
     [0x0001094f, 0x00000000, 0xe4986776, 0x1622eb4a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000918f, 0x00000000, 0xa091a69a, 0x1592f44f, 0xa094e68c,
      0x13e3020f, 0x54a2269b, 0x169b0bcf, 0xa09f068c, 0x162b020f],
     [0x00009190, 0x00000000, 0xa099868c, 0x13db020f, 0xa099268c,
      0x1233020f, 0x54a0a69b, 0x175308cf, 0xa0a2e68c, 0x165b020f],
     [0x00009191, 0x00000000, 0xa081468c, 0x0dc301cf, 0x2086468c,
      0x0f0af1ce, 0xa0a4868c, 0x1643020f, 0xa08b068c, 0x12db020f],
     [0x00009192, 0x00000000, 0xa0bba68c, 0x1c8b020f, 0x58a4068c,
      0x16a3020f, 0x58a7869c, 0x1853088f, 0xa095668c, 0x122b020f],
     [0x00010954, 0x00000000, 0x58986599, 0x1622eb52, 0xe47ae776,
      0x1623264a, 0xe4988599, 0x16233d4a, 0xe498853c, 0x1623264a],
     [0x00010955, 0x00000000, 0xe4986599, 0x1623264a, 0xe46f4599,
      0x1622eb4a, 0xe47ae53c, 0x1622eb4a, 0xe47ae599, 0x1622eb4a],
     [0x00010956, 0x00000000, 0x58988776, 0x16233d52, 0xcc988776,
      0x16232653, 0x58986776, 0x16232652, 0x586f4776, 0x1622eb52],
     [0x00010957, 0x00000000, 0xcc7ae776, 0x1622eb53, 0x587ae776,
      0x1622eb52, 0xe4988776, 0x16233d4a, 0xe4988776, 0x1623264a],
     [0x00010958, 0x00000000, 0xe4988776, 0x1623264a, 0xe46f4776,
      0x1622eb4a, 0xe47ae776, 0x1622eb4a, 0xe47ae776, 0x1622eb4a],
     [0x00010959, 0x00000000, 0xe4986599, 0x1622eb4a, 0xe498653c,
      0x1622eb4a, 0xe4986599, 0x1622eb4a, 0x58986776, 0x1622eb52],
     [0x0001095a, 0x00000000, 0xcc986776, 0x1622eb53, 0x58986776,
      0x1622eb52, 0xe4986776, 0x1622eb4a, 0xe4986776, 0x1622eb4a],
     [0x0001095b, 0x00000000, 0xe4986776, 0x1622eb4a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000578a, 0x00000000, 0x58b78707, 0x1f43048f, 0xf4ab06f7,
      0x1f43098e, 0xfcb5670b, 0x1f42fa4e, 0xe8ada71e, 0x1f43140e],
     [0x0000c80d, 0x00000000, 0x788346b1, 0x138b00d6, 0x785be6b1,
      0x09b300d6, 0x786f86b1, 0x0e9b00d6, 0x788346b1, 0x138b00d6],
     [0x0000578c, 0x00000000, 0x8cb04711, 0x1f4304ce, 0xc8af0727,
      0x1f43068e, 0x00000000, 0x00000000, 0x08b7e71a, 0x1f43010f],
     [0x0000919e, 0x00000000, 0xa075467e, 0x106b030f, 0x747a067e,
      0x106b034f, 0xa07c467e, 0x106af58f, 0xa07b667e, 0x106af74f],
     [0x0000578e, 0x00000000, 0x7cb02741, 0x1f430f8e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xa0b0671e, 0x1f43030e],
     [0x0000578f, 0x00000000, 0x38aec708, 0x1f43048f, 0x2cace707,
      0x1f43094f, 0xf0ab86e8, 0x1f43048e, 0x00000000, 0x00000000],
     [0x00005790, 0x00000000, 0x2cac671d, 0x1f430a8f, 0x04ab6703,
      0x1f4309cf, 0xc8b60714, 0x1f43080e, 0x4caee745, 0x1f43038e],
     [0x00004964, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00b14706, 0x1f43024f],
     [0x000091a3, 0x00000000, 0x887885b3, 0x106b018f, 0x887da649,
      0x106af84f, 0x887845b3, 0x106afd0f, 0xa075264f, 0x106af88f],
     [0x00005793, 0x00000000, 0x68b766f9, 0x1f43020f, 0xdcb086f7,
      0x1f42ff8e, 0xdcadc6f7, 0x1f42ff8e, 0xb4b7a6fe, 0x1f42ff8e],
     [0x00005794, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x40b82733, 0x1f42fe0e],
     [0x000091a6, 0x00000000, 0x887805b3, 0x106afd8f, 0x2c7aa5b0,
      0x106af24c, 0x2c80c5b0, 0x106af94c, 0xa07b25b0, 0x106af74f],
     [0x00005796, 0x00000000, 0x34b56729, 0x1f43030e, 0xecb9a735,
      0x1f43020e, 0x00000000, 0x00000000, 0x1cb4c73c, 0x1f4303ce],
     [0x000091a8, 0x00000000, 0x907e05aa, 0x106af1cf, 0xa07cc5aa,
      0x106af3cf, 0x147d25aa, 0x106af40c, 0xa079a5aa, 0x106af60f],
     [0x0000b85f, 0x00000000, 0x78796693, 0x0f9af50f, 0xa08de68a,
      0x14d2f5cf, 0xa082e67e, 0x12e3008f, 0xa07fe67e, 0x10bb008f],
     [0x0000b860, 0x00000000, 0xa08de68a, 0x14d2f5cf, 0xa082067e,
      0x123b008f, 0xa089e67e, 0x13eaf50f, 0xa087867e, 0x1493008f],
     [0x0000579a, 0x00000000, 0xdcad672a, 0x1f4305ce, 0xf8b00720,
      0x1f43054e, 0x94b8e71e, 0x1f4300ce, 0x40aaa72b, 0x1f4309ce],
     [0x0000579b, 0x00000000, 0x80b16729, 0x1f43050e, 0xd0b88718,
      0x1f4303ce, 0x28b22707, 0x1f42fe8f, 0xecacc71d, 0x1f43078e],
     [0x0000b863, 0x00000000, 0xa087867e, 0x1493008f, 0xa07e867e,
      0x106b008f, 0x6894068c, 0x1652f58f, 0xa088c67e, 0x1382f48f],
     [0x0000579d, 0x00000000, 0x4cb2272f, 0x1f42fece, 0xb8b0a6c5,
      0x1f43088e, 0x8cb0e730, 0x1f430a8e, 0x84b34747, 0x1f42fe4e],
     [0x0000579e, 0x00000000, 0x60b26740, 0x1f430b8e, 0x6cb7a72a,
      0x1f42f8ce, 0xaca2a6df, 0x1f43244f, 0xb8aea6f3, 0x1f43048f],
     [0x0000b866, 0x00000000, 0x407765b7, 0x0ed2f4cc, 0x78796693,
      0x0f9af50f, 0x7872e5b7, 0x0db2f38f, 0x4c718693, 0x0d02f64c],
     [0x000057a0, 0x00000000, 0x64af472c, 0x1f42f80f, 0x00afe72c,
      0x1f43054f, 0x70b5c72d, 0x1f42fd4f, 0x88b3072c, 0x1f42ff0f],
     [0x0000b868, 0x00000000, 0x747a4693, 0x0f4af00f, 0x447ac5ad,
      0x0f3af90c, 0x6873e5b8, 0x0e62f58f, 0x4471c693, 0x0d12f64c],
     [0x000057a2, 0x00000000, 0x78b4a72e, 0x1f43034f, 0x5cb18713,
      0x1f43024f, 0x9cb8a736, 0x1f42f7ce, 0x38b32718, 0x1f43034f],
     [0x0000b86a, 0x00000000, 0x788245ad, 0x1072f50f, 0x7871c5ad,
      0x0d52ee8f, 0x787865b7, 0x0fbaf84f, 0x408985b8, 0x13c2f68c],
     [0x0000b86b, 0x00000000, 0x447585b7, 0x0c7ae90c, 0x408ec5b5,
      0x1472f10c, 0x7888e5ae, 0x1382f54f, 0x787485b7, 0x0e42f3cf],
     [0x000057a5, 0x00000000, 0xe0aa8712, 0x1f42fc8f, 0x20b2e729,
      0x1f42fb8f, 0x34b04740, 0x1f42f38f, 0xdca5c72a, 0x1f42fe4e],
     [0x000057a6, 0x00000000, 0x00000000, 0x00000000, 0x40a8872e,
      0x1f42f90f, 0xc4b5c731, 0x1f42fb8e, 0x24b5072a, 0x1f430450],
     [0x000057a7, 0x00000000, 0xf0b30735, 0x1f42f78e, 0x00000000,
      0x00000000, 0x4cb2672a, 0x1f42f78f, 0x34ace71a, 0x1f42fa8f],
     [0x000057a8, 0x00000000, 0xb8b0e73e, 0x1f42f98e, 0x00000000,
      0x00000000, 0xd0a9e71e, 0x1f43030f, 0x6cb28717, 0x1f43034f],
     [0x000057a9, 0x00000000, 0xd0a8472a, 0x1f42fc8e, 0xfcb54735,
      0x1f42fd4e, 0xc8b4e736, 0x1f42fb8e, 0x14ae6729, 0x1f42f98f],
     [0x000057aa, 0x00000000, 0xd0aac721, 0x1f42ff4e, 0x00000000,
      0x00000000, 0x38b20715, 0x1f42fe4f, 0x6cae6736, 0x1f42f98e],
     [0x00004971, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x38b5e735, 0x1f42f64e, 0x40b6c738, 0x1f42f64e],
     [0x000057ac, 0x00000000, 0x7cb06731, 0x1f42fd4e, 0xd8ae671d,
      0x1f43014e, 0x8cb1c725, 0x1f42ff4e, 0x6caee739, 0x1f43004e],
     [0x00004972, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x88b52724, 0x1f42face],
     [0x000057ae, 0x00000000, 0x9cb0673e, 0x1f42f98e, 0x34a9e732,
      0x1f43044f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000c81f, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xec7a46a4, 0x0f5af1d3],
     [0x000091c1, 0x00000000, 0x745ae5a1, 0x085afa8f, 0xa08325a1,
      0x10b2fa8f, 0x607e6684, 0x10eafa8f, 0xc4832594, 0x121af58c],
     [0x000057b1, 0x00000000, 0x50b4c72e, 0x1f42fa8f, 0x2cad4721,
      0x1f43034f, 0xecb5e72d, 0x1f42ff4e, 0xa4a8c72d, 0x1f42fe4e],
     [0x000057b2, 0x00000000, 0x94b48740, 0x1f42fb8e, 0x5cb78735,
      0x1f42f78e, 0x7caf0736, 0x1f42f78e, 0x24b3673d, 0x1f42f88f],
     [0x000057b3, 0x00000000, 0xc0ab8726, 0x1f42ff4e, 0x00000000,
      0x00000000, 0xe4aba73c, 0x1f42ff4e, 0x50b5072e, 0x1f42fb0f],
     [0x000091c5, 0x00000000, 0x749125a1, 0x154af30f, 0x74796684,
      0x0ebaf80f, 0x747445a1, 0x0d72f80f, 0x787de68e, 0x1152f30f],
     [0x000091c6, 0x00000000, 0x6c87e5a1, 0x118af10f, 0xc48c0684,
      0x142af80c, 0xb47ba5a1, 0x0feaf80c, 0x74aac594, 0x1ac2f58f],
     [0x000057b6, 0x00000000, 0xe0b2072d, 0x1f42fe4e, 0x70ace735,
      0x1f42fe4e, 0x78b0c735, 0x1f42fb8e, 0x04adc738, 0x1f42f88f],
     [0x000057b7, 0x00000000, 0x94ac873c, 0x1f42fa8e, 0x5cb1a73d,
      0x1f42fa4e, 0x80b0e726, 0x1f42fd4f, 0xa4aa0731, 0x1f42f68e],
     [0x000091c9, 0x00000000, 0xa0842685, 0x0fb2f88f, 0xa0a76685,
      0x18daf88f, 0xa0990695, 0x17baf7cf, 0xa0c46685, 0x1fc2f88f],
     [0x00004978, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xc8bb2757, 0x1f42ee0d, 0xc8bb2757, 0x1f42ee0d],
     [0x000057ba, 0x00000000, 0x5cb1672d, 0x1f42f98e, 0xe8ac2722,
      0x1f42fe4e, 0xb8aa672b, 0x1f42f88e, 0x00000000, 0x00000000],
     [0x000091cc, 0x00000000, 0xa0a08695, 0x140af5cf, 0xa0a26685,
      0x19daf50f, 0xa0a64685, 0x1942f50f, 0xa0a02695, 0x15b2f58f],
     [0x000057bc, 0x00000000, 0xe8b2073c, 0x1f42ff8e, 0xc8b46739,
      0x1f43050e, 0x18afe733, 0x1f42fb8e, 0xb0b1073c, 0x1f42f94e],
     [0x000057bd, 0x00000000, 0xecb2e6a0, 0x1f42facf, 0x00000000,
      0x00000000, 0x6cb6a6fd, 0x1f42f8cf, 0x68b486ef, 0x1f42ff8f],
     [0x000091cf, 0x00000000, 0x6c7e65b6, 0x102af64c, 0x7483e696,
      0x11b2f90f, 0x7c60c5b6, 0x09f2fbcf, 0xa086a5b6, 0x1182fbcf],
     [0x000091d0, 0x00000000, 0x6081a695, 0x11d2fbcf, 0x6c89e5aa,
      0x13e2f64c, 0x788145b3, 0x105afbcf, 0x747b6695, 0x0ee2f50c],
     [0x000057c0, 0x00000000, 0xe8b166c9, 0x1f4302ce, 0x5cb36733,
      0x1f43018e, 0xacb36720, 0x1f43038e, 0xd8b22723, 0x1f43030e],
     [0x0000c828, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xa087668c, 0x131af0cf],
     [0x000057c2, 0x00000000, 0x2cb5e740, 0x1f42fbce, 0x4cb26728,
      0x1f43028e, 0x4cb2872d, 0x1f43028e, 0x9cac66f6, 0x1f430b0e],
     [0x0000c829, 0x00000000, 0x607a2694, 0x0fa2f34f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x68e6268c, 0x2acaf20f],
     [0x00014008, 0x00000000, 0xa03e83e8, 0x07d2ee0f, 0x6c6cc694,
      0x0c2afecf, 0xd8818695, 0x115b1015, 0xa08106a4, 0x0fa2e60f],
     [0x00014009, 0x00000000, 0x107ca6c5, 0x0fa2e90e, 0x2c96e6aa,
      0x17ab020f, 0x549ee692, 0x1a8b010f, 0xd8600695, 0x08b30e15],
     [0x0001400a, 0x00000000, 0xd4698695, 0x0a6af50c, 0xd4606695,
      0x0a6ae30c, 0x907c0695, 0x0fa30753, 0xa081a5e2, 0x11d2f64f],
     [0x0009400b, 0x00001a01, 0xc850846e, 0x07d2df0c, 0x38606502,
      0x0a6aee92, 0x6c4fe46f, 0x07d2ebcf, 0x58694695, 0x08b2de0f],
     [0x0001400c, 0x00000000, 0x687a2693, 0x0fa2f24f, 0xa072e693,
      0x0fa2ef4f, 0xa0764693, 0x0fa2e74f, 0x6c76c693, 0x0fa2ea8f],
     [0x0001400d, 0x00000000, 0xa07d6693, 0x0fa2ea4f, 0x6c7b4685,
      0x0fa2eb4f, 0x647e268f, 0x0fa2f3cf, 0xa0802685, 0x0fa2fb0f],
     [0x0001400e, 0x00000000, 0x6c7a0693, 0x0fa2eecf, 0x7879e693,
      0x0fa2eb0f, 0x6c5f85b3, 0x0a6af3cf, 0xc45f85b3, 0x0a6ae7cc],
     [0x0001400f, 0x00000000, 0x7081e5ee, 0x11d2f5cf, 0x4c81a577,
      0x11d2f651, 0x7081e5ee, 0x11d2f5cf, 0x6c794694, 0x0fa301cf],
     [0xc0014010, 0x04907003, 0x58a5a695, 0x1d5b0b8f, 0xa088a693,
      0x14dadd0f, 0xa08c8685, 0x14dae7cf, 0x58932695, 0x14daf60f],
     [0x02a94011, 0x0830c400, 0xa0942685, 0x1692e28f, 0xa0902685,
      0x14dae74f, 0xa0910685, 0x14daeacf, 0x5896a695, 0x1692f34f],
     [0x000057ce, 0x00000000, 0xb8a9e6cd, 0x1f43074f, 0x6caee6fa,
      0x1f4306ce, 0x50ab06c9, 0x1f430c0f, 0x00000000, 0x00000000],
     [0x05394013, 0x0da18000, 0xa0884685, 0x131ae88f, 0x70b12685,
      0x1bcae6cf, 0x649c0685, 0x1692e74f, 0x5894e695, 0x1692f4cf],
     [0x000091e1, 0x00000000, 0x687ba5c1, 0x1012f6cf, 0x6c8aa5c1,
      0x13d2f44c, 0x6c83a5c1, 0x11eaf04c, 0x6c95e5c1, 0x1542f44c],
     [0xc9094015, 0x1952c855, 0xa08fc685, 0x131afa4f, 0x589b8685,
      0x1692fecf, 0x5897e685, 0x14dafe8f, 0x58b40685, 0x1bcafe0f],
     [0x000057d2, 0x00000000, 0x6cae871f, 0x1f4305ce, 0xfcb16717,
      0x1f4307ce, 0x50ae6702, 0x1f4306cf, 0xf4b446f2, 0x1f43084e],
     [0x00014017, 0x00000000, 0x58616695, 0x08b2edcf, 0x2c69668a,
      0x0a6ae00d, 0x607d6685, 0x11d2fed4, 0xac7d039d, 0x0fa2ee0d],
     [0x0000b89b, 0x00000000, 0x00000000, 0x00000000, 0x88786590,
      0x105af9cc, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000057d5, 0x00000000, 0xacac671f, 0x1f43124e, 0xdcb246e2,
      0x1f43154e, 0xfcb1c72f, 0x1f431b0e, 0x18b3472c, 0x1f4304cf],
     [0x000057d6, 0x00000000, 0x10b10717, 0x1f431550, 0x5cb1e735,
      0x1f43114e, 0x00000000, 0x00000000, 0x14b2e737, 0x1f42ff8e],
     [0x000091e8, 0x00000000, 0xa092e68c, 0x122afd0f, 0x54a5469b,
      0x1a7b048f, 0xa09c068c, 0x15c2f34f, 0xa097e68c, 0x140b03cf],
     [0x000057d8, 0x00000000, 0x00000000, 0x00000000, 0xf897a704,
      0x1f432cce, 0xe8a7c6fe, 0x1f42fcce, 0x00000000, 0x00000000],
     [0x000057d9, 0x00000000, 0xb4abc70f, 0x1f42f80e, 0x40a4a73c,
      0x1f42f90e, 0x50a14736, 0x1f42f90e, 0x08ad8701, 0x1f430e0f],
     [0x0000b8a1, 0x00000000, 0x00000000, 0x00000000, 0x807ae58d,
      0x105af84c, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0001401f, 0x00000000, 0x5851c695, 0x06e2fe8f, 0xb4646696,
      0x0ae2cdcc, 0x5c7f0533, 0x11d2fb92, 0x00000000, 0x00000000],
     [0x000091ed, 0x00000000, 0x6882069c, 0x11f2f28f, 0x6c85a5b6,
      0x1292eb0c, 0x688525c1, 0x106af84f, 0x6c80269c, 0x0f0af8cc],
     [0x000091ee, 0x00000000, 0x687ee5c1, 0x10faf94f, 0x689085b6,
      0x13c2f94f, 0x6c8185c1, 0x1182e5cc, 0x6c83c5c1, 0x102afb0c],
     [0x000091ef, 0x00000000, 0x688e65b6, 0x1332f94f, 0x6882e5b6,
      0x105af88f, 0x688045c1, 0x1132fd4f, 0x6c90e5c1, 0x155afbcc],
     [0x000091f0, 0x00000000, 0x6c8cc5c1, 0x11fada0c, 0x6c9c65c1,
      0x15fb00cc, 0x689a05b5, 0x17a2fe0f, 0x6881e69b, 0x1122f94f],
     [0x000091f1, 0x00000000, 0x687945c1, 0x0ea2f94f, 0x6886e69c,
      0x121afb8f, 0x7891a5c1, 0x1432eb8f, 0x6c90469c, 0x1532fa0c],
     [0x000057e1, 0x00000000, 0x38b04700, 0x1f42f68f, 0x80b48734,
      0x1f42f88e, 0xa4b2a6f9, 0x1f42fe4f, 0x28ada72b, 0x1f42f78f],
     [0x000091f3, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x6c7a0698, 0x0fa2f40f, 0xa075a698, 0x0fa2fe4f],
     [0x0000c839, 0x00000000, 0xfc7f6807, 0x0001f48c, 0x3440067e,
      0x0002788d, 0x3030a67e, 0x00028c8d, 0xf05786e0, 0x00024d4c],
     [0x00014028, 0x00000000, 0xa03e83e8, 0x07d2ee0f, 0x6c6685d6,
      0x0c2af2cc, 0x64756628, 0x0fa2f88d, 0x707e4693, 0x0fa2e60f],
     [0x0000c83a, 0x00000000, 0xe843237b, 0x00026e0b, 0x204546b5,
      0x00026e98, 0xa45105a1, 0x00024210, 0xf45886ef, 0x00026fcb],
     [0x000057e6, 0x00000000, 0xccb56713, 0x1f42fc4e, 0xe8b6a705,
      0x1f42fd4e, 0x00000000, 0x00000000, 0x90b10703, 0x1f43018e],
     [0x000057e7, 0x00000000, 0x38ade708, 0x1f42f34f, 0x00000000,
      0x00000000, 0x34b6a708, 0x1f42fa0f, 0x3ca926f3, 0x1f42fb8f],
     [0x000057e8, 0x00000000, 0xbcba2735, 0x1f42fc4e, 0xc8b3672c,
      0x1f42f34e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000057e9, 0x00000000, 0x00000000, 0x00000000, 0x4cb40700,
      0x1f42fb8f, 0x18ba86fe, 0x1f42fd4f, 0x00000000, 0x00000000],
     [0x000057ea, 0x00000000, 0x44b1c730, 0x1f42f48f, 0x44b7a734,
      0x1f42f84f, 0x34aea70d, 0x1f42fc0f, 0x5cafe723, 0x1f42fc4e],
     [0x000057eb, 0x00000000, 0x90b2c72c, 0x1f42f58e, 0x70a9c713,
      0x1f42f88f, 0x44b8a703, 0x1f42fb4f, 0xc4a9a717, 0x1f42fa4f],
     [0x000057ec, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x9cb3c718, 0x1f42f94e, 0x74b6a741, 0x1f42f7cf],
     [0x19814031, 0x369000d3, 0xa0896771, 0x14dadd0f, 0xa088a7d4,
      0x14dadd0f, 0xa0b14685, 0x1d82de0f, 0x38932695, 0x14daf60c],
     [0x000109c0, 0x00000000, 0x00000000, 0x00000000, 0xc0b3e655,
      0x1e72f6d0, 0xe4b2664b, 0x1e0af6d0, 0xc0b3e655, 0x1e72f6d0],
     [0x00014033, 0x00000000, 0xa071479b, 0x0c2ae60f, 0xa075879b,
      0x0c2ae60f, 0xa0792794, 0x0c2ae60f, 0xa07a8771, 0x0c2ae60f],
     [0x000109c2, 0x00000000, 0x6c9da6a9, 0x18baf6cf, 0xc8906611,
      0x1592f6d1, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000109c3, 0x00000000, 0x747f06a9, 0x112af54f, 0x8ca50660,
      0x1abaf690, 0x68ac066a, 0x1c7af6d0, 0xccaee60e, 0x1d2af6d1],
     [0x000109c4, 0x00000000, 0x68ac066a, 0x1c7af6d0, 0xccb02611,
      0x1d8af6d1, 0x40b3c633, 0x1e72f6d1, 0x6c98a6a9, 0x179af68f],
     [0x000109c5, 0x00000000, 0x68a3e6a9, 0x1a72f70f, 0xa099669c,
      0x17d2f6cf, 0xa099669c, 0x17caf6cf, 0x9085e67d, 0x11daedce],
     [0x000109c6, 0x00000000, 0x6c8ec6a9, 0x152af70f, 0xa099869c,
      0x17daf6cf, 0xa099469c, 0x17c2f6cf, 0xa099269c, 0x17baf6cf],
     [0x000109c7, 0x00000000, 0xa098869c, 0x1792f6cf, 0xa078069c,
      0x0f72f6cf, 0xa07f269c, 0x1142f6cf, 0xa07d669c, 0x10caf6cf],
     [0x000057f6, 0x00000000, 0x54b36716, 0x1f430fcf, 0x68b28704,
      0x1f43048f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000c843, 0x00000000, 0x6ca1e6a5, 0x1a5af88c, 0xa095268c,
      0x180300cf, 0x78826695, 0x1202fa8f, 0x78826695, 0x1202fa8f],
     [0x0000b8bf, 0x00000000, 0x3896e6dc, 0x1692f1cc, 0x00000000,
      0x00000000, 0x3c88a6dc, 0x14daf24c, 0x00000000, 0x00000000],
     [0x0000b8c0, 0x00000000, 0x3c86a6dc, 0x125af0cc, 0x00000000,
      0x00000000, 0x3892e6dc, 0x1692fa0c, 0x00000000, 0x00000000],
     [0x0000b8c1, 0x00000000, 0x3c8926dc, 0x131af10c, 0x00000000,
      0x00000000, 0x3c8946dc, 0x1322f08c, 0x00000000, 0x00000000],
     [0x0000b8c2, 0x00000000, 0x3c9666dc, 0x1692f28c, 0x00000000,
      0x00000000, 0x389486dc, 0x1692f68c, 0x00000000, 0x00000000],
     [0x000109ce, 0x00000000, 0x849a46a3, 0x1802f6cf, 0x689d26a9,
      0x18c2f6cf, 0xa099269c, 0x17baf6cf, 0x6c9286a8, 0x161af6cf],
     [0x000109cf, 0x00000000, 0x689286a9, 0x1622f6cf, 0x688f66a9,
      0x1552f6cf, 0x6891c6a9, 0x15eaf6cf, 0x68a166a9, 0x19d2f6cf],
     [0x0000b8c5, 0x00000000, 0x3896e6dc, 0x1692f10c, 0x00000000,
      0x00000000, 0x3c8b46dc, 0x141af54c, 0x00000000, 0x00000000],
     [0x000109d1, 0x00000000, 0xa08fe69c, 0x157af70f, 0xa091269b,
      0x15c2f6cf, 0xa090669c, 0x158af6cf, 0x689c66a9, 0x1892f68f],
     [0x000109d2, 0x00000000, 0x689c86a9, 0x189af6cf, 0x689346a9,
      0x164af6cf, 0x689d06a9, 0x18baf6cf, 0x689c66a9, 0x188af70f],
     [0x000109d3, 0x00000000, 0x00000000, 0x00000000, 0x68a746a9,
      0x1b4af6cf, 0x00000000, 0x00000000, 0xa099669c, 0x17d2f6cf],
     [0x000109d4, 0x00000000, 0xa099669c, 0x17d2f6cf, 0xa099269c,
      0x17baf6cf, 0xa099269c, 0x17baf6cf, 0x00000000, 0x00000000],
     [0x000109d5, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x689c26a9, 0x1882f6cf, 0x00000000, 0x00000000],
     [0x00005804, 0x00000000, 0xf0ace6f7, 0x1f42fcce, 0x88b00701,
      0x1f42fbce, 0x70b3a735, 0x1f42fc0f, 0x08b986fc, 0x1f42fbcf],
     [0x000109d7, 0x00000000, 0xbc6b26a9, 0x0c42f693, 0xbc8da6a9,
      0x14e2f6d3, 0xbc8dc6a9, 0x14e2f713, 0x00000000, 0x00000000],
     [0x000109d8, 0x00000000, 0x00000000, 0x00000000, 0x6495a70e,
      0x16e2f6cd, 0x687b86aa, 0x1102fc0f, 0x687e06a9, 0x1102f68f],
     [0x000109d9, 0x00000000, 0x40abe673, 0x1c72f6d0, 0x688da6a9,
      0x14daf6cf, 0x689946a9, 0x17c2f6cf, 0x849d4621, 0x17c2ee11],
     [0x0001404c, 0x00000000, 0xa0714746, 0x0c2ae60f, 0x7c5c45b6,
      0x08b2ee8f, 0x14b0a685, 0x19bae60e, 0x64828695, 0x1142ee8c],
     [0x00009400, 0x00000000, 0xa03e83e8, 0x07d2ee0f, 0x3877a693,
      0x10eaf60c, 0xd07c2438, 0x101af38b, 0xac56a69a, 0x0a030dcc],
     [0x00009401, 0x00000000, 0xa07f0684, 0x1042fbcf, 0x7875a5aa,
      0x0e62f28f, 0x1063661d, 0x0aa2f910, 0x1084a61d, 0x12eaf8d0],
     [0x0000580b, 0x00000000, 0x38b2e6ef, 0x1f42fd8f, 0xf8b0e700,
      0x1f42fb8e, 0xf8afe6ef, 0x1f42ff4e, 0x48b4e6f9, 0x1f42fdcf],
     [0x00009403, 0x00000000, 0x10c7861d, 0x239af8d0, 0x7882e693,
      0x121af9cf, 0xa092067e, 0x1672fa8f, 0x847265a9, 0x0cfafbd0],
     [0x00009404, 0x00000000, 0x647f4640, 0x12b3028f, 0x846b85a9,
      0x0cfaee10, 0x647f0640, 0x12b3020f, 0x6499a640, 0x18d2fdcf],
     [0x00009405, 0x00000000, 0x6499e640, 0x18d2fe4f, 0x886fa5a9,
      0x0e7aff90, 0x886fa5a9, 0x0e7aff90, 0x787d46c1, 0x105af50e],
     [0x00009406, 0x00000000, 0x6c68c5ec, 0x0c92fe0f, 0x308ca67e,
      0x156afd0d, 0x6c68c5ec, 0x0c92fe0f, 0x308ca67e, 0x156afd0d],
     [0x00009407, 0x00000000, 0xa091867e, 0x15b2f58f, 0xa091867e,
      0x15b2f58f, 0xa090867e, 0x15b2f78f, 0x287a46ae, 0x105af98c],
     [0x00009408, 0x00000000, 0x749e6797, 0x170afecf, 0x7c9e679a,
      0x170b0010, 0x7c9e6797, 0x170b0010, 0xa08f4594, 0x156af84f],
     [0x00009409, 0x00000000, 0x545345ab, 0x0853070f, 0x546e25ab,
      0x0ca2f3cf, 0x746b05ab, 0x0df3048f, 0x5487c5ab, 0x130af3cf],
     [0x0000b8da, 0x00000000, 0x388f26dc, 0x116af00c, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000109e6, 0x00000000, 0x1895c63d, 0x1762f6d1, 0xd0adc610,
      0x1ce2f6d1, 0x1895c63d, 0x1762f6d1, 0x38ad05f6, 0x1cb2f6d2],
     [0x0000b8dc, 0x00000000, 0x389206dc, 0x1622efcc, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000109e8, 0x00000000, 0x14a7463f, 0x1b4af6d1, 0x40a16634,
      0x19e2f6d1, 0x28ada63a, 0x1ce2f6d1, 0x28ada63a, 0x1ce2f6d1],
     [0x000109e9, 0x00000000, 0xa0acc69c, 0x1caaf6cf, 0xf0ae8648,
      0x1d12f6d0, 0xf0ae8648, 0x1d1af6d0, 0x147426ff, 0x0e7af6ce],
     [0x000109ea, 0x00000000, 0xbca88657, 0x1b9af6d0, 0x50a2c670,
      0x1a22f6d0, 0x50a2c670, 0x1a22f6d0, 0x34a68637, 0x1b1af6d1],
     [0x000109eb, 0x00000000, 0x34a68637, 0x1b1af6d1, 0x50912670,
      0x15c2f6d0, 0x50912670, 0x15c2f6d0, 0xd4a78653, 0x1b52f6d0],
     [0x000109ec, 0x00000000, 0x00000000, 0x00000000, 0xc4a7864f,
      0x1b52f6d0, 0xa099269c, 0x17c2f6cf, 0x20b065fd, 0x1d92f6d2],
     [0x000109ed, 0x00000000, 0x349a8677, 0x181af690, 0xdca645c9,
      0x1b0af6d2, 0x349a8677, 0x181af690, 0x54a926b0, 0x1bc2f68f],
     [0x000109ee, 0x00000000, 0x90b30620, 0x1e3af6d1, 0x54a926b0,
      0x1bc2f68f, 0x64a2062b, 0x19faf6d1, 0x78a7462a, 0x1b4af711],
     [0x00009414, 0x00000000, 0x888ca6e8, 0x156afd0b, 0x508ca70b,
      0x156afd0c, 0x508ca70b, 0x156afd0c, 0xac8ae69f, 0x156afb8c],
     [0x00009415, 0x00000000, 0xac8d669f, 0x156b008c, 0x808e256a,
      0x156afa11, 0x808e256a, 0x156afa11, 0xc47723fe, 0x0fa2fa0d],
     [0x00009416, 0x00000000, 0x28aaa67e, 0x1c72f94d, 0x9c71e661,
      0x0e7afacd, 0x9c71e661, 0x0e7afacd, 0x088ce66f, 0x156afa4d],
     [0x00009417, 0x00000000, 0x0893064f, 0x156afb8d, 0x7c8ca659,
      0x156afd0d, 0x7c8ca659, 0x156afd0d, 0x9c8d26b6, 0x156afe0a],
     [0x00009418, 0x00000000, 0x9c8e66b6, 0x156b008a, 0x546e25ab,
      0x0ca2f3cf, 0xa0718720, 0x0b72fcca, 0xa08e4720, 0x12a2fcca],
     [0x00005822, 0x00000000, 0x8cb486fc, 0x1f42fb8e, 0xe0b28726,
      0x1f43148e, 0x3cad86ff, 0x1f430d4f, 0xc0b64725, 0x1f42f8ce],
     [0x0000941a, 0x00000000, 0xa082e720, 0x0ef2fb8a, 0xa080c720,
      0x0dcaf6ca, 0xa0850720, 0x0edaf6ca, 0x70912714, 0x1612f8ca],
     [0x0000941b, 0x00000000, 0x70cc6714, 0x222afcca, 0x707e2714,
      0x0e9afcca, 0x707e2714, 0x0e9afcca, 0x7085e714, 0x108afcca],
     [0x0000941c, 0x00000000, 0x7074e714, 0x0ad2f6ca, 0x7082e714,
      0x0ef2fb8a, 0x7074c714, 0x0b6af6ca, 0x70772714, 0x0c02fb8a],
     [0x0000941d, 0x00000000, 0x7086c714, 0x0feafb8a, 0x707b2714,
      0x0c62f6ca, 0x707aa714, 0x0ce2f5ca, 0x70a66714, 0x181af94a],
     [0x0000941e, 0x00000000, 0x707ee714, 0x0e3af94a, 0x7085a714,
      0x0fc2f94a, 0x7085a714, 0x0fc2f94a, 0x707c678f, 0x0e2af94a],
     [0x0000941f, 0x00000000, 0x847e2714, 0x0bc2fcc8, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000b8f0, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x308e267e, 0x156afa0d, 0x848e265b, 0x156afa0d],
     [0x0001406e, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xec77c5aa, 0x0f82e10b, 0xa0792693, 0x0fa2e74f],
     [0x0000b8f2, 0x00000000, 0x30aa667e, 0x1c32ee0d, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000582c, 0x00000000, 0x24ab26fa, 0x1f42ff0f, 0x08aea70b,
      0x1f4306cf, 0x50b2072d, 0x1f43118f, 0x80aca72d, 0x1f430bce],
     [0x0000582d, 0x00000000, 0x9cb1e736, 0x1f42fd8e, 0x24b66708,
      0x1f43034f, 0x04a6e721, 0x1f4312cf, 0x68b5c716, 0x1f42ffcf],
     [0x0000582e, 0x00000000, 0xd8b4c738, 0x1f43028e, 0xc4ae871a,
      0x1f43128e, 0xecb1870a, 0x1f42ff8e, 0x3cb22731, 0x1f42fece],
     [0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005830, 0x00000000, 0x78b626e8, 0x1f42fecf, 0x20aea70b,
      0x1f430a8f, 0x00000000, 0x00000000, 0x68b366ef, 0x1f43050f],
     [0x00005831, 0x00000000, 0x0cb06715, 0x1f43028f, 0x80b5673c,
      0x1f4301ce, 0x50a82717, 0x1f42fe0f, 0xa8b2e73d, 0x1f43030e],
     [0x00005832, 0x00000000, 0xdcb3c6e0, 0x1f43020e, 0xe4abe719,
      0x1f430c0e, 0x28ab870a, 0x1f42ff8f, 0x38b3a6f6, 0x1f42fd8f],
     [0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005834, 0x00000000, 0x00000000, 0x00000000, 0x84ae4722,
      0x1f43100e, 0x00000000, 0x00000000, 0x14b4c6ec, 0x1f42ff4f],
     [0x00005835, 0x00000000, 0x64af66f3, 0x1f43008f, 0xacaec70c,
      0x1f43038e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005836, 0x00000000, 0x74aaa714, 0x1f42fdcf, 0x88b546e4,
      0x1f42fecf, 0x58ade72b, 0x1f42fecf, 0x40ae670a, 0x1f43018f],
     [0x00005837, 0x00000000, 0x40b3872d, 0x1f43090f, 0xc8aae6ef,
      0x1f43048f, 0x00000000, 0x00000000, 0x28b3671e, 0x1f43030f],
     [0x0001407c, 0x00000000, 0x6479c69a, 0x0af2d40c, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005839, 0x00000000, 0xb8ae66f3, 0x1f42fd0f, 0x00000000,
      0x00000000, 0x08abc726, 0x1f42fd4f, 0x18b26703, 0x1f42fd8f],
     [0x0001407e, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa088a7b4, 0x14dadd0f, 0x68778775, 0x0fa2e8cf],
     [0x0001407f, 0x00000000, 0xa0b14770, 0x1d82de0f, 0x6c92a6a1,
      0x1692eccf, 0xac94e770, 0x1692f4cd, 0xc475a6a1, 0x0fa2ed4d],
     [0x0000583c, 0x00000000, 0x68af0739, 0x1f42fb8e, 0xf8ada70e,
      0x1f43008e, 0x6cb00713, 0x1f43040e, 0xe4b1e727, 0x1f43098e],
     [0x0000c866, 0x00000000, 0xf8b0668c, 0x1e8aff0c, 0xf8b0668c,
      0x1e8aff0c, 0x7cb025ab, 0x1e8aff10, 0x7cb025ab, 0x1e8aff10],
     [0x0000583e, 0x00000000, 0xccb16720, 0x1f43008e, 0xc8ada730,
      0x1f43108e, 0x48b26707, 0x1f42fd4f, 0xf4aae717, 0x1f43020e],
     [0x0000c867, 0x00000000, 0xc0adc5b6, 0x1de2fe90, 0xc0adc5b6,
      0x1de2fe90, 0x7cb025ab, 0x1e8aff10, 0x0c7ac68c, 0x11c3038d],
     [0x00005840, 0x00000000, 0x28b646fb, 0x1f42fb8f, 0xe8b32706,
      0x1f43084e, 0x00000000, 0x00000000, 0x48b0e6f3, 0x1f43054f],
     [0x0000c868, 0x00000000, 0x7cb025ab, 0x1e8aff10, 0x0c7ac68c,
      0x11c3038d, 0x7cb025ab, 0x1e8aff10, 0x7cb025ab, 0x1e8aff10],
     [0x00005842, 0x00000000, 0x64b6472a, 0x1f43020e, 0xd0b9473b,
      0x1f42ff4e, 0x18ae06ff, 0x1f43034f, 0x14b5e731, 0x1f43008f],
     [0x0000c869, 0x00000000, 0x7cb025ab, 0x1e8aff10, 0x0c7bc68c,
      0x1243058d, 0x7cb025ab, 0x1e8aff10, 0x0c7bc68c, 0x1243058d],
     [0x00005844, 0x00000000, 0x18b1e70c, 0x1f43024f, 0x00000000,
      0x00000000, 0xf8ad671a, 0x1f42ff8e, 0xd8aee70e, 0x1f43030e],
     [0x0000c86a, 0x00000000, 0x907bc6c4, 0x1243058c, 0x7caf0603,
      0x1e32fe90, 0x7caf0603, 0x1e32fe90, 0x88af0604, 0x1e32fe8f],
     [0x00005846, 0x00000000, 0x58b5c70b, 0x1f42ffcf, 0x00000000,
      0x00000000, 0xfcb1a713, 0x1f430cce, 0x68b02731, 0x1f430dce],
     [0x0000c86b, 0x00000000, 0x88af0604, 0x1e32fe8f, 0x7cd9c5ab,
      0x288afbd0, 0x7cb505ab, 0x1e8af590, 0x387c4693, 0x1192ff0d],
     [0x00005848, 0x00000000, 0x48b346ef, 0x1f43000f, 0x58b0872b,
      0x1f43040f, 0x00000000, 0x00000000, 0x94ae86e0, 0x1f4306ce],
     [0x0001408d, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x645c65b6, 0x08b2becc],
     [0x0000584a, 0x00000000, 0x10b30719, 0x1f430d0f, 0xbcb2e700,
      0x1f4301ce, 0x00000000, 0x00000000, 0xd8ad8716, 0x1f42fb4e],
     [0x0000c86d, 0x00000000, 0x18ae4696, 0x1e02fe8d, 0xf4af8696,
      0x1e02fc0c, 0xa0afa5f4, 0x1e5afe8f, 0xa0afa5f4, 0x1e5afe8f],
     [0x1ff8bec0, 0x00000000, 0xa0906693, 0x12eaf30f, 0xa07fe693,
      0x1172f60f, 0xa07fc693, 0x1162f5cf, 0xa0a22693, 0x1a02f30f],
     [0x0000c86e, 0x00000000, 0xf8b066e8, 0x1e8aff0c, 0xd8b02652,
      0x1e8aff0d, 0xa4ab269d, 0x1e73084d, 0xa4ab269d, 0x1e73084d],
     [0x00005370, 0x00000000, 0xb8b82721, 0x1f42f4cd, 0xb8b82721,
      0x1f42f4cd, 0xb8b82721, 0x1f42f4cd, 0xb8b82721, 0x1f42f4cd],
     [0x0000c86f, 0x00000000, 0xe4b045dd, 0x1e8afe92, 0xb4b02511,
      0x1e8afe4f, 0x187aa69e, 0x114329cd, 0x1865a69e, 0x0b02ffcd],
     [0x00014094, 0x00000000, 0x687c05c1, 0x1002f14f, 0x688885c1,
      0x1322f44f, 0x688885c1, 0x1322f44f, 0x6c76a69b, 0x0fa2ea8f],
     [0x00014095, 0x00000000, 0x6c6f85b6, 0x0de2eccf, 0x2c7145b6,
      0x0de2eccd, 0xfc7f26a3, 0x0fa2e8cb, 0x6c902693, 0x11d2e8cf],
     [0x00014096, 0x00000000, 0x6c7325b6, 0x0de2ef4f, 0x6c7045b6,
      0x0de2ef4f, 0x6c8cc5b6, 0x1392ef4f, 0x687ac5c3, 0x0de2ef4f],
     [0x00014097, 0x00000000, 0x687925c3, 0x0f02ef4f, 0x6894a5c3,
      0x158aef4f, 0x6879e5c3, 0x0f32efcf, 0x646c05b6, 0x0b7ad50c],
     [0x00014098, 0x00000000, 0xcc9c6693, 0x1682e10b, 0xcc7f85c0,
      0x112ae10b, 0x748285b6, 0x118af34f, 0xf87085b6, 0x0de2f30b],
     [0x00014099, 0x00000000, 0x787b85aa, 0x0f6af08f, 0xbc7cc5b3,
      0x1162eacb, 0x7c7cc693, 0x1162eacf, 0x6c79e693, 0x10aaeacc],
     [0x0001409a, 0x00000000, 0x7c5f4694, 0x08b2eb8f, 0x805c25b0,
      0x07eaee8f, 0xa066a5b6, 0x0982e60f, 0x7c6c86a3, 0x0a02f04f],
     [0x0001409b, 0x00000000, 0x7c72a6a3, 0x0deaf24f, 0xfc62c6a3,
      0x091ae24b, 0xf087a6a3, 0x137aee8b, 0x7c98e5b6, 0x1852ea8f],
     [0x0001409c, 0x00000000, 0xfc98e5b6, 0x1852ea8b, 0xfc9685b6,
      0x17baea8b, 0xfc8d85b6, 0x15b2d2cb, 0xfc7b45b6, 0x0fcaec8b],
     [0x00005859, 0x00000000, 0x00000000, 0x00000000, 0x38b5672d,
      0x1f42fb0f, 0xfcad2721, 0x1f430a8e, 0xf4b08730, 0x1f430ece],
     [0x0000585a, 0x00000000, 0x48b8070f, 0x1f42fa0f, 0x00000000,
      0x00000000, 0xf8b1a704, 0x1f42fece, 0xe0b3672a, 0x1f43058e],
     [0x00018008, 0x00000000, 0xa03e83e8, 0x07d2ee0f, 0x7c5c068c,
      0x0a6b0e8f, 0x5c67e68c, 0x0cc30156, 0xa07c667e, 0x0fa2ef8f],
     [0x00018009, 0x00000000, 0x4477c6bf, 0x0fa2f90e, 0x549446aa,
      0x175afd4f, 0x6c9c468c, 0x1852f88f, 0x5c4f268c, 0x05a2fa16],
     [0x000140a1, 0x00000000, 0x64868693, 0x0c52d78c, 0xfc6985be,
      0x0cfb01cb, 0xd48ea693, 0x104ae40b, 0x3863e5e9, 0x09b2efce],
     [0xc009800b, 0x00001800, 0x6c56e44e, 0x07d2fbcd, 0xa86224e9,
      0x0a6af7d2, 0x7455244c, 0x07d2ff8f, 0x6862668c, 0x08b2ebcf],
     [0x0001800c, 0x00000000, 0x687a068c, 0x0fa2f40f, 0xa06fc68c,
      0x0fa309cf, 0xa079c68c, 0x0fa2f54f, 0x6874668c, 0x0fa2f84f],
     [0x0001800d, 0x00000000, 0xa079a68c, 0x0fa2f10f, 0x68754698,
      0x0fa2f5cf, 0x68790694, 0x0fa2f68f, 0x8076a67e, 0x0fa2f30f],
     [0x0001800e, 0x00000000, 0x6876268c, 0x0fa2fc0f, 0x4877e68c,
      0x0fa2f58f, 0x745685b3, 0x08b3024f, 0x6c59e5b3, 0x08b3020d],
     [0x0000537a, 0x00000000, 0xb8b82721, 0x1f42f4cd, 0xb8b82721,
      0x1f42f4cd, 0xb8b82721, 0x1f42f4cd, 0xb8b82721, 0x1f42f4cd],
     [0x80018010, 0x04806e03, 0x68a3a68c, 0x1ccb0b0f, 0xa096e68a,
      0x1692f1cf, 0xa088a67e, 0x14daf24f, 0x688da68c, 0x14daf50f],
     [0x000140a8, 0x00000000, 0x6c92c62e, 0x0f42ee4c, 0xa07f8695,
      0x1092f44f, 0xa07de695, 0x1092fe4f, 0x6c9a66a3, 0x1772e8cf],
     [0x40018012, 0x09211c23, 0xa096667e, 0x1692f28f, 0xa065e67e,
      0x0a6af28f, 0x686ac67e, 0x0baaec8f, 0xa098e67e, 0x1692f64f],
     [0x0000537c, 0x00000000, 0xb8b82721, 0x1f42f4cd, 0xb8b82721,
      0x1f42f4cd, 0xb8b82721, 0x1f42f4cd, 0xb8b82721, 0x1f42f4cd],
     [0x07218014, 0x1171f400, 0xa082467e, 0x116af20f, 0xdc96268c,
      0x1692f68c, 0xa091067e, 0x14daf24f, 0x687be68c, 0x1162f8cf],
     [0xc9098015, 0x1952c855, 0xa088a67e, 0x131af24f, 0x6896a67e,
      0x1692f18f, 0x7495a67e, 0x1692f20f, 0x74b3067e, 0x1d82ef4f],
     [0x0e318016, 0x0003e874, 0xa096867e, 0x1692f08f, 0xa096667e,
      0x1692f38f, 0xa089467e, 0x1322f08f, 0x3063e67e, 0x0a6b040d],
     [0x00018017, 0x00000000, 0x6862668c, 0x08b2ebcf, 0x305d267e,
      0x0a6af68d, 0x4476467e, 0x0eaaf414, 0xac7d039d, 0x0fa2ee0d],
     [0xc0018018, 0x1ff3f87d, 0x8c5cc68e, 0x0a6af297, 0x7875c5b4,
      0x0de2f74f, 0x78790693, 0x0fa2eecf, 0x787205b4, 0x0de2f44f],
     [0x40018019, 0x22240e80, 0x787be693, 0x0fa2f4cf, 0x787385b4,
      0x0de2f44f, 0xa06e6693, 0x0a6af30f, 0x387945b4, 0x0fa2f50c],
     [0x5179801a, 0x2340008c, 0xa07b6693, 0x0fa2f04f, 0xa05e2693,
      0x08b2f20f, 0x3856c693, 0x08b2dc8c, 0xa07da693, 0x0fa2efcf],
     [0x1231801b, 0x25249892, 0xa05ea693, 0x08b2f2cf, 0xa09f65b4,
      0x1852f20f, 0xa07b25b4, 0x0fa2f20f, 0x787945b4, 0x0fa2f54f],
     [0xd2c9801c, 0x28b4ba96, 0x3c7945b4, 0x0fa2ef4c, 0x3c7b85b4,
      0x0fa2f40c, 0xa06865b4, 0x0a6aef4f, 0x786a05b3, 0x0c2afacf],
     [0x9469801d, 0x2b5536a6, 0x7861662b, 0x08b2f14f, 0x787a85aa,
      0x0fa2f04f, 0x687a25aa, 0x0fa2f2cf, 0x689545aa, 0x1692f34f],
     [0x5679801e, 0x000000b5, 0xa07a65aa, 0x0fa2f24f, 0x3879e5aa,
      0x0fa2f18c, 0xa072c5aa, 0x0de2f4cf, 0xcc6a4690, 0x0f03070c],
     [0x0001801f, 0x00000000, 0x684f268c, 0x0642fecf, 0xcc6e0690,
      0x0f030e8c, 0x7c7d452d, 0x10eaf812, 0x00000000, 0x00000000],
     [0x000140b7, 0x00000000, 0x00716677, 0x0a6afa18, 0xb07cc6a1,
      0x0a6aff57, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000140b8, 0x00000000, 0x98736694, 0x0bdaf192, 0xc459a741,
      0x06f2ee94, 0xcc60c69a, 0x08c2f014, 0xdc6ee69a, 0x0c2aeed4],
     [0x000140b9, 0x00000000, 0xc46c0739, 0x0a42f054, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005876, 0x00000000, 0x5cad8740, 0x1f430f4f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000c883, 0x00000000, 0x58920690, 0x1773028d, 0x2c7585db,
      0x0fa2fd10, 0x00000000, 0x00000000, 0x94b6e6e3, 0x1f42f74b],
     [0x00005878, 0x00000000, 0x8cb70721, 0x1f43018e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x20af8733, 0x1f43150f],
     [0x000140bd, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x1462237c, 0x0a6adb8c],
     [0x00005386, 0x00000000, 0x40b346e2, 0x1f430490, 0x20ad26d6,
      0x1f43144f, 0xdcb006cb, 0x1f430a8f, 0xe0b446fe, 0x1f42fb8f],
     [0x00018028, 0x00000000, 0xa03e83e8, 0x07d2ee0f, 0x3857c5bc,
      0x0a53060c, 0x7876862b, 0x0fa2fb4d, 0x807bc68c, 0x0fa2f10f],
     [0x00018029, 0x00000000, 0x787fc5fe, 0x0fa2e88f, 0xa07e867e,
      0x0fa2e0cf, 0x684f268c, 0x0642fecf, 0x5073c68c, 0x0fa2ff8d],
     [0x0001802a, 0x00000000, 0xcc660656, 0x0a6af297, 0x6898c68c,
      0x17c2f78f, 0xc860468c, 0x08a2ef15, 0x24778588, 0x0fa2f890],
     [0x0001802b, 0x00000000, 0x6c838571, 0x12c2fa11, 0xa86224e9,
      0x0a6af7d2, 0x6898c68c, 0x17c2f78f, 0x2c66c641, 0x0a6af0d8],
     [0x0001802c, 0x00000000, 0xb869668c, 0x0c82fc55, 0x448e25de,
      0x156afa0e, 0xd863868c, 0x0962ee53, 0xb862e68c, 0x0962f153],
     [0x0001802d, 0x00000000, 0x8c66268e, 0x0a6b0557, 0x387e85aa,
      0x0fa2f70c, 0x3881067e, 0x1282fd0d, 0xbc55251e, 0x07d2ff92],
     [0x0001802e, 0x2ef00000, 0x445f23e8, 0x0a6afb0c, 0xd85d868c,
      0x0962fc53, 0xc864868c, 0x09b2ef95, 0x2477c588, 0x0fa2f8d0],
     [0x0001802f, 0x00000000, 0x6897a68c, 0x1772f88f, 0x689b268c,
      0x1772f70f, 0x6898468c, 0x1772f14f, 0x386d85bb, 0x0de2f58c],
     [0xd7c18030, 0x32b640c0, 0xa096e788, 0x1692f1cf, 0xa096e788,
      0x1692f1cf, 0xa096e784, 0x1692f1cf, 0xa096e760, 0x1692f1cf],
     [0x99b18031, 0x36f000d4, 0xa096e750, 0x1692f1cf, 0xa096e7a9,
      0x1692f1cf, 0xa0aa667e, 0x1bcaee0f, 0x448da68c, 0x14daf50c],
     [0x00018032, 0x00000000, 0xa0892788, 0x131af10f, 0xa0892788,
      0x131af10f, 0xa0892784, 0x131af10f, 0xa0892750, 0x131af10f],
     [0x00018033, 0x00000000, 0xa065e788, 0x0a6af28f, 0xa065e788,
      0x0a6af28f, 0xa066a784, 0x0a6af08f, 0xa065e750, 0x0a6af24f],
     [0x00018034, 0x3736e000, 0xa094267e, 0x1692f20f, 0x7496e760,
      0x1692f10f, 0x68948788, 0x1692f68f, 0x68948788, 0x1692f68f],
     [0xdbc18035, 0x0006fcde, 0x68948784, 0x1692f68f, 0x68948760,
      0x1692f68f, 0x68948750, 0x1692f68f, 0x3c8925f9, 0x1402f8cf],
     [0x5c218036, 0x393718e1, 0x609486c6, 0x1692f68e, 0x6896a788,
      0x1692f18f, 0x6896a788, 0x1692f18f, 0x6896a784, 0x1692f18f],
     [0x1ca18037, 0x00000000, 0x6896a750, 0x1692f18f, 0xa0966788,
      0x1692f38f, 0xa082467e, 0x1162f20f, 0x7c790693, 0x0fa2f10f],
     [0xdce18038, 0x000000e7, 0x7875c68e, 0x0de2f74f, 0x7875c68e,
      0x0de2f74f, 0x7875c68a, 0x0de2f74f, 0x7875c666, 0x0de2f74f],
     [0x5d118039, 0x000750e9, 0x7875c656, 0x0de2f74f, 0x7875c6b1,
      0x0de2f74f, 0x848d85b4, 0x14daf78f, 0x447205b4, 0x0de2f44c],
     [0xc001803a, 0x00075cea, 0x7873868e, 0x0de2f44f, 0x7873868e,
      0x0de2f44f, 0x7873868a, 0x0de2f44f, 0x78738656, 0x0de2f44f],
     [0x0001803b, 0x00000000, 0xa05ce68e, 0x08b2ef8f, 0xa060a68e,
      0x08b2f20f, 0xa063468a, 0x08b2e9cf, 0xa0628656, 0x08b2eb8f],
     [0x0001803c, 0x3b476200, 0x78796696, 0x0fa2f54f, 0xa07b2666,
      0x0fa2f20f, 0x7879468e, 0x0fa2f54f, 0x7879468e, 0x0fa2f54f],
     [0x1db9803d, 0x00077000, 0x7879468a, 0x0fa2f54f, 0x78794666,
      0x0fa2f54f, 0x78794656, 0x0fa2f54f, 0x788145ec, 0x11a2f58f],
     [0x0001803e, 0x00000000, 0xe079460f, 0x0fa2f54d, 0x787a868e,
      0x0fa2f04f, 0x787a868e, 0x0fa2f04f, 0x787a868a, 0x0fa2f04f],
     [0x0001803f, 0x00000000, 0x787a8656, 0x0fa2f04f, 0x3879e68e,
      0x0fa2f18c, 0x3c794693, 0x0fa2ef4c, 0x3879e656, 0x0fa2f18c],
     [0x00018040, 0x00000000, 0xa096e6ed, 0x1692f1cf, 0x7875c619,
      0x0de2f74f, 0xa096e754, 0x1692f1cf, 0x7875c680, 0x0de2f74f],
     [0x00018041, 0x00000000, 0x0c96e68a, 0x1692f1cd, 0x0c7985b4,
      0x0de2f74d, 0x688da762, 0x14daf50f, 0x7872068e, 0x0de2f44f],
     [0x00018042, 0x00000000, 0x688da75e, 0x14daf50f, 0x7872068a,
      0x0de2f44f, 0x688da72a, 0x14daf50f, 0x78720656, 0x0de2f44f],
     [0x00005394, 0x00000000, 0x2caa66fa, 0x1f43180f, 0x00000000,
      0x00000000, 0xfcb2071d, 0x1f43028e, 0x34afc70d, 0x1f43024f],
     [0x00018044, 0x00000000, 0xa094267e, 0x1692f20f, 0x787de693,
      0x0fa2f4cf, 0xa08926ed, 0x131af10f, 0x78738619, 0x0de2f44f],
     [0x00018045, 0x00000000, 0xa0892754, 0x131af10f, 0x78738680,
      0x0de2f44f, 0xa089272a, 0x131af10f, 0x78738656, 0x0de2f44f],
     [0x00018046, 0x00000000, 0x0c89267e, 0x131af10d, 0x0c7385b4,
      0x0de2f44d, 0xa089275e, 0x131af10f, 0x7873868a, 0x0de2f44f],
     [0x00018047, 0x00000000, 0x6897275e, 0x1692f60f, 0x3879468a,
      0x0fa2f50c, 0x68972754, 0x1692f60f, 0x38794680, 0x0fa2f50c],
     [0x0000c895, 0x00000000, 0x68aa85cb, 0x1d22ff10, 0x68aa85cb,
      0x1d22ff10, 0x9c93c5bf, 0x1772ff10, 0x4c93c711, 0x1772ff11],
     [0x00005397, 0x00000000, 0x24b366b3, 0x1f42f710, 0xc0b76710,
      0x1f42fe0f, 0x28b14729, 0x1f43138f, 0x08b48714, 0x1f42fa90],
     [0x0001804a, 0x00000000, 0xa067e73a, 0x0a6aee4f, 0xa064a666,
      0x08b2e7cf, 0xa066c6ed, 0x0a6af0cf, 0xa062c619, 0x08b2e8cf],
     [0x000140e2, 0x00000000, 0xa09c069d, 0x15e2f08f, 0xa0ada69d,
      0x1a92f04f, 0xa07d669d, 0x0e12f04f, 0x00000000, 0x00000000],
     [0x0000c897, 0x00000000, 0x4c93c734, 0x1772ff11, 0x4c9a672e,
      0x1772fbd1, 0x4c93c6b9, 0x1772ff11, 0x4c93c758, 0x1772ff11],
     [0x0001804d, 0x00000000, 0x686c675e, 0x0baaec8f, 0x3863668a,
      0x08b2dc8c, 0x4098e67e, 0x1692f64b, 0x407da693, 0x0fa2efcb],
     [0x000140e5, 0x00000000, 0xa0832693, 0x14daddcf, 0xa0902685,
      0x14dae74f, 0xa0882685, 0x131aeb0f, 0xa0a26685, 0x1852e80f],
     [0x000140e6, 0x00000000, 0x5894e695, 0x1672f4cf, 0xa0714685,
      0x0c2ae60f, 0xa0964685, 0x14dae8cf, 0xa0872693, 0x147add0f],
     [0x000140e7, 0x00000000, 0x70b12685, 0x1bcae6cf, 0x649c0685,
      0x1692e74f, 0xa09b0685, 0x1752f44f, 0x5894e695, 0x1692f4cf],
     [0x00018051, 0x00000000, 0xa07b268e, 0x0fa2f20f, 0x4096e67e,
      0x1692f10b, 0x407b25b4, 0x0fa2f20b, 0x7496e75e, 0x1692f10f],
     [0x000140e9, 0x00000000, 0xa08fc685, 0x131afa4f, 0xa095a695,
      0x131af34f, 0xa09de685, 0x181af48f, 0xa0954685, 0x14dae80f],
     [0x00018053, 0x00000000, 0x689486ed, 0x1692f68f, 0x78794619,
      0x0fa2f54f, 0x68948754, 0x1692f68f, 0x78794680, 0x0fa2f54f],
     [0x000140eb, 0x00000000, 0x6c864690, 0x1202ed4f, 0x6c718690,
      0x0e32eccf, 0x6c79c690, 0x0f42ec4c, 0x7c624690, 0x08b2ee8f],
     [0x000140ec, 0x00000000, 0x6c7d0690, 0x10c2ec4f, 0x6c8645b6,
      0x1202ed4f, 0x6c7a86a2, 0x0fa2da4c, 0x707825b6, 0x0db2eecc],
     [0x00018056, 0x00000000, 0xa091075e, 0x14daf24f, 0xa068668a,
      0x0a6aef4f, 0x687be762, 0x1162f8cf, 0x786a068e, 0x0c2afacf],
     [0x000140ee, 0x00000000, 0x6c7b86a2, 0x0faaed4f, 0x7c5c45b6,
      0x08b2ee8f, 0x707d85b6, 0x0fa2e84f, 0x5877e6a2, 0x0f22e58f],
     [0x00018058, 0x00000000, 0x687be784, 0x1162f8cf, 0x786a268a,
      0x0c2af78f, 0x4488a67e, 0x131af24c, 0x4461662b, 0x08b2f14c],
     [0x000140f0, 0x00000000, 0x6485c5a9, 0x1172ec8f, 0x6c7665b6,
      0x0f7ad9cc, 0x6c7665b6, 0x0cfaeccc, 0x6c8185a9, 0x0f9aed4f],
     [0x000140f1, 0x00000000, 0x7c7765a9, 0x0cfaef0f, 0x6c7a25b6,
      0x10c2ec4f, 0x6c8be5b6, 0x1532ed4c, 0x6c7ee5b6, 0x0ca2cc0c],
     [0x000140f2, 0x00000000, 0x6c97e5b6, 0x1462eccc, 0x6c9305b6,
      0x16faed4f, 0x7c6a6677, 0x08b2ee8f, 0x6c7a2677, 0x10c2ec4f],
     [0x0001805c, 0x00000000, 0x6896a762, 0x1692f18f, 0x787a868e,
      0x0fa2f04f, 0x0c96a67e, 0x1692f18d, 0x307a85aa, 0x0fa2f04d],
     [0x000140f4, 0x00000000, 0x707a66a0, 0x0fa2f88f, 0x6c8826a2,
      0x1232f00f, 0xa0958695, 0x131af34f, 0x00000000, 0x00000000],
     [0x000140f5, 0x00000000, 0x00000000, 0x00000000, 0x6c8be6a3,
      0x1532ed4c, 0x6ca805a9, 0x19e2ed8f, 0x00000000, 0x00000000],
     [0x000140f6, 0x00000000, 0x8094e695, 0x1692f4cc, 0x6c75a5b6,
      0x0fa2ed4c, 0x6c91a695, 0x14eaf60c, 0x6c7e25d4, 0x0edaeccc],
     [0x000140f7, 0x00000000, 0xa0924685, 0x14daeacf, 0xa87de5aa,
      0x106af60c, 0x589d4701, 0x17aaec4f, 0xa078c6a2, 0x0f2af20f],
     [0x000058b4, 0x00000000, 0x30ad66fc, 0x1f42f6cf, 0x44b326fc,
      0x1f42f8cf, 0x2cb06705, 0x1f42f8cf, 0xc0ae2701, 0x1f42f74e],
     [0x00018062, 0x00000000, 0x787e6617, 0x0fa2f44f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000058b6, 0x00000000, 0xb4af671e, 0x1f42f70e, 0xc0ae4728,
      0x1f42f60e, 0xb8b5e723, 0x1f42f50e, 0x58aac715, 0x1f42f9cf],
     [0x00018064, 0x00000000, 0x8884c694, 0x1222f64f, 0x00000000,
      0x00000000, 0x2473c6aa, 0x0d92ef8d, 0x00000000, 0x00000000],
     [0x00018065, 0x00000000, 0x00000000, 0x00000000, 0x78974693,
      0x16faf04f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00018066, 0x00000000, 0x00000000, 0x00000000, 0xa07da693,
      0x0fa2efcf, 0xa05ea693, 0x08b2f2cf, 0xa07f0684, 0x1042fbcf],
     [0x00018067, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xfc7b25b4, 0x0fa2f20b, 0x00000000, 0x00000000],
     [0x00018068, 0x00000000, 0x689486da, 0x1692f68f, 0x7880e5c2,
      0x110af54f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00018069, 0x00000000, 0x00000000, 0x00000000, 0x3c794685,
      0x0fa2ef4c, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00014101, 0x00000000, 0x5894a695, 0x148af90f, 0x587d4695,
      0x1162e88f, 0xa0714685, 0x0c2ae60f, 0xa07a2771, 0x0c2ae54f],
     [0x00014102, 0x00000000, 0x1484c685, 0x0fa2ec0e, 0x58ae8685,
      0x1dd2df4f, 0xa0b20685, 0x1eb2e60f, 0xa09d2685, 0x19f2ffcf],
     [0x0001806c, 0x00000000, 0x7881e619, 0x0fa2f04f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00014104, 0x00000000, 0xa08a0693, 0x14dadfcf, 0xa08d2685,
      0x13dae98f, 0xa08c8685, 0x1472e7cf, 0xa090c685, 0x12e2e60f],
     [0x0001806e, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xf86b85aa, 0x0beaef0b, 0xa07ac68c, 0x0fa2f38f],
     [0x00014106, 0x00000000, 0xa0a14685, 0x1802e5cf, 0xa0a1479c,
      0x1802e5cf, 0xa095a68e, 0x1532e54f, 0x589e0685, 0x1732df4f],
     [0x000058c3, 0x00000000, 0x2cb76704, 0x1f42f50f, 0x34b4a6ee,
      0x1f42f94f, 0xb8b726f1, 0x1f42fd8e, 0x14aca6f5, 0x1f42f7cf],
     [0x000058c4, 0x00000000, 0x18a8272f, 0x1f43028e, 0x38b7c70d,
      0x1f42f80f, 0x00000000, 0x00000000, 0x34b106ff, 0x1f42f90f],
     [0x000058c5, 0x00000000, 0x14b4a6f5, 0x1f42fa4f, 0x5cb226f9,
      0x1f42f98e, 0x50b24727, 0x1f42f74f, 0x00000000, 0x00000000],
     [0x000058c6, 0x00000000, 0x00000000, 0x00000000, 0xd8b6e714,
      0x1f42f78e, 0xb0ae8719, 0x1f4306ce, 0xb0ae6722, 0x1f430f4e],
     [0x0001410b, 0x00000000, 0xa086c685, 0x13e2e94f, 0x588f8695,
      0x14faef0f, 0x58ab6695, 0x1c4ae48f, 0xa09a0685, 0x1632ddcf],
     [0x0001410c, 0x00000000, 0x687ca5b6, 0x107af30f, 0x6c85c695,
      0x0f9af60f, 0x6c77c5b6, 0x0f12f44f, 0x686ce5b5, 0x0b82ec0f],
     [0x000058c9, 0x00000000, 0x18b4a70b, 0x1f42f90f, 0xecb0e70c,
      0x1f42fe0e, 0x00000000, 0x00000000, 0x98b0670e, 0x1f43044f],
     [0x0001410e, 0x00000000, 0x7c7e85b6, 0x10f2f68f, 0x7c7ec6a1,
      0x10f2f68f, 0x808065b5, 0x1052f10f, 0x747a25b6, 0x0fdae20f],
     [0x0001410f, 0x00000000, 0x748e25a9, 0x14dae20f, 0x7c7ea5b6,
      0x10faf14f, 0x6c7905b6, 0x0fa2f40f, 0x7c7ea5b6, 0x10faf14f],
     [0x00014110, 0x00000000, 0x6c7945b6, 0x0f8ad60c, 0x6c7365b6,
      0x0d9af48f, 0x7c9be5b6, 0x184af08f, 0x6c7345b6, 0x0dfad68c],
     [0x000058cd, 0x00000000, 0xf8b62712, 0x1f42f7ce, 0x00000000,
      0x00000000, 0xf8b14704, 0x1f42f8ce, 0x00000000, 0x00000000],
     [0x000058ce, 0x00000000, 0xe4b72700, 0x1f42fc8e, 0x40b56703,
      0x1f42f7cf, 0xf4b7a720, 0x1f42f38e, 0x90b1e6f0, 0x1f42f88f],
     [0x0001807c, 0x00000000, 0x3863468a, 0x08b2dc8c, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000058d0, 0x00000000, 0x2cb5871e, 0x1f42f7ce, 0xc8b386f5,
      0x1f42f90e, 0xccb6271c, 0x1f42f70e, 0x1cb7c6f8, 0x1f42f90f],
     [0x0001807e, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa096e792, 0x1692f1cf, 0x7875c762, 0x0de2f74f],
     [0x0001807f, 0x00000000, 0xa0aa6762, 0x1bcaee0f, 0x848d868e,
      0x14daf78f, 0x60948762, 0x1692f68e, 0xe079468e, 0x0fa2f54d],
     [0x00014117, 0x00000000, 0x808066a1, 0x1052f10f, 0x00000000,
      0x00000000, 0x6c7506a1, 0x0dfad68c, 0xd47e05b6, 0x10d2f58c],
     [0x00014118, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa096e685, 0x17cafd8f, 0x6c80e6a3, 0x11caf30f],
     [0x000058d5, 0x00000000, 0xa0ab472b, 0x1f42f7ce, 0x24b2872c,
      0x1f42f94f, 0x00b706f6, 0x1f42f80f, 0x5cb28715, 0x1f42f7ce],
     [0x0001411a, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa0b14685, 0x1e92e88f, 0x6ca5a5a9, 0x1a62ed0f],
     [0x0000c8b3, 0x00000000, 0x809f2644, 0x1b33064e, 0x5493e5b7,
      0x1772ff10, 0x30896600, 0x1402f84f, 0x30896600, 0x1402f84f],
     [0x0001411c, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x58982695, 0x1692fb4f, 0x6c7905b6, 0x0fa2f40f],
     [0x0001411d, 0x00000000, 0x589c468e, 0x14dafe8f, 0x6c8145b6,
      0x0f3af1cf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000053b6, 0x00000000, 0xbcb38716, 0x1f42fe0e, 0x90b18700,
      0x1f43020f, 0xf0b7a706, 0x1f4301ce, 0x00000000, 0x00000000],
     [0x00018088, 0x00000000, 0x00000000, 0x00000000, 0x48900693,
      0x14faf4cd, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000053b7, 0x00000000, 0x90b52700, 0x1f42facf, 0xecb7a70e,
      0x1f430b8f, 0xb8b0e709, 0x1f43034f, 0xacb5c72b, 0x1f42f98e],
     [0x0000c8b6, 0x00000000, 0x40e085fe, 0x29c2f80f, 0x40e085fe,
      0x29c2f80f, 0x4092477c, 0x17730209, 0x4092477c, 0x17730209],
     [0x000053b8, 0x00000000, 0x00000000, 0x00000000, 0x18b4c6f9,
      0x1f42fb8f, 0x00000000, 0x00000000, 0x4cb18721, 0x1f43024f],
     [0x0000c8b7, 0x00000000, 0xc092465b, 0x1773020d, 0xc092465b,
      0x1773020d, 0x7892466d, 0x1773020d, 0x7892466d, 0x1773020d],
     [0x0001808d, 0x00000000, 0x4871c693, 0x0d6af2cd, 0x489025b4,
      0x1502f20d, 0x486e462c, 0x0c8af14d, 0x3856a5b4, 0x08b2dc8c],
     [0x000058e1, 0x00000000, 0x30b6470c, 0x1f42f80f, 0x80b1e721,
      0x1f42fa4e, 0x00000000, 0x00000000, 0x6cb546e8, 0x1f42fc8f],
     [0x000058e2, 0x00000000, 0x04b64711, 0x1f42facf, 0x7cb5a740,
      0x1f42f7ce, 0x7cad86e8, 0x1f42fc4f, 0x00000000, 0x00000000],
     [0x000058e3, 0x00000000, 0x44b3473d, 0x1f430e8e, 0x90b28704,
      0x1f42fb8f, 0x70ad86ff, 0x1f42fa4e, 0xb8ac8711, 0x1f42f40e],
     [0x000058e4, 0x00000000, 0x8cadc6f5, 0x1f43008f, 0x20b0c6fb,
      0x1f42fecf, 0x9cb5271f, 0x1f42f64e, 0x00000000, 0x00000000],
     [0x000058e5, 0x00000000, 0x84b14701, 0x1f43190e, 0x00000000,
      0x00000000, 0x34b8072e, 0x1f42f74f, 0x50ace6e5, 0x1f42fccf],
     [0x000058e6, 0x00000000, 0x54ae8717, 0x1f42f98f, 0x88b9472a,
      0x1f42f78e, 0x00000000, 0x00000000, 0xf8b5e70d, 0x1f42fa8e],
     [0x0000c8bb, 0x00000000, 0x109226af, 0x1773024c, 0x109226af,
      0x1773024c, 0xe86d668e, 0x1243214c, 0x74b0c547, 0x1e8afd92],
     [0x00018095, 0x00000000, 0x747025b3, 0x0de2f08f, 0x2072a5b4,
      0x0de2f44d, 0xfc896693, 0x114af4cb, 0x7889c693, 0x125af4cf],
     [0x0000c8bc, 0x00000000, 0x74a4662b, 0x1e8b168e, 0x74a4662b,
      0x1e8b168e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00018097, 0x00000000, 0x686f25c3, 0x0db2f30f, 0x6889e5c3,
      0x137af30f, 0x687445c3, 0x0efaf30f, 0x386385b4, 0x09dae1cc],
     [0x000058eb, 0x00000000, 0xe4aa4727, 0x1f42f60e, 0xd4b446e9,
      0x1f42f88e, 0xbca4a6f7, 0x1f42ffce, 0x2caac6fc, 0x1f42fe4f],
     [0x000058ec, 0x00000000, 0xdcb666f1, 0x1f42f98e, 0xe0b0671d,
      0x1f43068e, 0x88b18727, 0x1f43020e, 0x2cad671a, 0x1f42fc4f],
     [0x000058ed, 0x00000000, 0x90aac6fc, 0x1f42fb4f, 0xc4b54710,
      0x1f42fa4e, 0x00000000, 0x00000000, 0x08b326fc, 0x1f42f84f],
     [0x000053c0, 0x00000000, 0x68b626f6, 0x1f42f8cf, 0x88b82701,
      0x1f43058f, 0x9cafe703, 0x1f43054e, 0x00000000, 0x00000000],
     [0x0000c8bf, 0x00000000, 0x00000000, 0x00000000, 0x6c9206c7,
      0x1773028f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0001809d, 0x00000000, 0x8084a5aa, 0x12d2f54f, 0x787945b4,
      0x0fa2f54f, 0x8895a5aa, 0x1682f3cf, 0x908d25c3, 0x14daf74f],
     [0x0000c8c0, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa0ab66ee, 0x1cf2fbcf, 0x00000000, 0x00000000],
     [0x000058f2, 0x00000000, 0xb0ac270a, 0x1f42fa4e, 0xacb5a704,
      0x1f42f9ce, 0xf4af06f1, 0x1f42fc4e, 0x34b2e6ed, 0x1f42f6cf],
     [0x000058f3, 0x00000000, 0x20b466f0, 0x1f42fb0f, 0xacb6e713,
      0x1f42f84e, 0x00b0a703, 0x1f42fb0f, 0x80b1e708, 0x1f42facf],
     [0x000180a1, 0x00000000, 0x386d0693, 0x0982dc8c, 0xfc77a5be,
      0x0c82f1cb, 0xd4734693, 0x0daae84b, 0x9c61c5b4, 0x08b2f20d],
     [0x000058f5, 0x00000000, 0x00000000, 0x00000000, 0x04ac0719,
      0x1f42fe0f, 0xb8b3c723, 0x1f42f8ce, 0xfcaa46d5, 0x1f42fc0e],
     [0x000180a3, 0x00000000, 0xa07745b8, 0x0fa2ed0f, 0xa09545b8,
      0x1692f34f, 0xa077e684, 0x0de2ed8f, 0xa08505b8, 0x125af3cf],
     [0x000180a4, 0x00000000, 0x3885a5aa, 0x1082f4cc, 0x487b65aa,
      0x0fdaf4cd, 0xfc6f85aa, 0x0ceaf10b, 0xdc71c5aa, 0x0d7af10a],
     [0x000180a5, 0x00000000, 0xa0708693, 0x0e12f9cf, 0xa070a693,
      0x0e12fa0f, 0x6870867e, 0x0e12f9cf, 0x0871c5b4, 0x0e13020c],
     [0x000180a6, 0x00000000, 0x5c94c68f, 0x169af64f, 0xa07605b8,
      0x0e62f1cf, 0x687445c3, 0x0efaf30f, 0x748765f3, 0x12c2f54f],
     [0x000180a7, 0x00000000, 0xa08485b8, 0x11e2f34f, 0xfc720693,
      0x0c1ae84b, 0xfc7ce5aa, 0x103aee4b, 0xa075a5b8, 0x0eb2f34f],
     [0x000058fb, 0x00000000, 0x00000000, 0x00000000, 0x88ad6727,
      0x1f42f9ce, 0x7cb4c72b, 0x1f42f98e, 0x9cb3c710, 0x1f42f74e],
     [0x000180a9, 0x00000000, 0xfc98c693, 0x173af4cb, 0x20a80693,
      0x1b02f4cd, 0x787c662b, 0x10c2f14f, 0xfc820693, 0x0f1af14b],
     [0x0000c8c6, 0x00000000, 0x00000000, 0x00000000, 0x50942577,
      0x1772fe51, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000180ab, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x008b05bd, 0x135af1cc, 0xfc99a5bd, 0x153af1cb],
     [0x000180ac, 0x00000000, 0xe06c2738, 0x0bd2efd4, 0xe06c2738,
      0x0bd2efd4, 0x445d073c, 0x0962f912, 0xe05e0691, 0x07e2ef54],
     [0x000180ad, 0x00000000, 0xdc5ea690, 0x08aaf094, 0x4068c690,
      0x0a2af092, 0xdc6de690, 0x0c32ef94, 0xcc7e8690, 0x1042ef94],
     [0x000180ae, 0x00000000, 0x606ba690, 0x0b92f192, 0x345ea694,
      0x06830496, 0x34670694, 0x098af2d6, 0x8c59c696, 0x0a6b01d6],
     [0x000180af, 0x00000000, 0x8c59c696, 0x0a6b01d6, 0x8c59c696,
      0x0a6b01d6, 0x3452e690, 0x0632f6d7, 0x3452e690, 0x0632f6d7],
     [0x000180b0, 0x00000000, 0x3c64669a, 0x0a32f3d4, 0x3c64669a,
      0x0a32f3d4, 0x2c6226db, 0x09eaf656, 0x2c6226db, 0x09eaf656],
     [0x000180b1, 0x00000000, 0xd46766b1, 0x09eaebd6, 0xd46766b1,
      0x09eaebd6, 0x8c66c68a, 0x0a6af0d7, 0x8c66c68a, 0x0a6af0d7],
     [0x000180b2, 0x00000000, 0xa05266b1, 0x08b30bd6, 0x2c66c641,
      0x0a72f0d8, 0x9466868f, 0x0a6b0557, 0x945da68f, 0x0a6af397],
     [0x000180b3, 0x00000000, 0x9452642e, 0x08b30bcc, 0x2466e380,
      0x0a72f0cd, 0xa05da3d3, 0x0a6af44c, 0xa06503d3, 0x0a6b030c],
     [0x00005907, 0x00000000, 0x4cb6672d, 0x1f42f84f, 0x00000000,
      0x00000000, 0x94af0715, 0x1f42f88e, 0xe8b68708, 0x1f42f98e],
     [0x000180b5, 0x00000000, 0xe861a4b5, 0x0a6afacf, 0xe861a4b5,
      0x0a6afacf, 0x085f64c2, 0x0a6affd0, 0x305f6478, 0x0a6affd1],
     [0x000180b6, 0x00000000, 0x8c650680, 0x0a7af4d7, 0xcc59a656,
      0x0a6b0b97, 0xa05fc6af, 0x0a6afed7, 0x0c5da3e8, 0x0a6afe0d],
     [0x000180b7, 0x00000000, 0xf067e666, 0x0a6aee57, 0x8c6d868e,
      0x0a6aed57, 0x885f65a3, 0x0952ee12, 0x4462067e, 0x0a6afa16],
     [0x000180b8, 0x00000000, 0x0c686694, 0x0bd2f413, 0xe0572738,
      0x06baf2d4, 0xcc5f2691, 0x091af714, 0xe06d0690, 0x0be2ef54],
     [0x000180b9, 0x00000000, 0xe066673a, 0x0aaaf954, 0xa06d267e,
      0x0ceafa0f, 0xa06c267e, 0x0caaf80f, 0xa06c267e, 0x0caaf80f],
     [0x000180ba, 0x00000000, 0xa06c267e, 0x0caaf80f, 0xa06c267e,
      0x0caaf80f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000180bb, 0x00000000, 0x5465642e, 0x0a6af34d, 0x8c6fe681,
      0x0caaf097, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000c8cf, 0x00000000, 0x00000000, 0x00000000, 0xa8a8069e,
      0x1ce3020c, 0x00000000, 0x00000000, 0x8092a6c4, 0x16c2fbcc],
     [0x00005910, 0x00000000, 0x90b3a715, 0x1f42f84e, 0x14b5a6e1,
      0x1f42f64f, 0x60a8a700, 0x1f42f90f, 0xe0b36700, 0x1f42f8ce],
     [0x00005911, 0x00000000, 0x70b68700, 0x1f42f90f, 0xccb00712,
      0x1f42f9cf, 0x60b24700, 0x1f42fa8f, 0x14ae86fc, 0x1f42f8cf],
     [0x000053d2, 0x00000000, 0x1cae2720, 0x1f42f60e, 0x38ad26df,
      0x1f42fa0f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000180c0, 0x00000000, 0x8c2c268e, 0x00029157, 0x8c2c268e,
      0x00029157, 0x8c35268a, 0x00028d97, 0xf0366666, 0x00028b57],
     [0x000180c1, 0x00000000, 0x2c354641, 0x00028dd8, 0xa841071c,
      0x0002761b, 0x8c330680, 0x000290d7, 0xcc27e656, 0x0002a817],
     [0x000180c2, 0x00000000, 0xcc346656, 0x00028f57, 0x502fc6d7,
      0x0002a157, 0xa02e46af, 0x00029bd7, 0x8c3bc68e, 0x000289d7],
     [0x000180c3, 0x00000000, 0x8c35468a, 0x00028dd7, 0x702626a4,
      0x0002af97, 0x702de6a4, 0x00029c97, 0x8c3bc68e, 0x000289d7],
     [0x000180c4, 0x00000000, 0x8c3306e7, 0x000290d7, 0x8c330680,
      0x000290d7, 0x782a86d1, 0x0002a357, 0x782a86d1, 0x0002a357],
     [0x000180c5, 0x00000000, 0x782a86d1, 0x0002a357, 0x784546d1,
      0x0002d8d7, 0x202ea3b3, 0x0002964c, 0x202c23b3, 0x0002914c],
     [0x000180c6, 0x00000000, 0x342443b3, 0x00028acb, 0x343483b3,
      0x0002ab4b, 0xec3486c7, 0x00028f17, 0x0444e5c2, 0x0002e315],
     [0x000180c7, 0x00000000, 0x782183a1, 0x0002940b, 0xe03023b3,
      0x000297cb, 0xe03023b3, 0x000297cb, 0xb82dc3b3, 0x00029c8b],
     [0x000180c8, 0x00000000, 0x002dc36c, 0x00029c8d, 0x243ea433,
      0x0002b34b, 0x24554433, 0x0002e08b, 0x3c27e372, 0x0002a80c],
     [0x000180c9, 0x00000000, 0x38346371, 0x00028f4c, 0x702e43a3,
      0x00029bcb, 0x1c2a837a, 0x0002a34a, 0x442ee3e8, 0x00029a8c],
     [0x000180ca, 0x00000000, 0x0c2d63e8, 0x00029d8d, 0xf8244382,
      0x0002af8b, 0xf4356386, 0x00028dcb, 0x1435237a, 0x00028f0c],
     [0x000180cb, 0x00000000, 0xe035439f, 0x00028dcb, 0xe035439f,
      0x00028dcb, 0x1c3363a4, 0x0002918c, 0x403363ad, 0x0002918c],
     [0x000180cc, 0x00000000, 0x34366377, 0x00028b4c, 0x9435435b,
      0x00028dcc, 0xa441035b, 0x0002760c, 0xf041035b, 0x0002760a],
     [0x000180cd, 0x00000000, 0xf835a528, 0x000289d2, 0x3834c4fa,
      0x00028e13, 0x384104fa, 0x00027613, 0x7839662c, 0x00028f0e],
     [0x000180ce, 0x00000000, 0x3042667e, 0x00028f0d, 0x782b83a1,
      0x0002a80b, 0xa83563b3, 0x00028dcc, 0x142c23b3, 0x00029fcc],
     [0x000180cf, 0x00000000, 0xac34a3a7, 0x00028f0c, 0xd42da6b3,
      0x00029c97, 0x6c286725, 0x0002a757, 0xa8410788, 0x0002761b],
     [0x00005923, 0x00000000, 0xc4b2671d, 0x1f42fe0e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xb0ae86fa, 0x1f42f8ce],
     [0x000180d1, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x08360691, 0x00029698, 0x1066e35c, 0x000af0cb],
     [0x00005925, 0x00000000, 0x00000000, 0x00000000, 0x8cb68713,
      0x1f42f78e, 0x78b86707, 0x1f42f78f, 0x28ac8722, 0x1f42f8cf],
     [0x000180d3, 0x00000000, 0xf03786f1, 0x00028d97, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005927, 0x00000000, 0x5cb526ff, 0x1f42fb4f, 0xc0b0470c,
      0x1f42fbce, 0x04b4473d, 0x1f42f28f, 0x90b96721, 0x1f42f8ce],
     [0x00005928, 0x00000000, 0x48af8709, 0x1f42f80f, 0x00000000,
      0x00000000, 0x6caf6715, 0x1f42f70e, 0x5cb4e721, 0x1f42fa0e],
     [0x000180d6, 0x00000000, 0x00000000, 0x00000000, 0xe433a3a7,
      0x000294c9, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000180d7, 0x00000000, 0xfc63639c, 0x000290cb, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000180d8, 0x00000000, 0xb46c2661, 0x00028b57, 0x8c636680,
      0x000290d7, 0x686ae3a7, 0x00028b4b, 0x00000000, 0x00000000],
     [0x0000592c, 0x00000000, 0x30b0c6f8, 0x1f42f8cf, 0xa4b06701,
      0x1f42f7ce, 0x14b6472b, 0x1f42f84f, 0x98b5c6f7, 0x1f42f08f],
     [0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000592e, 0x00000000, 0xc4b3872a, 0x1f42fbce, 0x64b60719,
      0x1f42f90e, 0xacaf4719, 0x1f42fb0e, 0x4cb70728, 0x1f42f40f],
     [0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005930, 0x00000000, 0x48b92701, 0x1f42f88f, 0x08b3e713,
      0x1f42f70f, 0xf0b46713, 0x1f42f60e, 0x10b3a731, 0x1f42fc4f],
     [0x00005931, 0x00000000, 0x58b1474c, 0x1f42f60e, 0x10b04726,
      0x1f42f44f, 0x00000000, 0x00000000, 0x5cb2e720, 0x1f42f70e],
     [0x000180df, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x6c59e5b3, 0x08b3020d, 0x00000000, 0x00000000],
     [0x00005933, 0x00000000, 0x00000000, 0x00000000, 0xccb7471b,
      0x1f42f70e, 0x44b06731, 0x1f430fce, 0x6cb726df, 0x1f42fb4f],
     [0x000180e1, 0x00000000, 0x8c5c867e, 0x08ab0a57, 0x8c66067e,
      0x0a6af297, 0xa096e693, 0x1692f1cf, 0x105685b3, 0x08b30255],
     [0x000180e2, 0x00000000, 0xa09aa693, 0x1772f00f, 0xa0a70693,
      0x1a92f00f, 0xa076a693, 0x0eb2f00f, 0x00000000, 0x00000000],
     [0x000180e3, 0x00000000, 0x68948693, 0x1692f00f, 0x00000000,
      0x00000000, 0xa0a4c693, 0x1a42f00f, 0xa097e693, 0x1742f00f],
     [0x000180e4, 0x00000000, 0x7866067e, 0x0aa2f28f, 0xa096e68a,
      0x1692f1cf, 0xa088a67e, 0x14daf24f, 0xa086a67e, 0x125af0cf],
     [0x000180e5, 0x00000000, 0xa092e68a, 0x1692fa0f, 0xa089267e,
      0x131af10f, 0xa089467e, 0x1322f08f, 0xa096667e, 0x1692f28f],
     [0x000180e6, 0x00000000, 0x6894868c, 0x1692f68f, 0xa065e67e,
      0x0a6af28f, 0xa098e67e, 0x16daf64f, 0xa094668a, 0x15f2f1cf],
     [0x000180e7, 0x00000000, 0xa0aa867e, 0x1bcaf10f, 0x7496e67e,
      0x1692f10f, 0xa08b467e, 0x141af54f, 0x6894868c, 0x1692f68f],
     [0x000180e8, 0x00000000, 0xa096667e, 0x1692f28f, 0xa082467e,
      0x116af20f, 0x00000000, 0x00000000, 0xa089867e, 0x1382f58f],
     [0x000180e9, 0x00000000, 0xa088a67e, 0x131af24f, 0xa096668a,
      0x1692f54f, 0xa099867e, 0x17daf6cf, 0xa096867e, 0x1692f08f],
     [0x000180ea, 0x00000000, 0xa099069a, 0x1752f38f, 0xa097e68c,
      0x1742f54f, 0xa0660751, 0x0a6af28f, 0xa0966751, 0x1692f54f],
     [0x000180eb, 0x00000000, 0x7880a67e, 0x10faf54f, 0x7871667e,
      0x0dbaf44f, 0x3c77067e, 0x1002f08c, 0x785fe67e, 0x089af30f],
     [0x000180ec, 0x00000000, 0x787c467e, 0x1062f20f, 0x7880a5b4,
      0x10faf54f, 0x3c78c693, 0x0f82fbcc, 0x387605b1, 0x0ed2f08c],
     [0x000180ed, 0x00000000, 0x78794693, 0x0fa2f54f, 0x787165b4,
      0x0dbaf44f, 0x38716693, 0x0dcaf6cc, 0x3c7705b4, 0x1002f08c],
     [0x000180ee, 0x00000000, 0x78790693, 0x0f82f4cf, 0x785fe5b4,
      0x089af30f, 0xa07d65b4, 0x0fa2efcf, 0x747c0693, 0x0f8af10f],
     [0x000180ef, 0x00000000, 0x3c7f05aa, 0x1082fbcc, 0x6875e5b4,
      0x0e3af30f, 0x38716693, 0x0dcaf6cc, 0x7879a5b4, 0x0fcaf6cf],
     [0x000180f0, 0x00000000, 0x687ac5aa, 0x0faaf04f, 0x3c78c5b4,
      0x0f82fbcc, 0x387485b4, 0x0dcaf6cc, 0x787f45aa, 0x1122f54f],
     [0x000180f1, 0x00000000, 0x7875c5aa, 0x0eeaeecf, 0x787c45b4,
      0x1062f20f, 0x3c88a5b4, 0x137af54c, 0x307b45b4, 0x0fa2f0cc],
     [0x000180f2, 0x00000000, 0x3c9405b4, 0x15b2f30c, 0x7888e5b4,
      0x138af54f, 0x78660656, 0x0aa2f28f, 0x787c4656, 0x1062f20f],
     [0x00005946, 0x00000000, 0x54b58737, 0x1f42f84e, 0x24b6a736,
      0x1f42f7ce, 0x00000000, 0x00000000, 0xdcb4671e, 0x1f42f70e],
     [0x000180f4, 0x00000000, 0x7871e69d, 0x0e12fb8f, 0x78828693,
      0x1152ee0f, 0xa095c68c, 0x1692f54f, 0x00000000, 0x00000000],
     [0x000180f5, 0x00000000, 0x00000000, 0x00000000, 0x3c88a693,
      0x137af54c, 0x789945aa, 0x17d2ef8f, 0x00000000, 0x00000000],
     [0x00007fff, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xaca886f8, 0x1f430f4f],
     [0x0000594a, 0x00000000, 0x00000000, 0x00000000, 0x7cb50735,
      0x1f42f68e, 0x64b56722, 0x1f42f80e, 0x80b1c730, 0x1f42f50e],
     [0x0000594b, 0x00000000, 0xa4b7672c, 0x1f42f74e, 0x2cb0c736,
      0x1f42ff4f, 0x70b4272d, 0x1f42fece, 0x34b5e731, 0x1f43124f],
     [0x0000594c, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x64b4a70a, 0x1f42facf, 0x64b46707, 0x1f42f60e],
     [0x0000594d, 0x00000000, 0x94b3a70d, 0x1f430f4f, 0xfca7c6e4,
      0x1f431b4f, 0x58b7e70e, 0x1f43088f, 0xf0b226ee, 0x1f43108f],
     [0x0000594e, 0x00000000, 0x38b7471b, 0x1f42f6cf, 0x2cb86714,
      0x1f430ed0, 0x00000000, 0x00000000, 0x04b5c712, 0x1f42ff90],
     [0x000180fc, 0x00000000, 0x787ee5b4, 0x113af88f, 0x447945b4,
      0x0fa2f54c, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005950, 0x00000000, 0x00000000, 0x00000000, 0x6cb6e711,
      0x1f43084f, 0x00000000, 0x00000000, 0xc4b266e5, 0x1f4305cf],
     [0x00005951, 0x00000000, 0x00000000, 0x00000000, 0xecb8470b,
      0x1f43018f, 0x28b78714, 0x1f42f50f, 0x00000000, 0x00000000],
     [0x00008008, 0x00000000, 0xa03e83e8, 0x07d2ee0f, 0x7c5c068c,
      0x0a6b0e8f, 0x5c67e68c, 0x0cc30156, 0xa07c667e, 0x0fa2ef8f],
     [0x00008009, 0x00000000, 0x4477c6bf, 0x0fa2f90e, 0x549446aa,
      0x175afd4f, 0x6c9c468c, 0x1852f88f, 0x5c4f268c, 0x05a2fa16],
     [0x0000800a, 0x00000000, 0xdc64868c, 0x0a6afa0c, 0xdc62268c,
      0x0a6af54c, 0xc474a68c, 0x0fa2ff13, 0xfc8e060b, 0x156afa0e],
     [0xc008800b, 0x00001800, 0x6c56e44e, 0x07d2fbcd, 0xa86224e9,
      0x0a6af7d2, 0x7455244c, 0x07d2ff8f, 0x6862668c, 0x08b2ebcf],
     [0x00018103, 0x00000000, 0xa0944788, 0x1592f2cf, 0x00000000,
      0x00000000, 0x6495477b, 0x163af1cf, 0x3c95867e, 0x165af2cd],
     [0x00005957, 0x00000000, 0x78b62709, 0x1f42fbcf, 0xacb466e0,
      0x1f4305cf, 0x14b806fe, 0x1f430610, 0x00000000, 0x00000000],
     [0x00018105, 0x00000000, 0x3c8f467e, 0x14caf18d, 0xa08a667e,
      0x13aaf38f, 0xa0bd268c, 0x1feaf00f, 0x6882a68c, 0x1202f50f],
     [0x00018106, 0x00000000, 0xa096867e, 0x169af2cf, 0xa096877b,
      0x169af2cf, 0xa094468c, 0x1592f2cf, 0x6891867e, 0x155af04f],
     [0x80008010, 0x04806e03, 0x68a3a68c, 0x1ccb0b0f, 0xa096e68a,
      0x1692f1cf, 0xa088a67e, 0x14daf24f, 0x688da68c, 0x14daf50f],
     [0x02988011, 0x0810c000, 0xa094267e, 0x1692f20f, 0xa089267e,
      0x131af10f, 0xa082c67e, 0x1162f0cf, 0x6897268c, 0x1692f60f],
     [0x00018109, 0x00000000, 0xa099e67e, 0x180af78f, 0xa096667e,
      0x1662f04f, 0x3c95867e, 0x165af2cd, 0xa08e667e, 0x148aeecf],
     [0x05308013, 0x0da18000, 0xa089467e, 0x131af10f, 0xa0aa867e,
      0x1bcaf10f, 0x7496e67e, 0x1692f10f, 0x6894868c, 0x1692f68f],
     [0x07208014, 0x1171f400, 0xa082467e, 0x116af20f, 0xdc96268c,
      0x1692f68c, 0xa091067e, 0x14daf24f, 0x687be68c, 0x1162f8cf],
     [0x0000595f, 0x00000000, 0x20b6a71a, 0x1f42fd0f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x98b2470e, 0x1f4303cf],
     [0x0001810d, 0x00000000, 0x7c7565aa, 0x0e72f18d, 0x787525b4,
      0x0e92f78f, 0xa096e5b0, 0x168af18f, 0x786b25b4, 0x0c32f18f],
     [0x0001810e, 0x00000000, 0xa07d45aa, 0x106af3cf, 0xa07d46a8,
      0x106af3cf, 0xa07c65b0, 0x0fbaf3cf, 0x787a05aa, 0x0f9af00f],
     [0x0001810f, 0x00000000, 0xa088c5aa, 0x134af3cf, 0xa07d45aa,
      0x106af3cf, 0x787a05b4, 0x1002f6cf, 0xa07d45aa, 0x106af3cf],
     [0x00005963, 0x00000000, 0xc0b4a720, 0x1f42f78e, 0x00000000,
      0x00000000, 0x40ad672d, 0x1f430a4e, 0x00000000, 0x00000000],
     [0x5178801a, 0x2340008c, 0xa07b6693, 0x0fa2f04f, 0xa05e2693,
      0x08b2f20f, 0x3856c693, 0x08b2dc8c, 0xa07da693, 0x0fa2efcf],
     [0x1230801b, 0x25249892, 0xa05ea693, 0x08b2f2cf, 0xa09f65b4,
      0x1852f20f, 0xa07b25b4, 0x0fa2f20f, 0x787945b4, 0x0fa2f54f],
     [0x00018113, 0x00000000, 0xa073a5aa, 0x0e4af3cf, 0x7871c5b4,
      0x0de2f18f, 0x789665b4, 0x1712f3cf, 0xa07685aa, 0x0ebaef0f],
     [0x00018114, 0x00000000, 0x00000000, 0x00000000, 0x78752656,
      0x0e92f78f, 0x38756693, 0x1002ef8c, 0xa06ee68f, 0x0c52f24f],
     [0x00018115, 0x00000000, 0x787445b4, 0x0de2f68f, 0x7869c5b3,
      0x0c2afa4f, 0xa05fc693, 0x08b2f54f, 0xa063e656, 0x08b2ee4f],
     [0x0000801f, 0x00000000, 0x684f268c, 0x0642fecf, 0xcc6e0690,
      0x0f030e8c, 0x7c7d452d, 0x10eaf812, 0x00000000, 0x00000000],
     [0x00018117, 0x00000000, 0xa07c668f, 0x0fbaf3cf, 0x00000000,
      0x00000000, 0x387ae6a8, 0x0f5af00c, 0x7c7c65aa, 0x1032f3cd],
     [0x00018118, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa097a67e, 0x1752f48f, 0xa07de693, 0x10daf00f],
     [0x0000596c, 0x00000000, 0x7cb2271e, 0x1f42fdce, 0x00000000,
      0x00000000, 0xacb406b6, 0x1f43040e, 0xccb18722, 0x1f4308ce],
     [0x0001811a, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa0ba867e, 0x1f32ef8f, 0xa09705aa, 0x1692f18f],
     [0x0000596e, 0x00000000, 0xc8b6870e, 0x1f42f78e, 0x88b12716,
      0x1f430acf, 0x00000000, 0x00000000, 0x20b666ea, 0x1f42ffcf],
     [0x0001811c, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x6894c68c, 0x16caf70f, 0x787a05b4, 0x1002f6cf],
     [0x00005970, 0x00000000, 0x00000000, 0x00000000, 0x8cb22736,
      0x1f430bce, 0x9caca724, 0x1f42fbce, 0x7cb766f9, 0x1f42f70e],
     [0x00005971, 0x00000000, 0x50b66706, 0x1f42f80f, 0x10b86715,
      0x1f42facf, 0x3cb0872c, 0x1f42fcce, 0x00000000, 0x00000000],
     [0x00000c06, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x547c669e, 0x106b120e, 0x546de69e, 0x106af54e],
     [0x00008029, 0x00000000, 0x787fc5fe, 0x0fa2e88f, 0xa07e867e,
      0x0fa2e0cf, 0x684f268c, 0x0642fecf, 0x5073c68c, 0x0fa2ff8d],
     [0x00005974, 0x00000000, 0x48b6a702, 0x1f42f60f, 0x00000000,
      0x00000000, 0x40b6a716, 0x1f42f80f, 0x94ae4715, 0x1f42f80e],
     [0x0000802b, 0x00000000, 0x6c838571, 0x12c2fa11, 0xa86224e9,
      0x0a6af7d2, 0x6898c68c, 0x17c2f78f, 0x2c66c641, 0x0a6af0d8],
     [0x00005976, 0x00000000, 0x00000000, 0x00000000, 0x64b8c70c,
      0x1f42f38f, 0x78b006f9, 0x1f42f60e, 0x0cb72719, 0x1f42f70f],
     [0x00018124, 0x00000000, 0xa082870b, 0x11daf2cf, 0xa06ee616,
      0x0c52f24f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005405, 0x00000000, 0x14abc702, 0x1f42f810, 0xb8b066ed,
      0x1f42fc0f, 0x4cb74739, 0x1f42fece, 0xe4af26fb, 0x1f42f7ce],
     [0x00005979, 0x00000000, 0x00000000, 0x00000000, 0xd89986bb,
      0x1f43308f, 0x64b586b6, 0x1f430050, 0x9ca4066b, 0x1f431691],
     [0x0000597a, 0x00000000, 0xa0a64720, 0x1f432a8e, 0x9cb3e710,
      0x1f42ff0e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000597b, 0x00000000, 0x78a50739, 0x1f431f8e, 0x98b5070b,
      0x1f42f9cf, 0x80b5072a, 0x1f43144e, 0xecb5c70a, 0x1f430e4e],
     [0x0000597c, 0x00000000, 0x7cb2a6db, 0x1f43010e, 0x6cb1c70d,
      0x1f43068e, 0xccad86e5, 0x1f43114f, 0x0cab46ed, 0x1f430c4f],
     [0x0000597d, 0x00000000, 0x08b526ce, 0x1f4305cf, 0x30a626ee,
      0x1f431f0f, 0x08af670c, 0x1f430dcf, 0x88aa2707, 0x1f430b4f],
     [0x00005408, 0x00000000, 0xecb106fe, 0x1f42f40e, 0xa8acc6fc,
      0x1f42f80f, 0x38b4e72b, 0x1f42fbcf, 0xe4b88704, 0x1f42f5cf],
     [0x0000597f, 0x00000000, 0xecb206eb, 0x1f43098f, 0xd4b586f5,
      0x1f43038f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005980, 0x00000000, 0xb8ace70b, 0x1f430a8e, 0x00000000,
      0x00000000, 0x3cabc72c, 0x1f4319ce, 0x74af26e9, 0x1f43020f],
     [0x00005981, 0x00000000, 0xc0b406dc, 0x1f43028f, 0xccb3a6bf,
      0x1f43054f, 0x7cb28706, 0x1f43144f, 0xd8ae071e, 0x1f43098e],
     [0x0000540a, 0x00000000, 0xc4b08713, 0x1f42f40f, 0x44b26724,
      0x1f42fa0e, 0xc4b8670a, 0x1f42f7cf, 0x1cb7c70d, 0x1f42f90f],
     [0x00005983, 0x00000000, 0x20a706fe, 0x1f431d4f, 0x54ac8696,
      0x1f430ed0, 0x48a9a70a, 0x1f43100f, 0x70b1c745, 0x1f431d4e],
     [0x00005984, 0x00000000, 0x54b7a6d6, 0x1f43054f, 0xfcb7a6e8,
      0x1f43038e, 0x0cb006d4, 0x1f4309cf, 0x40a9e739, 0x1f43130e],
     [0x00005985, 0x00000000, 0xc0b2e73d, 0x1f43068e, 0x5cb2a71b,
      0x1f4302ce, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005986, 0x00000000, 0x00000000, 0x00000000, 0x74b0e6f6,
      0x1f43058f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x1db8803d, 0x00077000, 0x7879468a, 0x0fa2f54f, 0x78794666,
      0x0fa2f54f, 0x78794656, 0x0fa2f54f, 0x788145ec, 0x11a2f58f],
     [0x00005988, 0x00000000, 0x58b4c717, 0x1f43054f, 0x24aac6fb,
      0x1f430810, 0x74ae26e6, 0x1f43060f, 0x00000000, 0x00000000],
     [0x0000803f, 0x00000000, 0x787a8656, 0x0fa2f04f, 0x3879e68e,
      0x0fa2f18c, 0x3c794693, 0x0fa2ef4c, 0x3879e656, 0x0fa2f18c],
     [0x0000598a, 0x00000000, 0x98ac273a, 0x1f430b4e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x14ac6712, 0x1f430a0f],
     [0x00008041, 0x00000000, 0x0c96e68a, 0x1692f1cd, 0x0c7985b4,
      0x0de2f74d, 0x688da762, 0x14daf50f, 0x7872068e, 0x0de2f44f],
     [0x0000598c, 0x00000000, 0x80b246fb, 0x1f43030f, 0x24b426fb,
      0x1f42fd8f, 0xc8af86fa, 0x1f43048e, 0xd0b346e5, 0x1f4306cf],
     [0x00008043, 0x00000000, 0x688da75e, 0x14daf50f, 0x7872068a,
      0x0de2f44f, 0xa094275e, 0x1692f20f, 0x788a06a5, 0x1252f4cf],
     [0x0000598e, 0x00000000, 0x00000000, 0x00000000, 0xe8b72701,
      0x1f43040e, 0xe4aa26f7, 0x1f431dce, 0x00000000, 0x00000000],
     [0x0000598f, 0x00000000, 0x8cb4a6f5, 0x1f43070f, 0x00000000,
      0x00000000, 0x7cb086e6, 0x1f43120f, 0x94afa700, 0x1f43058f],
     [0x00008046, 0x00000000, 0x0c89267e, 0x131af10d, 0x0c7385b4,
      0x0de2f44d, 0xa089275e, 0x131af10f, 0x7873868a, 0x0de2f44f],
     [0x00008047, 0x00000000, 0x6897275e, 0x1692f60f, 0x3879468a,
      0x0fa2f50c, 0x68972754, 0x1692f60f, 0x38794680, 0x0fa2f50c],
     [0x00008048, 0x00000000, 0x6897272a, 0x1692f60f, 0x38794656,
      0x0fa2f50c, 0x4097268c, 0x1692f60b, 0x387946e6, 0x0fa2f50c],
     [0x00005993, 0x00000000, 0x6cade6f1, 0x1f43070f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xf0b5672a, 0x1f43048e],
     [0x00005994, 0x00000000, 0x00000000, 0x00000000, 0x40a7e710,
      0x1f431bce, 0x1cb0e6af, 0x1f430410, 0x60b4e714, 0x1f430b8f],
     [0x0000804b, 0x00000000, 0xa065e754, 0x0a6af28f, 0xa0618680,
      0x08b2edcf, 0x0c65e67e, 0x0a6af28d, 0x0c612693, 0x08b2f20d],
     [0x00005414, 0x00000000, 0xc0b2c739, 0x1f42ff4e, 0x78b626ed,
      0x1f42fc0f, 0x00000000, 0x00000000, 0x90ade6d3, 0x1f42fb0f],
     [0x0000804d, 0x00000000, 0x686c675e, 0x0baaec8f, 0x3863668a,
      0x08b2dc8c, 0x4098e67e, 0x1692f64b, 0x407da693, 0x0fa2efcb],
     [0x00005998, 0x00000000, 0x00000000, 0x00000000, 0xfcab86fe,
      0x1f430ace, 0xd0a9671d, 0x1f43044e, 0x00000000, 0x00000000],
     [0x0000804f, 0x00000000, 0x405ea693, 0x08b2f2cb, 0xa0894693,
      0x131af10f, 0xa06bc6a6, 0x0beaf2cf, 0xa08b667e, 0x1362f54f],
     [0x0000599a, 0x00000000, 0xa8b2472f, 0x1f42fd8e, 0x60b2a726,
      0x1f42ff8f, 0x14b3a71a, 0x1f43074f, 0x00000000, 0x00000000],
     [0x00008051, 0x00000000, 0xa07b268e, 0x0fa2f20f, 0x4096e67e,
      0x1692f10b, 0x407b25b4, 0x0fa2f20b, 0x7496e75e, 0x1692f10f],
     [0x00008052, 0x00000000, 0xa07b268a, 0x0fa2f20f, 0xa08546a6,
      0x1272f30f, 0x5892a68e, 0x1632f20f, 0x387385b4, 0x0fc2f20c],
     [0x00008053, 0x00000000, 0x689486ed, 0x1692f68f, 0x78794619,
      0x0fa2f54f, 0x68948754, 0x1692f68f, 0x78794680, 0x0fa2f54f],
     [0x00008054, 0x00000000, 0x68948762, 0x1692f68f, 0x7879468e,
      0x0fa2f54f, 0x88ad2684, 0x1bcaf58f, 0x7894c5b4, 0x1692f58f],
     [0x0000599f, 0x00000000, 0xb8b0870e, 0x1f43094f, 0x00000000,
      0x00000000, 0xb0b02706, 0x1f43064e, 0x00000000, 0x00000000],
     [0x00008056, 0x00000000, 0xa091075e, 0x14daf24f, 0xa068668a,
      0x0a6aef4f, 0x687be762, 0x1162f8cf, 0x786a068e, 0x0c2afacf],
     [0x000059a1, 0x00000000, 0x84aee70f, 0x1f43050f, 0x00000000,
      0x00000000, 0x6cb5a6dc, 0x1f42fe0f, 0x88b806db, 0x1f43070f],
     [0x000059a2, 0x00000000, 0x4cae4748, 0x1f430e8e, 0x3cb4c6e8,
      0x1f430ace, 0xecaa26e7, 0x1f430a0e, 0x70b2a72d, 0x1f43124e],
     [0x0000c919, 0x00000000, 0x5495669a, 0x15baee0f, 0x5495669a,
      0x15baee0f, 0x5495669a, 0x15baee0f, 0x5495669a, 0x15baee0f],
     [0x0000541b, 0x00000000, 0xd4b06703, 0x1f42f84f, 0x88aee6e8,
      0x1f42fdcf, 0xacae66fa, 0x1f42f94e, 0xb4b32716, 0x1f42fc0f],
     [0x0000805b, 0x00000000, 0x6896a754, 0x1692f18f, 0x787a8680,
      0x0fa2f04f, 0x6896a76a, 0x1692f18f, 0x787a86af, 0x0fa2f04f],
     [0x0000805c, 0x00000000, 0x6896a762, 0x1692f18f, 0x787a868e,
      0x0fa2f04f, 0x0c96a67e, 0x1692f18d, 0x307a85aa, 0x0fa2f04d],
     [0x000059a7, 0x00000000, 0x00000000, 0x00000000, 0xfcb046ed,
      0x1f42ff8e, 0x00000000, 0x00000000, 0x24b44715, 0x1f43054f],
     [0x0000805e, 0x00000000, 0xa0966750, 0x1692f38f, 0xa0894762,
      0x1322f08f, 0xa072c68e, 0x0de2f4cf, 0xa089472a, 0x1322f08f],
     [0x0000805f, 0x00000000, 0xa072c656, 0x0de2f4cf, 0xa0894784,
      0x1322f08f, 0xa072c68a, 0x0de2f4cf, 0xa06e6693, 0x0a72f30f],
     [0x00008060, 0x00000000, 0x78798693, 0x0fa2e94f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000059ab, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x84b62739, 0x1f43070e, 0x20b4c72a, 0x1f4301cf],
     [0x00018c1b, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xfca7867d, 0x1c2af74e, 0x00000000, 0x00000000],
     [0x000059ad, 0x00000000, 0x84b92729, 0x1f42fd8e, 0x14b10724,
      0x1f4305cf, 0x00000000, 0x00000000, 0x48b2672c, 0x1f4306ce],
     [0x000059ae, 0x00000000, 0x70b84735, 0x1f42ff0e, 0xa8b3c721,
      0x1f42fd0e, 0x5cb54704, 0x1f43040e, 0x7cb2070b, 0x1f43060e],
     [0x000059af, 0x00000000, 0x88af4737, 0x1f43068e, 0x5cb3e71b,
      0x1f43050e, 0xe8b72706, 0x1f42fb0e, 0x00000000, 0x00000000],
     [0x00008066, 0x00000000, 0x00000000, 0x00000000, 0xa07da693,
      0x0fa2efcf, 0xa05ea693, 0x08b2f2cf, 0xa07f0684, 0x1042fbcf],
     [0x00008067, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xfc7b25b4, 0x0fa2f20b, 0x00000000, 0x00000000],
     [0x000059b2, 0x00000000, 0x1caf8719, 0x1f4305cf, 0xe4b60734,
      0x1f4305ce, 0x98af871d, 0x1f4306ce, 0x50b1e71f, 0x1f4305ce],
     [0x000059b3, 0x00000000, 0x04a7c71a, 0x1f43168f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xa8b12725, 0x1f430b8e],
     [0x000059b4, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x2cb8870c, 0x1f43020f, 0x00000000, 0x00000000],
     [0x0000806b, 0x00000000, 0x00000000, 0x00000000, 0x78682693,
      0x09b2f18f, 0x00000000, 0x00000000, 0x68a3c6ee, 0x17f2f18f],
     [0x000059b6, 0x00000000, 0x38ae86e2, 0x1f4304cf, 0xf0b0670f,
      0x1f43084e, 0xd8b6c735, 0x1f42ff0d, 0xccade71c, 0x1f42ff0e],
     [0x0000806d, 0x00000000, 0x00000000, 0x00000000, 0xa089467e,
      0x1322f08f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000059b8, 0x00000000, 0x90b0873c, 0x1f4308ce, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xe8b4471d, 0x1f43080f],
     [0x000059b9, 0x00000000, 0x8cb3a6f7, 0x1f4306ce, 0x00000000,
      0x00000000, 0x30b5e746, 0x1f42fd4e, 0x00000000, 0x00000000],
     [0x000059ba, 0x00000000, 0x98b4a705, 0x1f4306cf, 0x50ae6735,
      0x1f430c4e, 0x00000000, 0x00000000, 0x34ab472f, 0x1f430f0e],
     [0x000059bb, 0x00000000, 0xecb6271e, 0x1f4305ce, 0xbcb26739,
      0x1f43084e, 0x38b42715, 0x1f4303cf, 0x00000000, 0x00000000],
     [0x000059bc, 0x00000000, 0x24a606a0, 0x1f431a11, 0x00000000,
      0x00000000, 0x30ace71e, 0x1f431510, 0xdcabe732, 0x1f43130e],
     [0x000059bd, 0x00000000, 0xf8b28706, 0x1f43088e, 0xdcaa873b,
      0x1f43104e, 0x80a406ff, 0x1f43248e, 0x70a78729, 0x1f430f4e],
     [0x000059be, 0x00000000, 0xb0b36720, 0x1f43028e, 0x60a7873e,
      0x1f4319ce, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000059bf, 0x00000000, 0x8cb5e731, 0x1f43144e, 0xe0a4e73f,
      0x1f431b4e, 0xe0aaa73f, 0x1f43190e, 0x60b3473b, 0x1f43028e],
     [0x000059c0, 0x00000000, 0xbcb7e734, 0x1f43094e, 0x80ad471b,
      0x1f42fece, 0x00000000, 0x00000000, 0x80b62738, 0x1f43020e],
     [0x000059c1, 0x00000000, 0x4cb7a726, 0x1f42fb0e, 0x30b34718,
      0x1f42fc4f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000059c2, 0x00000000, 0x48990715, 0x1f430b4f, 0x90b08743,
      0x1f43000e, 0xe0b2c6bb, 0x1f42f80f, 0xb8a8e6fa, 0x1f43050f],
     [0x000059c3, 0x00000000, 0x00000000, 0x00000000, 0x34b4e6f3,
      0x1f42fb50, 0x00000000, 0x00000000, 0x88ada6da, 0x1f42f80f],
     [0x000059c4, 0x00000000, 0x04ad66fa, 0x1f42f80f, 0x00000000,
      0x00000000, 0xf8af66be, 0x1f42f64e, 0xc4b7a6dc, 0x1f42f44f],
     [0x000059c5, 0x00000000, 0x20a88724, 0x1f43038f, 0xb4b246fa,
      0x1f42f90f, 0x68b76706, 0x1f42f64e, 0xeca8071f, 0x1f430d8e],
     [0x000059c6, 0x00000000, 0x60b5870c, 0x1f42fa4f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x1caf4724, 0x1f43058f],
     [0x000059c7, 0x00000000, 0x00000000, 0x00000000, 0x64aa272b,
      0x1f42f6cf, 0x90b24738, 0x1f43008e, 0xf4abe731, 0x1f42fcce],
     [0x0000807e, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa096e792, 0x1692f1cf, 0x7875c762, 0x0de2f74f],
     [0x0000807f, 0x00000000, 0xa0aa6762, 0x1bcaee0f, 0x848d868e,
      0x14daf78f, 0x60948762, 0x1692f68e, 0xe079468e, 0x0fa2f54d],
     [0x000059ca, 0x00000000, 0xecb84723, 0x1f43044e, 0x00000000,
      0x00000000, 0x5cb8c72a, 0x1f43098e, 0x7cb4e723, 0x1f430a0e],
     [0x000059cb, 0x00000000, 0x8cb8c723, 0x1f43060e, 0x28b2870c,
      0x1f42fd8f, 0x48b7072f, 0x1f430ecf, 0x28b5c713, 0x1f43080f],
     [0x000059cc, 0x00000000, 0x00000000, 0x00000000, 0x5cb7c72b,
      0x1f43104e, 0x00000000, 0x00000000, 0x1cb9c6fb, 0x1f42f9cf],
     [0x000059cd, 0x00000000, 0x38ae8727, 0x1f42fe8f, 0x98b4c710,
      0x1f430c4e, 0xd8afc72c, 0x1f43058e, 0x68b14704, 0x1f43028f],
     [0x000059ce, 0x00000000, 0x68ac8704, 0x1f42fc8f, 0x08b78710,
      0x1f42f8cf, 0x18b6e704, 0x1f42facf, 0x98a4c710, 0x1f42fdce],
     [0x0000c92f, 0x00000000, 0x5495669a, 0x15baee0f, 0x5495669a,
      0x15baee0f, 0x5495669a, 0x15baee0f, 0x5495669a, 0x15baee0f],
     [0x000059d0, 0x00000000, 0xdcac6705, 0x1f430e8e, 0x68b7a704,
      0x1f42f5cf, 0xf4ad871d, 0x1f43154e, 0x08b62713, 0x1f42fb8f],
     [0x00010804, 0x00000000, 0x9c61c4e9, 0x0a6afa52, 0x9c61c4e9,
      0x0a6afa52, 0xa07e04ea, 0x0fa2ec12, 0xb47da4db, 0x0fa2ec92],
     [0x00010805, 0x00000000, 0xb4ae44db, 0x1bcaec92, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x5d310806, 0x000000ec, 0x70654682, 0x0a6b18d6, 0x7062c682,
      0x0a6b13d6, 0x9c55644d, 0x0a6af90d, 0x7062c682, 0x0a6b1856],
     [0x000059d4, 0x00000000, 0xe0b02723, 0x1f42fb8e, 0xa4b56727,
      0x1f42f98e, 0x00000000, 0x00000000, 0x2ca9e717, 0x1f42f4cf],
     [0x00010808, 0x00000000, 0x247b8682, 0x0fa3074d, 0x647be682,
      0x0fa2f38d, 0x8c7765a4, 0x105aff90, 0x00000000, 0x00000000],
     [0x000059d6, 0x00000000, 0x00000000, 0x00000000, 0x48b1a700,
      0x1f42face, 0xccb8c708, 0x1f42fbce, 0x00000000, 0x00000000],
     [0x0000c933, 0x00000000, 0x5495669a, 0x15baee0f, 0x5495669a,
      0x15baee0f, 0x5495669a, 0x15baee0f, 0x5495669a, 0x15baee0f],
     [0x000059d8, 0x00000000, 0xf8b1e733, 0x1f42f98e, 0xe8b2271f,
      0x1f43168e, 0xf0afc722, 0x1f4305ce, 0xf8b4a733, 0x1f42fbce],
     [0x000059d9, 0x00000000, 0x48b6471a, 0x1f42f84f, 0xbcb3471a,
      0x1f430d4e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000059da, 0x00000000, 0x40b1071c, 0x1f42fb8f, 0x3cb00714,
      0x1f42fc8f, 0x8cb40737, 0x1f42f7ce, 0x00000000, 0x00000000],
     [0x0001080e, 0x0007be00, 0x00000000, 0x00000000, 0x3461a57b,
      0x0a6afad0, 0x3461c57b, 0x0a6afb10, 0x00000000, 0x00000000],
     [0x0001080f, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa87d071c, 0x0fa2ee1b, 0x00000000, 0x00000000],
     [0x000059dd, 0x00000000, 0x28ae46f8, 0x1f42fc4f, 0x5cb1e723,
      0x1f42f30e, 0x18b5e6f7, 0x1f42fa4f, 0x48b3a710, 0x1f42fa8f],
     [0x00010811, 0x00000000, 0x7868a68c, 0x053ac3cf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000059df, 0x00000000, 0x7cb2c71b, 0x1f42f88e, 0xe0b32703,
      0x1f42f98e, 0x94b7a714, 0x1f42fb8f, 0x18b56714, 0x1f42fc8f],
     [0x000059e0, 0x00000000, 0x00000000, 0x00000000, 0x28b5a704,
      0x1f42fa4f, 0x00000000, 0x00000000, 0xccafe704, 0x1f42f98e],
     [0x000059e1, 0x00000000, 0x08aca70c, 0x1f42f88f, 0x18b026fc,
      0x1f42fb4f, 0x08b4070c, 0x1f42fc4f, 0x28b4a70c, 0x1f42f6cf],
     [0x00008098, 0x00000000, 0x508dc693, 0x1292f60c, 0x507765ca,
      0x10caf60c, 0x7481e5aa, 0x11d2f58f, 0xf87a85aa, 0x0fa2f2cb],
     [0x000059e3, 0x00000000, 0x58b8c708, 0x1f42f98f, 0xe8b8c704,
      0x1f42f78e, 0x08b346f7, 0x1f42fa4f, 0x00000000, 0x00000000],
     [0x000059e4, 0x00000000, 0x8cb3072f, 0x1f42f88e, 0x18b0e710,
      0x1f42fc8f, 0xb0b1a70c, 0x1f42fb8e, 0x7cb48717, 0x1f42fc8e],
     [0x0000809b, 0x00000000, 0xa06bc693, 0x0bbaf10f, 0xfc6a8693,
      0x0972f08b, 0xfc81c693, 0x112af2cb, 0x789ec5aa, 0x1852f0cf],
     [0x000059e6, 0x00000000, 0x30a866f8, 0x1f42f6cf, 0x68b20708,
      0x1f42f58f, 0x18b5a710, 0x1f42fa8f, 0x00000000, 0x00000000],
     [0x000059e7, 0x00000000, 0xe8b44707, 0x1f42ffce, 0xf8b6c71a,
      0x1f42ff8e, 0x48b7a718, 0x1f42f7cf, 0xecafc704, 0x1f42fd4e],
     [0x000059e8, 0x00000000, 0x70b5e731, 0x1f42f90f, 0xf0b8272f,
      0x1f42f50e, 0x58afa71b, 0x1f42fb8f, 0x44b5272b, 0x1f43038f],
     [0x000059e9, 0x00000000, 0x00000000, 0x00000000, 0x68ab870d,
      0x1f42f78f, 0x38b3a70d, 0x1f42fdcf, 0x68b6a710, 0x1f42fb8f],
     [0x000059ea, 0x00000000, 0x28b62701, 0x1f42fc8f, 0x78b1c733,
      0x1f43018e, 0x1cb7a6fb, 0x1f42fb8f, 0x68b2c71e, 0x1f42fa8f],
     [0x000059eb, 0x00000000, 0x00000000, 0x00000000, 0xbcb00730,
      0x1f43104e, 0xecae8708, 0x1f42fd4e, 0x58af071b, 0x1f42fbcf],
     [0x000080a2, 0x00000000, 0xfc61e62b, 0x0872f14b, 0x787a85aa,
      0x0fa2f04f, 0x787bc5aa, 0x10caf98f, 0x787a05b4, 0x0fa2f60f],
     [0x000059ed, 0x00000000, 0x04ab8717, 0x1f43008f, 0xe0b5071b,
      0x1f42fb4e, 0xf4b2c72d, 0x1f430cce, 0x08b4470c, 0x1f42f48f],
     [0x000059ee, 0x00000000, 0x08a9e71a, 0x1f42f7cf, 0xdcb32704,
      0x1f42fa4e, 0x7cb92708, 0x1f42f88e, 0x08b76714, 0x1f42f58f],
     [0x000080a5, 0x00000000, 0xa0708693, 0x0e12f9cf, 0xa070a693,
      0x0e12fa0f, 0x6870867e, 0x0e12f9cf, 0x0871c5b4, 0x0e13020c],
     [0x000059f0, 0x00000000, 0xecb8670d, 0x1f42f98e, 0x48ad270c,
      0x1f42f78f, 0xccb80704, 0x1f42f98e, 0xe8ba2710, 0x1f42f68e],
     [0x00009402, 0x00000000, 0x10a6261d, 0x1b4af8d0, 0x1063861d,
      0x0aa2f950, 0x1084a61d, 0x12eaf910, 0x10a6261d, 0x1b4af8d0],
     [0x000059f2, 0x00000000, 0x4cb3e705, 0x1f42f98e, 0xecb9e708,
      0x1f42f88e, 0x20bac71f, 0x1f42f68f, 0x30b4870f, 0x1f43088e],
     [0x000080a9, 0x00000000, 0xfc98c693, 0x173af4cb, 0x20a80693,
      0x1b02f4cd, 0x787c662b, 0x10c2f14f, 0xfc820693, 0x0f1af14b],
     [0x000059f4, 0x00000000, 0xb8b38741, 0x1f430c8e, 0x18b5670c,
      0x1f42fa8f, 0x88b1e72a, 0x1f430e4e, 0xa8b42721, 0x1f430c4e],
     [0x000080ab, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x008b05bd, 0x135af1cc, 0xfc99a5bd, 0x153af1cb],
     [0x000059f6, 0x00000000, 0x48ab0723, 0x1f42fc4f, 0x7cb10714,
      0x1f42fa8e, 0xdcad4710, 0x1f42f3ce, 0x5cb1c705, 0x1f42f88e],
     [0x000080ad, 0x00000000, 0xdc5ea690, 0x08aaf094, 0x4068c690,
      0x0a2af092, 0xdc6de690, 0x0c32ef94, 0xcc7e8690, 0x1042ef94],
     [0x0001082b, 0x00000000, 0x7081c680, 0x0fa2f20f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000940a, 0x00000000, 0x248ac642, 0x1362f08f, 0x248ac642,
      0x1362f08f, 0xf08e2552, 0x156afa11, 0xa8bf6540, 0x21f2fbd1],
     [0x0000940b, 0x00000000, 0x4c87c5b5, 0x1042ee10, 0x608e25b6,
      0x156afa10, 0x148e25f9, 0x156afa0f, 0xcc8e2646, 0x156afa0d],
     [0x0000940c, 0x00000000, 0x048e25c3, 0x156afa10, 0xdc8e260d,
      0x156afa0e, 0x588e2632, 0x156afa0e, 0x308e267e, 0x156afa0d],
     [0x0000940d, 0x00000000, 0x308e267e, 0x156afa0d, 0x548c26b6,
      0x156afc0b, 0x548c26b6, 0x156afc0b, 0x988e2624, 0x156afa0e],
     [0x0000940e, 0x00000000, 0x308b067e, 0x156af9cd, 0x308e467e,
      0x156b004d, 0xac8c269f, 0x156afc0c, 0xac8d269f, 0x156afe0c],
     [0x0000940f, 0x00000000, 0x048d8689, 0x156af08e, 0x608c8689,
      0x156afc8d, 0x148e26c2, 0x156afa0c, 0x148fc6c2, 0x156afa0c],
     [0x00009410, 0x00000000, 0xc48c271a, 0x156afc0a, 0xc48c071a,
      0x156afbca, 0x308c267e, 0x156afe0d, 0x308c267e, 0x156afe0d],
     [0x00009411, 0x00000000, 0x308c067e, 0x156afbcd, 0x308d467e,
      0x156afe4d, 0x748d46ab, 0x15bafe4c, 0x748d46ab, 0x15bafe4c],
     [0x00009412, 0x00000000, 0x0c8b8647, 0x156afacc, 0x0c8dc647,
      0x156aff4c, 0x248ac600, 0x1362f08f, 0x248ac600, 0x1362f08f],
     [0x00009413, 0x00000000, 0xc4a18657, 0x1a52fa8d, 0xc4a18657,
      0x1a52fa8d, 0xc4a18657, 0x1a52fa8d, 0x888ca6e8, 0x156afd0b],
     [0x00005a03, 0x00000000, 0x64a7a715, 0x1f42fb8f, 0x00000000,
      0x00000000, 0x28ae471b, 0x1f42fc8f, 0xf8aee717, 0x1f42fb8e],
     [0x00010837, 0x00000000, 0xcc4cc656, 0x00025c97, 0x2c5a66bd,
      0x0002394c, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005a05, 0x00000000, 0x20b4c71e, 0x1f430f4e, 0x00000000,
      0x00000000, 0x18b1c710, 0x1f42f40f, 0xacb6a728, 0x1f430c8e],
     [0x00005a06, 0x00000000, 0x98aca715, 0x1f42ff8e, 0x00000000,
      0x00000000, 0x28b7c717, 0x1f42fbcf, 0x00000000, 0x00000000],
     [0x00005a07, 0x00000000, 0xccb44703, 0x1f42face, 0xf8b72708,
      0x1f42fdce, 0x94b14712, 0x1f43028e, 0x78b30710, 0x1f42fdce],
     [0x00009419, 0x00000000, 0xa0ab0720, 0x19d2fcca, 0xa07b4720,
      0x0c6af6ca, 0xa08e2720, 0x1122f6ca, 0xa0b80720, 0x1b62fb8a],
     [0x00005a09, 0x00000000, 0x00000000, 0x00000000, 0x24b48721,
      0x1f43104e, 0xdcb18708, 0x1f42fdce, 0x00000000, 0x00000000],
     [0x0000544e, 0x00000000, 0xdcb1c700, 0x1f42fb0e, 0x60b08734,
      0x1f42fc0e, 0x5cb6c72c, 0x1f42f70f, 0x9cae6735, 0x1f42fcce],
     [0x000080c1, 0x00000000, 0x2c354641, 0x00028dd8, 0xa841071c,
      0x0002761b, 0x8c330680, 0x000290d7, 0xcc27e656, 0x0002a817],
     [0x00005a0c, 0x00000000, 0x00000000, 0x00000000, 0xccb74700,
      0x1f42face, 0xf8aea71b, 0x1f42f7ce, 0xccafc700, 0x1f42f8ce],
     [0x00005a0d, 0x00000000, 0xfcb5471e, 0x1f42fdce, 0x74b02710,
      0x1f42f7ce, 0x00000000, 0x00000000, 0x8cb0871b, 0x1f42f98e],
     [0x00005a0e, 0x00000000, 0x58aec710, 0x1f42fc8f, 0xf8b7e71b,
      0x1f42fcce, 0x98af6704, 0x1f42fece, 0xf0b5c70d, 0x1f42fdce],
     [0x0000c94f, 0x00000000, 0xe4986776, 0x1622eb4a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00010843, 0x00000000, 0x00000000, 0x00000000, 0xa09e6675,
      0x16e2f24f, 0x747ae684, 0x100af94f, 0x00000000, 0x00000000],
     [0x000080c7, 0x00000000, 0x782183a1, 0x0002940b, 0xe03023b3,
      0x000297cb, 0xe03023b3, 0x000297cb, 0xb82dc3b3, 0x00029c8b],
     [0x00010845, 0x00000000, 0x00000000, 0x00000000, 0xa09ce675,
      0x16baf44f, 0x64bf6684, 0x20b2f2cf, 0x00000000, 0x00000000],
     [0x00010846, 0x00000000, 0x00000000, 0x00000000, 0xa0944675,
      0x157af24f, 0x8497a682, 0x169af6ce, 0x64ac0697, 0x1d82f68f],
     [0x00010847, 0x00000000, 0x00000000, 0x00000000, 0xa0944675,
      0x157af24f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00010848, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x7cb62675, 0x1ea2f593, 0x00000000, 0x00000000],
     [0x00010849, 0x00000000, 0xa09c4675, 0x1792efcf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005a17, 0x00000000, 0x60b4c714, 0x1f42fb8f, 0xc0b76739,
      0x1f42f64e, 0x00000000, 0x00000000, 0x9cb4c737, 0x1f42fbce],
     [0x00005a18, 0x00000000, 0xd4b3471f, 0x1f42fa8f, 0x58b56715,
      0x1f42fb8f, 0x4ca9272d, 0x1f42fa8f, 0x78a9a723, 0x1f42fc8f],
     [0x00005a19, 0x00000000, 0x68b0a71b, 0x1f42fc8f, 0x08b7271a,
      0x1f42fa8f, 0x9cb30708, 0x1f42f88e, 0x38b7a6fc, 0x1f42f68f],
     [0x00005a1a, 0x00000000, 0xecaee72a, 0x1f430f4e, 0x3cafe723,
      0x1f42f88f, 0x00000000, 0x00000000, 0x88aea6f3, 0x1f42f8cf],
     [0x00005a1b, 0x00000000, 0x00000000, 0x00000000, 0x34b326ec,
      0x1f42fc8f, 0x1cab06e8, 0x1f42f98f, 0x38b1270b, 0x1f42fbcf],
     [0x00005a1c, 0x00000000, 0x00000000, 0x00000000, 0x1cafa6c8,
      0x1f42ff8f, 0x04b36729, 0x1f42fd8f, 0x00000000, 0x00000000],
     [0x00005a1d, 0x00000000, 0x14b08719, 0x1f42f8cf, 0x44afe6f7,
      0x1f42fccf, 0x28a9a71a, 0x1f42f5cf, 0x20a746ff, 0x1f42fd8f],
     [0x00010851, 0x00000000, 0x00000000, 0x00000000, 0xa0966675,
      0x164af24f, 0x748dc693, 0x122af80f, 0x747b25a1, 0x101af80f],
     [0x00010852, 0x00000000, 0xa069c675, 0x092af4cf, 0x3c6fc675,
      0x0aaad40c, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005a20, 0x00000000, 0xe8b5c703, 0x1f42fcce, 0xf8b3071d,
      0x1f430d4e, 0x9cb9271c, 0x1f42f7ce, 0xf8b3e713, 0x1f42f10e],
     [0x0000c958, 0x00000000, 0xe4988776, 0x1623264a, 0xe46f4776,
      0x1622eb4a, 0xe47ae776, 0x1622eb4a, 0xe47ae776, 0x1622eb4a],
     [0x00005a22, 0x00000000, 0x00000000, 0x00000000, 0x48b166e4,
      0x1f42f88f, 0x7cafe70a, 0x1f430f4e, 0x08a4a6e0, 0x1f42ff8f],
     [0x0000c959, 0x00000000, 0xe4986599, 0x1622eb4a, 0xe498653c,
      0x1622eb4a, 0xe4986599, 0x1622eb4a, 0x58986776, 0x1622eb52],
     [0x00005a24, 0x00000000, 0x28ade6e8, 0x1f42fd8f, 0x68b346f7,
      0x1f42f9cf, 0xd0b386e7, 0x1f42f98e, 0x6cb3e739, 0x1f42f98e],
     [0x00005a25, 0x00000000, 0x68b3271b, 0x1f42f7cf, 0x00000000,
      0x00000000, 0x2ca926e8, 0x1f42fecf, 0x5cb36727, 0x1f42f7cf],
     [0x00005a26, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x6cb006ff, 0x1f42f88e],
     [0x00005a27, 0x00000000, 0x48b16700, 0x1f42fb8f, 0x98b54721,
      0x1f42f4ce, 0x00000000, 0x00000000, 0x8caee748, 0x1f43078e],
     [0x00005a28, 0x00000000, 0x58a9e6e7, 0x1f4300cf, 0x0cb3c6ea,
      0x1f42fc8f, 0xd0af4727, 0x1f42f7ce, 0x0cb3a70b, 0x1f42f9cf],
     [0x000080df, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x6c59e5b3, 0x08b3020d, 0x00000000, 0x00000000],
     [0x0000545e, 0x00000000, 0x40b3872b, 0x1f43018f, 0x70a9272b,
      0x1f431710, 0x00000000, 0x00000000, 0xacb5c72a, 0x1f43014e],
     [0x000080e1, 0x00000000, 0x8c5c867e, 0x08ab0a57, 0x8c66067e,
      0x0a6af297, 0xa096e693, 0x1692f1cf, 0x105685b3, 0x08b30255],
     [0x000080e2, 0x00000000, 0xa09aa693, 0x1772f00f, 0xa0a70693,
      0x1a92f00f, 0xa076a693, 0x0eb2f00f, 0x00000000, 0x00000000],
     [0x00005a2d, 0x00000000, 0xccb786ff, 0x1f42f6ce, 0xdcb0e72b,
      0x1f430ace, 0xe8b74727, 0x1f42f6ce, 0x00000000, 0x00000000],
     [0x000080e4, 0x00000000, 0x7866067e, 0x0aa2f28f, 0xa096e68a,
      0x1692f1cf, 0xa088a67e, 0x14daf24f, 0xa086a67e, 0x125af0cf],
     [0x000080e5, 0x00000000, 0xa092e68a, 0x1692fa0f, 0xa089267e,
      0x131af10f, 0xa089467e, 0x1322f08f, 0xa096667e, 0x1692f28f],
     [0x000080e6, 0x00000000, 0x6894868c, 0x1692f68f, 0xa065e67e,
      0x0a6af28f, 0xa098e67e, 0x16daf64f, 0xa094668a, 0x15f2f1cf],
     [0x000080e7, 0x00000000, 0xa0aa867e, 0x1bcaf10f, 0x7496e67e,
      0x1692f10f, 0xa08b467e, 0x141af54f, 0x6894868c, 0x1692f68f],
     [0x00005462, 0x00000000, 0x48a2c6d5, 0x1f431b0f, 0xc8b34724,
      0x1f42ff0e, 0x3cb686e8, 0x1f42ff4f, 0x00000000, 0x00000000],
     [0x000080e9, 0x00000000, 0xa088a67e, 0x131af24f, 0xa096668a,
      0x1692f54f, 0xa099867e, 0x17daf6cf, 0xa096867e, 0x1692f08f],
     [0x00005463, 0x00000000, 0x70b506de, 0x1f43024f, 0x0cb5e70a,
      0x1f42ff4f, 0x00000000, 0x00000000, 0x10a3a6ec, 0x1f43190f],
     [0x00005a35, 0x00000000, 0xc4b38716, 0x1f42fa8e, 0x00b02717,
      0x1f42f98f, 0xacb76703, 0x1f42f98e, 0x10b3473c, 0x1f43154e],
     [0x00005a36, 0x00000000, 0x9cb72732, 0x1f42face, 0x00000000,
      0x00000000, 0x48aee727, 0x1f42f8cf, 0x00000000, 0x00000000],
     [0x000080ed, 0x00000000, 0x78794693, 0x0fa2f54f, 0x787165b4,
      0x0dbaf44f, 0x38716693, 0x0dcaf6cc, 0x3c7705b4, 0x1002f08c],
     [0x000080ee, 0x00000000, 0x78790693, 0x0f82f4cf, 0x785fe5b4,
      0x089af30f, 0xa07d65b4, 0x0fa2efcf, 0x747c0693, 0x0f8af10f],
     [0x000080ef, 0x00000000, 0x3c7f05aa, 0x1082fbcc, 0x6875e5b4,
      0x0e3af30f, 0x38716693, 0x0dcaf6cc, 0x7879a5b4, 0x0fcaf6cf],
     [0x00005466, 0x00000000, 0x20b2c704, 0x1f4304cf, 0x00a6c6db,
      0x1f43148f, 0x00000000, 0x00000000, 0xdca9a6fb, 0x1f43198e],
     [0x000080f1, 0x00000000, 0x7875c5aa, 0x0eeaeecf, 0x787c45b4,
      0x1062f20f, 0x3c88a5b4, 0x137af54c, 0x307b45b4, 0x0fa2f0cc],
     [0x000080f2, 0x00000000, 0x3c9405b4, 0x15b2f30c, 0x7888e5b4,
      0x138af54f, 0x78660656, 0x0aa2f28f, 0x787c4656, 0x1062f20f],
     [0x000080f3, 0x00000000, 0x7879a67e, 0x0fcaf6cf, 0x787c467e,
      0x1062f20f, 0x7888e67e, 0x138af54f, 0x00000000, 0x00000000],
     [0x00005468, 0x00000000, 0x74b226f6, 0x1f42fe8f, 0x00000000,
      0x00000000, 0xa8b6e6ff, 0x1f43120e, 0x00000000, 0x00000000],
     [0x000080f5, 0x00000000, 0x00000000, 0x00000000, 0x3c88a693,
      0x137af54c, 0x789945aa, 0x17d2ef8f, 0x00000000, 0x00000000],
     [0x00005a40, 0x00000000, 0x38b56717, 0x1f42fa0f, 0xd0b0e71c,
      0x1f42fd8e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000080f7, 0x00000000, 0xa082c67e, 0x1162f0cf, 0xa874e5aa,
      0x0eb3020c, 0x68934705, 0x15faf14f, 0xa077667e, 0x0ffafe0f],
     [0x00005a42, 0x00000000, 0x4caa870b, 0x1f42f98f, 0x00000000,
      0x00000000, 0x4cb2471e, 0x1f42fc8e, 0xd0ac071b, 0x1f42f6ce],
     [0x00005a43, 0x00000000, 0x28ae06f4, 0x1f42fd8f, 0x18b6c710,
      0x1f42f78f, 0x9cb3c732, 0x1f42f7ce, 0x48b2671b, 0x1f42f7cf],
     [0x00005a44, 0x00000000, 0xf8b0270c, 0x1f42ff8e, 0x0cb1e708,
      0x1f42f98e, 0x48b88716, 0x1f42f6cf, 0x80b8e6ff, 0x1f42f5ce],
     [0x00005a45, 0x00000000, 0xf8ad2703, 0x1f42fe8e, 0x28b84706,
      0x1f42f78f, 0x00000000, 0x00000000, 0x88b2070b, 0x1f42fc8f],
     [0x000080fc, 0x00000000, 0x787ee5b4, 0x113af88f, 0x447945b4,
      0x0fa2f54c, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000080fd, 0x00000000, 0x6894868c, 0x1692f68f, 0x787165b4,
      0x0dbaf44f, 0x787245b4, 0x0de2f60f, 0x00000000, 0x00000000],
     [0x00005a48, 0x00000000, 0xa8b0c725, 0x1f430f4e, 0x10b3c714,
      0x1f42fd4f, 0x78b20717, 0x1f43010f, 0x50b6071d, 0x1f42f8cf],
     [0x00005a49, 0x00000000, 0x30ae8717, 0x1f42fc8f, 0x08b226ec,
      0x1f42ff4f, 0x50b8e70e, 0x1f42f34f, 0x00000000, 0x00000000],
     [0x00008100, 0x00000000, 0x00000000, 0x00000000, 0xa08a6750,
      0x13aaf38f, 0xac96067e, 0x17a2f28c, 0xa0828788, 0x11daf2cf],
     [0x00005a4b, 0x00000000, 0x00000000, 0x00000000, 0x38ad4713,
      0x1f42f78f, 0x00000000, 0x00000000, 0xccb28705, 0x1f42f60e],
     [0x00005a4c, 0x00000000, 0x1cb18732, 0x1f42f60e, 0x00000000,
      0x00000000, 0x1cb16729, 0x1f42fa8e, 0xccb48708, 0x1f42fd8e],
     [0x00008103, 0x00000000, 0xa0944788, 0x1592f2cf, 0x00000000,
      0x00000000, 0x6495477b, 0x163af1cf, 0x3c95867e, 0x165af2cd],
     [0x00008104, 0x00000000, 0xa096268a, 0x164af04f, 0xa086a67e,
      0x131af2cf, 0xa088e67e, 0x145af2cf, 0xa082867e, 0x11daf2cf],
     [0x00008105, 0x00000000, 0x3c8f467e, 0x14caf18d, 0xa08a667e,
      0x13aaf38f, 0xa0bd268c, 0x1feaf00f, 0x6882a68c, 0x1202f50f],
     [0x00005a50, 0x00000000, 0xbcb14700, 0x1f42f94e, 0x70b7270a,
      0x1f42f88e, 0x38b28714, 0x1f42f3cf, 0x00000000, 0x00000000],
     [0x00010884, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x10884506, 0x151b0393, 0x00000000, 0x00000000],
     [0x00005a52, 0x00000000, 0xe4b226f3, 0x1f42fc8e, 0xccb56716,
      0x1f42f6ce, 0x3cae871f, 0x1f42fb8f, 0x90afe700, 0x1f42fa8e],
     [0x00008109, 0x00000000, 0xa099e67e, 0x180af78f, 0xa096667e,
      0x1662f04f, 0x3c95867e, 0x165af2cd, 0xa08e667e, 0x148aeecf],
     [0x00005473, 0x00000000, 0xf8b54738, 0x1f43070e, 0xacb72741,
      0x1f43080e, 0x6cb786f1, 0x1f42fbcf, 0x08b3e713, 0x1f43094f],
     [0x00005a55, 0x00000000, 0x78b4e713, 0x1f42facf, 0x64b4c738,
      0x1f42fb8e, 0x7cafe6ec, 0x1f42fa8e, 0xfcb5270b, 0x1f42f5ce],
     [0x0000810c, 0x00000000, 0x787645b4, 0x0e12f74f, 0x787a4695,
      0x0fdaf7cf, 0xa07545aa, 0x0ed2f40f, 0xa06ee5aa, 0x0c52f24f],
     [0x00005a57, 0x00000000, 0xd0adc704, 0x1f42f4ce, 0x4cb6c712,
      0x1f42f9ce, 0x98b0e70b, 0x1f42f88e, 0xacb56719, 0x1f42fc8e],
     [0x0000810e, 0x00000000, 0xa07d45aa, 0x106af3cf, 0xa07d46a8,
      0x106af3cf, 0xa07c65b0, 0x0fbaf3cf, 0x787a05aa, 0x0f9af00f],
     [0x0000810f, 0x00000000, 0xa088c5aa, 0x134af3cf, 0xa07d45aa,
      0x106af3cf, 0x787a05b4, 0x1002f6cf, 0xa07d45aa, 0x106af3cf],
     [0x00008110, 0x00000000, 0x3c7865b4, 0x0f9aed8c, 0x787405b4,
      0x0e42f84f, 0xa073c5aa, 0x0d92f00f, 0x387ae5aa, 0x0f5af00c],
     [0x00008111, 0x00000000, 0x3c8de67e, 0x1532f8cc, 0xa07a05aa,
      0x0f4af18f, 0x7c7d45aa, 0x106af3cd, 0xa07ba5aa, 0x1002f28f],
     [0x00008112, 0x00000000, 0xa09ba5aa, 0x1802f3cf, 0x7c9ba5aa,
      0x1802f3cd, 0xa07de5aa, 0x10daf00f, 0xa08f45aa, 0x14f2f3cf],
     [0x00008113, 0x00000000, 0xa073a5aa, 0x0e4af3cf, 0x7871c5b4,
      0x0de2f18f, 0x789665b4, 0x1712f3cf, 0xa07685aa, 0x0ebaef0f],
     [0x00008114, 0x00000000, 0x00000000, 0x00000000, 0x78752656,
      0x0e92f78f, 0x38756693, 0x1002ef8c, 0xa06ee68f, 0x0c52f24f],
     [0x00008115, 0x00000000, 0x787445b4, 0x0de2f68f, 0x7869c5b3,
      0x0c2afa4f, 0xa05fc693, 0x08b2f54f, 0xa063e656, 0x08b2ee4f],
     [0x00008116, 0x00000000, 0x3855e693, 0x08b2dacc, 0x789245aa,
      0x15f2f00f, 0xa094a5aa, 0x168af3cf, 0xa07ce693, 0x1002ef8f],
     [0x00008117, 0x00000000, 0xa07c668f, 0x0fbaf3cf, 0x00000000,
      0x00000000, 0x387ae6a8, 0x0f5af00c, 0x7c7c65aa, 0x1032f3cd],
     [0x00008118, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa097a67e, 0x1752f48f, 0xa07de693, 0x10daf00f],
     [0x00005a63, 0x00000000, 0x00000000, 0x00000000, 0xf4a8a705,
      0x1f42f7ce, 0xdcb5c708, 0x1f42fcce, 0x00000000, 0x00000000],
     [0x0000811a, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa0ba867e, 0x1f32ef8f, 0xa09705aa, 0x1692f18f],
     [0x00005a65, 0x00000000, 0x4cafc722, 0x1f42f60e, 0xecb80723,
      0x1f42f98e, 0xf8b6472d, 0x1f43044e, 0xa8b306f3, 0x1f42f88e],
     [0x0000811c, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x6894c68c, 0x16caf70f, 0x787a05b4, 0x1002f6cf],
     [0x0000811d, 0x00000000, 0x749d868c, 0x17f2f20f, 0x688105b0,
      0x10daf2cf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005a68, 0x00000000, 0xccb50700, 0x1f42f8ce, 0xd4a9a71a,
      0x1f42f7ce, 0x00000000, 0x00000000, 0x58af0711, 0x1f42f88f],
     [0x00005a69, 0x00000000, 0x00b0e6fb, 0x1f42f78f, 0xccb6e6f3,
      0x1f42fb8e, 0x70b8e70f, 0x1f42f90e, 0xecadc70c, 0x1f42fa8e],
     [0x0000547e, 0x00000000, 0xd8abe6f9, 0x1f43114f, 0x58ade6a2,
      0x1f430f90, 0x68a62720, 0x1f431f4f, 0xa4afe70c, 0x1f43078f],
     [0x00005a6b, 0x00000000, 0x28b4870a, 0x1f42f98f, 0xe4b40725,
      0x1f42f5ce, 0x98b0c732, 0x1f430c0e, 0x40b28708, 0x1f42f6cf],
     [0x00005a6c, 0x00000000, 0xa4aea719, 0x1f42fbce, 0xf0b72721,
      0x1f42f50e, 0x78b7a72b, 0x1f42f60f, 0x58b64704, 0x1f42f98f],
     [0x00005a6d, 0x00000000, 0xe4ae46fb, 0x1f42f60e, 0x4cb1671f,
      0x1f42fb8e, 0xfcb2e70e, 0x1f42f98e, 0x08afe71c, 0x1f42f7cf],
     [0x00008124, 0x00000000, 0xa082870b, 0x11daf2cf, 0xa06ee616,
      0x0c52f24f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005a6f, 0x00000000, 0xfcafc717, 0x1f42f6ce, 0xecae670f,
      0x1f42f5ce, 0x84b346f3, 0x1f42f88e, 0x48ac8717, 0x1f42f98f],
     [0x00005481, 0x00000000, 0xdcb286c8, 0x1f43004f, 0x00000000,
      0x00000000, 0x3cb74724, 0x1f4303cf, 0x3cb026f6, 0x1f42fbd0],
     [0x00005a71, 0x00000000, 0xbcafe703, 0x1f42f6ce, 0x00000000,
      0x00000000, 0xecaba711, 0x1f42f98e, 0xd0b0c71a, 0x1f42f6ce],
     [0x00005482, 0x00000000, 0xf4a6a715, 0x1f43000e, 0xd4aa6713,
      0x1f430b8e, 0xeca7671a, 0x1f42fb4e, 0xe0af2717, 0x1f4306ce],
     [0x00005a73, 0x00000000, 0x78b7c714, 0x1f42f5cf, 0x68ba4731,
      0x1f42f8cf, 0x2cb2672c, 0x1f42fdcf, 0x9cb5472a, 0x1f42f98e],
     [0x00005a74, 0x00000000, 0x68b7071b, 0x1f42f60f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00b0070c, 0x1f42f7cf],
     [0x00005a75, 0x00000000, 0x60b5c713, 0x1f42fa8e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005484, 0x00000000, 0xa4a76704, 0x1f42f8ce, 0xc8a98709,
      0x1f42face, 0x74a96718, 0x1f42fe8e, 0xd8acc6f0, 0x1f43034e],
     [0x00005a77, 0x00000000, 0x00000000, 0x00000000, 0xd4b4c739,
      0x1f42fbce, 0x30b5a71a, 0x1f42f9cf, 0x38b0670c, 0x1f42f88f],
     [0x00005485, 0x00000000, 0x68b12711, 0x1f4302ce, 0x00000000,
      0x00000000, 0xb8a1c720, 0x1f43000e, 0x68a90711, 0x1f4304ce],
     [0x00005a79, 0x00000000, 0x94b68704, 0x1f42f6ce, 0x9cb5671d,
      0x1f42f7ce, 0x84b58729, 0x1f42f7ce, 0x5cb4271d, 0x1f430a8e],
     [0x00005a7a, 0x00000000, 0x6cb04722, 0x1f42f6ce, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xb0b46722, 0x1f42fa8e],
     [0x00005a7b, 0x00000000, 0x98b6c6f0, 0x1f42f6cf, 0x24b36715,
      0x1f42f8cf, 0x70b6c721, 0x1f42f5ce, 0x00000000, 0x00000000],
     [0x00005487, 0x00000000, 0xc0aa86f1, 0x1f430d0e, 0xb4ae6719,
      0x1f42fd4f, 0xc4a94709, 0x1f4301ce, 0x00000000, 0x00000000],
     [0x00005a7d, 0x00000000, 0xfcb1e719, 0x1f42f5ce, 0x00000000,
      0x00000000, 0xccad2700, 0x1f42f40e, 0xacb1c716, 0x1f430e8e],
     [0x00005a7e, 0x00000000, 0xf8b82704, 0x1f42f6ce, 0x60a70713,
      0x1f42fa8e, 0x00000000, 0x00000000, 0x98b72713, 0x1f42f20f],
     [0x00005a7f, 0x00000000, 0x40b0c738, 0x1f430b0e, 0x94b0a733,
      0x1f42f78e, 0x00b64707, 0x1f42f6cf, 0x78b1472f, 0x1f42fb8f],
     [0x00005489, 0x00000000, 0x94a84718, 0x1f42fc4e, 0x74a92713,
      0x1f42fc4e, 0xf0af0704, 0x1f4306ce, 0x5cb486ff, 0x1f42fc50],
     [0x00005a81, 0x00000000, 0xe8b64703, 0x1f42f5ce, 0x08b6a6ff,
      0x1f42f7cf, 0xe8b1a71f, 0x1f42fa8e, 0xe4b66703, 0x1f42f60e],
     [0x0000548a, 0x00000000, 0xe8aa0719, 0x1f430f8e, 0xdca7c712,
      0x1f42fb8e, 0x3caa8708, 0x1f42fbcf, 0xc0a766fc, 0x1f4308ce],
     [0x00005a83, 0x00000000, 0xdcb2c714, 0x1f42ff8e, 0xa0b56731,
      0x1f42f7ce, 0x00000000, 0x00000000, 0xecac8710, 0x1f42f98e],
     [0x0000548b, 0x00000000, 0x00000000, 0x00000000, 0x0ca7a6f5,
      0x1f4307cf, 0xb8a98711, 0x1f42face, 0x00000000, 0x00000000],
     [0x00005a85, 0x00000000, 0x6cb8e72b, 0x1f42f7ce, 0x2cb72704,
      0x1f42f6cf, 0x4cb6e73e, 0x1f43080e, 0xf0af0716, 0x1f42f60e],
     [0x00005a86, 0x00000000, 0x18b2c71d, 0x1f42f98f, 0xa4b18717,
      0x1f42f7ce, 0x00000000, 0x00000000, 0x48b7a712, 0x1f42f6ce],
     [0x00005a87, 0x00000000, 0x00000000, 0x00000000, 0x34b0470f,
      0x1f42f5cf, 0x28afc714, 0x1f42fa8f, 0x4cb36740, 0x1f42f88e],
     [0x00005a88, 0x00000000, 0xdcb22726, 0x1f42f78e, 0x88b54727,
      0x1f42fbcf, 0x38b24716, 0x1f4300ce, 0xccb5c740, 0x1f42fa8e],
     [0x00005a89, 0x00000000, 0x00000000, 0x00000000, 0xccb42718,
      0x1f42f7ce, 0xbcb4c71e, 0x1f42f60e, 0xfcb906f7, 0x1f42f6ce],
     [0x0000548e, 0x00000000, 0xc8b80739, 0x1f43054e, 0xf8a66710,
      0x1f42fdce, 0xd8a8071b, 0x1f42fc8e, 0xaca8a716, 0x1f42fb8e],
     [0x00005a8b, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x94b58727, 0x1f42fa0f, 0x10b0e715, 0x1f42fc8f],
     [0x00005a8c, 0x00000000, 0x00000000, 0x00000000, 0x00b1470c,
      0x1f42f7cf, 0x10b86716, 0x1f42fccf, 0x00000000, 0x00000000],
     [0x00005a8d, 0x00000000, 0xa8b226fb, 0x1f42f6ce, 0x2cb34718,
      0x1f42f60f, 0xf8b64715, 0x1f42f88e, 0x00000000, 0x00000000],
     [0x00005490, 0x00000000, 0x18a70713, 0x1f43184f, 0x94a866ed,
      0x1f42fe8e, 0xdca626fe, 0x1f43084e, 0x00a8c72f, 0x1f42fb4f],
     [0x00005a8f, 0x00000000, 0xbcb36707, 0x1f42fa8e, 0x44b6274f,
      0x1f42f7ce, 0x68b4871a, 0x1f42f6cf, 0x4cb36710, 0x1f42f88e],
     [0x00005a90, 0x00000000, 0xecb2c708, 0x1f42f2ce, 0x7cb10708,
      0x1f42f88e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005a91, 0x00000000, 0x58b786ff, 0x1f42f8cf, 0x00000000,
      0x00000000, 0x9cb44730, 0x1f43084e, 0x0cb4e720, 0x1f42f50f],
     [0x00005a92, 0x00000000, 0xe8b58735, 0x1f42f3ce, 0x2cb26708,
      0x1f42f6ce, 0x00000000, 0x00000000, 0x08b8072f, 0x1f42f7cf],
     [0x00005a93, 0x00000000, 0x00000000, 0x00000000, 0x48b34708,
      0x1f42f7ce, 0x18b7a704, 0x1f42f8cf, 0xecb4e726, 0x1f42fd8e],
     [0x00005a94, 0x00000000, 0x40b28740, 0x1f430d8e, 0x78b80710,
      0x1f42f98e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005a95, 0x00000000, 0x08b726f3, 0x1f42f98f, 0x64b6a738,
      0x1f42f98e, 0x8cb4c713, 0x1f42f98e, 0x00000000, 0x00000000],
     [0x00005a96, 0x00000000, 0x48ac0717, 0x1f42f98e, 0xecb786fc,
      0x1f42f6ce, 0x78b3c729, 0x1f42f6ce, 0x68b5a714, 0x1f42f24f],
     [0x00005a97, 0x00000000, 0x00000000, 0x00000000, 0x4cb1e71f,
      0x1f42f98e, 0xecb2a6fa, 0x1f42fe8e, 0x88b4c72f, 0x1f42fece],
     [0x00005495, 0x00000000, 0x00a7e6f1, 0x1f43080f, 0xa4ada701,
      0x1f42fd4e, 0xf4aa6701, 0x1f43000e, 0x00000000, 0x00000000],
     [0x00005a99, 0x00000000, 0x88b30720, 0x1f430f8e, 0xacaf8722,
      0x1f430e4e, 0xccb46719, 0x1f42f88e, 0xb0ae272e, 0x1f42f60e],
     [0x00005496, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xacae473f, 0x1f42f84e, 0xfcaa8704, 0x1f430a4e],
     [0x00005a9b, 0x00000000, 0x00000000, 0x00000000, 0x5cad8724,
      0x1f42f88e, 0x00000000, 0x00000000, 0xecb2a6ef, 0x1f42fa8e],
     [0x00005a9c, 0x00000000, 0x00000000, 0x00000000, 0xfcb186f0,
      0x1f42face, 0xb0b5a72a, 0x1f42f98e, 0x00000000, 0x00000000],
     [0x00005a9d, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xe0b526f4, 0x1f42fb8e, 0x00000000, 0x00000000],
     [0x00005498, 0x00000000, 0x00000000, 0x00000000, 0x40a506f5,
      0x1f430e4f, 0xc4ae4710, 0x1f43018e, 0xfcb0c716, 0x1f43038e],
     [0x00004804, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x0cb2c582, 0x1f42ffd5],
     [0x00004805, 0x00000000, 0x4cb2a572, 0x1f42ff95, 0xccafa563,
      0x1f4305d4, 0x24934718, 0x1f433ecf, 0x00000000, 0x00000000],
     [0x00004806, 0x00000000, 0x68a2273c, 0x1f4396d9, 0x40642737,
      0x1f431959, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00004807, 0x00000000, 0x00b0a720, 0x1f437f19, 0x3872e735,
      0x1f430359, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00004808, 0x00000000, 0x289866fe, 0x1f43344e, 0x6497e6fe,
      0x1f43354e, 0x5486c5b0, 0x1f4357d4, 0x00000000, 0x00000000],
     [0x00004809, 0x00000000, 0x00000000, 0x00000000, 0x94a445a2,
      0x1f431e54, 0x94af65a2, 0x1f430894, 0x5486c5b0, 0x1f4357d4],
     [0x00005aa5, 0x00000000, 0xb4b28722, 0x1f42f9ce, 0xbcb04724,
      0x1f43050e, 0x2cb86704, 0x1f42f4cf, 0x6cb26728, 0x1f43024e],
     [0x00005aa6, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xc8b46705, 0x1f42f98e, 0x5cb546f8, 0x1f42f98f],
     [0x0000480c, 0x00000000, 0xa0a9c698, 0x1f4311d0, 0x00000000,
      0x00000000, 0xb8722745, 0x1f43019a, 0x806de6fb, 0x1f42fd18],
     [0x00005aa8, 0x00000000, 0x08ad8716, 0x1f43100f, 0x1cb06701,
      0x1f42f60e, 0x28b7a71f, 0x1f42f40f, 0xc4b6a740, 0x1f42fe8e],
     [0x0000480e, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x10a706be, 0x1f431510],
     [0x0000480f, 0x00000000, 0xa0948698, 0x1f433c0f, 0x00000000,
      0x00000000, 0x50bb2757, 0x1f42ee1c, 0x00000000, 0x00000000],
     [0x00004810, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xacb2c715, 0x1f42ff8d, 0x00000000, 0x00000000],
     [0x00005aac, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x8cb02736, 0x1f42f6ce],
     [0x00005aad, 0x00000000, 0x74b6a71d, 0x1f42face, 0x00000000,
      0x00000000, 0x74b10710, 0x1f42f6ce, 0xf4b10700, 0x1f42f70e],
     [0x00005aae, 0x00000000, 0x78b24732, 0x1f42f60e, 0xecb6a6f8,
      0x1f42f40e, 0x48b8272c, 0x1f42f60e, 0x28b6070b, 0x1f42f6cf],
     [0x00005aaf, 0x00000000, 0x00000000, 0x00000000, 0x28b0a714,
      0x1f42f98f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005ab0, 0x00000000, 0x00000000, 0x00000000, 0x34b52721,
      0x1f42facf, 0xd8b2e72b, 0x1f42fb8e, 0x38b28717, 0x1f42f8cf],
     [0x00005ab1, 0x00000000, 0x00000000, 0x00000000, 0x8cb70719,
      0x1f42f60e, 0xdcb846fc, 0x1f42f1ce, 0xf8b206ff, 0x1f42f7ce],
     [0x00005ab2, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xecad272f, 0x1f42f8ce],
     [0x00005ab3, 0x00000000, 0xc8b006f3, 0x1f42f8ce, 0xb0ae06f7,
      0x1f42f88e, 0x00000000, 0x00000000, 0xd0b486fb, 0x1f42f60e],
     [0x000054a3, 0x00000000, 0xa4ad471a, 0x1f42ff4e, 0xf4a76716,
      0x1f42f9ce, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005ab6, 0x00000000, 0x00000000, 0x00000000, 0xc0ad86fd,
      0x1f42fcce, 0x18ad6723, 0x1f42f8cf, 0x9cae072b, 0x1f42f6ce],
     [0x00005ab7, 0x00000000, 0x8cb5e735, 0x1f430ece, 0xb0ab073d,
      0x1f42face, 0x4cb8270c, 0x1f42f60f, 0xdcb6c720, 0x1f42f60e],
     [0x00005ab8, 0x00000000, 0x54b4a706, 0x1f42f6cf, 0xccb08714,
      0x1f42f50e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005ab9, 0x00000000, 0x00000000, 0x00000000, 0xe4b16712,
      0x1f42face, 0x00000000, 0x00000000, 0x2cafc70f, 0x1f42f9cf],
     [0x00005aba, 0x00000000, 0x60b02721, 0x1f42facf, 0x00000000,
      0x00000000, 0x58b6e715, 0x1f42f88f, 0xdcb0470e, 0x1f43154e],
     [0x00005abb, 0x00000000, 0xa8b6870f, 0x1f42f98f, 0x00000000,
      0x00000000, 0xdcaee703, 0x1f42f98e, 0xccb7c70c, 0x1f42f78e],
     [0x000054a7, 0x00000000, 0x00000000, 0x00000000, 0xe0ac0711,
      0x1f43048f, 0x98af86ec, 0x1f430bcf, 0x70ad6713, 0x1f43010f],
     [0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000054a8, 0x00000000, 0xc4b2a6e8, 0x1f42f90f, 0xe4b40728,
      0x1f43148e, 0x00ace704, 0x1f42f850, 0xe0abe72e, 0x1f43034e],
     [0x00005abf, 0x00000000, 0xe0b7670b, 0x1f42f88e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005ac0, 0x00000000, 0xb0b5e729, 0x1f42fcce, 0x00000000,
      0x00000000, 0x60b1e723, 0x1f42fb8e, 0x54b6e73e, 0x1f42f78e],
     [0x00005ac1, 0x00000000, 0xccac071b, 0x1f42f98e, 0xc8b66724,
      0x1f42f88e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000054aa, 0x00000000, 0x10adc6f7, 0x1f430490, 0xb8b00703,
      0x1f42ff0f, 0xb8b4072e, 0x1f42fdce, 0x84adc6ff, 0x1f42f6cf],
     [0x00005ac3, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xb8b54704, 0x1f42f6ce],
     [0x00005ac4, 0x00000000, 0xc4b62732, 0x1f42f78e, 0x64b54734,
      0x1f42f88e, 0x4cb3c735, 0x1f43068e, 0x7cb50735, 0x1f42f9ce],
     [0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000482b, 0x00000000, 0x849ac687, 0x1f43234f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000054ad, 0x00000000, 0x00ac26fc, 0x1f43174f, 0x1cb3e739,
      0x1f42fd4f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005ac9, 0x00000000, 0x00b0e701, 0x1f42fe90, 0xc4b046ec,
      0x1f43088f, 0x00000000, 0x00000000, 0xacb3c6f9, 0x1f43074f],
     [0x000054ae, 0x00000000, 0x00000000, 0x00000000, 0x50af2710,
      0x1f4306cf, 0x00000000, 0x00000000, 0x50ab2710, 0x1f4309cf],
     [0x00005acb, 0x00000000, 0x98b7a6f7, 0x1f4302cf, 0x7cb726ef,
      0x1f43020f, 0x00000000, 0x00000000, 0x28b726f5, 0x1f43064f],
     [0x000054af, 0x00000000, 0xacb08715, 0x1f42fb8f, 0x00000000,
      0x00000000, 0xecaec70a, 0x1f42fa4f, 0xecad8712, 0x1f43088e],
     [0x00005acd, 0x00000000, 0x64b7a70e, 0x1f43080f, 0x00000000,
      0x00000000, 0xdcb5c707, 0x1f4300ce, 0xdcb24703, 0x1f42fc8e],
     [0x000054b0, 0x00000000, 0x74ad470e, 0x1f42fe8f, 0x70b1e6f3,
      0x1f43074f, 0x84b0471d, 0x1f43064f, 0xe4af6738, 0x1f43004e],
     [0x00005acf, 0x00000000, 0xd4b34719, 0x1f42fc4f, 0x18b7a711,
      0x1f42fad0, 0x94b5c71e, 0x1f42ffcf, 0xd0b4c700, 0x1f4305cf],
     [0x00005ad0, 0x00000000, 0x00000000, 0x00000000, 0x4cb82704,
      0x1f42fbcf, 0xd8b2c6f8, 0x1f43098f, 0xdcb72705, 0x1f42fa0f],
     [0x00005ad1, 0x00000000, 0x00000000, 0x00000000, 0xd0b5c6e7,
      0x1f43080f, 0xecb6c70e, 0x1f43058f, 0x50b6c712, 0x1f43050f],
     [0x000054b2, 0x00000000, 0x00000000, 0x00000000, 0x0cb74736,
      0x1f42ffcf, 0x00000000, 0x00000000, 0x54b0c6f5, 0x1f430d8f],
     [0x0001a9c9, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xfc73e693, 0x0f0af04b],
     [0x00005ad4, 0x00000000, 0x98b3c6f6, 0x1f43038f, 0xe4b8471a,
      0x1f42fe8e, 0x00000000, 0x00000000, 0x78b6471e, 0x1f42f88f],
     [0x00010908, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xc07803f8, 0x0fa2f80d],
     [0x000054b4, 0x00000000, 0xacabc706, 0x1f43000f, 0x00000000,
      0x00000000, 0x18ae872c, 0x1f42fe8f, 0xa4b0070c, 0x1f43094e],
     [0x00005ad7, 0x00000000, 0x38b546f9, 0x1f42fd0f, 0x00000000,
      0x00000000, 0x18b1c6f6, 0x1f43030f, 0x60b3c6f2, 0x1f42f80f],
     [0x00005ad8, 0x00000000, 0x60b626f0, 0x1f4307cf, 0x6cb6a71e,
      0x1f42f8ce, 0x30b546e2, 0x1f4301d0, 0x80b246d1, 0x1f42fed0],
     [0x00005ad9, 0x00000000, 0x70b68704, 0x1f4303d0, 0x50b12740,
      0x1f430a4e, 0x3cb5673c, 0x1f430dce, 0x24b8a719, 0x1f42f94f],
     [0x00005ada, 0x00000000, 0x00000000, 0x00000000, 0x4caf2740,
      0x1f43068e, 0x80b246f1, 0x1f43030f, 0x00000000, 0x00000000],
     [0x00004840, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x50aa473c, 0x1f42fd50],
     [0x00005adc, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x50b34734, 0x1f42fd8e, 0x50b38734, 0x1f42fe0e],
     [0x00004842, 0x00000000, 0x00000000, 0x00000000, 0x80b2e73c,
      0x1f42fd50, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000c009, 0x00000000, 0x147986d6, 0x0fa2f54e, 0x2c9486aa,
      0x176afd4f, 0x60a1269b, 0x1a0afd8f, 0xf058069b, 0x08b300d5],
     [0x00005adf, 0x00000000, 0x8cb4e6d8, 0x1f43094e, 0x00000000,
      0x00000000, 0x08ae66de, 0x1f4303cf, 0x94b9870d, 0x1f4307cf],
     [0x00004845, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xc8ae868e, 0x1f430790, 0x00000000, 0x00000000],
     [0x00005ae1, 0x00000000, 0x74b846fa, 0x1f43000e, 0x00000000,
      0x00000000, 0xacae86fa, 0x1f4300cf, 0x04aca708, 0x1f43030f],
     [0x000054ba, 0x00000000, 0x00000000, 0x00000000, 0xb4b3071a,
      0x1f42ffce, 0x00000000, 0x00000000, 0x44b2e70a, 0x1f43068f],
     [0x00004848, 0x00000000, 0x00000000, 0x00000000, 0xecb6c6bb,
      0x1f42f78f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005ae4, 0x00000000, 0x00000000, 0x00000000, 0x14b3e705,
      0x1f43018f, 0x7ca72702, 0x1f43050f, 0xecb726e8, 0x1f43038f],
     [0x0000484a, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xecab4725, 0x1f430e8f],
     [0x00005ae6, 0x00000000, 0xf4b5672e, 0x1f43078e, 0xd4aea709,
      0x1f4300ce, 0xd8b3670d, 0x1f43000e, 0x00b246d7, 0x1f430190],
     [0x00005ae7, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x30a7c716, 0x1f43030f, 0x40b2a6d2, 0x1f430010],
     [0x000054bd, 0x00000000, 0xa8b4e739, 0x1f42f74e, 0x3cb48703,
      0x1f42fa4f, 0x00000000, 0x00000000, 0xf4ada72c, 0x1f42fb0e],
     [0x00005ae9, 0x00000000, 0x70af8733, 0x1f42fbce, 0x08b44711,
      0x1f42fa0f, 0x90b2871c, 0x1f43018e, 0xd0b6e6c7, 0x1f42facf],
     [0x0000c00f, 0x00000000, 0x409245fe, 0x1773020f, 0x4c93c577,
      0x1772ff11, 0x409245fe, 0x1773020f, 0x6c762699, 0x0fa2fc4f],
     [0x00005aeb, 0x00000000, 0x00000000, 0x00000000, 0x60b066f2,
      0x1f43020f, 0x48b7c71f, 0x1f42fa4f, 0xecaf6731, 0x1f42f9ce],
     [0x000054bf, 0x00000000, 0x50a7c727, 0x1f430a4e, 0x00000000,
      0x00000000, 0x78a72726, 0x1f431bce, 0x1ca9671a, 0x1f43138f],
     [0x00005aed, 0x00000000, 0xa0b266d4, 0x1f4307cf, 0x94b7a718,
      0x1f42f74f, 0x4cb546e3, 0x1f43008f, 0xbcb62711, 0x1f43004f],
     [0x0001a9e4, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x6896068c, 0x16f2f28f, 0x00000000, 0x00000000],
     [0x00005aef, 0x00000000, 0x68b70726, 0x1f43038f, 0xbcb7e70b,
      0x1f42f60f, 0x00000000, 0x00000000, 0x98b626e3, 0x1f42f94f],
     [0x00005af0, 0x00000000, 0x10b626ea, 0x1f43028f, 0xacb62701,
      0x1f43070f, 0x38b7a716, 0x1f4301cf, 0x7cb58712, 0x1f43068f],
     [0x00005af1, 0x00000000, 0x54b38714, 0x1f42fe8f, 0xd4b6a715,
      0x1f43004e, 0xb0b4c6db, 0x1f43028f, 0xbcb5c6f3, 0x1f4304ce],
     [0x000054c2, 0x00000000, 0xa8aea735, 0x1f43194e, 0x9caa271a,
      0x1f43124e, 0x54aa472b, 0x1f43170e, 0xb4a9a704, 0x1f43180e],
     [0x00004858, 0x00000000, 0x148ea6c8, 0x1f434590, 0x149f66c8,
      0x1f431cd0, 0x14a6e6c8, 0x1f430e50, 0x14b2e6c8, 0x1f42ff10],
     [0x00004859, 0x00000000, 0x1cabc6c8, 0x1f430b10, 0x14b306c8,
      0x1f42ff10, 0x14b546c8, 0x1f42f8d0, 0x14b786c8, 0x1f42f690],
     [0x0000485a, 0x00000000, 0x14b2a6c8, 0x1f42fd90, 0x14aa46c8,
      0x1f431790, 0xc8a5a68e, 0x1f431110, 0xc8aac68e, 0x1f430750],
     [0x000054c4, 0x00000000, 0x7ca9272e, 0x1f43188e, 0x3ca9c72a,
      0x1f42fece, 0x58aac729, 0x1f430b4e, 0x00000000, 0x00000000],
     [0x0000485c, 0x00000000, 0xd88986ca, 0x1f43520f, 0xd89966ca,
      0x1f43324f, 0xd8a846ca, 0x1f43148f, 0x7ca786ca, 0x1f43160f],
     [0x0000485d, 0x00000000, 0x7c9da5d4, 0x1f4329cf, 0x7cab86ca,
      0x1f430e0f, 0x7cb526ca, 0x1f42facf, 0x7cb7e6ca, 0x1f42f54f],
     [0x0000485e, 0x00000000, 0xd8af26ca, 0x1f4306cf, 0xd8a025d4,
      0x1f4324cf, 0xdcafa6cb, 0x1f4305cf, 0xd8b5c6ca, 0x1f42f98f],
     [0x000054c6, 0x00000000, 0x00000000, 0x00000000, 0x1cb56706,
      0x1f42fecf, 0x50ad06cb, 0x1f4318cf, 0x00000000, 0x00000000],
     [0x0001092e, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x00005afc, 0x00000000, 0x2cb24702, 0x1f42fd8f, 0x00000000,
      0x00000000, 0x9cb3c703, 0x1f42fc4f, 0xb8b3e740, 0x1f42f9ce],
     [0x00005afd, 0x00000000, 0x00000000, 0x00000000, 0x68b42713,
      0x1f42fe8f, 0x00000000, 0x00000000, 0x6cb5a6c7, 0x1f430d0f],
     [0x000054c8, 0x00000000, 0x74ac46ec, 0x1f431a0f, 0xe4adc6eb,
      0x1f43190f, 0x54af86f8, 0x1f43148f, 0x70aca6fd, 0x1f43188f],
     [0x00004864, 0x00000000, 0x24bb85fa, 0x1f42ef13, 0xb8908754,
      0x1f43464d, 0x20bae5fb, 0x1f42ee13, 0xc490a757, 0x1f43468d],
     [0x00004865, 0x00000000, 0xb4b44622, 0x1f42fc92, 0x00000000,
      0x00000000, 0xb8bb8757, 0x1f42ee0d, 0xb8bb8757, 0x1f42ee0d],
     [0x00004866, 0x00000000, 0xb8bb8757, 0x1f42ee0d, 0xb8bb8757,
      0x1f42ee0d, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00010935, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x00010936, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x00010937, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x00010938, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x00010939, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x6894068c, 0x1562ee0f],
     [0x0001093a, 0x00000000, 0x6894068c, 0x1562ee0f, 0x6894068c,
      0x1562ee0f, 0x6894068c, 0x1562ee0f, 0x00000000, 0x00000000],
     [0x00005b08, 0x00000000, 0x5cb7472c, 0x1f4313ce, 0x7cb5873a,
      0x1f4313ce, 0xccb5e723, 0x1f430f4e, 0x08b9e738, 0x1f430c8f],
     [0x0000486e, 0x00000000, 0xf4b186c3, 0x1f430210, 0xa4b14719,
      0x1f43028f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000c01f, 0x00000000, 0x5451c69b, 0x06e2fe8f, 0xe46d06a2,
      0x0c52fb8c, 0x547be535, 0x1042f552, 0x00000000, 0x00000000],
     [0x00005b0b, 0x00000000, 0xacb3e732, 0x1f43098e, 0x00000000,
      0x00000000, 0x70b2a736, 0x1f43108e, 0x94b88739, 0x1f430a0e],
     [0x00004871, 0x00000000, 0x58b7a659, 0x1f42f5d0, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00010940, 0x00000000, 0xcc98653c, 0x1622eb53, 0x00000000,
      0x00000000, 0xe46f4776, 0x16233d4a, 0x00000000, 0x00000000],
     [0x00004873, 0x00000000, 0xe0ade65a, 0x1f430950, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00004874, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xd0b7e664, 0x1f42f550, 0x00000000, 0x00000000],
     [0x00004875, 0x00000000, 0xd0b82664, 0x1f42f4d0, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00010944, 0x00000000, 0xe46f453c, 0x1622eb4a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005b12, 0x00000000, 0x00000000, 0x00000000, 0xf4b4a6df,
      0x1f430b4f, 0xb8b646cb, 0x1f43088f, 0x40aa46f4, 0x1f43068f],
     [0x00005b13, 0x00000000, 0x6caa8713, 0x1f430a4e, 0x40b706ff,
      0x1f4304cf, 0xdcb7c6d3, 0x1f430c8f, 0x98b4a70a, 0x1f43088f],
     [0x00004879, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x14a5263a, 0x1f431ad1, 0x589c4698, 0x1f432c90],
     [0x0000487a, 0x00000000, 0x14a5263a, 0x1f431ad1, 0xa09c4669,
      0x1f432c8f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00010949, 0x00000000, 0xe46f4776, 0x1622eb4a, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005b17, 0x00000000, 0x9cb126c3, 0x1f43084f, 0x4cb46717,
      0x1f43068f, 0x00b6c71b, 0x1f43020f, 0x54b5c6de, 0x1f430f90],
     [0x000054d5, 0x00000000, 0x68b0a726, 0x1f43020f, 0x8cae871b,
      0x1f43068e, 0x28af671f, 0x1f430d8f, 0x08ad0732, 0x1f43114f],
     [0x00005b19, 0x00000000, 0x40af06db, 0x1f43144f, 0x28b3070b,
      0x1f43078f, 0x98b266ed, 0x1f43058f, 0x5cb366d4, 0x1f43090e],
     [0x00005b1a, 0x00000000, 0xaca586ae, 0x1f430f4f, 0xd4a4c6db,
      0x1f430d4f, 0x7cb446df, 0x1f430e50, 0xb8b3a715, 0x1f43058e],
     [0x00004880, 0x00000000, 0x38b3e6f4, 0x1f42fd4e, 0x00000000,
      0x00000000, 0x649a66fe, 0x1f43304e, 0x60a3a6c0, 0x1f431dcf],
     [0x00004881, 0x00000000, 0x00000000, 0x00000000, 0xb0a08663,
      0x1f432410, 0x00000000, 0x00000000, 0x5cb2c6df, 0x1f42ff8e],
     [0x00004882, 0x00000000, 0x509126f2, 0x1f433150, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x64b386c0, 0x1f42fe0f],
     [0x00004883, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x80a6c6f1, 0x1f431310],
     [0x00004884, 0x00000000, 0x00000000, 0x00000000, 0x80a7e6f1,
      0x1f431690, 0x00000000, 0x00000000, 0x1498660b, 0x1f433451],
     [0x00004885, 0x00000000, 0x00000000, 0x00000000, 0x389c0739,
      0x1f432cce, 0x00000000, 0x00000000, 0x249c66a7, 0x1f432c51],
     [0x00004886, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x34bb8757, 0x1f42f1ce, 0x00000000, 0x00000000],
     [0x00004887, 0x00000000, 0x00000000, 0x00000000, 0x44ada656,
      0x1f430352, 0x20b2e63e, 0x1f42fc12, 0x80aa26f1, 0x1f431110],
     [0x00004888, 0x00000000, 0x44aa66cf, 0x1f430ed0, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xc8800757, 0x1f43654d],
     [0x00004889, 0x00000000, 0x00000000, 0x00000000, 0xc88ce757,
      0x1f434b4d, 0x00000000, 0x00000000, 0xc8ada68e, 0x1f431010],
     [0x00005b25, 0x00000000, 0x00ab66e6, 0x1f43028f, 0xd8b0c6d5,
      0x1f43058e, 0xa8abe728, 0x1f43094e, 0x00000000, 0x00000000],
     [0x0000488b, 0x00000000, 0x14a0a74b, 0x1f4323ce, 0x08b0c748,
      0x1f43038e, 0x00982714, 0x1f43394f, 0x00000000, 0x00000000],
     [0x00005b27, 0x00000000, 0x94a606ee, 0x1f43074e, 0xecb7a6ec,
      0x1f42f60e, 0x00000000, 0x00000000, 0x6ca9e70b, 0x1f430b4f],
     [0x0000488d, 0x00000000, 0x04ab66a9, 0x1f431150, 0x04ab66a9,
      0x1f431150, 0x94836666, 0x1f435e91, 0xd8a2a68f, 0x1f432010],
     [0x00005b29, 0x00000000, 0x38ac26da, 0x1f43044f, 0xa0ab66cf,
      0x1f430a4f, 0xa4b72703, 0x1f430a8f, 0xacb64702, 0x1f4308cf],
     [0x0000488f, 0x00000000, 0xa0b5e5d1, 0x1f42f953, 0x98b4c633,
      0x1f42fa12, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005b2b, 0x00000000, 0x9cb8e723, 0x1f43048e, 0xccb0c704,
      0x1f43008e, 0xb0b146d0, 0x1f43094f, 0x00000000, 0x00000000],
     [0x000054df, 0x00000000, 0xc8b0c70b, 0x1f43024f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x5cb32731, 0x1f43094e],
     [0x00004892, 0x00000000, 0x24b5e69b, 0x1f42f951, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00004893, 0x00000000, 0xc8a48698, 0x1f431b10, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005b2f, 0x00000000, 0xe8a9e6df, 0x1f43104f, 0xd0b08702,
      0x1f430dcf, 0x2caa0708, 0x1f43100f, 0x68afe6d5, 0x1f430a4f],
     [0x00005b30, 0x00000000, 0xa0a9c6d0, 0x1f430c8e, 0x38b866d3,
      0x1f430e50, 0xe4ab26c3, 0x1f43058e, 0x34a86705, 0x1f430b4f],
     [0x00005b31, 0x00000000, 0x38b5c6d0, 0x1f430750, 0xe8a7c6af,
      0x1f43038f, 0x68b546fc, 0x1f43094f, 0x08af86da, 0x1f430290],
     [0x0000c033, 0x00000000, 0xa06cc7ab, 0x0c2af30f, 0xa06cc7ab,
      0x0c2af30f, 0xa06cc7a2, 0x0c2af30f, 0xa06cc77c, 0x0c2af30f],
     [0x00004898, 0x00000000, 0x00a3c686, 0x1f431fd1, 0x78a88628,
      0x1f430fd2, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00004899, 0x00000000, 0xd09c468e, 0x1f432c90, 0xd09c468e,
      0x1f432c90, 0x1caac6ed, 0x1f4313d0, 0x1ca886ed, 0x1f430fd0],
     [0x0000489a, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x3cb46707, 0x1f42fc4e, 0x3cb46707, 0x1f42fc4e],
     [0x0000489b, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xd49d4695, 0x1f431dd0, 0xd4a34695, 0x1f4329d0],
     [0x0000489c, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x68ae2702, 0x1f4308d0, 0x74ae6702, 0x1f430890],
     [0x000054e5, 0x00000000, 0xa0ae66dd, 0x1f43080f, 0x30ac86e4,
      0x1f430bcf, 0x94b6e704, 0x1f42fb8f, 0x28a926f8, 0x1f43034f],
     [0x00005b39, 0x00000000, 0x00000000, 0x00000000, 0x94b4e6e2,
      0x1f430c4f, 0x00000000, 0x00000000, 0xc4b186fd, 0x1f43094e],
     [0x00005b3a, 0x00000000, 0x18b4c6fc, 0x1f430f50, 0xa4b626f4,
      0x1f430acf, 0xd4a326d3, 0x1f430a4f, 0xe4aba6df, 0x1f43088f],
     [0x000048a0, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xe0b386a1, 0x1f42fe0f, 0xe0b386a1, 0x1f42fe0f],
     [0x000048a1, 0x00000000, 0xa0a04698, 0x1f43248f, 0xa0a04698,
      0x1f43248f, 0x60b386e1, 0x1f42fe0f, 0x60b3c6e1, 0x1f42fd8f],
     [0x00005b3d, 0x00000000, 0x00000000, 0x00000000, 0xecb4c70c,
      0x1f43078e, 0x40b4a713, 0x1f43140f, 0xbcb5e707, 0x1f43088f],
     [0x000054e8, 0x00000000, 0x30ac86e4, 0x1f430bcf, 0x00000000,
      0x00000000, 0x38a726e8, 0x1f42fb8f, 0x5cad8704, 0x1f42f4ce],
     [0x00005b3f, 0x00000000, 0xd8b2670f, 0x1f43090f, 0x6cb546eb,
      0x1f43064e, 0xacad66ca, 0x1f43094f, 0x00000000, 0x00000000],
     [0x000048a5, 0x00000000, 0x00000000, 0x00000000, 0xd8aaa6d1,
      0x1f430f8f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000048a6, 0x00000000, 0x00000000, 0x00000000, 0xd8aaa6d1,
      0x1f430f8f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000054ea, 0x00000000, 0x18afa6dd, 0x1f42fb8f, 0xd0b586e8,
      0x1f42fc4f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000048a8, 0x00000000, 0xd0a7a6a2, 0x1f4315cf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000048a9, 0x00000000, 0x00000000, 0x00000000, 0xb0a966dc,
      0x1f430c90, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005b45, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x78b0e6d6, 0x1f430d4f, 0x74b74715, 0x1f43094f],
     [0x000054ec, 0x00000000, 0x74b646f4, 0x1f42f88f, 0x00000000,
      0x00000000, 0x68ac8713, 0x1f42fb8e, 0x8cb76720, 0x1f42f60e],
     [0x00005b47, 0x00000000, 0x00000000, 0x00000000, 0x58b2e702,
      0x1f430b4f, 0xacab66cf, 0x1f43094f, 0x20b3c726, 0x1f43068f],
     [0x000054ed, 0x00000000, 0x40a6871a, 0x1f42fb8e, 0x00000000,
      0x00000000, 0xf4a6068f, 0x1f4314d0, 0x00000000, 0x00000000],
     [0x00005b49, 0x00000000, 0x00000000, 0x00000000, 0x4cb46735,
      0x1f430c4e, 0x00000000, 0x00000000, 0xb0ad2722, 0x1f43058e],
     [0x000048af, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x80aa26f1, 0x1f431110],
     [0x00005b4b, 0x00000000, 0x50b7c6cb, 0x1f42fdcf, 0x78b166c4,
      0x1f4306cf, 0xc0b226e0, 0x1f43028f, 0xecb0e6ed, 0x1f43160e],
     [0x000054ef, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x68b0e6e7, 0x1f43068f],
     [0x00005b4d, 0x00000000, 0x78b20716, 0x1f43048e, 0x20a96737,
      0x1f43088f, 0x44ace721, 0x1f43094f, 0x98ad86b8, 0x1f43088f],
     [0x000054f0, 0x00000000, 0x00000000, 0x00000000, 0x98b8e71d,
      0x1f43038f, 0xecb46727, 0x1f43078e, 0x50b5a746, 0x1f43064e],
     [0x00005b4f, 0x00000000, 0x80ae86eb, 0x1f430b0f, 0x3cb7a6ea,
      0x1f43070f, 0x7cb9a704, 0x1f430c4f, 0x78b5a728, 0x1f43004e],
     [0x00005b50, 0x00000000, 0x84ae46dc, 0x1f43058f, 0xe8b72716,
      0x1f430d4f, 0xbcb46700, 0x1f43090f, 0xd4b34710, 0x1f43048f],
     [0x00005b51, 0x00000000, 0x00b20726, 0x1f43010f, 0x1caae706,
      0x1f430c8f, 0xb4b2c713, 0x1f430e8e, 0x98b36704, 0x1f430a8f],
     [0x00005b52, 0x00000000, 0x2ca3670e, 0x1f430c8f, 0x00000000,
      0x00000000, 0x28a6c6f5, 0x1f430990, 0x40ab070c, 0x1f43094f],
     [0x00005b53, 0x00000000, 0x00000000, 0x00000000, 0xc0b70700,
      0x1f43078f, 0xdcb4670b, 0x1f430f4e, 0xf0a7a6dd, 0x1f43068e],
     [0x000054f3, 0x00000000, 0x70b70670, 0x1f430190, 0xe0b6272c,
      0x1f42fccf, 0x58b2a6e7, 0x1f42ffcf, 0x00000000, 0x00000000],
     [0x0000c9f2, 0x00000000, 0x6cb4660b, 0x200afd8f, 0x6cb4660b,
      0x200afd8f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000054f4, 0x00000000, 0x00000000, 0x00000000, 0xa0b22722,
      0x1f43038f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00019107, 0x00000000, 0x687445c1, 0x0de2f44f, 0x6881468c,
      0x1162f44f, 0x6873e5c1, 0x0de2f44f, 0xa06f269b, 0x0a6af18f],
     [0x00019108, 0x00000000, 0x687ae5c0, 0x0fa2f50c, 0xa081468c,
      0x1162f1cf, 0xa05e869b, 0x08b2f1cf, 0x745f669b, 0x0a6adfcc],
     [0x00005b59, 0x00000000, 0x08b1070b, 0x1f43050f, 0x78af26e6,
      0x1f430b4f, 0xb4ae0719, 0x1f430c4e, 0xd8aea6e5, 0x1f430b8f],
     [0x000054f6, 0x00000000, 0xf8ad871f, 0x1f431d4e, 0x80b6a722,
      0x1f42fe0f, 0x00000000, 0x00000000, 0x40b5a700, 0x1f42fa4f],
     [0x00005b5b, 0x00000000, 0x0cb3a6df, 0x1f430dd0, 0x40b7a6f6,
      0x1f430a8f, 0x9cb36734, 0x1f430b4e, 0x3cb006d0, 0x1f430b0f],
     [0x000054f7, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xb8b4c729, 0x1f43164e],
     [0x00005b5d, 0x00000000, 0xb8b5a6e4, 0x1f43048f, 0x30ae66e4,
      0x1f4302cf, 0xc8ad2712, 0x1f43068e, 0xb8b80726, 0x1f43098e],
     [0x000054f8, 0x00000000, 0x70aa671b, 0x1f4312cf, 0x7cb80726,
      0x1f42f58f, 0x5caec74c, 0x1f43080e, 0xf8a7066c, 0x1f4323d1],
     [0x000048c4, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xf8ad6628, 0x1f430a52, 0x00000000, 0x00000000],
     [0x00005b60, 0x00000000, 0x58b226e7, 0x1f43080f, 0x00000000,
      0x00000000, 0xd8b4e6e4, 0x1f43084e, 0x8caae6d0, 0x1f43094f],
     [0x00019111, 0x00000000, 0x4099e683, 0x186afa8d, 0xa0992675,
      0x1722f78f, 0x78938684, 0x1452fa8f, 0xa0924675, 0x1132f44f],
     [0x000054fa, 0x00000000, 0x8caec6a1, 0x1f4309d0, 0x28ada6e1,
      0x1f430e8f, 0x78a706db, 0x1f4307d0, 0xf4a60711, 0x1f43118e],
     [0x00019113, 0x00000000, 0xa0956675, 0x10baf6cf, 0xa0a2c675,
      0x1822fd0f, 0x787985a1, 0x0fb2f80f, 0x7476c684, 0x0eb2f94f],
     [0x000054fb, 0x00000000, 0x38a206e6, 0x1f43120f, 0x8cb846b7,
      0x1f430051, 0x24b3e69f, 0x1f42ff8f, 0x5cb206e8, 0x1f43098f],
     [0x0000c9fa, 0x00000000, 0x9c7066c4, 0x0deaff4c, 0x9c6d86c4,
      0x0deaf98c, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000054fc, 0x00000000, 0x68a5a732, 0x1f431b0f, 0x54b646d9,
      0x1f430850, 0xf0b4671a, 0x1f43104e, 0x58b10703, 0x1f42fdcf],
     [0x00019117, 0x00000000, 0x747545a1, 0x0e52f80f, 0xc479c5a1,
      0x0f4ae68c, 0xc47865a1, 0x0e52f80c, 0xa06fa5a1, 0x0cc2f58f],
     [0x0000480d, 0x00000000, 0x00000000, 0x00000000, 0xacafc744,
      0x1f437e1a, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00019119, 0x00000000, 0x7c9c05b4, 0x183b000f, 0x7c7e45a1,
      0x1132f58f, 0xc47c85a0, 0x0f82f58c, 0x6878e5aa, 0x0f9af88f],
     [0x0001911a, 0x00000000, 0xa0990695, 0x17baf7cf, 0xa097e685,
      0x16b2f88f, 0x709ba695, 0x15eafbcf, 0xa0a14685, 0x1992f88f],
     [0x0001911b, 0x00000000, 0xa09cc685, 0x16e2f88f, 0xa09c4685,
      0x13daf90f, 0x709e8695, 0x1802fbcf, 0xa0b4c685, 0x1bdaf88f],
     [0x0001911c, 0x00000000, 0xa0842685, 0x0fb2f88f, 0x708f4685,
      0x1172fe8f, 0xa0a76685, 0x18daf88f, 0xa0960685, 0x1742f88f],
     [0x0001911d, 0x00000000, 0xa0c46685, 0x1fc2f88f, 0xa0b20685,
      0x1b2af88f, 0x609ce695, 0x184afbcf, 0xa09a2685, 0x1322f88f],
     [0x00005500, 0x00000000, 0x00000000, 0x00000000, 0x8cb586fd,
      0x1f4302cf, 0x00000000, 0x00000000, 0x40b52723, 0x1f4302cf],
     [0x00005b6f, 0x00000000, 0x00ae270f, 0x1f430bcf, 0x40ae6708,
      0x1f430bcf, 0x0cb406e6, 0x1f430e4f, 0x5cb8a6ec, 0x1f43004f],
     [0x00019120, 0x00000000, 0xa0992685, 0x112af7cf, 0xa0a64685,
      0x18eafe8f, 0x788305b6, 0x122af90f, 0x807b6695, 0x0feafa8f],
     [0x00005b71, 0x00000000, 0x90ace6f9, 0x1f430e8f, 0x6cb1a732,
      0x1f43028e, 0x1cae0739, 0x1f43084f, 0xbcb1671d, 0x1f43054e],
     [0x00019122, 0x00000000, 0x748065b6, 0x107af38c, 0x78826695,
      0x1202fa8f, 0x7c640654, 0x0b2afbcf, 0x64724654, 0x0d7ae98c],
     [0x00005b73, 0x00000000, 0xa0ac46ff, 0x1f43078f, 0x70a5e6de,
      0x1f43084f, 0x00000000, 0x00000000, 0xe4af6700, 0x1f4309cf],
     [0x00005b74, 0x00000000, 0x1ca986e9, 0x1f430f50, 0xd0b80705,
      0x1f43048f, 0x8cb4c711, 0x1f43074e, 0xf0acc709, 0x1f4308ce],
     [0x00005b75, 0x00000000, 0x44afc713, 0x1f430d8f, 0x54ab4712,
      0x1f430c90, 0xc8ae6711, 0x1f430bce, 0x20a8e6ed, 0x1f430a0f],
     [0x00005b76, 0x00000000, 0xf4ad2738, 0x1f43088e, 0x08aac724,
      0x1f43048f, 0xc0b3471c, 0x1f4308cf, 0x14aac6f8, 0x1f43088f],
     [0x00005b77, 0x00000000, 0x90a8a6bc, 0x1f43090f, 0x68b286c9,
      0x1f430510, 0x28b7a713, 0x1f43038f, 0x98aee6d5, 0x1f43078f],
     [0x00005b78, 0x00000000, 0xe8b146cb, 0x1f430b0e, 0x90b72704,
      0x1f430dcf, 0x4cada6f3, 0x1f4307cf, 0x60b4e6fb, 0x1f430a4f],
     [0x00005b79, 0x00000000, 0xd0b8a6ee, 0x1f43048f, 0x4cb2c6fd,
      0x1f430b0f, 0x90b64701, 0x1f42fdcf, 0x00000000, 0x00000000],
     [0x00005b7a, 0x00000000, 0xd4b6c72e, 0x1f43084e, 0x20b36725,
      0x1f43080f, 0x24b6c708, 0x1f4309cf, 0x94afc6ff, 0x1f43080f],
     [0x00005b7b, 0x00000000, 0x5cafe72d, 0x1f43018e, 0x38b2c715,
      0x1f43080f, 0xbcb1c72a, 0x1f4309ce, 0xbcab270e, 0x1f43084e],
     [0x00005b7c, 0x00000000, 0xb0b046fe, 0x1f430b8f, 0x44b986f3,
      0x1f43094f, 0x60b1670a, 0x1f43074f, 0x64b1e736, 0x1f43060e],
     [0x00005b7d, 0x00000000, 0xecad86f9, 0x1f4310cf, 0xd8ae671e,
      0x1f43084e, 0x8cb1670e, 0x1f43068e, 0xb0b606df, 0x1f4308cf],
     [0x00005508, 0x00000000, 0xb4b626f9, 0x1f42fe0f, 0xe8b6e6df,
      0x1f43054f, 0x00000000, 0x00000000, 0x14b26646, 0x1f42fd12],
     [0x00005b7f, 0x00000000, 0xbcb4c730, 0x1f42f90e, 0xc4af46fd,
      0x1f43070f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005b80, 0x00000000, 0x7cb2a71b, 0x1f4309ce, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x88ace719, 0x1f43088f],
     [0x0000bec1, 0x00000000, 0xa0a20693, 0x19f2f30f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005b82, 0x00000000, 0x50afa70a, 0x1f4305ce, 0x60aca724,
      0x1f430b8e, 0xf4a8e6df, 0x1f43050f, 0x90acc724, 0x1f430b90],
     [0x00005b83, 0x00000000, 0xe8b4c6f0, 0x1f43030e, 0xccb00731,
      0x1f43094e, 0x14ad0722, 0x1f43084f, 0x00000000, 0x00000000],
     [0x0000c05c, 0x00000000, 0x54962783, 0x1692f20f, 0x6881c6b1,
      0x1162f20f, 0x6c96268c, 0x1692f20c, 0x6c82e5b5, 0x1162f20c],
     [0x00005b85, 0x00000000, 0x3cad870f, 0x1f430b90, 0xf4af8723,
      0x1f43064e, 0xacaba713, 0x1f43088e, 0x74b6c722, 0x1f430c0e],
     [0x00005b86, 0x00000000, 0x00000000, 0x00000000, 0xe0b60722,
      0x1f430a4f, 0x0cad2711, 0x1f43088f, 0x04b6a717, 0x1f430d4f],
     [0x00005b87, 0x00000000, 0x88ac66f0, 0x1f43094f, 0xa4b8473d,
      0x1f43048e, 0x00000000, 0x00000000, 0x60b3c72e, 0x1f43088e],
     [0x00005b88, 0x00000000, 0x08b3c728, 0x1f430c4f, 0x04b6671d,
      0x1f43068f, 0xa0b206db, 0x1f43038f, 0x24b4e708, 0x1f43068f],
     [0x00005b89, 0x00000000, 0x04b2c71a, 0x1f4303cf, 0x90b0c6ef,
      0x1f430b0f, 0x48ac86f3, 0x1f430c8f, 0x8cb2671d, 0x1f430c0e],
     [0x00005b8a, 0x00000000, 0x44b086c7, 0x1f43094f, 0x44afc6db,
      0x1f4306d0, 0x00000000, 0x00000000, 0xecb8473d, 0x1f43088e],
     [0x00005b8b, 0x00000000, 0xf4adc710, 0x1f43094e, 0xc4a98710,
      0x1f43088e, 0x24aee721, 0x1f43048e, 0x10b6a72e, 0x1f430a4f],
     [0x00005b8c, 0x00000000, 0x5cb64730, 0x1f43038e, 0x94b566ed,
      0x1f43018f, 0xccace70e, 0x1f43038f, 0xc8b366e7, 0x1f43040e],
     [0x00005b8d, 0x00000000, 0xd8ade71f, 0x1f4307ce, 0xe4ac0708,
      0x1f43078f, 0xbcade72e, 0x1f43068f, 0x00000000, 0x00000000],
     [0x000109c1, 0x00000000, 0xa0b4a69c, 0x1ea2f6cf, 0x00000000,
      0x00000000, 0x689ce6a9, 0x18aaf6cf, 0x689ce6a9, 0x18b2f6cf],
     [0x00005b8f, 0x00000000, 0x14b06726, 0x1f430c0f, 0xfcad070b,
      0x1f4302ce, 0x6cb1e708, 0x1f43078e, 0x54b3c723, 0x1f4305ce],
     [0x00019140, 0x00000000, 0x68b545b2, 0x1fa2f80f, 0x689b05b6,
      0x19a2fdcf, 0x209765aa, 0x1882f80c, 0x689645d5, 0x1872fd4f],
     [0x00019141, 0x00000000, 0x489b469f, 0x188af9cf, 0x409f46a8,
      0x19b2fa0f, 0x00000000, 0x00000000, 0x40a4a69f, 0x1b22fa8f],
     [0x00019142, 0x00000000, 0x4093469f, 0x16cafa8f, 0x7098069f,
      0x17fafa8c, 0x409ce69f, 0x1932fa8f, 0x00000000, 0x00000000],
     [0x00019143, 0x00000000, 0x00000000, 0x00000000, 0x7098a69f,
      0x1822fa8c, 0x48a2a69f, 0x1a72fa8f, 0x408cc69f, 0x14eaf9cf],
     [0x00005513, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00b706cb, 0x1f42fc90, 0xe8b306f9, 0x1f42ff0e],
     [0x000109c8, 0x00000000, 0x2082463c, 0x120af6d1, 0x6890a6a9,
      0x15a2f6cf, 0x689c66a9, 0x1892f6cf, 0x689c86a9, 0x18a2f6cf],
     [0x000109c9, 0x00000000, 0x689ca6a9, 0x18a2f6cf, 0x689d06a9,
      0x18b2f6cf, 0x6c9d66a9, 0x18caf6cf, 0x6c9d66a9, 0x18d2f6cf],
     [0x000109ca, 0x00000000, 0x00000000, 0x00000000, 0x68a0e6a9,
      0x19baf6cf, 0x689cc6a9, 0x18aaf6cf, 0x68a366a9, 0x1a4af6cf],
     [0x000109cb, 0x00000000, 0x68a126a9, 0x19baf6cf, 0x68a246a9,
      0x1a0af6cf, 0x6ca046a9, 0x1982f6cf, 0x68a206a9, 0x19faf6cf],
     [0x000109cc, 0x00000000, 0x68ad86a9, 0x1cdaf6cf, 0xa097469c,
      0x1742f6cf, 0xa094869c, 0x169af6cf, 0xa097c69c, 0x176af6cf],
     [0x000109cd, 0x00000000, 0x689d06a9, 0x18b2f68f, 0x689d46a9,
      0x18c2f6cf, 0x689126aa, 0x15baf6cf, 0x889b26a3, 0x1842f6cf],
     [0x0001914b, 0x00000000, 0x587705bc, 0x0fbafa8f, 0x5c7d8632,
      0x115af78c, 0x5c77e5bc, 0x0fdafacc, 0x5873c5bc, 0x0e7af78f],
     [0x00004841, 0x00000000, 0x00000000, 0x00000000, 0x28b2c72e,
      0x1f42ff8e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000109d0, 0x00000000, 0x68a006a9, 0x197af6cf, 0x689cc6a9,
      0x18aaf6cf, 0x689cc6a9, 0x18aaf6cf, 0x6892a6a9, 0x161af68f],
     [0x0001914e, 0x00000000, 0xa094e67e, 0x172afa8f, 0xa08cc67e,
      0x1522ff8f, 0x00000000, 0x00000000, 0xa093267e, 0x1692ff8f],
     [0x0001914f, 0x00000000, 0xa085667e, 0x1372ff8f, 0xa085667e,
      0x0eaaff8f, 0x6c91868c, 0x1612f94f, 0x00000000, 0x00000000],
     [0x00019150, 0x00000000, 0xa05d067e, 0x0a13018f, 0x687c667e,
      0x1182f80f, 0xa099a68a, 0x16faff8f, 0xa085e67e, 0x127aff8f],
     [0x00005ba1, 0x00000000, 0x00000000, 0x00000000, 0x7cb286ee,
      0x1f43084f, 0xc0b726f2, 0x1f43058f, 0x00000000, 0x00000000],
     [0x00019152, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x6889268c, 0x13e2f6cf, 0xa08c467e, 0x107af30f],
     [0x000109d6, 0x00000000, 0xa04b869c, 0x0452f6cf, 0xa05cc69c,
      0x08aaf6cf, 0xa06e069c, 0x0cfaf6cf, 0xbc6b26a9, 0x0c42f6d3],
     [0x00019154, 0x00000000, 0xa094267e, 0x119af10f, 0x00000000,
      0x00000000, 0x787dc5b4, 0x118af94f, 0x78800693, 0x11aafa8f],
     [0x00005ba5, 0x00000000, 0x54b02717, 0x1f430a8f, 0x00000000,
      0x00000000, 0x7cb4073b, 0x1f43004e, 0xb8b1c715, 0x1f43030e],
     [0x00019156, 0x00000000, 0x387f65b4, 0x11f2f94c, 0xa07ba693,
      0x1102fbcf, 0xa057e693, 0x0812fbcf, 0x3c5dc693, 0x098aea4c],
     [0x00019157, 0x00000000, 0xa081e693, 0x113afa8f, 0xa057e693,
      0x0812fbcf, 0xa09f65b4, 0x19f2fbcf, 0xa07ba5b4, 0x1102fbcf],
     [0x00019158, 0x00000000, 0x707e05b2, 0x114af94f, 0x3880a5b4,
      0x11f2fbcc, 0x387f65b4, 0x11f2f94c, 0xa07165b7, 0x096afbcf],
     [0x00019159, 0x00000000, 0x787ae5b4, 0x103af70f, 0x7863a661,
      0x0a4af30f, 0x787ba5aa, 0x1102fbcf, 0xa07a65aa, 0x0ddaf30f],
     [0x000109dd, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x689cc6a9, 0x18a2f6cf, 0x689cc6a9, 0x18a2f6cf],
     [0x000109de, 0x00000000, 0x689cc6a9, 0x18a2f6cf, 0x689cc6a9,
      0x18a2f6cf, 0x689cc6a9, 0x18a2f6cf, 0x689cc6a9, 0x18a2f6cf],
     [0x000109df, 0x00000000, 0x689cc6a9, 0x18a2f6cf, 0x689cc6a9,
      0x18a2f6cf, 0x689cc6a9, 0x18a2f6cf, 0x689cc6a9, 0x18a2f6cf],
     [0x000109e0, 0x00000000, 0x689cc6a9, 0x18a2f6cf, 0x689cc6a9,
      0x18a2f6cf, 0x689cc6a9, 0x18a2f6cf, 0x689cc6a9, 0x18a2f6cf],
     [0x000109e1, 0x00000000, 0x689cc6a9, 0x18a2f6cf, 0x689cc6a9,
      0x18a2f6cf, 0x689cc6a9, 0x18a2f6cf, 0x689cc6a9, 0x18a2f6cf],
     [0x000109e2, 0x00000000, 0x689cc6a9, 0x18a2f6cf, 0x689cc6a9,
      0x18a2f6cf, 0x689cc6a9, 0x18a2f6cf, 0x689cc6a9, 0x18a2f6cf],
     [0x000109e3, 0x00000000, 0x689cc6a9, 0x18a2f6cf, 0x689cc6a9,
      0x18a2f6cf, 0x689cc6a9, 0x18a2f6cf, 0x689cc6a9, 0x18a2f6cf],
     [0x000109e4, 0x00000000, 0x689cc6a9, 0x18a2f6cf, 0x689cc6a9,
      0x18a2f6cf, 0x689cc6a9, 0x18a2f6cf, 0x689cc6a9, 0x18a2f6cf],
     [0x000109e5, 0x00000000, 0x88aa0662, 0x1bf2f6d0, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00004918, 0x00000000, 0x48b66729, 0x1f42f84e, 0x48b66729,
      0x1f42f84e, 0x48b66729, 0x1f42f84e, 0x48b66729, 0x1f42f84e],
     [0x000109e7, 0x00000000, 0x20ae067c, 0x1cfaf6d0, 0xa4ade61a,
      0x1d02f6d1, 0xa0ae261b, 0x1d02f6d1, 0x0ca26601, 0x1a12f6d2],
     [0x0000491a, 0x00000000, 0x48b66729, 0x1f42f84e, 0x48b66729,
      0x1f42f84e, 0x48b66729, 0x1f42f84e, 0x48b66729, 0x1f42f84e],
     [0x00005bb6, 0x00000000, 0x0cab06d3, 0x1f43078f, 0x68b2c725,
      0x1f42ff8f, 0x14b26717, 0x1f43044f, 0x00000000, 0x00000000],
     [0x0000491c, 0x00000000, 0x48b66729, 0x1f42f84e, 0x48b66729,
      0x1f42f84e, 0x48b66729, 0x1f42f84e, 0x2cb7272d, 0x1f42f6ce],
     [0x0000491d, 0x00000000, 0x50b80724, 0x1f42f48e, 0x50b82724,
      0x1f42f4ce, 0x50b82724, 0x1f42f4ce, 0x50b82724, 0x1f42f4ce],
     [0x0000491e, 0x00000000, 0x50b82724, 0x1f42f4ce, 0x50b82724,
      0x1f42f4ce, 0x50b82724, 0x1f42f4ce, 0x50b82724, 0x1f42f4ce],
     [0x0000491f, 0x00000000, 0x50b82724, 0x1f42f4ce, 0x50b82724,
      0x1f42f4ce, 0x50b82724, 0x1f42f4ce, 0x50b82724, 0x1f42f4ce],
     [0x00004920, 0x00000000, 0x50b82724, 0x1f42f4ce, 0x50b82724,
      0x1f42f4ce, 0x50b82724, 0x1f42f4ce, 0x50b82724, 0x1f42f4ce],
     [0x000109ef, 0x00000000, 0xf8ade606, 0x1cfaf6d1, 0xd0b2e650,
      0x1e52f6d0, 0x2cad0639, 0x1cb2f691, 0x00000000, 0x00000000],
     [0x00004922, 0x00000000, 0x5ca2a6dc, 0x1f431fce, 0x5ca566dc,
      0x1f431a4e, 0x5ca626dc, 0x1f4318ce, 0x5ca6c6e0, 0x1f43178e],
     [0x0001916e, 0x00000000, 0xa08aa67e, 0x13b2f34f, 0xa089e67e,
      0x13eaf50f, 0x786f65b7, 0x0e02f6cf, 0x7878c694, 0x0f82fdcf],
     [0x00004924, 0x00000000, 0x5ca686dc, 0x1f43180e, 0x5ca886dc,
      0x1f43140e, 0x5ca886dc, 0x1f43140e, 0x5ca886dc, 0x1f43140e],
     [0x00004925, 0x00000000, 0x5ca886dc, 0x1f43140e, 0x5ca886dc,
      0x1f43140e, 0x5ca886dc, 0x1f43140e, 0x5ca886dc, 0x1f43140e],
     [0x00004926, 0x00000000, 0x5ca886dc, 0x1f43140e, 0x5ca886dc,
      0x1f43140e, 0x5ca886dc, 0x1f43140e, 0x5cac26dc, 0x1f430cce],
     [0x00004927, 0x00000000, 0x50b80724, 0x1f42f48e, 0x50b80724,
      0x1f42f48e, 0x50b80724, 0x1f42f48e, 0x50b80724, 0x1f42f48e],
     [0x00004928, 0x00000000, 0x50b80724, 0x1f42f48e, 0x50b80724,
      0x1f42f48e, 0x50b80724, 0x1f42f48e, 0x50b80724, 0x1f42f48e],
     [0x0000552b, 0x00000000, 0x5cb8c705, 0x1f42fb8f, 0x3caa0702,
      0x1f42fd0f, 0x6cb7270c, 0x1f42fd0e, 0x48b7a71b, 0x1f42fe4f],
     [0x0000492a, 0x00000000, 0x50b80724, 0x1f42f48e, 0x50b80724,
      0x1f42f48e, 0x50b80724, 0x1f42f48e, 0x50b80724, 0x1f42f48e],
     [0x0000492b, 0x00000000, 0x50b80724, 0x1f42f48e, 0x50b80724,
      0x1f42f48e, 0x50b80724, 0x1f42f48e, 0x50b80724, 0x1f42f48e],
     [0x0000492c, 0x00000000, 0x50b80724, 0x1f42f48e, 0x50b80724,
      0x1f42f48e, 0x50b80724, 0x1f42f48e, 0x50b80724, 0x1f42f48e],
     [0x0000552d, 0x00000000, 0xa0b6c6ff, 0x1f43004f, 0x00000000,
      0x00000000, 0x78af26e9, 0x1f42ff0f, 0xd8b4e6da, 0x1f42f90f],
     [0x00005bc9, 0x00000000, 0x30b34709, 0x1f43058f, 0x7caf0706,
      0x1f43094f, 0x78ae8722, 0x1f43084e, 0x08b7c719, 0x1f42ff8f],
     [0x0000c07f, 0x00000000, 0xa0b56783, 0x1f42ef0f, 0x689546b1,
      0x1692f64f, 0x789b6783, 0x1852f6ce, 0x307a06b1, 0x0fa2f44e],
     [0x00005bcb, 0x00000000, 0x70b3e748, 0x1f430b4e, 0x28b30726,
      0x1f43044f, 0xecb3472d, 0x1f4304ce, 0xb4aa8707, 0x1f43098e],
     [0x00005bcc, 0x00000000, 0xc8a8e71a, 0x1f43068e, 0x38b546fb,
      0x1f42fccf, 0x54b76702, 0x1f43008f, 0x8caf073d, 0x1f43038e],
     [0x00005bcd, 0x00000000, 0x00000000, 0x00000000, 0x1cb4a6e1,
      0x1f4302d0, 0x94ada724, 0x1f43038f, 0xacb2670e, 0x1f4300ce],
     [0x00004933, 0x00000000, 0x48b66729, 0x1f42f84e, 0x48b66729,
      0x1f42f84e, 0x48b66729, 0x1f42f84e, 0x48b66729, 0x1f42f84e],
     [0x00004934, 0x00000000, 0x48b66729, 0x1f42f84e, 0x48b66729,
      0x1f42f84e, 0x48b66729, 0x1f42f84e, 0x48b66729, 0x1f42f84e],
     [0x00004935, 0x00000000, 0x48b66729, 0x1f42f84e, 0x48b66729,
      0x1f42f84e, 0x48b66729, 0x1f42f84e, 0x48b66729, 0x1f42f84e],
     [0x00004936, 0x00000000, 0x48b66729, 0x1f42f84e, 0x48b66729,
      0x1f42f84e, 0x48b66729, 0x1f42f84e, 0x48b66729, 0x1f42f84e],
     [0x00005532, 0x00000000, 0x0cb8a70b, 0x1f42fb8f, 0xa0b14741,
      0x1f42fd4e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00019183, 0x00000000, 0xa093467e, 0x123b008f, 0xa093667e,
      0x10bb008f, 0x689ce68c, 0x15bb064f, 0xa09c267e, 0x1493008f],
     [0x00005bd4, 0x00000000, 0x84ae26f9, 0x1f43060f, 0x74b6c730,
      0x1f43000f, 0x00b24731, 0x1f43048f, 0x70ae671d, 0x1f43024f],
     [0x00005bd5, 0x00000000, 0xc8ac072d, 0x1f430c4e, 0x74b26700,
      0x1f43040f, 0x00000000, 0x00000000, 0xacb2c717, 0x1f43018e],
     [0x00005bd6, 0x00000000, 0xa4b5c727, 0x1f43084e, 0x00000000,
      0x00000000, 0xccb16721, 0x1f43044e, 0xc0b606e0, 0x1f43048e],
     [0x00005bd7, 0x00000000, 0x1cb3470f, 0x1f43064f, 0x98b5a733,
      0x1f43008e, 0x58b666f3, 0x1f42fecf, 0x08ad670d, 0x1f43094f],
     [0x00005bd8, 0x00000000, 0x0cafe6f6, 0x1f430a8f, 0x10b6a6f6,
      0x1f43028f, 0x24b2672f, 0x1f43048f, 0x04ab46f1, 0x1f43048f],
     [0x00019189, 0x00000000, 0x787d65b7, 0x0e42fecf, 0x74898694,
      0x0f73000f, 0x787b65b7, 0x0de2ff4f, 0xa0804693, 0x0a83074f],
     [0x00005bda, 0x00000000, 0x00000000, 0x00000000, 0x70ae8707,
      0x1f43044f, 0x00ad2708, 0x1f4302cf, 0x8cb32710, 0x1f42fece],
     [0x00004940, 0x00000000, 0x48bb8574, 0x1f42ee15, 0xc4bb8594,
      0x1f42ee14, 0xb87f2757, 0x1f4366cd, 0xb8834757, 0x1f435ecd],
     [0x00004941, 0x00000000, 0x48b4c573, 0x1f42fb95, 0xc4b4c594,
      0x1f42fb94, 0x947f2721, 0x1f43670e, 0x94834721, 0x1f435ece],
     [0x00005bdd, 0x00000000, 0x50b2070e, 0x1f4304cf, 0x00000000,
      0x00000000, 0x78b0a6e9, 0x1f43064f, 0x6cade726, 0x1f43038e],
     [0x0001918e, 0x00000000, 0x68a0e5ad, 0x15f3110f, 0xa08285ad,
      0x0f12f58f, 0x408525ad, 0x0f22e94c, 0xa07f25ad, 0x0dfaf44f],
     [0x0001918f, 0x00000000, 0xa091a69a, 0x1592f44f, 0xa094e68c,
      0x13e3020f, 0x54a2269b, 0x169b0bcf, 0xa09f068c, 0x162b020f],
     [0x00005539, 0x00000000, 0xecb56701, 0x1f42fc0e, 0xb0b7c72d,
      0x1f42fe8e, 0xacb2a72d, 0x1f42fd0e, 0xc0b40712, 0x1f43010e],
     [0x00019191, 0x00000000, 0xa081468c, 0x0dc301cf, 0x2086468c,
      0x0f0af1ce, 0xa0a4868c, 0x1643020f, 0xa08b068c, 0x12db020f],
     [0x00019192, 0x00000000, 0xa0bba68c, 0x1c8b020f, 0x58a4068c,
      0x16a3020f, 0x58a7869c, 0x1853088f, 0xa095668c, 0x122b020f],
     [0x00019193, 0x00000000, 0xe0a7669b, 0x185b084c, 0xa095c68c,
      0x14f3020f, 0x548e269b, 0x1152fe8f, 0xa0a0a68c, 0x140b154f],
     [0x00004949, 0x00000000, 0xb87f2757, 0x1f42ee0d, 0xb87f2757,
      0x1f42ee0d, 0xb8834757, 0x1f42ee0d, 0xb8834757, 0x1f42ee0d],
     [0x0000488a, 0x00000000, 0xc8ada68e, 0x1f431010, 0x80a0e6f2,
      0x1f432310, 0x50a186ed, 0x1f4323d0, 0x348cc74a, 0x1f43464e],
     [0x0000494b, 0x00000000, 0xb8bb8574, 0x1f42ee0d, 0xb8bb8594,
      0x1f42ee0d, 0xb8bb8594, 0x1f42ee0d, 0xb8bb8594, 0x1f42ee0d],
     [0x0000494c, 0x00000000, 0xb8bb8573, 0x1f42ee0d, 0xb8bb8594,
      0x1f42ee0d, 0xb8bb8594, 0x1f42ee0d, 0xb8bb8594, 0x1f42ee0d],
     [0x0000553d, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x40b4671e, 0x1f43000e],
     [0x0000494e, 0x00000000, 0x48bb8757, 0x1f42ee15, 0xc4bb8757,
      0x1f42ee14, 0xc4bb8757, 0x1f42ee14, 0xc4bb8757, 0x1f42ee14],
     [0x00005bea, 0x00000000, 0x74b1c6ea, 0x1f43070f, 0x14b0e71b,
      0x1f43088f, 0xf8b48705, 0x1f4302ce, 0x04ae0715, 0x1f43070f],
     [0x00005beb, 0x00000000, 0x9cb2271e, 0x1f43038e, 0xe8b3c70b,
      0x1f43030e, 0x84b56727, 0x1f42fe8e, 0xbcb0e712, 0x1f42ff8e],
     [0x00004951, 0x00000000, 0xb8bb8757, 0x1f42ee0d, 0xb8bb8757,
      0x1f42ee0d, 0xb8bb8757, 0x1f42ee0d, 0xb8bb8757, 0x1f42ee0d],
     [0x00004952, 0x00000000, 0xb8bb8757, 0x1f42ee0d, 0xb8bb8757,
      0x1f42ee0d, 0xb8bb8757, 0x1f42ee0d, 0xb8bb8757, 0x1f42ee0d],
     [0x0001919e, 0x00000000, 0xa075467e, 0x106b030f, 0x747a067e,
      0x106b034f, 0xa07c467e, 0x106af58f, 0xa07b667e, 0x106af74f],
     [0x00004894, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x48a946d0, 0x1f431110, 0x00000000, 0x00000000],
     [0x00004955, 0x00000000, 0xc8bb259e, 0x1f435c4d, 0xc87f059e,
      0x1f42ee0d, 0xc8846572, 0x1f42ee0d, 0xc884659e, 0x1f42ee0d],
     [0x00004956, 0x00000000, 0xa0bb2757, 0x1f436754, 0x4cbb2757,
      0x1f435c55, 0xa0bb2757, 0x1f435c54, 0xa07f0757, 0x1f42ee14],
     [0x000191a2, 0x00000000, 0xa07de67e, 0x106af1cf, 0xa07a667e,
      0x106af9cf, 0x887f05b3, 0x106afc8f, 0x887aa649, 0x106af24f],
     [0x000191a3, 0x00000000, 0x887885b3, 0x106b018f, 0x887da649,
      0x106af84f, 0x887845b3, 0x106afd0f, 0xa075264f, 0x106af88f],
     [0x000191a4, 0x00000000, 0x107e05b5, 0x106af54c, 0xa07da649,
      0x106af24f, 0xa076864a, 0x106b030f, 0x146bc64a, 0x106af9cc],
     [0x0000495a, 0x00000000, 0x4cbb2757, 0x1f42ee15, 0xa0bb2757,
      0x1f42ee14, 0xc8bb2757, 0x1f42ee0d, 0xc8bb2757, 0x1f42ee0d],
     [0x0000495b, 0x00000000, 0xc8bb2757, 0x1f42ee0d, 0xb8bb8574,
      0x1f4366cd, 0xb87f2574, 0x1f42ee0d, 0x487f2757, 0x1f42ee15],
     [0x000191a7, 0x00000000, 0x8877a5b3, 0x106b000f, 0x8876862c,
      0x106af44f, 0x887da5aa, 0x106af24f, 0x907d05aa, 0x106af38f],
     [0x000191a8, 0x00000000, 0x907e05aa, 0x106af1cf, 0xa07cc5aa,
      0x106af3cf, 0x147d25aa, 0x106af40c, 0xa079a5aa, 0x106af60f],
     [0x000191a9, 0x00000000, 0x745be5a1, 0x08b2f9cf, 0x645d45a1,
      0x08b2cf0c, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000191aa, 0x00000000, 0xa094a69a, 0x16faf04f, 0xa08be68c,
      0x14daf20f, 0xa088a68c, 0x1362f20f, 0xa090869a, 0x159af20f],
     [0x00004960, 0x00000000, 0x00000000, 0x00000000, 0xc8bb23f0,
      0x1f42ee0d, 0xc8bb2469, 0x1f42ee0d, 0xc8bb24e6, 0x1f42ee0d],
     [0x000191ac, 0x00000000, 0xa06cc68c, 0x0d2af30f, 0xa09ea68c,
      0x19a2f58f, 0xa092c69a, 0x161af04f, 0xa0b1a68c, 0x1e62f18f],
     [0x00005bfd, 0x00000000, 0x9cb46717, 0x1f42ffce, 0x00000000,
      0x00000000, 0xd4ae06d6, 0x1f4308ce, 0xb8abe710, 0x1f430d8e],
     [0x00004963, 0x00000000, 0xc87d0757, 0x1f42ee0d, 0xc86d6757,
      0x1f42ee0d, 0xc85dc757, 0x1f42ee0d, 0xc84e2757, 0x1f42ee0d],
     [0x000191af, 0x00000000, 0xa095e69c, 0x1692eecf, 0xa0a4c68c,
      0x1a22f28f, 0xa095e68c, 0x175af20f, 0xa0a0a69c, 0x1902eecf],
     [0x000191b0, 0x00000000, 0xa098e69c, 0x1852f6cf, 0x6890868c,
      0x159af20f, 0x688bc5c1, 0x1422f44f, 0x6c80069c, 0x1162f94c],
     [0x00005c01, 0x00000000, 0x7caf4715, 0x1f43058e, 0x94ace721,
      0x1f42ff8f, 0x40acc749, 0x1f430a4e, 0x60ade72d, 0x1f43000e],
     [0x0000554a, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x4cb64707, 0x1f42fe8e, 0x00000000, 0x00000000],
     [0x00005c03, 0x00000000, 0xfcafc71b, 0x1f43038e, 0x3cad6715,
      0x1f43030f, 0xd4b12731, 0x1f43054e, 0x18a9c710, 0x1f4304cf],
     [0x00005c04, 0x00000000, 0x00000000, 0x00000000, 0xbcb6e725,
      0x1f4305ce, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005c05, 0x00000000, 0xf8b746ff, 0x1f42ff4e, 0x94b24702,
      0x1f4302cf, 0x5cae86ee, 0x1f43068e, 0xecb3a71d, 0x1f43068e],
     [0x00005c06, 0x00000000, 0x1cb22734, 0x1f4305cf, 0xbcb646fa,
      0x1f43030f, 0xf8b6a716, 0x1f42f90e, 0xecb6e731, 0x1f4302ce],
     [0x0000496c, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x48b126c9, 0x1f4302d0, 0x48b126c9, 0x1f4302d0],
     [0x000191b8, 0x00000000, 0x6c7b45c1, 0x0ffaf44c, 0x68a8e5b5,
      0x1b02f04f, 0xa0942683, 0x166af6cf, 0xa0944675, 0x15c2f78f],
     [0x000191b9, 0x00000000, 0xa098a675, 0x1342f78f, 0xa0840683,
      0x12a2f58f, 0xa09a4675, 0x1652f78f, 0xa0a2c675, 0x1822fd0f],
     [0x0000496f, 0x00000000, 0x48b106c9, 0x1f4302d0, 0xecb1069e,
      0x1f43044f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000191bb, 0x00000000, 0xa0944683, 0x1672f6cf, 0xa0c26675,
      0x1f6af78f, 0xa0af2675, 0x1a9af78f, 0xa09b2675, 0x1612fb0f],
     [0x0000554f, 0x00000000, 0xe8b2e70c, 0x1f43010e, 0x00000000,
      0x00000000, 0xdcb4c726, 0x1f42fe0f, 0x90b22702, 0x1f4302cf],
     [0x000191bd, 0x00000000, 0xa09d8675, 0x16fafc8f, 0xa0924675,
      0x1132f44f, 0xa09b6684, 0x132af50f, 0xa09be675, 0x1822f44f],
     [0x00004973, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x88b52724, 0x1f42face, 0x7cb4e720, 0x1f42fa8e],
     [0x00004974, 0x00000000, 0x64b1c6e6, 0x1f43018e, 0x64b1c6e6,
      0x1f43018e, 0x64b1c6e6, 0x1f43018e, 0x64b1c6e6, 0x1f43018e],
     [0x00005551, 0x00000000, 0x10b6a702, 0x1f42ff0f, 0x4cafe72a,
      0x1f430b0e, 0x58b00737, 0x1f430b0e, 0x00000000, 0x00000000],
     [0x000191c1, 0x00000000, 0x745ae5a1, 0x085afa8f, 0xa08325a1,
      0x10b2fa8f, 0x607e6684, 0x10eafa8f, 0xc4832594, 0x121af58c],
     [0x000191c2, 0x00000000, 0x7c7845a6, 0x0e22fa8f, 0xc475e684,
      0x0d8af44c, 0x747545a1, 0x0e52f80f, 0x6c858594, 0x1172f6cf],
     [0x000191c3, 0x00000000, 0xc47985a1, 0x0fb2f58c, 0xc47885d2,
      0x0dbaf6cc, 0x7482e594, 0x10caf80f, 0x8c798594, 0x0dd2f58f],
     [0x00004979, 0x00000000, 0xc8bb2757, 0x1f42ee0d, 0xc8bb2757,
      0x1f42ee0d, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000191c5, 0x00000000, 0x749125a1, 0x154af30f, 0x74796684,
      0x0ebaf80f, 0x747445a1, 0x0d72f80f, 0x787de68e, 0x1152f30f],
     [0x000191c6, 0x00000000, 0x6c87e5a1, 0x118af10f, 0xc48c0684,
      0x142af80c, 0xb47ba5a1, 0x0feaf80c, 0x74aac594, 0x1ac2f58f],
     [0x000191c7, 0x00000000, 0xa0990695, 0x17baf7cf, 0xa097e685,
      0x16b2f88f, 0xa09c2685, 0x13d2f88f, 0xa0882695, 0x13c2f60f],
     [0x00005c18, 0x00000000, 0x20aee71d, 0x1f43078f, 0x8cafe73c,
      0x1f43094e, 0x80b46743, 0x1f43068e, 0xa0ac8734, 0x1f43048e],
     [0x00005c19, 0x00000000, 0x7cb68724, 0x1f43048e, 0xa0b54745,
      0x1f43030e, 0x14ad46ed, 0x1f42fdcf, 0x00000000, 0x00000000],
     [0x000191ca, 0x00000000, 0xa0b20685, 0x1b2af88f, 0xa09d2685,
      0x1672fc4f, 0x609ce695, 0x184afbcf, 0xa0b44685, 0x1bbaf7cf],
     [0x00004980, 0x00000000, 0x74b34714, 0x1f42fe8e, 0xecb1268c,
      0x1f4302cf, 0x1cb12739, 0x1f4302ce, 0xb4b5e702, 0x1f42f94e],
     [0x00004981, 0x00000000, 0x00000000, 0x00000000, 0xe0b1470e,
      0x1f43040f, 0x10b1a6d9, 0x1f43048f, 0x00000000, 0x00000000],
     [0x00004982, 0x00000000, 0x00000000, 0x00000000, 0xd8aaa6d1,
      0x1f430f8f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00004983, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xd8a8064a, 0x1f431510, 0x00000000, 0x00000000],
     [0x000191cf, 0x00000000, 0x6c7e65b6, 0x102af64c, 0x7483e696,
      0x11b2f90f, 0x7c60c5b6, 0x09f2fbcf, 0xa086a5b6, 0x1182fbcf],
     [0x000191d0, 0x00000000, 0x6081a695, 0x11d2fbcf, 0x6c89e5aa,
      0x13e2f64c, 0x788145b3, 0x105afbcf, 0x747b6695, 0x0ee2f50c],
     [0x00005c21, 0x00000000, 0xd8b066e0, 0x1f43018f, 0x68ade708,
      0x1f43160f, 0xa8b486e3, 0x1f43008f, 0x00000000, 0x00000000],
     [0x00004987, 0x00000000, 0xd4b2061f, 0x1f430110, 0x00000000,
      0x00000000, 0xb4b20617, 0x1f430110, 0x00000000, 0x00000000],
     [0x000191d3, 0x00000000, 0x709305b6, 0x136af64c, 0x6c9d05b6,
      0x15eaf64c, 0x7891a5b6, 0x157af38f, 0x78846696, 0x117af90f],
     [0x0000555b, 0x00000000, 0xe4b00715, 0x1f43074e, 0x80b1270b,
      0x1f42fc8f, 0x88b0670e, 0x1f42ff0f, 0x00000000, 0x00000000],
     [0x000191d5, 0x00000000, 0x6c84e5b6, 0x124af90c, 0x78ac65aa,
      0x1b22f64f, 0xa091a69a, 0x1592f44f, 0xa088c68c, 0x13e3020f],
     [0x0000498b, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xb4b48720, 0x1f42fc0e],
     [0x0000498c, 0x00000000, 0x64b826f6, 0x1f42f4ce, 0x64b826f6,
      0x1f42f4ce, 0x64b826f6, 0x1f42f4ce, 0x64b826f6, 0x1f42f4ce],
     [0x0000498d, 0x00000000, 0x64b826f6, 0x1f42f4ce, 0x64b826f6,
      0x1f42f4ce, 0x64b826f6, 0x1f42f4ce, 0x64b826f6, 0x1f42f4ce],
     [0x000191d9, 0x00000000, 0x589b669c, 0x1852f6cf, 0xa08de68c,
      0x165b020f, 0xa085a68c, 0x122b020f, 0x549b669b, 0x1852f6cf],
     [0x0000555e, 0x00000000, 0xdcad071c, 0x1f43020e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xacb06738, 0x1f430f0e],
     [0x00004990, 0x00000000, 0x84a3c726, 0x1f431d0e, 0xd8aaa6d1,
      0x1f430f8f, 0x7c9da72d, 0x1f43294e, 0x00000000, 0x00000000],
     [0x0000555f, 0x00000000, 0x4cb58731, 0x1f4305ce, 0x5cb58733,
      0x1f42fe0e, 0xc4b7a6ff, 0x1f42f90f, 0x9cb36729, 0x1f4300ce],
     [0x000191dd, 0x00000000, 0x6874c5c1, 0x0e1af44f, 0x6c7b869c,
      0x0fa2f50c, 0x6c79c5c1, 0x0ff2f6cc, 0x687a269c, 0x0fa2f3cf],
     [0x00005560, 0x00000000, 0xa8b8270f, 0x1f42fd0e, 0x68b146f7,
      0x1f4303cf, 0x20b606fa, 0x1f42fd0f, 0xd8ade71a, 0x1f42fece],
     [0x000191df, 0x00000000, 0x687985c1, 0x0f62fbcf, 0x6c7ba69c,
      0x0faaf50c, 0x687a05c1, 0x0faaf44f, 0x688605b5, 0x1292f08f],
     [0x000191e0, 0x00000000, 0x6c7b45c1, 0x0ffaf78c, 0x6c7b45c1,
      0x0f92f48c, 0x688385b5, 0x1042f44f, 0x687985b5, 0x0efaef8f],
     [0x000191e1, 0x00000000, 0x687ba5c1, 0x1012f6cf, 0x6c8aa5c1,
      0x13d2f44c, 0x6c83a5c1, 0x11eaf04c, 0x6c95e5c1, 0x1542f44c],
     [0x000191e2, 0x00000000, 0x6894a5b5, 0x1722f88f, 0x687a069b,
      0x0faaf44f, 0x687585c1, 0x0e72f44f, 0x687fc69c, 0x10c2f6cf],
     [0x00004998, 0x00000000, 0xa0a426a8, 0x1f431ccf, 0x20abe688,
      0x1f430d4f, 0xe4a426c7, 0x1f431cce, 0x60a80698, 0x1f43150f],
     [0x00004999, 0x00000000, 0x60a626b7, 0x1f4318cf, 0x20aa0679,
      0x1f43110f, 0x20a226b7, 0x1f4320cf, 0x60aa06a8, 0x1f43110f],
     [0x0000499a, 0x00000000, 0x30aa66d0, 0x1f431050, 0xbc8f66ff,
      0x1f43464e, 0xdca146ff, 0x1f43228e, 0x64ab86c7, 0x1f430dce],
     [0x0000499b, 0x00000000, 0xbca906ff, 0x1f43130e, 0x7096a702,
      0x1f4337ce, 0x988ac64a, 0x1f434f90, 0x409fc70c, 0x1f43258e],
     [0x000191e7, 0x00000000, 0x58a1868c, 0x1742fd0f, 0xa09aa68c,
      0x1592f9cf, 0x58a5869c, 0x1a8b048f, 0xa0a0668c, 0x174afd0f],
     [0x000191e8, 0x00000000, 0xa092e68c, 0x122afd0f, 0x54a5469b,
      0x1a7b048f, 0xa09c068c, 0x15c2f34f, 0xa097e68c, 0x140b03cf],
     [0x000191e9, 0x00000000, 0xa0a2669b, 0x14fb04cf, 0xa0a6e68c,
      0x1a1b000f, 0xa0a6a68c, 0x1722f30f, 0xa0af269b, 0x18bb0d4f],
     [0x000191ea, 0x00000000, 0xa0a4869b, 0x1982f9cf, 0x289d8680,
      0x18630c0f, 0x689665c1, 0x1532f9cf, 0x6c87269c, 0x1142eb0c],
     [0x000191eb, 0x00000000, 0x7085e5c1, 0x106b030c, 0x6882e69c,
      0x0fdaf58f, 0x687e05c1, 0x0fc2f94f, 0x6c81e69c, 0x0f02fa4c],
     [0x000191ec, 0x00000000, 0x6c8025c1, 0x10a2f78c, 0x6883a69c,
      0x1182fe4f, 0x686445b6, 0x0a2afc0f, 0xa08745c1, 0x10caf78f],
     [0x000049a2, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xc4b8259e, 0x1f42f4d3, 0xc4b8259e, 0x1f42f4d3],
     [0x000049a3, 0x00000000, 0x14b8264a, 0x1f42f4d1, 0x14b8264a,
      0x1f42f4d1, 0x14b8264a, 0x1f42f4d1, 0x14b8264a, 0x1f42f4d1],
     [0x000191ef, 0x00000000, 0x688e65b6, 0x1332f94f, 0x6882e5b6,
      0x105af88f, 0x688045c1, 0x1132fd4f, 0x6c90e5c1, 0x155afbcc],
     [0x0000c0ba, 0x00000000, 0xa06c868c, 0x0caaf80f, 0xa06c868c,
      0x0caaf80f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000191f1, 0x00000000, 0x687945c1, 0x0ea2f94f, 0x6886e69c,
      0x121afb8f, 0x7891a5c1, 0x1432eb8f, 0x6c90469c, 0x1532fa0c],
     [0x0000c0bb, 0x00000000, 0x0465242e, 0x09d2ef4d, 0xe06f46b8,
      0x0c5aef57, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000191f3, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x6c7a0698, 0x0fa2f40f, 0xa075a698, 0x0fa2fe4f],
     [0x000191f4, 0x00000000, 0xa07a4698, 0x0fa2f24f, 0x68790698,
      0x0fa2f20f, 0xa07a0698, 0x0fa2f2cf, 0x8079468c, 0x0fa2f38f],
     [0x000191f5, 0x00000000, 0x6c79e698, 0x0fa2f50f, 0xa07a268c,
      0x0fa2f24f, 0x6c798698, 0x0fa2f50f, 0x6c79a698, 0x0fa2f48f],
     [0x000191f6, 0x00000000, 0x687e868c, 0x10e2f50f, 0xa06ae69d,
      0x10e304cf, 0xa07ec68c, 0x111afa0f, 0x687a468c, 0x10e2fa4f],
     [0x000191f7, 0x00000000, 0xa080068c, 0x10e2f30f, 0x687ba67e,
      0x10e2f6cf, 0x687e868c, 0x10e2f50f, 0xa07e667e, 0x10e2f40f],
     [0x000191f8, 0x00000000, 0x687e868c, 0x10e2f50f, 0x707e868c,
      0x10e2f50f, 0x687a268c, 0x0fa2f3cf, 0xa064468d, 0x0fa3090f],
     [0x00014918, 0x00000000, 0x5495669a, 0x15baee0f, 0x5495669a,
      0x15baee0f, 0x5495669a, 0x15baee0f, 0x5495669a, 0x15baee0f],
     [0x0000556e, 0x00000000, 0x00000000, 0x00000000, 0x7cb8a719,
      0x1f43000f, 0x00000000, 0x00000000, 0xc0b80733, 0x1f4303ce],
     [0x0000ca6d, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x98a44662, 0x1b02fa8d, 0x98a44662, 0x1b02fa8d],
     [0x000191fc, 0x00000000, 0xa07b0698, 0x0fa2f2cf, 0x6c7ae68c,
      0x0fa2f14f, 0x6c79e698, 0x0fa2f48f, 0xa079668c, 0x0fa2f6cf],
     [0x000191fd, 0x00000000, 0x6c798698, 0x0fa2f50f, 0x6c79e698,
      0x0fa2f48f, 0x7478e691, 0x106afbcf, 0xa074e691, 0x106b098f],
     [0x000191fe, 0x00000000, 0xa0794691, 0x106afb0f, 0x747a6691,
      0x106af8cf, 0xa07c2692, 0x106af54f, 0x74794686, 0x106afb0f],
     [0x00005c4f, 0x00000000, 0x2cb64708, 0x1f42f84f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00000772, 0x00000000, 0x147ba64b, 0x106af6d7, 0x147ba64b,
      0x106af6d7, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005c51, 0x00000000, 0x34b0c6f5, 0x1f42fe4f, 0x04b1e6fb,
      0x1f42fe90, 0x88b806db, 0x1f42f5cf, 0xb8b006eb, 0x1f42fd8e],
     [0x00005c52, 0x00000000, 0x00000000, 0x00000000, 0x8cb82735,
      0x1f42fb4e, 0xd8b04707, 0x1f43030f, 0xe8b0c6e3, 0x1f42fd8f],
     [0x00005c53, 0x00000000, 0xacb5a70f, 0x1f42ff4f, 0x78b7a6d7,
      0x1f43004f, 0xccae673c, 0x1f430a8e, 0x00000000, 0x00000000],
     [0x0000c0c4, 0x00000000, 0xe0324724, 0x000289d7, 0xe032469b,
      0x000289d7, 0xf02ac74b, 0x00029897, 0xf02ac74b, 0x00029897],
     [0x00004bc6, 0x00000000, 0x7ca5e72e, 0x1f434f0e, 0x0894a6ae,
      0x1f43468f, 0x44a8a6e0, 0x1f42fc8f, 0xf4a6068f, 0x1f4314d0],
     [0x00005574, 0x00000000, 0xc0af4716, 0x1f42fd0e, 0x70b5a722,
      0x1f42fe0f, 0x18b82727, 0x1f43010f, 0x4cb4e704, 0x1f42fd0e],
     [0x00004bc7, 0x00000000, 0x10b826cc, 0x1f430390, 0xf8a7066c,
      0x1f4323d1, 0x58a8e6ed, 0x1f43188f, 0x6cb366e9, 0x1f430a50],
     [0x00005c58, 0x00000000, 0xacb146eb, 0x1f43008e, 0x14b52702,
      0x1f42fd4f, 0x24aca701, 0x1f430dcf, 0x08b326e3, 0x1f42fd8f],
     [0x00004bc8, 0x00000000, 0x24b46700, 0x1f4302d0, 0xa4afe726,
      0x1f431094, 0xd0adc6f7, 0x1f43098f, 0x0ca1c71f, 0x1f43138f],
     [0x00005576, 0x00000000, 0x00000000, 0x00000000, 0xacb3871b,
      0x1f43010e, 0x6cb1c724, 0x1f4305ce, 0xccb64735, 0x1f42fe8e],
     [0x00005c5b, 0x00000000, 0xccb20713, 0x1f42fc8e, 0x00000000,
      0x00000000, 0xb0b0873d, 0x1f43048e, 0x00000000, 0x00000000],
     [0x0000c0c8, 0x00000000, 0x682c835c, 0x0002950c, 0x243bc433,
      0x0002b1cb, 0x244e2433, 0x0002d68b, 0xe827637b, 0x00029f8b],
     [0x0000a9c9, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xfc73e693, 0x0f0af04b],
     [0x0000c0c9, 0x00000000, 0xe834837b, 0x0002854b, 0x442ca3a6,
      0x0002950b, 0x042ac390, 0x00029889, 0x382d63e8, 0x0002934c],
     [0x00004bcb, 0x00000000, 0x88a2c709, 0x1f4317ce, 0x0cac66d7,
      0x1f431590, 0x24a706d8, 0x1f431550, 0x58b4c6a1, 0x1f430211],
     [0x000049c5, 0x00000000, 0x68ac669a, 0x1f430c4f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x90a0066d, 0x1f43250e],
     [0x00004bcc, 0x00000000, 0x40ada6e8, 0x1f431e90, 0x5ca2c72c,
      0x1f43254e, 0xe8b34709, 0x1f43084e, 0xaca2a6df, 0x1f43244f],
     [0x0000c0cb, 0x00000000, 0x94346395, 0x0002858b, 0x8c346393,
      0x0002858b, 0xdc32439a, 0x000289cb, 0xdc32439a, 0x000289cb],
     [0x00004bcd, 0x00000000, 0x54a1a704, 0x1f43070f, 0xecb2e6a0,
      0x1f42facf, 0x24b366fa, 0x1f43004f, 0x9cac66f6, 0x1f430b0e],
     [0x0000557b, 0x00000000, 0xecb26722, 0x1f42fc0e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x9cb466ff, 0x1f42fd0f],
     [0x00004bce, 0x00000000, 0xdca0a70e, 0x1f432d4e, 0xe0a4c677,
      0x1f432750, 0xf897a704, 0x1f432cce, 0x7c8e672b, 0x1f43254e],
     [0x0000557c, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x98ba0711, 0x1f43010e, 0x14b2e723, 0x1f42fb0f],
     [0x00004bcf, 0x00000000, 0x88b1666c, 0x1f430711, 0xacad66fb,
      0x1f43178e, 0x00a926e7, 0x1f4312cf, 0x88b10727, 0x1f43068e],
     [0x0000c0ce, 0x00000000, 0x3042667e, 0x0002878d, 0xbc26c3c7,
      0x0002904a, 0xcc32e3a1, 0x000283cb, 0x8029a3a2, 0x000295cb],
     [0x00004bd0, 0x00000000, 0x34b5e731, 0x1f43124f, 0x94b3a70d,
      0x1f430f4f, 0xc8b1c71a, 0x1f430f4f, 0x5cb30730, 0x1f43000e],
     [0x0000c0cf, 0x00000000, 0xf830e38f, 0x0002878b, 0xc02bc6b7,
      0x00029697, 0xb0272759, 0x00029f97, 0xf03e8792, 0x0002711b],
     [0x1fb17ec0, 0x00000000, 0x6c9946a2, 0x132ac3cc, 0x6c7ec6a7,
      0x1162bf0c, 0x6c83a6a8, 0x1162bf8c, 0x6ca446a7, 0x1ac2c3cc],
     [0x00017ec1, 0x00000000, 0x6ca8e6a8, 0x1ab2c3cc, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00004bd2, 0x00000000, 0x24a606a0, 0x1f431a11, 0x48990715,
      0x1f430b4f, 0xecb84723, 0x1f43044e, 0x70ac4709, 0x1f43138f],
     [0x0000c0d1, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x203126b5, 0x00028798, 0x9867c35f, 0x0002ee0a],
     [0x00004bd3, 0x00000000, 0x30b546e2, 0x1f4301d0, 0x0caa26ee,
      0x1f43178f, 0x34af271d, 0x1f4317cf, 0x10b5c6e6, 0x1f42fccf],
     [0x000049d5, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa8b54718, 0x1f42fa8e, 0x00000000, 0x00000000],
     [0x00004bd4, 0x00000000, 0x7cb5e6f2, 0x1f431510, 0xf0b7c711,
      0x1f43008f, 0x9cb2a717, 0x1f430e0e, 0x1cb4871b, 0x1f430a8f],
     [0x00005c72, 0x00000000, 0x9cb78718, 0x1f42f88f, 0x1cb52712,
      0x1f42f78f, 0xacafa717, 0x1f430e8e, 0x58b206f6, 0x1f42fa8f],
     [0x00005c73, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x78b7c732, 0x1f42fc8e, 0xc8aba6fa, 0x1f42fe8e],
     [0x00004919, 0x00000000, 0x48b66729, 0x1f42f84e, 0x48b66729,
      0x1f42f84e, 0x48b66729, 0x1f42f84e, 0x48b66729, 0x1f42f84e],
     [0x0001492e, 0x00000000, 0x5495669a, 0x15baee0f, 0x5495669a,
      0x15baee0f, 0x5495669a, 0x15baee0f, 0x5495669a, 0x15baee0f],
     [0x0000491b, 0x00000000, 0x48b66729, 0x1f42f84e, 0x48b66729,
      0x1f42f84e, 0x48b66729, 0x1f42f84e, 0x48b66729, 0x1f42f84e],
     [0x0001492f, 0x00000000, 0x5495669a, 0x15baee0f, 0x5495669a,
      0x15baee0f, 0x5495669a, 0x15baee0f, 0x5495669a, 0x15baee0f],
     [0x000049dd, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xe8b5c705, 0x1f42f98d, 0xe8b5c705, 0x1f42f98d],
     [0x0000ca84, 0x00000000, 0xa09a2720, 0x128af60a, 0xa09a2720,
      0x128af60a, 0xa09a2720, 0x132af60a, 0xa09a2720, 0x128af60a],
     [0x000049df, 0x00000000, 0xe8b5c705, 0x1f42f98d, 0xe8b5c705,
      0x1f42f98d, 0xe8b5c705, 0x1f42f98d, 0xe8b5c705, 0x1f42f98d],
     [0x0000ca85, 0x00000000, 0xa09a6720, 0x151af60a, 0xa09a2720,
      0x128af60a, 0xa09a2720, 0x137af60a, 0xa0ab6720, 0x18baf60a],
     [0x00004921, 0x00000000, 0x50b82724, 0x1f42f4ce, 0x50b82724,
      0x1f42f4ce, 0x50b82724, 0x1f42f4ce, 0x50b82724, 0x1f42f4ce],
     [0x0000ca86, 0x00000000, 0xa09a2720, 0x13caf60a, 0xa09a2720,
      0x146af60a, 0xa09a2720, 0x146af60a, 0xa09aa7a7, 0x116af60a],
     [0x00004923, 0x00000000, 0x5ca4e6dc, 0x1f431b4e, 0x5ca5e6dc,
      0x1f43194e, 0x5ca4e6dc, 0x1f431b4e, 0x5ca666dc, 0x1f43184e],
     [0x0000ca87, 0x00000000, 0x849aa720, 0x116af608, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000049e5, 0x00000000, 0x80af6654, 0x1f430650, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005c81, 0x00000000, 0x00000000, 0x00000000, 0x78b026ef,
      0x1f42ff8f, 0x94b6c71c, 0x1f42f98e, 0xccb32730, 0x1f4305ce],
     [0x0000558a, 0x00000000, 0x00000000, 0x00000000, 0x5cb5a741,
      0x1f43044e, 0x0caa46ea, 0x1f43024f, 0x00000000, 0x00000000],
     [0x000049e8, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xd4b12639, 0x1f4302d0, 0xe8b2664b, 0x1f430050],
     [0x00004929, 0x00000000, 0x50b80724, 0x1f42f48e, 0x50b80724,
      0x1f42f48e, 0x50b80724, 0x1f42f48e, 0x50b80724, 0x1f42f48e],
     [0x00014936, 0x00000000, 0x5495669a, 0x15baee0f, 0x5495669a,
      0x15baee0f, 0x5495669a, 0x15baee0f, 0x5495669a, 0x15baee0f],
     [0x0000558c, 0x00000000, 0x88aea723, 0x1f42face, 0x14aba6e9,
      0x1f43024f, 0xd8af2729, 0x1f42fb0e, 0xbcb26715, 0x1f43024e],
     [0x00004bdf, 0x00000000, 0x78b22735, 0x1f42fd8f, 0xecad66cc,
      0x1f430e8f, 0x6cb44727, 0x1f43084e, 0x5cb36718, 0x1f42fe8e],
     [0x0000492d, 0x00000000, 0x50b80724, 0x1f42f48e, 0x50b80724,
      0x1f42f48e, 0x48b66729, 0x1f42f84e, 0x48b66729, 0x1f42f84e],
     [0x0000492e, 0x00000000, 0x48b66729, 0x1f42f84e, 0x48b66729,
      0x1f42f84e, 0x48b66729, 0x1f42f84e, 0x48b66729, 0x1f42f84e],
     [0x0000492f, 0x00000000, 0x48b66729, 0x1f42f84e, 0x48b66729,
      0x1f42f84e, 0x48b66729, 0x1f42f84e, 0x48b66729, 0x1f42f84e],
     [0x00004930, 0x00000000, 0x48b66729, 0x1f42f84e, 0x48b66729,
      0x1f42f84e, 0x48b66729, 0x1f42f84e, 0x48b66729, 0x1f42f84e],
     [0x00004931, 0x00000000, 0x48b66729, 0x1f42f84e, 0x48b66729,
      0x1f42f84e, 0x48b66729, 0x1f42f84e, 0x48b66729, 0x1f42f84e],
     [0x00004932, 0x00000000, 0x48b66729, 0x1f42f84e, 0x48b66729,
      0x1f42f84e, 0x48b66729, 0x1f42f84e, 0x48b66729, 0x1f42f84e],
     [0x00005590, 0x00000000, 0x48b0e6ef, 0x1f43024f, 0x60b22702,
      0x1f43000f, 0x80b2e748, 0x1f4302ce, 0x00000000, 0x00000000],
     [0x00005c8f, 0x00000000, 0x04b4e6f0, 0x1f42fb50, 0x14b6071f,
      0x1f430a8f, 0x3cad0706, 0x1f43110e, 0x8c982723, 0x1f431b4e],
     [0x00005591, 0x00000000, 0x00000000, 0x00000000, 0x70af272e,
      0x1f4301ce, 0x00b3e6fe, 0x1f42fd0f, 0x00000000, 0x00000000],
     [0x00005c91, 0x00000000, 0x0cb72714, 0x1f42facf, 0x00000000,
      0x00000000, 0xf0b1c719, 0x1f43038e, 0xd09c672b, 0x1f430e4e],
     [0x00004937, 0x00000000, 0x48b66729, 0x1f42f84e, 0x48b66729,
      0x1f42f84e, 0x48b66729, 0x1f42f84e, 0x48b66729, 0x1f42f84e],
     [0x00004938, 0x00000000, 0x48b66729, 0x1f42f84e, 0x48b66729,
      0x1f42f84e, 0x48b66729, 0x1f42f84e, 0x48b66729, 0x1f42f84e],
     [0x00004939, 0x00000000, 0x48b66729, 0x1f42f84e, 0x48b66729,
      0x1f42f84e, 0x48b66729, 0x1f42f84e, 0x48b66729, 0x1f42f84e],
     [0x0000493a, 0x00000000, 0x48b66729, 0x1f42f84e, 0x48b66729,
      0x1f42f84e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005594, 0x00000000, 0x78af6715, 0x1f43060f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x3cb2c72a, 0x1f43004f],
     [0x00004be7, 0x00000000, 0x1cb76703, 0x1f430210, 0x6cab6737,
      0x1f430e0e, 0x7cb06744, 0x1f43084e, 0x6cb46741, 0x1f43038e],
     [0x00000796, 0x00000000, 0x747fc6ec, 0x106af38f, 0xa07b6634,
      0x106af60f, 0x1c7fc64b, 0x106af38d, 0x487b659d, 0x106af60d],
     [0x00014940, 0x00000000, 0xcc98653c, 0x1622eb53, 0x00000000,
      0x00000000, 0xe46ea776, 0x15c33c0a, 0x00000000, 0x00000000],
     [0x00000797, 0x00000000, 0x1c7fc6ce, 0x106af38d, 0x487b6610,
      0x106af60d, 0x947fc64b, 0x106af38d, 0xdc7b659d, 0x106af60d],
     [0x00004be9, 0x00000000, 0xf8b36731, 0x1f43038e, 0x04b366e3,
      0x1f430790, 0x44b5c71e, 0x1f42fa0f, 0x94b60728, 0x1f430c4e],
     [0x00000798, 0x00000000, 0x747986ec, 0x106afb0f, 0x8877e635,
      0x106b000f, 0x1c798656, 0x106afb0d, 0x3477e5a0, 0x106b000d],
     [0x00004942, 0x00000000, 0x48b82573, 0x1f42f4d5, 0xc4b82594,
      0x1f42f4d4, 0x287f273c, 0x1f43670e, 0x2883473c, 0x1f435ece],
     [0x00004943, 0x00000000, 0xb8bb8574, 0x1f4366cd, 0xb8bb8594,
      0x1f43670d, 0xb8bb8573, 0x1f435ecd, 0xb8bb8594, 0x1f435ecd],
     [0x00004944, 0x00000000, 0xb87f2574, 0x1f42ee0d, 0xb87f2594,
      0x1f42ee0d, 0xb8834573, 0x1f42ee0d, 0xb8834594, 0x1f42ee0d],
     [0x00004945, 0x00000000, 0x48bb8757, 0x1f4366d5, 0xc4bb8757,
      0x1f436714, 0x48bb8757, 0x1f435ed5, 0xc4bb8757, 0x1f435ed4],
     [0x00004946, 0x00000000, 0x487f2757, 0x1f42ee15, 0xc47f2757,
      0x1f42ee14, 0x48834757, 0x1f42ee15, 0xc4834757, 0x1f42ee14],
     [0x00004947, 0x00000000, 0xb8bb8757, 0x1f4366cd, 0xb8bb8757,
      0x1f43670d, 0xb8bb8757, 0x1f435ecd, 0xb8bb8757, 0x1f435ecd],
     [0x00004948, 0x00000000, 0xb8bb8757, 0x1f435ecd, 0xb8bb8757,
      0x1f435ecd, 0xb8bb8757, 0x1f435ecd, 0xb8bb8757, 0x1f435ecd],
     [0x0000079c, 0x00000000, 0x687cc64b, 0x106af48c, 0x5476a612,
      0x106af44c, 0x1c7f864b, 0x106aef0d, 0x347e8597, 0x106af10d],
     [0x0000494a, 0x00000000, 0xb8834757, 0x1f42ee0d, 0xb8834757,
      0x1f42ee0d, 0xb8834757, 0x1f42ee0d, 0xb8834757, 0x1f42ee0d],
     [0x0000079d, 0x00000000, 0xa87f864b, 0x106aef0c, 0xe47e8597,
      0x106af10c, 0x3c7f864b, 0x106aef0c, 0x547e8597, 0x106af10c],
     [0x0000ca9b, 0x00000000, 0x00000000, 0x00000000, 0xb093e6df,
      0x1772ff0e, 0x4c93c75c, 0x1772ff11, 0x0893e6d8, 0x1772ff10],
     [0x0000494d, 0x00000000, 0x48bb8757, 0x1f42ee15, 0xc4bb8757,
      0x1f42ee14, 0xc4bb8757, 0x1f42ee14, 0xc4bb8757, 0x1f42ee14],
     [0x0000ca9c, 0x00000000, 0xe093e690, 0x1772ff0c, 0x24942681,
      0x1772fe4d, 0x24942681, 0x1772fe4d, 0xb093c620, 0x1772fece],
     [0x0000494f, 0x00000000, 0xb8bb8757, 0x1f42ee0d, 0xb8bb8757,
      0x1f42ee0d, 0xb8bb8757, 0x1f42ee0d, 0xb8bb8757, 0x1f42ee0d],
     [0x00004950, 0x00000000, 0xb8bb8757, 0x1f42ee0d, 0xb8bb8757,
      0x1f42ee0d, 0xb8bb8757, 0x1f42ee0d, 0xb8bb8757, 0x1f42ee0d],
     [0x000007a0, 0x00000000, 0x807ea701, 0x106af0cf, 0x907e0656,
      0x106af20f, 0x807ea701, 0x106af0cf, 0x907e0656, 0x106af20f],
     [0x00004bf2, 0x00000000, 0x9cb2673f, 0x1f42fd8e, 0x38b46742,
      0x1f43008e, 0x5cad86fc, 0x1f43080f, 0x20ada713, 0x1f430e4e],
     [0x000007a1, 0x00000000, 0x807ea6ec, 0x106af0cf, 0x907e0635,
      0x106af20f, 0x807ea6ec, 0x106af0cf, 0x907e0634, 0x106af20f],
     [0x00004954, 0x00000000, 0xa0bb259e, 0x1f42ee14, 0xc8846757,
      0x1f435c4d, 0xc8bb259e, 0x1f43674d, 0xc8bb2572, 0x1f435c4d],
     [0x000007a2, 0x00000000, 0x287ea64b, 0x106af0cd, 0x387e0597,
      0x106af20d, 0xa07c86ec, 0x106af4cf, 0xa07c8634, 0x106af4cf],
     [0x00004bf4, 0x00000000, 0x6cb3474a, 0x1f43068e, 0x58b80751,
      0x1f43044e, 0xb0aee732, 0x1f430c4e, 0x38b7072d, 0x1f42fbcf],
     [0x00004957, 0x00000000, 0x4c846757, 0x1f42ee15, 0xa0846757,
      0x1f42ee14, 0xc8bb2757, 0x1f43674d, 0xc8bb2757, 0x1f435c4d],
     [0x00004958, 0x00000000, 0xc8bb2757, 0x1f435c4d, 0xc87f0757,
      0x1f42ee0d, 0xc8846757, 0x1f42ee0d, 0xc8846757, 0x1f42ee0d],
     [0x00004959, 0x00000000, 0xc8bb259e, 0x1f42ee0d, 0xc8bb2572,
      0x1f42ee0d, 0xc8bb259e, 0x1f42ee0d, 0xa0bb2757, 0x1f42ee14],
     [0x0000caa2, 0x00000000, 0x4c92466e, 0x1773020c, 0xdc93c700,
      0x1772feca, 0xdc93c700, 0x1772feca, 0x00000000, 0x00000000],
     [0x000007a5, 0x00000000, 0xc07aa64b, 0x106afa0d, 0xdc79e597,
      0x106af64d, 0xdc7e864b, 0x106af10d, 0x8876a6a8, 0x106af44f],
     [0x0000495c, 0x00000000, 0x48bb8757, 0x1f4366d5, 0xc8bb2757,
      0x1f42ee0d, 0xc8bb2757, 0x1f42ee0d, 0xc8bb2757, 0x1f42ee0d],
     [0x0000495d, 0x00000000, 0x40bb872f, 0x1f42ee1c, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005cb9, 0x00000000, 0xfcac86e6, 0x1f4301ce, 0x00000000,
      0x00000000, 0x08b566da, 0x1f42fc0f, 0x00000000, 0x00000000],
     [0x000055a6, 0x00000000, 0x78b48738, 0x1f42fc8e, 0x70b0671e,
      0x1f42fc0f, 0x60a64726, 0x1f431f4e, 0x00000000, 0x00000000],
     [0x0000caa5, 0x00000000, 0x00000000, 0x00000000, 0x70924670,
      0x1773020d, 0x70924670, 0x1773020d, 0x00000000, 0x00000000],
     [0x00004961, 0x00000000, 0xc8bb2563, 0x1f42ee0d, 0xc8bb25e0,
      0x1f42ee0d, 0xc8bb265d, 0x1f42ee0d, 0xc8bb26da, 0x1f42ee0d],
     [0x00004962, 0x00000000, 0xc8bb2757, 0x1f42ee0d, 0xc8abe757,
      0x1f42ee0d, 0xc89c4757, 0x1f42ee0d, 0xc88ca757, 0x1f42ee0d],
     [0x000055a8, 0x00000000, 0x18b34710, 0x1f42fe8f, 0x00000000,
      0x00000000, 0x34b18744, 0x1f43024e, 0x0ca7070f, 0x1f430f4f],
     [0x0000bfff, 0x00000000, 0x00000000, 0x00000000, 0x3ca4a67e,
      0x1b42fbcc, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00004965, 0x00000000, 0x6cbb8757, 0x1f42ee1b, 0xb8bb8757,
      0x1f43c90d, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00014954, 0x00000000, 0x58986599, 0x1622eb52, 0xe47b0776,
      0x1623264a, 0xe4988599, 0x16233d8a, 0xe498853c, 0x1623264a],
     [0x000007ab, 0x00000000, 0x3c7c870b, 0x106af4cd, 0x3c800657,
      0x106afbcd, 0xa07ca7c4, 0x106af4cf, 0x8880070f, 0x106afbcf],
     [0x00004968, 0x00000000, 0x38afa706, 0x1f43024f, 0x1caec701,
      0x1f43040f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000007ac, 0x00000000, 0xa07ca7c4, 0x106af4cf, 0x8880070f,
      0x106afbcf, 0xa07ca806, 0x106af4cf, 0x88800751, 0x106afbcf],
     [0x00014956, 0x00000000, 0x58988776, 0x16233d92, 0xcc988776,
      0x16232653, 0x58986776, 0x16232652, 0x586f4776, 0x1622eb52],
     [0x000007ad, 0x00000000, 0xa07ca7aa, 0x106af4cf, 0x888006f5,
      0x106afbcf, 0x3c7c870b, 0x106af4cd, 0x3c800656, 0x106afbcd],
     [0x0000caab, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xe4924653, 0x1773020d],
     [0x0000c008, 0x00000000, 0xa03e83e8, 0x07d2ee0f, 0x6c5de69b,
      0x0a6b024f, 0xf079869b, 0x115b02d5, 0xa07c66a4, 0x0fa2ef4f],
     [0x0000caac, 0x00000000, 0xe4924653, 0x1773020d, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000c00a, 0x00000000, 0x0064c69e, 0x0a6af98d, 0x0062669e,
      0x0a6af4cd, 0x9c76869b, 0x0fa2fc13, 0xbc94261b, 0x1772fe4e],
     [0x0008c00b, 0x00001a01, 0xd05a6483, 0x07d2f7cc, 0x4c626507,
      0x0a6af912, 0x6c58c484, 0x07d2f84f, 0x5464469b, 0x08b2e80f],
     [0x0000c00c, 0x00000000, 0x6c7a0698, 0x0fa2f40f, 0xa075a698,
      0x0fa2fe4f, 0xa07a4698, 0x0fa2f24f, 0x68790698, 0x0fa2f20f],
     [0x0000c00d, 0x00000000, 0xa07a0698, 0x0fa2f2cf, 0x8079468c,
      0x0fa2f38f, 0x6c79e698, 0x0fa2f50f, 0xa07a268c, 0x0fa2f24f],
     [0x0000c00e, 0x00000000, 0x6c798698, 0x0fa2f50f, 0x6c79a698,
      0x0fa2f48f, 0x6c5de5c0, 0x0a6b028f, 0xd05fc5c0, 0x0a6b028c],
     [0x0000caaf, 0x00000000, 0x00000000, 0x00000000, 0x6c92060b,
      0x1773028f, 0x6c92060b, 0x1773028f, 0x00000000, 0x00000000],
     [0x8000c010, 0x04706c03, 0x54a5469b, 0x1d13090f, 0xa094a69a,
      0x1692f04f, 0xa08be68c, 0x14daf20f, 0x5494669b, 0x1692fa4f],
     [0x0298c011, 0x0810c000, 0xa094c68c, 0x1692f18f, 0xa08ea68c,
      0x14daf20f, 0xa087668c, 0x131af20f, 0x549ce69b, 0x1852f74f],
     [0x4000c012, 0x09211c23, 0xa09d668c, 0x1852f34f, 0xa06cc68c,
      0x0c2af30f, 0x207a468c, 0x0fa2eece, 0xa09ea68c, 0x1852f58f],
     [0x00004c05, 0x00000000, 0x2ca4c73c, 0x1f43820e, 0x2c71c73c,
      0x1f431b8e, 0x94b12721, 0x1f437fce, 0x9472a721, 0x1f4302ce],
     [0x0718c014, 0x1161f200, 0xa089868c, 0x131af20f, 0xe09b669b,
      0x1852f6cc, 0xa098068c, 0x1692f48f, 0x547ea69c, 0x1162f6cf],
     [0x8900c015, 0x1942c655, 0xa08e068c, 0x14daf5cf, 0x5496268c,
      0x1692f20f, 0x5896268c, 0x1692f20f, 0x64b9268c, 0x1f42f2cf],
     [0xce28c016, 0x0003e673, 0xa095e68c, 0x1692f20f, 0xa095e68c,
      0x1692f1cf, 0xa08dc68c, 0x14daf50f, 0x4c64268e, 0x0a6afecd],
     [0x0000c017, 0x00000000, 0x5464669b, 0x08b2e7cf, 0x4c5fc68e,
      0x0a6af60d, 0x7c7e268c, 0x122b0054, 0xac7d039d, 0x0fa2ee0d],
     [0x8000c018, 0x1fe3f67d, 0xe05d46b1, 0x0a6af017, 0x687b85c1,
      0x0fa2f44f, 0x687fa68c, 0x1162f24f, 0x687445c1, 0x0de2f44f],
     [0x0000c019, 0x22140c80, 0x6881468c, 0x1162f44f, 0x6873e5c1,
      0x0de2f44f, 0xa06f269b, 0x0a6af18f, 0x687ae5c1, 0x0fa2f50c],
     [0xd168c01a, 0x2320008b, 0xa081468c, 0x1162f1cf, 0xa05e869b,
      0x08b2f1cf, 0x745f669b, 0x0a6adfcc, 0xa082668c, 0x1162f38f],
     [0x11f0c01b, 0x24a48890, 0xa05e868c, 0x08b2f1cf, 0xa0a445c1,
      0x1a0af1cf, 0xa081e5c1, 0x1162f34f, 0x687a05c1, 0x0fa2f44f],
     [0xd288c01c, 0x2824aa94, 0x6c8005c1, 0x1162f2cc, 0x6c8185c1,
      0x1162f68c, 0xa074c5c1, 0x0de2f50f, 0x686ba5c1, 0x0c2af44f],
     [0xd420c01d, 0x2ae528a4, 0x7068065e, 0x0a6af2cf, 0x6881c5b5,
      0x1162f20f, 0x687b25b5, 0x0fa2f34f, 0x6896e5b5, 0x1692f3cf],
     [0x5640c01e, 0x000000b3, 0xa07b05b5, 0x0fa2f10f, 0x6c7ac5b5,
      0x0fa2f20c, 0xa07305b5, 0x0de2f34f, 0xe46906a2, 0x0c52f38c],
     [0x0000d101, 0x00000000, 0xa08ea68c, 0x14daf20f, 0xa087668c,
      0x131af20f, 0x549ce69b, 0x1852f74f, 0xa09d668c, 0x1852f34f],
     [0x000007ba, 0x00000000, 0x74802732, 0x106aeecf, 0x8c7ea67d,
      0x106af0cf, 0x74802732, 0x106aeecf, 0x8c7ea67d, 0x106af0cf],
     [0x0000d103, 0x00000000, 0xa0b1a68c, 0x1d82f18f, 0x5896268c,
      0x1692f20f, 0x549b669b, 0x1852f6cf, 0xa089868c, 0x131af20f],
     [0x000007bb, 0x00000000, 0x74802773, 0x106aeecf, 0x8c7ea6bf,
      0x106af0cf, 0x74802729, 0x106aeecf, 0x8c7ea674, 0x106af0cf],
     [0x0000d105, 0x00000000, 0x5496268c, 0x1692f20f, 0x5896268c,
      0x1692f20f, 0x64b9268c, 0x1f42f2cf, 0xa095e68c, 0x1692f20f],
     [0x000007bc, 0x00000000, 0x3c8026ae, 0x106aeecd, 0x407ea5fa,
      0x106af0cd, 0xa07da701, 0x106af2cf, 0x107d0656, 0x106af48c],
     [0x0000d107, 0x00000000, 0x687445c1, 0x0de2f44f, 0x6881468c,
      0x1162f44f, 0x6873e5c1, 0x0de2f44f, 0xa06f269b, 0x0a6af18f],
     [0x0000d108, 0x00000000, 0x687ae5c1, 0x0fa2f50c, 0xa081468c,
      0x1162f1cf, 0xa05e869b, 0x08b2f1cf, 0x745f669b, 0x0a6adfcc],
     [0x0000d109, 0x00000000, 0xa082668c, 0x1162f38f, 0xa05e868c,
      0x08b2f1cf, 0xa0a445c1, 0x1a0af1cf, 0xa081e5c1, 0x1162f34f],
     [0x0000c028, 0x00000000, 0xa03e83e8, 0x07d2ee0f, 0x745e05dd,
      0x0a6b028c, 0x7077c634, 0x0fa2fb4d, 0x607a2694, 0x0fa2f34f],
     [0x0000c029, 0x00000000, 0x78804606, 0x0fa2e78f, 0xa082e68c,
      0x0fa2de0f, 0x5451c69b, 0x06e2fe8f, 0x9075e69b, 0x0fa2fc4d],
     [0x0000c02a, 0x00000000, 0x0468a682, 0x0a6aed98, 0x5498a69b,
      0x175af48f, 0xd4642698, 0x0962edd5, 0x3079a587, 0x0fa2f3d0],
     [0x0000c02b, 0x00000000, 0x50942577, 0x1772fe51, 0x4c626507,
      0x0a6af912, 0x5498a69b, 0x175af48f, 0x7467e665, 0x0a6aee58],
     [0x0000c02c, 0x00000000, 0xe8696698, 0x0c82fc55, 0x449425ee,
      0x1812fe4d, 0xec640698, 0x0962ee13, 0xd063a698, 0x0962eed3],
     [0x0000c02d, 0x00000000, 0xe06706b1, 0x0a6b0397, 0x688185b5,
      0x1162f64c, 0xb886e68c, 0x13fafd0c, 0x8058c589, 0x07d2f853],
     [0x000007c1, 0x00000000, 0x8c804667, 0x106af8cf, 0x8c804667,
      0x106af8cf, 0x8c80469e, 0x106af8cf, 0x8c80469e, 0x106af8cf],
     [0x0000c02f, 0x00000000, 0x709b6698, 0x1772f50f, 0x709f6698,
      0x1772ec4f, 0x709a2698, 0x1772f3cf, 0x7c75e5dd, 0x0fa2fbcc],
     [0x9780c030, 0x32062cbe, 0xa094a7ab, 0x1692f04f, 0xa094a7ab,
      0x1692f04f, 0xa094a7a2, 0x1692f04f, 0xa094a784, 0x1692f04f],
     [0x5950c031, 0x361000d1, 0xa094a77c, 0x1692f04f, 0xa094a7d0,
      0x1692f04f, 0xa0b5668c, 0x1f42ef0f, 0x3894669b, 0x1692fa4c],
     [0x0000c113, 0x00000000, 0xa07ae5b5, 0x0f92f34f, 0x687425c1,
      0x0e2af40f, 0x689da5c1, 0x188af34f, 0xa07e25b5, 0x1072f0cf],
     [0x00004c15, 0x00000000, 0xecaae70a, 0x1f431acf, 0xc89786c2,
      0x1f43234e, 0xc8a7c71e, 0x1f43190e, 0xe8a106ce, 0x1f431c0f],
     [0x000007c4, 0x00000000, 0x747a8667, 0x106af8cf, 0x747a8667,
      0x106af8cf, 0x747a8667, 0x106af8cf, 0x747a8667, 0x106af8cf],
     [0x5b50c035, 0x0006e0db, 0x549b67a2, 0x1852f6cf, 0x549b6784,
      0x1852f6cf, 0x549b677c, 0x1852f6cf, 0x1c8e0602, 0x15f2fe8f],
     [0xdbb0c036, 0x3856fcdd, 0x789b66c9, 0x1852f6ce, 0x549627ab,
      0x1692f20f, 0x549627ab, 0x1692f20f, 0x549627a2, 0x1692f20f],
     [0x1c30c037, 0x00000000, 0x5496277c, 0x1692f20f, 0xa095e7ab,
      0x1692f1cf, 0xa089868c, 0x131af20f, 0x707f269b, 0x1162f2cf],
     [0x5c70c038, 0x000000e4, 0x687b86b1, 0x0fa2f44f, 0x687b86b1,
      0x0fa2f44f, 0x687b86a8, 0x0fa2f44f, 0x687b868a, 0x0fa2f44f],
     [0xdca0c039, 0x000734e5, 0x687b8682, 0x0fa2f44f, 0x687b86d8,
      0x0fa2f44f, 0x689545c1, 0x1692f64f, 0x387445c1, 0x0de2f44c],
     [0x4000c03a, 0x000740e7, 0x6873e6b1, 0x0de2f44f, 0x6873e6b1,
      0x0de2f44f, 0x6873e6a8, 0x0de2f44f, 0x6873e682, 0x0de2f44f],
     [0x0000c03b, 0x00000000, 0xa05ea6b1, 0x08b2f18f, 0xa05ec6b1,
      0x08b2f1cf, 0xa06506a8, 0x08b2e6cf, 0xa0654682, 0x08b2e6cf],
     [0x0000c03c, 0x3a674600, 0x687a069b, 0x0fa2f44f, 0xa081e68a,
      0x1162f34f, 0x687a06b1, 0x0fa2f44f, 0x687a06b1, 0x0fa2f44f],
     [0x1d48c03d, 0x00075400, 0x687a06a8, 0x0fa2f44f, 0x687a068a,
      0x0fa2f44f, 0x687a0682, 0x0fa2f44f, 0x2481a601, 0x11d2f64f],
     [0x0000c03e, 0x00000000, 0x307a060d, 0x0fa2f44e, 0x6881c6b1,
      0x1162f20f, 0x6881c6b1, 0x1162f20f, 0x6881c6a8, 0x1162f20f],
     [0x0000c03f, 0x00000000, 0x6881c682, 0x1162f20f, 0x6c7ac6b1,
      0x0fa2f20c, 0x6c80068c, 0x1162f2cc, 0x6c7ac682, 0x0fa2f20c],
     [0x0000c040, 0x00000000, 0xa094a712, 0x1692f04f, 0x687b8640,
      0x0fa2f44f, 0xa094a76d, 0x1692f04f, 0x687b869b, 0x0fa2f44f],
     [0x0000c041, 0x00000000, 0x6c98a69a, 0x1692f04c, 0x6c85a5c1,
      0x0fa2f44c, 0x54946783, 0x1692fa4f, 0x687446b1, 0x0de2f44f],
     [0x0000c042, 0x00000000, 0x5494677a, 0x1692fa4f, 0x687446a8,
      0x0de2f44f, 0x54946754, 0x1692fa4f, 0x68744682, 0x0de2f44f],
     [0x0000c043, 0x00000000, 0x5494677a, 0x1692fa4f, 0x687446a8,
      0x0de2f44f, 0xa094c77a, 0x1692f18f, 0x689746ad, 0x1542f44f],
     [0x0000c044, 0x00000000, 0xa094c68c, 0x1692ef8f, 0x6881468c,
      0x1162f44f, 0xa08ea712, 0x14daf20f, 0x6873e640, 0x0de2f44f],
     [0x0000c045, 0x00000000, 0xa08ea76d, 0x14daf20f, 0x6873e69b,
      0x0de2f44f, 0xa08ea754, 0x14daf20f, 0x6873e682, 0x0de2f44f],
     [0x0000c046, 0x00000000, 0x6c8ea68c, 0x14daf20c, 0x6c74e5c1,
      0x0de2f44c, 0xa08ea77a, 0x14daf20f, 0x6873e6a8, 0x0de2f44f],
     [0x0000c047, 0x00000000, 0x549ce77a, 0x1852f74f, 0x687ae6a8,
      0x0fa2f50c, 0x549ce76d, 0x1852f74f, 0x687ae69b, 0x0fa2f50c],
     [0x0000c048, 0x00000000, 0x549ce754, 0x1852f74f, 0x687ae682,
      0x0fa2f50c, 0xb89ce69b, 0x1852f749, 0x687ae747, 0x0fa2f50c],
     [0x0000c049, 0x00000000, 0xa09d677a, 0x1852f34f, 0xa081477a,
      0x1162f1cf, 0xa09d668c, 0x1852f34f, 0xa081468c, 0x1162f1cf],
     [0x0000c04a, 0x00000000, 0xa06de75c, 0x0c2af18f, 0xa066468a,
      0x08b2e24f, 0xa06cc712, 0x0c2af30f, 0xa064a640, 0x08b2e7cf],
     [0x0000c04b, 0x00000000, 0xa06cc76c, 0x0c2af30f, 0xa063069b,
      0x08b2eb4f, 0x6c6f268c, 0x0c2af30c, 0x6c66a69b, 0x08b2f1cc],
     [0x0000c04c, 0x00000000, 0xa06cc754, 0x0c2af30f, 0xa05e85b5,
      0x08b2f1cf, 0x20b1268c, 0x1a32f30e, 0x7480e69b, 0x1142f1cc],
     [0x0000c04d, 0x00000000, 0x207a677a, 0x0fa2eece, 0x746866a8,
      0x0a6adfcc, 0xb89ea68c, 0x1852f589, 0xb882668c, 0x1162f389],
     [0x000007d1, 0x00000000, 0x8c7ae667, 0x106af84f, 0x8c7ae667,
      0x106af84f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000c04f, 0x00000000, 0xb85e868c, 0x08b2f1c9, 0xa08e469b,
      0x14daf2cf, 0xa075c6ad, 0x0e4af1cf, 0xa08e468c, 0x14daf2cf],
     [0x0000c050, 0x00000000, 0xa075a68c, 0x0cf2f1cf, 0xa08e468c,
      0x14daf28f, 0xa064668c, 0x08b2e88f, 0x58962783, 0x1692f20f],
     [0x0000c051, 0x00000000, 0xa081e6b1, 0x1162f34f, 0xb896268c,
      0x1692f209, 0xb881e5c1, 0x1162f349, 0x5896277a, 0x1692f20f],
     [0x0000c052, 0x00000000, 0xa081e6a8, 0x1162f34f, 0xa09526ad,
      0x160af14f, 0x2097868c, 0x16e2f18e, 0x6c7bc5c1, 0x1162f34c],
     [0x0000c053, 0x00000000, 0x549b6712, 0x1852f6cf, 0x687a0640,
      0x0fa2f44f, 0x549b676d, 0x1852f6cf, 0x687a069b, 0x0fa2f44f],
     [0x0000c054, 0x00000000, 0x549b6783, 0x1852f6cf, 0x687a06b1,
      0x0fa2f44f, 0x8cb92694, 0x1f42f38f, 0x689585c1, 0x1692f38f],
     [0x0000c055, 0x00000000, 0xa0980783, 0x1692f48f, 0xa074c6b1,
      0x0de2f50f, 0xb898068c, 0x1692f489, 0xb874c5c1, 0x0de2f509],
     [0x0000c056, 0x00000000, 0xa098077a, 0x1692f48f, 0xa074c6a8,
      0x0de2f50f, 0x547ea783, 0x1162f6cf, 0x686c06b1, 0x0c2af44f],
     [0x0000c057, 0x00000000, 0x547ea77a, 0x1162f6cf, 0x686ba6a8,
      0x0c2af38f, 0x387ea69c, 0x1162f6cc, 0x386ba5c1, 0x0c2af44c],
     [0x0000c058, 0x00000000, 0x547ea77a, 0x1162f6cf, 0x686ba6a8,
      0x0c2af38f, 0x388e068c, 0x14daf5cc, 0x3868065e, 0x0a6af2cc],
     [0x0000c059, 0x00000000, 0xa08e077a, 0x14daf5cf, 0x707626ad,
      0x0cfaf2cf, 0xa08e068c, 0x14daf5cf, 0x7068065e, 0x0a6af24f],
     [0x0000c05a, 0x00000000, 0x5496275e, 0x1692f20f, 0x6881c68a,
      0x1162f20f, 0x54962712, 0x1692f20f, 0x6881c640, 0x1162f20f],
     [0x0000c05b, 0x00000000, 0x5496276d, 0x1692f20f, 0x6881c69b,
      0x1162f20f, 0x5496278f, 0x1692f20f, 0x6881c6cc, 0x1162f20f],
     [0x000007d8, 0x00000000, 0x8c7c0667, 0x106af60f, 0x8c7c0667,
      0x106af60f, 0x8c7c0667, 0x106af60f, 0x8c7c0667, 0x106af60f],
     [0x0000c05d, 0x00000000, 0x64b9277a, 0x1f42f2cf, 0x6896e6a8,
      0x1692f3cf, 0xa095e77a, 0x1692f1cf, 0x6c7ac6a8, 0x0fa2f20c],
     [0x0000c05e, 0x00000000, 0xa095e754, 0x1692f1cf, 0xa08dc783,
      0x14daf50f, 0xa07306b1, 0x0de2f34f, 0xa08dc754, 0x14daf50f],
     [0x0000c05f, 0x00000000, 0xa0730682, 0x0de2f34f, 0xa08dc77a,
      0x14daf50f, 0xa07306a8, 0x0de2f34f, 0xa06f269b, 0x0a6af18f],
     [0x0000c060, 0x00000000, 0x687f068c, 0x114ae70f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00004c2c, 0x00000000, 0xb8aca6eb, 0x1f43110f, 0x34a186ac,
      0x1f4316cf, 0x34a68708, 0x1f4316cf, 0x749d865b, 0x1f432091],
     [0x0000c062, 0x00000000, 0x68864628, 0x11c2f58f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00004c2d, 0x00000000, 0x74af0718, 0x1f431991, 0x70a866c1,
      0x1f4312cf, 0x70ac870a, 0x1f430c0f, 0x40a42696, 0x1f431bd0],
     [0x0000c064, 0x00000000, 0x9087e696, 0x1312f78f, 0x00000000,
      0x00000000, 0x347cc6aa, 0x0fa2ee0d, 0x00000000, 0x00000000],
     [0x0000c065, 0x00000000, 0x00000000, 0x00000000, 0x789e668c,
      0x18eaf18f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000c066, 0x00000000, 0x00000000, 0x00000000, 0xa081269b,
      0x10aaf10f, 0xa05fa68c, 0x091af40f, 0xa0804682, 0x10c2fd0f],
     [0x0000c067, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x6c81e5c1, 0x117af34c, 0x00000000, 0x00000000],
     [0x0000c068, 0x00000000, 0x54a106c4, 0x1852f6cf, 0x688685e1,
      0x1152f44f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000c069, 0x00000000, 0x00000000, 0x00000000, 0x6c7ee689,
      0x1132f08c, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000c06a, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x10732699, 0x0df2f44c, 0x3867e65e, 0x0adaf28c],
     [0x0000c06b, 0x00000000, 0x00000000, 0x00000000, 0x706f269b,
      0x0b9af2cf, 0x00000000, 0x00000000, 0x54a70712, 0x18e2f20f],
     [0x0000f804, 0x00000000, 0xf49246ce, 0x1773020b, 0x5492471b,
      0x1773020a, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000d14f, 0x00000000, 0xa088e68c, 0x145300cf, 0xa088e68c,
      0x0ed300cf, 0x5494469b, 0x177af94f, 0x00000000, 0x00000000],
     [0x0000d150, 0x00000000, 0xa064068c, 0x0be3020f, 0x5483068c,
      0x1352fa8f, 0xa09e668c, 0x18c300cf, 0xa08a668c, 0x14b2ff8f],
     [0x0000c06f, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x7876a605, 0x107b018f, 0x00000000, 0x00000000],
     [0x0000c070, 0x00000000, 0xa04e46cc, 0x05d2fd0f, 0xa05e26cc,
      0x09cafd0f, 0xa07126cc, 0x0deaf7cf, 0x6c5de69b, 0x0a6b024f],
     [0x0000f809, 0x00000000, 0x00000000, 0x00000000, 0x3c93e73c,
      0x1772feca, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000d154, 0x00000000, 0xa09ae68c, 0x1462f3cf, 0x00000000,
      0x00000000, 0x6884e5c1, 0x137afa8f, 0x6888a68c, 0x141afd0f],
     [0x0000d155, 0x00000000, 0x688005c1, 0x11f2fa8f, 0x6887668c,
      0x141afa8f, 0x687fe5c1, 0x11eafa8f, 0xa081868c, 0x0ed2f44f],
     [0x0000d156, 0x00000000, 0x6c8765c1, 0x141afa8c, 0xa085068c,
      0x1382fd0f, 0xa05fa69b, 0x0a52fe4f, 0x6c65669b, 0x0b9ae90c],
     [0x0000d157, 0x00000000, 0xa08c268c, 0x1432fd0f, 0xa05fa68c,
      0x0a2afd0f, 0xa0a885c1, 0x1c62fd0f, 0xa08505c1, 0x1382fd0f],
     [0x0000d158, 0x00000000, 0x6883a5c1, 0x12b2f94f, 0x6c88a5c1,
      0x141afd0c, 0x6c8765c1, 0x141afa8c, 0xa07625c1, 0x0a9afd0f],
     [0x0000d159, 0x00000000, 0x687ca5c1, 0x112afb0f, 0x6871e68c,
      0x0df2f44f, 0x608465b5, 0x135afbcf, 0xa08285b5, 0x0f72ef8f],
     [0x0000d15a, 0x00000000, 0xa0a125b5, 0x1892f38f, 0xa08de5b5,
      0x14a2f44f, 0x6c81a5b5, 0x0ebaebcc, 0xa079a5b5, 0x100af80f],
     [0x000049de, 0x00000000, 0xe8b5c705, 0x1f42f98d, 0xe8b5c705,
      0x1f42f98d, 0xe8b5c705, 0x1f42f98d, 0xe8b5c705, 0x1f42f98d],
     [0x0000d15c, 0x00000000, 0x5499e6a5, 0x18a2fb8f, 0x6c9c06a5,
      0x191afb8c, 0x54a026a5, 0x1a0afb8f, 0x6ca1e6a5, 0x1a5af88c],
     [0x0000f813, 0x00000000, 0x00000000, 0x00000000, 0xe493e611,
      0x1772ff0e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000c07c, 0x00000000, 0x746866a8, 0x0a6adfcc, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000d15f, 0x00000000, 0xb4af46a5, 0x1d12fb8e, 0x3ca7a6a5,
      0x1ba2fa8f, 0x54a2c6a5, 0x1aa2fb8f, 0x3c9b06a5, 0x18cafb8f],
     [0x0000c07e, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa094a7b4, 0x1692f04f, 0x687b8783, 0x0fa2f44f],
     [0x0000f817, 0x00000000, 0x2493e611, 0x1772ff0f, 0x00000000,
      0x00000000, 0x7473a6e2, 0x000305d8, 0x00000000, 0x00000000],
     [0x0000f818, 0x00000000, 0x00000000, 0x00000000, 0xcc67c35f,
      0x0002ee08, 0x0067c35f, 0x0002ee07, 0x00000000, 0x00000000],
     [0x0000f819, 0x00000000, 0x746a272d, 0x0a6aea18, 0x3c6a235f,
      0x0002ea09, 0x74744709, 0x000304d8, 0x3c6a235f, 0x0002ea09],
     [0x0000d164, 0x00000000, 0x4070c69f, 0x0e42fa0f, 0x406de69f,
      0x0d8af94f, 0x40b305c3, 0x1ec2f80f, 0x408f05c3, 0x15c2f80f],
     [0x0000f81b, 0x00000000, 0x00000000, 0x00000000, 0xdc92072b,
      0x1773028d, 0xdc92072b, 0x1773028d, 0xdc92072b, 0x1773028d],
     [0x0000f81c, 0x00000000, 0xdc92072b, 0x1773028d, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00004c3e, 0x00000000, 0xa8b48704, 0x1f43004e, 0xdcb64705,
      0x1f430010, 0x24b6e706, 0x1f43064f, 0x3c8405a8, 0x1f435314],
     [0x000007ed, 0x00000000, 0xc080464c, 0x106af8cc, 0x00000000,
      0x00000000, 0x8c804667, 0x106af8cf, 0xc0804667, 0x106af8cc],
     [0x0000f81f, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x089246ca, 0x1773020c, 0xf89246ce, 0x1773020b],
     [0x000007ee, 0x00000000, 0xa0800729, 0x106aee0f, 0xa07fe6c8,
      0x106aedcf, 0x00000000, 0x00000000, 0xa07f4673, 0x106af40f],
     [0x0000f821, 0x00000000, 0x089246ca, 0x1773020c, 0xf89246ce,
      0x1773020b, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000007ef, 0x00000000, 0x847da673, 0x106af28d, 0x3468c667,
      0x106b2617, 0x8467046f, 0x106b200d, 0x3468c667, 0x106b2617],
     [0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000007f0, 0x00000000, 0xfc750667, 0x106b03d7, 0x4c75069e,
      0x106b03d7, 0xfc7ac64c, 0x106af2cb, 0xfc7ac5a2, 0x106af2cb],
     [0x0000c08d, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x745f05b5, 0x0a6adfcc],
     [0x000007f1, 0x00000000, 0xfc7ac64c, 0x106af2cb, 0x00000000,
      0x00000000, 0xfc7ac667, 0x106af2cb, 0xfc7ac667, 0x106af2cb],
     [0x00004c43, 0x00000000, 0xc0ab2700, 0x1f4311ce, 0xe8a6a706,
      0x1f431b0e, 0x68b106f7, 0x1f43064f, 0xdcb16700, 0x1f4300ce],
     [0x000007f2, 0x00000000, 0x00000000, 0x00000000, 0xa0800667,
      0x106ad90f, 0x00000000, 0x00000000, 0xa0800667, 0x106ad90f],
     [0x00004c44, 0x00000000, 0x7c98673a, 0x1f43280e, 0x089fe6ff,
      0x1f4320cf, 0x30b286e5, 0x1f43000f, 0x5cb386cc, 0x1f42f40f],
     [0x00005d52, 0x00000000, 0x2cb5c6c0, 0x1f42f910, 0xd0b7c6e1,
      0x1f42f58f, 0xd8b66742, 0x1f42f84e, 0xf0b68714, 0x1f42fd0f],
     [0x0000d175, 0x00000000, 0xa091a69a, 0x1592f44f, 0xa088c68c,
      0x13e3020f, 0x5494869b, 0x169afa4f, 0xa092c68c, 0x162b020f],
     [0x000007f4, 0x00000000, 0x8c780670, 0x106ade0f, 0x8c78060f,
      0x106ade0f, 0x8c6b464c, 0x106b020f, 0x8c6b464c, 0x106b020f],
     [0x0000c095, 0x00000000, 0x687305c1, 0x0ec2f1cf, 0x1c7625c1,
      0x0eeaf58d, 0xfc91068c, 0x12d2f60b, 0x68910693, 0x1452f60f],
     [0x0000d178, 0x00000000, 0xa0a6a68c, 0x1c8b020f, 0x588f068c,
      0x16a3020f, 0x589b669c, 0x1852f6cf, 0xa085a68c, 0x122b020f],
     [0x0000d179, 0x00000000, 0xe09cc69b, 0x185af6cc, 0xa090a68c,
      0x14f3020f, 0x547e669b, 0x1152f6cf, 0xa08ce68c, 0x140af18f],
     [0x0000c098, 0x00000000, 0xcc914693, 0x139af74b, 0xcc7b05c1,
      0x11daf74b, 0x7483e5b5, 0x1272f6cf, 0xfc7de5b5, 0x10a2f40b],
     [0x0000d17b, 0x00000000, 0xa092c68c, 0x15b2f30f, 0xa08c668c,
      0x146af44f, 0x687405c1, 0x0f4af3cf, 0x6c7b668c, 0x1002fbcf],
     [0x0000c09a, 0x00000000, 0xa05f469b, 0x0922f34f, 0x8068e5b0,
      0x0b72f38f, 0xa05f85b5, 0x094af48f, 0xa06e068c, 0x0c5af1cf],
     [0x0000d17d, 0x00000000, 0x687bc5c1, 0x0fc2f50c, 0xa077668c,
      0x0ff2fbcf, 0xa056e698, 0x07aafa8f, 0x74602698, 0x0a22dfcc],
     [0x0000d17e, 0x00000000, 0xa07dc68c, 0x103afbcf, 0xa055068c,
      0x075afbcf, 0xa098a5c1, 0x1842fbcf, 0xa07765c1, 0x0ff2fbcf],
     [0x0000d17f, 0x00000000, 0x687a05c1, 0x0faaf44f, 0x6c7b65c1,
      0x1002fbcc, 0x6c77a5c1, 0x1002f44c, 0xa07145c1, 0x0cdafbcf],
     [0x0000c09e, 0x00000000, 0x0491e695, 0x164af94c, 0x7875a5b7,
      0x0e42f6cf, 0x7875a68c, 0x0e42f6cf, 0xfc8505b7, 0x0fd2f6cb],
     [0x0000d181, 0x00000000, 0x689405b5, 0x15eaf24f, 0xa07b45b5,
      0x0fd2f30f, 0x6c7765b5, 0x0ec2f28c, 0xa072a5b5, 0x0dcaf34f],
     [0x0000f838, 0x00000000, 0xa07e4780, 0x1142f88f, 0xa066e6e5,
      0x0bd2fbcf, 0xa074e6da, 0x0f0afdcf, 0x00000000, 0x00000000],
     [0x0000c0a1, 0x00000000, 0xfc744693, 0x0baadfcb, 0xfc7705be,
      0x0c62f00b, 0xd476a693, 0x0c7aea0b, 0x9c6805e9, 0x0a6af2cd],
     [0x000055fa, 0x00000000, 0x00000000, 0x00000000, 0xc4b44711,
      0x1f43008e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005d63, 0x00000000, 0x78b3a720, 0x1f430cce, 0x00000000,
      0x00000000, 0xe8b50703, 0x1f42fb0e, 0xa8b70712, 0x1f42fc8f],
     [0x00005d64, 0x00000000, 0x2cb0473d, 0x1f43090e, 0x04b66703,
      0x1f4300d0, 0x94a0c71a, 0x1f42fb0f, 0x00000000, 0x00000000],
     [0x0000c0a5, 0x00000000, 0xa073c693, 0x0d0afbcf, 0xa073c693,
      0x0d0afbcf, 0x6873c685, 0x0d0afbcf, 0x007665c1, 0x0efb000c],
     [0x000007fd, 0x00000000, 0xc07c064c, 0x106af60c, 0x00000000,
      0x00000000, 0x8c7c0667, 0x106af60f, 0xc07c0667, 0x106af60c],
     [0x0000c0a7, 0x00000000, 0xa084a5b8, 0x1232f34f, 0xfc72469b,
      0x0c52df0b, 0x448265b5, 0x1162f38c, 0xa07585b8, 0x0eb2f24f],
     [0x0000c0a8, 0x00000000, 0x6c90e62e, 0x13e2f68c, 0xa073c693,
      0x0fa2fbcf, 0xa073c693, 0x0fa2fbcf, 0x68a7e68c, 0x1b22f44f],
     [0x0000c0a9, 0x00000000, 0xf0a1c68c, 0x1952f44b, 0x10b3268c,
      0x1e02f44d, 0x7089465e, 0x1392f2cf, 0xfc8cc693, 0x10e2f2cb],
     [0x0000c0aa, 0x00000000, 0x7094c65e, 0x15e2f2cf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000f843, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x347d657d, 0x165322d1, 0x4c65e577, 0x09daee11],
     [0x0000c0ac, 0x00000000, 0xdc6c2732, 0x0bd2ef94, 0xe06c2738,
      0x0bd2efd4, 0x6c60a74c, 0x0962f452, 0xdc5fc6a3, 0x0872f114],
     [0x0000c0ad, 0x00000000, 0xb85f869a, 0x0922f094, 0x2c69469a,
      0x09faf092, 0x04702694, 0x0ca2f315, 0xcc808691, 0x1132f3d4],
     [0x0000c0ae, 0x00000000, 0x6c6d469a, 0x0be2f212, 0x34598694,
      0x0682f596, 0x346c0694, 0x0b22f2d6, 0x185a6695, 0x0a6af7d5],
     [0x0000c0af, 0x00000000, 0x1c5a6696, 0x0a6af7d5, 0x1c5a6696,
      0x07d2f7d5, 0x985dc67e, 0x0a72fe55, 0x985dc67e, 0x0a72fe55],
     [0x0000c0b0, 0x00000000, 0x6068269a, 0x0b0af593, 0x6068269a,
      0x0b0af593, 0x1863a6e0, 0x09eaf596, 0x1863a6e0, 0x09eaf596],
     [0x0000c0b1, 0x00000000, 0xb46806b8, 0x09eaea96, 0xb46806b8,
      0x09eaea96, 0xe06866a8, 0x0a6aed97, 0xe06866a8, 0x0a6aed97],
     [0x0000c0b2, 0x00000000, 0xbc5366b8, 0x08bb0a16, 0x746a4665,
      0x0b92f318, 0xe05ec6b1, 0x0852f317, 0xe05ec6b1, 0x0852f317],
     [0x0000c0b3, 0x00000000, 0x9453642e, 0x08b30a0c, 0x206a4390,
      0x0b92f30d, 0xa05e23e1, 0x0a6af1cc, 0xa06643e1, 0x0a6b020c],
     [0x0000c0b4, 0x00000000, 0xb05e45c2, 0x0a6b01cf, 0x385e45c2,
      0x0a6b01d4, 0x98600562, 0x0a6afe50, 0x98600562, 0x0a6afe50],
     [0x0000c0b5, 0x00000000, 0xb061a4b6, 0x0a6afacf, 0xb061a4b6,
      0x0a6afacf, 0xc460a4cb, 0x0a72fd4f, 0xf060a47e, 0x0a72fd50],
     [0x0000c0b6, 0x00000000, 0xe066469b, 0x0a6af1d7, 0x045b6682,
      0x0a6b0798, 0x0460a6d6, 0x0a6afd18, 0xec666414, 0x0a6b048c],
     [0x0000c0b7, 0x00000000, 0x2c6a268a, 0x0a6aea18, 0xe073a6b1,
      0x0a6aead7, 0x886445c9, 0x0922ee12, 0x885dc6d0, 0x0822f097],
     [0x0000c0b8, 0x00000000, 0x9871c694, 0x0d22f092, 0xdc55c732,
      0x05f2ef54, 0xa061469f, 0x0962f2d4, 0xdc6d869a, 0x0be2f114],
     [0x0000c0b9, 0x00000000, 0xdc66e73f, 0x0a42f314, 0xa06c868c,
      0x0caaf80f, 0xa06c868c, 0x0caaf80f, 0xa06c868c, 0x0caaf80f],
     [0x00005d7a, 0x00000000, 0xc8aae717, 0x1f42fc4e, 0xacb58756,
      0x1f42fa0e, 0x54af6722, 0x1f42f90f, 0x28a6c713, 0x1f42fb4f],
     [0x00005d7b, 0x00000000, 0x00000000, 0x00000000, 0x74ab6735,
      0x1f42f68e, 0x00000000, 0x00000000, 0xa0ae2735, 0x1f42f38e],
     [0x00005d7c, 0x00000000, 0x14b1e732, 0x1f42f9cf, 0xbcadc731,
      0x1f42fb8e, 0xccb42738, 0x1f42f64e, 0xdcb6c738, 0x1f42f88e],
     [0x00005d7d, 0x00000000, 0x94b18726, 0x1f42f74f, 0x4cb14731,
      0x1f42fb4e, 0xe4b34731, 0x1f42f84e, 0x50baa72d, 0x1f42f38e],
     [0x00005d7e, 0x00000000, 0xa0abe72d, 0x1f42f98e, 0x08ace72a,
      0x1f42f30f, 0x3cb1c73a, 0x1f42f9ce, 0x14afa735, 0x1f42f38e],
     [0x00005d7f, 0x00000000, 0xa8a6272c, 0x1f42f4ce, 0x8cb1e735,
      0x1f42f38e, 0xd0b42732, 0x1f42fb4e, 0xb8ac6736, 0x1f42f84e],
     [0x0000c0c0, 0x00000000, 0xe02e26b1, 0x000291d7, 0xe02e26b1,
      0x000291d7, 0xe03466a8, 0x00028597, 0x2c36268a, 0x00028218],
     [0x00005d81, 0x00000000, 0x00000000, 0x00000000, 0xc8ae672f,
      0x1f42f94e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005d82, 0x00000000, 0x30b24729, 0x1f42f8cf, 0x6cb2c739,
      0x1f42fa8e, 0x18b14725, 0x1f42f70f, 0xe4b40726, 0x1f42fb4e],
     [0x00005d83, 0x00000000, 0xa8a92731, 0x1f42f70e, 0xa4b1673e,
      0x1f42fb0e, 0x00000000, 0x00000000, 0x84b0e730, 0x1f42f38e],
     [0x00005d84, 0x00000000, 0xb8b24735, 0x1f42f38e, 0xacaaa725,
      0x1f42f98e, 0x00000000, 0x00000000, 0x94b28732, 0x1f42f98f],
     [0x0000c0c5, 0x00000000, 0xf02ac74b, 0x00029897, 0xf047074b,
      0x0002d117, 0xa42e23a2, 0x000291cb, 0xa42e23a2, 0x000291cb],
     [0x0000c0c6, 0x00000000, 0x2022a3ae, 0x000283cb, 0x2033c3ae,
      0x0002a60b, 0xec32e6d8, 0x00028797, 0x2046c5e1, 0x0002de95],
     [0x0000c0c7, 0x00000000, 0xbc26c3c7, 0x0002904a, 0x602da3a2,
      0x000292cb, 0x602da3a2, 0x000292cb, 0x242c83a2, 0x0002950b],
     [0x0000d1aa, 0x00000000, 0xa094a69a, 0x16faf04f, 0xa08be68c,
      0x14daf20f, 0xa088a68c, 0x1362f20f, 0xa090869a, 0x159af20f],
     [0x0000d1ab, 0x00000000, 0xa08ea68c, 0x153af20f, 0xa08dc68c,
      0x15aaf50f, 0xa09d668c, 0x1952f34f, 0x589b669c, 0x1852f6cf],
     [0x0000c0ca, 0x00000000, 0xec2da414, 0x0002930c, 0xe422c37d,
      0x0002a8cb, 0x9032e392, 0x000283cb, 0xd832a380, 0x0002850b],
     [0x0000d1ad, 0x00000000, 0x5896268c, 0x1692f20f, 0xa088e68c,
      0x137af50f, 0x549b669b, 0x1852f6cf, 0xa09d668c, 0x1862f34f],
     [0x0000c0cc, 0x00000000, 0xf436237c, 0x0002820b, 0x5c33e35f,
      0x0002864c, 0xb43e835f, 0x0002710c, 0x243e835f, 0x0002710b],
     [0x00005d8d, 0x00000000, 0x3cace740, 0x1f42f44e, 0x44b4272e,
      0x1f42f88f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005d8e, 0x00000000, 0xa4a62731, 0x1f42f60e, 0x00000000,
      0x00000000, 0x28aae737, 0x1f42f94f, 0xa8b4871e, 0x1f42fc0e],
     [0x00005d8f, 0x00000000, 0x54b02721, 0x1f42f9cf, 0x20aa671a,
      0x1f42fa8f, 0x64b22728, 0x1f42f70f, 0xc4b0c72a, 0x1f42fa4e],
     [0x00005d90, 0x00000000, 0xd0a98726, 0x1f42f84e, 0x00000000,
      0x00000000, 0x90b4673a, 0x1f42fa0e, 0x58b4e726, 0x1f42f7cf],
     [0x00005d91, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa4b0873c, 0x1f42f84e, 0xf8a7e729, 0x1f42f80e],
     [0x0000d1b4, 0x00000000, 0x687a05c1, 0x0fa2f44f, 0x588aa5b5,
      0x13baf30f, 0x6c7ee5c1, 0x111af94c, 0x747605c1, 0x0e82f3cc],
     [0x00005d93, 0x00000000, 0xcca7672d, 0x1f42fc4e, 0xc0b06715,
      0x1f42f90f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000d1b6, 0x00000000, 0x6c87c5c1, 0x1322f34c, 0x6c9c65c1,
      0x17daf10c, 0x689705c1, 0x16f2f48f, 0x687be6ab, 0x101af44f],
     [0x00005d95, 0x00000000, 0x3cada726, 0x1f42fbcf, 0x00000000,
      0x00000000, 0x7cb0873c, 0x1f42f84e, 0xb4ad8730, 0x1f42f80e],
     [0x0000c0d6, 0x00000000, 0x00000000, 0x00000000, 0xe03363a6,
      0x00029449, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005d97, 0x00000000, 0x50b32721, 0x1f42f5cf, 0x00000000,
      0x00000000, 0x1cac0735, 0x1f42f88f, 0xccb3c727, 0x1f42fb4e],
     [0x0000c0d8, 0x00000000, 0xe470468a, 0x00028217, 0xf85fa69b,
      0x00028957, 0x0c6da3b2, 0x0002820b, 0x00000000, 0x00000000],
     [0x00005d99, 0x00000000, 0x6caa8732, 0x1f42f58e, 0x04b72725,
      0x1f42f78f, 0x00000000, 0x00000000, 0xb0b8e742, 0x1f42f30e],
     [0x00005d9a, 0x00000000, 0xf0b4a742, 0x1f42fbce, 0x18ab6735,
      0x1f42f90f, 0xb4b2073a, 0x1f42fc4e, 0xf4afa72e, 0x1f42f54e],
     [0x000149c1, 0x00000000, 0xa0b4a69c, 0x1ea2f6cf, 0x00000000,
      0x00000000, 0x689ce6a9, 0x18aaf6cf, 0x689ce6a9, 0x18b2f6cf],
     [0x00005617, 0x00000000, 0x00000000, 0x00000000, 0xb0b4c71e,
      0x1f42fc8e, 0xecb6a738, 0x1f43054e, 0x00000000, 0x00000000],
     [0x000149c2, 0x00000000, 0x6c9da6a9, 0x18baf6cf, 0xc8906611,
      0x1592f6d1, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0001bec1, 0x00000000, 0xa0a20693, 0x19f2f30f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005d9f, 0x00000000, 0x68b78747, 0x1f42fa0f, 0xfca6c70d,
      0x1f43194f, 0x08ae66e2, 0x1f430d50, 0x9cb586e7, 0x1f430b0f],
     [0x0e314016, 0x0003e874, 0xa0954685, 0x14dae80f, 0xa090e685,
      0x131affcf, 0xa0882685, 0x131aeb0f, 0x246bc68a, 0x0a6ae4cd],
     [0x00005da1, 0x00000000, 0x4cac472b, 0x1f430ecf, 0x00000000,
      0x00000000, 0xe4b1872c, 0x1f431a0e, 0xe8b18728, 0x1f43040e],
     [0x00005da2, 0x00000000, 0xb8b6a6de, 0x1f42ff8f, 0x8cb566de,
      0x1f430550, 0xe8baa6ff, 0x1f4305ce, 0x40b46747, 0x1f42f80e],
     [0x00005da3, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xc8b7c71e, 0x1f43044f, 0xd8b0c711, 0x1f43094e],
     [0x00005da4, 0x00000000, 0x2cade714, 0x1f430a0e, 0x60b28712,
      0x1f43048f, 0x88b1a6f2, 0x1f43084f, 0x4cb3e710, 0x1f4306cf],
     [0x00005da5, 0x00000000, 0x00000000, 0x00000000, 0xb8afe6c0,
      0x1f43088f, 0x88b38706, 0x1f43018f, 0x00000000, 0x00000000],
     [0x0000c0e6, 0x00000000, 0x589b669c, 0x1852f6cf, 0xa06cc68c,
      0x0c2af30f, 0xa09ea68c, 0x1852f58f, 0xa092c69a, 0x161af04f],
     [0x0000c0e7, 0x00000000, 0xa0b1a68c, 0x1d82f18f, 0x5896268c,
      0x1692f20f, 0xa08a668c, 0x143af80f, 0x549b669b, 0x1852f6cf],
     [0x0000c0e8, 0x00000000, 0xa09d668c, 0x1852f34f, 0xa089868c,
      0x131af20f, 0x00000000, 0x00000000, 0xa08ea68c, 0x14faf50f],
     [0x0000c0e9, 0x00000000, 0xa08e068c, 0x14daf5cf, 0xa095269c,
      0x15faefcf, 0xa0a4c68c, 0x1a22f28f, 0xa095e68c, 0x1692f20f],
     [0x0000c0ea, 0x00000000, 0xa0a2269c, 0x1942f1cf, 0xa09b069c,
      0x1802f50f, 0xa06cc77b, 0x0c2af30f, 0xa095277b, 0x15faefcf],
     [0x0000c0eb, 0x00000000, 0x688bc69c, 0x1422f44f, 0x6874269c,
      0x0de2f50f, 0x6c82a69c, 0x124af10c, 0x6864869c, 0x0a32f1cf],
     [0x0000c0ec, 0x00000000, 0x6883669c, 0x1202f10f, 0x688bc5c1,
      0x1422f44f, 0x6c80069c, 0x1162f94c, 0x6c7d25c1, 0x1032f10c],
     [0x0000c0ed, 0x00000000, 0x687a269c, 0x0fb2f48f, 0x687425c1,
      0x0de2f50f, 0x6c75269c, 0x0e5af3cc, 0x6c82a5c1, 0x124af10c],
     [0x0000c0ee, 0x00000000, 0x687a069c, 0x0faaf44f, 0x686485b5,
      0x0a32f1cf, 0xa08465c1, 0x122af34f, 0x5880669c, 0x111af2cf],
     [0x0000c0ef, 0x00000000, 0x6c8805b5, 0x1312f94c, 0x687c65c1,
      0x1032f1cf, 0x6c75669c, 0x0ea2f3cc, 0x687a05c1, 0x0fa2f44f],
     [0x0000c0f0, 0x00000000, 0x588aa5b5, 0x13baf30f, 0x6c7ee5c1,
      0x111af94c, 0x747605c1, 0x0e82f3cc, 0x6880a5b5, 0x11c2f44f],
     [0x0000c0f1, 0x00000000, 0x6877a5b5, 0x0f62f28f, 0x688365c1,
      0x1202f10f, 0x6c8d25c1, 0x146af40c, 0x6c87c5c1, 0x1322f34c],
     [0x0000c0f2, 0x00000000, 0x6c9c65c1, 0x17daf10c, 0x689705c1,
      0x16eaf48f, 0x6868a682, 0x0a7aed8f, 0x68836682, 0x1202f10f],
     [0x0000d1d5, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa091a69a, 0x1592f44f, 0xa088c68c, 0x13e3020f],
     [0x0000c0f4, 0x00000000, 0x787846a1, 0x0fa2fb8f, 0x688c069c,
      0x143af10f, 0xa09a269c, 0x173aefcf, 0x00000000, 0x00000000],
     [0x0001800a, 0x00000000, 0xdc64868c, 0x0a6afa0c, 0xdc62268c,
      0x0a6af54c, 0xc474a68c, 0x0fa2ff13, 0xfc8e060b, 0x156afa0e],
     [0x0000c0f6, 0x00000000, 0x6c9b669b, 0x1852f6cc, 0x6c7a05c1,
      0x0fa2f44c, 0x548f269b, 0x1542f94c, 0x747ae5df, 0x0fc2f3cc],
     [0x0000c0f7, 0x00000000, 0xa088a68c, 0x1362f20f, 0x6c77c5b5,
      0x0f5af94c, 0x6897e705, 0x17aaf6cf, 0xa077269c, 0x0f2af54f],
     [0x0000d1da, 0x00000000, 0xa08d868c, 0x1512f50f, 0xa08ce68c,
      0x140af18f, 0xa099869b, 0x1762f30f, 0xa09f668c, 0x1902f44f],
     [0x0000d1db, 0x00000000, 0xa096068c, 0x1722f80f, 0xa0a1669b,
      0x1932f1cf, 0xa098869b, 0x1782f60f, 0x28942680, 0x16faf94f],
     [0x0001800f, 0x00000000, 0x408c25fe, 0x156afc0f, 0x808e256a,
      0x156afa11, 0x408c25fe, 0x156afc0f, 0x8072468c, 0x0de2ff0f],
     [0x0000d1dd, 0x00000000, 0x6874c5c1, 0x0e1af44f, 0x6c7b869c,
      0x0fa2f50c, 0x6c79c5c1, 0x0ff2f6cc, 0x687a269c, 0x0fa2f3cf],
     [0x02998011, 0x0810c000, 0xa094267e, 0x1692f20f, 0xa089267e,
      0x131af10f, 0xa082c67e, 0x1162f0cf, 0x6897268c, 0x1692f60f],
     [0x0000c0fd, 0x00000000, 0x549b669b, 0x1852f6cf, 0x687445c1,
      0x0de2f44f, 0x6872e5c1, 0x0de2f18f, 0x00000000, 0x00000000],
     [0x05318013, 0x0da18000, 0xa089467e, 0x131af10f, 0xa0aa867e,
      0x1bcaf10f, 0x7496e67e, 0x1692f10f, 0x6894868c, 0x1692f68f],
     [0x0000d1e1, 0x00000000, 0x687ba5c1, 0x1012f6cf, 0x6c8aa5c1,
      0x13d2f44c, 0x6c83a5c1, 0x11eaf04c, 0x6c95e5c1, 0x1542f44c],
     [0x0000d1e2, 0x00000000, 0x6894a5b5, 0x1722f88f, 0x687a069b,
      0x0faaf44f, 0x687585c1, 0x0e72f44f, 0x687fc69c, 0x10c2f6cf],
     [0x0000c101, 0x00000000, 0x548e469b, 0x156af74f, 0x547ea69c,
      0x1162f6cf, 0xa06cc68c, 0x0c2af30f, 0xa06cc77c, 0x0c2af30f],
     [0x0000f89a, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xa079458d, 0x105afb4f],
     [0x0000c103, 0x00000000, 0xa09b2783, 0x17baf34f, 0x00000000,
      0x00000000, 0x4895e786, 0x1692f1cf, 0xe09ca68c, 0x1812f34c],
     [0x0000f89c, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x887c858c, 0x105af88c],
     [0x0000c105, 0x00000000, 0xe094e68c, 0x165af40c, 0xa08ea68c,
      0x14daf20f, 0xa0c6e694, 0x2352f60f, 0x5480e69b, 0x11d2f38f],
     [0x0000562c, 0x00000000, 0x00000000, 0x00000000, 0x98b6a705,
      0x1f42f94f, 0x00000000, 0x00000000, 0xc4b1073c, 0x1f42fc8e],
     [0x0000c107, 0x00000000, 0xa0b1a68c, 0x1d82f18f, 0xa09d668c,
      0x1852f34f, 0x549b669b, 0x1852f6cf, 0xa09c668c, 0x17d2f14f],
     [0x0001402a, 0x00000000, 0xd4702677, 0x0a6afbd7, 0x58984695,
      0x175af58f, 0xdc67c695, 0x0852f215, 0x20790587, 0x0fa2f110],
     [0x0000c109, 0x00000000, 0xa0a5a68c, 0x1a92f44f, 0xa095e68c,
      0x1692f20f, 0xe09ca68c, 0x1812f34c, 0xa097468c, 0x16e2efcf],
     [0x0000c10a, 0x00000000, 0xa0bba68c, 0x1fe2f34f, 0xe0bba68c,
      0x1fe2f34c, 0xa09d268c, 0x192af84f, 0xa0b9a68c, 0x1f62f20f],
     [0x0000c10b, 0x00000000, 0xa08c868c, 0x1502f2cf, 0x548f869b,
      0x156af74f, 0x54b1869b, 0x1ddaf34f, 0xa094668c, 0x1702f10f],
     [0x0000f8a4, 0x00000000, 0xa08dc497, 0x13caedcf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000c10d, 0x00000000, 0x648005b5, 0x10eaf2cd, 0x6873e5c1,
      0x0de2f44f, 0xa09c05bb, 0x17d2f18f, 0x5c7305c1, 0x0df2f44f],
     [0x0001402d, 0x00000000, 0xb06de6a1, 0x0a6b10d7, 0x647f05a9,
      0x1202df0c, 0x9c936685, 0x134afd0c, 0xa457657d, 0x07d2fad3],
     [0x0000c10f, 0x00000000, 0xa08e85b5, 0x148af30f, 0xa08265b5,
      0x1182f34f, 0x687a05c1, 0x0fa2f44f, 0xa08265b5, 0x1162f34f],
     [0x0000c110, 0x00000000, 0x6c8005c1, 0x1162f2cc, 0x687445c1,
      0x0de2f44f, 0xa07c25b5, 0x0feaf28f, 0x6c7d45b5, 0x1042f20c],
     [0x0000c111, 0x00000000, 0x6c95268c, 0x16b2f5cc, 0xa07b05b5,
      0x0fa2f10f, 0x648265b5, 0x1162f34d, 0xa08245b5, 0x117af30f],
     [0x0000c112, 0x00000000, 0xa0a585b5, 0x1a4af34f, 0x64a585b5,
      0x1a4af34d, 0xa08885b5, 0x12faf1cf, 0xa09b25b5, 0x17baf38f],
     [0x0000d1f5, 0x00000000, 0x6c79e698, 0x0fa2f50f, 0xa07a268c,
      0x0fa2f24f, 0x6c798698, 0x0fa2f50f, 0x6c79a698, 0x0fa2f48f],
     [0x0000c114, 0x00000000, 0x00000000, 0x00000000, 0x6873e682,
      0x0de2f44f, 0x6c7b268c, 0x1162f1cc, 0xa074c6b1, 0x0e1af34f],
     [0x0000c115, 0x00000000, 0x687425c1, 0x0e2af40f, 0x686ba5c1,
      0x0c2af44f, 0xa05e869b, 0x08b2f1cf, 0xa0652682, 0x08b2e68f],
     [0x0000c116, 0x00000000, 0x745f669b, 0x0a6adfcc, 0x749ba5b5,
      0x17c2f0cf, 0xa09d85b5, 0x183af34f, 0xa081468c, 0x1162f1cf],
     [0x0000c117, 0x00000000, 0xa08266b1, 0x1162f38f, 0x00000000,
      0x00000000, 0x6c7d469b, 0x0fa2f20c, 0x648265b5, 0x1162f34d],
     [0x0000c118, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa09ba68c, 0x18caf5cf, 0xa087e68c, 0x12d2f1cf],
     [0x0000d1fb, 0x00000000, 0x6c7a0698, 0x0fa2f40f, 0xa0684698,
      0x0fa3028f, 0xa079c698, 0x0fa2f30f, 0x6c7a6698, 0x0fa2f28f],
     [0x0000c11a, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa0c6868c, 0x231af58f, 0xa09c05b5, 0x17d2f18f],
     [0x0000d1fd, 0x00000000, 0x6c798698, 0x0fa2f50f, 0x6c79e698,
      0x0fa2f48f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000c11c, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x549b669b, 0x1852f6cf, 0x687a05c1, 0x0fa2f44f],
     [0x0000c11d, 0x00000000, 0x589fc69b, 0x18caf20f, 0x688345be,
      0x117af34f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x5b914035, 0x0006f0dd, 0x5894e794, 0x1692f4cf, 0x5894e771,
      0x1692f4cf, 0x5894e771, 0x1692f4cf, 0xe07fc5d2, 0x11d2fa0f],
     [0x000149e3, 0x00000000, 0x689cc6a9, 0x18a2f6cf, 0x689cc6a9,
      0x18a2f6cf, 0x689cc6a9, 0x18a2f6cf, 0x689cc6a9, 0x18a2f6cf],
     [0xdbf14036, 0x38d70cdf, 0xac94e6e4, 0x1692f4cd, 0x589b879b,
      0x1692fecf, 0x589b879b, 0x1692fecf, 0x589b8794, 0x1692fecf],
     [0x000149e4, 0x00000000, 0x689cc6a9, 0x18a2f6cf, 0x689cc6a9,
      0x18a2f6cf, 0x689cc6a9, 0x18a2f6cf, 0x689cc6a9, 0x18a2f6cf],
     [0x0000563a, 0x00000000, 0x00af6721, 0x1f430dcf, 0xb8af870d,
      0x1f42fa0e, 0x00000000, 0x00000000, 0x24b46700, 0x1f4302d0],
     [0x000149e5, 0x00000000, 0x88aa0662, 0x1bf2f6d0, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000c124, 0x00000000, 0xa088c729, 0x1392f18f, 0xa074c642,
      0x0e1af34f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000149e6, 0x00000000, 0x1895c63d, 0x1762f6d1, 0xd0adc610,
      0x1ce2f6d1, 0x1895c63d, 0x1762f6d1, 0x38ad05f6, 0x1cb2f6d2],
     [0x0000563c, 0x00000000, 0xe49fa71e, 0x1f43000e, 0xccad072e,
      0x1f430b0f, 0x78abe71e, 0x1f430d4f, 0x78ad671e, 0x1f43104f],
     [0x000149e7, 0x00000000, 0x20ae067c, 0x1cfaf6d0, 0xa4ade61a,
      0x1d02f6d1, 0xa0ae261b, 0x1d02f6d1, 0x0ca26601, 0x1a12f6d2],
     [0x0000f8c0, 0x00000000, 0x00000000, 0x00000000, 0x6488a6ef,
      0x1362f20c, 0x00000000, 0x00000000, 0x6492a6ef, 0x1692f64c],
     [0x000149e8, 0x00000000, 0x14a7463f, 0x1b4af6d1, 0x40a16634,
      0x19e2f6d1, 0x28ada63a, 0x1ce2f6d1, 0x28ada63a, 0x1ce2f6d1],
     [0x0000f8c2, 0x00000000, 0x00000000, 0x00000000, 0xf49d66ef,
      0x1852f34b, 0x00000000, 0x00000000, 0x649b66ef, 0x1852f6cc],
     [0x000149e9, 0x00000000, 0xa0acc69c, 0x1caaf6cf, 0xf0ae8648,
      0x1d12f6d0, 0xf0ae8648, 0x1d1af6d0, 0x147426ff, 0x0e7af6ce],
     [0x0001403c, 0x3ae75600, 0x6c7746a3, 0x0fa2ed4f, 0x7c7de677,
      0x1162ec8f, 0x6c75a6a1, 0x0fa2ed4f, 0x6c75a6a1, 0x0fa2ed4f],
     [0x000149ea, 0x00000000, 0xbca88657, 0x1b9af6d0, 0x50a2c670,
      0x1a22f6d0, 0x50a2c670, 0x1a22f6d0, 0x34a68637, 0x1b1af6d1],
     [0x00018043, 0x00000000, 0x688da75e, 0x14daf50f, 0x7872068a,
      0x0de2f44f, 0xa094275e, 0x1692f20f, 0x788a06a5, 0x1252f4cf],
     [0x0000f8c7, 0x00000000, 0x00000000, 0x00000000, 0xf48986ef,
      0x131af20b, 0x00000000, 0x00000000, 0x648ea6ef, 0x14faf50c],
     [0x0000f8c8, 0x00000000, 0x00000000, 0x00000000, 0xf48e06ef,
      0x14daf5cb, 0x00000000, 0x00000000, 0x649606ef, 0x169af18c],
     [0x0000f8c9, 0x00000000, 0x00000000, 0x00000000, 0x64a4c6ef,
      0x1a22f28c, 0x00000000, 0x00000000, 0xf495e6ef, 0x1692f20b],
     [0x0000f8ca, 0x00000000, 0x00000000, 0x00000000, 0x64a1a6ef,
      0x1922f0cc, 0x00000000, 0x00000000, 0x649b06ef, 0x1802f50c],
     [0x00018048, 0x00000000, 0x6897272a, 0x1692f60f, 0x38794656,
      0x0fa2f50c, 0x4097268c, 0x1692f60b, 0x387946e6, 0x0fa2f50c],
     [0x00018049, 0x00000000, 0xa096675e, 0x1692f28f, 0xa07b675e,
      0x0fa2f04f, 0xa096467e, 0x169af24f, 0xa07b6693, 0x0fa2f00f],
     [0x000149ee, 0x00000000, 0x90b30620, 0x1e3af6d1, 0x54a926b0,
      0x1bc2f68f, 0x64a2062b, 0x19faf6d1, 0x78a7462a, 0x1b4af711],
     [0x0001804b, 0x00000000, 0xa065e754, 0x0a6af28f, 0xa0618680,
      0x08b2edcf, 0x0c65e67e, 0x0a6af28d, 0x0c612693, 0x08b2f20d],
     [0x0001804c, 0x00000000, 0xa065e72a, 0x0a6af28f, 0xa05e25b4,
      0x08b2f20f, 0x6899867e, 0x175af28f, 0x38774693, 0x10d2f20c],
     [0x00005645, 0x00000000, 0x90aba73d, 0x1f43090e, 0x0ca1c71f,
      0x1f43138f, 0x9cb4272a, 0x1f43098e, 0xd8b7c6ce, 0x1f43028f],
     [0x0001804e, 0x00000000, 0xa08105b3, 0x10f2ef4f, 0xa0894762,
      0x131af10f, 0xa05ea762, 0x08b2f2cf, 0x4089467e, 0x131af10b],
     [0x0001804f, 0x00000000, 0x405ea693, 0x08b2f2cb, 0xa0894693,
      0x131af10f, 0xa06bc6a6, 0x0beaf2cf, 0xa08b667e, 0x1362f54f],
     [0x00018050, 0x00000000, 0xa06ac693, 0x0b92f2cf, 0xa089267e,
      0x131af08f, 0xa05ee693, 0x08b2f2cf, 0x7496e762, 0x1692f10f],
     [0x00005647, 0x00000000, 0x38b58731, 0x1f43010f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x30af6711, 0x1f43030f],
     [0x00018052, 0x00000000, 0xa07b268a, 0x0fa2f20f, 0xa08546a6,
      0x1272f30f, 0x5892a68e, 0x1632f20f, 0x387385b4, 0x0fc2f20c],
     [0x00005648, 0x00000000, 0x80ad4730, 0x1f42f90e, 0x00000000,
      0x00000000, 0x3cb6274a, 0x1f43094e, 0x00000000, 0x00000000],
     [0x00018054, 0x00000000, 0x68948762, 0x1692f68f, 0x7879468e,
      0x0fa2f54f, 0x88ad2684, 0x1bcaf58f, 0x7894c5b4, 0x1692f58f],
     [0x00018055, 0x00000000, 0xa0910762, 0x14daf24f, 0xa068668e,
      0x0a6aef4f, 0x4091067e, 0x14daf24b, 0x406865b4, 0x0a6aef4b],
     [0x0000f8d9, 0x00000000, 0x00000000, 0x00000000, 0xf491a6ef,
      0x14eaf60b, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00018057, 0x00000000, 0x687be75e, 0x1162f8cf, 0x786a668a,
      0x0c2af80f, 0x447be68c, 0x1162f8cc, 0x446a05b3, 0x0c2afacc],
     [0x0000f8db, 0x00000000, 0x00000000, 0x00000000, 0xf49d4701,
      0x17aae1cb, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00018059, 0x00000000, 0xa088a75e, 0x131af24f, 0x786826a5,
      0x09daf14f, 0xa088a67e, 0x132af24f, 0x8c618630, 0x08baf0cf],
     [0x0001805a, 0x00000000, 0x6896a739, 0x1692f18f, 0x787a8666,
      0x0fa2f04f, 0x6896a6ed, 0x1692f18f, 0x787a8619, 0x0fa2f04f],
     [0x0001805b, 0x00000000, 0x6896a754, 0x1692f18f, 0x787a8680,
      0x0fa2f04f, 0x6896a76a, 0x1692f18f, 0x787a86af, 0x0fa2f04f],
     [0x0000f8df, 0x00000000, 0xf48ea6ef, 0x14daf20b, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0001805d, 0x00000000, 0x74b3075e, 0x1d82ef4f, 0x6895468a,
      0x1692f34f, 0xa096675e, 0x1692f38f, 0x3879e68a, 0x0fa2f18c],
     [0x0001805e, 0x00000000, 0xa0966750, 0x1692f38f, 0xa0894762,
      0x1322f08f, 0xa072c68e, 0x0de2f4cf, 0xa089472a, 0x1322f08f],
     [0x00005e0a, 0x00000000, 0x3cb4470e, 0x1f42f9cf, 0x9cb4c719,
      0x1f42f90e, 0xccb4469c, 0x1f42fece, 0x20b1c6e6, 0x1f42f9d0],
     [0x00018060, 0x00000000, 0x78798693, 0x0fa2e94f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000564f, 0x00000000, 0x5cb72729, 0x1f43044e, 0x00000000,
      0x00000000, 0x9cb5c70d, 0x1f43108f, 0x00000000, 0x00000000],
     [0x00005e0d, 0x00000000, 0xe0b70724, 0x1f42f9cf, 0x5cb6470b,
      0x1f42f80e, 0x00000000, 0x00000000, 0x98b0673c, 0x1f42f7ce],
     [0x00005e0e, 0x00000000, 0x58b186cb, 0x1f42f3cf, 0xd0b6c70b,
      0x1f42f2cf, 0xd0b286d9, 0x1f42f7cf, 0x0caa271f, 0x1f4314cf],
     [0x00005e0f, 0x00000000, 0x7cb446f8, 0x1f42f8d0, 0x00000000,
      0x00000000, 0x24b146f1, 0x1f42f6cf, 0x94b46700, 0x1f42fc0f],
     [0x00005e10, 0x00000000, 0x14aaa6de, 0x1f42f8d0, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xacb9c72a, 0x1f42f5ce],
     [0x00005e11, 0x00000000, 0x00000000, 0x00000000, 0x0cb2e711,
      0x1f42fad0, 0x00000000, 0x00000000, 0xb8ad46f8, 0x1f42f9cf],
     [0x00005e12, 0x00000000, 0x3cafa70d, 0x1f42fbcf, 0xf8b4e71d,
      0x1f42f80e, 0x44b44722, 0x1f42f8cf, 0x00000000, 0x00000000],
     [0x00005e13, 0x00000000, 0x3cb8670a, 0x1f42f5cf, 0x14b626cd,
      0x1f42facf, 0x3cab86dd, 0x1f42f8cf, 0x00000000, 0x00000000],
     [0x00005e14, 0x00000000, 0x80af86cb, 0x1f42facf, 0x00000000,
      0x00000000, 0x58b2a6d0, 0x1f42f7d0, 0x00000000, 0x00000000],
     [0x0001806a, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xfc720694, 0x0d82f30b, 0x3861662b, 0x0912f14c],
     [0x0000f8ee, 0x00000000, 0xa076c691, 0x106b048f, 0xa0794691,
      0x106afb0f, 0x747a6691, 0x106af8cf, 0xa07c2692, 0x106af54f],
     [0x00005e17, 0x00000000, 0x28b4c6ed, 0x1f42f710, 0x60adc6fe,
      0x1f42f6cf, 0xb8b0e71d, 0x1f42f70f, 0x00000000, 0x00000000],
     [0x0001806d, 0x00000000, 0x00000000, 0x00000000, 0xa089467e,
      0x1322f08f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005e19, 0x00000000, 0x00b5c704, 0x1f42f510, 0x3cb3c6e1,
      0x1f42f40f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005e1a, 0x00000000, 0x28b0670c, 0x1f42fbcf, 0xe0a9a706,
      0x1f430ece, 0x50b2c71f, 0x1f42f9cf, 0xf0ba070d, 0x1f42f7cf],
     [0x00018070, 0x00000000, 0xa04ba6c8, 0x0502fb8f, 0xa05aa6c8,
      0x08c2fb8f, 0xa07086c8, 0x0d9af68f, 0x7c5c068c, 0x0a6b0e8f],
     [0x00014054, 0x00000000, 0x58960770, 0x1692f4cf, 0x6c7f66a1,
      0x0fa2ed4f, 0x80b4c68d, 0x1d82f3cf, 0x6c92c5b6, 0x1692ef8f],
     [0x00005e1d, 0x00000000, 0xb4b82702, 0x1f42f48f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xf0b6a70a, 0x1f42f3cf],
     [0x00014055, 0x00000000, 0xa08c6770, 0x14dae70f, 0xa06f26a1,
      0x0c2ae8cf, 0x048c6685, 0x14dae70a, 0x046f25b6, 0x0c2ad48a],
     [0x00005e1f, 0x00000000, 0xf0ad86d6, 0x1f42f4cf, 0x00000000,
      0x00000000, 0xecaea6ef, 0x1f42f40f, 0xc4b1c70b, 0x1f42f5cf],
     [0x00005e20, 0x00000000, 0x94b84728, 0x1f42f68e, 0x1cb7e739,
      0x1f43000f, 0x00000000, 0x00000000, 0x58b28725, 0x1f42f58e],
     [0x00005e21, 0x00000000, 0xacb8a70b, 0x1f42f68e, 0x5cb086e6,
      0x1f42f48f, 0xb0ae2726, 0x1f43070e, 0xecb76717, 0x1f42f38f],
     [0x0000565a, 0x00000000, 0xccac6726, 0x1f430c4e, 0x80b3c703,
      0x1f42fe4e, 0x34b44749, 0x1f4300ce, 0xd8af4727, 0x1f430c8e],
     [0x00005e23, 0x00000000, 0xf8b5c72e, 0x1f42f4ce, 0xdcb4e701,
      0x1f42fcce, 0xacb6c735, 0x1f42f6ce, 0xe4b0671b, 0x1f42f84e],
     [0x0000565b, 0x00000000, 0xa4ada733, 0x1f4309ce, 0x54b1c72e,
      0x1f430d4f, 0x54b5472f, 0x1f4305ce, 0x00000000, 0x00000000],
     [0x00005e25, 0x00000000, 0x58b32719, 0x1f42f84f, 0xd8b92742,
      0x1f42f38e, 0xfcb9c6fa, 0x1f42f58e, 0xb4b6670e, 0x1f42f40f],
     [0x00005e26, 0x00000000, 0x5cb72717, 0x1f42f40f, 0x40af46d5,
      0x1f42f58f, 0x4caea6fb, 0x1f42f58f, 0xf4b34728, 0x1f42f9ce],
     [0x00005e27, 0x00000000, 0xa0b62718, 0x1f42f78e, 0x00000000,
      0x00000000, 0xcca92710, 0x1f4313ce, 0xf4b8a741, 0x1f42f6ce],
     [0x00005e28, 0x00000000, 0x04b20732, 0x1f42f6cf, 0x60b8871f,
      0x1f42f58e, 0x04b3a6dc, 0x1f42f7cf, 0x30af670f, 0x1f42f6cf],
     [0x00005e29, 0x00000000, 0x44b5c712, 0x1f42f5cf, 0x80b0a702,
      0x1f42f7cf, 0x00000000, 0x00000000, 0x4caa673c, 0x1f43030f],
     [0x00005e2a, 0x00000000, 0x40b586dc, 0x1f42f40f, 0x8cac86ff,
      0x1f42f60f, 0x9cb1672b, 0x1f42f4cf, 0x28b7e6e7, 0x1f42f8cf],
     [0x00005e2b, 0x00000000, 0x74b806c2, 0x1f42f24f, 0x38ad86f9,
      0x1f42f40f, 0x00000000, 0x00000000, 0x54b38700, 0x1f42fe4f],
     [0x00005e2c, 0x00000000, 0x34b54709, 0x1f42f3d0, 0x7cb50719,
      0x1f42f8cf, 0x3cb66729, 0x1f42f4ce, 0x48b24734, 0x1f42f40f],
     [0x00005e2d, 0x00000000, 0x64b6472f, 0x1f42f40f, 0xe0b1272c,
      0x1f43030e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005e2e, 0x00000000, 0x00000000, 0x00000000, 0xa8b4c710,
      0x1f42f50f, 0x0cb4a735, 0x1f42f40f, 0x00b246f4, 0x1f42fccf],
     [0x00005e2f, 0x00000000, 0x1cb546f5, 0x1f42f9cf, 0x00000000,
      0x00000000, 0x44b926f0, 0x1f42f1cf, 0x00000000, 0x00000000],
     [0x00005e30, 0x00000000, 0x00000000, 0x00000000, 0x50b02701,
      0x1f42f5d0, 0x00000000, 0x00000000, 0x4cb72706, 0x1f42f90f],
     [0x00005e31, 0x00000000, 0x0cb46712, 0x1f42facf, 0xc0b36739,
      0x1f42f3ce, 0xa0b84725, 0x1f42f48e, 0x00000000, 0x00000000],
     [0x00005e32, 0x00000000, 0xb4b7e71b, 0x1f42f5cf, 0xacb70701,
      0x1f42face, 0x8ca98703, 0x1f42fc0f, 0xecb2471e, 0x1f42f70f],
     [0x00005e33, 0x00000000, 0xecb3a71b, 0x1f42face, 0x3cae8712,
      0x1f42f9cf, 0x20b6471c, 0x1f42f9cf, 0x9cb8e71e, 0x1f42f6ce],
     [0x00005e34, 0x00000000, 0x0cb5e72d, 0x1f43014f, 0x70b2c719,
      0x1f42f7cf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005e35, 0x00000000, 0x48b726ff, 0x1f42f6cf, 0x90b8071e,
      0x1f42f40f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005664, 0x00000000, 0x30b8a705, 0x1f42fa50, 0x00000000,
      0x00000000, 0x8caf6705, 0x1f42f64e, 0x8cb7e71a, 0x1f42f54f],
     [0x00005e37, 0x00000000, 0x00000000, 0x00000000, 0xa0b5a6dc,
      0x1f42fa0f, 0x98b2a70c, 0x1f42face, 0x90b8871e, 0x1f42f40e],
     [0x00014062, 0x00000000, 0x6c8ce628, 0x1182eccf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005e39, 0x00000000, 0x00000000, 0x00000000, 0x24ac4700,
      0x1f42f7cf, 0x00000000, 0x00000000, 0x84b4e730, 0x1f42f5ce],
     [0x00005666, 0x00000000, 0x38af46f1, 0x1f42f950, 0xc0b6271e,
      0x1f42f64e, 0x00000000, 0x00000000, 0x6caee71c, 0x1f43078e],
     [0x00004ba0, 0x00000000, 0xc899c6d0, 0x1f433194, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00014064, 0x00000000, 0x90930696, 0x1002fb8f, 0x00000000,
      0x00000000, 0x3081a6ab, 0x0fa2d84d, 0x00000000, 0x00000000],
     [0x00005e3d, 0x00000000, 0xf4b80720, 0x1f42f4cf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x40b0073b, 0x1f42f5ce],
     [0x00014065, 0x00000000, 0x00000000, 0x00000000, 0x789506a3,
      0x16faeacf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00018094, 0x00000000, 0x787225b4, 0x0de2f00f, 0x787be5b4,
      0x0fa2f4cf, 0x787be5b4, 0x0fa2f4cf, 0x78790693, 0x0fa2ff4f],
     [0x00014066, 0x00000000, 0x00000000, 0x00000000, 0x807ae69b,
      0x0fa2e84f, 0x7c62c6a3, 0x08b2ee8f, 0xa0770682, 0x0f02f20f],
     [0x00018096, 0x00000000, 0x7872e5b4, 0x0de2f30f, 0x787225b4,
      0x0de2f18f, 0x6c8fe5b4, 0x148af70f, 0x686f25c3, 0x0db2f30f],
     [0x00014067, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x6c79c5b6, 0x10c2ec8c, 0x00000000, 0x00000000],
     [0x00018098, 0x00000000, 0x508dc693, 0x1292f60c, 0x507765ca,
      0x10caf60c, 0x7481e5aa, 0x11d2f58f, 0xf87a85aa, 0x0fa2f2cb],
     [0x00018099, 0x00000000, 0x787b45aa, 0x0fa2f14f, 0xfc7be5aa,
      0x0fa2f14b, 0xa07b6693, 0x0fa2f04f, 0xfc73e693, 0x0f0af04b],
     [0x0001809a, 0x00000000, 0xa05e2693, 0x08b2f20f, 0x786565ae,
      0x0a6af24f, 0xa05b65aa, 0x0812f34f, 0xa0690693, 0x0af2f08f],
     [0x0001809b, 0x00000000, 0xa06bc693, 0x0bbaf10f, 0xfc6a8693,
      0x0972f08b, 0xfc81c693, 0x112af2cb, 0x789ec5aa, 0x1852f0cf],
     [0x0001809c, 0x00000000, 0xfca0a5aa, 0x191af0cb, 0xfc96c5b4,
      0x1852f20b, 0xfc7ec5b4, 0x108adc8b, 0xfc89e5b4, 0x10aaf20b],
     [0x0001406a, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xfc6e0694, 0x0c82f98b, 0x3862a63a, 0x08f2e1cc],
     [0x0001809e, 0x00000000, 0xfc8cc693, 0x14daf80b, 0x786b85aa,
      0x0b92f58f, 0x786c0693, 0x0b92f58f, 0xfc7905aa, 0x0d12f58b],
     [0x0000566e, 0x00000000, 0x00000000, 0x00000000, 0xccb6472b,
      0x1f42f68e, 0xacb64712, 0x1f42f60e, 0xc0b0c72d, 0x1f43058e],
     [0x000180a0, 0x00000000, 0xa07945b8, 0x0edaf34f, 0xa07945b8,
      0x0edaf34f, 0x386a05b2, 0x0c2afa8c, 0xfc6d0693, 0x0a12dc8b],
     [0x0000566f, 0x00000000, 0x04b5c6f1, 0x1f42f550, 0x6cb02711,
      0x1f42f80e, 0xf0b24722, 0x1f42fece, 0x00000000, 0x00000000],
     [0x000180a2, 0x00000000, 0xfc61e62b, 0x0872f14b, 0x787a85aa,
      0x0fa2f04f, 0x787bc5aa, 0x10caf98f, 0x787a05b4, 0x0fa2f60f],
     [0x00005670, 0x00000000, 0xb8b4c6e8, 0x1f42f60e, 0xc8b0670c,
      0x1f42f54e, 0x00000000, 0x00000000, 0x20b546f5, 0x1f42f810],
     [0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00019400, 0x00000000, 0xa03e83e8, 0x07d2ee0f, 0x3877a693,
      0x10eaf60c, 0xd07c2438, 0x101af38b, 0xac56a69a, 0x0a030dcc],
     [0x00019401, 0x00000000, 0xa07f0684, 0x1042fbcf, 0x7875a5aa,
      0x0e62f28f, 0x1063661d, 0x0aa2f910, 0x1084a61d, 0x12eaf8d0],
     [0x00005672, 0x00000000, 0x2cb726e5, 0x1f42f80f, 0xfcb7a705,
      0x1f42f5ce, 0xdcaee71b, 0x1f42f64e, 0xe8ac86fe, 0x1f42f94f],
     [0x000180a8, 0x00000000, 0x3c88462e, 0x12c2f40c, 0xa070a693,
      0x0e12fa0f, 0xa070a693, 0x0e12fa0f, 0x789f6693, 0x1912f4cf],
     [0x00019404, 0x00000000, 0x647f4640, 0x12b3028f, 0x846b85a9,
      0x0cfaee10, 0x647f0640, 0x12b3020f, 0x6499a640, 0x18d2fdcf],
     [0x00019405, 0x00000000, 0x6499e640, 0x18d2fe4f, 0x886fa5a9,
      0x0e7aff90, 0x886fa5a9, 0x0e7aff90, 0x787d46c1, 0x105af50e],
     [0x00019406, 0x00000000, 0x6c68c5ec, 0x0c92fe0f, 0x308ca67e,
      0x156afd0d, 0x6c68c5ec, 0x0c92fe0f, 0x308ca67e, 0x156afd0d],
     [0x00019407, 0x00000000, 0xa091867e, 0x15b2f58f, 0xa091867e,
      0x15b2f58f, 0xa090867e, 0x15b2f78f, 0x287a46ae, 0x105af98c],
     [0x00019408, 0x00000000, 0x749e6797, 0x170afecf, 0x7c9e679a,
      0x170b0010, 0x7c9e6797, 0x170b0010, 0xa08f4594, 0x156af84f],
     [0x00019409, 0x00000000, 0x545345ab, 0x0853070f, 0x546e25ab,
      0x0ca2f3cf, 0x746b05ab, 0x0df3048f, 0x5487c5ab, 0x130af3cf],
     [0x00005676, 0x00000000, 0x1cb40707, 0x1f42f50e, 0x68b86710,
      0x1f42f40f, 0xe0b846fc, 0x1f42f84f, 0x00b206dd, 0x1f42f80f],
     [0x00004bc0, 0x00000000, 0xa8b2a5c1, 0x1f430554, 0x3880e703,
      0x1f43568f, 0x5c8946a5, 0x1f434a56, 0x1c6566d8, 0x1f42f7d0],
     [0x00004bc1, 0x00000000, 0x18ad26c7, 0x1f4319d0, 0x0c88e6f4,
      0x1f43534f, 0x04b4a672, 0x1f42fe92, 0x60aba630, 0x1f431154],
     [0x00004bc2, 0x00000000, 0xa4b786cd, 0x1f42fa50, 0xbcb646cb,
      0x1f43058f, 0x94b3c684, 0x1f430850, 0xc4b926b4, 0x1f42fd11],
     [0x00004bc3, 0x00000000, 0x94a466e0, 0x1f4316cf, 0x44aa66c1,
      0x1f4313d7, 0x9887c694, 0x1f434d50, 0x24b726d8, 0x1f430b50],
     [0x00004bc4, 0x00000000, 0x98aca657, 0x1f431390, 0x78a646a6,
      0x1f4308d0, 0x70a5071b, 0x1f42ff4f, 0x5ca58707, 0x1f431a4f],
     [0x00019410, 0x00000000, 0xc48c271a, 0x156afc0a, 0xc48c071a,
      0x156afbca, 0x308c267e, 0x156afe0d, 0x308c267e, 0x156afe0d],
     [0x00019411, 0x00000000, 0x308c067e, 0x156afbcd, 0x308d467e,
      0x156afe4d, 0x748d46ab, 0x15bafe4c, 0x748d46ab, 0x15bafe4c],
     [0x0000567a, 0x00000000, 0x08b6c71b, 0x1f42f78f, 0x3cb6e703,
      0x1f42f60e, 0x58b2c6ee, 0x1f42f710, 0xe8b366d5, 0x1f42fe4f],
     [0x00019413, 0x00000000, 0xc4a18657, 0x1a52fa8d, 0xc4a18657,
      0x1a52fa8d, 0xc4a18657, 0x1a52fa8d, 0x888ca6e8, 0x156afd0b],
     [0x00004bc9, 0x00000000, 0xf4b3a711, 0x1f430d4f, 0x78b7c710,
      0x1f42fb4f, 0xf4b466ec, 0x1f4304ce, 0x40aba64a, 0x1f4313d3],
     [0x00004bca, 0x00000000, 0xbcb30722, 0x1f430d4e, 0x7cada6ea,
      0x1f43110f, 0x98b446fd, 0x1f42fa4f, 0xc4a326ef, 0x1f43008f],
     [0x0000567c, 0x00000000, 0x00000000, 0x00000000, 0x84b8a71f,
      0x1f42f60e, 0x6caf86f2, 0x1f42f48f, 0x68ae46f3, 0x1f42f90f],
     [0x00019417, 0x00000000, 0x0893064f, 0x156afb8d, 0x7c8ca659,
      0x156afd0d, 0x7c8ca659, 0x156afd0d, 0x9c8d26b6, 0x156afe0a],
     [0x000180bd, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x3467e377, 0x0a6aee4c],
     [0x00019419, 0x00000000, 0xa0cfc7e6, 0x2542f58f, 0xa0db8992,
      0x28fafbcf, 0x8cab65aa, 0x1cf2fbd0, 0x84ab65fa, 0x1cf2fbd0],
     [0x0001941a, 0x00000000, 0x7c8e2602, 0x156afa10, 0x0c8e2607,
      0x156afa0f, 0x508cc736, 0x156afd0a, 0x0c8c26c2, 0x156afc0c],
     [0x0001941b, 0x00000000, 0x0c8c26c2, 0x156afc0c, 0x508cc736,
      0x156afd4a, 0xc48bc71a, 0x156afb4a, 0xc48d871a, 0x156afeca],
     [0x00004bd1, 0x00000000, 0x1cabc728, 0x1f43084e, 0x88b12716,
      0x1f430acf, 0xa0b006c5, 0x1f430dcf, 0xd89986bb, 0x1f43308f],
     [0x0001941d, 0x00000000, 0x308e467e, 0x156b004d, 0x34b0067f,
      0x1d2af44d, 0x30b0067e, 0x1d2af44d, 0x30d2867e, 0x26c2f8cd],
     [0x00005e6e, 0x00000000, 0xb4a5a701, 0x1f4319ce, 0x98a8e736,
      0x1f43128e, 0xecaa26f1, 0x1f43170e, 0xf0a76717, 0x1f43210e],
     [0x0001941f, 0x00000000, 0xac93c69a, 0x16e2fa8c, 0x308e067e,
      0x156af9cd, 0x30802713, 0x0ebaf80d, 0x308ca6c8, 0x156afd0d],
     [0x00004bd5, 0x00000000, 0xe8baa716, 0x1f43088e, 0xdcb64717,
      0x1f43124f, 0xe8b6a6f3, 0x1f43010e, 0xacb2e6e7, 0x1f43098f],
     [0x00004bd6, 0x00000000, 0x18b4a71b, 0x1f4307cf, 0x8c982723,
      0x1f431b4e, 0xd09c672b, 0x1f430e4e, 0xf8af6704, 0x1f43144e],
     [0x00004bd7, 0x00000000, 0x6cb20730, 0x1f43098e, 0xa8b5a70a,
      0x1f430e8f, 0xd0b186fe, 0x1f430a4f, 0x98b2e6b8, 0x1f430810],
     [0x00019423, 0x00000000, 0x4c8ca735, 0x156afd0a, 0xd88ca6d1,
      0x156afd0b, 0x308c067e, 0x156afe4d, 0x308c067e, 0x156afe4d],
     [0x00019424, 0x00000000, 0xc48e2619, 0x156afa0e, 0xa08a05aa,
      0x13c2f48f, 0x789365ec, 0x1582f74f, 0x6884e5c3, 0x11daf30f],
     [0x00004bda, 0x00000000, 0x90b4072e, 0x1f42fcd3, 0xfca6c70d,
      0x1f43194f, 0x18b68719, 0x1f43028f, 0xccb4c63e, 0x1f42fc91],
     [0x00004bdb, 0x00000000, 0x089966e2, 0x1f432f10, 0xe0b16711,
      0x1f4311ce, 0xa8b4e713, 0x1f43140f, 0x24a526c3, 0x1f42fe50],
     [0x00004bdc, 0x00000000, 0x68ae86ce, 0x1f430d4f, 0xb4a5a701,
      0x1f4319ce, 0x18b7472a, 0x1f430b0f, 0xd4b786f1, 0x1f43108f],
     [0x00005685, 0x00000000, 0x00000000, 0x00000000, 0x8cb7271e,
      0x1f42f90e, 0xf4b7e704, 0x1f42fd8f, 0xb0b466e4, 0x1f42f70f],
     [0x00019429, 0x00000000, 0x247b6693, 0x1062f04b, 0x18734642,
      0x0f32fe0e, 0x18734642, 0x0f32fe0e, 0x2c8ca6f9, 0x156afd0d],
     [0x0001942a, 0x00000000, 0x2c8ca6f9, 0x156afd0d, 0x9c8ca6f9,
      0x156afd0d, 0x9c8ca6f9, 0x156afd0d, 0xc48e265a, 0x156afa0d],
     [0x00004be0, 0x00000000, 0x98b46738, 0x1f43048e, 0x08a38723,
      0x1f431bcf, 0xc8acc6f2, 0x1f43204f, 0x2c99e72e, 0x1f432c0f],
     [0x00004be1, 0x00000000, 0x28b146f6, 0x1f430a90, 0xb0ace6e8,
      0x1f4312cf, 0xfcb086dd, 0x1f430a4e, 0xc8b04725, 0x1f42ffce],
     [0x00004be2, 0x00000000, 0x48b5c737, 0x1f42fcce, 0xe0b5e703,
      0x1f43270e, 0x40b1c739, 0x1f43210f, 0xa8b00711, 0x1f430b4e],
     [0x00004be3, 0x00000000, 0xc8afa701, 0x1f430c0e, 0x8ca466f9,
      0x1f4314cf, 0x68b606d0, 0x1f42fdd0, 0xccb68714, 0x1f42fe4e],
     [0x00004be4, 0x00000000, 0xdcb5272a, 0x1f42fb8e, 0x88b066e5,
      0x1f430e8f, 0x74b4e720, 0x1f43114f, 0x94a1873b, 0x1f430d8e],
     [0x00004be5, 0x00000000, 0x4cae8720, 0x1f43068f, 0xc8b8a6e9,
      0x1f42f94f, 0x08b4e6f8, 0x1f430850, 0x24b726fd, 0x1f430f0f],
     [0x00004be6, 0x00000000, 0x949e8736, 0x1f43190e, 0xe8a30707,
      0x1f4315ce, 0xa8b28739, 0x1f43084e, 0xe8b66729, 0x1f43040e],
     [0x00019432, 0x00000000, 0x6896068c, 0x16f2f28f, 0x3881e5b4,
      0x118af40c, 0xfc6b45be, 0x0bd2f08b, 0x4868c685, 0x0c6b00d6],
     [0x00004be8, 0x00000000, 0xfcb62702, 0x1f42f98e, 0x8cae8725,
      0x1f43084e, 0x84b20713, 0x1f43220f, 0x7caa06fb, 0x1f43160f],
     [0x00019434, 0x00000000, 0x8869c6a6, 0x0bc2f597, 0x306ce67e,
      0x0f830a8d, 0x887586a6, 0x0eb2f597, 0x307ea67e, 0x13f2f6cd],
     [0x00004bea, 0x00000000, 0x2ca9e702, 0x1f4319cf, 0x4cb06745,
      0x1f42ff8e, 0xb4b06719, 0x1f43110e, 0xfcad6729, 0x1f42f8ce],
     [0x00004beb, 0x00000000, 0x8caea6db, 0x1f43124f, 0xe4afc730,
      0x1f43054e, 0xacafc72a, 0x1f430c4e, 0x58aee6e8, 0x1f430ed0],
     [0x00004bec, 0x00000000, 0x6cb0c740, 0x1f43028e, 0x4caee736,
      0x1f43078e, 0x9cab66e3, 0x1f4307cf, 0x80b3872f, 0x1f42ff8e],
     [0x00004bed, 0x00000000, 0xacad071e, 0x1f431bce, 0x94b7c6ff,
      0x1f43028f, 0xc0b6270d, 0x1f430e8e, 0x5cb54735, 0x1f42fc0e],
     [0x00019439, 0x00000000, 0xf087c72c, 0x13e2fa8b, 0xf087c72c,
      0x13e2fa8b, 0xf087c72c, 0x13e2fa8b, 0xf087c72c, 0x13e2fa8b],
     [0x0001943a, 0x00000000, 0x8096056a, 0x1772fa91, 0x109605c6,
      0x1772fa90, 0x109605c6, 0x1772fa90, 0x10960506, 0x1772fa93],
     [0x0001943b, 0x00000000, 0x8096057a, 0x1772fa91, 0x80b5456a,
      0x1f42fa91, 0x10b545c6, 0x1f42fa90, 0x08b54608, 0x1f42fa8f],
     [0x00004bf1, 0x00000000, 0xa0a10726, 0x1f4320ce, 0x10b5872a,
      0x1f42fc4f, 0x68b7673a, 0x1f43060e, 0xccb6e73b, 0x1f42f98e],
     [0x0001943d, 0x00000000, 0xf087c72c, 0x13e2fa8b, 0xf087c72c,
      0x13e2fa8b, 0xf087c72c, 0x13e2fa8b, 0xb8a7e69c, 0x1cf302cc],
     [0x00004bf3, 0x00000000, 0x38b1c701, 0x1f43194f, 0xf0a9e71f,
      0x1f430a4e, 0x50b5a703, 0x1f43054f, 0x04b5a72a, 0x1f43158f],
     [0x0001943f, 0x00000000, 0x6497862f, 0x17d2fa8e, 0xa0696630,
      0x0c82fc4f, 0xa0576681, 0x07fafc0f, 0xa0680681, 0x0c22fc0f],
     [0x00019440, 0x00000000, 0x00edc64a, 0x2e03038e, 0x00c4254a,
      0x2372fe52, 0xa076278d, 0x1023004f, 0xa075678d, 0x0fa2fc4f],
     [0x00019441, 0x00000000, 0xa095e6da, 0x1853050f, 0xa0760780,
      0x0fa2f80f, 0xa06646dd, 0x0c2b024f, 0xa07426da, 0x0fa2fd0f],
     [0x00019442, 0x00000000, 0x88a36666, 0x1a52f6cd, 0x608a46ed,
      0x15e3058e, 0xac76c69a, 0x105b000c, 0xac76c69a, 0x105b000c],
     [0x00019443, 0x00000000, 0xa49aa713, 0x1822f6cd, 0x38be45fc,
      0x21aafbcf, 0xfc8e060b, 0x156afa0e, 0x28aaa67d, 0x1c72f94d],
     [0x00019444, 0x00000000, 0xb892661f, 0x1662f94e, 0x808e2746,
      0x156afa11, 0xc066671b, 0x0ffb1e0a, 0x30a7a6d7, 0x1cf3034d],
     [0x00019445, 0x00000000, 0xfc8e260b, 0x1572fa4e, 0xa069442a,
      0x0c32fa0f, 0x2cbfa790, 0x211af78d, 0x30aa467e, 0x211b1f0d],
     [0x00019446, 0x00000000, 0x0098469e, 0x182afbcd, 0x58ab8688,
      0x1cf2fbcd, 0xd8ad46d3, 0x1c6af3cd, 0x08b346bf, 0x1de2f38e],
     [0x00019447, 0x00000000, 0x3c6885c2, 0x0fa316ce, 0xa0936690,
      0x17fb040f, 0x3c5be5c2, 0x094afd8e, 0xa10e4690, 0x36b3040f],
     [0x00019448, 0x00000000, 0xa0fea690, 0x32cb040f, 0xa0fea690,
      0x32cb040f, 0xa0fea690, 0x32cb040f, 0xa0fea690, 0x32cb040f],
     [0x00019449, 0x00000000, 0xa1318690, 0x3f83040f, 0xa0fea690,
      0x32cb040f, 0xa0fc8690, 0x3243040f, 0xa1528690, 0x47c3040f],
     [0x0001944a, 0x00000000, 0x94530581, 0x0322de13, 0xa1318690,
      0x3f83040f, 0xa1318690, 0x3f83040f, 0xa0fea690, 0x32cb040f],
     [0x00004c00, 0x00000000, 0xa03e83e8, 0x1f42ee0f, 0xe48ca5d8,
      0x1f434c13, 0xa48c45dd, 0x1f434c53, 0xf88ec609, 0x1f433391],
     [0x00004c01, 0x00000000, 0x00000000, 0x00000000, 0xb4a42698,
      0x1f431390, 0x90a606e4, 0x1f431850, 0xc8a32695, 0x1f431e90],
     [0x00004c02, 0x00000000, 0x2cab473c, 0x1f43800e, 0x2c72a73c,
      0x1f430e4e, 0x2cb6c73c, 0x1f436f0e, 0x2c7b473c, 0x1f42f74e],
     [0x00004c03, 0x00000000, 0xd0b12725, 0x1f437fd1, 0xd472c651,
      0x1f43064e, 0xe0ada71a, 0x1f437651, 0xa877a64c, 0x1f430a4e],
     [0x00004c04, 0x00000000, 0x0caa4748, 0x1f437f8e, 0x0c72c748,
      0x1f43110e, 0xacb266f8, 0x1f43004f, 0x14a8c6c5, 0x1f431290],
     [0x00019450, 0x00000000, 0x30ab867e, 0x1cf2fb8d, 0x30ab867e,
      0x1cf2fb8d, 0x30ab867e, 0x1cf2fb8d, 0x18632583, 0x0ffb2511],
     [0x000180f6, 0x00000000, 0x3c94868c, 0x1692f68c, 0x3c7945b4,
      0x0fa2f54c, 0x388c468c, 0x14daf50c, 0x387505d2, 0x0e6af6cc],
     [0x00004c07, 0x00000000, 0x00000000, 0x00000000, 0x98b10735,
      0x1f437998, 0x74752731, 0x1f430018, 0x00000000, 0x00000000],
     [0x00019453, 0x00000000, 0x30ab867e, 0x1cf2fbcd, 0x30ab667e,
      0x1cf2fb8d, 0x30ab867d, 0x1cf2fb8d, 0x3463257c, 0x0ffb2511],
     [0x00004c09, 0x00000000, 0x349f46d8, 0x1f431691, 0xf8a0e752,
      0x1f431e8e, 0x78ac26f7, 0x1f430897, 0x38a886ef, 0x1f431295],
     [0x00004c0a, 0x00000000, 0x90abe6f0, 0x1f431250, 0x18b186e8,
      0x1f4318d0, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000569c, 0x00000000, 0xacb2c6e7, 0x1f43004f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00019457, 0x00000000, 0xdc7bc369, 0x0f02eb8c, 0x74e14797,
      0x16fafecf, 0xa0b007a3, 0x1c0ae7d7, 0xa0b1c7a3, 0x1c0aeb57],
     [0x00019458, 0x00000000, 0x8cb0049e, 0x1c0ae7cb, 0x8cb1c49e,
      0x1c0aeb4b, 0x8c67436a, 0x0a2aedcb, 0x712648aa, 0x39a2eb9c],
     [0x00019459, 0x00000000, 0x7126436a, 0x39a2eb87, 0xf92347a3,
      0x38e2e7d4, 0xf92527a3, 0x38e2eb94, 0x8d234548, 0x38e2e7cb],
     [0x0001945a, 0x00000000, 0x8d252548, 0x38e2eb8b, 0x492347a3,
      0x38e2e7d8, 0x492527a3, 0x38e2eb98, 0x8d234474, 0x38e2e7cb],
     [0x00004c10, 0x00000000, 0x00000000, 0x00000000, 0x509ea665,
      0x1f43218e, 0x58a80716, 0x1f43118e, 0x78a1465e, 0x1f431fd1],
     [0x00004c11, 0x00000000, 0x18a8c6b5, 0x1f430a51, 0xe893e647,
      0x1f43308e, 0x049a46ec, 0x1f43248f, 0xcc9b4650, 0x1f43284f],
     [0x00004c12, 0x00000000, 0xcca3a6e1, 0x1f431ecf, 0xac9ee664,
      0x1f43178f, 0xa0a9e6f6, 0x1f43070f, 0x30aaa6cf, 0x1f431190],
     [0x00004c13, 0x00000000, 0x30ab86e9, 0x1f430e50, 0x389a66e6,
      0x1f431e50, 0x38a68708, 0x1f431410, 0x008ee703, 0x1f43294f],
     [0x00018104, 0x00000000, 0xa096268a, 0x164af04f, 0xa086a67e,
      0x131af2cf, 0xa088e67e, 0x145af2cf, 0xa082867e, 0x11daf2cf],
     [0x00019460, 0x00000000, 0xa06b067e, 0x0c8af94f, 0xa08d467e,
      0x13d3008f, 0xa08de68a, 0x14d2f5cf, 0xa09e867e, 0x1a5b00cf],
     [0x00004c16, 0x00000000, 0xe8a106ec, 0x1f431c0f, 0x4cada6f9,
      0x1f430a4e, 0x4caf8743, 0x1f430a4e, 0xe8b066a8, 0x1f43044f],
     [0x00004c17, 0x00000000, 0xe8b60700, 0x1f43010f, 0x60a3c6db,
      0x1f4319cf, 0x60af66db, 0x1f43130f, 0xb4a586d4, 0x1f43134f],
     [0x00004c18, 0x00000000, 0xb4ae06f2, 0x1f43134f, 0xc8a166e6,
      0x1f43198e, 0xc8abe723, 0x1f43164e, 0x0ca105bb, 0x1f431750],
     [0x00004c19, 0x00000000, 0x1cabe62d, 0x1f430710, 0x1cb5c6f3,
      0x1f430050, 0x54a6c6bc, 0x1f430dd0, 0x54ad46bc, 0x1f430a90],
     [0x00004c1a, 0x00000000, 0x909e46db, 0x1f43274f, 0x90aa46f3,
      0x1f431d0f, 0xc8a8e6ff, 0x1f43164f, 0x0ca506c9, 0x1f431310],
     [0x00004c1b, 0x00000000, 0x4ca906d3, 0x1f431090, 0x74ab26e6,
      0x1f43064f, 0xd0a8a6b7, 0x1f430b10, 0x44aa06a1, 0x1f43130f],
     [0x0001810c, 0x00000000, 0x787645b4, 0x0e12f74f, 0x787a4695,
      0x0fdaf7cf, 0xa07545aa, 0x0ed2f40f, 0xa06ee5aa, 0x0c52f24f],
     [0x00004c1d, 0x00000000, 0x7cb186f2, 0x1f430b4f, 0x54afa6df,
      0x1f4307d0, 0x54b166df, 0x1f430110, 0x54b046df, 0x1f430110],
     [0x00019469, 0x00000000, 0x7871c5ad, 0x0d52ee8f, 0x787865b7,
      0x0fbaf84f, 0x408985b8, 0x13c2f68c, 0x447585b7, 0x0c7ae90c],
     [0x00004c1f, 0x00000000, 0xd4b706ca, 0x1f43014f, 0xd4b886ef,
      0x1f43014f, 0xa8a166d1, 0x1f43224f, 0xe0ae86d9, 0x1f43110f],
     [0x00018110, 0x00000000, 0x3c7865b4, 0x0f9aed8c, 0x787405b4,
      0x0e42f84f, 0xa073c5aa, 0x0d92f00f, 0x387ae5aa, 0x0f5af00c],
     [0x00018111, 0x00000000, 0x3c8de67e, 0x1532f8cc, 0xa07a05aa,
      0x0f4af18f, 0x7c7d45aa, 0x106af3cd, 0xa07ba5aa, 0x1002f28f],
     [0x00004c22, 0x00000000, 0x5ca3a6f0, 0x1f431bcf, 0x789b86fa,
      0x1f43290f, 0xd89926fe, 0x1f432c8e, 0xa89d26c7, 0x1f431f8f],
     [0x00004c23, 0x00000000, 0x64b0e708, 0x1f43040f, 0xb8a106e4,
      0x1f431dcf, 0x009fe654, 0x1f43188f, 0x00a926f4, 0x1f43068f],
     [0x00004c24, 0x00000000, 0xcca766db, 0x1f430e4f, 0xc4a526e4,
      0x1f43134f, 0xc8a48703, 0x1f431e0e, 0xd0aa66e6, 0x1f430c4f],
     [0x00004c25, 0x00000000, 0x88b1c709, 0x1f43214e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00004c26, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x088a46d1, 0x1f435098],
     [0x00004c27, 0x00000000, 0x788966e8, 0x1f435258, 0x48a3a679,
      0x1f431bd0, 0x48a0c6d6, 0x1f430290, 0x00000000, 0x00000000],
     [0x00004c28, 0x00000000, 0x00000000, 0x00000000, 0x3c9aa621,
      0x1f432e90, 0x58a066a8, 0x1f431dd0, 0xe88ce657, 0x1f43264f],
     [0x00004c29, 0x00000000, 0xe88d66e2, 0x1f43124f, 0xb496262c,
      0x1f432b4f, 0xd09ea6bd, 0x1f431f0f, 0xac9f45f5, 0x1f432151],
     [0x00004c2a, 0x00000000, 0xa0a6c657, 0x1f4310d1, 0xd0a0e643,
      0x1f43258f, 0xd0a646d0, 0x1f43118f, 0x9c9a06c5, 0x1f431a50],
     [0x00004c2b, 0x00000000, 0x9caac6eb, 0x1f431710, 0x5ca4e6a2,
      0x1f43130f, 0x5cad46fa, 0x1f43130f, 0xb899e69d, 0x1f431ecf],
     [0x00007dac, 0x00000000, 0x00000000, 0x00000000, 0x48b66729,
      0x1f42f84e, 0x48b66729, 0x1f42f84e, 0x48b66729, 0x1f42f84e],
     [0x0001811d, 0x00000000, 0x749d868c, 0x17f2f20f, 0x688105b0,
      0x10daf2cf, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00004d00, 0x00000000, 0x00000000, 0x00000000, 0x64b046ea,
      0x1f430490, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00004c2f, 0x00000000, 0x54a666e7, 0x1f431190, 0x6c9da650,
      0x1f43220f, 0x6cabe6f4, 0x1f4317cf, 0xd89b868a, 0x1f431d8f],
     [0x00004c30, 0x00000000, 0xd8ad86d6, 0x1f43134f, 0xb0a886e0,
      0x1f43110f, 0xb0af06e9, 0x1f43110f, 0x6096c5c5, 0x1f43268f],
     [0x00004c31, 0x00000000, 0x7c9f0647, 0x1f431a4f, 0x7cacc6fc,
      0x1f43138f, 0x94a62696, 0x1f4317cf, 0x94aee6e9, 0x1f43110f],
     [0x00004c32, 0x00000000, 0x749026c3, 0x1f4344d0, 0x74a106ea,
      0x1f4344d0, 0xcca486df, 0x1f43160f, 0xd0a6063c, 0x1f4313d1],
     [0x00004c33, 0x00000000, 0x0c99669e, 0x1f431f51, 0x889ca6e7,
      0x1f43134f, 0xa49d2679, 0x1f432ad0, 0xacace647, 0x1f430751],
     [0x00004c34, 0x00000000, 0xacb0e6fb, 0x1f430751, 0xacaf86ed,
      0x1f42fd11, 0x90986692, 0x1f432a50, 0x90a6c6ff, 0x1f432010],
     [0x00004c35, 0x00000000, 0x90a6e6d0, 0x1f431910, 0x7c9c8654,
      0x1f4324d0, 0x7cae26ed, 0x1f431750, 0x7cab06f2, 0x1f431750],
     [0x00004c36, 0x00000000, 0x48acc659, 0x1f4305d2, 0x48acc6c0,
      0x1f4305d2, 0x48acc6d6, 0x1f4305d2, 0xe8a266bd, 0x1f43174f],
     [0x00004c37, 0x00000000, 0xe8aa86e9, 0x1f43174f, 0xe8aca703,
      0x1f43174f, 0x70a3a66a, 0x1f431411, 0x3c93e6b9, 0x1f433a10],
     [0x00004c38, 0x00000000, 0x54a1c69e, 0x1f432251, 0xb89da685,
      0x1f431dd0, 0xd8a5c67b, 0x1f431090, 0x389c4640, 0x1f432450],
     [0x00004c39, 0x00000000, 0x38a2a6b4, 0x1f4310d0, 0xcca0e5f5,
      0x1f4323d1, 0xcca6e657, 0x1f4310d1, 0x009325f6, 0x1f4336d1],
     [0x00004c3a, 0x00000000, 0x00996663, 0x1f432c11, 0x889c06d7,
      0x1f432010, 0xdc91e6d7, 0x1f43300f, 0x74af867f, 0x1f430b50],
     [0x00004c3b, 0x00000000, 0x78a1e688, 0x1f4324d1, 0xaca0464a,
      0x1f432391, 0xf098a5f2, 0x1f43304f, 0x109e0673, 0x1f431f10],
     [0x00004c3c, 0x00000000, 0x84a7c6e2, 0x1f43108f, 0xb0a7e685,
      0x1f431051, 0x2c9d2675, 0x1f432790, 0x64a16688, 0x1f4324d0],
     [0x00004c3d, 0x00000000, 0xd0aa86db, 0x1f43180f, 0x7c95663d,
      0x1f432cd0, 0x1c9d2615, 0x1f4329cf, 0x4cb3c705, 0x1f4307cf],
     [0x00019489, 0x00000000, 0xec8546a4, 0x12c2f6ca, 0xec8546a4,
      0x12c2f6ca, 0x8ce009c4, 0x2e53050f, 0x8ce949c4, 0x2e53050f],
     [0x00004c3f, 0x00000000, 0x38ab6590, 0x1f430c54, 0x5c95e69a,
      0x1f433951, 0x5ca486d6, 0x1f431c11, 0x00000000, 0x00000000],
     [0x00007db6, 0x00000000, 0x0894a6ae, 0x1f43468f, 0xf4a6068f,
      0x1f4314d0, 0xd0adc6f7, 0x1f43098f, 0x40aba64a, 0x1f4313d3],
     [0x00004c41, 0x00000000, 0x00000000, 0x00000000, 0xdca7271c,
      0x1f430f4e, 0xf4ac0709, 0x1f43010e, 0xc8a806c7, 0x1f430c4f],
     [0x00004c42, 0x00000000, 0x74a8268c, 0x1f430a50, 0x14abe721,
      0x1f42ff0f, 0x98b26708, 0x1f42fd0f, 0x08a946f0, 0x1f432c0f],
     [0x0001948e, 0x00000000, 0x10784812, 0x12130b0d, 0x10924812,
      0x18f30b0d, 0x1093c812, 0x18f30e0d, 0x1087e812, 0x16430a8d],
     [0x00007db8, 0x00000000, 0xe0a4c677, 0x1f432750, 0xf897a704,
      0x1f432cce, 0x94b3a70d, 0x1f430f4f, 0xa0b006c5, 0x1f430dcf],
     [0x00004c45, 0x00000000, 0x5ca02734, 0x1f430ece, 0xe0ae871b,
      0x1f4301ce, 0xf8a8e6cd, 0x1f4310cf, 0xfcab2704, 0x1f430c4e],
     [0x00004c46, 0x00000000, 0x64b0e73e, 0x1f43010e, 0xacad46e3,
      0x1f4309cf, 0x50a786e6, 0x1f430c8f, 0xa0b226b1, 0x1f430950],
     [0x00004c47, 0x00000000, 0xacb1470c, 0x1f42fd4e, 0x88b5e6ba,
      0x1f42f00f, 0xb8a6c6f4, 0x1f43024f, 0xc8b0c6b9, 0x1f43064f],
     [0x00004c48, 0x00000000, 0xf0a926fe, 0x1f43130e, 0xf0aea6da,
      0x1f430f4f, 0x68a926fd, 0x1f430c0f, 0x20ab2702, 0x1f42fbcf],
     [0x00004c49, 0x00000000, 0xe0ad6711, 0x1f42f14e, 0x80ae26f3,
      0x1f430390, 0x60b066ee, 0x1f4300cf, 0x7cb745a5, 0x1f42f854],
     [0x00004c4a, 0x00000000, 0x38a426f7, 0x1f42ff4f, 0x8ca3c6af,
      0x1f43108f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00019496, 0x00000000, 0x20b8a6e0, 0x1e8aed99, 0xa8fa071c,
      0x2ee2ee1b, 0x70b8e6f1, 0x1e9aee18, 0x6cb8a373, 0x1e8aed8b],
     [0x00019497, 0x00000000, 0x70b8e6f1, 0x1e9aee18, 0x20b8e6e0,
      0x1e9aee19, 0xa8fa071c, 0x2ee2ee1b, 0x70b8e6f1, 0x1e9aee18],
     [0x00019498, 0x00000000, 0x6cb8e373, 0x1e9aee0b, 0xdcfa0369,
      0x2ee2ee0c, 0xa03dc67e, 0x00023a0f, 0xc0e206d5, 0x28daee18],
     [0x00019499, 0x00000000, 0xc0e206d5, 0x28e2ee18, 0x28e206c7,
      0x28e2ee17, 0x28e206c7, 0x28e2ee17, 0x20e2036d, 0x28e2ee0b],
     [0x000140bb, 0x00000000, 0x0465242e, 0x09d2ef4d, 0xe06f46b8,
      0x0c5aef57, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0001949b, 0x00000000, 0x50cf2bf0, 0x23230989, 0x50cf2bf0,
      0x23230989, 0x447a6a06, 0x10631d8b, 0x44688a06, 0x1072f9cb],
     [0x0001949c, 0x00000000, 0x447a6a06, 0x10631d8b, 0x44688a06,
      0x1072f9cb, 0x20fe06e6, 0x32330098, 0x54fe0473, 0x3233008e],
     [0x00007dbf, 0x00000000, 0x049a46ec, 0x1f43248f, 0xcc9b4650,
      0x1f43284f, 0xcca3a6e1, 0x1f431ecf, 0xac9ee664, 0x1f43178f],
     [0x0001949e, 0x00000000, 0x512a442a, 0x3af2ee0c, 0x712a4732,
      0x3af2ee18, 0x448fea06, 0x1583278b, 0x4477ca06, 0x1582f74b],
     [0x00007dc0, 0x00000000, 0xa0a9e6f6, 0x1f43070f, 0x30aaa6cf,
      0x1f431190, 0x30ab86e9, 0x1f430e50, 0x389a66e6, 0x1f431e50],
     [0x000194a0, 0x00000000, 0x44a1aa06, 0x1c2b054b, 0x44a38a06,
      0x1c2b090b, 0x44950a06, 0x19db0c8b, 0x4096aa05, 0x19db0fcb],
     [0x000194a1, 0x00000000, 0x38952a06, 0x18cb14cb, 0x388e4a06,
      0x18cb070b, 0x1c9f2a1a, 0x1c530f4b, 0x7891ebfa, 0x17731b89],
     [0x000194a2, 0x00000000, 0x78858bfa, 0x177302c9, 0x78c46bfa,
      0x226af589, 0x787bebfa, 0x0fe32649, 0x7861ebfa, 0x0fe2f249],
     [0x000194a3, 0x00000000, 0xdd388369, 0x3e82ee0c, 0x78982bfa,
      0x1c5311c9, 0x789debfa, 0x1c531d49, 0x78c46bfa, 0x226af589],
     [0x000194a4, 0x00000000, 0x70f506f1, 0x2da2ee18, 0x20f4c6ee,
      0x2d92ed99, 0xa938871c, 0x3e82ee1b, 0x70f506f1, 0x2da2ee18],
     [0x000194a5, 0x00000000, 0x34f4c373, 0x2d92ed8b, 0x70f506f1,
      0x2da2ee18, 0x20f506ee, 0x2da2ee19, 0xa938871c, 0x3e82ee1b],
     [0x000194a6, 0x00000000, 0x70f506f1, 0x2da2ee18, 0x34f50373,
      0x2da2ee0b, 0xdd388369, 0x3e82ee0c, 0x302e067e, 0x0002664d],
     [0x000194a7, 0x00000000, 0xc11886d5, 0x3682ee18, 0xc11886d5,
      0x3682ee18, 0x291886c7, 0x3682ee17, 0x291886c7, 0x3682ee17],
     [0x000194a8, 0x00000000, 0x2118836d, 0x3682ee0b, 0x2118836d,
      0x3682ee0b, 0x451883ce, 0x3682ee0b, 0x451883ce, 0x3682ee0b],
     [0x00007dc5, 0x00000000, 0x60af66db, 0x1f43130f, 0xb4a586d4,
      0x1f43134f, 0xb4ae06f2, 0x1f43134f, 0xc8a166e6, 0x1f43198e],
     [0x000194aa, 0x00000000, 0x78690bfa, 0x11aaf1c9, 0x78834bfa,
      0x11ab2649, 0x78690bfa, 0x11aaf1c9, 0x214126e6, 0x431b0198],
     [0x00007dc6, 0x00000000, 0xc8abe723, 0x1f43164e, 0x0ca105bb,
      0x1f431750, 0x1cabe62d, 0x1f430710, 0x1cb5c6f3, 0x1f430050],
     [0x000194ac, 0x00000000, 0x912a4717, 0x3af2ee18, 0x515f842a,
      0x4842ee0c, 0x715f8732, 0x4842ee18, 0x7ca14bfa, 0x1a533049],
     [0x00007dc7, 0x00000000, 0x54a6c6bc, 0x1f430dd0, 0x54ad46bc,
      0x1f430a90, 0x909e46db, 0x1f43274f, 0x90aa46f3, 0x1f431d0f],
     [0x000056c8, 0x00000000, 0xdcb3c6f7, 0x1f42fa0e, 0x38b30712,
      0x1f42f74f, 0x64b7472f, 0x1f42f68e, 0x5cb4e71b, 0x1f42f98e],
     [0x00007dc8, 0x00000000, 0xc8a8e6ff, 0x1f43164f, 0x0ca506c9,
      0x1f431310, 0x4ca906d3, 0x1f431090, 0x74ab26e6, 0x1f43064f],
     [0x000194b0, 0x00000000, 0xac940dee, 0x19430107, 0xace02dee,
      0x28eaf207, 0xac8dcdee, 0x14ab37c7, 0xac6c4dee, 0x14aaf4c7],
     [0x00007dc9, 0x00000000, 0xd0a8a6b7, 0x1f430b10, 0x44aa06a1,
      0x1f43130f, 0x44ad2710, 0x1f430f8f, 0x44b886ef, 0x1f4308cf],
     [0x000194b2, 0x00000000, 0x952a4704, 0x3af2ee18, 0x212a46eb,
      0x3af2ee19, 0xa977071c, 0x4e22ee1b, 0x952a4704, 0x3af2ee18],
     [0x00007dca, 0x00000000, 0x7cabe6a3, 0x1f430b4f, 0x7cb2e707,
      0x1f430b4f, 0x7cb186f2, 0x1f430b4f, 0x54afa6df, 0x1f4307d0],
     [0x000056cb, 0x00000000, 0x38b0a6f5, 0x1f42f60f, 0x04b10707,
      0x1f42f54f, 0x70b0c723, 0x1f43034e, 0x04b32736, 0x1f42f70f],
     [0x00007dcb, 0x00000000, 0x54b166df, 0x1f430110, 0x54b046df,
      0x1f430110, 0xe0b06646, 0x1f42ff91, 0xe0b206bf, 0x1f4302d1],
     [0x000194b6, 0x00000000, 0x214f036d, 0x4422ee0b, 0x214f036d,
      0x4422ee0b, 0x454f03ce, 0x4422ee0b, 0x454f03ce, 0x4422ee0b],
     [0x00007dcc, 0x00000000, 0xe0b206d6, 0x1f4302d1, 0xd4aae6ca,
      0x1f430f0f, 0xd4b706ca, 0x1f43014f, 0xd4b886ef, 0x1f43014f],
     [0x000194b8, 0x00000000, 0xac6eedee, 0x1552f4c7, 0xac906dee,
      0x155337c7, 0xac6eedee, 0x1552f4c7, 0x218486e6, 0x54230318],
     [0x00007dcd, 0x00000000, 0xa8a166d1, 0x1f43224f, 0xe0ae86d9,
      0x1f43110f, 0xacace6ca, 0x1f43088f, 0xd8a7a6cf, 0x1f4312cf],
     [0x000056ce, 0x00000000, 0x74b64722, 0x1f42f38e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00007dce, 0x00000000, 0x609ec6f8, 0x1f43250f, 0xe8a24660,
      0x1f431bcf, 0xe8aa26e8, 0x1f43060f, 0x84a0c644, 0x1f43230f],
     [0x00013827, 0x00000000, 0x38a0e6dc, 0x178af74c, 0x389a06dc,
      0x1612f88c, 0x389906dc, 0x1382f88c, 0x00000000, 0x00000000],
     [0x00007dcf, 0x00000000, 0x98a826e2, 0x1f430e4f, 0x5c9b8651,
      0x1f4329cf, 0x5ca3a6f0, 0x1f431bcf, 0x789b86fa, 0x1f43290f],
     [0x000194be, 0x00000000, 0x91618718, 0x48c2ee18, 0x456186f4,
      0x48c2ee19, 0xa9b5871c, 0x5dc2ee1b, 0x91618718, 0x48c2ee18],
     [0x00007dd0, 0x00000000, 0xd89926fe, 0x1f432c8e, 0xa89d26c7,
      0x1f431f8f, 0x64b0e708, 0x1f43040f, 0xb8a106e4, 0x1f431dcf],
     [0x000194c0, 0x00000000, 0x91618718, 0x48c2ee18, 0x41618373,
      0x48c2ee0b, 0xddb58369, 0x5dc2ee0c, 0x882f27a8, 0x000261c8],
     [0x0001382c, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x647d8691, 0x0fa2cacc],
     [0x000194c2, 0x00000000, 0x21b5836d, 0x5dc2ee0b, 0x21b5836d,
      0x5dc2ee0b, 0x45b583ce, 0x5dc2ee0b, 0x45b583ce, 0x5dc2ee0b],
     [0x000194c3, 0x00000000, 0x21c7e6e6, 0x652b0498, 0x55c7e473,
      0x652b048e, 0xadd32438, 0x652aee0c, 0x95d32732, 0x652aee18],
     [0x000194c4, 0x00000000, 0x39d3449d, 0x6532ee0e, 0x95d34734,
      0x6532ee18, 0x51ca042a, 0x62e2ee0c, 0x71ca0732, 0x62e2ee18],
     [0x000194c5, 0x00000000, 0x6cbfebb8, 0x124afc0b, 0x6ce6abb8,
      0x1bfafc0b, 0x6d0d6bb8, 0x25aafc0b, 0x6cbfebb8, 0x13dafc0b],
     [0x000194c6, 0x00000000, 0x6ce6abb8, 0x1d8afc0b, 0x6d0d6bb8,
      0x273afc0b, 0x6cbfebb8, 0x13dafc0b, 0x6cbfebb8, 0x13dafc0b],
     [0x00007dd4, 0x00000000, 0xac9f45f5, 0x1f432151, 0xa0a6c657,
      0x1f4310d1, 0xd0a0e643, 0x1f43258f, 0xd0a646d0, 0x1f43118f],
     [0x000194c8, 0x00000000, 0x6cbfebb8, 0x13dafc0b, 0x6cbfebb8,
      0x13dafc0b, 0x6cbfebb8, 0x13dafc0b, 0x6cbfebb8, 0x13dafc0b],
     [0x00007dd5, 0x00000000, 0x9c9a06c5, 0x1f431a50, 0x9caac6eb,
      0x1f431710, 0x5ca4e6a2, 0x1f43130f, 0x5cad46fa, 0x1f43130f],
     [0x000194ca, 0x00000000, 0x6cbfebb8, 0x16fafc0b, 0x6cc06bb8,
      0x199af40b, 0x6cbfebb8, 0x13dafc0b, 0x6cbfebb8, 0x16fafc0b],
     [0x000194cb, 0x00000000, 0x6cbfebb8, 0x16fafc0b, 0x6cc00c55,
      0x13e2fc0b, 0xf8bfebb8, 0x124afc08, 0xac83869a, 0x0f82f84c],
     [0x000194cc, 0x00000000, 0xaca0469a, 0x16b2f84c, 0xacbd069a,
      0x1de2f84c, 0xac83869a, 0x1182f84c, 0xaca0469a, 0x18b2f84c],
     [0x00007dd7, 0x00000000, 0x749d865b, 0x1f432091, 0x74af0718,
      0x1f431991, 0x70a866c1, 0x1f4312cf, 0x70ac870a, 0x1f430c0f],
     [0x000194ce, 0x00000000, 0xa883869e, 0x128af84c, 0xacd9c69f,
      0x2402f84c, 0xa883869e, 0x1002f84c, 0xa883869d, 0x1002f84c],
     [0x00007dd8, 0x00000000, 0x40a42696, 0x1f431bd0, 0x40a746ea,
      0x1f431bd0, 0x189d465e, 0x1f431390, 0x18abc6de, 0x1f430cd0],
     [0x00004bc5, 0x00000000, 0x3cae26c9, 0x1f431890, 0x50ad06cb,
      0x1f4318cf, 0x7cabe69c, 0x1f430d90, 0xf8b1872d, 0x1f4303ce],
     [0x00007dd9, 0x00000000, 0x549d0681, 0x1f431190, 0x54a666e7,
      0x1f431190, 0x6c9da650, 0x1f43220f, 0x6cabe6f4, 0x1f4317cf],
     [0x000194d2, 0x00000000, 0xa88386f8, 0x0e72f84c, 0x3083869e,
      0x0f82f84b, 0xa0718720, 0x0b72fcca, 0xa08e4720, 0x12a2fcca],
     [0x00004c88, 0x00000000, 0x00b4c705, 0x1f42fb8f, 0x00b4c705,
      0x1f42fb8f, 0x00b4c705, 0x1f42fb8f, 0x00b4c705, 0x1f42fb8f],
     [0x00004c89, 0x00000000, 0x00b4c705, 0x1f42fb8f, 0x00b4c705,
      0x1f42fb8f, 0x00b4c705, 0x1f42fb8f, 0x00b4c705, 0x1f42fb8f],
     [0x00004c8a, 0x00000000, 0x00b4c705, 0x1f42fb8f, 0x00b4c705,
      0x1f42fb8f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000194d6, 0x00000000, 0x7074e714, 0x0ad2f6ca, 0x7082e714,
      0x0ef2fb8a, 0x7074c714, 0x0b6af6ca, 0x70772714, 0x0c02fb8a],
     [0x00004c8c, 0x00000000, 0x00000000, 0x00000000, 0x54b84724,
      0x1f42f44e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000194d8, 0x00000000, 0x707ee714, 0x0e3af94a, 0x7085a714,
      0x0fc2f94a, 0x7085a714, 0x0fc2f94a, 0x707c678f, 0x0e2af94a],
     [0x00007ddd, 0x00000000, 0xd0a6063c, 0x1f4313d1, 0x0c99669e,
      0x1f431f51, 0x889ca6e7, 0x1f43134f, 0xa49d2679, 0x1f432ad0],
     [0x000194da, 0x00000000, 0x6c942bb8, 0x1342fc0b, 0x6ca8abb8,
      0x1a8af7cb, 0x6cd10bb8, 0x244af70b, 0x6c9a8bb8, 0x1302f9cb],
     [0x000194db, 0x00000000, 0x6c9bcbb8, 0x1342fc0b, 0x6ca0abb8,
      0x12eafc0b, 0x6ca98bb8, 0x1c92fc8b, 0x6cf2cbb8, 0x2baafc8b],
     [0x000194dc, 0x00000000, 0x6c8f6bb8, 0x130af6cb, 0x688f6bb7,
      0x130af6cb, 0x689a4bb7, 0x1492f44b, 0x6c8debb8, 0x13aafc0b],
     [0x000194dd, 0x00000000, 0x6c9a8bb8, 0x1302f9cb, 0x6c892bb8,
      0x11c2fc8b, 0x6c896bb8, 0x1092fc8b, 0x6c9f8bb8, 0x15bafc8b],
     [0x000194de, 0x00000000, 0x6c940bb8, 0x133afc0b, 0x6c93cbb8,
      0x146afc0b, 0x6cc06bb8, 0x1d8af40b, 0x6c8a8bb8, 0x12aafd8b],
     [0x00007de0, 0x00000000, 0x7cab06f2, 0x1f431750, 0x48acc659,
      0x1f4305d2, 0x48acc6c0, 0x1f4305d2, 0x48acc6d6, 0x1f4305d2],
     [0x000194e0, 0x00000000, 0xac6d669a, 0x0b2afb0c, 0xac8a269a,
      0x125afb0c, 0xaca6e69a, 0x198afb0c, 0xac72069a, 0x0e22fb0c],
     [0x00007de1, 0x00000000, 0xe8a266bd, 0x1f43174f, 0xe8aa86e9,
      0x1f43174f, 0xe8aca703, 0x1f43174f, 0x70a3a66a, 0x1f431411],
     [0x000194e2, 0x00000000, 0xac79469a, 0x0f02fb0c, 0xa87ee69e,
      0x1162f84c, 0xa8c5a69e, 0x20a2ff0c, 0xa86f669e, 0x0d22ff0c],
     [0x00004bd8, 0x00000000, 0x34b5a6ff, 0x1f42fbcf, 0x8cb4a6f9,
      0x1f431d8f, 0x88b20706, 0x1f42fecf, 0x98b0e71c, 0x1f430d8f],
     [0x00004bd9, 0x00000000, 0x68a346f9, 0x1f430ccf, 0xd8ac06a1,
      0x1f431310, 0x34b726ea, 0x1f4302d0, 0x94a0c71a, 0x1f42fb0f],
     [0x00007de3, 0x00000000, 0x389c4640, 0x1f432450, 0x38a2a6b4,
      0x1f4310d0, 0xcca0e5f5, 0x1f4323d1, 0xcca6e657, 0x1f4310d1],
     [0x000194e6, 0x00000000, 0xa870e69e, 0x0e12fccc, 0xac7286f8,
      0x0bdaff0c, 0x3470869a, 0x0b2afb0b, 0xa0ae6663, 0x2503bd4f],
     [0x000194e7, 0x00000000, 0xa0d5e65a, 0x2503bd4f, 0x1c7d6a1a,
      0x13e30f4b, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00004bdd, 0x00000000, 0x1cb166e9, 0x1f430650, 0x04b006fc,
      0x1f42f8cf, 0xacb70723, 0x1f43094e, 0x60a88735, 0x1f431a4e],
     [0x00004bde, 0x00000000, 0x78af8717, 0x1f43068f, 0x48a4c6e0,
      0x1f4315cf, 0x9cb36744, 0x1f4303ce, 0xa0a3a6e5, 0x1f42ffcf],
     [0x00013855, 0x00000000, 0xa08a4675, 0x14faeecf, 0xa0930675,
      0x1572f24f, 0xa0918675, 0x13faf24f, 0xa0918675, 0x0eaaf28f],
     [0x00013856, 0x00000000, 0x58964682, 0x15f2f6cf, 0xa06a4675,
      0x0a02f34f, 0x5888e675, 0x1192f20f, 0xa099c675, 0x15e2f24f],
     [0x0001110e, 0x00000000, 0xa09a4675, 0x1652f78f, 0xa098e675,
      0x1352f78f, 0x709a4684, 0x16f2fa8f, 0xa0b1e675, 0x1b4af78f],
     [0x0001110f, 0x00000000, 0xa080c675, 0x0f02f78f, 0x708c0675,
      0x10e2fd0f, 0xa0a2c675, 0x17d2f78f, 0xa0920675, 0x1622f78f],
     [0x00011110, 0x00000000, 0xa0c26675, 0x1f6af78f, 0xa0af2675,
      0x1a9af78f, 0x74978685, 0x16e2fa8f, 0xa0968675, 0x1292f78f],
     [0x0001385a, 0x00000000, 0x747a85a1, 0x0fc2f80f, 0xa07f6693,
      0x0a5af50f, 0x308605a1, 0x12baf04c, 0xa0826693, 0x1262f4cf],
     [0x0001385b, 0x00000000, 0xa080c693, 0x110af44f, 0xa06b0693,
      0x0992f4cf, 0xa0a405a1, 0x1acaf4cf, 0xa08265a1, 0x1262f4cf],
     [0x00011113, 0x00000000, 0xa0956675, 0x10baf6cf, 0xa0a2c675,
      0x1822fd0f, 0x787985a1, 0x0fb2f80f, 0x7476c684, 0x0eb2f94f],
     [0x00011114, 0x00000000, 0x747085a1, 0x0cfaf80f, 0x70806684,
      0x10a2f80f, 0x7471c5a1, 0x0deaf80f, 0xb48b6684, 0x115af80c],
     [0x00011115, 0x00000000, 0xb47c05a1, 0x0f62f30c, 0x00000000,
      0x00000000, 0x745ea650, 0x09bafa8f, 0xb46d0650, 0x0c2aea0c],
     [0x00011116, 0x00000000, 0x74806684, 0x10f2f94f, 0x78614684,
      0x09f2f94f, 0x809385a1, 0x1632f58f, 0x8078e5a1, 0x0f8af58f],
     [0x00011117, 0x00000000, 0x747545a1, 0x0e52f80f, 0xc479c5a1,
      0x0f4ae68c, 0xc47865a1, 0x0e52f80c, 0xa06fa5a1, 0x0cc2f58f],
     [0x00011118, 0x00000000, 0x746f45a1, 0x0dc2fa8f, 0x7c61e61f,
      0x09caf80f, 0x7c7605a1, 0x0ed2f58f, 0x7c7a65b2, 0x0fd3000f],
     [0x00011119, 0x00000000, 0x7c9c05b4, 0x183b000f, 0x7c7e45a1,
      0x1132f58f, 0xc47c85a0, 0x0f82f58c, 0x6878e5aa, 0x0f9af88f],
     [0x000140ea, 0x00000000, 0xa0a00695, 0x14aaf24f, 0xa09f4695,
      0x1942f44f, 0xa07b4771, 0x0c2ae60f, 0xa095a771, 0x131af34f],
     [0x00004bee, 0x00000000, 0x2cb1c726, 0x1f43078f, 0xc0b68731,
      0x1f43068e, 0xbcae0722, 0x1f43120e, 0x44b3671e, 0x1f430b0e],
     [0x00004bef, 0x00000000, 0x60aaa732, 0x1f431a0e, 0x4cab26d7,
      0x1f43028f, 0xe4a8671c, 0x1f430fce, 0x80a8c711, 0x1f43158e],
     [0x00004bf0, 0x00000000, 0xcca84712, 0x1f4314ce, 0x54b7673e,
      0x1f43058f, 0x4cb02739, 0x1f43088f, 0x6cade73a, 0x1f431ace],
     [0x0530c013, 0x0d918000, 0xa08e468d, 0x14daf2cf, 0xa0b1a68c,
      0x1d82f18f, 0x5896268c, 0x1692f20f, 0x549b669b, 0x1852f6cf],
     [0x00007def, 0x00000000, 0xc4a6268e, 0x1f431450, 0xc499068e,
      0x1f432c90, 0x9c94e698, 0x1f433010, 0x9ca18698, 0x1f431110],
     [0x000140ed, 0x00000000, 0x6c7786a2, 0x0f82ed4f, 0x6c7185b6,
      0x0e32eccf, 0x6c79a6a2, 0x0cfaeccc, 0x6c79c5b6, 0x0f42ec4c],
     [0x00007df0, 0x00000000, 0xa09a868e, 0x1f432690, 0x9c96a5cc,
      0x1f4337d0, 0x9c96c68e, 0x1f4337d0, 0xc49685cc, 0x1f433810],
     [0x00004bf5, 0x00000000, 0xbcb3073f, 0x1f43020e, 0xf4b72733,
      0x1f43010e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00007df1, 0x00000000, 0xc89685cd, 0x1f433810, 0xdc9245cc,
      0x1f43340f, 0xa096a5cc, 0x1f4337d0, 0xa096a65c, 0x1f4337d0],
     [0x0001386d, 0x00000000, 0x6886c68c, 0x0fa3038f, 0xa079268d,
      0x0fa325cf, 0xa086468c, 0x0fa2f6cf, 0x6882868c, 0x0fa2f90f],
     [0x0001386e, 0x00000000, 0xa082e68c, 0x0fa2fb0f, 0x688cc68c,
      0x0fa2fa4f, 0x688ba694, 0x0fa302cf, 0x808b867e, 0x0fa3128f],
     [0x0001386f, 0x00000000, 0x6884868c, 0x0fa3024f, 0x4c86e68c,
      0x0fa2facf, 0x78806693, 0x10c2f94f, 0xa08d868a, 0x14a2f50f],
     [0x00011127, 0x00000000, 0x64a8468a, 0x1abaf5cf, 0x00000000,
      0x00000000, 0x64a02697, 0x18eaf74f, 0x64a4c697, 0x1baaf70f],
     [0x00013871, 0x00000000, 0xa09d867e, 0x15d2f44f, 0xa09a667e,
      0x15e2fd0f, 0x689ce68c, 0x186300cf, 0xa07d667e, 0x0d8afa8f],
     [0x00013872, 0x00000000, 0xa097e67e, 0x13bafd0f, 0xa08c868a,
      0x14c2f30f, 0xa0b1467e, 0x1bd2fd0f, 0x689c867e, 0x16a2fd0f],
     [0x00013873, 0x00000000, 0xa09cc67e, 0x1692f9cf, 0x689ce68c,
      0x186300cf, 0xa09a667e, 0x15e2fd0f, 0xa08c867e, 0x10d2fd0f],
     [0x00013874, 0x00000000, 0x689ce68c, 0x186300cf, 0xa096c67e,
      0x1472f34f, 0xa090e67e, 0x124b000f, 0xa099268c, 0x128b02cf],
     [0x00013875, 0x00000000, 0xa09a867e, 0x1702fb0f, 0xa0a1e67e,
      0x1692f30f, 0xa0a32691, 0x1643084f, 0xa0a1e68c, 0x18daf7cf],
     [0x0001112d, 0x00000000, 0x18b10697, 0x1cf304cc, 0x64b08697,
      0x1d22fccf, 0x749d45a1, 0x199af58f, 0x70846697, 0x1222f9cf],
     [0x0001112e, 0x00000000, 0x748825a1, 0x14b2f58f, 0x74a5e697,
      0x1a6af58f, 0x00000000, 0x00000000, 0x5c92a697, 0x156af4cc],
     [0x0001112f, 0x00000000, 0x00000000, 0x00000000, 0x7494c697,
      0x178af78f, 0x747b0675, 0x0f8302cf, 0x34984675, 0x16d2f04c],
     [0x00013879, 0x00000000, 0x687285b8, 0x0bc2f84f, 0x44788693,
      0x0d92f8cc, 0x787da5b7, 0x10aaf94f, 0x788825ad, 0x11aaf94f],
     [0x0001387a, 0x00000000, 0x407e45b6, 0x10b2e5cc, 0x507d05b7,
      0x0da2fb0c, 0x788ca5ad, 0x12faf94f, 0x787b45ad, 0x0ea2f88f],
     [0x00011132, 0x00000000, 0x747205fb, 0x101afd8f, 0x7481067a,
      0x113af58f, 0x74952590, 0x178af58f, 0x748745a1, 0x1352f58f],
     [0x0001387c, 0x00000000, 0x788e05ae, 0x13b2fa8f, 0x7878e5b7,
      0x0e72f94f, 0x70802693, 0x10b2f94f, 0x408d4694, 0x1442fa0c],
     [0x0001387d, 0x00000000, 0x407f45b7, 0x10c2f78c, 0x78a3e5ad,
      0x18daf80f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00004c08, 0x00000000, 0x00000000, 0x00000000, 0x28832717,
      0x1f43594f, 0x7492a6f7, 0x1f43408f, 0x84a046eb, 0x1f43270f],
     [0x000140f8, 0x00000000, 0x6c974695, 0x16f2f4cc, 0x6c78e667,
      0x1092f9cc, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00007dfb, 0x00000000, 0x48a2c6d5, 0x1f431b0f, 0x68a5e6f7,
      0x1f431bcf, 0x18b5462e, 0x1f42fc8f, 0xe0ad86b1, 0x1f431f10],
     [0x000056fc, 0x00000000, 0x60aea72f, 0x1f430d0e, 0x9cad6725,
      0x1f430e0e, 0x10b04731, 0x1f43118f, 0xf0aa4732, 0x1f43108d],
     [0x0000c02e, 0x2e700000, 0x386343e8, 0x0a6aff0c, 0xec60a698,
      0x0962f513, 0xd4658698, 0x0a52f295, 0x307a2587, 0x0fa2f4d0],
     [0x000056fd, 0x00000000, 0x00000000, 0x00000000, 0x0cb4e73c,
      0x1f4305cf, 0xf0abc732, 0x1f43138d, 0x00000000, 0x00000000],
     [0x00007dfd, 0x00000000, 0xe0ad86b1, 0x1f431d10, 0xb4ad86a7,
      0x1f431c50, 0xb4ad86b1, 0x1f431d50, 0xb49cc6b1, 0x1f432050],
     [0x000056fe, 0x00000000, 0xbcb30722, 0x1f430d4e, 0x6cb0e704,
      0x1f43028f, 0x80b10740, 0x1f430c4e, 0x8cb3c6f1, 0x1f430a8e],
     [0x0000c032, 0x00000000, 0xa08ea7ab, 0x14daf20f, 0xa08ea7ab,
      0x14daf20f, 0xa08ea7a2, 0x14daf20f, 0xa08ea77c, 0x14daf20f],
     [0x000140fc, 0x00000000, 0x648885b6, 0x11cae18f, 0x6877c5b6,
      0x102aeb0c, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000c034, 0x3656c400, 0xa094c68c, 0x1692ef8f, 0x58962784,
      0x1692f20f, 0x549b67ab, 0x1852f6cf, 0x549b67ab, 0x1852f6cf],
     [0x00005700, 0x00000000, 0x00000000, 0x00000000, 0x98b30730,
      0x1f42face, 0xa4aec73f, 0x1f43078e, 0xa4b0873e, 0x1f430b4e],
     [0x00004c14, 0x00000000, 0x00a34703, 0x1f431c0f, 0x90a466d6,
      0x1f43150e, 0x90aca72a, 0x1f43150e, 0xec9d2690, 0x1f43250f],
     [0x0001388b, 0x00000000, 0x00000000, 0x00000000, 0xeca4068d,
      0x1aa2f8ce, 0x94972686, 0x16a2f6cf, 0x7487c687, 0x11caf8cf],
     [0x0001388c, 0x00000000, 0xa0a1067e, 0x190af68f, 0x90896686,
      0x114af80f, 0xa097467e, 0x1462f8cf, 0x94870687, 0x1222f80d],
     [0x0001388d, 0x00000000, 0x4ca82680, 0x19faf84f, 0xa088667e,
      0x11faf78f, 0xc0a0a67e, 0x13c2f5cd, 0x6ca06686, 0x194af58f],
     [0x0001388e, 0x00000000, 0x84902686, 0x15aaf58f, 0xeccb8687,
      0x2472f80e, 0x0cc38703, 0x1deaf80f, 0x7899a685, 0x170af78f],
     [0x0001388f, 0x00000000, 0xa097267e, 0x14daf78f, 0x94968687,
      0x1742f8cd, 0x94a4867e, 0x1ab2f78f, 0xa0926687, 0x13d2f78f],
     [0x00013890, 0x00000000, 0xa099c6b9, 0x0feaf84f, 0x6cb54688,
      0x198af74f, 0x1c93868d, 0x13f2f64f, 0x20bb4695, 0x1de2f64f],
     [0x00013891, 0x00000000, 0x6c9ae688, 0x15a2f78f, 0x949de68b,
      0x167af68d, 0x2897c680, 0x1782f78e, 0x00000000, 0x00000000],
     [0x00004c1c, 0x00000000, 0x44ad2710, 0x1f430f8f, 0x44b886ef,
      0x1f4308cf, 0x7cabe6a3, 0x1f430b4f, 0x7cb2e707, 0x1f430b4f],
     [0x00005705, 0x00000000, 0x30a70713, 0x1f431b4f, 0xd8a5c6ee,
      0x1f431c4e, 0x98b52722, 0x1f43184e, 0x00000000, 0x00000000],
     [0x00004c1e, 0x00000000, 0xe0b06646, 0x1f42ff91, 0xe0b206bf,
      0x1f4302d1, 0xe0b206d6, 0x1f4302d1, 0xd4aae6ca, 0x1f430f0f],
     [0x00014103, 0x00000000, 0xa095a79b, 0x1532e54f, 0x00000000,
      0x00000000, 0x5897879f, 0x14d306cf, 0xc0a16685, 0x1852e5cc],
     [0x00004c20, 0x00000000, 0xacace6ca, 0x1f43088f, 0xd8a7a6cf,
      0x1f4312cf, 0x609ec6f8, 0x1f43250f, 0xe8a24660, 0x1f431bcf],
     [0x00004c21, 0x00000000, 0xe8aa26e8, 0x1f43060f, 0x84a0c644,
      0x1f43230f, 0x98a826e2, 0x1f430e4f, 0x5c9b8651, 0x1f4329cf],
     [0x00013898, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x747ec5b4, 0x11d2fc0f, 0x00000000, 0x00000000],
     [0x00013899, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa07265b4, 0x11d3070f, 0x00000000, 0x00000000],
     [0x0001389a, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa07b65b4, 0x11d2fccf, 0x00000000, 0x00000000],
     [0x0001389b, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x3c7ea5b5, 0x11d2f80c, 0x00000000, 0x00000000],
     [0x0001389c, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x3c8245aa, 0x11d2f24c, 0x00000000, 0x00000000],
     [0x00004ce7, 0x00000000, 0x80b3660e, 0x1f42fed0, 0x50b1660e,
      0x1f42ff50, 0x80b1e6f0, 0x1f430310, 0x00000000, 0x00000000],
     [0x0001389e, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x7883a684, 0x11d2f50f, 0x00000000, 0x00000000],
     [0x0001389f, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x3c8265aa, 0x11d2f80c, 0x00000000, 0x00000000],
     [0x000138a0, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x787f6684, 0x11d2fa8f, 0x00000000, 0x00000000],
     [0x000138a1, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x3c8045b4, 0x11d2f3cc, 0x00000000, 0x00000000],
     [0x0000c04e, 0x00000000, 0xa08ce5be, 0x12c2f2cf, 0xa08e4783,
      0x14daf2cf, 0xa05f0783, 0x08b2f1cf, 0xb88e468c, 0x14daf2c9],
     [0x0001410a, 0x00000000, 0xa0b94685, 0x1e02e5cf, 0xc0b94685,
      0x1e02e5cc, 0xa098c685, 0x186308cf, 0xa0bc6685, 0x1ecae94f],
     [0x00004c2e, 0x00000000, 0x40a746ea, 0x1f431bd0, 0x189d465e,
      0x1f431390, 0x18abc6de, 0x1f430cd0, 0x549d0681, 0x1f431190],
     [0x000138a5, 0x00000000, 0x389cc6dc, 0x178af74c, 0x00000000,
      0x00000000, 0x389446dc, 0x15d2f88c, 0x00000000, 0x00000000],
     [0x000138a6, 0x00000000, 0x389806dc, 0x1532fb0c, 0x00000000,
      0x00000000, 0x38a1a6dc, 0x19f2f88c, 0x00000000, 0x00000000],
     [0x000138a7, 0x00000000, 0x389906dc, 0x1612f88c, 0x00000000,
      0x00000000, 0x3c9906dc, 0x1382f88c, 0x00000000, 0x00000000],
     [0x000138a8, 0x00000000, 0x3c9e46dc, 0x1802fb0c, 0x00000000,
      0x00000000, 0x38aa66dc, 0x19caf88c, 0x00000000, 0x00000000],
     [0x000138a9, 0x00000000, 0x3878e6dc, 0x0d6aec4c, 0x00000000,
      0x00000000, 0x388586dc, 0x1092fd0c, 0x00000000, 0x00000000],
     [0x00004cf4, 0x00000000, 0x00000000, 0x00000000, 0x80aaa6f1,
      0x1f4315d0, 0x68b746f1, 0x1f42f38e, 0x00000000, 0x00000000],
     [0x000138ab, 0x00000000, 0x38bc66dc, 0x1e4af88c, 0x00000000,
      0x00000000, 0x38a726dc, 0x18faf88c, 0x00000000, 0x00000000],
     [0x000138ac, 0x00000000, 0x389ae6dc, 0x17e2fb0c, 0x00000000,
      0x00000000, 0x3c9746dc, 0x122af18c, 0x00000000, 0x00000000],
     [0x000138ad, 0x00000000, 0x3c9ae6dc, 0x17e2fb0c, 0x00000000,
      0x00000000, 0x3893c6dc, 0x15daf88c, 0x00000000, 0x00000000],
     [0x00018740, 0x00000000, 0xa07c65bc, 0x0ff2f1cf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000138af, 0x00000000, 0x389ee6dc, 0x1612fecc, 0x00000000,
      0x00000000, 0x3899c6dc, 0x12eafc0c, 0x00000000, 0x00000000],
     [0x000138b0, 0x00000000, 0x38b606dc, 0x19fafd8c, 0x00000000,
      0x00000000, 0x389ce6dc, 0x170af4cc, 0x00000000, 0x00000000],
     [0x000138b1, 0x00000000, 0x388f66dc, 0x0f62ee4c, 0x00000000,
      0x00000000, 0x3897c6dc, 0x1572fd8c, 0x00000000, 0x00000000],
     [0x000138b2, 0x00000000, 0xe08126dc, 0x11aaf88b, 0x00000000,
      0x00000000, 0xe080c6dc, 0x1092f9cb, 0x00000000, 0x00000000],
     [0x000138b3, 0x00000000, 0xe07d26dc, 0x0eeaf64b, 0x00000000,
      0x00000000, 0xe08726dc, 0x1252f18b, 0x00000000, 0x00000000],
     [0x000138b4, 0x00000000, 0xe079e6dc, 0x0f52f00b, 0x00000000,
      0x00000000, 0xe09686dc, 0x1232ed0b, 0x00000000, 0x00000000],
     [0x00018747, 0x00000000, 0x688485b8, 0x123af34f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000138b6, 0x00000000, 0x3c7746dc, 0x0a32ebcc, 0x00000000,
      0x00000000, 0xe09026db, 0x1132e08b, 0x00000000, 0x00000000],
     [0x000138b7, 0x00000000, 0xe08866dc, 0x1152fc4b, 0x00000000,
      0x00000000, 0x3c76a6dc, 0x0a7aea8c, 0x00000000, 0x00000000],
     [0x000138b8, 0x00000000, 0xe0a166dc, 0x19baf60b, 0x00000000,
      0x00000000, 0xe082a6dc, 0x11aaf60b, 0x00000000, 0x00000000],
     [0x000138b9, 0x00000000, 0xe07f66dc, 0x10aaf88b, 0x00000000,
      0x00000000, 0x3c8b26dc, 0x122ae80c, 0x00000000, 0x00000000],
     [0x000138ba, 0x00000000, 0xe07fe6dc, 0x104af80b, 0x00000000,
      0x00000000, 0xe07de6dc, 0x0da2f60b, 0x00000000, 0x00000000],
     [0x000138bb, 0x00000000, 0xe07c46dc, 0x0e92f48b, 0x00000000,
      0x00000000, 0x3c75a6dc, 0x0b0ae88c, 0x00000000, 0x00000000],
     [0x000138bc, 0x00000000, 0xe07da6dc, 0x10caf34b, 0x00000000,
      0x00000000, 0x3882a6dc, 0x0fd3000c, 0x00000000, 0x00000000],
     [0x000138bd, 0x00000000, 0x3ca1a6dc, 0x183b000c, 0x00000000,
      0x00000000, 0xe08786dc, 0x11b2f60b, 0x00000000, 0x00000000],
     [0x000138be, 0x00000000, 0x388666dc, 0x1092f60c, 0x00000000,
      0x00000000, 0xe07de6dc, 0x0f9af80b, 0x00000000, 0x00000000],
     [0x0000571b, 0x00000000, 0x40a9e739, 0x1f42f88e, 0x84a80727,
      0x1f43024e, 0x88a2c709, 0x1f4317ce, 0x8cb4a72c, 0x1f431acf],
     [0x0000c06c, 0x00000000, 0x688cc63c, 0x12c2f20f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000571c, 0x00000000, 0x00000000, 0x00000000, 0x0cac66d7,
      0x1f431590, 0x00000000, 0x00000000, 0x14b646fa, 0x1f42fe4f],
     [0x0000c06e, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xec7265aa, 0x0dcaf04b, 0xa07c0698, 0x101af4cf],
     [0x0000571d, 0x00000000, 0x78a0e727, 0x1f43118e, 0x00000000,
      0x00000000, 0x78a0e727, 0x1f43118e, 0x00000000, 0x00000000],
     [0x000060cb, 0x00000000, 0xd8a68722, 0x1f43044e, 0x98b1273f,
      0x1f43124e, 0x00000000, 0x00000000, 0x64b0e736, 0x1f43034f],
     [0x0000571e, 0x00000000, 0x00000000, 0x00000000, 0x74b5a703,
      0x1f42fd0f, 0xd8b5c6ac, 0x1f42f98f, 0xecaea6b5, 0x1f42fb8f],
     [0x000060cc, 0x00000000, 0x00000000, 0x00000000, 0x8cb6074e,
      0x1f43098e, 0xc4ab6728, 0x1f43140f, 0x4cade719, 0x1f43124f],
     [0x0000571f, 0x00000000, 0xc8b6a6e6, 0x1f42fc90, 0x00000000,
      0x00000000, 0x40b386dd, 0x1f430391, 0x28aea700, 0x1f43014f],
     [0x00005fad, 0x00000000, 0x00000000, 0x00000000, 0x08b646f2,
      0x1f430090, 0x80b6c6fc, 0x1f43090f, 0xd0b7c6f6, 0x1f43048f],
     [0x00005720, 0x00000000, 0x00000000, 0x00000000, 0xe09f8717,
      0x1f43160e, 0x64a7c717, 0x1f43284f, 0x00000000, 0x00000000],
     [0x000060ce, 0x00000000, 0x6cb08743, 0x1f43084e, 0xa8af271e,
      0x1f42fd8f, 0x74b36740, 0x1f43158e, 0xd8ad06f2, 0x1f43120e],
     [0x00011182, 0x00000000, 0xa08de68a, 0x14d2f5cf, 0xa08ea67e,
      0x12e3008f, 0x689ce68c, 0x14fb060f, 0xa09c667e, 0x15a3008f],
     [0x00011183, 0x00000000, 0xa093467e, 0x123b008f, 0xa093667e,
      0x10bb008f, 0x689ce68c, 0x15bb064f, 0xa09c267e, 0x1493008f],
     [0x00011184, 0x00000000, 0xa07e867e, 0x0c8afccf, 0x6879467e,
      0x0c72f38f, 0xa099a67e, 0x13d3008f, 0xa085067e, 0x117b008f],
     [0x00011185, 0x00000000, 0xa0b3267e, 0x1a5b00cf, 0x689e467e,
      0x151b008f, 0x689fe68c, 0x165306cf, 0xa08e467e, 0x106b008f],
     [0x00011186, 0x00000000, 0xe49fe68c, 0x166306cc, 0xa08e667e,
      0x126b008f, 0x6889268c, 0x10eafd8f, 0xa09c067e, 0x1303164f],
     [0x000138d0, 0x00000000, 0x388be6dc, 0x116afb0c, 0x00000000,
      0x00000000, 0x3c9586dc, 0x13b2ee0c, 0x00000000, 0x00000000],
     [0x00011188, 0x00000000, 0xa09f467e, 0x13b31c8f, 0xa09de67e,
      0x13eaf50f, 0x7878e5b7, 0x0e02fbcf, 0x78816694, 0x0f83008f],
     [0x00011189, 0x00000000, 0x787d65b7, 0x0e42fecf, 0x74898694,
      0x0f73000f, 0x787b65b7, 0x0de2ff4f, 0xa0804693, 0x0a83074f],
     [0x000138d3, 0x00000000, 0x388866dc, 0x1242f60c, 0x00000000,
      0x00000000, 0x387806dc, 0x0ea2ee4c, 0x00000000, 0x00000000],
     [0x0001118b, 0x00000000, 0xa0840694, 0x0e2afdcf, 0xa065a694,
      0x066afd4f, 0xa09f65b8, 0x17a2fe4f, 0xa07e45b8, 0x0f3afdcf],
     [0x0001118c, 0x00000000, 0x788185b7, 0x0f9b010f, 0x4081c5b8,
      0x0f92f18c, 0x408325b8, 0x0f93000c, 0xa07565b8, 0x0a82fdcf],
     [0x0001118d, 0x00000000, 0x787485b7, 0x0c2afd4f, 0x786d862c,
      0x091b060f, 0x748185ad, 0x0f5b044f, 0x6883e5ad, 0x0ed311cf],
     [0x000138d7, 0x00000000, 0x3c9d46dc, 0x16eaf88c, 0x00000000,
      0x00000000, 0x388846dc, 0x12d2f60c, 0x00000000, 0x00000000],
     [0x000138d8, 0x00000000, 0x389fc6dc, 0x14d2f88c, 0x00000000,
      0x00000000, 0x3caea6dc, 0x1bcaf60c, 0x00000000, 0x00000000],
     [0x000138d9, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xe07ac6dc, 0x0de2efcb, 0x00000000, 0x00000000],
     [0x00004d24, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x80b4c721, 0x1f42fb8e],
     [0x000138db, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xe07626dc, 0x0e4af5cb, 0x00000000, 0x00000000],
     [0x000138dc, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xe097e6dc, 0x1082f00b, 0x00000000, 0x00000000],
     [0x000138dd, 0x00000000, 0xe08466dc, 0x10aaea0b, 0x00000000,
      0x00000000, 0x388026dc, 0x10aaf88c, 0x00000000, 0x00000000],
     [0x000138de, 0x00000000, 0x387dc6dc, 0x10aaf6cc, 0x00000000,
      0x00000000, 0x3881e6dc, 0x0eeaf88c, 0x00000000, 0x00000000],
     [0x000138df, 0x00000000, 0x00000000, 0x00000000, 0x389546dc,
      0x1632e18c, 0x00000000, 0x00000000, 0x7889a693, 0x12f2f08f],
     [0x000138e0, 0x00000000, 0x00000000, 0x00000000, 0x78820693,
      0x1152f7cf, 0x00000000, 0x00000000, 0x7866e62b, 0x0b0aef8f],
     [0x000138e1, 0x00000000, 0x00000000, 0x00000000, 0x786145b4,
      0x0a32f1cf, 0x00000000, 0x00000000, 0xa07d4684, 0x0f52f58f],
     [0x000138e2, 0x00000000, 0x00000000, 0x00000000, 0xa07a4684,
      0x0f52f58f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0001480c, 0x00000000, 0x2cc406aa, 0x22f3020f, 0x2cf146aa,
      0x2e43020f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005fc9, 0x00000000, 0x0cae06f3, 0x1f43014f, 0x1cae66fa,
      0x1f4308cf, 0x2cb4a711, 0x1f43038f, 0xd4ae26f8, 0x1f43050e],
     [0x0000572e, 0x00000000, 0x6caaa73b, 0x1f4300ce, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x40b686d6, 0x1f42f7d0],
     [0x0001480f, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x987d072e, 0x0fa2ee1b, 0x00000000, 0x00000000],
     [0x00005fcc, 0x00000000, 0x48b0c6f2, 0x1f4302cf, 0x38b32711,
      0x1f43034f, 0xccb5471c, 0x1f43040e, 0xc0b606f2, 0x1f43018e],
     [0x0000c094, 0x00000000, 0x687a05c1, 0x1002f14f, 0x6888c5c1,
      0x1302f60f, 0x6888c5c1, 0x1302f60f, 0x687fe69b, 0x1183008f],
     [0x00005730, 0x00000000, 0x00000000, 0x00000000, 0xaca5c72f,
      0x1f43150e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000c096, 0x00000000, 0x6873e5c1, 0x0e4af44f, 0x687325c1,
      0x0e4af2cf, 0x689325c1, 0x1582f84f, 0x687565c3, 0x0f6af44f],
     [0x0000c097, 0x00000000, 0x687565c3, 0x0f6af44f, 0x6890c5c3,
      0x155af44f, 0x687925c3, 0x105af44f, 0x7465c5b5, 0x0a92e08c],
     [0x000060df, 0x00000000, 0x84b8c741, 0x1f42fe4e, 0x98ae6737,
      0x1f43028e, 0x60afe73a, 0x1f430d0e, 0xe8a9a72a, 0x1f43040e],
     [0x0000c099, 0x00000000, 0x787ca5aa, 0x1012f24f, 0x188185aa,
      0x1132f24c, 0xa0810693, 0x1132f18f, 0x6c7b2693, 0x1162f20c],
     [0x000060e0, 0x00000000, 0x00000000, 0x00000000, 0x48aee70b,
      0x1f430a0f, 0x00000000, 0x00000000, 0x6caae731, 0x1f430a4e],
     [0x0000c09b, 0x00000000, 0xa074068c, 0x0df2f24f, 0xfc6e868c,
      0x0a32f1cb, 0xf089e68c, 0x135af40b, 0xa0a465c1, 0x19e2f20f],
     [0x0000c09c, 0x00000000, 0xfca705c1, 0x1adaf20b, 0xfc9ec5c1,
      0x1a7af34b, 0xfc87c5c1, 0x138adfcb, 0xfc9205c1, 0x1312f34b],
     [0x0000c09d, 0x00000000, 0x708445b5, 0x12e2f68f, 0x687b25c1,
      0x1042f68f, 0x8c97a5b5, 0x172af50f, 0x989025c5, 0x15c2f88f],
     [0x000111a9, 0x00000000, 0x745be5a1, 0x08b2f9cf, 0x645d45a1,
      0x08b2cf0c, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000c09f, 0x00000000, 0xfc7285c1, 0x0d52f08b, 0xfc72c5c1,
      0x0e32f10b, 0xa06ec5cc, 0x0b3af1cf, 0xa06e25cc, 0x0ca2f08f],
     [0x0000c0a0, 0x00000000, 0xa07c65b8, 0x1022f34f, 0xa07c65b8,
      0x1022f34f, 0x386ba5c1, 0x0c2af44c, 0xfc714693, 0x0e52e50b],
     [0x00005736, 0x00000000, 0x50b366c3, 0x1f42fed0, 0x80b2e72c,
      0x1f42fd4e, 0x78b34710, 0x1f430d4f, 0x84a1c71b, 0x1f43128e],
     [0x0000c0a2, 0x00000000, 0xfc6f265e, 0x0a9af2cb, 0x6881c5b5,
      0x1162f04f, 0x807b65ac, 0x0fa2f14f, 0x787e65b9, 0x10b2f3cf],
     [0x0000c0a3, 0x00000000, 0xa07b25c3, 0x0fa2f34f, 0xa096e5c3,
      0x1692f3cf, 0xa07ac682, 0x0fa2f20f, 0xa087e5b8, 0x13caf98f],
     [0x0000c0a4, 0x00000000, 0x3886a5b5, 0x109af34c, 0x487f25b5,
      0x10d2f34d, 0xf07445aa, 0x0dc2f00b, 0xd47445aa, 0x0dc2f00a],
     [0x00005738, 0x00000000, 0x00b40719, 0x1f42fd0f, 0x10b54704,
      0x1f42fe10, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000c0a6, 0x00000000, 0x5c970690, 0x169af14f, 0xa075a5b8,
      0x0e42f1cf, 0x687765c3, 0x0e8af0cf, 0x7488e601, 0x12c2f54f],
     [0x0000d402, 0x00000000, 0xd0922632, 0x164af90f, 0xd0ba0632,
      0x2042f90f, 0xd0e1c632, 0x2a3af8cf, 0xa099269b, 0x1862fbcf],
     [0x0000d403, 0x00000000, 0x7c7405ab, 0x0d62ff10, 0x647a0690,
      0x1163020f, 0x7c6b85ab, 0x0d62ee10, 0x647a0690, 0x1163020f],
     [0x0000d404, 0x00000000, 0x6492c640, 0x1652f80f, 0x6492c640,
      0x1652f80f, 0x788306c1, 0x1242f70e, 0xa096e68c, 0x16f2f4cf],
     [0x0000d405, 0x00000000, 0xa096e68c, 0x16f2f4cf, 0xa08fa68c,
      0x1592f7cf, 0x9c79a6c4, 0x1032f94c, 0x10a80797, 0x19030a10],
     [0x0000d406, 0x00000000, 0xa0946597, 0x1772fc0f, 0x5457a5ab,
      0x0913044f, 0xec93e607, 0x1772ff0e, 0x6093e670, 0x1772ff0d],
     [0x0000d407, 0x00000000, 0xa093e63e, 0x1772ff0e, 0xc493c697,
      0x1772ff0c, 0xd493c6d3, 0x1772ff0b, 0x0c9246c0, 0x1773020b],
     [0x000111b8, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa0942683, 0x166af6cf, 0xa0944675, 0x15c2f78f],
     [0x000111b9, 0x00000000, 0xa098a675, 0x1342f78f, 0xa0840683,
      0x12a2f58f, 0xa09a4675, 0x1652f78f, 0xa0a2c675, 0x1822fd0f],
     [0x000111ba, 0x00000000, 0xa0b1e675, 0x1b4af78f, 0x74978685,
      0x170afa8f, 0xa080c675, 0x0f02f78f, 0xa0a2c675, 0x17d2f78f],
     [0x000111bb, 0x00000000, 0xa0944683, 0x1672f6cf, 0xa0c26675,
      0x1f6af78f, 0xa0af2675, 0x1a9af78f, 0xa09b2675, 0x1612fb0f],
     [0x000111bc, 0x00000000, 0x74978685, 0x16e2fa8f, 0xa0b1e675,
      0x1b4af78f, 0xa0968675, 0x1292f78f, 0x74978685, 0x170afa8f],
     [0x000111bd, 0x00000000, 0xa09d8675, 0x16fafc8f, 0xa0924675,
      0x1132f44f, 0xa09b6684, 0x132af50f, 0xa09be675, 0x1822f44f],
     [0x000111be, 0x00000000, 0xa0a3c675, 0x18b2f44f, 0xa09b6683,
      0x14f2f50f, 0xa09fa682, 0x1902f60f, 0x64898675, 0x139af88f],
     [0x000111bf, 0x00000000, 0x7880a5a1, 0x1062f80f, 0xc47f4684,
      0x0f6af44c, 0xb477c5a1, 0x0d62f6cc, 0x7476e684, 0x0e7af80f],
     [0x000111c0, 0x00000000, 0x747605a1, 0x0f22f44f, 0xc47a8684,
      0x0d9af80c, 0xc47765a1, 0x0e62f58c, 0x7479c684, 0x0f22f80f],
     [0x000111c1, 0x00000000, 0x745ae5a1, 0x085afa8f, 0xa08325a1,
      0x10b2fa8f, 0x607e6684, 0x10eafa8f, 0xc4832594, 0x121af58c],
     [0x000111c2, 0x00000000, 0x7c7845a6, 0x0e22fa8f, 0xc475e684,
      0x0d8af44c, 0x747545a1, 0x0e52f80f, 0x6c858594, 0x1172f6cf],
     [0x000111c3, 0x00000000, 0xc47985a1, 0x0fb2f58c, 0xc47885d2,
      0x0dbaf6cc, 0x7482e594, 0x10caf80f, 0x8c798594, 0x0dd2f58f],
     [0x000111c4, 0x00000000, 0x7476259f, 0x0e62f58f, 0xc48d65a1,
      0x14d2fa8c, 0x788f25a1, 0x129af58c, 0xc49765a1, 0x14aaf58c],
     [0x000111c5, 0x00000000, 0x749125a1, 0x154af30f, 0x74796684,
      0x0ebaf80f, 0x747445a1, 0x0d72f80f, 0x787de68e, 0x1152f30f],
     [0x000111c6, 0x00000000, 0x6c87e5a1, 0x118af10f, 0xc48c0684,
      0x142af80c, 0xb47ba5a1, 0x0feaf80c, 0x74aac594, 0x1ac2f58f],
     [0x000060f1, 0x00000000, 0x30ad6735, 0x1f430e8e, 0x7caf8742,
      0x1f430e4e, 0x8cb70732, 0x1f43074e, 0x98aa6722, 0x1f42fdcf],
     [0x0000c0bd, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xf46a237c, 0x0a6aea0b],
     [0x00005ff7, 0x00000000, 0x0ca6a6f3, 0x1f43158f, 0x00000000,
      0x00000000, 0x70b406eb, 0x1f42fb8f, 0x7cac8727, 0x1f42fc4e],
     [0x00005ff8, 0x00000000, 0x3cb34736, 0x1f43068e, 0x40a86739,
      0x1f430b8e, 0x84b226db, 0x1f42f54f, 0xd8b0c713, 0x1f430a8e],
     [0x000060f3, 0x00000000, 0xcca90735, 0x1f43110e, 0x00000000,
      0x00000000, 0x50ae8740, 0x1f4313cf, 0x90aaa734, 0x1f430e4e],
     [0x0000c0c1, 0x00000000, 0x7433e665, 0x00028658, 0xf03e872e,
      0x0002711b, 0xe032469b, 0x000289d7, 0x04276682, 0x00029f98],
     [0x0000c0c2, 0x00000000, 0x04348682, 0x00028558, 0x4c2e26d7,
      0x00029a17, 0x042ca6d6, 0x00029518, 0xe03aa6b1, 0x000278d7],
     [0x0000c0c3, 0x00000000, 0xe03466a8, 0x00028597, 0xe82426c2,
      0x0002a8d7, 0xe82cc6c2, 0x00029497, 0xe03aa6b1, 0x000278d7],
     [0x00005ffd, 0x00000000, 0xc8b666ee, 0x1f42f4cf, 0xd0b1e70b,
      0x1f42f9ce, 0x00000000, 0x00000000, 0x38aec705, 0x1f42fccf],
     [0x00005748, 0x00000000, 0xd8b5472e, 0x1f43040e, 0x00000000,
      0x00000000, 0x00b7a732, 0x1f42fbcf, 0xa8aee71b, 0x1f430c4e],
     [0x00014843, 0x00000000, 0x00000000, 0x00000000, 0xa0a38685,
      0x182af34f, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00014844, 0x00000000, 0x4cb8a6a3, 0x1f2af9cf, 0x00000000,
      0x00000000, 0x4cbd66a3, 0x2062f80f, 0x688d86a3, 0x0fa2f8cf],
     [0x000060f7, 0x00000000, 0x98b60739, 0x1f43104e, 0xbcb4a73a,
      0x1f42ff4e, 0x48a8c713, 0x1f43084f, 0xa0b3e735, 0x1f4314ce],
     [0x00014846, 0x00000000, 0x00000000, 0x00000000, 0xa097e685,
      0x0f8af28f, 0x789a4695, 0x1792f6ce, 0x4cb826a3, 0x20c2fbcf],
     [0x00004ca8, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x8cb50724, 0x1f42face],
     [0x00014848, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xdcb8a68c, 0x1f42f413, 0x00000000, 0x00000000],
     [0x00014849, 0x00000000, 0xa0a72685, 0x193af3cf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000c0cd, 0x00000000, 0x94362524, 0x00028212, 0x20310502,
      0x00028693, 0x203d4502, 0x00026e93, 0x7839262c, 0x0002878e],
     [0x000060fa, 0x00000000, 0xc8afc732, 0x1f430a4e, 0x9cb3a725,
      0x1f43060e, 0xfca9e72b, 0x1f430a4e, 0x74a7872e, 0x1f43140f],
     [0x0000574d, 0x00000000, 0x8caee732, 0x1f43008e, 0xe8b14707,
      0x1f43050e, 0xa8ad8713, 0x1f43078e, 0x9cad6720, 0x1f43058f],
     [0x0001484d, 0x00000000, 0x68a005b6, 0x1a82f6cf, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000574e, 0x00000000, 0x20abe6f8, 0x1f43030f, 0x1cb4a725,
      0x1f43024e, 0xa0b30707, 0x1f4302ce, 0x00000000, 0x00000000],
     [0x0001484f, 0x00000000, 0x6c97e5a9, 0x16d2f60f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xa0a52685, 0x18e2f6cf],
     [0x0000c0d3, 0x00000000, 0x2c34672d, 0x00027e98, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00014851, 0x00000000, 0x00000000, 0x00000000, 0xa09a2685,
      0x1762f28f, 0x6c95c6a3, 0x13caf94f, 0x6c8205b6, 0x11faf94f],
     [0x00014852, 0x00000000, 0xa0722685, 0x0bdaf80f, 0x6c776685,
      0x0d2ad6cc, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000187bc, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa0966762, 0x1692f38f, 0x3879e68e, 0x0fa2f18c],
     [0x0000c0d7, 0x00000000, 0xd8640399, 0x000289cb, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000060ff, 0x00000000, 0xe4b0673b, 0x1f43140e, 0x48b88722,
      0x1f42ffcf, 0x54b1872e, 0x1f4309ce, 0x44a7272a, 0x1f430f0e],
     [0x00005752, 0x00000000, 0x00000000, 0x00000000, 0xa4b4c739,
      0x1f42ff4e, 0xd8b2c714, 0x1f42fa8e, 0x38ace6ea, 0x1f42ffcf],
     [0x00006100, 0x00000000, 0x00000000, 0x00000000, 0x34aae73c,
      0x1f430d4e, 0x00000000, 0x00000000, 0x5caf4740, 0x1f43060e],
     [0x00006014, 0x00000000, 0x78b06724, 0x1f42f6cf, 0x8cb2e6d8,
      0x1f42ff4e, 0x84b466fa, 0x1f42f90f, 0x00000000, 0x00000000],
     [0x00006101, 0x00000000, 0xa8a9a748, 0x1f430bce, 0x00000000,
      0x00000000, 0x4cab6731, 0x1f43124e, 0x4cb0072b, 0x1f43064e],
     [0x00006016, 0x00000000, 0xa0b00740, 0x1f42fe8e, 0x00000000,
      0x00000000, 0xacb8671d, 0x1f430b0e, 0x00000000, 0x00000000],
     [0x00006017, 0x00000000, 0x38b366f2, 0x1f42f70f, 0xe0b6471b,
      0x1f42f60e, 0xb8aaa726, 0x1f43144e, 0xd8aa874d, 0x1f42f5cd],
     [0x0000c0df, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xd05fc5c0, 0x0a6b028c, 0x00000000, 0x00000000],
     [0x00006103, 0x00000000, 0xa8aae746, 0x1f4312ce, 0x4cb5c73e,
      0x1f430e4e, 0x80aee73b, 0x1f43078e, 0x98a8072e, 0x1f43130e],
     [0x0000c0e1, 0x00000000, 0xe05f669c, 0x09630b97, 0xe06f869c,
      0x0c32ed97, 0xa094a6a4, 0x1692f04f, 0x5c5de5c0, 0x0a6b0294],
     [0x0000c0e2, 0x00000000, 0xa0a166a4, 0x1902f08f, 0xa0af86a4,
      0x1cc2f08f, 0xa07f06a4, 0x1092f08f, 0x00000000, 0x00000000],
     [0x0000c0e3, 0x00000000, 0x549b66a4, 0x1852f08f, 0x00000000,
      0x00000000, 0xa0a846a4, 0x1ae2f08f, 0xa09da6a4, 0x1862f08f],
     [0x0000c0e4, 0x00000000, 0x686f869c, 0x0c32ed8f, 0xa094a69a,
      0x1692f04f, 0xa08be68c, 0x14daf20f, 0xa088a68c, 0x1362f20f],
     [0x0000c0e5, 0x00000000, 0xa092a69a, 0x1692f64f, 0xa08ea68c,
      0x14daf20f, 0xa08dc68c, 0x14daf50f, 0xa09d668c, 0x1852f34f],
     [0x00006106, 0x00000000, 0x90b4e71b, 0x1f43088e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x20ac6738, 0x1f430b8e],
     [0x00006020, 0x00000000, 0x34b1e725, 0x1f43094f, 0x00000000,
      0x00000000, 0x68b40729, 0x1f42ff8e, 0x84b16726, 0x1f43054e],
     [0x00006021, 0x00000000, 0x88b4871d, 0x1f42fc4e, 0x58b1e735,
      0x1f4302ce, 0x7cb92730, 0x1f42f9ce, 0x6cb6473c, 0x1f42ff0e],
     [0x0000575a, 0x00000000, 0xf4afa717, 0x1f4301ce, 0x54a9273e,
      0x1f431c4e, 0x00000000, 0x00000000, 0x04ab870b, 0x1f430050],
     [0x00006108, 0x00000000, 0x34ad4738, 0x1f430a8e, 0x00000000,
      0x00000000, 0x94ad6729, 0x1f430a8e, 0xccb3873c, 0x1f4308ce],
     [0x00008808, 0x00000000, 0x4c75c68c, 0x0fa2fccd, 0x3c75c68c,
      0x0fa2fc8d, 0x8c7765a4, 0x105aff90, 0x00000000, 0x00000000],
     [0x00006109, 0x00000000, 0x44aba71e, 0x1f430fcf, 0x1caaa72b,
      0x1f4310cf, 0x98ac271f, 0x1f430ece, 0xccaee73e, 0x1f4310ce],
     [0x00008809, 0x00000000, 0x00000000, 0x00000000, 0x7483e44c,
      0x14db09cf, 0x74ad844c, 0x1f4309cf, 0x00000000, 0x00000000],
     [0x00006027, 0x00000000, 0xdcad46e4, 0x1f42fd4e, 0x18b4e6f5,
      0x1f42fc0f, 0x00000000, 0x00000000, 0x84b206d0, 0x1f42fb0f],
     [0x0000575d, 0x00000000, 0xe8b80715, 0x1f42fc0e, 0x00000000,
      0x00000000, 0x58b466f5, 0x1f42fc0f, 0xe0b6c6d6, 0x1f42fb0f],
     [0x0000610b, 0x00000000, 0x78ab873d, 0x1f43180e, 0x0cab472d,
      0x1f43150e, 0x00000000, 0x00000000, 0x28a78737, 0x1f43160e],
     [0x0000575e, 0x00000000, 0x00000000, 0x00000000, 0x98a9e734,
      0x1f4314ce, 0xecb7c717, 0x1f42fb0e, 0x00000000, 0x00000000],
     [0x0000610c, 0x00000000, 0x20b42738, 0x1f43138e, 0xf4af073e,
      0x1f43120e, 0x4ca9273a, 0x1f430e4e, 0x78aa272b, 0x1f43140e],
     [0x0000c0f3, 0x00000000, 0x687a069c, 0x0fa2f44f, 0x6883669c,
      0x1202f10f, 0x6897069c, 0x16eaf48f, 0x00000000, 0x00000000],
     [0x0000610d, 0x00000000, 0x58a88738, 0x1f43074e, 0x64a9a73b,
      0x1f43120e, 0xa4b80731, 0x1f43098e, 0x58a72733, 0x1f43130e],
     [0x0000c0f5, 0x00000000, 0x00000000, 0x00000000, 0x6c8d268c,
      0x146af40c, 0x68a8e5b5, 0x1b02f04f, 0x00000000, 0x00000000],
     [0x0000610e, 0x00000000, 0x00b2c73f, 0x1f43120f, 0x58ad6737,
      0x1f43094e, 0x34a6273a, 0x1f43160e, 0x44b0071d, 0x1f430f4e],
     [0x0000880e, 0x0007ec00, 0x3077444e, 0x0ffafccd, 0x24622588,
      0x0a6afdd0, 0x24604588, 0x0a6afa10, 0xfc8de60b, 0x156afa0e],
     [0x0000c0f8, 0x00000000, 0x6ca2a69c, 0x1a3af64c, 0x6c876667,
      0x131af54c, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000880f, 0x00000000, 0x7c77068c, 0x112b0e8f, 0x00000000,
      0x00000000, 0xa87d071c, 0x0fa2ee1b, 0x00000000, 0x00000000],
     [0x00006033, 0x00000000, 0x5cad0738, 0x1f43094e, 0x70b806e6,
      0x1f42f54f, 0x94ad86fa, 0x1f42fd0f, 0x8cb16707, 0x1f42fa0e],
     [0x00008810, 0x00000000, 0xa09946ad, 0x18f30017, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x50622534, 0x0a6af7d2],
     [0x0000c0fc, 0x00000000, 0x5482c5c1, 0x119af10f, 0x6c7b45c1,
      0x0ffaf44c, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00008811, 0x00000000, 0x6867e68c, 0x053ac40f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x80a3a68c, 0x1a3aff0f],
     [0x00006037, 0x00000000, 0x8cb7c6f5, 0x1f42f54f, 0xf8b566f4,
      0x1f42f90f, 0x34b58722, 0x1f42fb4f, 0x00000000, 0x00000000],
     [0x00005765, 0x00000000, 0xe0b1471b, 0x1f4303ce, 0xb0b286fe,
      0x1f42fa4f, 0x00000000, 0x00000000, 0xf4b0c6f2, 0x1f42fe0e],
     [0x0000c100, 0x00000000, 0x00000000, 0x00000000, 0xa08ea77c,
      0x14daf20f, 0x1ca3a68c, 0x1ac2f80e, 0xa08987ab, 0x13c2f30f],
     [0x00008813, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xf474a4d8, 0x0fa2ff0c, 0x6c5765b3, 0x08b2fd0d],
     [0x0000c102, 0x00000000, 0x207a468c, 0x0fa2eece, 0x58b6468c,
      0x1f6af08f, 0xa0bc668c, 0x20f2f34f, 0xa0ab068c, 0x1b9af80f],
     [0x00014880, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x78846696, 0x117af90f, 0x00000000, 0x00000000],
     [0x0000c104, 0x00000000, 0xa094a69a, 0x1692f04f, 0xa08be68c,
      0x14daf20f, 0xa08be68c, 0x14daf20f, 0xa089868c, 0x13c2f30f],
     [0x00004ce3, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x68b4e60e, 0x1f42fece, 0x68b466f0, 0x1f43024e],
     [0x0000c106, 0x00000000, 0xa09d668c, 0x1852f34f, 0xa09d6786,
      0x1852f34f, 0xa09b2694, 0x17baf34f, 0x5898668c, 0x1712f08f],
     [0x00014884, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xe483e511, 0x12f2fad2, 0x00000000, 0x00000000],
     [0x0000c108, 0x00000000, 0xa089868c, 0x131af20f, 0x5492c69b,
      0x162af70f, 0xa08e068c, 0x14daf5cf, 0x4895e68c, 0x1692f1cf],
     [0x0000576a, 0x00000000, 0x50b12700, 0x1f43084f, 0x50b5a73b,
      0x1f42fd4f, 0x18aa073b, 0x1f43144f, 0x00000000, 0x00000000],
     [0x00004ce8, 0x00000000, 0x00000000, 0x00000000, 0x80b5c70c,
      0x1f42f850, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006044, 0x00000000, 0xecb6072a, 0x1f42f84e, 0x44ae86db,
      0x1f42fe50, 0x28b066ef, 0x1f42f90f, 0x50b6a708, 0x1f42f58f],
     [0x0000c10c, 0x00000000, 0x687da5c1, 0x102af88f, 0x687a069b,
      0x0fa2f44f, 0xa079e5b5, 0x0f62f34f, 0xa074c5b5, 0x0e1af34f],
     [0x0000576c, 0x00000000, 0x38b386fb, 0x1f42f50f, 0xd0af2720,
      0x1f43014e, 0xe4a5c738, 0x1f43048e, 0x00000000, 0x00000000],
     [0x0000c10e, 0x00000000, 0xa08265b5, 0x1162f34f, 0xa082669b,
      0x1162f34f, 0xa08265bb, 0x1162f38f, 0x7480a5b5, 0x1112f0cf],
     [0x0000576d, 0x00000000, 0x00b4072e, 0x1f4309cf, 0x1cb106f9,
      0x1f42fd4f, 0x00000000, 0x00000000, 0xc0b28726, 0x1f42fbce],
     [0x0000611b, 0x00000000, 0x6cb3273f, 0x1f43088e, 0x24aea72c,
      0x1f43140f, 0xb8b4c743, 0x1f42fdce, 0x4cac872d, 0x1f430fce],
     [0x0000576e, 0x00000000, 0xacb6672c, 0x1f42fc4e, 0x00000000,
      0x00000000, 0xd0a90737, 0x1f42f88e, 0x00000000, 0x00000000],
     [0x0000611c, 0x00000000, 0x00b38734, 0x1f43014e, 0x64ae072a,
      0x1f4315cf, 0x00000000, 0x00000000, 0x30afc738, 0x1f43024e],
     [0x00004cf1, 0x00000000, 0x50b1060e, 0x1f430150, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000611d, 0x00000000, 0xbcad472c, 0x1f43040e, 0xd0b86745,
      0x1f42ffce, 0xb4af2745, 0x1f4313ce, 0x6caf6741, 0x1f430d4e],
     [0x00004cf3, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x80b466f1, 0x1f42fa50, 0x00000000, 0x00000000],
     [0x0000611e, 0x00000000, 0xccb14745, 0x1f430d4e, 0x00ae0731,
      0x1f43068f, 0x6cae873d, 0x1f43114e, 0x00000000, 0x00000000],
     [0x00004cf5, 0x00000000, 0x00000000, 0x00000000, 0x80b546f1,
      0x1f42f8d0, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000611f, 0x00000000, 0x00000000, 0x00000000, 0x5cb14738,
      0x1f430c4e, 0xc4afc72d, 0x1f43150e, 0x00000000, 0x00000000],
     [0x0000881f, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xd87b068c, 0x10eafc53],
     [0x00006120, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x4caf4741, 0x1f43114e, 0x00000000, 0x00000000],
     [0x00005773, 0x00000000, 0x8cb0c72a, 0x1f4303ce, 0xe8b7a737,
      0x1f42fd8e, 0x00000000, 0x00000000, 0xd8b1c734, 0x1f43004e],
     [0x00006121, 0x00000000, 0x10ab6729, 0x1f430e4f, 0x00000000,
      0x00000000, 0x6cade729, 0x1f430d4e, 0xecb0272d, 0x1f43010e],
     [0x00005774, 0x00000000, 0x00000000, 0x00000000, 0x50b4c731,
      0x1f42fb8e, 0x18ada721, 0x1f430a8f, 0x78ac0741, 0x1f430d0e],
     [0x00018804, 0x00000000, 0xa46224eb, 0x0a6af7d2, 0xa86224e9,
      0x0a6af7d2, 0xa47d04eb, 0x0fa2ee12, 0xc47d04e2, 0x0fa2ee12],
     [0x00006058, 0x00000000, 0xdcb82725, 0x1f42f64e, 0xa0ae86bf,
      0x1f42f54f, 0x28b026b7, 0x1f42f90f, 0x00000000, 0x00000000],
     [0x1de98806, 0x000000f2, 0x645e468c, 0x0a6b0ad6, 0x6459c68c,
      0x0a6b01d6, 0x6c59c44e, 0x0a6b01cd, 0x6459c68c, 0x0a6b01d6],
     [0x9ec98807, 0x0007d6f8, 0x6472468c, 0x0de2f8d6, 0x6470a68c,
      0x0de2f596, 0x6c72844e, 0x0de2f94d, 0x6470a68c, 0x0de2f596],
     [0x00018808, 0x00000000, 0x4c75c68c, 0x0fa2fccd, 0x3c75c68c,
      0x0fa2fc8d, 0x8c7765a4, 0x105aff90, 0x00000000, 0x00000000],
     [0x00018809, 0x00000000, 0x00000000, 0x00000000, 0x7483e44c,
      0x14db09cf, 0x74ad844c, 0x1f4309cf, 0x00000000, 0x00000000],
     [0x00006125, 0x00000000, 0x7cab2731, 0x1f43118e, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xb4b20736, 0x1f430d4e],
     [0x00005778, 0x00000000, 0x78ac66eb, 0x1f43104f, 0x64b646c7,
      0x1f43068f, 0x7cb20740, 0x1f430f8e, 0x7cae6719, 0x1f43084e],
     [0x0001880c, 0x00000000, 0x54c186aa, 0x22aafd4f, 0x54eec6aa,
      0x2dfafd4f, 0xe859468e, 0x090b00d5, 0xe46a668e, 0x0d5300d5],
     [0x0001880d, 0x00000000, 0xe47b868e, 0x119b00d5, 0xe859468e,
      0x090b00d5, 0xe46a668e, 0x0d5300d5, 0xe47b868e, 0x119b00d5],
     [0x0001880e, 0x0007ec00, 0x3077444e, 0x0ffafccd, 0x24622588,
      0x0a6afdd0, 0x24604588, 0x0a6afa10, 0xfc8de60b, 0x156afa0e],
     [0x0001880f, 0x00000000, 0x7c77068c, 0x112b0e8f, 0x00000000,
      0x00000000, 0xa87d071c, 0x0fa2ee1b, 0x00000000, 0x00000000],
     [0x00018810, 0x00000000, 0xa09946ad, 0x18f30017, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x50622534, 0x0a6af7d2],
     [0x00018811, 0x00000000, 0x6867e68c, 0x053ac40f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x80a3a68c, 0x1a3aff0f],
     [0x00006129, 0x00000000, 0x80b6872a, 0x1f430ace, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x84adc734, 0x1f42fc4e],
     [0x00018813, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xf474a4d8, 0x0fa2ff0c, 0x6c5765b3, 0x08b2fd0d],
     [0x00018814, 0x00000000, 0x009a669b, 0x18b2fbcf, 0xf474a68c,
      0x0faaff0c, 0x8072a6aa, 0x0ebafb8c, 0x00000000, 0x00000000],
     [0x00018815, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xe48de68e, 0x163300d5],
     [0x0000612b, 0x00000000, 0x08ac073d, 0x1f43104f, 0xeca86740,
      0x1f43148d, 0x4cae4742, 0x1f430c8e, 0xd8aa472d, 0x1f43030e],
     [0x0000882b, 0x00000000, 0x70784680, 0x0fa2f78f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000612c, 0x00000000, 0x04b0073c, 0x1f42fc4f, 0xd8a80731,
      0x1f42fcce, 0xa8aa2748, 0x1f430f4e, 0x00000000, 0x00000000],
     [0x0000577f, 0x00000000, 0x00000000, 0x00000000, 0xf0b24719,
      0x1f43068e, 0x5ca2c72c, 0x1f43254e, 0x5cb3072c, 0x1f42ff4e],
     [0x0000606d, 0x00000000, 0xa8ac86ef, 0x1f42f64f, 0x7caf672c,
      0x1f42f64e, 0x00000000, 0x00000000, 0xf8b086f3, 0x1f42f74e],
     [0x00005780, 0x00000000, 0x00000000, 0x00000000, 0xf89ec70c,
      0x1f4329ce, 0x7cb0e72f, 0x1f430a8e, 0x3cb06738, 0x1f4304ce],
     [0x0000612e, 0x00000000, 0xf8b60735, 0x1f4313ce, 0x5cb1c73e,
      0x1f43124e, 0x24b0e73b, 0x1f42fe0f, 0x08a72739, 0x1f430c0f],
     [0x00005781, 0x00000000, 0x9cb3e6f0, 0x1f43058e, 0xe8aa66f6,
      0x1f430e4e, 0x28b626f7, 0x1f4301cf, 0x00000000, 0x00000000],
     [0x00006071, 0x00000000, 0xbcb7a723, 0x1f42f90e, 0xc0ad66d7,
      0x1f42f90e, 0x98b1e731, 0x1f42f74f, 0x9caec719, 0x1f42f80e],
     [0x0001881f, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xd87b068c, 0x10eafc53],
     [0x00006073, 0x00000000, 0x20b5a6fd, 0x1f42f750, 0xa0b82740,
      0x1f42f34e, 0x00000000, 0x00000000, 0xa0b0073d, 0x1f42f74e],
     [0x00005783, 0x00000000, 0x7cb3e746, 0x1f43028e, 0x00000000,
      0x00000000, 0x28b5e6fb, 0x1f4304cf, 0xe8ae8710, 0x1f4306ce],
     [0x00006131, 0x00000000, 0x9cb56748, 0x1f42fd8e, 0x6cb2c733,
      0x1f43068e, 0x2ca68735, 0x1f42fc8e, 0x80ab8739, 0x1f4310ce],
     [0x00005784, 0x00000000, 0x58b5a70b, 0x1f43068f, 0x4cb46740,
      0x1f43000e, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00004d1c, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x64af471b, 0x1f4306ce],
     [0x00005785, 0x00000000, 0x58b42702, 0x1f43064f, 0x78aa6703,
      0x1f430a4f, 0x58aea70b, 0x1f4309cf, 0xbcb2e704, 0x1f43064e],
     [0x00006079, 0x00000000, 0x00000000, 0x00000000, 0x80b786e1,
      0x1f4306cf, 0xd0b026c8, 0x1f43008f, 0xc8b2a70c, 0x1f42ff8e],
     [0x00005786, 0x00000000, 0x9cafc73e, 0x1f43158e, 0x38b72717,
      0x1f43048f, 0x3cb44728, 0x1f43104e, 0x6c9ea73a, 0x1f43240e],
     [0x00018828, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xa082c67e, 0x1162f0cf],
     [0x00018829, 0x00000000, 0x807bc68c, 0x0fa2f10f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x78cd267e, 0x24f2f20f],
     [0x00006135, 0x00000000, 0xecabc72a, 0x1f43124e, 0x00000000,
      0x00000000, 0x48ad0730, 0x1f43120e, 0x08af872d, 0x1f43008f],
     [0x0001882b, 0x00000000, 0x70784680, 0x0fa2f78f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006136, 0x00000000, 0x00000000, 0x00000000, 0x40b04732,
      0x1f43044e, 0x68b2073a, 0x1f43014e, 0xacb2a739, 0x1f42fbce],
     [0x00005789, 0x00000000, 0x6ca7271f, 0x1f43078e, 0x6cac8715,
      0x1f43138e, 0x8caee71f, 0x1f430b4e, 0x30a9c711, 0x1f430b8f],
     [0x00006137, 0x00000000, 0x00000000, 0x00000000, 0x40ad4731,
      0x1f430d8f, 0x00000000, 0x00000000, 0xa0aa872c, 0x1f43118e],
     [0x00008837, 0x00000000, 0xcc4a8656, 0x00025817, 0x2c5a66bd,
      0x0002394c, 0xd05b46f4, 0x0002378c, 0x4c698733, 0x00021c0a],
     [0x00006083, 0x00000000, 0xfcb086dd, 0x1f430a4e, 0xdcb8c725,
      0x1f42fc0e, 0xdcb6a725, 0x1f42f7ce, 0x00000000, 0x00000000],
     [0x00008838, 0x00000000, 0x00000000, 0x00000000, 0x3041a6e0,
      0x00027cd8, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00006085, 0x00000000, 0xfcb726ed, 0x1f42f58e, 0x38b646f6,
      0x1f42f78f, 0x20ad270d, 0x1f42fdcf, 0x1cb1a721, 0x1f43020f],
     [0x00008839, 0x00000000, 0x347bc7e7, 0x0001fb8d, 0x3039867e,
      0x0002828d, 0x3031c67e, 0x00029a4d, 0xd85346bd, 0x00024b8c],
     [0x00018834, 0x00000000, 0x6c3c66e0, 0x00027cd9, 0x6c3c66e0,
      0x00027cd9, 0x3026867e, 0x0002b18d, 0x00000000, 0x00000000],
     [0x00018835, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x303c66e0, 0x00027cd8, 0x303c66e0, 0x00027cd8],
     [0x00018836, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xcc42e656, 0x00027a97],
     [0x00018837, 0x00000000, 0xcc4a8656, 0x00025817, 0x2c5a66bd,
      0x0002394c, 0xd05b46f4, 0x0002378c, 0x4c698733, 0x00021c0a],
     [0x00018838, 0x00000000, 0x00000000, 0x00000000, 0x3041a6e0,
      0x00027cd8, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00018839, 0x00000000, 0x347bc7e7, 0x0001fb8d, 0x3039867e,
      0x0002828d, 0x3031c67e, 0x00029a4d, 0xd85346bd, 0x00024b8c],
     [0x0001883a, 0x00000000, 0x3842e371, 0x00027a8c, 0x08452691,
      0x00027618, 0xfc4d458b, 0x00024990, 0x3c56a6dc, 0x00027e0c],
     [0x0001883b, 0x00000000, 0xb03c6371, 0x00027ccb, 0xb03c6371,
      0x00027ccb, 0xb03c63c0, 0x00027ccb, 0xb03c63c0, 0x00027ccb],
     [0x0001883c, 0x00000000, 0xb433a71b, 0x000294d7, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00008747, 0x00000000, 0x688485b8, 0x123af34f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00005792, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xdcad26f7, 0x1f42ff8e, 0x5cb12726, 0x1f43044e],
     [0x00018840, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x6891668c, 0x160af94f, 0x00000000, 0x00000000],
     [0x00018841, 0x00000000, 0x00000000, 0x00000000, 0x68a1e68c,
      0x1a2afa0f, 0x00000000, 0x00000000, 0x6884a68c, 0x12b2f50f],
     [0x00018842, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x349345a1, 0x1712f58c, 0x64ba6697, 0x1f2afb4f],
     [0x00018843, 0x00000000, 0x709f269f, 0x19c2f8cc, 0xa08f867e,
      0x1672ff8f, 0x7882a693, 0x120af9cf, 0x7882e693, 0x121af9cf],
     [0x00018844, 0x00000000, 0x64ad868b, 0x1c0af48f, 0x1897669f,
      0x17d2f94f, 0x64b2e697, 0x1d92f64f, 0x7485e697, 0x121afa0f],
     [0x00018845, 0x00000000, 0x00000000, 0x00000000, 0xa08d067e,
      0x15d2ff8f, 0x68b7468c, 0x1fa2efcf, 0x6898c68c, 0x17c2f78f],
     [0x00018846, 0x00000000, 0x3ca2660b, 0x19d2fb0c, 0xa08d067e,
      0x1532ff8f, 0x9c97e68c, 0x17eaf94e, 0x64ac0697, 0x1d82f68f],
     [0x00018847, 0x00000000, 0x48a626a8, 0x1b52fa8f, 0xa097867e,
      0x175aff8f, 0x0c9de683, 0x1862ff4e, 0x00000000, 0x00000000],
     [0x00018848, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xa0b6267e, 0x1ea2f593, 0x00000000, 0x00000000],
     [0x00018849, 0x00000000, 0xa093267e, 0x16bafa8f, 0x386f667e,
      0x0d42f6cc, 0xa097e68c, 0x1742f54f, 0x6897e67e, 0x1742f54f],
     [0x0001884a, 0x00000000, 0x7093069f, 0x16b2fa8c, 0xa06105b7,
      0x0b42f60f, 0x00000000, 0x00000000, 0xa096e74f, 0x1692f1cf],
     [0x0001884b, 0x00000000, 0x64af4697, 0x1db2f68f, 0x4092e69f,
      0x166af9cf, 0x5ca3868c, 0x1a5af6cf, 0x7483c5a1, 0x139af58f],
     [0x0001884c, 0x00000000, 0x649a4697, 0x1773070f, 0xa0afe690,
      0x1cbaf8cf, 0xa078467e, 0x10baf14f, 0x64c2868a, 0x2182f78f],
     [0x0001884d, 0x00000000, 0x749385a1, 0x15caf58f, 0x6c8dc68d,
      0x1552f8cf, 0x5486068d, 0x13fafc4f, 0x5478668d, 0x0fcaf80f],
     [0x0001884e, 0x00000000, 0x547c668d, 0x12bafb0f, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0001884f, 0x00000000, 0x708f25aa, 0x150af44f, 0x388045b4,
      0x10e2ee0c, 0xa085667e, 0x0eaaff8f, 0xa08f867e, 0x1672ff8f],
     [0x00018850, 0x00000000, 0x94acc6e3, 0x1cdafd4b, 0x6892068c,
      0x15baff0f, 0xa07b267e, 0x117af14f, 0xa07b267e, 0x117af14f],
     [0x00018851, 0x00000000, 0xa08aa67e, 0x13b2f34f, 0xa0966675,
      0x164af24f, 0x748dc693, 0x122af80f, 0x747b25a1, 0x101af80f],
     [0x00018852, 0x00000000, 0xa069c675, 0x092af4cf, 0x3c6fc675,
      0x0aaad40c, 0xa089c69c, 0x14c2f94f, 0x6c9a868c, 0x1852f50f],
     [0x0000579c, 0x00000000, 0xc4b48715, 0x1f43028e, 0x00000000,
      0x00000000, 0xe8b34709, 0x1f43084e, 0xd8b1e716, 0x1f43094e],
     [0x00018854, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x6899268c, 0x1772f70f],
     [0x00018855, 0x00000000, 0x6899e68c, 0x1772f18f, 0x6897e68c,
      0x1772f74f, 0x6898868c, 0x1772f18f, 0x6898868c, 0x1772f14f],
     [0x00018856, 0x00000000, 0x6898868c, 0x1772f18f, 0x6898268c,
      0x1772f74f, 0x6498c68c, 0x1772f54f, 0x6898c68c, 0x1772f74f],
     [0x00018857, 0x00000000, 0x6899668c, 0x1772f14f, 0x6899668c,
      0x1772f54f, 0x6899668c, 0x1772f50f, 0x00000000, 0x00000000],
     [0x00008761, 0x00000000, 0x247da693, 0x10f2efcb, 0x245ea693,
      0x0932f2cb, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00008762, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x246a05b3, 0x0c2afacb, 0x00000000, 0x00000000],
     [0x00008763, 0x00000000, 0x00000000, 0x00000000, 0x247a65aa,
      0x1022f24b, 0x247285aa, 0x0e2af4cb, 0x00000000, 0x00000000],
     [0x0000884d, 0x00000000, 0x749385a1, 0x15caf58f, 0x6c8dc68d,
      0x1552f8cf, 0x5486068d, 0x13fafc4f, 0x5478668d, 0x0fcaf80f],
     [0x0000614e, 0x00000000, 0x3cb12726, 0x1f43180f, 0x34b1e729,
      0x1f4300cf, 0x70a90735, 0x1f43148e, 0x10ad6729, 0x1f43120f],
     [0x00008766, 0x00000000, 0x446ee6db, 0x0dcafc56, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000614f, 0x00000000, 0xbca90723, 0x1f43020e, 0x30b62731,
      0x1f430d0f, 0xdcaee736, 0x1f43108e, 0x00000000, 0x00000000],
     [0x00008768, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xfc7046dd, 0x0f02fe13],
     [0x00006150, 0x00000000, 0xacb4473a, 0x1f4305ce, 0x64ae0739,
      0x1f430f8e, 0x00000000, 0x00000000, 0x54b70742, 0x1f42fece],
     [0x000060b4, 0x00000000, 0x00000000, 0x00000000, 0x1cb6671a,
      0x1f430c8f, 0x64b3e740, 0x1f42ff8e, 0x6cb7a750, 0x1f43034e],
     [0x00006151, 0x00000000, 0x98a78744, 0x1f43180e, 0x78af272e,
      0x1f43114e, 0xc0b3a744, 0x1f4301ce, 0x3caf673f, 0x1f43114e],
     [0x000057a4, 0x00000000, 0x689fc726, 0x1f42fa8f, 0x5cb06716,
      0x1f42fecf, 0x00000000, 0x00000000, 0xccad872f, 0x1f42fc4e],
     [0x00018864, 0x00000000, 0x88a9a5a9, 0x1cf2ffd0, 0x3076e67e,
      0x0ffafd0d, 0x84a985a8, 0x1cf2ff90, 0x3076e67e, 0x0ffafd0d],
     [0x00018865, 0x00000000, 0x84ad85a9, 0x1cf2f790, 0x2076e6c2,
      0x0ffafd0c, 0x30a9867e, 0x1cf2ff8d, 0x30a9867e, 0x1cf2ff8d],
     [0x00018866, 0x00000000, 0x30a9867e, 0x1cf2ff8d, 0x30a9867e,
      0x1cf2ff8d, 0x88aac5aa, 0x1cf2fd10, 0x88aac5aa, 0x1cf2fd10],
     [0x00018867, 0x00000000, 0x38a98583, 0x1cf2ff91, 0x38a98583,
      0x1cf2ff91, 0x88a985a9, 0x1cf2ff90, 0x3876e67e, 0x0ffafd0d],
     [0x00018868, 0x00000000, 0x88a985a9, 0x1cf2ff90, 0x3876e67e,
      0x0ffafd0d, 0x88a985a9, 0x1cf2ff90, 0x88a985a9, 0x1cf2ff90],
     [0x00018869, 0x00000000, 0x84a9a5aa, 0x1cf2ff90, 0x3876e67e,
      0x0ffafd0d, 0x84a9a5aa, 0x1cf2ff90, 0x3876e67e, 0x0ffafccd],
     [0x0001886a, 0x00000000, 0x3876e67e, 0x0ffafccd, 0x84a98611,
      0x1cf2ff90, 0x84a98611, 0x1cf2ff90, 0xa0a98611, 0x1cf2ff8f],
     [0x0001886b, 0x00000000, 0xa0a98611, 0x1cf2ff8f, 0x88ce65a9,
      0x2582fa50, 0x88ad85aa, 0x1cf2f790, 0x3876e67e, 0x0ffafd0d],
     [0x0001886c, 0x00000000, 0x3073867e, 0x0e7af58d, 0x3074a67e,
      0x0e7af7cd, 0x3872e67e, 0x0e7af44d, 0x3874a67e, 0x0e7af7cd],
     [0x0001886d, 0x00000000, 0x38a9867e, 0x1cf2ff8d, 0x30a9867e,
      0x1cf2ff8d, 0xa0acc5fe, 0x1cf2f90f, 0xa0acc5fe, 0x1cf2f90f],
     [0x0001886e, 0x00000000, 0x30ab86c4, 0x1cf2fbcd, 0x30aac63e,
      0x1cf2fd0e, 0xd0a9c696, 0x1e730b0d, 0xd0a9c696, 0x1e730b0d],
     [0x0001886f, 0x00000000, 0x10af25d6, 0x1ddafb93, 0xd0af2506,
      0x1ddafb8f, 0x3075a67e, 0x0ffb258d, 0x3062867e, 0x0ffaff4d],
     [0x00018870, 0x00000000, 0x10af25d6, 0x1ddafb93, 0xd0af2506,
      0x1ddafb8f, 0x3075a67e, 0x0ffb258d, 0x3062867e, 0x0ffaff4d],
     [0x00018871, 0x00000000, 0x30a9863e, 0x1cf2ffce, 0x309b467e,
      0x182af5cd, 0x30a9863e, 0x1cf2ffce, 0x30a9863f, 0x1cf2ff8e],
     [0x00018872, 0x00000000, 0x309a067e, 0x182af84d, 0x30a9863f,
      0x1cf2ff8e, 0x309a067e, 0x182af84d, 0x1ca98603, 0x1cf2ff8f],
     [0x00018873, 0x00000000, 0x1ca98603, 0x1cf2ff8f, 0xecaac60f,
      0x1cf2fd0e, 0x78afc5ed, 0x1cf2f30f, 0xecaac60f, 0x1cf2fd0e],
     [0x00018874, 0x00000000, 0xecaac60f, 0x1cf2fd0e, 0x308ea67e,
      0x156af94d, 0xecaac60f, 0x1cf2fd0e, 0x308ea67e, 0x156af94d],
     [0x00018875, 0x00000000, 0x78afc5ed, 0x1cf2f30f, 0x208ea6c2,
      0x156af94c, 0x30abc67e, 0x1cf2fbcd, 0x30abc67e, 0x1cf2fbcd],
     [0x00018876, 0x00000000, 0x30abc67e, 0x1cf2fbcd, 0x30abc67e,
      0x1cf2fbcd, 0x74a9066c, 0x1cf2f98d, 0x78ac866d, 0x1cf3008d],
     [0x00018877, 0x00000000, 0x88aac5a9, 0x1cf2fd10, 0x88aac5a9,
      0x1cf2fd10, 0x3076e67e, 0x0ffafd0d, 0x3076e67e, 0x0ffafd0d],
     [0x00018878, 0x00000000, 0x88aac5a9, 0x1cf2fd10, 0x3076e67e,
      0x0ffafd0d, 0x88aac5a9, 0x1cf2fd10, 0x3076e67e, 0x0ffafd0d],
     [0x00018879, 0x00000000, 0x88aac5aa, 0x1cf2fd10, 0x88aac5aa,
      0x1cf2fd10, 0xecaac60f, 0x1cf2fd0e, 0x308ea67e, 0x156af94d],
     [0x0001887a, 0x00000000, 0xecaac60f, 0x1cf2fd0e, 0x308ea67e,
      0x156af94d, 0xc08ea69a, 0x156af94c, 0x00000000, 0x00000000],
     [0x000057b0, 0x00000000, 0x00000000, 0x00000000, 0x78a68736,
      0x1f42f88e, 0x0ca9272d, 0x1f42fa8f, 0x8cb70740, 0x1f42f70f],
     [0x0000615e, 0x00000000, 0xd0ade726, 0x1f4303ce, 0xf8ad4736,
      0x1f43184e, 0xacaf4733, 0x1f430c8e, 0x1cace720, 0x1f4304cf],
     [0x0001887d, 0x00000000, 0x84a985a8, 0x1cf2ff90, 0x309b467e,
      0x182af5cd, 0x00aac6cb, 0x1cf2fd0c, 0x88aac5aa, 0x1cf2fd10],
     [0x0000615f, 0x00000000, 0xacb08728, 0x1f4300ce, 0x00000000,
      0x00000000, 0xb4aa2730, 0x1f43130e, 0x00000000, 0x00000000],
     [0x0001887f, 0x00000000, 0x88ad85aa, 0x1cf2f790, 0x84aac5a9,
      0x1cf2fd10, 0x84aac5a9, 0x1cf2fd10, 0x84afc5a9, 0x1cf2f310],
     [0x00018880, 0x00000000, 0xa084467e, 0x1182ee8f, 0x647106e0,
      0x0e7afccf, 0x74796684, 0x0ebaf80f, 0xa07b667e, 0x1183004f],
     [0x00018881, 0x00000000, 0xb87b66ef, 0x1182ffcd, 0x6497862f,
      0x17d2fa8e, 0xa091a68a, 0x16dafdcf, 0x7091e67e, 0x16dafdcf],
     [0x00018882, 0x00000000, 0x348ca5fb, 0x156afd0f, 0x2c8ca67e,
      0x156afd0d, 0x547345b3, 0x0f32fe10, 0x348ca5fb, 0x156afd0f],
     [0x00018883, 0x00000000, 0x2c8ca67e, 0x156afd0d, 0x547345b3,
      0x0f32fe10, 0xa07b2668, 0x110afd0f, 0x94b506e3, 0x1f42fb0b],
     [0x00018884, 0x00000000, 0x94b506e3, 0x1f42fb0b, 0x94a986e3,
      0x1c92fc8b, 0x108c2506, 0x156afe13, 0x448e25de, 0x156afa0e],
     [0x00018885, 0x00000000, 0xfc8e06cd, 0x156afa0e, 0x287a46ae,
      0x105af98c, 0x1470e583, 0x0d62f451, 0x2477a5bf, 0x105afed0],
     [0x00018886, 0x00000000, 0x7465456b, 0x0af2f811, 0x7465456b,
      0x0af2f811, 0x94b6e7b5, 0x1d030a0b, 0x94b6e7b5, 0x1d030a0b],
     [0x00018887, 0x00000000, 0x94b6e7b5, 0x1d030a0b, 0xa08ee596,
      0x156af84f, 0xa0a94596, 0x1cf2ff8f, 0xa08dc630, 0x156afa8f],
     [0x00018888, 0x00000000, 0xa08ee60b, 0x156af3cf, 0x808ec60b,
      0x156af38e, 0x749025ef, 0x156afc0f, 0xac53469a, 0x0853070c],
     [0x00018889, 0x00000000, 0xac6e269a, 0x0ca2f3cc, 0xac6fc69a,
      0x105b0e4c, 0xac87c69a, 0x130af3cc, 0x2c882600, 0x1362f5cf],
     [0x0001888a, 0x00000000, 0x2c882600, 0x1362f5cf, 0x24860600,
      0x1362fa0f, 0x24860600, 0x1362fa0f, 0xa08e6720, 0x0e5af60a],
     [0x0001888b, 0x00000000, 0xa0aca720, 0x15eaf60a, 0xa0cae720,
      0x1d7af60a, 0xa08e6720, 0x0f9af60a, 0xa0aca720, 0x172af60a],
     [0x0001888c, 0x00000000, 0xa0cac720, 0x1eb2f60a, 0xa08e6720,
      0x0f9af60a, 0xa08e6720, 0x0f9af60a, 0xa08e6720, 0x0f9af60a],
     [0x0001888d, 0x00000000, 0x608745f1, 0x1362f78f, 0x608745f1,
      0x1362f78f, 0x6c6665f1, 0x0ffb1e0f, 0x6c89c5f1, 0x156b028f],
     [0x0001888e, 0x00000000, 0x108e25e7, 0x156afa13, 0x8c8e25e7,
      0x156afa0f, 0x8c8e25e7, 0x156afa0f, 0x6c8e25f1, 0x156afa0f],
     [0x0001888f, 0x00000000, 0xf08e2552, 0x156afa11, 0xf08e2552,
      0x156afa11, 0x088e2585, 0x156afa11, 0x3c8e25bb, 0x156afa50],
     [0x00018890, 0x00000000, 0xf85da60b, 0x08f2f6ce, 0x008e2590,
      0x156afa11, 0x7c8e25a5, 0x156afa10, 0x7c8e25a5, 0x156afa10],
     [0x00018891, 0x00000000, 0x148e25ef, 0x156afa0f, 0x348e25fc,
      0x156afa0f, 0xf48e2644, 0x156af9cd, 0x788e266f, 0x156afa0c],
     [0x00018892, 0x00000000, 0x048e25c3, 0x156afa10, 0xdc8e260d,
      0x156afa0e, 0xec8e2610, 0x156afa0e, 0x388e45fc, 0x156afa0f],
     [0x00018893, 0x00000000, 0x348e25fc, 0x156afa0f, 0xc08e25da,
      0x156afa0f, 0x2c8e25bf, 0x156afa10, 0x808e25bf, 0x156afa11],
     [0x00018894, 0x00000000, 0x808e264b, 0x156afa11, 0xf88e264b,
      0x156afa0d, 0xfc8e264b, 0x156afa0d, 0xf88e264b, 0x156afa0d],
     [0x00018895, 0x00000000, 0x049f8589, 0x19c2fa11, 0x049f8589,
      0x19c2fa11, 0x088e2588, 0x156afa11, 0x808e26d8, 0x156afa11],
     [0x00018896, 0x00000000, 0x808e26c1, 0x156afa11, 0x808e273d,
      0x156afa11, 0x808e273d, 0x156afa11, 0x808e26dc, 0x156afa11],
     [0x00018897, 0x00000000, 0x808e273d, 0x156afa11, 0x8093471f,
      0x156aefd1, 0x808e26a7, 0x156afa11, 0x808e2747, 0x156afa11],
     [0x00018898, 0x00000000, 0x308e267e, 0x156afa0d, 0x108e25c6,
      0x156afa10, 0x308e267e, 0x156afa0d, 0x088e2608, 0x156afa0f],
     [0x00018899, 0x00000000, 0x048d2649, 0x156afe0e, 0x048d2649,
      0x156afe0e, 0x548c46b6, 0x156afc4c, 0x548c46b6, 0x156afc4c],
     [0x0001889a, 0x00000000, 0x908c26d2, 0x156afc0b, 0x908c26d2,
      0x156afc0b, 0x38b005fc, 0x1d2af44f, 0x38b005fc, 0x1d2af44f],
     [0x0000886d, 0x00000000, 0x38a9867e, 0x1cf2ff8d, 0x30a9867e,
      0x1cf2ff8d, 0xa0acc5fe, 0x1cf2f90f, 0xa0acc5fe, 0x1cf2f90f],
     [0x0001889c, 0x00000000, 0x0c8c26c2, 0x156afc0c, 0x0c8c46c2,
      0x156afc0c, 0x108e2680, 0x156afa0d, 0x108e2680, 0x156afa0d],
     [0x0001889d, 0x00000000, 0x108e26c3, 0x156afa0c, 0x0c8e26c2,
      0x156afa0c, 0x708c26a9, 0x156afc0c, 0x708c26a9, 0x156afc0c],
     [0x0000616f, 0x00000000, 0x00000000, 0x00000000, 0xa4b72734,
      0x1f430dce, 0x78aac74d, 0x1f43130e, 0x28b68732, 0x1f43068f],
     [0x0001889f, 0x00000000, 0xc08c265c, 0x156afe0d, 0xc48c265d,
      0x156afe0d, 0x108e2680, 0x156afa0d, 0x108e2680, 0x156afa0d],
     [0x000188a0, 0x00000000, 0x308c267e, 0x156afe0d, 0x308c267e,
      0x156afe0d, 0x3c8c25fb, 0x156afe0f, 0x3c8c25fb, 0x156afe0f],
     [0x000188a1, 0x00000000, 0x308c667e, 0x156afe4d, 0x308c667e,
      0x156afe4d, 0x048c2647, 0x156afe0e, 0x048c2647, 0x156afe0e],
     [0x000188a2, 0x00000000, 0x0c8c26c2, 0x156afe0c, 0x0c8c26c2,
      0x156afe0c, 0x408c265b, 0x156afe0c, 0x408c265b, 0x156afe0c],
     [0x000188a3, 0x00000000, 0x24860600, 0x1362fa0f, 0x24860600,
      0x1362fa0f, 0x24860600, 0x1362fa0f, 0x3c8c25fb, 0x156afe0f],
     [0x000188a4, 0x00000000, 0x3c8c25fb, 0x156afe0f, 0x048c2647,
      0x156afe0e, 0x048c2647, 0x156afe0e, 0x24860600, 0x1362fa0f],
     [0x000188a5, 0x00000000, 0x24860600, 0x1362fa0f, 0xc4a18657,
      0x1a52fa8d, 0xc4a18657, 0x1a52fa8d, 0xc4a18657, 0x1a52fa8d],
     [0x00006173, 0x00000000, 0x00000000, 0x00000000, 0x50afc745,
      0x1f4307cf, 0x58ad873c, 0x1f430e0f, 0xf0b02739, 0x1f4301ce],
     [0x000188a7, 0x00000000, 0xc4a18657, 0x1a52fa8d, 0xc4a18657,
      0x1a52fa8d, 0x28aaa67e, 0x1c72f94d, 0x28aaa67e, 0x1c72f94d],
     [0x000188a8, 0x00000000, 0x28aaa67e, 0x1c72f94d, 0x2caaa67e,
      0x1c72f94d, 0xa08c267e, 0x156afe0f, 0xa08c267e, 0x156afe0f],
     [0x000188a9, 0x00000000, 0xa08e267e, 0x156afa0f, 0xa08e267e,
      0x156afa0f, 0xa074a67e, 0x0f8afe0f, 0xa074c67e, 0x0f92fe0f],
     [0x000188aa, 0x00000000, 0xa08c267e, 0x156afe0f, 0xa0a4467e,
      0x1ae2fc4f, 0xa0a4667e, 0x1ae2f94f, 0xa0a4467e, 0x1ae2fc4f],
     [0x000188ab, 0x00000000, 0xa098e67e, 0x1892f04f, 0xa098e67e,
      0x1892f04f, 0xa0b1c67e, 0x1e42f04f, 0xa0b1c67e, 0x1e42f04f],
     [0x000188ac, 0x00000000, 0xec8c260f, 0x156afe0e, 0xec8c260f,
      0x156afe0e, 0x3c8d65fb, 0x156af40f, 0x3c9125fb, 0x156afb8f],
     [0x000188ad, 0x00000000, 0x048d6647, 0x156af40e, 0x04912647,
      0x156afb8e, 0x3cc7657b, 0x23cafa91, 0x3cc7657b, 0x23cafa91],
     [0x000188ae, 0x00000000, 0x3ca2657b, 0x1a8afa91, 0xfc8e060b,
      0x156afa0e, 0x507145aa, 0x0f03008c, 0x74884600, 0x1362f60d],
     [0x000188af, 0x00000000, 0x2c88466e, 0x1362f60f, 0x2c88466e,
      0x1362f60f, 0xa08dc630, 0x156afa8f, 0x28aaa67e, 0x1c7af94d],
     [0x000188b0, 0x00000000, 0x94ab46e3, 0x1ce2fb8b, 0x94ab46e3,
      0x1ce2fb8b, 0xa8a646f2, 0x1ce3058b, 0x80a646e8, 0x1ce3058b],
     [0x000188b1, 0x00000000, 0xe07ca5d0, 0x105af48f, 0xa457e521,
      0x08f302d2, 0x6c91a63d, 0x15e2f6cf, 0x088dc609, 0x156afacf],
     [0x00006179, 0x00000000, 0x80b6c73f, 0x1f42ff4e, 0x5cb30740,
      0x1f43078e, 0x94a9a745, 0x1f43024e, 0x00000000, 0x00000000],
     [0x00008879, 0x00000000, 0x88aac5aa, 0x1cf2fd10, 0x88aac5aa,
      0x1cf2fd10, 0xecaac60f, 0x1cf2fd0e, 0x308ea67e, 0x156af94d],
     [0x000188b4, 0x00000000, 0x3c8c25fb, 0x156afe0f, 0x3c8c25fb,
      0x156afe0f, 0x24860600, 0x1362fa0f, 0x24860600, 0x1362fa0f],
     [0x000188b5, 0x00000000, 0x2486065f, 0x1362fa0f, 0xac8e269a,
      0x156afa0c, 0x408c25fe, 0x156afc0f, 0x408c25fe, 0x156afc0f],
     [0x000188b6, 0x00000000, 0x40d825fe, 0x27d2f94f, 0x40d825fe,
      0x27d2f94f, 0x908c2726, 0x156afc0a, 0x908c2726, 0x156afc0a],
     [0x000188b7, 0x00000000, 0x048c2647, 0x156afe0e, 0x048c2647,
      0x156afe0e, 0xbc8c265b, 0x156afe0d, 0xbc8c265b, 0x156afe0d],
     [0x000188b8, 0x00000000, 0x0c8c26c2, 0x156afe0c, 0x0c8c26c2,
      0x156afe0c, 0x0c8c46c2, 0x156afe4c, 0x0c8c46c2, 0x156afe4c],
     [0x000188b9, 0x00000000, 0x408c265b, 0x156afe0c, 0x408c265b,
      0x156afe0c, 0x448e2685, 0x156afa0b, 0x448e2685, 0x156afa0b],
     [0x0000617d, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x98b1a739, 0x1f42f88e, 0x10b54725, 0x1f42ffcf],
     [0x000188bb, 0x00000000, 0x0c8726c2, 0x13daf40c, 0x0c8ae6c2,
      0x13dafb8c, 0x00666646, 0x0ffb1e0e, 0x94a4c524, 0x1cf30912],
     [0x000188bc, 0x00000000, 0x589a05f0, 0x1cf31e8f, 0x589a05f0,
      0x1cf31e8f, 0x349de5fb, 0x19bafbcf, 0x348ca5fb, 0x156afd0f],
     [0x000188bd, 0x00000000, 0x547305b3, 0x0f32fd90, 0x348ca6b4,
      0x156afd0f, 0x348ca695, 0x156afd0f, 0x5473064d, 0x0f32fd90],
     [0x0000617f, 0x00000000, 0x00000000, 0x00000000, 0xf0b1672f,
      0x1f4307ce, 0x30a42739, 0x1f4303cf, 0xa8a88735, 0x1f43050e],
     [0x000188bf, 0x00000000, 0x547305b3, 0x0f32fd90, 0x348cc695,
      0x156afd4f, 0x5473a64d, 0x0f32fed0, 0x28aaa67e, 0x1c72f94d],
     [0x000188c0, 0x00000000, 0xd88725cf, 0x12f2f44f, 0x00000000,
      0x00000000, 0xa0ab66ee, 0x1cf2fbcf, 0x00000000, 0x00000000],
     [0x000188c1, 0x00000000, 0x00000000, 0x00000000, 0xa0860629,
      0x1362fa0f, 0xa08606c0, 0x1362fa0f, 0x00000000, 0x00000000],
     [0x000188c2, 0x00000000, 0x4c7666b1, 0x0eab1d0c, 0x4c6246b1,
      0x0eaaf4cc, 0x4c7666b1, 0x0eab1d0c, 0x4c6246b1, 0x0eaaf4cc],
     [0x000188c3, 0x00000000, 0x4472048e, 0x0e7afb0c, 0x4472048e,
      0x0e7afb0c, 0x5c720754, 0x0e7afb17, 0x5c720754, 0x0e7afb17],
     [0x000188c4, 0x00000000, 0x6c838571, 0x12c2fa11, 0xa476a59f,
      0x105b00d0, 0xa0978533, 0x17d2fa8f, 0xa0978533, 0x17d2fa8f],
     [0x000188c5, 0x00000000, 0x00000000, 0x00000000, 0xaca2062e,
      0x1a7af48c, 0xc8c166d4, 0x2262fb4b, 0xccc166d5, 0x2262fb4b],
     [0x000188c6, 0x00000000, 0x30ab667e, 0x1cf2fbcd, 0x6c838571,
      0x12c2fa11, 0x8c8c4687, 0x156afe0e, 0x00000000, 0x00000000],
     [0x000188c7, 0x00000000, 0x0471e67e, 0x0e7afad4, 0x0471e67e,
      0x0e7afad4, 0x3c71e48c, 0x0e7afacc, 0x3c72048c, 0x0e7afb0c],
     [0x000188c8, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xecb72550, 0x1fdafb91, 0xecb72550, 0x1fdafb91],
     [0x000057d7, 0x00000000, 0x8cb2e735, 0x1f42ff8e, 0x8cb46735,
      0x1f43024e, 0x14b2e737, 0x1f42ff8e, 0x00000000, 0x00000000],
     [0x000188ca, 0x00000000, 0x00000000, 0x00000000, 0x4c6866b1,
      0x0c83014c, 0x4c66e6b1, 0x0c82fe4c, 0x00000000, 0x00000000],
     [0x000188cb, 0x00000000, 0xb8a7e69c, 0x1cf302cc, 0x40b2e638,
      0x1ed2fbce, 0x708645aa, 0x1382e98d, 0x00000000, 0x00000000],
     [0x000188cc, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0xc0a3a61a, 0x1bcb020e, 0x00000000, 0x00000000],
     [0x000188cd, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x30a7a6d7, 0x1cf3034d, 0x00000000, 0x00000000],
     [0x00006187, 0x00000000, 0xacab673a, 0x1f430c8e, 0x00000000,
      0x00000000, 0x7cafc72d, 0x1f42fe4f, 0x9cb18734, 0x1f43160e],
     [0x000188cf, 0x00000000, 0x00000000, 0x00000000, 0xd4a5c693,
      0x1c73030c, 0x00000000, 0x00000000, 0xe08c66a7, 0x155afd0c],
     [0x000188d0, 0x00000000, 0xe08c66a7, 0x155afd0c, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000057db, 0x00000000, 0xa4acc70f, 0x1f42f88e, 0x58ab8725,
      0x1f430b8e, 0x00000000, 0x00000000, 0x3cac4705, 0x1f43078f],
     [0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00008889, 0x00000000, 0xac6e269a, 0x0ca2f3cc, 0xac6fc69a,
      0x105b0e4c, 0xac87c69a, 0x130af3cc, 0x2c882600, 0x1362f5cf],
     [0x000188d4, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0xe09ae6d7, 0x18d2fbcc],
     [0x000057dd, 0x00000000, 0xb8ae46fe, 0x1f43024e, 0x00000000,
      0x00000000, 0x44b1e6fa, 0x1f42fd4f, 0xb4b1070e, 0x1f42f94f],
     [0x0000618b, 0x00000000, 0x40b3873a, 0x1f43048e, 0x5ca64746,
      0x1f43150e, 0x1ca6a736, 0x1f43084e, 0x54ac872f, 0x1f430bce],
     [0x000057de, 0x00000000, 0x84b646fb, 0x1f42fd4f, 0xa4b82708,
      0x1f42f74f, 0x00000000, 0x00000000, 0xe0ad8706, 0x1f42ff0f],
     [0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
      0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000057df, 0x00000000, 0x38b5a715, 0x1f42f94f, 0x44b5070c,
      0x1f42fb4f, 0x34b72708, 0x1f42fc4f, 0x6cb2473f, 0x1f42f94e]
    ]);

val CHAR_METRICS_MODULUS = 4955;
val CHAR_METRICS_OFFSET = 5000;

val topcentre_hash = Vector.fromList [
     0xe10020df,
     0x00000000,
     0xe54020e1,
     0xdfa00300,
     0xdfa00301,
     0xe3400302,
     0xe3400303,
     0xe3400304,
     0xe3400305,
     0xe3000306,
     0xe54020e9,
     0xde4020ea,
     0xe5800309,
     0xe340030a,
     0xe580030b,
     0xe340030c,
     0xe2a020ef,
     0xe44020f0,
     0xe580030f,
     0xe3000310,
     0xe3000311,
     0xe3400312,
     0xe3400313,
     0xe3400314,
     0x00000000,
     0xe2200316,
     0xdfa00317,
     0xda000318,
     0xea400319,
     0xe340031a,
     0x00000000,
     0xdb00031c,
     0xe340031d,
     0xe340031e,
     0xe340031f,
     0xe3400320,
     0xf1600321,
     0x00000000,
     0xe3400323,
     0xe3400324,
     0xe3400325,
     0xe3400326,
     0xe3400327,
     0xe3400328,
     0xe3400329,
     0xe360032a,
     0xe380032b,
     0xe340032c,
     0xe340032d,
     0xe340032e,
     0xe340032f,
     0xe3400330,
     0xe3400331,
     0xe3400332,
     0xe3400333,
     0xe2800334,
     0xe3200335,
     0xe3400336,
     0xe5c00337,
     0xea400338,
     0xe5000339,
     0xe360033a,
     0xe340033b,
     0xe340033c,
     0xe340033d,
     0xe340033e,
     0xe340033f,
     0x29400043,
     0x2bc00044,
     0x26000045,
     0x22c00046,
     0x2e400047,
     0x2d000048,
     0xe5e00346,
     0x1a80004a,
     0x2f40004b,
     0x1280004c,
     0x36c0004d,
     0x2d00004e,
     0xe460034c,
     0x22e00050,
     0x2e000051,
     0x2a400052,
     0x21600053,
     0x26200054,
     0x2d000055,
     0x2c800056,
     0x3a800057,
     0x2ca00058,
     0x2d400059,
     0x2600005a,
     0x00000063,
     0xe4400359,
     0x00000069,
     0x2941d44e,
     0x0000006b,
     0x000020e8,
     0x1e000061,
     0x1d800062,
     0x1b400063,
     0x20600064,
     0x1c000065,
     0x19400066,
     0x1f200067,
     0x1f000068,
     0x10000069,
     0x1200006a,
     0x2000006b,
     0x1140006c,
     0x3180006d,
     0x1f40006e,
     0x1f40006f,
     0x1dc00070,
     0x20000071,
     0x15400072,
     0x19000073,
     0x12400074,
     0x1e800075,
     0x1f000076,
     0x2cc00077,
     0x1f000078,
     0x1e800079,
     0x1bc0007a,
     0x000020ec,
     0xe20020e4,
     0xe2a020e5,
     0xe4c020e6,
     0xe1c020e7,
     0xe54020e8,
     0x2d200041,
     0x26200042,
     0xf00020eb,
     0xe2a020ec,
     0xe2a020ed,
     0xe2a020ee,
     0xe3400307,
     0xe3400308,
     0x14c00049,
     0xe2a020d0,
     0xe2a020d1,
     0xe4e020d2,
     0xe440030d,
     0xe340030e,
     0x2d20004f,
     0xe2a020d6,
     0xe2a020d7,
     0x0000004a,
     0x0000004b,
     0x0000004e,
     0xe54020db,
     0xe08020dc,
     0xe0c020dd,
     0xe0c020de
    ];

val TOPCENTRE_SIZE = 153;
val TOPCENTRE_MODULUS = 88;
val TOPCENTRE_OFFSET = 64;

val variant_hash = Vector.fromList
   (map Vector.fromList [
     [0x00002a0a, 0x00002a0a, 0x0010824b, 0x00000000, 0x00000000, 0x00000000],
     [0x002023dc, 0x0010822d, 0x00108274, 0x001082ad, 0x001082e5, 0x0010830e],
     [0x00002233, 0x00002233, 0x0010831c, 0x00000000, 0x00000000, 0x00000000],
     [0x002023dd, 0x0010822e, 0x00108275, 0x001082ae, 0x001082e6, 0x0010830f],
     [0x00002a0c, 0x00002a0c, 0x0010831e, 0x00000000, 0x00000000, 0x00000000],
     [0x002023de, 0x0010822f, 0x00108276, 0x001082af, 0x001082e7, 0x00108310],
     [0x00002a0d, 0x00002a0d, 0x0010831f, 0x00000000, 0x00000000, 0x00000000],
     [0x002023df, 0x00108230, 0x00108277, 0x001082b0, 0x001082e8, 0x00108311],
     [0x00002a0e, 0x00002a0e, 0x00108320, 0x00000000, 0x00000000, 0x00000000],
     [0x002023e0, 0x00108231, 0x00108278, 0x001082b1, 0x001082e9, 0x00108312],
     [0x00002772, 0x00002772, 0x00108233, 0x0010827a, 0x001082b3, 0x001082eb],
     [0x0000222b, 0x0000222b, 0x00108314, 0x00000000, 0x00000000, 0x00000000],
     [0x0000222c, 0x0000222c, 0x00108315, 0x00000000, 0x00000000, 0x00000000],
     [0x0000222d, 0x0000222d, 0x00108316, 0x00000000, 0x00000000, 0x00000000],
     [0x0000222e, 0x0000222e, 0x00108317, 0x00000000, 0x00000000, 0x00000000],
     [0x0000222f, 0x0000222f, 0x00108318, 0x00000000, 0x00000000, 0x00000000],
     [0x00002230, 0x00002230, 0x00108319, 0x00000000, 0x00000000, 0x00000000],
     [0x00002231, 0x00002231, 0x0010831a, 0x00000000, 0x00000000, 0x00000000],
     [0x00002309, 0x00002309, 0x0010820b, 0x0010826f, 0x001082a8, 0x001082e0],
     [0x00002983, 0x00002983, 0x0010823b, 0x00108282, 0x001082bb, 0x001082f3],
     [0x00002984, 0x00002984, 0x0010823c, 0x00108283, 0x001082bc, 0x001082f4],
     [0x00002985, 0x00002985, 0x0010823d, 0x00108284, 0x001082bd, 0x001082f5],
     [0x00002986, 0x00002986, 0x0010823e, 0x00108285, 0x001082be, 0x001082f6],
     [0x002002f7, 0x001081ef, 0x0010825b, 0x00108294, 0x001082cc, 0x001082fc],
     [0x00002308, 0x00002308, 0x0010820a, 0x0010826e, 0x001082a7, 0x001082df],
     [0x000027e9, 0x000027e9, 0x00108238, 0x0010827f, 0x001082b8, 0x001082f0],
     [0x0000230a, 0x0000230a, 0x0010820c, 0x00108270, 0x001082a9, 0x001082e1],
     [0x0000230b, 0x0000230b, 0x0010820d, 0x00108271, 0x001082aa, 0x001082e2],
     [0x00002a18, 0x00002a18, 0x0010832a, 0x00000000, 0x00000000, 0x00000000],
     [0x00000028, 0x00000028, 0x001081e2, 0x0010824e, 0x00108287, 0x001082bf],
     [0x0020203e, 0x001081ed, 0x00108259, 0x00108292, 0x001082ca, 0x001082fa],
     [0x00000029, 0x00000029, 0x001081e3, 0x0010824f, 0x00108288, 0x001082c0],
     [0x000029f8, 0x000029f8, 0x0010823f, 0x00000000, 0x00000000, 0x00000000],
     [0x000029f9, 0x000029f9, 0x00108240, 0x00000000, 0x00000000, 0x00000000],
     [0x00200302, 0x001081f0, 0x0010825c, 0x00108295, 0x001082cd, 0x001082fd],
     [0x00200303, 0x001081f1, 0x0010825d, 0x00108296, 0x001082ce, 0x001082fe],
     [0x00002a1c, 0x00002a1c, 0x0010832e, 0x00000000, 0x00000000, 0x00000000],
     [0x00200305, 0x001081f2, 0x0010825e, 0x00108297, 0x001082cf, 0x001082ff],
     [0x002020d0, 0x001081f7, 0x00108263, 0x0010829c, 0x001082d4, 0x00108304],
     [0x00002a04, 0x00002a04, 0x00108245, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a00, 0x00002a00, 0x00108241, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a01, 0x00002a01, 0x00108242, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a02, 0x00002a02, 0x00108243, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a03, 0x00002a03, 0x00108244, 0x00000000, 0x00000000, 0x00000000],
     [0x0020030c, 0x001081f3, 0x0010825f, 0x00108298, 0x001082d0, 0x00108300],
     [0x00002a05, 0x00002a05, 0x00108246, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a06, 0x00002a06, 0x00108247, 0x00000000, 0x00000000, 0x00000000],
     [0x0000002f, 0x0000002f, 0x001081e4, 0x00108250, 0x00108289, 0x001082c1],
     [0x00002a08, 0x00002a08, 0x00108249, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a09, 0x00002a09, 0x0010824a, 0x00000000, 0x00000000, 0x00000000],
     [0x002020d6, 0x001081f9, 0x00108265, 0x0010829e, 0x001082d6, 0x00108306],
     [0x00002a0b, 0x00002a0b, 0x0010831d, 0x00000000, 0x00000000, 0x00000000],
     [0x002020d7, 0x001081fa, 0x00108266, 0x0010829f, 0x001082d7, 0x00108307],
     [0x00002211, 0x00002211, 0x00108202, 0x00000000, 0x00000000, 0x00000000],
     [0x00002773, 0x00002773, 0x00108234, 0x0010827b, 0x001082b4, 0x001082ec],
     [0x00002a0f, 0x00002a0f, 0x00108321, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a10, 0x00002a10, 0x00108322, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a11, 0x00002a11, 0x00108323, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a12, 0x00002a12, 0x00108324, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a13, 0x00002a13, 0x00108325, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a14, 0x00002a14, 0x00108326, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a15, 0x00002a15, 0x00108327, 0x00000000, 0x00000000, 0x00000000],
     [0x0000221a, 0x0000221a, 0x00108203, 0x0010826b, 0x001082a4, 0x00000000],
     [0x00002a17, 0x00002a17, 0x00108329, 0x00000000, 0x00000000, 0x00000000],
     [0x0000221c, 0x0000221c, 0x00108205, 0x0010826d, 0x001082a6, 0x00000000],
     [0x00002a19, 0x00002a19, 0x0010832b, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a16, 0x00002a16, 0x00108328, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a1b, 0x00002a1b, 0x0010832d, 0x00000000, 0x00000000, 0x00000000],
     [0x000027e7, 0x000027e7, 0x00108236, 0x0010827d, 0x001082b6, 0x001082ee],
     [0x000027e8, 0x000027e8, 0x00108237, 0x0010827e, 0x001082b7, 0x001082ef],
     [0x00002a1a, 0x00002a1a, 0x0010832c, 0x00000000, 0x00000000, 0x00000000],
     [0x000027ea, 0x000027ea, 0x00108239, 0x00108280, 0x001082b9, 0x001082f1],
     [0x000027eb, 0x000027eb, 0x0010823a, 0x00108281, 0x001082ba, 0x001082f2],
     [0x002020d1, 0x001081f8, 0x00108264, 0x0010829d, 0x001082d5, 0x00108305],
     [0x0000007b, 0x0000007b, 0x001081e8, 0x00108254, 0x0010828d, 0x001082c5],
     [0x000022c0, 0x000022c0, 0x00108206, 0x00000000, 0x00000000, 0x00000000],
     [0x000022c1, 0x000022c1, 0x00108207, 0x00000000, 0x00000000, 0x00000000],
     [0x000022c2, 0x000022c2, 0x00108208, 0x00000000, 0x00000000, 0x00000000],
     [0x000022c3, 0x000022c3, 0x00108209, 0x00000000, 0x00000000, 0x00000000],
     [0x002002c7, 0x001081ee, 0x0010825a, 0x00108293, 0x001082cb, 0x001082fb],
     [0x00200330, 0x001081f4, 0x00108260, 0x00108299, 0x001082d1, 0x00108301],
     [0x002002c6, 0x001081eb, 0x00108257, 0x00108290, 0x001082c8, 0x001082f8],
     [0x00200332, 0x001081f5, 0x00108261, 0x0010829a, 0x001082d2, 0x00108302],
     [0x00002140, 0x00002140, 0x001081ff, 0x00000000, 0x00000000, 0x00000000],
     [0x00002afc, 0x0010824c, 0x00108286, 0x00000000, 0x00000000, 0x00000000],
     [0x002023b5, 0x00108229, 0x00108273, 0x001082ac, 0x001082e4, 0x0010830d],
     [0x00002232, 0x00002232, 0x0010831b, 0x00000000, 0x00000000, 0x00000000],
     [0x0000220f, 0x0000220f, 0x00108200, 0x00000000, 0x00000000, 0x00000000],
     [0x00002210, 0x00002210, 0x00108201, 0x00000000, 0x00000000, 0x00000000],
     [0x000027e6, 0x000027e6, 0x00108235, 0x0010827c, 0x001082b5, 0x001082ed],
     [0x002023e1, 0x00108232, 0x00108279, 0x001082b2, 0x001082ea, 0x00108313],
     [0x0000005b, 0x0000005b, 0x001081e5, 0x00108251, 0x0010828a, 0x001082c2],
     [0x0000005c, 0x0000005c, 0x001081ea, 0x00108256, 0x0010828f, 0x001082c7],
     [0x0000005d, 0x0000005d, 0x001081e6, 0x00108252, 0x0010828b, 0x001082c3],
     [0x002020ec, 0x001081fb, 0x00108267, 0x001082a0, 0x001082d8, 0x00108308],
     [0x00002aff, 0x0010824d, 0x0010839d, 0x00000000, 0x00000000, 0x00000000],
     [0x002023b4, 0x00108228, 0x00108272, 0x001082ab, 0x001082e3, 0x0010830c],
     [0x0000007d, 0x0000007d, 0x001081e9, 0x00108255, 0x0010828e, 0x001082c6],
     [0x002020ee, 0x001081fd, 0x00108269, 0x001082a2, 0x001082da, 0x0010830a],
     [0x0000221b, 0x0000221b, 0x00108204, 0x0010826c, 0x001082a5, 0x00000000],
     [0x002002dc, 0x001081ec, 0x00108258, 0x00108291, 0x001082c9, 0x001082f9],
     [0x002020ed, 0x001081fc, 0x00108268, 0x001082a1, 0x001082d9, 0x00108309],
     [0x00002a07, 0x00002a07, 0x00108248, 0x00000000, 0x00000000, 0x00000000],
     [0x002020ef, 0x001081fe, 0x0010826a, 0x001082a3, 0x001082db, 0x0010830b]
    ]);

val VARIANT_SIZE = 104;
val VARIANT_MODULUS = 51;
val VARIANT_OFFSET = 53;

val extension_hash = Vector.fromList
   (map Vector.fromList [
     [0x000027f0, 0x0c90815a, 0x81300064, 0x0c8027f0, 0x03320000, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000027f1, 0x000027f1, 0x03320064, 0x0c90815a, 0x81300064, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002983, 0x0000290b, 0x03320064, 0x0c908158, 0x81300064, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x002002f7, 0x0010821e, 0x03ed0064, 0x0c90821f, 0x83f20064, 0x0c908220,
                 0x03ed0000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x002020ec, 0x1910815c, 0x81f400c8, 0x259081fb, 0x03670000, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000290b, 0x0000290b, 0x03320064, 0x0c908158, 0x81300064, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x002023b4, 0x00108169, 0x071c0258, 0x2590816d, 0x8064012c, 0x4b10816a,
                 0x071c0000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x002023b5, 0x0010816b, 0x071c0258, 0x2590816e, 0x8064012c, 0x4b10816c,
                 0x071c0000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x002020d0, 0x001081f7, 0x0367012c, 0x1910815b, 0x81f400c8, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x002020d1, 0x1910815b, 0x81f400c8, 0x259081f8, 0x03670000, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x002021d0, 0x000021d0, 0x032601f4, 0x19108132, 0x81b300c8, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002191, 0x258023d0, 0x8130012c, 0x22202191, 0x03320000, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000027e9, 0x0010821b, 0x03ed0154, 0x2a90821a, 0x83f20154, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000022c2, 0x001082de, 0x073f0258, 0x26d0839b, 0x827b0136, 0x3e90839c,
                 0x02720000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00202b45, 0x00002b45, 0x03320032, 0x06508159, 0x813b012c, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00200303, 0x0010821e, 0x03ed0064, 0x0c90821f, 0x83f20064, 0x0c908220,
                 0x03ed0000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002772, 0x0010821b, 0x03ed0154, 0x2a90821a, 0x83f20154, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002773, 0x0010821b, 0x03ed0154, 0x2a90821a, 0x83f20154, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x002021a4, 0x00002190, 0x03120258, 0x258023af, 0x8064012c, 0x4b0027de,
                 0x05b80000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00000338, 0x00108222, 0x03ed0258, 0x4b10821f, 0x83f201f4, 0x19108221,
                 0x03f200c8, 0x3e90821f, 0x83f20258, 0x4b108220, 0x03ed0000],
     [0x002021a6, 0x000027dd, 0x05b80258, 0x258023af, 0x8064012c, 0x4b002192,
                 0x03120000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000027eb, 0x0010821b, 0x03ed0154, 0x2a90821a, 0x83f20154, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000027ee, 0x00108212, 0x03ed0064, 0x0c908211, 0x83f20064, 0x0c908210,
                 0x03ed0000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002309, 0x2a90821a, 0x83f20154, 0x2a908219, 0x03ed0000, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0020030c, 0x001081f2, 0x03e803e8, 0x7d1081f2, 0x83e80000, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000230b, 0x0010821b, 0x03ed0154, 0x2a90821a, 0x83f20154, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00202190, 0x00002190, 0x0312012c, 0x258023af, 0x813b012c, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000007d, 0x00108222, 0x03ed0258, 0x4b10821f, 0x83f201f4, 0x19108221,
                 0x03f200c8, 0x3e90821f, 0x83f20258, 0x4b108220, 0x03ed0000],
     [0x00002986, 0x0000290b, 0x03320064, 0x0c908158, 0x81300064, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a0a, 0x0000290b, 0x03320064, 0x0c908158, 0x81300064, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00202194, 0x00002190, 0x03120258, 0x258023af, 0x8064012c, 0x4b002192,
                 0x03120000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002140, 0x00002016, 0x036f01b8, 0x37002016, 0x836f0000, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000021be, 0x258023d0, 0x8130012c, 0x222021be, 0x03320000, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a0c, 0x0000290b, 0x03320064, 0x0c908158, 0x81300064, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000021bf, 0x258023d0, 0x8130012c, 0x222021bf, 0x03320000, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a0d, 0x0000290b, 0x03320064, 0x0c908158, 0x81300064, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002016, 0x00002016, 0x036f01b8, 0x37002016, 0x836f0000, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x002020ed, 0x001081fc, 0x0367012c, 0x1910815c, 0x81f400c8, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x002020ee, 0x001081fd, 0x0368012c, 0x1910815c, 0x81f400c8, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x002020ef, 0x1910815c, 0x81f400c8, 0x259081fe, 0x03680000, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00000028, 0x00108212, 0x03ed0096, 0x3e908211, 0x83f201f4, 0x12d08210,
                 0x03ed0000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000029f8, 0x0000290b, 0x03320064, 0x0c908158, 0x81300064, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000029f9, 0x0000290b, 0x03320064, 0x0c908158, 0x81300064, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x002021bd, 0x000021bd, 0x034f0258, 0x258023af, 0x813b012c, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00000029, 0x00108215, 0x03ed0096, 0x3e908214, 0x83f201f4, 0x12d08213,
                 0x03ed0000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000005c, 0x00108218, 0x03ed03b6, 0x3e908217, 0x83f201f4, 0x76d08216,
                 0x03ed0000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x002021c0, 0x258023af, 0x813b012c, 0x4b0021c0, 0x034f0000, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000002f, 0x00108215, 0x03ed0096, 0x3e908214, 0x83f201f4, 0x12d08213,
                 0x03ed0000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000221b, 0x001082dd, 0x073f0258, 0x26d0839b, 0x827b0136, 0x3e90839c,
                 0x02720000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000221c, 0x001082de, 0x073f0258, 0x26d0839b, 0x827b0136, 0x3e90839c,
                 0x02720000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x002023e0, 0x00108160, 0x03a500c8, 0x1910816e, 0x81f400c8, 0x4b108164,
                 0x07480258, 0x1910816e, 0x81f400c8, 0x19108161, 0x03a50000],
     [0x002023e1, 0x00108160, 0x03a500c8, 0x1910816e, 0x81f400c8, 0x4b108164,
                 0x07480258, 0x1910816e, 0x81f400c8, 0x19108161, 0x03a50000],
     [0x00002a03, 0x0000290b, 0x03320064, 0x0c908158, 0x81300064, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a16, 0x0000290b, 0x03320064, 0x0c908158, 0x81300064, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00200302, 0x0010821e, 0x03ed0064, 0x0c90821f, 0x83f20064, 0x0c908220,
                 0x03ed0000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a17, 0x0000290b, 0x03320064, 0x0c908158, 0x81300064, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a07, 0x0000290b, 0x03320064, 0x0c908158, 0x81300064, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000220f, 0x000021d3, 0x0332012c, 0x0c908131, 0x812c0064, 0x258021d1,
                 0x03320000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002210, 0x000021d3, 0x0332012c, 0x0c908131, 0x812c0064, 0x258021d1,
                 0x03320000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002211, 0x000021d3, 0x0332012c, 0x0c908131, 0x812c0064, 0x258021d1,
                 0x03320000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00200330, 0x001081f2, 0x03e803e8, 0x7d1081f2, 0x83e80000, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000021c3, 0x000021c3, 0x03320111, 0x258023d0, 0x8130012c, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00200332, 0x001081f5, 0x03e803e8, 0x7d1081f5, 0x83e80000, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x002021d2, 0x19108132, 0x81b300c8, 0x3e8021d2, 0x03260000, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a10, 0x0000290b, 0x03320064, 0x0c908158, 0x81300064, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x002021d4, 0x000021d0, 0x032601f4, 0x19108132, 0x806400c8, 0x3e8021d2,
                 0x03260000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a12, 0x0000290b, 0x03320064, 0x0c908158, 0x81300064, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a13, 0x0000290b, 0x03320064, 0x0c908158, 0x81300064, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a14, 0x0000290b, 0x03320064, 0x0c908158, 0x81300064, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a15, 0x0000290b, 0x03320064, 0x0c908158, 0x81300064, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002232, 0x001082de, 0x073f0258, 0x26d0839b, 0x827b0136, 0x3e90839c,
                 0x02720000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002233, 0x001082de, 0x073f0258, 0x26d0839b, 0x827b0136, 0x3e90839c,
                 0x02720000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002aff, 0x0000290b, 0x03320064, 0x0c908158, 0x81300064, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00200305, 0x001081f2, 0x03e803e8, 0x7d1081f2, 0x83e80000, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002193, 0x00002193, 0x03320111, 0x258023d0, 0x8130012c, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a1b, 0x0000290b, 0x03320064, 0x0c908158, 0x81300064, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002195, 0x00002193, 0x03320111, 0x258023d0, 0x8130012c, 0x22202191,
                 0x03320000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00108224, 0x00108222, 0x03ed0064, 0x0c90821f, 0x83f20064, 0x0c90821c,
                 0x03ed0000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000021d5, 0x000021d3, 0x0332012c, 0x0c908131, 0x812c0064, 0x258021d1,
                 0x03320000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00108225, 0x0010821e, 0x03ed0064, 0x0c90821f, 0x83f20064, 0x0c908220,
                 0x03ed0000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x002023dc, 0x00108165, 0x073f0258, 0x2590816d, 0x8258012c, 0x4b108166,
                 0x073f0000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x002023dd, 0x00108167, 0x073f0258, 0x2590816e, 0x8258012c, 0x4b108168,
                 0x073f0000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002308, 0x2a908217, 0x83f20154, 0x2a908216, 0x03ed0000, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x002023df, 0x00108160, 0x03a500c8, 0x1910816e, 0x81f400c8, 0x4b108164,
                 0x07480258, 0x1910816e, 0x81f400c8, 0x19108161, 0x03a50000],
     [0x0000222b, 0x001082de, 0x073f0258, 0x26d0839b, 0x827b0136, 0x3e90839c,
                 0x02720000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000222c, 0x001082de, 0x073f0258, 0x26d0839b, 0x827b0136, 0x3e90839c,
                 0x02720000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000222d, 0x001082de, 0x073f0258, 0x26d0839b, 0x827b0136, 0x3e90839c,
                 0x02720000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000222e, 0x001082de, 0x073f0258, 0x26d0839b, 0x827b0136, 0x3e90839c,
                 0x02720000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000222f, 0x001082de, 0x073f0258, 0x26d0839b, 0x827b0136, 0x3e90839c,
                 0x02720000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002230, 0x001082de, 0x073f0258, 0x26d0839b, 0x827b0136, 0x3e90839c,
                 0x02720000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002231, 0x001082de, 0x073f0258, 0x26d0839b, 0x827b0136, 0x3e90839c,
                 0x02720000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000022c0, 0x001082de, 0x073f0258, 0x26d0839b, 0x827b0136, 0x3e90839c,
                 0x02720000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000005d, 0x0010821b, 0x03ed03b6, 0x3e90821a, 0x83f201f4, 0x76d08219,
                 0x03ed0000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000005b, 0x00108218, 0x03ed03b6, 0x3e908217, 0x83f201f4, 0x76d08216,
                 0x03ed0000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000022c3, 0x001082de, 0x073f0258, 0x26d0839b, 0x827b0136, 0x3e90839c,
                 0x02720000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x002002c6, 0x0010821e, 0x03ed0064, 0x0c90821f, 0x83f20064, 0x0c908220,
                 0x03ed0000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x002002c7, 0x0010821e, 0x03ed0064, 0x0c90821f, 0x83f20064, 0x0c908220,
                 0x03ed0000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00202b46, 0x25908159, 0x813b0032, 0x06402b46, 0x03320000, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002afc, 0x0000290b, 0x03320064, 0x0c908158, 0x81300064, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x002021da, 0x000021da, 0x032601f4, 0x19108157, 0x813b00c8, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x002021db, 0x19108157, 0x813b00c8, 0x3e8021db, 0x03260000, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a00, 0x0000290b, 0x03320064, 0x0c908158, 0x81300064, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a01, 0x0000290b, 0x03320064, 0x0c908158, 0x81300064, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a02, 0x0000290b, 0x03320064, 0x0c908158, 0x81300064, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000022c1, 0x001082de, 0x073f0258, 0x26d0839b, 0x827b0136, 0x3e90839c,
                 0x02720000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a04, 0x0000290b, 0x03320064, 0x0c908158, 0x81300064, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a05, 0x0000290b, 0x03320064, 0x0c908158, 0x81300064, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a06, 0x0000290b, 0x03320064, 0x0c908158, 0x81300064, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000230a, 0x00108218, 0x03ed0154, 0x2a908217, 0x83f20154, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a08, 0x0000290b, 0x03320064, 0x0c908158, 0x81300064, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a09, 0x0000290b, 0x03320064, 0x0c908158, 0x81300064, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x002021bc, 0x000021bc, 0x034f0258, 0x258023af, 0x813b012c, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a0b, 0x0000290b, 0x03320064, 0x0c908158, 0x81300064, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0020203e, 0x001081f5, 0x03e803e8, 0x7d1081f5, 0x83e80000, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000221a, 0x001082dc, 0x073f0258, 0x26d0839b, 0x827b0136, 0x3e90839c,
                 0x02720000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a0e, 0x0000290b, 0x03320064, 0x0c908158, 0x81300064, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a0f, 0x0000290b, 0x03320064, 0x0c908158, 0x81300064, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x002002dc, 0x0010821e, 0x03ed0064, 0x0c90821f, 0x83f20064, 0x0c908220,
                 0x03ed0000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a11, 0x0000290b, 0x03320064, 0x0c908158, 0x81300064, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002984, 0x0000290b, 0x03320064, 0x0c908158, 0x81300064, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002985, 0x0000290b, 0x03320064, 0x0c908158, 0x81300064, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000021c2, 0x000021c2, 0x03320111, 0x258023d0, 0x8130012c, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000007b, 0x0010821e, 0x03ed0258, 0x4b10821f, 0x83f201f4, 0x1910821d,
                 0x03f200c8, 0x3e90821f, 0x83f20258, 0x4b10821c, 0x03ed0000],
     [0x0000007c, 0x0000007c, 0x02b20258, 0x4b00007c, 0x82b20000, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x002020d7, 0x1910815b, 0x81f400c8, 0x259081fa, 0x03680000, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a18, 0x0000290b, 0x03320064, 0x0c908158, 0x81300064, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a19, 0x0000290b, 0x03320064, 0x0c908158, 0x81300064, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a1a, 0x0000290b, 0x03320064, 0x0c908158, 0x81300064, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00202192, 0x258023af, 0x813b012c, 0x25802192, 0x03120000, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x00002a1c, 0x0000290b, 0x03320064, 0x0c908158, 0x81300064, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x002023de, 0x0010815e, 0x03a500c8, 0x1910816d, 0x81f400c8, 0x4b108163,
                 0x07480258, 0x1910816d, 0x81f400c8, 0x1910815f, 0x03a50000],
     [0x000027e6, 0x0010821b, 0x03ed0154, 0x2a90821a, 0x83f20154, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000027e7, 0x0010821b, 0x03ed0154, 0x2a90821a, 0x83f20154, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000027e8, 0x0010821b, 0x03ed0154, 0x2a90821a, 0x83f20154, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x002020e1, 0x001081f9, 0x03680258, 0x1910815b, 0x806400c8, 0x4b1081fa,
                 0x03680000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000027ea, 0x0010821b, 0x03ed0154, 0x2a90821a, 0x83f20154, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000021d1, 0x0c908131, 0x812c0064, 0x258021d1, 0x03320000, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x002020d6, 0x001081f9, 0x0368012c, 0x1910815b, 0x81f400c8, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000021d3, 0x000021d3, 0x0332012c, 0x0c908131, 0x812c0064, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x0000290a, 0x0c908158, 0x81300064, 0x0c80290a, 0x03320000, 0x00000000,
                 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000],
     [0x000027ef, 0x00108215, 0x03ed0064, 0x0c908214, 0x83f20064, 0x0c908213,
                 0x03ed0000, 0x00000000, 0x00000000, 0x00000000, 0x00000000]
    ]);

val EXTENSION_SIZE = 142;
val EXTENSION_MODULUS = 101;
val EXTENSION_OFFSET = 3;

val fontkern = Vector.fromList [
    ~1,        (* cmuntt  [118 items] *)
    117,       (* odokai *)
    117,       (* cslSTIX-Regular  [1024 items] *)
    1141,      (* cslSTIX-Bold  [1010 items] *)
    2151,      (* cslSTIX-Italic  [1001 items] *)
    3152,      (* cslSTIX-BoldItalic *)
    4167       (* cslSTIXMath-Regular  [-4167 items] *)
    ];

val kerntable = Vector.fromList [
    0x00200309,   (* [0:1] space + hookabovecomb ligature #0 (cmuntt) *)
    0x00a00489,   (* [1:2] space + COMBINING_CYRILLIC_MILLIONS_SIGN ligature #1 (cmuntt) *)
    0x01200488,   (* [2:3] space + COMBINING_CYRILLIC_HUNDRED_THOUSANDS_SIGN ligature #2 (cmuntt) *)
    0x01a00486,   (* [3:4] space + COMBINING_CYRILLIC_PSILI_PNEUMATA ligature #3 (cmuntt) *)
    0x02200485,   (* [4:5] space + COMBINING_CYRILLIC_DASIA_PNEUMATA ligature #4 (cmuntt) *)
    0x02a00484,   (* [5:6] space + COMBINING_CYRILLIC_PALATALIZATION ligature #5 (cmuntt) *)
    0x0320034d,   (* [6:7] space + COMBINING_LEFT_RIGHT_ARROW_BELOW ligature #6 (cmuntt) *)
    0x03a0033c,   (* [7:8] space + COMBINING_SEAGULL_BELOW ligature #7 (cmuntt) *)
    0x0420033b,   (* [8:9] space + COMBINING_SQUARE_BELOW ligature #8 (cmuntt) *)
    0x04a0033a,   (* [9:10] space + COMBINING_INVERTED_BRIDGE_BELOW ligature #9 (cmuntt) *)
    0x05200337,   (* [10:11] space + COMBINING_SHORT_SOLIDUS_OVERLAY ligature #10 (cmuntt) *)
    0x05a00335,   (* [11:12] space + COMBINING_SHORT_STROKE_OVERLAY ligature #11 (cmuntt) *)
    0x0620032b,   (* [12:13] space + COMBINING_INVERTED_DOUBLE_ARCH_BELOW ligature #12 (cmuntt) *)
    0x06a0032a,   (* [13:14] space + COMBINING_BRIDGE_BELOW ligature #13 (cmuntt) *)
    0x07200322,   (* [14:15] space + COMBINING_RETROFLEX_HOOK_BELOW ligature #14 (cmuntt) *)
    0x07a00321,   (* [15:16] space + COMBINING_PALATALIZED_HOOK_BELOW ligature #15 (cmuntt) *)
    0x08200311,   (* [16:17] space + COMBINING_INVERTED_BREVE ligature #16 (cmuntt) *)
    0x08a0030f,   (* [17:18] space + COMBINING_DOUBLE_GRAVE_ACCENT ligature #17 (cmuntt) *)
    0x0920030e,   (* [18:19] space + COMBINING_DOUBLE_VERTICAL_LINE_ABOVE ligature #18 (cmuntt) *)
    0x09a0030d,   (* [19:20] space + COMBINING_VERTICAL_LINE_ABOVE ligature #19 (cmuntt) *)
    0x0a200303,   (* [20:21] space + COMBINING_TILDE ligature #20 (cmuntt) *)
    0x0aa01dc9,   (* [21:22] space + COMBINING_ACUTE_GRAVE_ACUTE ligature #21 (cmuntt) *)
    0x0b201dc8,   (* [22:23] space + COMBINING_GRAVE_ACUTE_GRAVE ligature #22 (cmuntt) *)
    0x0ba01dc5,   (* [23:24] space + COMBINING_GRAVE_MACRON ligature #23 (cmuntt) *)
    0x0c601dc4,   (* [24:25] space + COMBINING_MACRON_ACUTE ligature #24 (cmuntt) *) (*;;*)
    0x0ce0004a,   (* [25:26] I + J ligature #25 (cmuntt) *) (*;;*)
    0x0d20006c,   (* [26:27] f + l ligature #26 (cmuntt) *)
    0x0da00069,   (* [27:28] f + i ligature #27 (cmuntt) *)
    0x0e600066,   (* [28:29] f + f ligature #28 (cmuntt) *) (*;;*)
    0x0ee0006a,   (* [29:30] i + j ligature #29 (cmuntt) *) (*;;*)
    0x0f600074,   (* [30:31] longs + t ligature #30 (cmuntt) *) (*;;*)
    0x2b800295,   (* [31:32] LATIN_SMALL_LETTER_C_WITH_HOOK + LATIN_LETTER_PHARYNGEAL_VOICED_FRICATIVE : 87 (cmuntt) *)
    0x2bc00294,   (* [32:33] LATIN_SMALL_LETTER_C_WITH_HOOK + LATIN_LETTER_GLOTTAL_STOP : 87 (cmuntt) *) (*;;*)
    0x2b800295,   (* [33:34] LATIN_SMALL_LETTER_T_WITH_CURL + LATIN_LETTER_PHARYNGEAL_VOICED_FRICATIVE : 87 (cmuntt) *)
    0x2bc00294,   (* [34:35] LATIN_SMALL_LETTER_T_WITH_CURL + LATIN_LETTER_GLOTTAL_STOP : 87 (cmuntt) *) (*;;*)
    0x2b80f147,   (* [35:36] LATIN_SMALL_LETTER_D_WITH_TAIL + beta.ipa : 87 (cmuntt) *)
    0x2b80029d,   (* [36:37] LATIN_SMALL_LETTER_D_WITH_TAIL + LATIN_SMALL_LETTER_J_WITH_CROSSED_TAIL : 87 (cmuntt) *)
    0x2b800283,   (* [37:38] LATIN_SMALL_LETTER_D_WITH_TAIL + LATIN_SMALL_LETTER_ESH : 87 (cmuntt) *)
    0x2b800272,   (* [38:39] LATIN_SMALL_LETTER_D_WITH_TAIL + LATIN_SMALL_LETTER_N_WITH_LEFT_HOOK : 87 (cmuntt) *)
    0x0e800261,   (* [39:40] LATIN_SMALL_LETTER_D_WITH_TAIL + LATIN_SMALL_LETTER_SCRIPT_G : 29 (cmuntt) *)
    0x2bc0025f,   (* [40:41] LATIN_SMALL_LETTER_D_WITH_TAIL + LATIN_SMALL_LETTER_DOTLESS_J_WITH_STROKE : 87 (cmuntt) *) (*;;*)
    0x2b800295,   (* [41:42] LATIN_SMALL_LETTER_D_WITH_HOOK + LATIN_LETTER_PHARYNGEAL_VOICED_FRICATIVE : 87 (cmuntt) *)
    0x2bc00294,   (* [42:43] LATIN_SMALL_LETTER_D_WITH_HOOK + LATIN_LETTER_GLOTTAL_STOP : 87 (cmuntt) *) (*;;*)
    0x2b800295,   (* [43:44] LATIN_SMALL_LETTER_G_WITH_HOOK + LATIN_LETTER_PHARYNGEAL_VOICED_FRICATIVE : 87 (cmuntt) *)
    0x2bc00294,   (* [44:45] LATIN_SMALL_LETTER_G_WITH_HOOK + LATIN_LETTER_GLOTTAL_STOP : 87 (cmuntt) *) (*;;*)
    0x2b80f147,   (* [45:46] LATIN_SMALL_LETTER_L_WITH_RETROFLEX_HOOK + beta.ipa : 87 (cmuntt) *)
    0x2b80029d,   (* [46:47] LATIN_SMALL_LETTER_L_WITH_RETROFLEX_HOOK + LATIN_SMALL_LETTER_J_WITH_CROSSED_TAIL : 87 (cmuntt) *)
    0x2b800283,   (* [47:48] LATIN_SMALL_LETTER_L_WITH_RETROFLEX_HOOK + LATIN_SMALL_LETTER_ESH : 87 (cmuntt) *)
    0x2b800272,   (* [48:49] LATIN_SMALL_LETTER_L_WITH_RETROFLEX_HOOK + LATIN_SMALL_LETTER_N_WITH_LEFT_HOOK : 87 (cmuntt) *)
    0x0e800261,   (* [49:50] LATIN_SMALL_LETTER_L_WITH_RETROFLEX_HOOK + LATIN_SMALL_LETTER_SCRIPT_G : 29 (cmuntt) *)
    0x2bc0025f,   (* [50:51] LATIN_SMALL_LETTER_L_WITH_RETROFLEX_HOOK + LATIN_SMALL_LETTER_DOTLESS_J_WITH_STROKE : 87 (cmuntt) *) (*;;*)
    0x2b80f147,   (* [51:52] LATIN_SMALL_LETTER_N_WITH_RETROFLEX_HOOK + beta.ipa : 87 (cmuntt) *)
    0x2b80029d,   (* [52:53] LATIN_SMALL_LETTER_N_WITH_RETROFLEX_HOOK + LATIN_SMALL_LETTER_J_WITH_CROSSED_TAIL : 87 (cmuntt) *)
    0x2b800283,   (* [53:54] LATIN_SMALL_LETTER_N_WITH_RETROFLEX_HOOK + LATIN_SMALL_LETTER_ESH : 87 (cmuntt) *)
    0x2b800272,   (* [54:55] LATIN_SMALL_LETTER_N_WITH_RETROFLEX_HOOK + LATIN_SMALL_LETTER_N_WITH_LEFT_HOOK : 87 (cmuntt) *)
    0x0e800261,   (* [55:56] LATIN_SMALL_LETTER_N_WITH_RETROFLEX_HOOK + LATIN_SMALL_LETTER_SCRIPT_G : 29 (cmuntt) *)
    0x2bc0025f,   (* [56:57] LATIN_SMALL_LETTER_N_WITH_RETROFLEX_HOOK + LATIN_SMALL_LETTER_DOTLESS_J_WITH_STROKE : 87 (cmuntt) *) (*;;*)
    0x2b80f147,   (* [57:58] LATIN_SMALL_LETTER_TURNED_R_WITH_HOOK + beta.ipa : 87 (cmuntt) *)
    0x2b80029d,   (* [58:59] LATIN_SMALL_LETTER_TURNED_R_WITH_HOOK + LATIN_SMALL_LETTER_J_WITH_CROSSED_TAIL : 87 (cmuntt) *)
    0x2b800283,   (* [59:60] LATIN_SMALL_LETTER_TURNED_R_WITH_HOOK + LATIN_SMALL_LETTER_ESH : 87 (cmuntt) *)
    0x2b800272,   (* [60:61] LATIN_SMALL_LETTER_TURNED_R_WITH_HOOK + LATIN_SMALL_LETTER_N_WITH_LEFT_HOOK : 87 (cmuntt) *)
    0x0e800261,   (* [61:62] LATIN_SMALL_LETTER_TURNED_R_WITH_HOOK + LATIN_SMALL_LETTER_SCRIPT_G : 29 (cmuntt) *)
    0x2bc0025f,   (* [62:63] LATIN_SMALL_LETTER_TURNED_R_WITH_HOOK + LATIN_SMALL_LETTER_DOTLESS_J_WITH_STROKE : 87 (cmuntt) *) (*;;*)
    0x2b800295,   (* [63:64] LATIN_SMALL_LETTER_ESH + LATIN_LETTER_PHARYNGEAL_VOICED_FRICATIVE : 87 (cmuntt) *)
    0x2bc00294,   (* [64:65] LATIN_SMALL_LETTER_ESH + LATIN_LETTER_GLOTTAL_STOP : 87 (cmuntt) *) (*;;*)
    0x2b800295,   (* [65:66] LATIN_SMALL_LETTER_DOTLESS_J_WITH_STROKE_AND_HOOK + LATIN_LETTER_PHARYNGEAL_VOICED_FRICATIVE : 87 (cmuntt) *)
    0x2bc00294,   (* [66:67] LATIN_SMALL_LETTER_DOTLESS_J_WITH_STROKE_AND_HOOK + LATIN_LETTER_GLOTTAL_STOP : 87 (cmuntt) *) (*;;*)
    0x2b80f147,   (* [67:68] LATIN_SMALL_LETTER_Z_WITH_RETROFLEX_HOOK + beta.ipa : 87 (cmuntt) *)
    0x2b80029d,   (* [68:69] LATIN_SMALL_LETTER_Z_WITH_RETROFLEX_HOOK + LATIN_SMALL_LETTER_J_WITH_CROSSED_TAIL : 87 (cmuntt) *)
    0x2b800283,   (* [69:70] LATIN_SMALL_LETTER_Z_WITH_RETROFLEX_HOOK + LATIN_SMALL_LETTER_ESH : 87 (cmuntt) *)
    0x2b800272,   (* [70:71] LATIN_SMALL_LETTER_Z_WITH_RETROFLEX_HOOK + LATIN_SMALL_LETTER_N_WITH_LEFT_HOOK : 87 (cmuntt) *)
    0x0e800261,   (* [71:72] LATIN_SMALL_LETTER_Z_WITH_RETROFLEX_HOOK + LATIN_SMALL_LETTER_SCRIPT_G : 29 (cmuntt) *)
    0x2bc0025f,   (* [72:73] LATIN_SMALL_LETTER_Z_WITH_RETROFLEX_HOOK + LATIN_SMALL_LETTER_DOTLESS_J_WITH_STROKE : 87 (cmuntt) *) (*;;*)
    0x2b800295,   (* [73:74] LATIN_LETTER_SMALL_CAPITAL_G_WITH_HOOK + LATIN_LETTER_PHARYNGEAL_VOICED_FRICATIVE : 87 (cmuntt) *)
    0x2bc00294,   (* [74:75] LATIN_LETTER_SMALL_CAPITAL_G_WITH_HOOK + LATIN_LETTER_GLOTTAL_STOP : 87 (cmuntt) *) (*;;*)
    0x2b800295,   (* [75:76] LATIN_SMALL_LETTER_Q_WITH_HOOK + LATIN_LETTER_PHARYNGEAL_VOICED_FRICATIVE : 87 (cmuntt) *)
    0x2bc00294,   (* [76:77] LATIN_SMALL_LETTER_Q_WITH_HOOK + LATIN_LETTER_GLOTTAL_STOP : 87 (cmuntt) *) (*;;*)
    0x2b800295,   (* [77:78] LATIN_SMALL_LETTER_TESH_DIGRAPH + LATIN_LETTER_PHARYNGEAL_VOICED_FRICATIVE : 87 (cmuntt) *)
    0x2bc00294,   (* [78:79] LATIN_SMALL_LETTER_TESH_DIGRAPH + LATIN_LETTER_GLOTTAL_STOP : 87 (cmuntt) *) (*;;*)
    0xd4c002bb,   (* [79:80] MODIFIER_LETTER_TURNED_COMMA + MODIFIER_LETTER_TURNED_COMMA : -87 (cmuntt) *) (*;;*)
    0xd480f130,   (* [80:81] GREEK_PSILI_AND_VARIA + GREEK_CAPITAL_LETTER_ALPHA_WITH_PROSGEGRAMMENI.alt : -87 (cmuntt) *)
    0xf180039f,   (* [81:82] GREEK_PSILI_AND_VARIA + Omicron : -29 (cmuntt) *)
    0xd4c00391,   (* [82:83] GREEK_PSILI_AND_VARIA + Alpha : -87 (cmuntt) *) (*;;*)
    0xd480f130,   (* [83:84] GREEK_DASIA_AND_VARIA + GREEK_CAPITAL_LETTER_ALPHA_WITH_PROSGEGRAMMENI.alt : -87 (cmuntt) *)
    0xf180039f,   (* [84:85] GREEK_DASIA_AND_VARIA + Omicron : -29 (cmuntt) *)
    0xd4c00391,   (* [85:86] GREEK_DASIA_AND_VARIA + Alpha : -87 (cmuntt) *) (*;;*)
    0xd480f51a,   (* [86:87] Alpha.sc + Upsilondieresis.sc : -87 (cmuntt) *)
    0xd480f517,   (* [87:88] Alpha.sc + Psi.sc : -87 (cmuntt) *)
    0xe300f515,   (* [88:89] Alpha.sc + Phi.sc : -58 (cmuntt) *)
    0xd480f514,   (* [89:90] Alpha.sc + Upsilon.sc : -87 (cmuntt) *)
    0xe300f513,   (* [90:91] Alpha.sc + Tau.sc : -58 (cmuntt) *)
    0xe300f50e,   (* [91:92] Alpha.sc + Omicron.sc : -58 (cmuntt) *)
    0xe340f507,   (* [92:93] Alpha.sc + Theta.sc : -58 (cmuntt) *) (*;;*)
    0xd480f514,   (* [93:94] GREEK_CAPITAL_LETTER_DELTA.sc + Upsilon.sc : -87 (cmuntt) *)
    0xf7c0f50e,   (* [94:95] GREEK_CAPITAL_LETTER_DELTA.sc + Omicron.sc : -17 (cmuntt) *) (*;;*)
    0xcb80f50a,   (* [95:96] Gamma.sc + Lambda.sc : -105 (cmuntt) *)
    0xd480f502,   (* [96:97] Gamma.sc + GREEK_CAPITAL_LETTER_DELTA.sc : -87 (cmuntt) *)
    0xc5c0f500,   (* [97:98] Gamma.sc + Alpha.sc : -117 (cmuntt) *) (*;;*)
    0xe340f500,   (* [98:99] Theta.sc + Alpha.sc : -58 (cmuntt) *) (*;;*)
    0xe340f50e,   (* [99:100] Kappa.sc + Omicron.sc : -58 (cmuntt) *) (*;;*)
    0xd480f514,   (* [100:101] Lambda.sc + Upsilon.sc : -87 (cmuntt) *)
    0xf7c0f50e,   (* [101:102] Lambda.sc + Omicron.sc : -17 (cmuntt) *) (*;;*)
    0xd4c0f500,   (* [102:103] Nu.sc + Alpha.sc : -87 (cmuntt) *) (*;;*)
    0xf180f512,   (* [103:104] Omicron.sc + Sigma.sc : -29 (cmuntt) *)
    0xe340f500,   (* [104:105] Omicron.sc + Alpha.sc : -58 (cmuntt) *) (*;;*)
    0xc5c0f500,   (* [105:106] Rho.sc + Alpha.sc : -117 (cmuntt) *) (*;;*)
    0xf640f500,   (* [106:107] Sigma.sc + Alpha.sc : -20 (cmuntt) *) (*;;*)
    0xe340f500,   (* [107:108] Tau.sc + Alpha.sc : -58 (cmuntt) *) (*;;*)
    0xd480f50a,   (* [108:109] Upsilon.sc + Lambda.sc : -87 (cmuntt) *)
    0xd480f502,   (* [109:110] Upsilon.sc + GREEK_CAPITAL_LETTER_DELTA.sc : -87 (cmuntt) *)
    0xd4c0f500,   (* [110:111] Upsilon.sc + Alpha.sc : -87 (cmuntt) *) (*;;*)
    0xe340f500,   (* [111:112] Phi.sc + Alpha.sc : -58 (cmuntt) *) (*;;*)
    0xd4c0f500,   (* [112:113] Psi.sc + Alpha.sc : -87 (cmuntt) *) (*;;*)
    0xd480f50a,   (* [113:114] Upsilondieresis.sc + Lambda.sc : -87 (cmuntt) *)
    0xd480f502,   (* [114:115] Upsilondieresis.sc + GREEK_CAPITAL_LETTER_DELTA.sc : -87 (cmuntt) *)
    0xd4c0f500,   (* [115:116] Upsilondieresis.sc + Alpha.sc : -87 (cmuntt) *) (*;;*)
    0x0fa0006c,   (* [116:117] ff + l ligature #31 (cmuntt) *)
    0x10600069,   (* [117:118] ff + i ligature #32 (cmuntt) *) (*;;*)
    0xef00201d,   (* [118:1] comma + quotedblright : -34 (cslSTIX-Regular) *)
    0xe3402019,   (* [119:2] comma + quoteright : -58 (cslSTIX-Regular) *) (*;;*)
    0xf30000c6,   (* [120:3] hyphen + AE : -26 (cslSTIX-Regular) *)
    0xf10000c5,   (* [121:4] hyphen + Aring : -30 (cslSTIX-Regular) *)
    0xf10000c4,   (* [122:5] hyphen + Adieresis : -30 (cslSTIX-Regular) *)
    0xf10000c1,   (* [123:6] hyphen + Aacute : -30 (cslSTIX-Regular) *)
    0xd0800059,   (* [124:7] hyphen + Y : -95 (cslSTIX-Regular) *)
    0xe9800057,   (* [125:8] hyphen + W : -45 (cslSTIX-Regular) *)
    0xd9000056,   (* [126:9] hyphen + V : -78 (cslSTIX-Regular) *)
    0xd8800054,   (* [127:10] hyphen + T : -79 (cslSTIX-Regular) *)
    0xf1400041,   (* [128:11] hyphen + A : -30 (cslSTIX-Regular) *) (*;;*)
    0xed80201d,   (* [129:12] period + quotedblright : -37 (cslSTIX-Regular) *)
    0xedc02019,   (* [130:13] period + quoteright : -37 (cslSTIX-Regular) *) (*;;*)
    0xe7802039,   (* [131:14] A + guilsinglleft : -49 (cslSTIX-Regular) *)
    0xe380201d,   (* [132:15] A + quotedblright : -57 (cslSTIX-Regular) *)
    0xdb002019,   (* [133:16] A + quoteright : -74 (cslSTIX-Regular) *)
    0xf90000fc,   (* [134:17] A + udieresis : -14 (cslSTIX-Regular) *)
    0xf90000fb,   (* [135:18] A + ucircumflex : -14 (cslSTIX-Regular) *)
    0xf90000fa,   (* [136:19] A + uacute : -14 (cslSTIX-Regular) *)
    0xf90000f9,   (* [137:20] A + ugrave : -14 (cslSTIX-Regular) *)
    0xf30000f6,   (* [138:21] A + odieresis : -26 (cslSTIX-Regular) *)
    0xfb0000e7,   (* [139:22] A + ccedilla : -10 (cslSTIX-Regular) *)
    0xee8000dc,   (* [140:23] A + Udieresis : -35 (cslSTIX-Regular) *)
    0xee8000db,   (* [141:24] A + Ucircumflex : -35 (cslSTIX-Regular) *)
    0xee8000da,   (* [142:25] A + Uacute : -35 (cslSTIX-Regular) *)
    0xee8000d9,   (* [143:26] A + Ugrave : -35 (cslSTIX-Regular) *)
    0xf38000d6,   (* [144:27] A + Odieresis : -25 (cslSTIX-Regular) *)
    0xf38000c7,   (* [145:28] A + Ccedilla : -25 (cslSTIX-Regular) *)
    0xeb0000ab,   (* [146:29] A + guillemotleft : -42 (cslSTIX-Regular) *)
    0xdc000079,   (* [147:30] A + y : -72 (cslSTIX-Regular) *)
    0xe3000077,   (* [148:31] A + w : -58 (cslSTIX-Regular) *)
    0xe3000076,   (* [149:32] A + v : -58 (cslSTIX-Regular) *)
    0xf9000075,   (* [150:33] A + u : -14 (cslSTIX-Regular) *)
    0xf9800074,   (* [151:34] A + t : -13 (cslSTIX-Regular) *)
    0xf9000071,   (* [152:35] A + q : -14 (cslSTIX-Regular) *)
    0xf300006f,   (* [153:36] A + o : -26 (cslSTIX-Regular) *)
    0xfa000067,   (* [154:37] A + g : -12 (cslSTIX-Regular) *)
    0xf8000065,   (* [155:38] A + e : -16 (cslSTIX-Regular) *)
    0xf7800064,   (* [156:39] A + d : -17 (cslSTIX-Regular) *)
    0xfb000063,   (* [157:40] A + c : -10 (cslSTIX-Regular) *)
    0xf9000062,   (* [158:41] A + b : -14 (cslSTIX-Regular) *)
    0xfe000061,   (* [159:42] A + a : -4 (cslSTIX-Regular) *)
    0xe6000059,   (* [160:43] A + Y : -52 (cslSTIX-Regular) *)
    0xd6800057,   (* [161:44] A + W : -83 (cslSTIX-Regular) *)
    0xd6800056,   (* [162:45] A + V : -83 (cslSTIX-Regular) *)
    0xee800055,   (* [163:46] A + U : -35 (cslSTIX-Regular) *)
    0xe5000054,   (* [164:47] A + T : -54 (cslSTIX-Regular) *)
    0xf3800051,   (* [165:48] A + Q : -25 (cslSTIX-Regular) *)
    0xf380004f,   (* [166:49] A + O : -25 (cslSTIX-Regular) *)
    0xf3800047,   (* [167:50] A + G : -25 (cslSTIX-Regular) *)
    0xf3800043,   (* [168:51] A + C : -25 (cslSTIX-Regular) *)
    0xfd80002e,   (* [169:52] A + period : -5 (cslSTIX-Regular) *)
    0xf800002d,   (* [170:53] A + hyphen : -16 (cslSTIX-Regular) *)
    0xff40002c,   (* [171:54] A + comma : -2 (cslSTIX-Regular) *) (*;;*)
    0xf7800152,   (* [172:55] B + OE : -17 (cslSTIX-Regular) *)
    0xf78000d8,   (* [173:56] B + Oslash : -17 (cslSTIX-Regular) *)
    0xf78000d6,   (* [174:57] B + Odieresis : -17 (cslSTIX-Regular) *)
    0xf78000d4,   (* [175:58] B + Ocircumflex : -17 (cslSTIX-Regular) *)
    0xf78000d3,   (* [176:59] B + Oacute : -17 (cslSTIX-Regular) *)
    0xf78000d2,   (* [177:60] B + Ograve : -17 (cslSTIX-Regular) *)
    0xf20000c6,   (* [178:61] B + AE : -28 (cslSTIX-Regular) *)
    0xef8000c5,   (* [179:62] B + Aring : -33 (cslSTIX-Regular) *)
    0xef8000c4,   (* [180:63] B + Adieresis : -33 (cslSTIX-Regular) *)
    0xef8000c3,   (* [181:64] B + Atilde : -33 (cslSTIX-Regular) *)
    0xef8000c2,   (* [182:65] B + Acircumflex : -33 (cslSTIX-Regular) *)
    0xef8000c1,   (* [183:66] B + Aacute : -33 (cslSTIX-Regular) *)
    0xe2000059,   (* [184:67] B + Y : -60 (cslSTIX-Regular) *)
    0xe8800057,   (* [185:68] B + W : -47 (cslSTIX-Regular) *)
    0xe7000056,   (* [186:69] B + V : -50 (cslSTIX-Regular) *)
    0xf780004f,   (* [187:70] B + O : -17 (cslSTIX-Regular) *)
    0xefc00041,   (* [188:71] B + A : -33 (cslSTIX-Regular) *) (*;;*)
    0xfc0000d6,   (* [189:72] C + Odieresis : -8 (cslSTIX-Regular) *)
    0xfc0000d3,   (* [190:73] C + Oacute : -8 (cslSTIX-Regular) *)
    0xfc0000d2,   (* [191:74] C + Ograve : -8 (cslSTIX-Regular) *)
    0xfa8000c6,   (* [192:75] C + AE : -11 (cslSTIX-Regular) *)
    0xf80000c5,   (* [193:76] C + Aring : -16 (cslSTIX-Regular) *)
    0xf80000c4,   (* [194:77] C + Adieresis : -16 (cslSTIX-Regular) *)
    0xf80000c1,   (* [195:78] C + Aacute : -16 (cslSTIX-Regular) *)
    0xf80000c0,   (* [196:79] C + Agrave : -16 (cslSTIX-Regular) *)
    0xfc00004f,   (* [197:80] C + O : -8 (cslSTIX-Regular) *)
    0xfb80004b,   (* [198:81] C + K : -9 (cslSTIX-Regular) *)
    0xf8400041,   (* [199:82] C + A : -16 (cslSTIX-Regular) *) (*;;*)
    0xec0000c5,   (* [200:83] D + Aring : -40 (cslSTIX-Regular) *)
    0xec0000c4,   (* [201:84] D + Adieresis : -40 (cslSTIX-Regular) *)
    0xec0000c3,   (* [202:85] D + Atilde : -40 (cslSTIX-Regular) *)
    0xec0000c2,   (* [203:86] D + Acircumflex : -40 (cslSTIX-Regular) *)
    0xec0000c1,   (* [204:87] D + Aacute : -40 (cslSTIX-Regular) *)
    0xec0000c0,   (* [205:88] D + Agrave : -40 (cslSTIX-Regular) *)
    0xe9000059,   (* [206:89] D + Y : -46 (cslSTIX-Regular) *)
    0xeb000058,   (* [207:90] D + X : -42 (cslSTIX-Regular) *)
    0xed000057,   (* [208:91] D + W : -38 (cslSTIX-Regular) *)
    0xed000056,   (* [209:92] D + V : -38 (cslSTIX-Regular) *)
    0xfd800054,   (* [210:93] D + T : -5 (cslSTIX-Regular) *)
    0xf600004a,   (* [211:94] D + J : -20 (cslSTIX-Regular) *)
    0xec400041,   (* [212:95] D + A : -40 (cslSTIX-Regular) *) (*;;*)
    0xfd800153,   (* [213:96] F + oe : -5 (cslSTIX-Regular) *)
    0xfd8000f8,   (* [214:97] F + oslash : -5 (cslSTIX-Regular) *)
    0xfd8000f6,   (* [215:98] F + odieresis : -5 (cslSTIX-Regular) *)
    0xfd8000f3,   (* [216:99] F + oacute : -5 (cslSTIX-Regular) *)
    0xfe0000e9,   (* [217:100] F + eacute : -4 (cslSTIX-Regular) *)
    0xf88000e6,   (* [218:101] F + ae : -15 (cslSTIX-Regular) *)
    0xfa8000e5,   (* [219:102] F + aring : -11 (cslSTIX-Regular) *)
    0xff8000e4,   (* [220:103] F + adieresis : -1 (cslSTIX-Regular) *)
    0xff8000e3,   (* [221:104] F + atilde : -1 (cslSTIX-Regular) *)
    0xff0000e2,   (* [222:105] F + acircumflex : -2 (cslSTIX-Regular) *)
    0xfa8000e1,   (* [223:106] F + aacute : -11 (cslSTIX-Regular) *)
    0xff8000d6,   (* [224:107] F + Odieresis : -1 (cslSTIX-Regular) *)
    0xff8000d3,   (* [225:108] F + Oacute : -1 (cslSTIX-Regular) *)
    0xff8000d2,   (* [226:109] F + Ograve : -1 (cslSTIX-Regular) *)
    0xee8000c5,   (* [227:110] F + Aring : -35 (cslSTIX-Regular) *)
    0xee8000c4,   (* [228:111] F + Adieresis : -35 (cslSTIX-Regular) *)
    0xee8000c3,   (* [229:112] F + Atilde : -35 (cslSTIX-Regular) *)
    0xee8000c2,   (* [230:113] F + Acircumflex : -35 (cslSTIX-Regular) *)
    0xee8000c1,   (* [231:114] F + Aacute : -35 (cslSTIX-Regular) *)
    0xee8000c0,   (* [232:115] F + Agrave : -35 (cslSTIX-Regular) *)
    0xff800075,   (* [233:116] F + u : -1 (cslSTIX-Regular) *)
    0xff800072,   (* [234:117] F + r : -1 (cslSTIX-Regular) *)
    0xfd80006f,   (* [235:118] F + o : -5 (cslSTIX-Regular) *)
    0xfd80006a,   (* [236:119] F + j : -5 (cslSTIX-Regular) *)
    0xfd800069,   (* [237:120] F + i : -5 (cslSTIX-Regular) *)
    0xfe000065,   (* [238:121] F + e : -4 (cslSTIX-Regular) *)
    0xfa800061,   (* [239:122] F + a : -11 (cslSTIX-Regular) *)
    0xff80004f,   (* [240:123] F + O : -1 (cslSTIX-Regular) *)
    0xff80004a,   (* [241:124] F + J : -1 (cslSTIX-Regular) *)
    0xee800041,   (* [242:125] F + A : -35 (cslSTIX-Regular) *)
    0xe880002e,   (* [243:126] F + period : -47 (cslSTIX-Regular) *)
    0x0180002d,   (* [244:127] F + hyphen : 3 (cslSTIX-Regular) *)
    0xed40002c,   (* [245:128] F + comma : -38 (cslSTIX-Regular) *) (*;;*)
    0xfa8000c6,   (* [246:129] G + AE : -11 (cslSTIX-Regular) *)
    0xf88000c5,   (* [247:130] G + Aring : -15 (cslSTIX-Regular) *)
    0xf88000c4,   (* [248:131] G + Adieresis : -15 (cslSTIX-Regular) *)
    0xf88000c3,   (* [249:132] G + Atilde : -15 (cslSTIX-Regular) *)
    0xf88000c2,   (* [250:133] G + Acircumflex : -15 (cslSTIX-Regular) *)
    0xf88000c1,   (* [251:134] G + Aacute : -15 (cslSTIX-Regular) *)
    0xf88000c0,   (* [252:135] G + Agrave : -15 (cslSTIX-Regular) *)
    0xf5800059,   (* [253:136] G + Y : -21 (cslSTIX-Regular) *)
    0xf8800057,   (* [254:137] G + W : -15 (cslSTIX-Regular) *)
    0xf8800056,   (* [255:138] G + V : -15 (cslSTIX-Regular) *)
    0xf9800054,   (* [256:139] G + T : -13 (cslSTIX-Regular) *)
    0xf8c00041,   (* [257:140] G + A : -15 (cslSTIX-Regular) *) (*;;*)
    0x10e0004a,   (* [258:141] I + J ligature #33 (cslSTIX-Regular) *) (*;;*)
    0xf10000c6,   (* [259:142] J + AE : -30 (cslSTIX-Regular) *)
    0xee8000c5,   (* [260:143] J + Aring : -35 (cslSTIX-Regular) *)
    0xee8000c4,   (* [261:144] J + Adieresis : -35 (cslSTIX-Regular) *)
    0xeec00041,   (* [262:145] J + A : -35 (cslSTIX-Regular) *) (*;;*)
    0xf6800152,   (* [263:146] K + OE : -19 (cslSTIX-Regular) *)
    0xfb0000fc,   (* [264:147] K + udieresis : -10 (cslSTIX-Regular) *)
    0xf88000f6,   (* [265:148] K + odieresis : -15 (cslSTIX-Regular) *)
    0xf88000f3,   (* [266:149] K + oacute : -15 (cslSTIX-Regular) *)
    0xff0000e6,   (* [267:150] K + ae : -2 (cslSTIX-Regular) *)
    0x008000e5,   (* [268:151] K + aring : 1 (cslSTIX-Regular) *)
    0x008000e4,   (* [269:152] K + adieresis : 1 (cslSTIX-Regular) *)
    0xf68000d6,   (* [270:153] K + Odieresis : -19 (cslSTIX-Regular) *)
    0xf68000d3,   (* [271:154] K + Oacute : -19 (cslSTIX-Regular) *)
    0xe9800079,   (* [272:155] K + y : -45 (cslSTIX-Regular) *)
    0xfb000075,   (* [273:156] K + u : -10 (cslSTIX-Regular) *)
    0xf880006f,   (* [274:157] K + o : -15 (cslSTIX-Regular) *)
    0xf8800065,   (* [275:158] K + e : -15 (cslSTIX-Regular) *)
    0x00800061,   (* [276:159] K + a : 1 (cslSTIX-Regular) *)
    0xff800054,   (* [277:160] K + T : -1 (cslSTIX-Regular) *)
    0x00800053,   (* [278:161] K + S : 1 (cslSTIX-Regular) *)
    0xf680004f,   (* [279:162] K + O : -19 (cslSTIX-Regular) *)
    0xf6800047,   (* [280:163] K + G : -19 (cslSTIX-Regular) *)
    0xf6800043,   (* [281:164] K + C : -19 (cslSTIX-Regular) *)
    0xe740002d,   (* [282:165] K + hyphen : -50 (cslSTIX-Regular) *) (*;;*)
    0xd680201d,   (* [283:166] L + quotedblright : -83 (cslSTIX-Regular) *)
    0xd6802019,   (* [284:167] L + quoteright : -83 (cslSTIX-Regular) *)
    0xfc0000fc,   (* [285:168] L + udieresis : -8 (cslSTIX-Regular) *)
    0xf70000dc,   (* [286:169] L + Udieresis : -18 (cslSTIX-Regular) *)
    0xff8000d6,   (* [287:170] L + Odieresis : -1 (cslSTIX-Regular) *)
    0xff8000d5,   (* [288:171] L + Otilde : -1 (cslSTIX-Regular) *)
    0xff8000d4,   (* [289:172] L + Ocircumflex : -1 (cslSTIX-Regular) *)
    0xff8000d3,   (* [290:173] L + Oacute : -1 (cslSTIX-Regular) *)
    0xff8000d2,   (* [291:174] L + Ograve : -1 (cslSTIX-Regular) *)
    0x030000c6,   (* [292:175] L + AE : 6 (cslSTIX-Regular) *)
    0xff8000c5,   (* [293:176] L + Aring : -1 (cslSTIX-Regular) *)
    0xff8000c4,   (* [294:177] L + Adieresis : -1 (cslSTIX-Regular) *)
    0xff8000c1,   (* [295:178] L + Aacute : -1 (cslSTIX-Regular) *)
    0xed800079,   (* [296:179] L + y : -37 (cslSTIX-Regular) *)
    0xfc000075,   (* [297:180] L + u : -8 (cslSTIX-Regular) *)
    0xda800059,   (* [298:181] L + Y : -75 (cslSTIX-Regular) *)
    0xe3000057,   (* [299:182] L + W : -58 (cslSTIX-Regular) *)
    0xdb000056,   (* [300:183] L + V : -74 (cslSTIX-Regular) *)
    0xf7000055,   (* [301:184] L + U : -18 (cslSTIX-Regular) *)
    0xe2000054,   (* [302:185] L + T : -60 (cslSTIX-Regular) *)
    0x01800053,   (* [303:186] L + S : 3 (cslSTIX-Regular) *)
    0xff80004f,   (* [304:187] L + O : -1 (cslSTIX-Regular) *)
    0xfe800047,   (* [305:188] L + G : -3 (cslSTIX-Regular) *)
    0xff800043,   (* [306:189] L + C : -1 (cslSTIX-Regular) *)
    0xff800041,   (* [307:190] L + A : -1 (cslSTIX-Regular) *)
    0x0bc0002d,   (* [308:191] L + hyphen : 23 (cslSTIX-Regular) *) (*;;*)
    0xf98000fc,   (* [309:192] N + udieresis : -13 (cslSTIX-Regular) *)
    0xf98000f8,   (* [310:193] N + oslash : -13 (cslSTIX-Regular) *)
    0xf98000f6,   (* [311:194] N + odieresis : -13 (cslSTIX-Regular) *)
    0xf98000f3,   (* [312:195] N + oacute : -13 (cslSTIX-Regular) *)
    0xfa0000e9,   (* [313:196] N + eacute : -12 (cslSTIX-Regular) *)
    0xf70000e6,   (* [314:197] N + ae : -18 (cslSTIX-Regular) *)
    0xf70000e5,   (* [315:198] N + aring : -18 (cslSTIX-Regular) *)
    0xf70000e4,   (* [316:199] N + adieresis : -18 (cslSTIX-Regular) *)
    0xf70000e1,   (* [317:200] N + aacute : -18 (cslSTIX-Regular) *)
    0xfb0000d6,   (* [318:201] N + Odieresis : -10 (cslSTIX-Regular) *)
    0xfb0000d3,   (* [319:202] N + Oacute : -10 (cslSTIX-Regular) *)
    0xfb0000c7,   (* [320:203] N + Ccedilla : -10 (cslSTIX-Regular) *)
    0xf98000c6,   (* [321:204] N + AE : -13 (cslSTIX-Regular) *)
    0xf70000c5,   (* [322:205] N + Aring : -18 (cslSTIX-Regular) *)
    0xf70000c4,   (* [323:206] N + Adieresis : -18 (cslSTIX-Regular) *)
    0xf70000c1,   (* [324:207] N + Aacute : -18 (cslSTIX-Regular) *)
    0xf9800075,   (* [325:208] N + u : -13 (cslSTIX-Regular) *)
    0xf980006f,   (* [326:209] N + o : -13 (cslSTIX-Regular) *)
    0xfa000065,   (* [327:210] N + e : -12 (cslSTIX-Regular) *)
    0xf7000061,   (* [328:211] N + a : -18 (cslSTIX-Regular) *)
    0xfb00004f,   (* [329:212] N + O : -10 (cslSTIX-Regular) *)
    0xfb000047,   (* [330:213] N + G : -10 (cslSTIX-Regular) *)
    0xfb000043,   (* [331:214] N + C : -10 (cslSTIX-Regular) *)
    0xf7000041,   (* [332:215] N + A : -18 (cslSTIX-Regular) *)
    0xf980002e,   (* [333:216] N + period : -13 (cslSTIX-Regular) *)
    0xfa40002c,   (* [334:217] N + comma : -12 (cslSTIX-Regular) *) (*;;*)
    0xf40000c6,   (* [335:218] O + AE : -24 (cslSTIX-Regular) *)
    0xf38000c5,   (* [336:219] O + Aring : -25 (cslSTIX-Regular) *)
    0xf38000c4,   (* [337:220] O + Adieresis : -25 (cslSTIX-Regular) *)
    0xf38000c1,   (* [338:221] O + Aacute : -25 (cslSTIX-Regular) *)
    0xee000059,   (* [339:222] O + Y : -36 (cslSTIX-Regular) *)
    0xf3800058,   (* [340:223] O + X : -25 (cslSTIX-Regular) *)
    0xf3800057,   (* [341:224] O + W : -25 (cslSTIX-Regular) *)
    0xf1000056,   (* [342:225] O + V : -30 (cslSTIX-Regular) *)
    0xfe800054,   (* [343:226] O + T : -3 (cslSTIX-Regular) *)
    0xf3c00041,   (* [344:227] O + A : -25 (cslSTIX-Regular) *) (*;;*)
    0xf8000153,   (* [345:228] P + oe : -16 (cslSTIX-Regular) *)
    0xf80000f8,   (* [346:229] P + oslash : -16 (cslSTIX-Regular) *)
    0xf80000f6,   (* [347:230] P + odieresis : -16 (cslSTIX-Regular) *)
    0xf80000f3,   (* [348:231] P + oacute : -16 (cslSTIX-Regular) *)
    0xf90000e9,   (* [349:232] P + eacute : -14 (cslSTIX-Regular) *)
    0xfb8000e6,   (* [350:233] P + ae : -9 (cslSTIX-Regular) *)
    0xfb0000e5,   (* [351:234] P + aring : -10 (cslSTIX-Regular) *)
    0xfb0000e4,   (* [352:235] P + adieresis : -10 (cslSTIX-Regular) *)
    0xfb0000e1,   (* [353:236] P + aacute : -10 (cslSTIX-Regular) *)
    0xfb0000e0,   (* [354:237] P + agrave : -10 (cslSTIX-Regular) *)
    0xe38000c6,   (* [355:238] P + AE : -57 (cslSTIX-Regular) *)
    0xe28000c5,   (* [356:239] P + Aring : -59 (cslSTIX-Regular) *)
    0xe28000c4,   (* [357:240] P + Adieresis : -59 (cslSTIX-Regular) *)
    0xe28000c1,   (* [358:241] P + Aacute : -59 (cslSTIX-Regular) *)
    0xf800006f,   (* [359:242] P + o : -16 (cslSTIX-Regular) *)
    0xf9000065,   (* [360:243] P + e : -14 (cslSTIX-Regular) *)
    0xfb000061,   (* [361:244] P + a : -10 (cslSTIX-Regular) *)
    0xed00004a,   (* [362:245] P + J : -38 (cslSTIX-Regular) *)
    0xe2800041,   (* [363:246] P + A : -59 (cslSTIX-Regular) *)
    0xd300002e,   (* [364:247] P + period : -90 (cslSTIX-Regular) *)
    0xf500002d,   (* [365:248] P + hyphen : -22 (cslSTIX-Regular) *)
    0xe240002c,   (* [366:249] P + comma : -60 (cslSTIX-Regular) *) (*;;*)
    0xf5800153,   (* [367:250] R + oe : -21 (cslSTIX-Regular) *)
    0xf4000152,   (* [368:251] R + OE : -24 (cslSTIX-Regular) *)
    0xf90000fc,   (* [369:252] R + udieresis : -14 (cslSTIX-Regular) *)
    0xf90000fa,   (* [370:253] R + uacute : -14 (cslSTIX-Regular) *)
    0xf40000f6,   (* [371:254] R + odieresis : -24 (cslSTIX-Regular) *)
    0xf40000f3,   (* [372:255] R + oacute : -24 (cslSTIX-Regular) *)
    0xf90000e9,   (* [373:256] R + eacute : -14 (cslSTIX-Regular) *)
    0xfd0000e6,   (* [374:257] R + ae : -6 (cslSTIX-Regular) *)
    0xff0000e5,   (* [375:258] R + aring : -2 (cslSTIX-Regular) *)
    0xff0000e4,   (* [376:259] R + adieresis : -2 (cslSTIX-Regular) *)
    0xff0000e1,   (* [377:260] R + aacute : -2 (cslSTIX-Regular) *)
    0xed8000dc,   (* [378:261] R + Udieresis : -37 (cslSTIX-Regular) *)
    0xf30000d6,   (* [379:262] R + Odieresis : -26 (cslSTIX-Regular) *)
    0xf30000d3,   (* [380:263] R + Oacute : -26 (cslSTIX-Regular) *)
    0xf30000c7,   (* [381:264] R + Ccedilla : -26 (cslSTIX-Regular) *)
    0xf0000079,   (* [382:265] R + y : -32 (cslSTIX-Regular) *)
    0xf9000075,   (* [383:266] R + u : -14 (cslSTIX-Regular) *)
    0xf400006f,   (* [384:267] R + o : -24 (cslSTIX-Regular) *)
    0xf9000065,   (* [385:268] R + e : -14 (cslSTIX-Regular) *)
    0xff000061,   (* [386:269] R + a : -2 (cslSTIX-Regular) *)
    0xe2000059,   (* [387:270] R + Y : -60 (cslSTIX-Regular) *)
    0xe2000057,   (* [388:271] R + W : -60 (cslSTIX-Regular) *)
    0xdf800056,   (* [389:272] R + V : -65 (cslSTIX-Regular) *)
    0xed800055,   (* [390:273] R + U : -37 (cslSTIX-Regular) *)
    0xf4000054,   (* [391:274] R + T : -24 (cslSTIX-Regular) *)
    0xf300004f,   (* [392:275] R + O : -26 (cslSTIX-Regular) *)
    0xf3000047,   (* [393:276] R + G : -26 (cslSTIX-Regular) *)
    0xf3000043,   (* [394:277] R + C : -26 (cslSTIX-Regular) *)
    0xea40002d,   (* [395:278] R + hyphen : -44 (cslSTIX-Regular) *) (*;;*)
    0xf28000c6,   (* [396:279] S + AE : -27 (cslSTIX-Regular) *)
    0xf10000c5,   (* [397:280] S + Aring : -30 (cslSTIX-Regular) *)
    0xf10000c4,   (* [398:281] S + Adieresis : -30 (cslSTIX-Regular) *)
    0xf10000c1,   (* [399:282] S + Aacute : -30 (cslSTIX-Regular) *)
    0xfa800074,   (* [400:283] S + t : -11 (cslSTIX-Regular) *)
    0xf2800059,   (* [401:284] S + Y : -27 (cslSTIX-Regular) *)
    0xf6000057,   (* [402:285] S + W : -20 (cslSTIX-Regular) *)
    0xf6000056,   (* [403:286] S + V : -20 (cslSTIX-Regular) *)
    0xf7000054,   (* [404:287] S + T : -18 (cslSTIX-Regular) *)
    0xf1400041,   (* [405:288] S + A : -30 (cslSTIX-Regular) *) (*;;*)
    0xe2002039,   (* [406:289] T + guilsinglleft : -60 (cslSTIX-Regular) *)
    0xfd800152,   (* [407:290] T + OE : -5 (cslSTIX-Regular) *)
    0xf00000f8,   (* [408:291] T + oslash : -32 (cslSTIX-Regular) *)
    0xf80000f6,   (* [409:292] T + odieresis : -16 (cslSTIX-Regular) *)
    0xf88000f4,   (* [410:293] T + ocircumflex : -15 (cslSTIX-Regular) *)
    0xf00000f3,   (* [411:294] T + oacute : -32 (cslSTIX-Regular) *)
    0xf70000f2,   (* [412:295] T + ograve : -18 (cslSTIX-Regular) *)
    0xec0000e6,   (* [413:296] T + ae : -40 (cslSTIX-Regular) *)
    0xfa0000e4,   (* [414:297] T + adieresis : -12 (cslSTIX-Regular) *)
    0xfe8000e3,   (* [415:298] T + atilde : -3 (cslSTIX-Regular) *)
    0xfc8000e2,   (* [416:299] T + acircumflex : -7 (cslSTIX-Regular) *)
    0xf50000e1,   (* [417:300] T + aacute : -22 (cslSTIX-Regular) *)
    0xf88000e0,   (* [418:301] T + agrave : -15 (cslSTIX-Regular) *)
    0xfd8000d8,   (* [419:302] T + Oslash : -5 (cslSTIX-Regular) *)
    0xfd8000d6,   (* [420:303] T + Odieresis : -5 (cslSTIX-Regular) *)
    0xfd8000d5,   (* [421:304] T + Otilde : -5 (cslSTIX-Regular) *)
    0xfd8000d4,   (* [422:305] T + Ocircumflex : -5 (cslSTIX-Regular) *)
    0xfd8000d3,   (* [423:306] T + Oacute : -5 (cslSTIX-Regular) *)
    0xfd8000d2,   (* [424:307] T + Ograve : -5 (cslSTIX-Regular) *)
    0xe90000c6,   (* [425:308] T + AE : -46 (cslSTIX-Regular) *)
    0xe58000c5,   (* [426:309] T + Aring : -53 (cslSTIX-Regular) *)
    0xe58000c4,   (* [427:310] T + Adieresis : -53 (cslSTIX-Regular) *)
    0xe58000c3,   (* [428:311] T + Atilde : -53 (cslSTIX-Regular) *)
    0xe58000c2,   (* [429:312] T + Acircumflex : -53 (cslSTIX-Regular) *)
    0xe58000c1,   (* [430:313] T + Aacute : -53 (cslSTIX-Regular) *)
    0xe58000c0,   (* [431:314] T + Agrave : -53 (cslSTIX-Regular) *)
    0xe50000ab,   (* [432:315] T + guillemotleft : -54 (cslSTIX-Regular) *)
    0xe7800079,   (* [433:316] T + y : -49 (cslSTIX-Regular) *)
    0xe6800077,   (* [434:317] T + w : -51 (cslSTIX-Regular) *)
    0xe6800076,   (* [435:318] T + v : -51 (cslSTIX-Regular) *)
    0xed000075,   (* [436:319] T + u : -38 (cslSTIX-Regular) *)
    0xee000073,   (* [437:320] T + s : -36 (cslSTIX-Regular) *)
    0xf4000072,   (* [438:321] T + r : -24 (cslSTIX-Regular) *)
    0xf000006f,   (* [439:322] T + o : -32 (cslSTIX-Regular) *)
    0xfb00006a,   (* [440:323] T + j : -10 (cslSTIX-Regular) *)
    0xfb800069,   (* [441:324] T + i : -9 (cslSTIX-Regular) *)
    0xea000067,   (* [442:325] T + g : -44 (cslSTIX-Regular) *)
    0xeb800065,   (* [443:326] T + e : -41 (cslSTIX-Regular) *)
    0xeb800063,   (* [444:327] T + c : -41 (cslSTIX-Regular) *)
    0xed000061,   (* [445:328] T + a : -38 (cslSTIX-Regular) *)
    0x05000059,   (* [446:329] T + Y : 10 (cslSTIX-Regular) *)
    0x09800057,   (* [447:330] T + W : 19 (cslSTIX-Regular) *)
    0x07000056,   (* [448:331] T + V : 14 (cslSTIX-Regular) *)
    0xfb800053,   (* [449:332] T + S : -9 (cslSTIX-Regular) *)
    0xfd80004f,   (* [450:333] T + O : -5 (cslSTIX-Regular) *)
    0xfc80004a,   (* [451:334] T + J : -7 (cslSTIX-Regular) *)
    0xff000047,   (* [452:335] T + G : -2 (cslSTIX-Regular) *)
    0xff000043,   (* [453:336] T + C : -2 (cslSTIX-Regular) *)
    0xe5800041,   (* [454:337] T + A : -53 (cslSTIX-Regular) *)
    0xf300003b,   (* [455:338] T + semicolon : -26 (cslSTIX-Regular) *)
    0xf300003a,   (* [456:339] T + colon : -26 (cslSTIX-Regular) *)
    0xe980002e,   (* [457:340] T + period : -45 (cslSTIX-Regular) *)
    0xee00002d,   (* [458:341] T + hyphen : -36 (cslSTIX-Regular) *)
    0xf2c0002c,   (* [459:342] T + comma : -27 (cslSTIX-Regular) *) (*;;*)
    0xec8000c6,   (* [460:343] U + AE : -39 (cslSTIX-Regular) *)
    0xea8000c5,   (* [461:344] U + Aring : -43 (cslSTIX-Regular) *)
    0xea8000c4,   (* [462:345] U + Adieresis : -43 (cslSTIX-Regular) *)
    0xea8000c3,   (* [463:346] U + Atilde : -43 (cslSTIX-Regular) *)
    0xea8000c2,   (* [464:347] U + Acircumflex : -43 (cslSTIX-Regular) *)
    0xea8000c1,   (* [465:348] U + Aacute : -43 (cslSTIX-Regular) *)
    0xfd000072,   (* [466:349] U + r : -6 (cslSTIX-Regular) *)
    0xf7000070,   (* [467:350] U + p : -18 (cslSTIX-Regular) *)
    0xf600006e,   (* [468:351] U + n : -20 (cslSTIX-Regular) *)
    0xf600006d,   (* [469:352] U + m : -20 (cslSTIX-Regular) *)
    0xea800041,   (* [470:353] U + A : -43 (cslSTIX-Regular) *)
    0xf200002e,   (* [471:354] U + period : -28 (cslSTIX-Regular) *)
    0xf0c0002c,   (* [472:355] U + comma : -31 (cslSTIX-Regular) *) (*;;*)
    0xda802039,   (* [473:356] V + guilsinglleft : -75 (cslSTIX-Regular) *)
    0xda8000f8,   (* [474:357] V + oslash : -75 (cslSTIX-Regular) *)
    0xe78000f6,   (* [475:358] V + odieresis : -49 (cslSTIX-Regular) *)
    0xed8000f5,   (* [476:359] V + otilde : -37 (cslSTIX-Regular) *)
    0xe28000f4,   (* [477:360] V + ocircumflex : -59 (cslSTIX-Regular) *)
    0xda8000f3,   (* [478:361] V + oacute : -75 (cslSTIX-Regular) *)
    0xf28000f2,   (* [479:362] V + ograve : -27 (cslSTIX-Regular) *)
    0xdd0000e9,   (* [480:363] V + eacute : -70 (cslSTIX-Regular) *)
    0xf70000e8,   (* [481:364] V + egrave : -18 (cslSTIX-Regular) *)
    0xd80000e6,   (* [482:365] V + ae : -80 (cslSTIX-Regular) *)
    0xed0000e5,   (* [483:366] V + aring : -38 (cslSTIX-Regular) *)
    0xed0000e4,   (* [484:367] V + adieresis : -38 (cslSTIX-Regular) *)
    0xf10000e3,   (* [485:368] V + atilde : -30 (cslSTIX-Regular) *)
    0xe70000e2,   (* [486:369] V + acircumflex : -50 (cslSTIX-Regular) *)
    0xd80000e1,   (* [487:370] V + aacute : -80 (cslSTIX-Regular) *)
    0xf70000e0,   (* [488:371] V + agrave : -18 (cslSTIX-Regular) *)
    0xed0000d8,   (* [489:372] V + Oslash : -38 (cslSTIX-Regular) *)
    0xed0000d6,   (* [490:373] V + Odieresis : -38 (cslSTIX-Regular) *)
    0xed0000d5,   (* [491:374] V + Otilde : -38 (cslSTIX-Regular) *)
    0xed0000d4,   (* [492:375] V + Ocircumflex : -38 (cslSTIX-Regular) *)
    0xed0000d3,   (* [493:376] V + Oacute : -38 (cslSTIX-Regular) *)
    0xed0000d2,   (* [494:377] V + Ograve : -38 (cslSTIX-Regular) *)
    0xdb8000c6,   (* [495:378] V + AE : -73 (cslSTIX-Regular) *)
    0xd60000c5,   (* [496:379] V + Aring : -84 (cslSTIX-Regular) *)
    0xd60000c4,   (* [497:380] V + Adieresis : -84 (cslSTIX-Regular) *)
    0xd60000c3,   (* [498:381] V + Atilde : -84 (cslSTIX-Regular) *)
    0xd60000c2,   (* [499:382] V + Acircumflex : -84 (cslSTIX-Regular) *)
    0xd60000c1,   (* [500:383] V + Aacute : -84 (cslSTIX-Regular) *)
    0xd60000c0,   (* [501:384] V + Agrave : -84 (cslSTIX-Regular) *)
    0xda8000ab,   (* [502:385] V + guillemotleft : -75 (cslSTIX-Regular) *)
    0xe7000079,   (* [503:386] V + y : -50 (cslSTIX-Regular) *)
    0xe7000075,   (* [504:387] V + u : -50 (cslSTIX-Regular) *)
    0xec000072,   (* [505:388] V + r : -40 (cslSTIX-Regular) *)
    0xda80006f,   (* [506:389] V + o : -75 (cslSTIX-Regular) *)
    0xf6000069,   (* [507:390] V + i : -20 (cslSTIX-Regular) *)
    0xdf800067,   (* [508:391] V + g : -65 (cslSTIX-Regular) *)
    0xdd000065,   (* [509:392] V + e : -70 (cslSTIX-Regular) *)
    0xd8000061,   (* [510:393] V + a : -80 (cslSTIX-Regular) *)
    0x04800054,   (* [511:394] V + T : 9 (cslSTIX-Regular) *)
    0xee800053,   (* [512:395] V + S : -35 (cslSTIX-Regular) *)
    0xed00004f,   (* [513:396] V + O : -38 (cslSTIX-Regular) *)
    0xed000047,   (* [514:397] V + G : -38 (cslSTIX-Regular) *)
    0xed000043,   (* [515:398] V + C : -38 (cslSTIX-Regular) *)
    0xd6000041,   (* [516:399] V + A : -84 (cslSTIX-Regular) *)
    0xe280003b,   (* [517:400] V + semicolon : -59 (cslSTIX-Regular) *)
    0xe200003a,   (* [518:401] V + colon : -60 (cslSTIX-Regular) *)
    0xce00002e,   (* [519:402] V + period : -100 (cslSTIX-Regular) *)
    0xe200002d,   (* [520:403] V + hyphen : -60 (cslSTIX-Regular) *)
    0xce40002c,   (* [521:404] V + comma : -100 (cslSTIX-Regular) *) (*;;*)
    0xe1802039,   (* [522:405] W + guilsinglleft : -61 (cslSTIX-Regular) *)
    0xdd0000f8,   (* [523:406] W + oslash : -70 (cslSTIX-Regular) *)
    0xe48000f6,   (* [524:407] W + odieresis : -55 (cslSTIX-Regular) *)
    0xec0000f5,   (* [525:408] W + otilde : -40 (cslSTIX-Regular) *)
    0xe08000f4,   (* [526:409] W + ocircumflex : -63 (cslSTIX-Regular) *)
    0xdd0000f3,   (* [527:410] W + oacute : -70 (cslSTIX-Regular) *)
    0xf20000f2,   (* [528:411] W + ograve : -28 (cslSTIX-Regular) *)
    0xe20000e9,   (* [529:412] W + eacute : -60 (cslSTIX-Regular) *)
    0xfb8000e8,   (* [530:413] W + egrave : -9 (cslSTIX-Regular) *)
    0xe20000e6,   (* [531:414] W + ae : -60 (cslSTIX-Regular) *)
    0xf28000e5,   (* [532:415] W + aring : -27 (cslSTIX-Regular) *)
    0xef0000e4,   (* [533:416] W + adieresis : -34 (cslSTIX-Regular) *)
    0xf40000e3,   (* [534:417] W + atilde : -24 (cslSTIX-Regular) *)
    0xef0000e2,   (* [535:418] W + acircumflex : -34 (cslSTIX-Regular) *)
    0xe70000e1,   (* [536:419] W + aacute : -50 (cslSTIX-Regular) *)
    0xf70000e0,   (* [537:420] W + agrave : -18 (cslSTIX-Regular) *)
    0xef8000d8,   (* [538:421] W + Oslash : -33 (cslSTIX-Regular) *)
    0xef8000d6,   (* [539:422] W + Odieresis : -33 (cslSTIX-Regular) *)
    0xef8000d5,   (* [540:423] W + Otilde : -33 (cslSTIX-Regular) *)
    0xef8000d4,   (* [541:424] W + Ocircumflex : -33 (cslSTIX-Regular) *)
    0xef8000d3,   (* [542:425] W + Oacute : -33 (cslSTIX-Regular) *)
    0xef8000d2,   (* [543:426] W + Ograve : -33 (cslSTIX-Regular) *)
    0xd40000c6,   (* [544:427] W + AE : -88 (cslSTIX-Regular) *)
    0xcd0000c5,   (* [545:428] W + Aring : -102 (cslSTIX-Regular) *)
    0xcd0000c4,   (* [546:429] W + Adieresis : -102 (cslSTIX-Regular) *)
    0xcd0000c3,   (* [547:430] W + Atilde : -102 (cslSTIX-Regular) *)
    0xcd0000c2,   (* [548:431] W + Acircumflex : -102 (cslSTIX-Regular) *)
    0xcd0000c1,   (* [549:432] W + Aacute : -102 (cslSTIX-Regular) *)
    0xcd0000c0,   (* [550:433] W + Agrave : -102 (cslSTIX-Regular) *)
    0xe18000ab,   (* [551:434] W + guillemotleft : -61 (cslSTIX-Regular) *)
    0xe9800079,   (* [552:435] W + y : -45 (cslSTIX-Regular) *)
    0xf1000075,   (* [553:436] W + u : -30 (cslSTIX-Regular) *)
    0xf1000072,   (* [554:437] W + r : -30 (cslSTIX-Regular) *)
    0xdd00006f,   (* [555:438] W + o : -70 (cslSTIX-Regular) *)
    0xf9800069,   (* [556:439] W + i : -13 (cslSTIX-Regular) *)
    0xe3800067,   (* [557:440] W + g : -57 (cslSTIX-Regular) *)
    0xe2000065,   (* [558:441] W + e : -60 (cslSTIX-Regular) *)
    0xe2000061,   (* [559:442] W + a : -60 (cslSTIX-Regular) *)
    0x08000054,   (* [560:443] W + T : 16 (cslSTIX-Regular) *)
    0xf4000053,   (* [561:444] W + S : -24 (cslSTIX-Regular) *)
    0xef80004f,   (* [562:445] W + O : -33 (cslSTIX-Regular) *)
    0xed000047,   (* [563:446] W + G : -38 (cslSTIX-Regular) *)
    0xef800043,   (* [564:447] W + C : -33 (cslSTIX-Regular) *)
    0xcd000041,   (* [565:448] W + A : -102 (cslSTIX-Regular) *)
    0xe880003b,   (* [566:449] W + semicolon : -47 (cslSTIX-Regular) *)
    0xef80003a,   (* [567:450] W + colon : -33 (cslSTIX-Regular) *)
    0xd200002e,   (* [568:451] W + period : -92 (cslSTIX-Regular) *)
    0xec00002d,   (* [569:452] W + hyphen : -40 (cslSTIX-Regular) *)
    0xd840002c,   (* [570:453] W + comma : -80 (cslSTIX-Regular) *) (*;;*)
    0xed0000d6,   (* [571:454] X + Odieresis : -38 (cslSTIX-Regular) *)
    0xe0800079,   (* [572:455] X + y : -63 (cslSTIX-Regular) *)
    0xf7000075,   (* [573:456] X + u : -18 (cslSTIX-Regular) *)
    0xf280006f,   (* [574:457] X + o : -27 (cslSTIX-Regular) *)
    0xf1800065,   (* [575:458] X + e : -29 (cslSTIX-Regular) *)
    0xfc800061,   (* [576:459] X + a : -7 (cslSTIX-Regular) *)
    0xed000051,   (* [577:460] X + Q : -38 (cslSTIX-Regular) *)
    0xed00004f,   (* [578:461] X + O : -38 (cslSTIX-Regular) *)
    0xee800043,   (* [579:462] X + C : -35 (cslSTIX-Regular) *)
    0xe9c0002d,   (* [580:463] X + hyphen : -45 (cslSTIX-Regular) *) (*;;*)
    0xbf002039,   (* [581:464] Y + guilsinglleft : -130 (cslSTIX-Regular) *)
    0xde8000f8,   (* [582:465] Y + oslash : -67 (cslSTIX-Regular) *)
    0xd58000e6,   (* [583:466] Y + ae : -85 (cslSTIX-Regular) *)
    0xe68000d8,   (* [584:467] Y + Oslash : -51 (cslSTIX-Regular) *)
    0xe68000d6,   (* [585:468] Y + Odieresis : -51 (cslSTIX-Regular) *)
    0xe68000d5,   (* [586:469] Y + Otilde : -51 (cslSTIX-Regular) *)
    0xe68000d4,   (* [587:470] Y + Ocircumflex : -51 (cslSTIX-Regular) *)
    0xe68000d3,   (* [588:471] Y + Oacute : -51 (cslSTIX-Regular) *)
    0xe68000d2,   (* [589:472] Y + Ograve : -51 (cslSTIX-Regular) *)
    0xde8000c6,   (* [590:473] Y + AE : -67 (cslSTIX-Regular) *)
    0xda8000c5,   (* [591:474] Y + Aring : -75 (cslSTIX-Regular) *)
    0xda8000c4,   (* [592:475] Y + Adieresis : -75 (cslSTIX-Regular) *)
    0xda8000c3,   (* [593:476] Y + Atilde : -75 (cslSTIX-Regular) *)
    0xda8000c2,   (* [594:477] Y + Acircumflex : -75 (cslSTIX-Regular) *)
    0xda8000c1,   (* [595:478] Y + Aacute : -75 (cslSTIX-Regular) *)
    0xda8000c0,   (* [596:479] Y + Agrave : -75 (cslSTIX-Regular) *)
    0xc58000ab,   (* [597:480] Y + guillemotleft : -117 (cslSTIX-Regular) *)
    0xe1000076,   (* [598:481] Y + v : -62 (cslSTIX-Regular) *)
    0xe2800075,   (* [599:482] Y + u : -59 (cslSTIX-Regular) *)
    0xe3800070,   (* [600:483] Y + p : -57 (cslSTIX-Regular) *)
    0xde80006f,   (* [601:484] Y + o : -67 (cslSTIX-Regular) *)
    0xf7800069,   (* [602:485] Y + i : -17 (cslSTIX-Regular) *)
    0xdb800067,   (* [603:486] Y + g : -73 (cslSTIX-Regular) *)
    0xdf000065,   (* [604:487] Y + e : -66 (cslSTIX-Regular) *)
    0xd8000061,   (* [605:488] Y + a : -80 (cslSTIX-Regular) *)
    0x06000054,   (* [606:489] Y + T : 12 (cslSTIX-Regular) *)
    0xea800053,   (* [607:490] Y + S : -43 (cslSTIX-Regular) *)
    0xe680004f,   (* [608:491] Y + O : -51 (cslSTIX-Regular) *)
    0xe6800047,   (* [609:492] Y + G : -51 (cslSTIX-Regular) *)
    0xe7000043,   (* [610:493] Y + C : -50 (cslSTIX-Regular) *)
    0xda800041,   (* [611:494] Y + A : -75 (cslSTIX-Regular) *)
    0xe180003b,   (* [612:495] Y + semicolon : -61 (cslSTIX-Regular) *)
    0xdf00003a,   (* [613:496] Y + colon : -66 (cslSTIX-Regular) *)
    0xd180002e,   (* [614:497] Y + period : -93 (cslSTIX-Regular) *)
    0xd800002d,   (* [615:498] Y + hyphen : -80 (cslSTIX-Regular) *)
    0xdac0002c,   (* [616:499] Y + comma : -75 (cslSTIX-Regular) *) (*;;*)
    0xef800079,   (* [617:500] Z + y : -33 (cslSTIX-Regular) *)
    0xef000077,   (* [618:501] Z + w : -34 (cslSTIX-Regular) *)
    0xefc00076,   (* [619:502] Z + v : -33 (cslSTIX-Regular) *) (*;;*)
    0xeb802019,   (* [620:503] a + quoteright : -41 (cslSTIX-Regular) *)
    0xf2800079,   (* [621:504] a + y : -27 (cslSTIX-Regular) *)
    0xef800077,   (* [622:505] a + w : -33 (cslSTIX-Regular) *)
    0xf0000076,   (* [623:506] a + v : -32 (cslSTIX-Regular) *)
    0xfc40006a,   (* [624:507] a + j : -8 (cslSTIX-Regular) *) (*;;*)
    0xf6000079,   (* [625:508] b + y : -20 (cslSTIX-Regular) *)
    0xf7000077,   (* [626:509] b + w : -18 (cslSTIX-Regular) *)
    0xf7400076,   (* [627:510] b + v : -18 (cslSTIX-Regular) *) (*;;*)
    0xf500006b,   (* [628:511] c + k : -22 (cslSTIX-Regular) *)
    0xf8400068,   (* [629:512] c + h : -16 (cslSTIX-Regular) *) (*;;*)
    0xf6002019,   (* [630:513] e + quoteright : -20 (cslSTIX-Regular) *)
    0xf5800079,   (* [631:514] e + y : -21 (cslSTIX-Regular) *)
    0xf5800078,   (* [632:515] e + x : -21 (cslSTIX-Regular) *)
    0xf6800077,   (* [633:516] e + w : -19 (cslSTIX-Regular) *)
    0xf6800076,   (* [634:517] e + v : -19 (cslSTIX-Regular) *)
    0xfbc00074,   (* [635:518] e + t : -9 (cslSTIX-Regular) *) (*;;*)
    0x08002019,   (* [636:519] f + quoteright : 16 (cslSTIX-Regular) *)
    0xee000153,   (* [637:520] f + oe : -36 (cslSTIX-Regular) *)
    0xed8000f8,   (* [638:521] f + oslash : -37 (cslSTIX-Regular) *)
    0x008000f6,   (* [639:522] f + odieresis : 1 (cslSTIX-Regular) *)
    0xf40000f4,   (* [640:523] f + ocircumflex : -24 (cslSTIX-Regular) *)
    0xf00000f3,   (* [641:524] f + oacute : -32 (cslSTIX-Regular) *)
    0xff8000f2,   (* [642:525] f + ograve : -1 (cslSTIX-Regular) *)
    0xf90000ea,   (* [643:526] f + ecircumflex : -14 (cslSTIX-Regular) *)
    0xef0000e9,   (* [644:527] f + eacute : -34 (cslSTIX-Regular) *)
    0x048000e8,   (* [645:528] f + egrave : 9 (cslSTIX-Regular) *)
    0xf28000e6,   (* [646:529] f + ae : -27 (cslSTIX-Regular) *)
    0xfc0000e5,   (* [647:530] f + aring : -8 (cslSTIX-Regular) *)
    0x058000e4,   (* [648:531] f + adieresis : 11 (cslSTIX-Regular) *)
    0xf30000e1,   (* [649:532] f + aacute : -26 (cslSTIX-Regular) *)
    0x05000074,   (* [650:533] f + t : 10 (cslSTIX-Regular) *)
    0xf8000073,   (* [651:534] f + s : -16 (cslSTIX-Regular) *)
    0xf000006f,   (* [652:535] f + o : -32 (cslSTIX-Regular) *)
    0x1600006c,   (* [653:536] f + l : 44 (cslSTIX-Regular) *)
    0x0380006a,   (* [654:537] f + j : 7 (cslSTIX-Regular) *)
    0x07000069,   (* [655:538] f + i : 14 (cslSTIX-Regular) *)
    0x03000066,   (* [656:539] f + f : 6 (cslSTIX-Regular) *)
    0xef000065,   (* [657:540] f + e : -34 (cslSTIX-Regular) *)
    0xf3000061,   (* [658:541] f + a : -26 (cslSTIX-Regular) *)
    0x1120006a,   (* [659:542] f + j ligature #34 (cslSTIX-Regular) *)
    0x11a0006c,   (* [660:543] f + l ligature #35 (cslSTIX-Regular) *)
    0x12200069,   (* [661:544] f + i ligature #36 (cslSTIX-Regular) *)
    0x12e00066,   (* [662:545] f + f ligature #37 (cslSTIX-Regular) *) (*;;*)
    0xf80000f6,   (* [663:546] g + odieresis : -16 (cslSTIX-Regular) *)
    0xf80000f3,   (* [664:547] g + oacute : -16 (cslSTIX-Regular) *)
    0xf88000eb,   (* [665:548] g + edieresis : -15 (cslSTIX-Regular) *)
    0xf88000ea,   (* [666:549] g + ecircumflex : -15 (cslSTIX-Regular) *)
    0xf88000e9,   (* [667:550] g + eacute : -15 (cslSTIX-Regular) *)
    0xf88000e8,   (* [668:551] g + egrave : -15 (cslSTIX-Regular) *)
    0xfa8000e6,   (* [669:552] g + ae : -11 (cslSTIX-Regular) *)
    0xfa8000e5,   (* [670:553] g + aring : -11 (cslSTIX-Regular) *)
    0xfa8000e4,   (* [671:554] g + adieresis : -11 (cslSTIX-Regular) *)
    0x05000072,   (* [672:555] g + r : 10 (cslSTIX-Regular) *)
    0xff00006c,   (* [673:556] g + l : -2 (cslSTIX-Regular) *)
    0xf8800065,   (* [674:557] g + e : -15 (cslSTIX-Regular) *)
    0xfac00061,   (* [675:558] g + a : -11 (cslSTIX-Regular) *) (*;;*)
    0xec802019,   (* [676:559] h + quoteright : -39 (cslSTIX-Regular) *)
    0xf6400079,   (* [677:560] h + y : -20 (cslSTIX-Regular) *) (*;;*)
    0xef00006a,   (* [678:561] i + j : -34 (cslSTIX-Regular) *)
    0xf7000054,   (* [679:562] i + T : -18 (cslSTIX-Regular) *)
    0x1360006a,   (* [680:563] i + j ligature #38 (cslSTIX-Regular) *) (*;;*)
    0x070000fc,   (* [681:564] k + udieresis : 14 (cslSTIX-Regular) *)
    0xf58000f6,   (* [682:565] k + odieresis : -21 (cslSTIX-Regular) *)
    0xf58000f3,   (* [683:566] k + oacute : -21 (cslSTIX-Regular) *)
    0xf98000e9,   (* [684:567] k + eacute : -13 (cslSTIX-Regular) *)
    0xf98000e8,   (* [685:568] k + egrave : -13 (cslSTIX-Regular) *)
    0xff0000e6,   (* [686:569] k + ae : -2 (cslSTIX-Regular) *)
    0x008000e5,   (* [687:570] k + aring : 1 (cslSTIX-Regular) *)
    0x008000e4,   (* [688:571] k + adieresis : 1 (cslSTIX-Regular) *)
    0x008000e1,   (* [689:572] k + aacute : 1 (cslSTIX-Regular) *)
    0x07000075,   (* [690:573] k + u : 14 (cslSTIX-Regular) *)
    0x02800073,   (* [691:574] k + s : 5 (cslSTIX-Regular) *)
    0xf580006f,   (* [692:575] k + o : -21 (cslSTIX-Regular) *)
    0xfc000067,   (* [693:576] k + g : -8 (cslSTIX-Regular) *)
    0xf9800065,   (* [694:577] k + e : -13 (cslSTIX-Regular) *)
    0x00800061,   (* [695:578] k + a : 1 (cslSTIX-Regular) *)
    0xff80002e,   (* [696:579] k + period : -1 (cslSTIX-Regular) *)
    0xe780002d,   (* [697:580] k + hyphen : -49 (cslSTIX-Regular) *)
    0x02c0002c,   (* [698:581] k + comma : 5 (cslSTIX-Regular) *) (*;;*)
    0xf5800079,   (* [699:582] l + y : -21 (cslSTIX-Regular) *)
    0xf5c00076,   (* [700:583] l + v : -21 (cslSTIX-Regular) *) (*;;*)
    0xf6000079,   (* [701:584] m + y : -20 (cslSTIX-Regular) *)
    0xf6000077,   (* [702:585] m + w : -20 (cslSTIX-Regular) *)
    0xf6000076,   (* [703:586] m + v : -20 (cslSTIX-Regular) *)
    0xfec00070,   (* [704:587] m + p : -3 (cslSTIX-Regular) *) (*;;*)
    0xec002019,   (* [705:588] n + quoteright : -40 (cslSTIX-Regular) *)
    0xf4000079,   (* [706:589] n + y : -24 (cslSTIX-Regular) *)
    0xf0000077,   (* [707:590] n + w : -32 (cslSTIX-Regular) *)
    0xf0800076,   (* [708:591] n + v : -31 (cslSTIX-Regular) *)
    0xff800070,   (* [709:592] n + p : -1 (cslSTIX-Regular) *)
    0xee400054,   (* [710:593] n + T : -36 (cslSTIX-Regular) *) (*;;*)
    0xee002019,   (* [711:594] o + quoteright : -36 (cslSTIX-Regular) *)
    0xf5000079,   (* [712:595] o + y : -22 (cslSTIX-Regular) *)
    0xf5000078,   (* [713:596] o + x : -22 (cslSTIX-Regular) *)
    0xf5000077,   (* [714:597] o + w : -22 (cslSTIX-Regular) *)
    0xf5000076,   (* [715:598] o + v : -22 (cslSTIX-Regular) *)
    0xfc000074,   (* [716:599] o + t : -8 (cslSTIX-Regular) *)
    0xd4c00054,   (* [717:600] o + T : -87 (cslSTIX-Regular) *) (*;;*)
    0xfc800079,   (* [718:601] p + y : -7 (cslSTIX-Regular) *)
    0xffc00074,   (* [719:602] p + t : -1 (cslSTIX-Regular) *) (*;;*)
    0xf9800075,   (* [720:603] q + u : -13 (cslSTIX-Regular) *)
    0xfec00063,   (* [721:604] q + c : -3 (cslSTIX-Regular) *) (*;;*)
    0xf7802019,   (* [722:605] r + quoteright : -17 (cslSTIX-Regular) *)
    0xfd000153,   (* [723:606] r + oe : -6 (cslSTIX-Regular) *)
    0xfd0000f8,   (* [724:607] r + oslash : -6 (cslSTIX-Regular) *)
    0xfd0000f6,   (* [725:608] r + odieresis : -6 (cslSTIX-Regular) *)
    0xfd0000f4,   (* [726:609] r + ocircumflex : -6 (cslSTIX-Regular) *)
    0xfd0000f3,   (* [727:610] r + oacute : -6 (cslSTIX-Regular) *)
    0xfd0000f2,   (* [728:611] r + ograve : -6 (cslSTIX-Regular) *)
    0xff0000ea,   (* [729:612] r + ecircumflex : -2 (cslSTIX-Regular) *)
    0xff0000e9,   (* [730:613] r + eacute : -2 (cslSTIX-Regular) *)
    0xff0000e8,   (* [731:614] r + egrave : -2 (cslSTIX-Regular) *)
    0xff0000e7,   (* [732:615] r + ccedilla : -2 (cslSTIX-Regular) *)
    0xfe8000e6,   (* [733:616] r + ae : -3 (cslSTIX-Regular) *)
    0xff0000e5,   (* [734:617] r + aring : -2 (cslSTIX-Regular) *)
    0xff0000e4,   (* [735:618] r + adieresis : -2 (cslSTIX-Regular) *)
    0xff0000e2,   (* [736:619] r + acircumflex : -2 (cslSTIX-Regular) *)
    0xff0000e1,   (* [737:620] r + aacute : -2 (cslSTIX-Regular) *)
    0xff0000e0,   (* [738:621] r + agrave : -2 (cslSTIX-Regular) *)
    0x0100007a,   (* [739:622] r + z : 2 (cslSTIX-Regular) *)
    0x0a800079,   (* [740:623] r + y : 21 (cslSTIX-Regular) *)
    0x08000078,   (* [741:624] r + x : 16 (cslSTIX-Regular) *)
    0x09800077,   (* [742:625] r + w : 19 (cslSTIX-Regular) *)
    0x0a000076,   (* [743:626] r + v : 20 (cslSTIX-Regular) *)
    0x0c000075,   (* [744:627] r + u : 24 (cslSTIX-Regular) *)
    0x0b800074,   (* [745:628] r + t : 23 (cslSTIX-Regular) *)
    0x0d000072,   (* [746:629] r + r : 26 (cslSTIX-Regular) *)
    0xfb000071,   (* [747:630] r + q : -10 (cslSTIX-Regular) *)
    0x0c800070,   (* [748:631] r + p : 25 (cslSTIX-Regular) *)
    0xfd00006f,   (* [749:632] r + o : -6 (cslSTIX-Regular) *)
    0x0a80006e,   (* [750:633] r + n : 21 (cslSTIX-Regular) *)
    0x0a00006d,   (* [751:634] r + m : 20 (cslSTIX-Regular) *)
    0xfc80006c,   (* [752:635] r + l : -7 (cslSTIX-Regular) *)
    0xfc80006b,   (* [753:636] r + k : -7 (cslSTIX-Regular) *)
    0x0680006a,   (* [754:637] r + j : 13 (cslSTIX-Regular) *)
    0x09800069,   (* [755:638] r + i : 19 (cslSTIX-Regular) *)
    0xff000068,   (* [756:639] r + h : -2 (cslSTIX-Regular) *)
    0xf8000067,   (* [757:640] r + g : -16 (cslSTIX-Regular) *)
    0x09800066,   (* [758:641] r + f : 19 (cslSTIX-Regular) *)
    0xff000065,   (* [759:642] r + e : -2 (cslSTIX-Regular) *)
    0xff000064,   (* [760:643] r + d : -2 (cslSTIX-Regular) *)
    0xff000063,   (* [761:644] r + c : -2 (cslSTIX-Regular) *)
    0xff000061,   (* [762:645] r + a : -2 (cslSTIX-Regular) *)
    0xfc80003b,   (* [763:646] r + semicolon : -7 (cslSTIX-Regular) *)
    0xfc00003a,   (* [764:647] r + colon : -8 (cslSTIX-Regular) *)
    0xe800002e,   (* [765:648] r + period : -48 (cslSTIX-Regular) *)
    0xf180002d,   (* [766:649] r + hyphen : -29 (cslSTIX-Regular) *)
    0xf340002c,   (* [767:650] r + comma : -26 (cslSTIX-Regular) *) (*;;*)
    0xee802019,   (* [768:651] s + quoteright : -35 (cslSTIX-Regular) *)
    0xfc400074,   (* [769:652] s + t : -8 (cslSTIX-Regular) *) (*;;*)
    0xf1002019,   (* [770:653] t + quoteright : -30 (cslSTIX-Regular) *)
    0xff0000f6,   (* [771:654] t + odieresis : -2 (cslSTIX-Regular) *)
    0xff0000f3,   (* [772:655] t + oacute : -2 (cslSTIX-Regular) *)
    0x040000e6,   (* [773:656] t + ae : 8 (cslSTIX-Regular) *)
    0x050000e5,   (* [774:657] t + aring : 10 (cslSTIX-Regular) *)
    0x050000e4,   (* [775:658] t + adieresis : 10 (cslSTIX-Regular) *)
    0x050000e1,   (* [776:659] t + aacute : 10 (cslSTIX-Regular) *)
    0xff00006f,   (* [777:660] t + o : -2 (cslSTIX-Regular) *)
    0x04000068,   (* [778:661] t + h : 8 (cslSTIX-Regular) *)
    0x05000061,   (* [779:662] t + a : 10 (cslSTIX-Regular) *)
    0x01000053,   (* [780:663] t + S : 2 (cslSTIX-Regular) *)
    0x0300003b,   (* [781:664] t + semicolon : 6 (cslSTIX-Regular) *)
    0x0140003a,   (* [782:665] t + colon : 2 (cslSTIX-Regular) *) (*;;*)
    0xedc02019,   (* [783:666] u + quoteright : -37 (cslSTIX-Regular) *) (*;;*)
    0xf28000f8,   (* [784:667] v + oslash : -27 (cslSTIX-Regular) *)
    0xf28000f6,   (* [785:668] v + odieresis : -27 (cslSTIX-Regular) *)
    0xf28000f3,   (* [786:669] v + oacute : -27 (cslSTIX-Regular) *)
    0xf28000f2,   (* [787:670] v + ograve : -27 (cslSTIX-Regular) *)
    0xf40000ea,   (* [788:671] v + ecircumflex : -24 (cslSTIX-Regular) *)
    0xf40000e9,   (* [789:672] v + eacute : -24 (cslSTIX-Regular) *)
    0xf40000e8,   (* [790:673] v + egrave : -24 (cslSTIX-Regular) *)
    0xf60000e6,   (* [791:674] v + ae : -20 (cslSTIX-Regular) *)
    0xf60000e5,   (* [792:675] v + aring : -20 (cslSTIX-Regular) *)
    0xf60000e4,   (* [793:676] v + adieresis : -20 (cslSTIX-Regular) *)
    0xf60000e3,   (* [794:677] v + atilde : -20 (cslSTIX-Regular) *)
    0xf60000e2,   (* [795:678] v + acircumflex : -20 (cslSTIX-Regular) *)
    0xf60000e1,   (* [796:679] v + aacute : -20 (cslSTIX-Regular) *)
    0xf60000e0,   (* [797:680] v + agrave : -20 (cslSTIX-Regular) *)
    0xf9800073,   (* [798:681] v + s : -13 (cslSTIX-Regular) *)
    0xf280006f,   (* [799:682] v + o : -27 (cslSTIX-Regular) *)
    0xf080006c,   (* [800:683] v + l : -31 (cslSTIX-Regular) *)
    0xeb000067,   (* [801:684] v + g : -42 (cslSTIX-Regular) *)
    0xf4000065,   (* [802:685] v + e : -24 (cslSTIX-Regular) *)
    0xf2000063,   (* [803:686] v + c : -28 (cslSTIX-Regular) *)
    0xf6000061,   (* [804:687] v + a : -20 (cslSTIX-Regular) *)
    0xf780003b,   (* [805:688] v + semicolon : -17 (cslSTIX-Regular) *)
    0xf580003a,   (* [806:689] v + colon : -21 (cslSTIX-Regular) *)
    0xdb00002e,   (* [807:690] v + period : -74 (cslSTIX-Regular) *)
    0xf200002d,   (* [808:691] v + hyphen : -28 (cslSTIX-Regular) *)
    0xdf40002c,   (* [809:692] v + comma : -66 (cslSTIX-Regular) *) (*;;*)
    0xf30000f8,   (* [810:693] w + oslash : -26 (cslSTIX-Regular) *)
    0xf30000f6,   (* [811:694] w + odieresis : -26 (cslSTIX-Regular) *)
    0xf30000f3,   (* [812:695] w + oacute : -26 (cslSTIX-Regular) *)
    0xf30000f2,   (* [813:696] w + ograve : -26 (cslSTIX-Regular) *)
    0xf70000ea,   (* [814:697] w + ecircumflex : -18 (cslSTIX-Regular) *)
    0xf70000e9,   (* [815:698] w + eacute : -18 (cslSTIX-Regular) *)
    0xf70000e8,   (* [816:699] w + egrave : -18 (cslSTIX-Regular) *)
    0xf18000e6,   (* [817:700] w + ae : -29 (cslSTIX-Regular) *)
    0xf20000e5,   (* [818:701] w + aring : -28 (cslSTIX-Regular) *)
    0xf20000e4,   (* [819:702] w + adieresis : -28 (cslSTIX-Regular) *)
    0xf20000e3,   (* [820:703] w + atilde : -28 (cslSTIX-Regular) *)
    0xf20000e2,   (* [821:704] w + acircumflex : -28 (cslSTIX-Regular) *)
    0xf20000e1,   (* [822:705] w + aacute : -28 (cslSTIX-Regular) *)
    0xf20000e0,   (* [823:706] w + agrave : -28 (cslSTIX-Regular) *)
    0xf4800073,   (* [824:707] w + s : -23 (cslSTIX-Regular) *)
    0xf300006f,   (* [825:708] w + o : -26 (cslSTIX-Regular) *)
    0xef00006c,   (* [826:709] w + l : -34 (cslSTIX-Regular) *)
    0xef800067,   (* [827:710] w + g : -33 (cslSTIX-Regular) *)
    0xf7000065,   (* [828:711] w + e : -18 (cslSTIX-Regular) *)
    0xf5800063,   (* [829:712] w + c : -21 (cslSTIX-Regular) *)
    0xf2000061,   (* [830:713] w + a : -28 (cslSTIX-Regular) *)
    0xfa00003b,   (* [831:714] w + semicolon : -12 (cslSTIX-Regular) *)
    0xfa00003a,   (* [832:715] w + colon : -12 (cslSTIX-Regular) *)
    0xde00002e,   (* [833:716] w + period : -68 (cslSTIX-Regular) *)
    0xf400002d,   (* [834:717] w + hyphen : -24 (cslSTIX-Regular) *)
    0xe740002c,   (* [835:718] w + comma : -50 (cslSTIX-Regular) *) (*;;*)
    0xf40000e9,   (* [836:719] x + eacute : -24 (cslSTIX-Regular) *)
    0xf7800071,   (* [837:720] x + q : -17 (cslSTIX-Regular) *)
    0xf180006f,   (* [838:721] x + o : -29 (cslSTIX-Regular) *)
    0xf4000065,   (* [839:722] x + e : -24 (cslSTIX-Regular) *)
    0xf4000063,   (* [840:723] x + c : -24 (cslSTIX-Regular) *)
    0xfac00061,   (* [841:724] x + a : -11 (cslSTIX-Regular) *) (*;;*)
    0xf70000f8,   (* [842:725] y + oslash : -18 (cslSTIX-Regular) *)
    0xf70000f6,   (* [843:726] y + odieresis : -18 (cslSTIX-Regular) *)
    0xf70000f3,   (* [844:727] y + oacute : -18 (cslSTIX-Regular) *)
    0xf70000f2,   (* [845:728] y + ograve : -18 (cslSTIX-Regular) *)
    0xf78000ea,   (* [846:729] y + ecircumflex : -17 (cslSTIX-Regular) *)
    0xf78000e9,   (* [847:730] y + eacute : -17 (cslSTIX-Regular) *)
    0xf78000e8,   (* [848:731] y + egrave : -17 (cslSTIX-Regular) *)
    0xf88000e6,   (* [849:732] y + ae : -15 (cslSTIX-Regular) *)
    0xf88000e5,   (* [850:733] y + aring : -15 (cslSTIX-Regular) *)
    0xf88000e4,   (* [851:734] y + adieresis : -15 (cslSTIX-Regular) *)
    0xf88000e3,   (* [852:735] y + atilde : -15 (cslSTIX-Regular) *)
    0xf88000e2,   (* [853:736] y + acircumflex : -15 (cslSTIX-Regular) *)
    0xf88000e1,   (* [854:737] y + aacute : -15 (cslSTIX-Regular) *)
    0xf88000e0,   (* [855:738] y + agrave : -15 (cslSTIX-Regular) *)
    0xf9800073,   (* [856:739] y + s : -13 (cslSTIX-Regular) *)
    0xf700006f,   (* [857:740] y + o : -18 (cslSTIX-Regular) *)
    0xf700006c,   (* [858:741] y + l : -18 (cslSTIX-Regular) *)
    0xf5000067,   (* [859:742] y + g : -22 (cslSTIX-Regular) *)
    0xf4800065,   (* [860:743] y + e : -23 (cslSTIX-Regular) *)
    0xf8800063,   (* [861:744] y + c : -15 (cslSTIX-Regular) *)
    0xf8800061,   (* [862:745] y + a : -15 (cslSTIX-Regular) *)
    0xf900003b,   (* [863:746] y + semicolon : -14 (cslSTIX-Regular) *)
    0xfc00003a,   (* [864:747] y + colon : -8 (cslSTIX-Regular) *)
    0xdc80002e,   (* [865:748] y + period : -71 (cslSTIX-Regular) *)
    0xf700002d,   (* [866:749] y + hyphen : -18 (cslSTIX-Regular) *)
    0xe5c0002c,   (* [867:750] y + comma : -53 (cslSTIX-Regular) *) (*;;*)
    0xe10000c6,   (* [868:751] guillemotright + AE : -62 (cslSTIX-Regular) *)
    0xdf8000c5,   (* [869:752] guillemotright + Aring : -65 (cslSTIX-Regular) *)
    0xdf8000c4,   (* [870:753] guillemotright + Adieresis : -65 (cslSTIX-Regular) *)
    0xdf8000c1,   (* [871:754] guillemotright + Aacute : -65 (cslSTIX-Regular) *)
    0xbb000059,   (* [872:755] guillemotright + Y : -138 (cslSTIX-Regular) *)
    0xd1000057,   (* [873:756] guillemotright + W : -94 (cslSTIX-Regular) *)
    0xc6000056,   (* [874:757] guillemotright + V : -116 (cslSTIX-Regular) *)
    0xc7800054,   (* [875:758] guillemotright + T : -113 (cslSTIX-Regular) *)
    0xdfc00041,   (* [876:759] guillemotright + A : -65 (cslSTIX-Regular) *) (*;;*)
    0xe6000059,   (* [877:760] Agrave + Y : -52 (cslSTIX-Regular) *)
    0xd6800057,   (* [878:761] Agrave + W : -83 (cslSTIX-Regular) *)
    0xd6800056,   (* [879:762] Agrave + V : -83 (cslSTIX-Regular) *)
    0xee800055,   (* [880:763] Agrave + U : -35 (cslSTIX-Regular) *)
    0xe5000054,   (* [881:764] Agrave + T : -54 (cslSTIX-Regular) *)
    0xf3800051,   (* [882:765] Agrave + Q : -25 (cslSTIX-Regular) *)
    0xf380004f,   (* [883:766] Agrave + O : -25 (cslSTIX-Regular) *)
    0xf3800047,   (* [884:767] Agrave + G : -25 (cslSTIX-Regular) *)
    0xf3800043,   (* [885:768] Agrave + C : -25 (cslSTIX-Regular) *)
    0xfd80002e,   (* [886:769] Agrave + period : -5 (cslSTIX-Regular) *)
    0xff40002c,   (* [887:770] Agrave + comma : -2 (cslSTIX-Regular) *) (*;;*)
    0xe7802039,   (* [888:771] Aacute + guilsinglleft : -49 (cslSTIX-Regular) *)
    0xe380201d,   (* [889:772] Aacute + quotedblright : -57 (cslSTIX-Regular) *)
    0xdb002019,   (* [890:773] Aacute + quoteright : -74 (cslSTIX-Regular) *)
    0xeb0000ab,   (* [891:774] Aacute + guillemotleft : -42 (cslSTIX-Regular) *)
    0xdc000079,   (* [892:775] Aacute + y : -72 (cslSTIX-Regular) *)
    0xe3000077,   (* [893:776] Aacute + w : -58 (cslSTIX-Regular) *)
    0xe3000076,   (* [894:777] Aacute + v : -58 (cslSTIX-Regular) *)
    0xf9000075,   (* [895:778] Aacute + u : -14 (cslSTIX-Regular) *)
    0xf9800074,   (* [896:779] Aacute + t : -13 (cslSTIX-Regular) *)
    0xf9000071,   (* [897:780] Aacute + q : -14 (cslSTIX-Regular) *)
    0xf300006f,   (* [898:781] Aacute + o : -26 (cslSTIX-Regular) *)
    0xfa000067,   (* [899:782] Aacute + g : -12 (cslSTIX-Regular) *)
    0xf8000065,   (* [900:783] Aacute + e : -16 (cslSTIX-Regular) *)
    0xf7800064,   (* [901:784] Aacute + d : -17 (cslSTIX-Regular) *)
    0xfb000063,   (* [902:785] Aacute + c : -10 (cslSTIX-Regular) *)
    0xf9000062,   (* [903:786] Aacute + b : -14 (cslSTIX-Regular) *)
    0xfe000061,   (* [904:787] Aacute + a : -4 (cslSTIX-Regular) *)
    0xe6000059,   (* [905:788] Aacute + Y : -52 (cslSTIX-Regular) *)
    0xd6800057,   (* [906:789] Aacute + W : -83 (cslSTIX-Regular) *)
    0xd6800056,   (* [907:790] Aacute + V : -83 (cslSTIX-Regular) *)
    0xee800055,   (* [908:791] Aacute + U : -35 (cslSTIX-Regular) *)
    0xe5000054,   (* [909:792] Aacute + T : -54 (cslSTIX-Regular) *)
    0xf3800051,   (* [910:793] Aacute + Q : -25 (cslSTIX-Regular) *)
    0xf380004f,   (* [911:794] Aacute + O : -25 (cslSTIX-Regular) *)
    0xf3800047,   (* [912:795] Aacute + G : -25 (cslSTIX-Regular) *)
    0xf3800043,   (* [913:796] Aacute + C : -25 (cslSTIX-Regular) *)
    0xfd80002e,   (* [914:797] Aacute + period : -5 (cslSTIX-Regular) *)
    0xf800002d,   (* [915:798] Aacute + hyphen : -16 (cslSTIX-Regular) *)
    0xff40002c,   (* [916:799] Aacute + comma : -2 (cslSTIX-Regular) *) (*;;*)
    0xe6000059,   (* [917:800] Acircumflex + Y : -52 (cslSTIX-Regular) *)
    0xd6800057,   (* [918:801] Acircumflex + W : -83 (cslSTIX-Regular) *)
    0xd6800056,   (* [919:802] Acircumflex + V : -83 (cslSTIX-Regular) *)
    0xee800055,   (* [920:803] Acircumflex + U : -35 (cslSTIX-Regular) *)
    0xe5000054,   (* [921:804] Acircumflex + T : -54 (cslSTIX-Regular) *)
    0xf3800051,   (* [922:805] Acircumflex + Q : -25 (cslSTIX-Regular) *)
    0xf380004f,   (* [923:806] Acircumflex + O : -25 (cslSTIX-Regular) *)
    0xf3800047,   (* [924:807] Acircumflex + G : -25 (cslSTIX-Regular) *)
    0xf3800043,   (* [925:808] Acircumflex + C : -25 (cslSTIX-Regular) *)
    0xfd80002e,   (* [926:809] Acircumflex + period : -5 (cslSTIX-Regular) *)
    0xff40002c,   (* [927:810] Acircumflex + comma : -2 (cslSTIX-Regular) *) (*;;*)
    0xe6000059,   (* [928:811] Atilde + Y : -52 (cslSTIX-Regular) *)
    0xd6800057,   (* [929:812] Atilde + W : -83 (cslSTIX-Regular) *)
    0xd6800056,   (* [930:813] Atilde + V : -83 (cslSTIX-Regular) *)
    0xee800055,   (* [931:814] Atilde + U : -35 (cslSTIX-Regular) *)
    0xe5000054,   (* [932:815] Atilde + T : -54 (cslSTIX-Regular) *)
    0xf3800051,   (* [933:816] Atilde + Q : -25 (cslSTIX-Regular) *)
    0xf380004f,   (* [934:817] Atilde + O : -25 (cslSTIX-Regular) *)
    0xf3800047,   (* [935:818] Atilde + G : -25 (cslSTIX-Regular) *)
    0xf3800043,   (* [936:819] Atilde + C : -25 (cslSTIX-Regular) *)
    0xfd80002e,   (* [937:820] Atilde + period : -5 (cslSTIX-Regular) *)
    0xff40002c,   (* [938:821] Atilde + comma : -2 (cslSTIX-Regular) *) (*;;*)
    0xe7802039,   (* [939:822] Adieresis + guilsinglleft : -49 (cslSTIX-Regular) *)
    0xe380201d,   (* [940:823] Adieresis + quotedblright : -57 (cslSTIX-Regular) *)
    0xdb002019,   (* [941:824] Adieresis + quoteright : -74 (cslSTIX-Regular) *)
    0xeb0000ab,   (* [942:825] Adieresis + guillemotleft : -42 (cslSTIX-Regular) *)
    0xdc000079,   (* [943:826] Adieresis + y : -72 (cslSTIX-Regular) *)
    0xe3000077,   (* [944:827] Adieresis + w : -58 (cslSTIX-Regular) *)
    0xe3000076,   (* [945:828] Adieresis + v : -58 (cslSTIX-Regular) *)
    0xf9000075,   (* [946:829] Adieresis + u : -14 (cslSTIX-Regular) *)
    0xf9800074,   (* [947:830] Adieresis + t : -13 (cslSTIX-Regular) *)
    0xf9000071,   (* [948:831] Adieresis + q : -14 (cslSTIX-Regular) *)
    0xf300006f,   (* [949:832] Adieresis + o : -26 (cslSTIX-Regular) *)
    0xfa000067,   (* [950:833] Adieresis + g : -12 (cslSTIX-Regular) *)
    0xf7800064,   (* [951:834] Adieresis + d : -17 (cslSTIX-Regular) *)
    0xfb000063,   (* [952:835] Adieresis + c : -10 (cslSTIX-Regular) *)
    0xf9000062,   (* [953:836] Adieresis + b : -14 (cslSTIX-Regular) *)
    0xfe000061,   (* [954:837] Adieresis + a : -4 (cslSTIX-Regular) *)
    0xe6000059,   (* [955:838] Adieresis + Y : -52 (cslSTIX-Regular) *)
    0xd6800057,   (* [956:839] Adieresis + W : -83 (cslSTIX-Regular) *)
    0xd6800056,   (* [957:840] Adieresis + V : -83 (cslSTIX-Regular) *)
    0xee800055,   (* [958:841] Adieresis + U : -35 (cslSTIX-Regular) *)
    0xe5000054,   (* [959:842] Adieresis + T : -54 (cslSTIX-Regular) *)
    0xf3800051,   (* [960:843] Adieresis + Q : -25 (cslSTIX-Regular) *)
    0xf380004f,   (* [961:844] Adieresis + O : -25 (cslSTIX-Regular) *)
    0xf3800047,   (* [962:845] Adieresis + G : -25 (cslSTIX-Regular) *)
    0xf3800043,   (* [963:846] Adieresis + C : -25 (cslSTIX-Regular) *)
    0xfd80002e,   (* [964:847] Adieresis + period : -5 (cslSTIX-Regular) *)
    0xf800002d,   (* [965:848] Adieresis + hyphen : -16 (cslSTIX-Regular) *)
    0xff40002c,   (* [966:849] Adieresis + comma : -2 (cslSTIX-Regular) *) (*;;*)
    0xe7802039,   (* [967:850] Aring + guilsinglleft : -49 (cslSTIX-Regular) *)
    0xe380201d,   (* [968:851] Aring + quotedblright : -57 (cslSTIX-Regular) *)
    0xdb002019,   (* [969:852] Aring + quoteright : -74 (cslSTIX-Regular) *)
    0xeb0000ab,   (* [970:853] Aring + guillemotleft : -42 (cslSTIX-Regular) *)
    0xdc000079,   (* [971:854] Aring + y : -72 (cslSTIX-Regular) *)
    0xe3000077,   (* [972:855] Aring + w : -58 (cslSTIX-Regular) *)
    0xe3000076,   (* [973:856] Aring + v : -58 (cslSTIX-Regular) *)
    0xf9000075,   (* [974:857] Aring + u : -14 (cslSTIX-Regular) *)
    0xf9800074,   (* [975:858] Aring + t : -13 (cslSTIX-Regular) *)
    0xf9000071,   (* [976:859] Aring + q : -14 (cslSTIX-Regular) *)
    0xf300006f,   (* [977:860] Aring + o : -26 (cslSTIX-Regular) *)
    0xfa000067,   (* [978:861] Aring + g : -12 (cslSTIX-Regular) *)
    0xf7800065,   (* [979:862] Aring + e : -17 (cslSTIX-Regular) *)
    0xf7800064,   (* [980:863] Aring + d : -17 (cslSTIX-Regular) *)
    0xfb000063,   (* [981:864] Aring + c : -10 (cslSTIX-Regular) *)
    0xf9000062,   (* [982:865] Aring + b : -14 (cslSTIX-Regular) *)
    0xfe000061,   (* [983:866] Aring + a : -4 (cslSTIX-Regular) *)
    0xe6000059,   (* [984:867] Aring + Y : -52 (cslSTIX-Regular) *)
    0xd6800057,   (* [985:868] Aring + W : -83 (cslSTIX-Regular) *)
    0xd6800056,   (* [986:869] Aring + V : -83 (cslSTIX-Regular) *)
    0xee800055,   (* [987:870] Aring + U : -35 (cslSTIX-Regular) *)
    0xe5000054,   (* [988:871] Aring + T : -54 (cslSTIX-Regular) *)
    0xf3800051,   (* [989:872] Aring + Q : -25 (cslSTIX-Regular) *)
    0xf380004f,   (* [990:873] Aring + O : -25 (cslSTIX-Regular) *)
    0xf3800047,   (* [991:874] Aring + G : -25 (cslSTIX-Regular) *)
    0xf3800043,   (* [992:875] Aring + C : -25 (cslSTIX-Regular) *)
    0xfd80002e,   (* [993:876] Aring + period : -5 (cslSTIX-Regular) *)
    0xf800002d,   (* [994:877] Aring + hyphen : -16 (cslSTIX-Regular) *)
    0xff40002c,   (* [995:878] Aring + comma : -2 (cslSTIX-Regular) *) (*;;*)
    0xf8400041,   (* [996:879] Ccedilla + A : -16 (cslSTIX-Regular) *) (*;;*)
    0xee000059,   (* [997:880] Ograve + Y : -36 (cslSTIX-Regular) *)
    0xf1000056,   (* [998:881] Ograve + V : -30 (cslSTIX-Regular) *)
    0xfec00054,   (* [999:882] Ograve + T : -3 (cslSTIX-Regular) *) (*;;*)
    0xee000059,   (* [1000:883] Oacute + Y : -36 (cslSTIX-Regular) *)
    0xf3800057,   (* [1001:884] Oacute + W : -25 (cslSTIX-Regular) *)
    0xf1000056,   (* [1002:885] Oacute + V : -30 (cslSTIX-Regular) *)
    0xfe800054,   (* [1003:886] Oacute + T : -3 (cslSTIX-Regular) *)
    0xf3c00041,   (* [1004:887] Oacute + A : -25 (cslSTIX-Regular) *) (*;;*)
    0xee000059,   (* [1005:888] Ocircumflex + Y : -36 (cslSTIX-Regular) *)
    0xf1000056,   (* [1006:889] Ocircumflex + V : -30 (cslSTIX-Regular) *)
    0xfec00054,   (* [1007:890] Ocircumflex + T : -3 (cslSTIX-Regular) *) (*;;*)
    0xee000059,   (* [1008:891] Otilde + Y : -36 (cslSTIX-Regular) *)
    0xf1000056,   (* [1009:892] Otilde + V : -30 (cslSTIX-Regular) *)
    0xfec00054,   (* [1010:893] Otilde + T : -3 (cslSTIX-Regular) *) (*;;*)
    0xee000059,   (* [1011:894] Odieresis + Y : -36 (cslSTIX-Regular) *)
    0xf4000058,   (* [1012:895] Odieresis + X : -24 (cslSTIX-Regular) *)
    0xf3800057,   (* [1013:896] Odieresis + W : -25 (cslSTIX-Regular) *)
    0xf5000056,   (* [1014:897] Odieresis + V : -22 (cslSTIX-Regular) *)
    0xfe800054,   (* [1015:898] Odieresis + T : -3 (cslSTIX-Regular) *)
    0xf3c00041,   (* [1016:899] Odieresis + A : -25 (cslSTIX-Regular) *) (*;;*)
    0xf3c00041,   (* [1017:900] Oslash + A : -25 (cslSTIX-Regular) *) (*;;*)
    0xf8000072,   (* [1018:901] Ugrave + r : -16 (cslSTIX-Regular) *)
    0xf7000070,   (* [1019:902] Ugrave + p : -18 (cslSTIX-Regular) *)
    0xf600006e,   (* [1020:903] Ugrave + n : -20 (cslSTIX-Regular) *)
    0xf600006d,   (* [1021:904] Ugrave + m : -20 (cslSTIX-Regular) *)
    0xea800041,   (* [1022:905] Ugrave + A : -43 (cslSTIX-Regular) *)
    0xf200002e,   (* [1023:906] Ugrave + period : -28 (cslSTIX-Regular) *)
    0xf0c0002c,   (* [1024:907] Ugrave + comma : -31 (cslSTIX-Regular) *) (*;;*)
    0xf8000072,   (* [1025:908] Uacute + r : -16 (cslSTIX-Regular) *)
    0xf7000070,   (* [1026:909] Uacute + p : -18 (cslSTIX-Regular) *)
    0xf600006e,   (* [1027:910] Uacute + n : -20 (cslSTIX-Regular) *)
    0xf600006d,   (* [1028:911] Uacute + m : -20 (cslSTIX-Regular) *)
    0xea800041,   (* [1029:912] Uacute + A : -43 (cslSTIX-Regular) *)
    0xf200002e,   (* [1030:913] Uacute + period : -28 (cslSTIX-Regular) *)
    0xf0c0002c,   (* [1031:914] Uacute + comma : -31 (cslSTIX-Regular) *) (*;;*)
    0xeac00041,   (* [1032:915] Ucircumflex + A : -43 (cslSTIX-Regular) *) (*;;*)
    0xf8000072,   (* [1033:916] Udieresis + r : -16 (cslSTIX-Regular) *)
    0xf7000070,   (* [1034:917] Udieresis + p : -18 (cslSTIX-Regular) *)
    0xf600006e,   (* [1035:918] Udieresis + n : -20 (cslSTIX-Regular) *)
    0xf600006d,   (* [1036:919] Udieresis + m : -20 (cslSTIX-Regular) *)
    0x0a800062,   (* [1037:920] Udieresis + b : 21 (cslSTIX-Regular) *)
    0xea800041,   (* [1038:921] Udieresis + A : -43 (cslSTIX-Regular) *)
    0xf200002e,   (* [1039:922] Udieresis + period : -28 (cslSTIX-Regular) *)
    0xf0c0002c,   (* [1040:923] Udieresis + comma : -31 (cslSTIX-Regular) *) (*;;*)
    0xf2800079,   (* [1041:924] agrave + y : -27 (cslSTIX-Regular) *)
    0xef800077,   (* [1042:925] agrave + w : -33 (cslSTIX-Regular) *)
    0xf0400076,   (* [1043:926] agrave + v : -32 (cslSTIX-Regular) *) (*;;*)
    0xf2800079,   (* [1044:927] aacute + y : -27 (cslSTIX-Regular) *)
    0xef800077,   (* [1045:928] aacute + w : -33 (cslSTIX-Regular) *)
    0xf0400076,   (* [1046:929] aacute + v : -32 (cslSTIX-Regular) *) (*;;*)
    0xf2800079,   (* [1047:930] adieresis + y : -27 (cslSTIX-Regular) *)
    0xef800077,   (* [1048:931] adieresis + w : -33 (cslSTIX-Regular) *)
    0xf0400076,   (* [1049:932] adieresis + v : -32 (cslSTIX-Regular) *) (*;;*)
    0xf2800079,   (* [1050:933] aring + y : -27 (cslSTIX-Regular) *)
    0xef800077,   (* [1051:934] aring + w : -33 (cslSTIX-Regular) *)
    0xf0400076,   (* [1052:935] aring + v : -32 (cslSTIX-Regular) *) (*;;*)
    0xf1000079,   (* [1053:936] ae + y : -30 (cslSTIX-Regular) *)
    0xf1800077,   (* [1054:937] ae + w : -29 (cslSTIX-Regular) *)
    0xf2400076,   (* [1055:938] ae + v : -28 (cslSTIX-Regular) *) (*;;*)
    0xf5800079,   (* [1056:939] eacute + y : -21 (cslSTIX-Regular) *)
    0xf6800077,   (* [1057:940] eacute + w : -19 (cslSTIX-Regular) *)
    0xf6c00076,   (* [1058:941] eacute + v : -19 (cslSTIX-Regular) *) (*;;*)
    0xf5800079,   (* [1059:942] ecircumflex + y : -21 (cslSTIX-Regular) *)
    0xf6800077,   (* [1060:943] ecircumflex + w : -19 (cslSTIX-Regular) *)
    0xf6c00076,   (* [1061:944] ecircumflex + v : -19 (cslSTIX-Regular) *) (*;;*)
    0xf5000079,   (* [1062:945] ograve + y : -22 (cslSTIX-Regular) *)
    0xf5000077,   (* [1063:946] ograve + w : -22 (cslSTIX-Regular) *)
    0xf5400076,   (* [1064:947] ograve + v : -22 (cslSTIX-Regular) *) (*;;*)
    0xf5000079,   (* [1065:948] oacute + y : -22 (cslSTIX-Regular) *)
    0xf5000077,   (* [1066:949] oacute + w : -22 (cslSTIX-Regular) *)
    0xf5400076,   (* [1067:950] oacute + v : -22 (cslSTIX-Regular) *) (*;;*)
    0xfc400074,   (* [1068:951] ocircumflex + t : -8 (cslSTIX-Regular) *) (*;;*)
    0xf5000079,   (* [1069:952] odieresis + y : -22 (cslSTIX-Regular) *)
    0xf5000078,   (* [1070:953] odieresis + x : -22 (cslSTIX-Regular) *)
    0xf5000077,   (* [1071:954] odieresis + w : -22 (cslSTIX-Regular) *)
    0xf5000076,   (* [1072:955] odieresis + v : -22 (cslSTIX-Regular) *)
    0xfc400074,   (* [1073:956] odieresis + t : -8 (cslSTIX-Regular) *) (*;;*)
    0xc80000c6,   (* [1074:957] quoteleft + AE : -112 (cslSTIX-Regular) *)
    0xc70000c5,   (* [1075:958] quoteleft + Aring : -114 (cslSTIX-Regular) *)
    0xc70000c4,   (* [1076:959] quoteleft + Adieresis : -114 (cslSTIX-Regular) *)
    0xc70000c2,   (* [1077:960] quoteleft + Acircumflex : -114 (cslSTIX-Regular) *)
    0xc70000c1,   (* [1078:961] quoteleft + Aacute : -114 (cslSTIX-Regular) *)
    0xc70000c0,   (* [1079:962] quoteleft + Agrave : -114 (cslSTIX-Regular) *)
    0xf2800059,   (* [1080:963] quoteleft + Y : -27 (cslSTIX-Regular) *)
    0xf6000057,   (* [1081:964] quoteleft + W : -20 (cslSTIX-Regular) *)
    0xf3800056,   (* [1082:965] quoteleft + V : -25 (cslSTIX-Regular) *)
    0xfa800054,   (* [1083:966] quoteleft + T : -11 (cslSTIX-Regular) *)
    0xc7400041,   (* [1084:967] quoteleft + A : -114 (cslSTIX-Regular) *) (*;;*)
    0xbc8000c6,   (* [1085:968] quoteright + AE : -135 (cslSTIX-Regular) *)
    0xbe0000c5,   (* [1086:969] quoteright + Aring : -132 (cslSTIX-Regular) *)
    0xbe0000c4,   (* [1087:970] quoteright + Adieresis : -132 (cslSTIX-Regular) *)
    0xbe0000c2,   (* [1088:971] quoteright + Acircumflex : -132 (cslSTIX-Regular) *)
    0xbe0000c1,   (* [1089:972] quoteright + Aacute : -132 (cslSTIX-Regular) *)
    0xbe0000c0,   (* [1090:973] quoteright + Agrave : -132 (cslSTIX-Regular) *)
    0xe9000079,   (* [1091:974] quoteright + y : -46 (cslSTIX-Regular) *)
    0xea800077,   (* [1092:975] quoteright + w : -43 (cslSTIX-Regular) *)
    0xe8000076,   (* [1093:976] quoteright + v : -48 (cslSTIX-Regular) *)
    0xeb000074,   (* [1094:977] quoteright + t : -42 (cslSTIX-Regular) *)
    0xe7800073,   (* [1095:978] quoteright + s : -49 (cslSTIX-Regular) *)
    0xed000072,   (* [1096:979] quoteright + r : -38 (cslSTIX-Regular) *)
    0xe400006f,   (* [1097:980] quoteright + o : -56 (cslSTIX-Regular) *)
    0xe3000064,   (* [1098:981] quoteright + d : -58 (cslSTIX-Regular) *)
    0xbe000041,   (* [1099:982] quoteright + A : -132 (cslSTIX-Regular) *)
    0xd800002e,   (* [1100:983] quoteright + period : -80 (cslSTIX-Regular) *)
    0xdbc0002c,   (* [1101:984] quoteright + comma : -73 (cslSTIX-Regular) *) (*;;*)
    0xd48000c6,   (* [1102:985] quotedblleft + AE : -87 (cslSTIX-Regular) *)
    0xd38000c5,   (* [1103:986] quotedblleft + Aring : -89 (cslSTIX-Regular) *)
    0xd38000c4,   (* [1104:987] quotedblleft + Adieresis : -89 (cslSTIX-Regular) *)
    0xd38000c1,   (* [1105:988] quotedblleft + Aacute : -89 (cslSTIX-Regular) *)
    0xfe800059,   (* [1106:989] quotedblleft + Y : -3 (cslSTIX-Regular) *)
    0x02000057,   (* [1107:990] quotedblleft + W : 4 (cslSTIX-Regular) *)
    0xff800056,   (* [1108:991] quotedblleft + V : -1 (cslSTIX-Regular) *)
    0x06800054,   (* [1109:992] quotedblleft + T : 13 (cslSTIX-Regular) *)
    0xd3c00041,   (* [1110:993] quotedblleft + A : -89 (cslSTIX-Regular) *) (*;;*)
    0xce8000c6,   (* [1111:994] quotedblright + AE : -99 (cslSTIX-Regular) *)
    0xd00000c5,   (* [1112:995] quotedblright + Aring : -96 (cslSTIX-Regular) *)
    0xd00000c4,   (* [1113:996] quotedblright + Adieresis : -96 (cslSTIX-Regular) *)
    0xd00000c1,   (* [1114:997] quotedblright + Aacute : -96 (cslSTIX-Regular) *)
    0xfe800059,   (* [1115:998] quotedblright + Y : -3 (cslSTIX-Regular) *)
    0x03000057,   (* [1116:999] quotedblright + W : 6 (cslSTIX-Regular) *)
    0x00800056,   (* [1117:1000] quotedblright + V : 1 (cslSTIX-Regular) *)
    0x04800054,   (* [1118:1001] quotedblright + T : 9 (cslSTIX-Regular) *)
    0xd0400041,   (* [1119:1002] quotedblright + A : -96 (cslSTIX-Regular) *) (*;;*)
    0x098000c6,   (* [1120:1003] quotedblbase + AE : 19 (cslSTIX-Regular) *)
    0x060000c5,   (* [1121:1004] quotedblbase + Aring : 12 (cslSTIX-Regular) *)
    0x060000c4,   (* [1122:1005] quotedblbase + Adieresis : 12 (cslSTIX-Regular) *)
    0x060000c2,   (* [1123:1006] quotedblbase + Acircumflex : 12 (cslSTIX-Regular) *)
    0x060000c1,   (* [1124:1007] quotedblbase + Aacute : 12 (cslSTIX-Regular) *)
    0x060000c0,   (* [1125:1008] quotedblbase + Agrave : 12 (cslSTIX-Regular) *)
    0xd4800059,   (* [1126:1009] quotedblbase + Y : -87 (cslSTIX-Regular) *)
    0xdb800057,   (* [1127:1010] quotedblbase + W : -73 (cslSTIX-Regular) *)
    0xce000056,   (* [1128:1011] quotedblbase + V : -100 (cslSTIX-Regular) *)
    0xe2000054,   (* [1129:1012] quotedblbase + T : -60 (cslSTIX-Regular) *)
    0x06400041,   (* [1130:1013] quotedblbase + A : 12 (cslSTIX-Regular) *) (*;;*)
    0xdb8000c6,   (* [1131:1014] guilsinglright + AE : -73 (cslSTIX-Regular) *)
    0xda0000c5,   (* [1132:1015] guilsinglright + Aring : -76 (cslSTIX-Regular) *)
    0xda0000c4,   (* [1133:1016] guilsinglright + Adieresis : -76 (cslSTIX-Regular) *)
    0xda0000c1,   (* [1134:1017] guilsinglright + Aacute : -76 (cslSTIX-Regular) *)
    0xb5800059,   (* [1135:1018] guilsinglright + Y : -149 (cslSTIX-Regular) *)
    0xcb800057,   (* [1136:1019] guilsinglright + W : -105 (cslSTIX-Regular) *)
    0xc1000056,   (* [1137:1020] guilsinglright + V : -126 (cslSTIX-Regular) *)
    0xc2800054,   (* [1138:1021] guilsinglright + T : -123 (cslSTIX-Regular) *)
    0xda400041,   (* [1139:1022] guilsinglright + A : -76 (cslSTIX-Regular) *) (*;;*)
    0x13a00069,   (* [1140:1023] ff + i ligature #39 (cslSTIX-Regular) *)
    0x1460006c,   (* [1141:1024] ff + l ligature #40 (cslSTIX-Regular) *) (*;;*)
    0x0380201d,   (* [1142:1] comma + quotedblright : 7 (cslSTIX-Bold) *)
    0xf5002019,   (* [1143:2] comma + quoteright : -22 (cslSTIX-Bold) *)
    0xfac00031,   (* [1144:3] comma + one : -11 (cslSTIX-Bold) *) (*;;*)
    0xf58000c6,   (* [1145:4] hyphen + AE : -21 (cslSTIX-Bold) *)
    0xf98000c5,   (* [1146:5] hyphen + Aring : -13 (cslSTIX-Bold) *)
    0xf98000c4,   (* [1147:6] hyphen + Adieresis : -13 (cslSTIX-Bold) *)
    0xf98000c1,   (* [1148:7] hyphen + Aacute : -13 (cslSTIX-Bold) *)
    0xde800059,   (* [1149:8] hyphen + Y : -67 (cslSTIX-Bold) *)
    0xe9800057,   (* [1150:9] hyphen + W : -45 (cslSTIX-Bold) *)
    0xe2800056,   (* [1151:10] hyphen + V : -59 (cslSTIX-Bold) *)
    0xe1800054,   (* [1152:11] hyphen + T : -61 (cslSTIX-Bold) *)
    0xf9c00041,   (* [1153:12] hyphen + A : -13 (cslSTIX-Bold) *) (*;;*)
    0xf2c02019,   (* [1154:13] period + quoteright : -27 (cslSTIX-Bold) *) (*;;*)
    0xe3802039,   (* [1155:14] A + guilsinglleft : -57 (cslSTIX-Bold) *)
    0xe180201d,   (* [1156:15] A + quotedblright : -61 (cslSTIX-Bold) *)
    0xd3802019,   (* [1157:16] A + quoteright : -89 (cslSTIX-Bold) *)
    0xf38000fc,   (* [1158:17] A + udieresis : -25 (cslSTIX-Bold) *)
    0xf38000fb,   (* [1159:18] A + ucircumflex : -25 (cslSTIX-Bold) *)
    0xf38000fa,   (* [1160:19] A + uacute : -25 (cslSTIX-Bold) *)
    0xf38000f9,   (* [1161:20] A + ugrave : -25 (cslSTIX-Bold) *)
    0xf00000f6,   (* [1162:21] A + odieresis : -32 (cslSTIX-Bold) *)
    0xf00000e7,   (* [1163:22] A + ccedilla : -32 (cslSTIX-Bold) *)
    0xe30000dc,   (* [1164:23] A + Udieresis : -58 (cslSTIX-Bold) *)
    0xe30000db,   (* [1165:24] A + Ucircumflex : -58 (cslSTIX-Bold) *)
    0xe30000da,   (* [1166:25] A + Uacute : -58 (cslSTIX-Bold) *)
    0xe30000d9,   (* [1167:26] A + Ugrave : -58 (cslSTIX-Bold) *)
    0xe90000d6,   (* [1168:27] A + Odieresis : -46 (cslSTIX-Bold) *)
    0xe70000c7,   (* [1169:28] A + Ccedilla : -50 (cslSTIX-Bold) *)
    0xe98000ab,   (* [1170:29] A + guillemotleft : -45 (cslSTIX-Bold) *)
    0xdd800079,   (* [1171:30] A + y : -69 (cslSTIX-Bold) *)
    0xde800077,   (* [1172:31] A + w : -67 (cslSTIX-Bold) *)
    0xdc800076,   (* [1173:32] A + v : -71 (cslSTIX-Bold) *)
    0xf3800075,   (* [1174:33] A + u : -25 (cslSTIX-Bold) *)
    0xf4000074,   (* [1175:34] A + t : -24 (cslSTIX-Bold) *)
    0xf2000071,   (* [1176:35] A + q : -28 (cslSTIX-Bold) *)
    0xf000006f,   (* [1177:36] A + o : -32 (cslSTIX-Bold) *)
    0xfc800067,   (* [1178:37] A + g : -7 (cslSTIX-Bold) *)
    0xf2000065,   (* [1179:38] A + e : -28 (cslSTIX-Bold) *)
    0xf4000064,   (* [1180:39] A + d : -24 (cslSTIX-Bold) *)
    0xf2000063,   (* [1181:40] A + c : -28 (cslSTIX-Bold) *)
    0xf6000062,   (* [1182:41] A + b : -20 (cslSTIX-Bold) *)
    0xfe800061,   (* [1183:42] A + a : -3 (cslSTIX-Bold) *)
    0xe0000059,   (* [1184:43] A + Y : -64 (cslSTIX-Bold) *)
    0xd0800057,   (* [1185:44] A + W : -95 (cslSTIX-Bold) *)
    0xc9800056,   (* [1186:45] A + V : -109 (cslSTIX-Bold) *)
    0xe3000055,   (* [1187:46] A + U : -58 (cslSTIX-Bold) *)
    0xe6800054,   (* [1188:47] A + T : -51 (cslSTIX-Bold) *)
    0xe9000051,   (* [1189:48] A + Q : -46 (cslSTIX-Bold) *)
    0xe900004f,   (* [1190:49] A + O : -46 (cslSTIX-Bold) *)
    0xe9000047,   (* [1191:50] A + G : -46 (cslSTIX-Bold) *)
    0xe7000043,   (* [1192:51] A + C : -50 (cslSTIX-Bold) *)
    0xf380002d,   (* [1193:52] A + hyphen : -25 (cslSTIX-Bold) *)
    0x00c0002c,   (* [1194:53] A + comma : 1 (cslSTIX-Bold) *) (*;;*)
    0xfe800152,   (* [1195:54] B + OE : -3 (cslSTIX-Bold) *)
    0xfc0000d8,   (* [1196:55] B + Oslash : -8 (cslSTIX-Bold) *)
    0xfc0000d6,   (* [1197:56] B + Odieresis : -8 (cslSTIX-Bold) *)
    0xfc0000d4,   (* [1198:57] B + Ocircumflex : -8 (cslSTIX-Bold) *)
    0xfc0000d3,   (* [1199:58] B + Oacute : -8 (cslSTIX-Bold) *)
    0xfc0000d2,   (* [1200:59] B + Ograve : -8 (cslSTIX-Bold) *)
    0xf20000c6,   (* [1201:60] B + AE : -28 (cslSTIX-Bold) *)
    0xf08000c5,   (* [1202:61] B + Aring : -31 (cslSTIX-Bold) *)
    0xf08000c4,   (* [1203:62] B + Adieresis : -31 (cslSTIX-Bold) *)
    0xf08000c3,   (* [1204:63] B + Atilde : -31 (cslSTIX-Bold) *)
    0xf08000c2,   (* [1205:64] B + Acircumflex : -31 (cslSTIX-Bold) *)
    0xf08000c1,   (* [1206:65] B + Aacute : -31 (cslSTIX-Bold) *)
    0xec000059,   (* [1207:66] B + Y : -40 (cslSTIX-Bold) *)
    0xed000057,   (* [1208:67] B + W : -38 (cslSTIX-Bold) *)
    0xec000056,   (* [1209:68] B + V : -40 (cslSTIX-Bold) *)
    0xfc00004f,   (* [1210:69] B + O : -8 (cslSTIX-Bold) *)
    0xf0c00041,   (* [1211:70] B + A : -31 (cslSTIX-Bold) *) (*;;*)
    0xfc8000d6,   (* [1212:71] C + Odieresis : -7 (cslSTIX-Bold) *)
    0xfc8000d3,   (* [1213:72] C + Oacute : -7 (cslSTIX-Bold) *)
    0xfc8000d2,   (* [1214:73] C + Ograve : -7 (cslSTIX-Bold) *)
    0xf50000c6,   (* [1215:74] C + AE : -22 (cslSTIX-Bold) *)
    0xf48000c5,   (* [1216:75] C + Aring : -23 (cslSTIX-Bold) *)
    0xf48000c4,   (* [1217:76] C + Adieresis : -23 (cslSTIX-Bold) *)
    0xf48000c1,   (* [1218:77] C + Aacute : -23 (cslSTIX-Bold) *)
    0xf48000c0,   (* [1219:78] C + Agrave : -23 (cslSTIX-Bold) *)
    0xfc80004f,   (* [1220:79] C + O : -7 (cslSTIX-Bold) *)
    0xfd80004b,   (* [1221:80] C + K : -5 (cslSTIX-Bold) *)
    0xff000048,   (* [1222:81] C + H : -2 (cslSTIX-Bold) *)
    0xf4c00041,   (* [1223:82] C + A : -23 (cslSTIX-Bold) *) (*;;*)
    0xef0000c5,   (* [1224:83] D + Aring : -34 (cslSTIX-Bold) *)
    0xef0000c4,   (* [1225:84] D + Adieresis : -34 (cslSTIX-Bold) *)
    0xef0000c3,   (* [1226:85] D + Atilde : -34 (cslSTIX-Bold) *)
    0xef0000c2,   (* [1227:86] D + Acircumflex : -34 (cslSTIX-Bold) *)
    0xef0000c1,   (* [1228:87] D + Aacute : -34 (cslSTIX-Bold) *)
    0xef0000c0,   (* [1229:88] D + Agrave : -34 (cslSTIX-Bold) *)
    0xe5800059,   (* [1230:89] D + Y : -53 (cslSTIX-Bold) *)
    0xeb800058,   (* [1231:90] D + X : -41 (cslSTIX-Bold) *)
    0xeb000057,   (* [1232:91] D + W : -42 (cslSTIX-Bold) *)
    0xe5800056,   (* [1233:92] D + V : -53 (cslSTIX-Bold) *)
    0xfd000054,   (* [1234:93] D + T : -6 (cslSTIX-Bold) *)
    0xec00004a,   (* [1235:94] D + J : -40 (cslSTIX-Bold) *)
    0xef400041,   (* [1236:95] D + A : -34 (cslSTIX-Bold) *) (*;;*)
    0xeb000153,   (* [1237:96] F + oe : -42 (cslSTIX-Bold) *)
    0xea8000f8,   (* [1238:97] F + oslash : -43 (cslSTIX-Bold) *)
    0xf50000f6,   (* [1239:98] F + odieresis : -22 (cslSTIX-Bold) *)
    0xea8000f3,   (* [1240:99] F + oacute : -43 (cslSTIX-Bold) *)
    0xea8000e9,   (* [1241:100] F + eacute : -43 (cslSTIX-Bold) *)
    0xe90000e6,   (* [1242:101] F + ae : -46 (cslSTIX-Bold) *)
    0xea8000e5,   (* [1243:102] F + aring : -43 (cslSTIX-Bold) *)
    0xf48000e4,   (* [1244:103] F + adieresis : -23 (cslSTIX-Bold) *)
    0xf70000e3,   (* [1245:104] F + atilde : -18 (cslSTIX-Bold) *)
    0xf30000e2,   (* [1246:105] F + acircumflex : -26 (cslSTIX-Bold) *)
    0xea8000e1,   (* [1247:106] F + aacute : -43 (cslSTIX-Bold) *)
    0xfc0000d6,   (* [1248:107] F + Odieresis : -8 (cslSTIX-Bold) *)
    0xfc0000d3,   (* [1249:108] F + Oacute : -8 (cslSTIX-Bold) *)
    0xfc0000d2,   (* [1250:109] F + Ograve : -8 (cslSTIX-Bold) *)
    0xe78000c5,   (* [1251:110] F + Aring : -49 (cslSTIX-Bold) *)
    0xe78000c4,   (* [1252:111] F + Adieresis : -49 (cslSTIX-Bold) *)
    0xe78000c3,   (* [1253:112] F + Atilde : -49 (cslSTIX-Bold) *)
    0xe78000c2,   (* [1254:113] F + Acircumflex : -49 (cslSTIX-Bold) *)
    0xe78000c1,   (* [1255:114] F + Aacute : -49 (cslSTIX-Bold) *)
    0xe78000c0,   (* [1256:115] F + Agrave : -49 (cslSTIX-Bold) *)
    0xfb800075,   (* [1257:116] F + u : -9 (cslSTIX-Bold) *)
    0xfd000072,   (* [1258:117] F + r : -6 (cslSTIX-Bold) *)
    0xea80006f,   (* [1259:118] F + o : -43 (cslSTIX-Bold) *)
    0xf480006a,   (* [1260:119] F + j : -23 (cslSTIX-Bold) *)
    0xff800069,   (* [1261:120] F + i : -1 (cslSTIX-Bold) *)
    0xea800065,   (* [1262:121] F + e : -43 (cslSTIX-Bold) *)
    0xea800061,   (* [1263:122] F + a : -43 (cslSTIX-Bold) *)
    0xfc00004f,   (* [1264:123] F + O : -8 (cslSTIX-Bold) *)
    0xed80004a,   (* [1265:124] F + J : -37 (cslSTIX-Bold) *)
    0xdf000041,   (* [1266:125] F + A : -66 (cslSTIX-Bold) *)
    0xe700002e,   (* [1267:126] F + period : -50 (cslSTIX-Bold) *)
    0xf300002d,   (* [1268:127] F + hyphen : -26 (cslSTIX-Bold) *)
    0xe7c0002c,   (* [1269:128] F + comma : -49 (cslSTIX-Bold) *) (*;;*)
    0xf50000c6,   (* [1270:129] G + AE : -22 (cslSTIX-Bold) *)
    0xf40000c5,   (* [1271:130] G + Aring : -24 (cslSTIX-Bold) *)
    0xf40000c4,   (* [1272:131] G + Adieresis : -24 (cslSTIX-Bold) *)
    0xf40000c3,   (* [1273:132] G + Atilde : -24 (cslSTIX-Bold) *)
    0xf40000c2,   (* [1274:133] G + Acircumflex : -24 (cslSTIX-Bold) *)
    0xf40000c1,   (* [1275:134] G + Aacute : -24 (cslSTIX-Bold) *)
    0xf40000c0,   (* [1276:135] G + Agrave : -24 (cslSTIX-Bold) *)
    0xf1800059,   (* [1277:136] G + Y : -29 (cslSTIX-Bold) *)
    0xf0800057,   (* [1278:137] G + W : -31 (cslSTIX-Bold) *)
    0xf1800056,   (* [1279:138] G + V : -29 (cslSTIX-Bold) *)
    0xee800054,   (* [1280:139] G + T : -35 (cslSTIX-Bold) *)
    0xf4400041,   (* [1281:140] G + A : -24 (cslSTIX-Bold) *) (*;;*)
    0x14e0004a,   (* [1282:141] I + J ligature #41 (cslSTIX-Bold) *) (*;;*)
    0xf50000c6,   (* [1283:142] J + AE : -22 (cslSTIX-Bold) *)
    0xf38000c5,   (* [1284:143] J + Aring : -25 (cslSTIX-Bold) *)
    0xf38000c4,   (* [1285:144] J + Adieresis : -25 (cslSTIX-Bold) *)
    0xf3c00041,   (* [1286:145] J + A : -25 (cslSTIX-Bold) *) (*;;*)
    0xec800152,   (* [1287:146] K + OE : -39 (cslSTIX-Bold) *)
    0xf88000fc,   (* [1288:147] K + udieresis : -15 (cslSTIX-Bold) *)
    0xf50000f6,   (* [1289:148] K + odieresis : -22 (cslSTIX-Bold) *)
    0xf50000f3,   (* [1290:149] K + oacute : -22 (cslSTIX-Bold) *)
    0x018000e6,   (* [1291:150] K + ae : 3 (cslSTIX-Bold) *)
    0x040000e5,   (* [1292:151] K + aring : 8 (cslSTIX-Bold) *)
    0x040000e4,   (* [1293:152] K + adieresis : 8 (cslSTIX-Bold) *)
    0xec8000d6,   (* [1294:153] K + Odieresis : -39 (cslSTIX-Bold) *)
    0xec8000d3,   (* [1295:154] K + Oacute : -39 (cslSTIX-Bold) *)
    0xdd000079,   (* [1296:155] K + y : -70 (cslSTIX-Bold) *)
    0xf8800075,   (* [1297:156] K + u : -15 (cslSTIX-Bold) *)
    0xf500006f,   (* [1298:157] K + o : -22 (cslSTIX-Bold) *)
    0xf7800065,   (* [1299:158] K + e : -17 (cslSTIX-Bold) *)
    0x04000061,   (* [1300:159] K + a : 8 (cslSTIX-Bold) *)
    0xfe800054,   (* [1301:160] K + T : -3 (cslSTIX-Bold) *)
    0x06000053,   (* [1302:161] K + S : 12 (cslSTIX-Bold) *)
    0xec80004f,   (* [1303:162] K + O : -39 (cslSTIX-Bold) *)
    0xe7800047,   (* [1304:163] K + G : -49 (cslSTIX-Bold) *)
    0xe6000043,   (* [1305:164] K + C : -52 (cslSTIX-Bold) *)
    0xec40002d,   (* [1306:165] K + hyphen : -40 (cslSTIX-Bold) *) (*;;*)
    0xf280201d,   (* [1307:166] L + quotedblright : -27 (cslSTIX-Bold) *)
    0xe4802019,   (* [1308:167] L + quoteright : -55 (cslSTIX-Bold) *)
    0xfa8000fc,   (* [1309:168] L + udieresis : -11 (cslSTIX-Bold) *)
    0xf40000dc,   (* [1310:169] L + Udieresis : -24 (cslSTIX-Bold) *)
    0xfe8000d6,   (* [1311:170] L + Odieresis : -3 (cslSTIX-Bold) *)
    0xfe8000d5,   (* [1312:171] L + Otilde : -3 (cslSTIX-Bold) *)
    0xfe8000d4,   (* [1313:172] L + Ocircumflex : -3 (cslSTIX-Bold) *)
    0xfe8000d3,   (* [1314:173] L + Oacute : -3 (cslSTIX-Bold) *)
    0xfe8000d2,   (* [1315:174] L + Ograve : -3 (cslSTIX-Bold) *)
    0xfb8000c7,   (* [1316:175] L + Ccedilla : -9 (cslSTIX-Bold) *)
    0xff0000c5,   (* [1317:176] L + Aring : -2 (cslSTIX-Bold) *)
    0xff0000c4,   (* [1318:177] L + Adieresis : -2 (cslSTIX-Bold) *)
    0xff0000c1,   (* [1319:178] L + Aacute : -2 (cslSTIX-Bold) *)
    0xee000079,   (* [1320:179] L + y : -36 (cslSTIX-Bold) *)
    0xfc000075,   (* [1321:180] L + u : -8 (cslSTIX-Bold) *)
    0xd9800059,   (* [1322:181] L + Y : -77 (cslSTIX-Bold) *)
    0xdc000057,   (* [1323:182] L + W : -72 (cslSTIX-Bold) *)
    0xd4800056,   (* [1324:183] L + V : -87 (cslSTIX-Bold) *)
    0xf4000055,   (* [1325:184] L + U : -24 (cslSTIX-Bold) *)
    0xdf800054,   (* [1326:185] L + T : -65 (cslSTIX-Bold) *)
    0x01000053,   (* [1327:186] L + S : 2 (cslSTIX-Bold) *)
    0xfe80004f,   (* [1328:187] L + O : -3 (cslSTIX-Bold) *)
    0xfe000047,   (* [1329:188] L + G : -4 (cslSTIX-Bold) *)
    0xfc000043,   (* [1330:189] L + C : -8 (cslSTIX-Bold) *)
    0xff000041,   (* [1331:190] L + A : -2 (cslSTIX-Bold) *)
    0x0ec0002d,   (* [1332:191] L + hyphen : 29 (cslSTIX-Bold) *) (*;;*)
    0xf98000fc,   (* [1333:192] N + udieresis : -13 (cslSTIX-Bold) *)
    0xfa8000f8,   (* [1334:193] N + oslash : -11 (cslSTIX-Bold) *)
    0xfa8000f6,   (* [1335:194] N + odieresis : -11 (cslSTIX-Bold) *)
    0xfa8000f3,   (* [1336:195] N + oacute : -11 (cslSTIX-Bold) *)
    0xfa8000e9,   (* [1337:196] N + eacute : -11 (cslSTIX-Bold) *)
    0xf90000e6,   (* [1338:197] N + ae : -14 (cslSTIX-Bold) *)
    0xf90000e5,   (* [1339:198] N + aring : -14 (cslSTIX-Bold) *)
    0xf90000e4,   (* [1340:199] N + adieresis : -14 (cslSTIX-Bold) *)
    0xf90000e1,   (* [1341:200] N + aacute : -14 (cslSTIX-Bold) *)
    0xfb0000d6,   (* [1342:201] N + Odieresis : -10 (cslSTIX-Bold) *)
    0xfb0000d3,   (* [1343:202] N + Oacute : -10 (cslSTIX-Bold) *)
    0xf80000c7,   (* [1344:203] N + Ccedilla : -16 (cslSTIX-Bold) *)
    0xf90000c6,   (* [1345:204] N + AE : -14 (cslSTIX-Bold) *)
    0xf80000c5,   (* [1346:205] N + Aring : -16 (cslSTIX-Bold) *)
    0xf80000c4,   (* [1347:206] N + Adieresis : -16 (cslSTIX-Bold) *)
    0xf80000c1,   (* [1348:207] N + Aacute : -16 (cslSTIX-Bold) *)
    0xf9800075,   (* [1349:208] N + u : -13 (cslSTIX-Bold) *)
    0xfa80006f,   (* [1350:209] N + o : -11 (cslSTIX-Bold) *)
    0xfa800065,   (* [1351:210] N + e : -11 (cslSTIX-Bold) *)
    0xfa800061,   (* [1352:211] N + a : -11 (cslSTIX-Bold) *)
    0xfb00004f,   (* [1353:212] N + O : -10 (cslSTIX-Bold) *)
    0xfa800047,   (* [1354:213] N + G : -11 (cslSTIX-Bold) *)
    0xf8000043,   (* [1355:214] N + C : -16 (cslSTIX-Bold) *)
    0xf8000041,   (* [1356:215] N + A : -16 (cslSTIX-Bold) *)
    0x00c0002c,   (* [1357:216] N + comma : 1 (cslSTIX-Bold) *) (*;;*)
    0xe80000c6,   (* [1358:217] O + AE : -48 (cslSTIX-Bold) *)
    0xee0000c5,   (* [1359:218] O + Aring : -36 (cslSTIX-Bold) *)
    0xee0000c4,   (* [1360:219] O + Adieresis : -36 (cslSTIX-Bold) *)
    0xee0000c1,   (* [1361:220] O + Aacute : -36 (cslSTIX-Bold) *)
    0xe5000059,   (* [1362:221] O + Y : -54 (cslSTIX-Bold) *)
    0xeb000058,   (* [1363:222] O + X : -42 (cslSTIX-Bold) *)
    0xec000057,   (* [1364:223] O + W : -40 (cslSTIX-Bold) *)
    0xe5000056,   (* [1365:224] O + V : -54 (cslSTIX-Bold) *)
    0xfb800054,   (* [1366:225] O + T : -9 (cslSTIX-Bold) *)
    0xee400041,   (* [1367:226] O + A : -36 (cslSTIX-Bold) *) (*;;*)
    0xf3000153,   (* [1368:227] P + oe : -26 (cslSTIX-Bold) *)
    0xf20000f8,   (* [1369:228] P + oslash : -28 (cslSTIX-Bold) *)
    0xf50000f6,   (* [1370:229] P + odieresis : -22 (cslSTIX-Bold) *)
    0xf20000f3,   (* [1371:230] P + oacute : -28 (cslSTIX-Bold) *)
    0xf38000e9,   (* [1372:231] P + eacute : -25 (cslSTIX-Bold) *)
    0xf68000e6,   (* [1373:232] P + ae : -19 (cslSTIX-Bold) *)
    0xf88000e5,   (* [1374:233] P + aring : -15 (cslSTIX-Bold) *)
    0xf88000e4,   (* [1375:234] P + adieresis : -15 (cslSTIX-Bold) *)
    0xf88000e1,   (* [1376:235] P + aacute : -15 (cslSTIX-Bold) *)
    0xf88000e0,   (* [1377:236] P + agrave : -15 (cslSTIX-Bold) *)
    0xd88000c6,   (* [1378:237] P + AE : -79 (cslSTIX-Bold) *)
    0xde8000c5,   (* [1379:238] P + Aring : -67 (cslSTIX-Bold) *)
    0xde8000c4,   (* [1380:239] P + Adieresis : -67 (cslSTIX-Bold) *)
    0xde8000c1,   (* [1381:240] P + Aacute : -67 (cslSTIX-Bold) *)
    0xf200006f,   (* [1382:241] P + o : -28 (cslSTIX-Bold) *)
    0xf3800065,   (* [1383:242] P + e : -25 (cslSTIX-Bold) *)
    0xf8800061,   (* [1384:243] P + a : -15 (cslSTIX-Bold) *)
    0xe300004a,   (* [1385:244] P + J : -58 (cslSTIX-Bold) *)
    0xde800041,   (* [1386:245] P + A : -67 (cslSTIX-Bold) *)
    0xdc00002e,   (* [1387:246] P + period : -72 (cslSTIX-Bold) *)
    0xef80002d,   (* [1388:247] P + hyphen : -33 (cslSTIX-Bold) *)
    0xdcc0002c,   (* [1389:248] P + comma : -71 (cslSTIX-Bold) *) (*;;*)
    0xf7800153,   (* [1390:249] R + oe : -17 (cslSTIX-Bold) *)
    0xf7000152,   (* [1391:250] R + OE : -18 (cslSTIX-Bold) *)
    0xf98000fc,   (* [1392:251] R + udieresis : -13 (cslSTIX-Bold) *)
    0xf98000fa,   (* [1393:252] R + uacute : -13 (cslSTIX-Bold) *)
    0xf58000f6,   (* [1394:253] R + odieresis : -21 (cslSTIX-Bold) *)
    0xf58000f3,   (* [1395:254] R + oacute : -21 (cslSTIX-Bold) *)
    0xf80000e9,   (* [1396:255] R + eacute : -16 (cslSTIX-Bold) *)
    0x020000e6,   (* [1397:256] R + ae : 4 (cslSTIX-Bold) *)
    0x050000e5,   (* [1398:257] R + aring : 10 (cslSTIX-Bold) *)
    0x050000e4,   (* [1399:258] R + adieresis : 10 (cslSTIX-Bold) *)
    0x050000e1,   (* [1400:259] R + aacute : 10 (cslSTIX-Bold) *)
    0xf10000dc,   (* [1401:260] R + Udieresis : -30 (cslSTIX-Bold) *)
    0xf48000d6,   (* [1402:261] R + Odieresis : -23 (cslSTIX-Bold) *)
    0xf48000d3,   (* [1403:262] R + Oacute : -23 (cslSTIX-Bold) *)
    0xf10000c7,   (* [1404:263] R + Ccedilla : -30 (cslSTIX-Bold) *)
    0xf3800079,   (* [1405:264] R + y : -25 (cslSTIX-Bold) *)
    0xf9800075,   (* [1406:265] R + u : -13 (cslSTIX-Bold) *)
    0xf580006f,   (* [1407:266] R + o : -21 (cslSTIX-Bold) *)
    0xf8000065,   (* [1408:267] R + e : -16 (cslSTIX-Bold) *)
    0x05000061,   (* [1409:268] R + a : 10 (cslSTIX-Bold) *)
    0xe8000059,   (* [1410:269] R + Y : -48 (cslSTIX-Bold) *)
    0xe9800057,   (* [1411:270] R + W : -45 (cslSTIX-Bold) *)
    0xe8000056,   (* [1412:271] R + V : -48 (cslSTIX-Bold) *)
    0xf1000055,   (* [1413:272] R + U : -30 (cslSTIX-Bold) *)
    0xf5000054,   (* [1414:273] R + T : -22 (cslSTIX-Bold) *)
    0xf480004f,   (* [1415:274] R + O : -23 (cslSTIX-Bold) *)
    0xf4000047,   (* [1416:275] R + G : -24 (cslSTIX-Bold) *)
    0xf1000043,   (* [1417:276] R + C : -30 (cslSTIX-Bold) *)
    0xf4c0002d,   (* [1418:277] R + hyphen : -23 (cslSTIX-Bold) *) (*;;*)
    0xf58000c6,   (* [1419:278] S + AE : -21 (cslSTIX-Bold) *)
    0xf50000c5,   (* [1420:279] S + Aring : -22 (cslSTIX-Bold) *)
    0xf50000c4,   (* [1421:280] S + Adieresis : -22 (cslSTIX-Bold) *)
    0xf50000c1,   (* [1422:281] S + Aacute : -22 (cslSTIX-Bold) *)
    0xfc800074,   (* [1423:282] S + t : -7 (cslSTIX-Bold) *)
    0xfc800059,   (* [1424:283] S + Y : -7 (cslSTIX-Bold) *)
    0xfb800057,   (* [1425:284] S + W : -9 (cslSTIX-Bold) *)
    0xfc000056,   (* [1426:285] S + V : -8 (cslSTIX-Bold) *)
    0xf9000054,   (* [1427:286] S + T : -14 (cslSTIX-Bold) *)
    0xf5400041,   (* [1428:287] S + A : -22 (cslSTIX-Bold) *) (*;;*)
    0xd1002039,   (* [1429:288] T + guilsinglleft : -94 (cslSTIX-Bold) *)
    0xfd800152,   (* [1430:289] T + OE : -5 (cslSTIX-Bold) *)
    0xe30000f8,   (* [1431:290] T + oslash : -58 (cslSTIX-Bold) *)
    0xf48000f6,   (* [1432:291] T + odieresis : -23 (cslSTIX-Bold) *)
    0xf30000f4,   (* [1433:292] T + ocircumflex : -26 (cslSTIX-Bold) *)
    0xe80000f3,   (* [1434:293] T + oacute : -48 (cslSTIX-Bold) *)
    0xe90000f2,   (* [1435:294] T + ograve : -46 (cslSTIX-Bold) *)
    0xe30000e6,   (* [1436:295] T + ae : -58 (cslSTIX-Bold) *)
    0xf38000e4,   (* [1437:296] T + adieresis : -25 (cslSTIX-Bold) *)
    0xf60000e3,   (* [1438:297] T + atilde : -20 (cslSTIX-Bold) *)
    0xf28000e2,   (* [1439:298] T + acircumflex : -27 (cslSTIX-Bold) *)
    0xea0000e1,   (* [1440:299] T + aacute : -44 (cslSTIX-Bold) *)
    0xea8000e0,   (* [1441:300] T + agrave : -43 (cslSTIX-Bold) *)
    0xfa0000d8,   (* [1442:301] T + Oslash : -12 (cslSTIX-Bold) *)
    0xfb8000d6,   (* [1443:302] T + Odieresis : -9 (cslSTIX-Bold) *)
    0xfb8000d5,   (* [1444:303] T + Otilde : -9 (cslSTIX-Bold) *)
    0xfb8000d4,   (* [1445:304] T + Ocircumflex : -9 (cslSTIX-Bold) *)
    0xfb8000d3,   (* [1446:305] T + Oacute : -9 (cslSTIX-Bold) *)
    0xfb8000d2,   (* [1447:306] T + Ograve : -9 (cslSTIX-Bold) *)
    0xed0000c6,   (* [1448:307] T + AE : -38 (cslSTIX-Bold) *)
    0xec0000c5,   (* [1449:308] T + Aring : -40 (cslSTIX-Bold) *)
    0xec0000c4,   (* [1450:309] T + Adieresis : -40 (cslSTIX-Bold) *)
    0xec0000c3,   (* [1451:310] T + Atilde : -40 (cslSTIX-Bold) *)
    0xec0000c2,   (* [1452:311] T + Acircumflex : -40 (cslSTIX-Bold) *)
    0xec0000c1,   (* [1453:312] T + Aacute : -40 (cslSTIX-Bold) *)
    0xec0000c0,   (* [1454:313] T + Agrave : -40 (cslSTIX-Bold) *)
    0xd70000ab,   (* [1455:314] T + guillemotleft : -82 (cslSTIX-Bold) *)
    0xd3000079,   (* [1456:315] T + y : -90 (cslSTIX-Bold) *)
    0xd1800077,   (* [1457:316] T + w : -93 (cslSTIX-Bold) *)
    0xd2000076,   (* [1458:317] T + v : -92 (cslSTIX-Bold) *)
    0xda000075,   (* [1459:318] T + u : -76 (cslSTIX-Bold) *)
    0xe6800073,   (* [1460:319] T + s : -51 (cslSTIX-Bold) *)
    0xe5800072,   (* [1461:320] T + r : -53 (cslSTIX-Bold) *)
    0xda00006f,   (* [1462:321] T + o : -76 (cslSTIX-Bold) *)
    0xf400006a,   (* [1463:322] T + j : -24 (cslSTIX-Bold) *)
    0xff000069,   (* [1464:323] T + i : -2 (cslSTIX-Bold) *)
    0xe3000067,   (* [1465:324] T + g : -58 (cslSTIX-Bold) *)
    0xdc000065,   (* [1466:325] T + e : -72 (cslSTIX-Bold) *)
    0xdc000063,   (* [1467:326] T + c : -72 (cslSTIX-Bold) *)
    0xe4800061,   (* [1468:327] T + a : -55 (cslSTIX-Bold) *)
    0x05000059,   (* [1469:328] T + Y : 10 (cslSTIX-Bold) *)
    0x04800057,   (* [1470:329] T + W : 9 (cslSTIX-Bold) *)
    0x05000056,   (* [1471:330] T + V : 10 (cslSTIX-Bold) *)
    0xfe800053,   (* [1472:331] T + S : -3 (cslSTIX-Bold) *)
    0xfb80004f,   (* [1473:332] T + O : -9 (cslSTIX-Bold) *)
    0xed00004a,   (* [1474:333] T + J : -38 (cslSTIX-Bold) *)
    0xfa000047,   (* [1475:334] T + G : -12 (cslSTIX-Bold) *)
    0xf8000043,   (* [1476:335] T + C : -16 (cslSTIX-Bold) *)
    0xec000041,   (* [1477:336] T + A : -40 (cslSTIX-Bold) *)
    0xeb00003b,   (* [1478:337] T + semicolon : -42 (cslSTIX-Bold) *)
    0xeb00003a,   (* [1479:338] T + colon : -42 (cslSTIX-Bold) *)
    0xe480002e,   (* [1480:339] T + period : -55 (cslSTIX-Bold) *)
    0xe200002d,   (* [1481:340] T + hyphen : -60 (cslSTIX-Bold) *)
    0xe4c0002c,   (* [1482:341] T + comma : -55 (cslSTIX-Bold) *) (*;;*)
    0xe88000c6,   (* [1483:342] U + AE : -47 (cslSTIX-Bold) *)
    0xee0000c5,   (* [1484:343] U + Aring : -36 (cslSTIX-Bold) *)
    0xee0000c4,   (* [1485:344] U + Adieresis : -36 (cslSTIX-Bold) *)
    0xee0000c3,   (* [1486:345] U + Atilde : -36 (cslSTIX-Bold) *)
    0xee0000c2,   (* [1487:346] U + Acircumflex : -36 (cslSTIX-Bold) *)
    0xee0000c1,   (* [1488:347] U + Aacute : -36 (cslSTIX-Bold) *)
    0xf9000072,   (* [1489:348] U + r : -14 (cslSTIX-Bold) *)
    0xf9000070,   (* [1490:349] U + p : -14 (cslSTIX-Bold) *)
    0xfa00006e,   (* [1491:350] U + n : -12 (cslSTIX-Bold) *)
    0xfb80006d,   (* [1492:351] U + m : -9 (cslSTIX-Bold) *)
    0xee000041,   (* [1493:352] U + A : -36 (cslSTIX-Bold) *)
    0xf980002e,   (* [1494:353] U + period : -13 (cslSTIX-Bold) *)
    0xfbc0002c,   (* [1495:354] U + comma : -9 (cslSTIX-Bold) *) (*;;*)
    0xd1002039,   (* [1496:355] V + guilsinglleft : -94 (cslSTIX-Bold) *)
    0xdc0000f8,   (* [1497:356] V + oslash : -72 (cslSTIX-Bold) *)
    0xed8000f6,   (* [1498:357] V + odieresis : -37 (cslSTIX-Bold) *)
    0xee8000f5,   (* [1499:358] V + otilde : -35 (cslSTIX-Bold) *)
    0xe30000f4,   (* [1500:359] V + ocircumflex : -58 (cslSTIX-Bold) *)
    0xdc0000f3,   (* [1501:360] V + oacute : -72 (cslSTIX-Bold) *)
    0xec0000f2,   (* [1502:361] V + ograve : -40 (cslSTIX-Bold) *)
    0xdc0000e9,   (* [1503:362] V + eacute : -72 (cslSTIX-Bold) *)
    0xee0000e8,   (* [1504:363] V + egrave : -36 (cslSTIX-Bold) *)
    0xda0000e6,   (* [1505:364] V + ae : -76 (cslSTIX-Bold) *)
    0xe80000e5,   (* [1506:365] V + aring : -48 (cslSTIX-Bold) *)
    0xec8000e4,   (* [1507:366] V + adieresis : -39 (cslSTIX-Bold) *)
    0xee0000e3,   (* [1508:367] V + atilde : -36 (cslSTIX-Bold) *)
    0xe30000e2,   (* [1509:368] V + acircumflex : -58 (cslSTIX-Bold) *)
    0xdc0000e1,   (* [1510:369] V + aacute : -72 (cslSTIX-Bold) *)
    0xed0000e0,   (* [1511:370] V + agrave : -38 (cslSTIX-Bold) *)
    0xe60000d8,   (* [1512:371] V + Oslash : -52 (cslSTIX-Bold) *)
    0xe60000d6,   (* [1513:372] V + Odieresis : -52 (cslSTIX-Bold) *)
    0xe60000d5,   (* [1514:373] V + Otilde : -52 (cslSTIX-Bold) *)
    0xe60000d4,   (* [1515:374] V + Ocircumflex : -52 (cslSTIX-Bold) *)
    0xe60000d3,   (* [1516:375] V + Oacute : -52 (cslSTIX-Bold) *)
    0xe60000d2,   (* [1517:376] V + Ograve : -52 (cslSTIX-Bold) *)
    0xcf8000c6,   (* [1518:377] V + AE : -97 (cslSTIX-Bold) *)
    0xd00000c5,   (* [1519:378] V + Aring : -96 (cslSTIX-Bold) *)
    0xd00000c4,   (* [1520:379] V + Adieresis : -96 (cslSTIX-Bold) *)
    0xd00000c3,   (* [1521:380] V + Atilde : -96 (cslSTIX-Bold) *)
    0xd00000c2,   (* [1522:381] V + Acircumflex : -96 (cslSTIX-Bold) *)
    0xd00000c1,   (* [1523:382] V + Aacute : -96 (cslSTIX-Bold) *)
    0xd00000c0,   (* [1524:383] V + Agrave : -96 (cslSTIX-Bold) *)
    0xd68000ab,   (* [1525:384] V + guillemotleft : -83 (cslSTIX-Bold) *)
    0xe7000079,   (* [1526:385] V + y : -50 (cslSTIX-Bold) *)
    0xe7000075,   (* [1527:386] V + u : -50 (cslSTIX-Bold) *)
    0xe6000072,   (* [1528:387] V + r : -52 (cslSTIX-Bold) *)
    0xdc00006f,   (* [1529:388] V + o : -72 (cslSTIX-Bold) *)
    0xfa000069,   (* [1530:389] V + i : -12 (cslSTIX-Bold) *)
    0xdb800067,   (* [1531:390] V + g : -73 (cslSTIX-Bold) *)
    0xdc000065,   (* [1532:391] V + e : -72 (cslSTIX-Bold) *)
    0xdc000061,   (* [1533:392] V + a : -72 (cslSTIX-Bold) *)
    0x03800054,   (* [1534:393] V + T : 7 (cslSTIX-Bold) *)
    0xf3800053,   (* [1535:394] V + S : -25 (cslSTIX-Bold) *)
    0xe600004f,   (* [1536:395] V + O : -52 (cslSTIX-Bold) *)
    0xe5800047,   (* [1537:396] V + G : -53 (cslSTIX-Bold) *)
    0xe3000043,   (* [1538:397] V + C : -58 (cslSTIX-Bold) *)
    0xd0000041,   (* [1539:398] V + A : -96 (cslSTIX-Bold) *)
    0xeb00003b,   (* [1540:399] V + semicolon : -42 (cslSTIX-Bold) *)
    0xeb00003a,   (* [1541:400] V + colon : -42 (cslSTIX-Bold) *)
    0xda00002e,   (* [1542:401] V + period : -76 (cslSTIX-Bold) *)
    0xe380002d,   (* [1543:402] V + hyphen : -57 (cslSTIX-Bold) *)
    0xda40002c,   (* [1544:403] V + comma : -76 (cslSTIX-Bold) *) (*;;*)
    0xda002039,   (* [1545:404] W + guilsinglleft : -76 (cslSTIX-Bold) *)
    0xe48000f8,   (* [1546:405] W + oslash : -55 (cslSTIX-Bold) *)
    0xf38000f6,   (* [1547:406] W + odieresis : -25 (cslSTIX-Bold) *)
    0xf08000f5,   (* [1548:407] W + otilde : -31 (cslSTIX-Bold) *)
    0xe50000f4,   (* [1549:408] W + ocircumflex : -54 (cslSTIX-Bold) *)
    0xe48000f3,   (* [1550:409] W + oacute : -55 (cslSTIX-Bold) *)
    0xec0000f2,   (* [1551:410] W + ograve : -40 (cslSTIX-Bold) *)
    0xe48000e9,   (* [1552:411] W + eacute : -55 (cslSTIX-Bold) *)
    0xee8000e8,   (* [1553:412] W + egrave : -35 (cslSTIX-Bold) *)
    0xe10000e6,   (* [1554:413] W + ae : -62 (cslSTIX-Bold) *)
    0xe88000e5,   (* [1555:414] W + aring : -47 (cslSTIX-Bold) *)
    0xf28000e4,   (* [1556:415] W + adieresis : -27 (cslSTIX-Bold) *)
    0xf08000e3,   (* [1557:416] W + atilde : -31 (cslSTIX-Bold) *)
    0xe48000e2,   (* [1558:417] W + acircumflex : -55 (cslSTIX-Bold) *)
    0xe48000e1,   (* [1559:418] W + aacute : -55 (cslSTIX-Bold) *)
    0xed8000e0,   (* [1560:419] W + agrave : -37 (cslSTIX-Bold) *)
    0xec0000d8,   (* [1561:420] W + Oslash : -40 (cslSTIX-Bold) *)
    0xec0000d6,   (* [1562:421] W + Odieresis : -40 (cslSTIX-Bold) *)
    0xec0000d5,   (* [1563:422] W + Otilde : -40 (cslSTIX-Bold) *)
    0xec0000d4,   (* [1564:423] W + Ocircumflex : -40 (cslSTIX-Bold) *)
    0xec0000d3,   (* [1565:424] W + Oacute : -40 (cslSTIX-Bold) *)
    0xec0000d2,   (* [1566:425] W + Ograve : -40 (cslSTIX-Bold) *)
    0xd48000c6,   (* [1567:426] W + AE : -87 (cslSTIX-Bold) *)
    0xd80000c5,   (* [1568:427] W + Aring : -80 (cslSTIX-Bold) *)
    0xd80000c4,   (* [1569:428] W + Adieresis : -80 (cslSTIX-Bold) *)
    0xd80000c3,   (* [1570:429] W + Atilde : -80 (cslSTIX-Bold) *)
    0xd80000c2,   (* [1571:430] W + Acircumflex : -80 (cslSTIX-Bold) *)
    0xd80000c1,   (* [1572:431] W + Aacute : -80 (cslSTIX-Bold) *)
    0xd80000c0,   (* [1573:432] W + Agrave : -80 (cslSTIX-Bold) *)
    0xe08000ab,   (* [1574:433] W + guillemotleft : -63 (cslSTIX-Bold) *)
    0xed000079,   (* [1575:434] W + y : -38 (cslSTIX-Bold) *)
    0xed000075,   (* [1576:435] W + u : -38 (cslSTIX-Bold) *)
    0xec000072,   (* [1577:436] W + r : -40 (cslSTIX-Bold) *)
    0xe480006f,   (* [1578:437] W + o : -55 (cslSTIX-Bold) *)
    0xfb000069,   (* [1579:438] W + i : -10 (cslSTIX-Bold) *)
    0xe4000067,   (* [1580:439] W + g : -56 (cslSTIX-Bold) *)
    0xe4800065,   (* [1581:440] W + e : -55 (cslSTIX-Bold) *)
    0xe3000061,   (* [1582:441] W + a : -58 (cslSTIX-Bold) *)
    0x04800054,   (* [1583:442] W + T : 9 (cslSTIX-Bold) *)
    0xf5800053,   (* [1584:443] W + S : -21 (cslSTIX-Bold) *)
    0xec00004f,   (* [1585:444] W + O : -40 (cslSTIX-Bold) *)
    0xec000047,   (* [1586:445] W + G : -40 (cslSTIX-Bold) *)
    0xe9000043,   (* [1587:446] W + C : -46 (cslSTIX-Bold) *)
    0xd8000041,   (* [1588:447] W + A : -80 (cslSTIX-Bold) *)
    0xf380003b,   (* [1589:448] W + semicolon : -25 (cslSTIX-Bold) *)
    0xf380003a,   (* [1590:449] W + colon : -25 (cslSTIX-Bold) *)
    0xe300002e,   (* [1591:450] W + period : -58 (cslSTIX-Bold) *)
    0xec00002d,   (* [1592:451] W + hyphen : -40 (cslSTIX-Bold) *)
    0xe340002c,   (* [1593:452] W + comma : -58 (cslSTIX-Bold) *) (*;;*)
    0xe78000d6,   (* [1594:453] X + Odieresis : -49 (cslSTIX-Bold) *)
    0xe5800079,   (* [1595:454] X + y : -53 (cslSTIX-Bold) *)
    0xf5800075,   (* [1596:455] X + u : -21 (cslSTIX-Bold) *)
    0xf200006f,   (* [1597:456] X + o : -28 (cslSTIX-Bold) *)
    0xf4800065,   (* [1598:457] X + e : -23 (cslSTIX-Bold) *)
    0x00800061,   (* [1599:458] X + a : 1 (cslSTIX-Bold) *)
    0xe9000051,   (* [1600:459] X + Q : -46 (cslSTIX-Bold) *)
    0xe780004f,   (* [1601:460] X + O : -49 (cslSTIX-Bold) *)
    0xe6800043,   (* [1602:461] X + C : -51 (cslSTIX-Bold) *)
    0xef40002d,   (* [1603:462] X + hyphen : -34 (cslSTIX-Bold) *) (*;;*)
    0xcb802039,   (* [1604:463] Y + guilsinglleft : -105 (cslSTIX-Bold) *)
    0xd70000f8,   (* [1605:464] Y + oslash : -82 (cslSTIX-Bold) *)
    0xdb0000e6,   (* [1606:465] Y + ae : -74 (cslSTIX-Bold) *)
    0xe18000d8,   (* [1607:466] Y + Oslash : -61 (cslSTIX-Bold) *)
    0xe28000d6,   (* [1608:467] Y + Odieresis : -59 (cslSTIX-Bold) *)
    0xe28000d5,   (* [1609:468] Y + Otilde : -59 (cslSTIX-Bold) *)
    0xe28000d4,   (* [1610:469] Y + Ocircumflex : -59 (cslSTIX-Bold) *)
    0xe28000d3,   (* [1611:470] Y + Oacute : -59 (cslSTIX-Bold) *)
    0xe28000d2,   (* [1612:471] Y + Ograve : -59 (cslSTIX-Bold) *)
    0xe58000c6,   (* [1613:472] Y + AE : -53 (cslSTIX-Bold) *)
    0xe40000c5,   (* [1614:473] Y + Aring : -56 (cslSTIX-Bold) *)
    0xe40000c4,   (* [1615:474] Y + Adieresis : -56 (cslSTIX-Bold) *)
    0xe40000c3,   (* [1616:475] Y + Atilde : -56 (cslSTIX-Bold) *)
    0xe40000c2,   (* [1617:476] Y + Acircumflex : -56 (cslSTIX-Bold) *)
    0xe40000c1,   (* [1618:477] Y + Aacute : -56 (cslSTIX-Bold) *)
    0xe40000c0,   (* [1619:478] Y + Agrave : -56 (cslSTIX-Bold) *)
    0xd18000ab,   (* [1620:479] Y + guillemotleft : -93 (cslSTIX-Bold) *)
    0xde800076,   (* [1621:480] Y + v : -67 (cslSTIX-Bold) *)
    0xdf800075,   (* [1622:481] Y + u : -65 (cslSTIX-Bold) *)
    0xe0000070,   (* [1623:482] Y + p : -64 (cslSTIX-Bold) *)
    0xd700006f,   (* [1624:483] Y + o : -82 (cslSTIX-Bold) *)
    0xf9800069,   (* [1625:484] Y + i : -13 (cslSTIX-Bold) *)
    0xdb000067,   (* [1626:485] Y + g : -74 (cslSTIX-Bold) *)
    0xd9800065,   (* [1627:486] Y + e : -77 (cslSTIX-Bold) *)
    0xdd000061,   (* [1628:487] Y + a : -70 (cslSTIX-Bold) *)
    0x03000054,   (* [1629:488] Y + T : 6 (cslSTIX-Bold) *)
    0xf3000053,   (* [1630:489] Y + S : -26 (cslSTIX-Bold) *)
    0xe280004f,   (* [1631:490] Y + O : -59 (cslSTIX-Bold) *)
    0xe2000047,   (* [1632:491] Y + G : -60 (cslSTIX-Bold) *)
    0xdf800043,   (* [1633:492] Y + C : -65 (cslSTIX-Bold) *)
    0xe4000041,   (* [1634:493] Y + A : -56 (cslSTIX-Bold) *)
    0xe800003b,   (* [1635:494] Y + semicolon : -48 (cslSTIX-Bold) *)
    0xe800003a,   (* [1636:495] Y + colon : -48 (cslSTIX-Bold) *)
    0xde00002e,   (* [1637:496] Y + period : -68 (cslSTIX-Bold) *)
    0xdb00002d,   (* [1638:497] Y + hyphen : -74 (cslSTIX-Bold) *)
    0xdec0002c,   (* [1639:498] Y + comma : -67 (cslSTIX-Bold) *) (*;;*)
    0xed000079,   (* [1640:499] Z + y : -38 (cslSTIX-Bold) *)
    0xef000077,   (* [1641:500] Z + w : -34 (cslSTIX-Bold) *)
    0xec400076,   (* [1642:501] Z + v : -40 (cslSTIX-Bold) *) (*;;*)
    0xf1802019,   (* [1643:502] a + quoteright : -29 (cslSTIX-Bold) *)
    0xf5000079,   (* [1644:503] a + y : -22 (cslSTIX-Bold) *)
    0xee000077,   (* [1645:504] a + w : -36 (cslSTIX-Bold) *)
    0xef000076,   (* [1646:505] a + v : -34 (cslSTIX-Bold) *)
    0xf440006a,   (* [1647:506] a + j : -24 (cslSTIX-Bold) *) (*;;*)
    0xf4000079,   (* [1648:507] b + y : -24 (cslSTIX-Bold) *)
    0xee800077,   (* [1649:508] b + w : -35 (cslSTIX-Bold) *)
    0xefc00076,   (* [1650:509] b + v : -33 (cslSTIX-Bold) *) (*;;*)
    0xfa00006b,   (* [1651:510] c + k : -12 (cslSTIX-Bold) *)
    0xfbc00068,   (* [1652:511] c + h : -9 (cslSTIX-Bold) *) (*;;*)
    0xf6002019,   (* [1653:512] e + quoteright : -20 (cslSTIX-Bold) *)
    0xf7800079,   (* [1654:513] e + y : -17 (cslSTIX-Bold) *)
    0xfb000078,   (* [1655:514] e + x : -10 (cslSTIX-Bold) *)
    0xf6800077,   (* [1656:515] e + w : -19 (cslSTIX-Bold) *)
    0xf6800076,   (* [1657:516] e + v : -19 (cslSTIX-Bold) *)
    0xfbc00074,   (* [1658:517] e + t : -9 (cslSTIX-Bold) *) (*;;*)
    0x09002019,   (* [1659:518] f + quoteright : 18 (cslSTIX-Bold) *)
    0xf4000153,   (* [1660:519] f + oe : -24 (cslSTIX-Bold) *)
    0xf80000f8,   (* [1661:520] f + oslash : -16 (cslSTIX-Bold) *)
    0x0a8000f6,   (* [1662:521] f + odieresis : 21 (cslSTIX-Bold) *)
    0xfe0000f4,   (* [1663:522] f + ocircumflex : -4 (cslSTIX-Bold) *)
    0xf88000f3,   (* [1664:523] f + oacute : -15 (cslSTIX-Bold) *)
    0xfc8000f2,   (* [1665:524] f + ograve : -7 (cslSTIX-Bold) *)
    0x058000ea,   (* [1666:525] f + ecircumflex : 11 (cslSTIX-Bold) *)
    0xfa0000e9,   (* [1667:526] f + eacute : -12 (cslSTIX-Bold) *)
    0xfe8000e8,   (* [1668:527] f + egrave : -3 (cslSTIX-Bold) *)
    0xf90000e6,   (* [1669:528] f + ae : -14 (cslSTIX-Bold) *)
    0xfa8000e5,   (* [1670:529] f + aring : -11 (cslSTIX-Bold) *)
    0x048000e4,   (* [1671:530] f + adieresis : 9 (cslSTIX-Bold) *)
    0xfa8000e1,   (* [1672:531] f + aacute : -11 (cslSTIX-Bold) *)
    0xfe800074,   (* [1673:532] f + t : -3 (cslSTIX-Bold) *)
    0xfc800073,   (* [1674:533] f + s : -7 (cslSTIX-Bold) *)
    0xf800006f,   (* [1675:534] f + o : -16 (cslSTIX-Bold) *)
    0x1280006c,   (* [1676:535] f + l : 37 (cslSTIX-Bold) *)
    0xff80006a,   (* [1677:536] f + j : -1 (cslSTIX-Bold) *)
    0x0b800069,   (* [1678:537] f + i : 23 (cslSTIX-Bold) *)
    0x06000066,   (* [1679:538] f + f : 12 (cslSTIX-Bold) *)
    0xfd000065,   (* [1680:539] f + e : -6 (cslSTIX-Bold) *)
    0xfa800061,   (* [1681:540] f + a : -11 (cslSTIX-Bold) *)
    0x1520006a,   (* [1682:541] f + j ligature #42 (cslSTIX-Bold) *)
    0x15a0006c,   (* [1683:542] f + l ligature #43 (cslSTIX-Bold) *)
    0x16200069,   (* [1684:543] f + i ligature #44 (cslSTIX-Bold) *)
    0x16e00066,   (* [1685:544] f + f ligature #45 (cslSTIX-Bold) *) (*;;*)
    0xf80000f6,   (* [1686:545] g + odieresis : -16 (cslSTIX-Bold) *)
    0xf80000f3,   (* [1687:546] g + oacute : -16 (cslSTIX-Bold) *)
    0xf78000eb,   (* [1688:547] g + edieresis : -17 (cslSTIX-Bold) *)
    0xf78000ea,   (* [1689:548] g + ecircumflex : -17 (cslSTIX-Bold) *)
    0xf78000e9,   (* [1690:549] g + eacute : -17 (cslSTIX-Bold) *)
    0xf78000e8,   (* [1691:550] g + egrave : -17 (cslSTIX-Bold) *)
    0xf90000e6,   (* [1692:551] g + ae : -14 (cslSTIX-Bold) *)
    0xfa8000e5,   (* [1693:552] g + aring : -11 (cslSTIX-Bold) *)
    0xfa8000e4,   (* [1694:553] g + adieresis : -11 (cslSTIX-Bold) *)
    0xfe00006c,   (* [1695:554] g + l : -4 (cslSTIX-Bold) *)
    0xf7800065,   (* [1696:555] g + e : -17 (cslSTIX-Bold) *)
    0xfac00061,   (* [1697:556] g + a : -11 (cslSTIX-Bold) *) (*;;*)
    0xf1802019,   (* [1698:557] h + quoteright : -29 (cslSTIX-Bold) *)
    0xf2c00079,   (* [1699:558] h + y : -27 (cslSTIX-Bold) *) (*;;*)
    0xf080006a,   (* [1700:559] i + j : -31 (cslSTIX-Bold) *)
    0xf8000054,   (* [1701:560] i + T : -16 (cslSTIX-Bold) *)
    0x1760006a,   (* [1702:561] i + j ligature #46 (cslSTIX-Bold) *) (*;;*)
    0xfe0000fc,   (* [1703:562] k + udieresis : -4 (cslSTIX-Bold) *)
    0xf18000f6,   (* [1704:563] k + odieresis : -29 (cslSTIX-Bold) *)
    0xf18000f3,   (* [1705:564] k + oacute : -29 (cslSTIX-Bold) *)
    0xf48000e9,   (* [1706:565] k + eacute : -23 (cslSTIX-Bold) *)
    0xf48000e8,   (* [1707:566] k + egrave : -23 (cslSTIX-Bold) *)
    0xfe8000e6,   (* [1708:567] k + ae : -3 (cslSTIX-Bold) *)
    0xfe000075,   (* [1709:568] k + u : -4 (cslSTIX-Bold) *)
    0x02000073,   (* [1710:569] k + s : 4 (cslSTIX-Bold) *)
    0xf180006f,   (* [1711:570] k + o : -29 (cslSTIX-Bold) *)
    0xfe800067,   (* [1712:571] k + g : -3 (cslSTIX-Bold) *)
    0xf4800065,   (* [1713:572] k + e : -23 (cslSTIX-Bold) *)
    0xec40002d,   (* [1714:573] k + hyphen : -40 (cslSTIX-Bold) *) (*;;*)
    0xf7800079,   (* [1715:574] l + y : -17 (cslSTIX-Bold) *)
    0xf6c00076,   (* [1716:575] l + v : -19 (cslSTIX-Bold) *) (*;;*)
    0xf3000079,   (* [1717:576] m + y : -26 (cslSTIX-Bold) *)
    0xf1000077,   (* [1718:577] m + w : -30 (cslSTIX-Bold) *)
    0xf1800076,   (* [1719:578] m + v : -29 (cslSTIX-Bold) *)
    0xf8400070,   (* [1720:579] m + p : -16 (cslSTIX-Bold) *) (*;;*)
    0xf3002019,   (* [1721:580] n + quoteright : -26 (cslSTIX-Bold) *)
    0xf3800079,   (* [1722:581] n + y : -25 (cslSTIX-Bold) *)
    0xf1800077,   (* [1723:582] n + w : -29 (cslSTIX-Bold) *)
    0xf2800076,   (* [1724:583] n + v : -27 (cslSTIX-Bold) *)
    0xf9800070,   (* [1725:584] n + p : -13 (cslSTIX-Bold) *)
    0xe7c00054,   (* [1726:585] n + T : -49 (cslSTIX-Bold) *) (*;;*)
    0xf4002019,   (* [1727:586] o + quoteright : -24 (cslSTIX-Bold) *)
    0xf5000079,   (* [1728:587] o + y : -22 (cslSTIX-Bold) *)
    0xf7800078,   (* [1729:588] o + x : -17 (cslSTIX-Bold) *)
    0xf5800077,   (* [1730:589] o + w : -21 (cslSTIX-Bold) *)
    0xf3000076,   (* [1731:590] o + v : -26 (cslSTIX-Bold) *)
    0xfe800074,   (* [1732:591] o + t : -3 (cslSTIX-Bold) *)
    0xda400054,   (* [1733:592] o + T : -76 (cslSTIX-Bold) *) (*;;*)
    0xf3000079,   (* [1734:593] p + y : -26 (cslSTIX-Bold) *)
    0xfbc00074,   (* [1735:594] p + t : -9 (cslSTIX-Bold) *) (*;;*)
    0xf8800075,   (* [1736:595] q + u : -15 (cslSTIX-Bold) *)
    0xfa400063,   (* [1737:596] q + c : -12 (cslSTIX-Bold) *) (*;;*)
    0xfc802019,   (* [1738:597] r + quoteright : -7 (cslSTIX-Bold) *)
    0xfb000153,   (* [1739:598] r + oe : -10 (cslSTIX-Bold) *)
    0xfa0000f8,   (* [1740:599] r + oslash : -12 (cslSTIX-Bold) *)
    0xfa0000f6,   (* [1741:600] r + odieresis : -12 (cslSTIX-Bold) *)
    0xfa0000f4,   (* [1742:601] r + ocircumflex : -12 (cslSTIX-Bold) *)
    0xfa0000f3,   (* [1743:602] r + oacute : -12 (cslSTIX-Bold) *)
    0xfa0000f2,   (* [1744:603] r + ograve : -12 (cslSTIX-Bold) *)
    0xfb0000ea,   (* [1745:604] r + ecircumflex : -10 (cslSTIX-Bold) *)
    0xfb0000e9,   (* [1746:605] r + eacute : -10 (cslSTIX-Bold) *)
    0xfb0000e8,   (* [1747:606] r + egrave : -10 (cslSTIX-Bold) *)
    0xfa8000e7,   (* [1748:607] r + ccedilla : -11 (cslSTIX-Bold) *)
    0xfc8000e6,   (* [1749:608] r + ae : -7 (cslSTIX-Bold) *)
    0xfe0000e5,   (* [1750:609] r + aring : -4 (cslSTIX-Bold) *)
    0xfe0000e4,   (* [1751:610] r + adieresis : -4 (cslSTIX-Bold) *)
    0xfe0000e2,   (* [1752:611] r + acircumflex : -4 (cslSTIX-Bold) *)
    0xfe0000e1,   (* [1753:612] r + aacute : -4 (cslSTIX-Bold) *)
    0xfe0000e0,   (* [1754:613] r + agrave : -4 (cslSTIX-Bold) *)
    0xff80007a,   (* [1755:614] r + z : -1 (cslSTIX-Bold) *)
    0x04000079,   (* [1756:615] r + y : 8 (cslSTIX-Bold) *)
    0x04000078,   (* [1757:616] r + x : 8 (cslSTIX-Bold) *)
    0x02000077,   (* [1758:617] r + w : 4 (cslSTIX-Bold) *)
    0x03000076,   (* [1759:618] r + v : 6 (cslSTIX-Bold) *)
    0x04000075,   (* [1760:619] r + u : 8 (cslSTIX-Bold) *)
    0x05000074,   (* [1761:620] r + t : 10 (cslSTIX-Bold) *)
    0xf8000071,   (* [1762:621] r + q : -16 (cslSTIX-Bold) *)
    0x03000070,   (* [1763:622] r + p : 6 (cslSTIX-Bold) *)
    0xfa00006f,   (* [1764:623] r + o : -12 (cslSTIX-Bold) *)
    0x0180006e,   (* [1765:624] r + n : 3 (cslSTIX-Bold) *)
    0x0380006d,   (* [1766:625] r + m : 7 (cslSTIX-Bold) *)
    0xfa00006c,   (* [1767:626] r + l : -12 (cslSTIX-Bold) *)
    0xf980006b,   (* [1768:627] r + k : -13 (cslSTIX-Bold) *)
    0xfa80006a,   (* [1769:628] r + j : -11 (cslSTIX-Bold) *)
    0x03800069,   (* [1770:629] r + i : 7 (cslSTIX-Bold) *)
    0xf9800068,   (* [1771:630] r + h : -13 (cslSTIX-Bold) *)
    0xfd800067,   (* [1772:631] r + g : -5 (cslSTIX-Bold) *)
    0x05000066,   (* [1773:632] r + f : 10 (cslSTIX-Bold) *)
    0xfb000065,   (* [1774:633] r + e : -10 (cslSTIX-Bold) *)
    0xfb000064,   (* [1775:634] r + d : -10 (cslSTIX-Bold) *)
    0xf9800063,   (* [1776:635] r + c : -13 (cslSTIX-Bold) *)
    0xfe000061,   (* [1777:636] r + a : -4 (cslSTIX-Bold) *)
    0xfb00003b,   (* [1778:637] r + semicolon : -10 (cslSTIX-Bold) *)
    0xfb00003a,   (* [1779:638] r + colon : -10 (cslSTIX-Bold) *)
    0xe300002e,   (* [1780:639] r + period : -58 (cslSTIX-Bold) *)
    0xf880002d,   (* [1781:640] r + hyphen : -15 (cslSTIX-Bold) *)
    0xe340002c,   (* [1782:641] r + comma : -58 (cslSTIX-Bold) *) (*;;*)
    0xf8002019,   (* [1783:642] s + quoteright : -16 (cslSTIX-Bold) *)
    0xfcc00074,   (* [1784:643] s + t : -7 (cslSTIX-Bold) *) (*;;*)
    0xf2802019,   (* [1785:644] t + quoteright : -27 (cslSTIX-Bold) *)
    0xfe0000f6,   (* [1786:645] t + odieresis : -4 (cslSTIX-Bold) *)
    0xfe0000f3,   (* [1787:646] t + oacute : -4 (cslSTIX-Bold) *)
    0xff0000e9,   (* [1788:647] t + eacute : -2 (cslSTIX-Bold) *)
    0x030000e6,   (* [1789:648] t + ae : 6 (cslSTIX-Bold) *)
    0x048000e5,   (* [1790:649] t + aring : 9 (cslSTIX-Bold) *)
    0x048000e4,   (* [1791:650] t + adieresis : 9 (cslSTIX-Bold) *)
    0x048000e1,   (* [1792:651] t + aacute : 9 (cslSTIX-Bold) *)
    0xfe00006f,   (* [1793:652] t + o : -4 (cslSTIX-Bold) *)
    0xff800068,   (* [1794:653] t + h : -1 (cslSTIX-Bold) *)
    0xff000065,   (* [1795:654] t + e : -2 (cslSTIX-Bold) *)
    0x04800061,   (* [1796:655] t + a : 9 (cslSTIX-Bold) *)
    0x05000053,   (* [1797:656] t + S : 10 (cslSTIX-Bold) *)
    0x0680003b,   (* [1798:657] t + semicolon : 13 (cslSTIX-Bold) *)
    0x0540003a,   (* [1799:658] t + colon : 10 (cslSTIX-Bold) *) (*;;*)
    0xf4402019,   (* [1800:659] u + quoteright : -24 (cslSTIX-Bold) *) (*;;*)
    0xf38000f8,   (* [1801:660] v + oslash : -25 (cslSTIX-Bold) *)
    0xf38000f6,   (* [1802:661] v + odieresis : -25 (cslSTIX-Bold) *)
    0xf38000f3,   (* [1803:662] v + oacute : -25 (cslSTIX-Bold) *)
    0xf38000f2,   (* [1804:663] v + ograve : -25 (cslSTIX-Bold) *)
    0xf48000ea,   (* [1805:664] v + ecircumflex : -23 (cslSTIX-Bold) *)
    0xf48000e9,   (* [1806:665] v + eacute : -23 (cslSTIX-Bold) *)
    0xf48000e8,   (* [1807:666] v + egrave : -23 (cslSTIX-Bold) *)
    0xf40000e6,   (* [1808:667] v + ae : -24 (cslSTIX-Bold) *)
    0xf80000e5,   (* [1809:668] v + aring : -16 (cslSTIX-Bold) *)
    0xf80000e4,   (* [1810:669] v + adieresis : -16 (cslSTIX-Bold) *)
    0xf80000e3,   (* [1811:670] v + atilde : -16 (cslSTIX-Bold) *)
    0xf80000e2,   (* [1812:671] v + acircumflex : -16 (cslSTIX-Bold) *)
    0xf80000e1,   (* [1813:672] v + aacute : -16 (cslSTIX-Bold) *)
    0xf80000e0,   (* [1814:673] v + agrave : -16 (cslSTIX-Bold) *)
    0xfa800073,   (* [1815:674] v + s : -11 (cslSTIX-Bold) *)
    0xf380006f,   (* [1816:675] v + o : -25 (cslSTIX-Bold) *)
    0xfe80006c,   (* [1817:676] v + l : -3 (cslSTIX-Bold) *)
    0xf8800067,   (* [1818:677] v + g : -15 (cslSTIX-Bold) *)
    0xf4800065,   (* [1819:678] v + e : -23 (cslSTIX-Bold) *)
    0xf3000063,   (* [1820:679] v + c : -26 (cslSTIX-Bold) *)
    0xf8000061,   (* [1821:680] v + a : -16 (cslSTIX-Bold) *)
    0xfb80003b,   (* [1822:681] v + semicolon : -9 (cslSTIX-Bold) *)
    0xfb80003a,   (* [1823:682] v + colon : -9 (cslSTIX-Bold) *)
    0xe680002e,   (* [1824:683] v + period : -51 (cslSTIX-Bold) *)
    0xf300002d,   (* [1825:684] v + hyphen : -26 (cslSTIX-Bold) *)
    0xe740002c,   (* [1826:685] v + comma : -50 (cslSTIX-Bold) *) (*;;*)
    0xf08000f8,   (* [1827:686] w + oslash : -31 (cslSTIX-Bold) *)
    0xf08000f6,   (* [1828:687] w + odieresis : -31 (cslSTIX-Bold) *)
    0xf08000f3,   (* [1829:688] w + oacute : -31 (cslSTIX-Bold) *)
    0xf08000f2,   (* [1830:689] w + ograve : -31 (cslSTIX-Bold) *)
    0xf18000ea,   (* [1831:690] w + ecircumflex : -29 (cslSTIX-Bold) *)
    0xf18000e9,   (* [1832:691] w + eacute : -29 (cslSTIX-Bold) *)
    0xf18000e8,   (* [1833:692] w + egrave : -29 (cslSTIX-Bold) *)
    0xf40000e6,   (* [1834:693] w + ae : -24 (cslSTIX-Bold) *)
    0xf58000e5,   (* [1835:694] w + aring : -21 (cslSTIX-Bold) *)
    0xf58000e4,   (* [1836:695] w + adieresis : -21 (cslSTIX-Bold) *)
    0xf58000e3,   (* [1837:696] w + atilde : -21 (cslSTIX-Bold) *)
    0xf58000e2,   (* [1838:697] w + acircumflex : -21 (cslSTIX-Bold) *)
    0xf58000e1,   (* [1839:698] w + aacute : -21 (cslSTIX-Bold) *)
    0xf58000e0,   (* [1840:699] w + agrave : -21 (cslSTIX-Bold) *)
    0xf8800073,   (* [1841:700] w + s : -15 (cslSTIX-Bold) *)
    0xf080006f,   (* [1842:701] w + o : -31 (cslSTIX-Bold) *)
    0xf900006c,   (* [1843:702] w + l : -14 (cslSTIX-Bold) *)
    0xf9000067,   (* [1844:703] w + g : -14 (cslSTIX-Bold) *)
    0xf1800065,   (* [1845:704] w + e : -29 (cslSTIX-Bold) *)
    0xf0800063,   (* [1846:705] w + c : -31 (cslSTIX-Bold) *)
    0xf5800061,   (* [1847:706] w + a : -21 (cslSTIX-Bold) *)
    0xfd00003b,   (* [1848:707] w + semicolon : -6 (cslSTIX-Bold) *)
    0xfd00003a,   (* [1849:708] w + colon : -6 (cslSTIX-Bold) *)
    0xe800002e,   (* [1850:709] w + period : -48 (cslSTIX-Bold) *)
    0xf480002d,   (* [1851:710] w + hyphen : -23 (cslSTIX-Bold) *)
    0xeac0002c,   (* [1852:711] w + comma : -43 (cslSTIX-Bold) *) (*;;*)
    0xf38000e9,   (* [1853:712] x + eacute : -25 (cslSTIX-Bold) *)
    0xf3800071,   (* [1854:713] x + q : -25 (cslSTIX-Bold) *)
    0xf300006f,   (* [1855:714] x + o : -26 (cslSTIX-Bold) *)
    0xf3800065,   (* [1856:715] x + e : -25 (cslSTIX-Bold) *)
    0xf4400063,   (* [1857:716] x + c : -24 (cslSTIX-Bold) *) (*;;*)
    0xf40000f8,   (* [1858:717] y + oslash : -24 (cslSTIX-Bold) *)
    0xf40000f6,   (* [1859:718] y + odieresis : -24 (cslSTIX-Bold) *)
    0xf40000f3,   (* [1860:719] y + oacute : -24 (cslSTIX-Bold) *)
    0xf40000f2,   (* [1861:720] y + ograve : -24 (cslSTIX-Bold) *)
    0xf40000ea,   (* [1862:721] y + ecircumflex : -24 (cslSTIX-Bold) *)
    0xf40000e9,   (* [1863:722] y + eacute : -24 (cslSTIX-Bold) *)
    0xf40000e8,   (* [1864:723] y + egrave : -24 (cslSTIX-Bold) *)
    0xf30000e6,   (* [1865:724] y + ae : -26 (cslSTIX-Bold) *)
    0xf50000e5,   (* [1866:725] y + aring : -22 (cslSTIX-Bold) *)
    0xf50000e4,   (* [1867:726] y + adieresis : -22 (cslSTIX-Bold) *)
    0xf50000e3,   (* [1868:727] y + atilde : -22 (cslSTIX-Bold) *)
    0xf50000e2,   (* [1869:728] y + acircumflex : -22 (cslSTIX-Bold) *)
    0xf50000e1,   (* [1870:729] y + aacute : -22 (cslSTIX-Bold) *)
    0xf50000e0,   (* [1871:730] y + agrave : -22 (cslSTIX-Bold) *)
    0xf7800073,   (* [1872:731] y + s : -17 (cslSTIX-Bold) *)
    0xf400006f,   (* [1873:732] y + o : -24 (cslSTIX-Bold) *)
    0xfa80006c,   (* [1874:733] y + l : -11 (cslSTIX-Bold) *)
    0xf6800067,   (* [1875:734] y + g : -19 (cslSTIX-Bold) *)
    0xf4000065,   (* [1876:735] y + e : -24 (cslSTIX-Bold) *)
    0xef800063,   (* [1877:736] y + c : -33 (cslSTIX-Bold) *)
    0xf5000061,   (* [1878:737] y + a : -22 (cslSTIX-Bold) *)
    0xfb00003b,   (* [1879:738] y + semicolon : -10 (cslSTIX-Bold) *)
    0xfb00003a,   (* [1880:739] y + colon : -10 (cslSTIX-Bold) *)
    0xe780002e,   (* [1881:740] y + period : -49 (cslSTIX-Bold) *)
    0xf380002d,   (* [1882:741] y + hyphen : -25 (cslSTIX-Bold) *)
    0xe840002c,   (* [1883:742] y + comma : -48 (cslSTIX-Bold) *) (*;;*)
    0xec0000c6,   (* [1884:743] guillemotright + AE : -40 (cslSTIX-Bold) *)
    0xef0000c5,   (* [1885:744] guillemotright + Aring : -34 (cslSTIX-Bold) *)
    0xef0000c4,   (* [1886:745] guillemotright + Adieresis : -34 (cslSTIX-Bold) *)
    0xef0000c1,   (* [1887:746] guillemotright + Aacute : -34 (cslSTIX-Bold) *)
    0xd3800059,   (* [1888:747] guillemotright + Y : -89 (cslSTIX-Bold) *)
    0xde800057,   (* [1889:748] guillemotright + W : -67 (cslSTIX-Bold) *)
    0xd5800056,   (* [1890:749] guillemotright + V : -85 (cslSTIX-Bold) *)
    0xd7000054,   (* [1891:750] guillemotright + T : -82 (cslSTIX-Bold) *)
    0xef400041,   (* [1892:751] guillemotright + A : -34 (cslSTIX-Bold) *) (*;;*)
    0xe0000059,   (* [1893:752] Agrave + Y : -64 (cslSTIX-Bold) *)
    0xd0800057,   (* [1894:753] Agrave + W : -95 (cslSTIX-Bold) *)
    0xc9800056,   (* [1895:754] Agrave + V : -109 (cslSTIX-Bold) *)
    0xe3000055,   (* [1896:755] Agrave + U : -58 (cslSTIX-Bold) *)
    0xe6800054,   (* [1897:756] Agrave + T : -51 (cslSTIX-Bold) *)
    0xe7000051,   (* [1898:757] Agrave + Q : -50 (cslSTIX-Bold) *)
    0xe700004f,   (* [1899:758] Agrave + O : -50 (cslSTIX-Bold) *)
    0xe7000047,   (* [1900:759] Agrave + G : -50 (cslSTIX-Bold) *)
    0xe7000043,   (* [1901:760] Agrave + C : -50 (cslSTIX-Bold) *)
    0x00c0002c,   (* [1902:761] Agrave + comma : 1 (cslSTIX-Bold) *) (*;;*)
    0xe3802039,   (* [1903:762] Aacute + guilsinglleft : -57 (cslSTIX-Bold) *)
    0xe180201d,   (* [1904:763] Aacute + quotedblright : -61 (cslSTIX-Bold) *)
    0xd3802019,   (* [1905:764] Aacute + quoteright : -89 (cslSTIX-Bold) *)
    0xe98000ab,   (* [1906:765] Aacute + guillemotleft : -45 (cslSTIX-Bold) *)
    0xdd800079,   (* [1907:766] Aacute + y : -69 (cslSTIX-Bold) *)
    0xde800077,   (* [1908:767] Aacute + w : -67 (cslSTIX-Bold) *)
    0xdc800076,   (* [1909:768] Aacute + v : -71 (cslSTIX-Bold) *)
    0xf3800075,   (* [1910:769] Aacute + u : -25 (cslSTIX-Bold) *)
    0xf4000074,   (* [1911:770] Aacute + t : -24 (cslSTIX-Bold) *)
    0xf2000071,   (* [1912:771] Aacute + q : -28 (cslSTIX-Bold) *)
    0xf000006f,   (* [1913:772] Aacute + o : -32 (cslSTIX-Bold) *)
    0xfc800067,   (* [1914:773] Aacute + g : -7 (cslSTIX-Bold) *)
    0xf2000065,   (* [1915:774] Aacute + e : -28 (cslSTIX-Bold) *)
    0xf4000064,   (* [1916:775] Aacute + d : -24 (cslSTIX-Bold) *)
    0xf2000063,   (* [1917:776] Aacute + c : -28 (cslSTIX-Bold) *)
    0xf6000062,   (* [1918:777] Aacute + b : -20 (cslSTIX-Bold) *)
    0xfe800061,   (* [1919:778] Aacute + a : -3 (cslSTIX-Bold) *)
    0xe0000059,   (* [1920:779] Aacute + Y : -64 (cslSTIX-Bold) *)
    0xd0800057,   (* [1921:780] Aacute + W : -95 (cslSTIX-Bold) *)
    0xc9800056,   (* [1922:781] Aacute + V : -109 (cslSTIX-Bold) *)
    0xe3000055,   (* [1923:782] Aacute + U : -58 (cslSTIX-Bold) *)
    0xe6800054,   (* [1924:783] Aacute + T : -51 (cslSTIX-Bold) *)
    0xe9000051,   (* [1925:784] Aacute + Q : -46 (cslSTIX-Bold) *)
    0xe900004f,   (* [1926:785] Aacute + O : -46 (cslSTIX-Bold) *)
    0xe9000047,   (* [1927:786] Aacute + G : -46 (cslSTIX-Bold) *)
    0xe7000043,   (* [1928:787] Aacute + C : -50 (cslSTIX-Bold) *)
    0xf380002d,   (* [1929:788] Aacute + hyphen : -25 (cslSTIX-Bold) *)
    0x00c0002c,   (* [1930:789] Aacute + comma : 1 (cslSTIX-Bold) *) (*;;*)
    0xe0000059,   (* [1931:790] Acircumflex + Y : -64 (cslSTIX-Bold) *)
    0xd0800057,   (* [1932:791] Acircumflex + W : -95 (cslSTIX-Bold) *)
    0xc9800056,   (* [1933:792] Acircumflex + V : -109 (cslSTIX-Bold) *)
    0xe3000055,   (* [1934:793] Acircumflex + U : -58 (cslSTIX-Bold) *)
    0xe6800054,   (* [1935:794] Acircumflex + T : -51 (cslSTIX-Bold) *)
    0xe9000051,   (* [1936:795] Acircumflex + Q : -46 (cslSTIX-Bold) *)
    0xe900004f,   (* [1937:796] Acircumflex + O : -46 (cslSTIX-Bold) *)
    0xe7000047,   (* [1938:797] Acircumflex + G : -50 (cslSTIX-Bold) *)
    0xe7000043,   (* [1939:798] Acircumflex + C : -50 (cslSTIX-Bold) *)
    0x00c0002c,   (* [1940:799] Acircumflex + comma : 1 (cslSTIX-Bold) *) (*;;*)
    0xe0000059,   (* [1941:800] Atilde + Y : -64 (cslSTIX-Bold) *)
    0xd0800057,   (* [1942:801] Atilde + W : -95 (cslSTIX-Bold) *)
    0xc9800056,   (* [1943:802] Atilde + V : -109 (cslSTIX-Bold) *)
    0xe3000055,   (* [1944:803] Atilde + U : -58 (cslSTIX-Bold) *)
    0xe6800054,   (* [1945:804] Atilde + T : -51 (cslSTIX-Bold) *)
    0xe9000051,   (* [1946:805] Atilde + Q : -46 (cslSTIX-Bold) *)
    0xe900004f,   (* [1947:806] Atilde + O : -46 (cslSTIX-Bold) *)
    0xe9000047,   (* [1948:807] Atilde + G : -46 (cslSTIX-Bold) *)
    0xe7000043,   (* [1949:808] Atilde + C : -50 (cslSTIX-Bold) *)
    0x00c0002c,   (* [1950:809] Atilde + comma : 1 (cslSTIX-Bold) *) (*;;*)
    0xe3802039,   (* [1951:810] Adieresis + guilsinglleft : -57 (cslSTIX-Bold) *)
    0xe180201d,   (* [1952:811] Adieresis + quotedblright : -61 (cslSTIX-Bold) *)
    0xd3802019,   (* [1953:812] Adieresis + quoteright : -89 (cslSTIX-Bold) *)
    0xe98000ab,   (* [1954:813] Adieresis + guillemotleft : -45 (cslSTIX-Bold) *)
    0xdd800079,   (* [1955:814] Adieresis + y : -69 (cslSTIX-Bold) *)
    0xde800077,   (* [1956:815] Adieresis + w : -67 (cslSTIX-Bold) *)
    0xdc800076,   (* [1957:816] Adieresis + v : -71 (cslSTIX-Bold) *)
    0xf3800075,   (* [1958:817] Adieresis + u : -25 (cslSTIX-Bold) *)
    0xf4000074,   (* [1959:818] Adieresis + t : -24 (cslSTIX-Bold) *)
    0xf2000071,   (* [1960:819] Adieresis + q : -28 (cslSTIX-Bold) *)
    0xf000006f,   (* [1961:820] Adieresis + o : -32 (cslSTIX-Bold) *)
    0xfc800067,   (* [1962:821] Adieresis + g : -7 (cslSTIX-Bold) *)
    0xf4000064,   (* [1963:822] Adieresis + d : -24 (cslSTIX-Bold) *)
    0xf2000063,   (* [1964:823] Adieresis + c : -28 (cslSTIX-Bold) *)
    0xf6000062,   (* [1965:824] Adieresis + b : -20 (cslSTIX-Bold) *)
    0xfe800061,   (* [1966:825] Adieresis + a : -3 (cslSTIX-Bold) *)
    0xe0000059,   (* [1967:826] Adieresis + Y : -64 (cslSTIX-Bold) *)
    0xd0800057,   (* [1968:827] Adieresis + W : -95 (cslSTIX-Bold) *)
    0xc9800056,   (* [1969:828] Adieresis + V : -109 (cslSTIX-Bold) *)
    0xe3000055,   (* [1970:829] Adieresis + U : -58 (cslSTIX-Bold) *)
    0xe6800054,   (* [1971:830] Adieresis + T : -51 (cslSTIX-Bold) *)
    0xe7000051,   (* [1972:831] Adieresis + Q : -50 (cslSTIX-Bold) *)
    0xe700004f,   (* [1973:832] Adieresis + O : -50 (cslSTIX-Bold) *)
    0xe7000047,   (* [1974:833] Adieresis + G : -50 (cslSTIX-Bold) *)
    0xe7000043,   (* [1975:834] Adieresis + C : -50 (cslSTIX-Bold) *)
    0xf380002d,   (* [1976:835] Adieresis + hyphen : -25 (cslSTIX-Bold) *)
    0x00c0002c,   (* [1977:836] Adieresis + comma : 1 (cslSTIX-Bold) *) (*;;*)
    0xe3802039,   (* [1978:837] Aring + guilsinglleft : -57 (cslSTIX-Bold) *)
    0xe180201d,   (* [1979:838] Aring + quotedblright : -61 (cslSTIX-Bold) *)
    0xd3802019,   (* [1980:839] Aring + quoteright : -89 (cslSTIX-Bold) *)
    0xe98000ab,   (* [1981:840] Aring + guillemotleft : -45 (cslSTIX-Bold) *)
    0xdd800079,   (* [1982:841] Aring + y : -69 (cslSTIX-Bold) *)
    0xde800077,   (* [1983:842] Aring + w : -67 (cslSTIX-Bold) *)
    0xdc800076,   (* [1984:843] Aring + v : -71 (cslSTIX-Bold) *)
    0xf3800075,   (* [1985:844] Aring + u : -25 (cslSTIX-Bold) *)
    0xf4000074,   (* [1986:845] Aring + t : -24 (cslSTIX-Bold) *)
    0xf2000071,   (* [1987:846] Aring + q : -28 (cslSTIX-Bold) *)
    0xf000006f,   (* [1988:847] Aring + o : -32 (cslSTIX-Bold) *)
    0xfc800067,   (* [1989:848] Aring + g : -7 (cslSTIX-Bold) *)
    0xf2000065,   (* [1990:849] Aring + e : -28 (cslSTIX-Bold) *)
    0xf4000064,   (* [1991:850] Aring + d : -24 (cslSTIX-Bold) *)
    0xf2000063,   (* [1992:851] Aring + c : -28 (cslSTIX-Bold) *)
    0xf6000062,   (* [1993:852] Aring + b : -20 (cslSTIX-Bold) *)
    0xfe800061,   (* [1994:853] Aring + a : -3 (cslSTIX-Bold) *)
    0xe0000059,   (* [1995:854] Aring + Y : -64 (cslSTIX-Bold) *)
    0xd0800057,   (* [1996:855] Aring + W : -95 (cslSTIX-Bold) *)
    0xc9800056,   (* [1997:856] Aring + V : -109 (cslSTIX-Bold) *)
    0xe3000055,   (* [1998:857] Aring + U : -58 (cslSTIX-Bold) *)
    0xe6800054,   (* [1999:858] Aring + T : -51 (cslSTIX-Bold) *)
    0xe9000051,   (* [2000:859] Aring + Q : -46 (cslSTIX-Bold) *)
    0xe900004f,   (* [2001:860] Aring + O : -46 (cslSTIX-Bold) *)
    0xe9000047,   (* [2002:861] Aring + G : -46 (cslSTIX-Bold) *)
    0xe7000043,   (* [2003:862] Aring + C : -50 (cslSTIX-Bold) *)
    0xf380002d,   (* [2004:863] Aring + hyphen : -25 (cslSTIX-Bold) *)
    0x00c0002c,   (* [2005:864] Aring + comma : 1 (cslSTIX-Bold) *) (*;;*)
    0xf4400041,   (* [2006:865] Ccedilla + A : -24 (cslSTIX-Bold) *) (*;;*)
    0xe5000059,   (* [2007:866] Ograve + Y : -54 (cslSTIX-Bold) *)
    0xe5000056,   (* [2008:867] Ograve + V : -54 (cslSTIX-Bold) *)
    0xfbc00054,   (* [2009:868] Ograve + T : -9 (cslSTIX-Bold) *) (*;;*)
    0xe5000059,   (* [2010:869] Oacute + Y : -54 (cslSTIX-Bold) *)
    0xec000057,   (* [2011:870] Oacute + W : -40 (cslSTIX-Bold) *)
    0xe5000056,   (* [2012:871] Oacute + V : -54 (cslSTIX-Bold) *)
    0xfb800054,   (* [2013:872] Oacute + T : -9 (cslSTIX-Bold) *)
    0xee400041,   (* [2014:873] Oacute + A : -36 (cslSTIX-Bold) *) (*;;*)
    0xe5000059,   (* [2015:874] Ocircumflex + Y : -54 (cslSTIX-Bold) *)
    0xe5000056,   (* [2016:875] Ocircumflex + V : -54 (cslSTIX-Bold) *)
    0xfbc00054,   (* [2017:876] Ocircumflex + T : -9 (cslSTIX-Bold) *) (*;;*)
    0xe5000059,   (* [2018:877] Otilde + Y : -54 (cslSTIX-Bold) *)
    0xe5000056,   (* [2019:878] Otilde + V : -54 (cslSTIX-Bold) *)
    0xfbc00054,   (* [2020:879] Otilde + T : -9 (cslSTIX-Bold) *) (*;;*)
    0xe5000059,   (* [2021:880] Odieresis + Y : -54 (cslSTIX-Bold) *)
    0xeb000058,   (* [2022:881] Odieresis + X : -42 (cslSTIX-Bold) *)
    0xec000057,   (* [2023:882] Odieresis + W : -40 (cslSTIX-Bold) *)
    0xe5000056,   (* [2024:883] Odieresis + V : -54 (cslSTIX-Bold) *)
    0xfb800054,   (* [2025:884] Odieresis + T : -9 (cslSTIX-Bold) *)
    0xee400041,   (* [2026:885] Odieresis + A : -36 (cslSTIX-Bold) *) (*;;*)
    0xee400041,   (* [2027:886] Oslash + A : -36 (cslSTIX-Bold) *) (*;;*)
    0xf9000072,   (* [2028:887] Ugrave + r : -14 (cslSTIX-Bold) *)
    0xf9000070,   (* [2029:888] Ugrave + p : -14 (cslSTIX-Bold) *)
    0xfa00006e,   (* [2030:889] Ugrave + n : -12 (cslSTIX-Bold) *)
    0xfb80006d,   (* [2031:890] Ugrave + m : -9 (cslSTIX-Bold) *)
    0xee000041,   (* [2032:891] Ugrave + A : -36 (cslSTIX-Bold) *)
    0xf980002e,   (* [2033:892] Ugrave + period : -13 (cslSTIX-Bold) *)
    0xfbc0002c,   (* [2034:893] Ugrave + comma : -9 (cslSTIX-Bold) *) (*;;*)
    0xf9000072,   (* [2035:894] Uacute + r : -14 (cslSTIX-Bold) *)
    0xf9000070,   (* [2036:895] Uacute + p : -14 (cslSTIX-Bold) *)
    0xfa00006e,   (* [2037:896] Uacute + n : -12 (cslSTIX-Bold) *)
    0xfb80006d,   (* [2038:897] Uacute + m : -9 (cslSTIX-Bold) *)
    0xee800041,   (* [2039:898] Uacute + A : -35 (cslSTIX-Bold) *)
    0xf980002e,   (* [2040:899] Uacute + period : -13 (cslSTIX-Bold) *)
    0xfbc0002c,   (* [2041:900] Uacute + comma : -9 (cslSTIX-Bold) *) (*;;*)
    0xee400041,   (* [2042:901] Ucircumflex + A : -36 (cslSTIX-Bold) *) (*;;*)
    0xf9000072,   (* [2043:902] Udieresis + r : -14 (cslSTIX-Bold) *)
    0xf9000070,   (* [2044:903] Udieresis + p : -14 (cslSTIX-Bold) *)
    0xfa00006e,   (* [2045:904] Udieresis + n : -12 (cslSTIX-Bold) *)
    0xfb80006d,   (* [2046:905] Udieresis + m : -9 (cslSTIX-Bold) *)
    0x05000062,   (* [2047:906] Udieresis + b : 10 (cslSTIX-Bold) *)
    0xee000041,   (* [2048:907] Udieresis + A : -36 (cslSTIX-Bold) *)
    0xf980002e,   (* [2049:908] Udieresis + period : -13 (cslSTIX-Bold) *)
    0xfbc0002c,   (* [2050:909] Udieresis + comma : -9 (cslSTIX-Bold) *) (*;;*)
    0xf5000079,   (* [2051:910] agrave + y : -22 (cslSTIX-Bold) *)
    0xee000077,   (* [2052:911] agrave + w : -36 (cslSTIX-Bold) *)
    0xef400076,   (* [2053:912] agrave + v : -34 (cslSTIX-Bold) *) (*;;*)
    0xf5000079,   (* [2054:913] aacute + y : -22 (cslSTIX-Bold) *)
    0xee000077,   (* [2055:914] aacute + w : -36 (cslSTIX-Bold) *)
    0xef400076,   (* [2056:915] aacute + v : -34 (cslSTIX-Bold) *) (*;;*)
    0xf5000079,   (* [2057:916] adieresis + y : -22 (cslSTIX-Bold) *)
    0xee000077,   (* [2058:917] adieresis + w : -36 (cslSTIX-Bold) *)
    0xef400076,   (* [2059:918] adieresis + v : -34 (cslSTIX-Bold) *) (*;;*)
    0xf5000079,   (* [2060:919] aring + y : -22 (cslSTIX-Bold) *)
    0xee000077,   (* [2061:920] aring + w : -36 (cslSTIX-Bold) *)
    0xef400076,   (* [2062:921] aring + v : -34 (cslSTIX-Bold) *) (*;;*)
    0xf2800079,   (* [2063:922] ae + y : -27 (cslSTIX-Bold) *)
    0xf0800077,   (* [2064:923] ae + w : -31 (cslSTIX-Bold) *)
    0xf1c00076,   (* [2065:924] ae + v : -29 (cslSTIX-Bold) *) (*;;*)
    0xf7800079,   (* [2066:925] eacute + y : -17 (cslSTIX-Bold) *)
    0xf6800077,   (* [2067:926] eacute + w : -19 (cslSTIX-Bold) *)
    0xf6c00076,   (* [2068:927] eacute + v : -19 (cslSTIX-Bold) *) (*;;*)
    0xf7800079,   (* [2069:928] ecircumflex + y : -17 (cslSTIX-Bold) *)
    0xf6800077,   (* [2070:929] ecircumflex + w : -19 (cslSTIX-Bold) *)
    0xf6c00076,   (* [2071:930] ecircumflex + v : -19 (cslSTIX-Bold) *) (*;;*)
    0xf5000079,   (* [2072:931] ograve + y : -22 (cslSTIX-Bold) *)
    0xf5800077,   (* [2073:932] ograve + w : -21 (cslSTIX-Bold) *)
    0xf3400076,   (* [2074:933] ograve + v : -26 (cslSTIX-Bold) *) (*;;*)
    0xf5000079,   (* [2075:934] oacute + y : -22 (cslSTIX-Bold) *)
    0xf5800077,   (* [2076:935] oacute + w : -21 (cslSTIX-Bold) *)
    0xf3400076,   (* [2077:936] oacute + v : -26 (cslSTIX-Bold) *) (*;;*)
    0xfec00074,   (* [2078:937] ocircumflex + t : -3 (cslSTIX-Bold) *) (*;;*)
    0xf5000079,   (* [2079:938] odieresis + y : -22 (cslSTIX-Bold) *)
    0xf7800078,   (* [2080:939] odieresis + x : -17 (cslSTIX-Bold) *)
    0xf5800077,   (* [2081:940] odieresis + w : -21 (cslSTIX-Bold) *)
    0xf3000076,   (* [2082:941] odieresis + v : -26 (cslSTIX-Bold) *)
    0xfec00074,   (* [2083:942] odieresis + t : -3 (cslSTIX-Bold) *) (*;;*)
    0xd10000c6,   (* [2084:943] quoteleft + AE : -94 (cslSTIX-Bold) *)
    0xd90000c5,   (* [2085:944] quoteleft + Aring : -78 (cslSTIX-Bold) *)
    0xd90000c4,   (* [2086:945] quoteleft + Adieresis : -78 (cslSTIX-Bold) *)
    0xd90000c2,   (* [2087:946] quoteleft + Acircumflex : -78 (cslSTIX-Bold) *)
    0xd90000c1,   (* [2088:947] quoteleft + Aacute : -78 (cslSTIX-Bold) *)
    0xd90000c0,   (* [2089:948] quoteleft + Agrave : -78 (cslSTIX-Bold) *)
    0xf9000059,   (* [2090:949] quoteleft + Y : -14 (cslSTIX-Bold) *)
    0xf7800057,   (* [2091:950] quoteleft + W : -17 (cslSTIX-Bold) *)
    0xf8800056,   (* [2092:951] quoteleft + V : -15 (cslSTIX-Bold) *)
    0xf6000054,   (* [2093:952] quoteleft + T : -20 (cslSTIX-Bold) *)
    0xd9400041,   (* [2094:953] quoteleft + A : -78 (cslSTIX-Bold) *) (*;;*)
    0xd28000c6,   (* [2095:954] quoteright + AE : -91 (cslSTIX-Bold) *)
    0xda8000c5,   (* [2096:955] quoteright + Aring : -75 (cslSTIX-Bold) *)
    0xda8000c4,   (* [2097:956] quoteright + Adieresis : -75 (cslSTIX-Bold) *)
    0xda8000c2,   (* [2098:957] quoteright + Acircumflex : -75 (cslSTIX-Bold) *)
    0xda8000c1,   (* [2099:958] quoteright + Aacute : -75 (cslSTIX-Bold) *)
    0xda8000c0,   (* [2100:959] quoteright + Agrave : -75 (cslSTIX-Bold) *)
    0xf6000079,   (* [2101:960] quoteright + y : -20 (cslSTIX-Bold) *)
    0xf5800077,   (* [2102:961] quoteright + w : -21 (cslSTIX-Bold) *)
    0xf5000076,   (* [2103:962] quoteright + v : -22 (cslSTIX-Bold) *)
    0xf8000074,   (* [2104:963] quoteright + t : -16 (cslSTIX-Bold) *)
    0xf8800073,   (* [2105:964] quoteright + s : -15 (cslSTIX-Bold) *)
    0xf5000072,   (* [2106:965] quoteright + r : -22 (cslSTIX-Bold) *)
    0xf200006f,   (* [2107:966] quoteright + o : -28 (cslSTIX-Bold) *)
    0xf2000064,   (* [2108:967] quoteright + d : -28 (cslSTIX-Bold) *)
    0xda800041,   (* [2109:968] quoteright + A : -75 (cslSTIX-Bold) *)
    0xef80002e,   (* [2110:969] quoteright + period : -33 (cslSTIX-Bold) *)
    0xf040002c,   (* [2111:970] quoteright + comma : -32 (cslSTIX-Bold) *) (*;;*)
    0xde8000c6,   (* [2112:971] quotedblleft + AE : -67 (cslSTIX-Bold) *)
    0xe70000c5,   (* [2113:972] quotedblleft + Aring : -50 (cslSTIX-Bold) *)
    0xe70000c4,   (* [2114:973] quotedblleft + Adieresis : -50 (cslSTIX-Bold) *)
    0xe70000c1,   (* [2115:974] quotedblleft + Aacute : -50 (cslSTIX-Bold) *)
    0x08000059,   (* [2116:975] quotedblleft + Y : 16 (cslSTIX-Bold) *)
    0x06000057,   (* [2117:976] quotedblleft + W : 12 (cslSTIX-Bold) *)
    0x07000056,   (* [2118:977] quotedblleft + V : 14 (cslSTIX-Bold) *)
    0x04800054,   (* [2119:978] quotedblleft + T : 9 (cslSTIX-Bold) *)
    0xe7400041,   (* [2120:979] quotedblleft + A : -50 (cslSTIX-Bold) *) (*;;*)
    0xda8000c6,   (* [2121:980] quotedblright + AE : -75 (cslSTIX-Bold) *)
    0xe30000c5,   (* [2122:981] quotedblright + Aring : -58 (cslSTIX-Bold) *)
    0xe30000c4,   (* [2123:982] quotedblright + Adieresis : -58 (cslSTIX-Bold) *)
    0xe30000c1,   (* [2124:983] quotedblright + Aacute : -58 (cslSTIX-Bold) *)
    0x02000059,   (* [2125:984] quotedblright + Y : 4 (cslSTIX-Bold) *)
    0x01800057,   (* [2126:985] quotedblright + W : 3 (cslSTIX-Bold) *)
    0x02000056,   (* [2127:986] quotedblright + V : 4 (cslSTIX-Bold) *)
    0x03000054,   (* [2128:987] quotedblright + T : 6 (cslSTIX-Bold) *)
    0xe3400041,   (* [2129:988] quotedblright + A : -58 (cslSTIX-Bold) *) (*;;*)
    0x090000c6,   (* [2130:989] quotedblbase + AE : 18 (cslSTIX-Bold) *)
    0x090000c5,   (* [2131:990] quotedblbase + Aring : 18 (cslSTIX-Bold) *)
    0x090000c4,   (* [2132:991] quotedblbase + Adieresis : 18 (cslSTIX-Bold) *)
    0x090000c2,   (* [2133:992] quotedblbase + Acircumflex : 18 (cslSTIX-Bold) *)
    0x090000c1,   (* [2134:993] quotedblbase + Aacute : 18 (cslSTIX-Bold) *)
    0x090000c0,   (* [2135:994] quotedblbase + Agrave : 18 (cslSTIX-Bold) *)
    0xe1800059,   (* [2136:995] quotedblbase + Y : -61 (cslSTIX-Bold) *)
    0xe3000057,   (* [2137:996] quotedblbase + W : -58 (cslSTIX-Bold) *)
    0xd8800056,   (* [2138:997] quotedblbase + V : -79 (cslSTIX-Bold) *)
    0xe6800054,   (* [2139:998] quotedblbase + T : -51 (cslSTIX-Bold) *)
    0x09400041,   (* [2140:999] quotedblbase + A : 18 (cslSTIX-Bold) *) (*;;*)
    0xe60000c6,   (* [2141:1000] guilsinglright + AE : -52 (cslSTIX-Bold) *)
    0xe90000c5,   (* [2142:1001] guilsinglright + Aring : -46 (cslSTIX-Bold) *)
    0xe90000c4,   (* [2143:1002] guilsinglright + Adieresis : -46 (cslSTIX-Bold) *)
    0xe90000c1,   (* [2144:1003] guilsinglright + Aacute : -46 (cslSTIX-Bold) *)
    0xcd000059,   (* [2145:1004] guilsinglright + Y : -102 (cslSTIX-Bold) *)
    0xd8000057,   (* [2146:1005] guilsinglright + W : -80 (cslSTIX-Bold) *)
    0xcf800056,   (* [2147:1006] guilsinglright + V : -97 (cslSTIX-Bold) *)
    0xd1000054,   (* [2148:1007] guilsinglright + T : -94 (cslSTIX-Bold) *)
    0xe9400041,   (* [2149:1008] guilsinglright + A : -46 (cslSTIX-Bold) *) (*;;*)
    0x17a00069,   (* [2150:1009] ff + i ligature #47 (cslSTIX-Bold) *)
    0x1860006c,   (* [2151:1010] ff + l ligature #48 (cslSTIX-Bold) *) (*;;*)
    0xed80201d,   (* [2152:1] comma + quotedblright : -37 (cslSTIX-Italic) *)
    0xed802019,   (* [2153:2] comma + quoteright : -37 (cslSTIX-Italic) *)
    0xf1400031,   (* [2154:3] comma + one : -30 (cslSTIX-Italic) *) (*;;*)
    0xfb8000c6,   (* [2155:4] hyphen + AE : -9 (cslSTIX-Italic) *)
    0x070000c5,   (* [2156:5] hyphen + Aring : 14 (cslSTIX-Italic) *)
    0x070000c4,   (* [2157:6] hyphen + Adieresis : 14 (cslSTIX-Italic) *)
    0x070000c1,   (* [2158:7] hyphen + Aacute : 14 (cslSTIX-Italic) *)
    0xec000059,   (* [2159:8] hyphen + Y : -40 (cslSTIX-Italic) *)
    0xf5000057,   (* [2160:9] hyphen + W : -22 (cslSTIX-Italic) *)
    0xf2000056,   (* [2161:10] hyphen + V : -28 (cslSTIX-Italic) *)
    0xef000054,   (* [2162:11] hyphen + T : -34 (cslSTIX-Italic) *)
    0x07400041,   (* [2163:12] hyphen + A : 14 (cslSTIX-Italic) *) (*;;*)
    0xee80201d,   (* [2164:13] period + quotedblright : -35 (cslSTIX-Italic) *)
    0xeec02019,   (* [2165:14] period + quoteright : -35 (cslSTIX-Italic) *) (*;;*)
    0xf2002039,   (* [2166:15] A + guilsinglleft : -28 (cslSTIX-Italic) *)
    0xd980201d,   (* [2167:16] A + quotedblright : -77 (cslSTIX-Italic) *)
    0xd9802019,   (* [2168:17] A + quoteright : -77 (cslSTIX-Italic) *)
    0xfb8000fc,   (* [2169:18] A + udieresis : -9 (cslSTIX-Italic) *)
    0xfb8000fb,   (* [2170:19] A + ucircumflex : -9 (cslSTIX-Italic) *)
    0xfb8000fa,   (* [2171:20] A + uacute : -9 (cslSTIX-Italic) *)
    0xfb8000f9,   (* [2172:21] A + ugrave : -9 (cslSTIX-Italic) *)
    0xf80000f6,   (* [2173:22] A + odieresis : -16 (cslSTIX-Italic) *)
    0xf68000e7,   (* [2174:23] A + ccedilla : -19 (cslSTIX-Italic) *)
    0xe90000dc,   (* [2175:24] A + Udieresis : -46 (cslSTIX-Italic) *)
    0xe90000db,   (* [2176:25] A + Ucircumflex : -46 (cslSTIX-Italic) *)
    0xe90000da,   (* [2177:26] A + Uacute : -46 (cslSTIX-Italic) *)
    0xe90000d9,   (* [2178:27] A + Ugrave : -46 (cslSTIX-Italic) *)
    0xed8000d6,   (* [2179:28] A + Odieresis : -37 (cslSTIX-Italic) *)
    0xee0000c7,   (* [2180:29] A + Ccedilla : -36 (cslSTIX-Italic) *)
    0xf18000ab,   (* [2181:30] A + guillemotleft : -29 (cslSTIX-Italic) *)
    0xe5000079,   (* [2182:31] A + y : -54 (cslSTIX-Italic) *)
    0xf0000077,   (* [2183:32] A + w : -32 (cslSTIX-Italic) *)
    0xee800076,   (* [2184:33] A + v : -35 (cslSTIX-Italic) *)
    0xfb800075,   (* [2185:34] A + u : -9 (cslSTIX-Italic) *)
    0xfc800074,   (* [2186:35] A + t : -7 (cslSTIX-Italic) *)
    0xfa800071,   (* [2187:36] A + q : -11 (cslSTIX-Italic) *)
    0xf800006f,   (* [2188:37] A + o : -16 (cslSTIX-Italic) *)
    0xf0800067,   (* [2189:38] A + g : -31 (cslSTIX-Italic) *)
    0xf7000065,   (* [2190:39] A + e : -18 (cslSTIX-Italic) *)
    0xfe000064,   (* [2191:40] A + d : -4 (cslSTIX-Italic) *)
    0xf7800063,   (* [2192:41] A + c : -17 (cslSTIX-Italic) *)
    0xfd800061,   (* [2193:42] A + a : -5 (cslSTIX-Italic) *)
    0xf6000059,   (* [2194:43] A + Y : -20 (cslSTIX-Italic) *)
    0xe2800057,   (* [2195:44] A + W : -59 (cslSTIX-Italic) *)
    0xdf800056,   (* [2196:45] A + V : -65 (cslSTIX-Italic) *)
    0xe9000055,   (* [2197:46] A + U : -46 (cslSTIX-Italic) *)
    0xf9000054,   (* [2198:47] A + T : -14 (cslSTIX-Italic) *)
    0xee000051,   (* [2199:48] A + Q : -36 (cslSTIX-Italic) *)
    0xed80004f,   (* [2200:49] A + O : -37 (cslSTIX-Italic) *)
    0xf1800047,   (* [2201:50] A + G : -29 (cslSTIX-Italic) *)
    0xee000043,   (* [2202:51] A + C : -36 (cslSTIX-Italic) *)
    0x0980002e,   (* [2203:52] A + period : 19 (cslSTIX-Italic) *)
    0x09c0002c,   (* [2204:53] A + comma : 19 (cslSTIX-Italic) *) (*;;*)
    0x04000152,   (* [2205:54] B + OE : 8 (cslSTIX-Italic) *)
    0xf00000c6,   (* [2206:55] B + AE : -32 (cslSTIX-Italic) *)
    0xf60000c5,   (* [2207:56] B + Aring : -20 (cslSTIX-Italic) *)
    0xf60000c4,   (* [2208:57] B + Adieresis : -20 (cslSTIX-Italic) *)
    0xf60000c3,   (* [2209:58] B + Atilde : -20 (cslSTIX-Italic) *)
    0xf60000c2,   (* [2210:59] B + Acircumflex : -20 (cslSTIX-Italic) *)
    0xf60000c1,   (* [2211:60] B + Aacute : -20 (cslSTIX-Italic) *)
    0xef000059,   (* [2212:61] B + Y : -34 (cslSTIX-Italic) *)
    0xf6800057,   (* [2213:62] B + W : -19 (cslSTIX-Italic) *)
    0xf3800056,   (* [2214:63] B + V : -25 (cslSTIX-Italic) *)
    0xf6400041,   (* [2215:64] B + A : -20 (cslSTIX-Italic) *) (*;;*)
    0xfc8000d6,   (* [2216:65] C + Odieresis : -7 (cslSTIX-Italic) *)
    0xfc8000d3,   (* [2217:66] C + Oacute : -7 (cslSTIX-Italic) *)
    0xfc8000d2,   (* [2218:67] C + Ograve : -7 (cslSTIX-Italic) *)
    0xf08000c6,   (* [2219:68] C + AE : -31 (cslSTIX-Italic) *)
    0xf68000c5,   (* [2220:69] C + Aring : -19 (cslSTIX-Italic) *)
    0xf68000c4,   (* [2221:70] C + Adieresis : -19 (cslSTIX-Italic) *)
    0xf68000c1,   (* [2222:71] C + Aacute : -19 (cslSTIX-Italic) *)
    0xf68000c0,   (* [2223:72] C + Agrave : -19 (cslSTIX-Italic) *)
    0xfc80004f,   (* [2224:73] C + O : -7 (cslSTIX-Italic) *)
    0xf780004b,   (* [2225:74] C + K : -17 (cslSTIX-Italic) *)
    0xfd800048,   (* [2226:75] C + H : -5 (cslSTIX-Italic) *)
    0xf6c00041,   (* [2227:76] C + A : -19 (cslSTIX-Italic) *) (*;;*)
    0xf60000c5,   (* [2228:77] D + Aring : -20 (cslSTIX-Italic) *)
    0xf60000c4,   (* [2229:78] D + Adieresis : -20 (cslSTIX-Italic) *)
    0xf60000c3,   (* [2230:79] D + Atilde : -20 (cslSTIX-Italic) *)
    0xf60000c2,   (* [2231:80] D + Acircumflex : -20 (cslSTIX-Italic) *)
    0xf60000c1,   (* [2232:81] D + Aacute : -20 (cslSTIX-Italic) *)
    0xf60000c0,   (* [2233:82] D + Agrave : -20 (cslSTIX-Italic) *)
    0xed800059,   (* [2234:83] D + Y : -37 (cslSTIX-Italic) *)
    0xf3000058,   (* [2235:84] D + X : -26 (cslSTIX-Italic) *)
    0xf5000057,   (* [2236:85] D + W : -22 (cslSTIX-Italic) *)
    0xf2000056,   (* [2237:86] D + V : -28 (cslSTIX-Italic) *)
    0xfb800054,   (* [2238:87] D + T : -9 (cslSTIX-Italic) *)
    0xf280004a,   (* [2239:88] D + J : -27 (cslSTIX-Italic) *)
    0xf6400041,   (* [2240:89] D + A : -20 (cslSTIX-Italic) *) (*;;*)
    0xe1000153,   (* [2241:90] F + oe : -62 (cslSTIX-Italic) *)
    0xdf0000f8,   (* [2242:91] F + oslash : -66 (cslSTIX-Italic) *)
    0xea0000f6,   (* [2243:92] F + odieresis : -44 (cslSTIX-Italic) *)
    0xdf8000f3,   (* [2244:93] F + oacute : -65 (cslSTIX-Italic) *)
    0xde8000e9,   (* [2245:94] F + eacute : -67 (cslSTIX-Italic) *)
    0xdd8000e6,   (* [2246:95] F + ae : -69 (cslSTIX-Italic) *)
    0xe20000e5,   (* [2247:96] F + aring : -60 (cslSTIX-Italic) *)
    0xe30000e4,   (* [2248:97] F + adieresis : -58 (cslSTIX-Italic) *)
    0xe38000e3,   (* [2249:98] F + atilde : -57 (cslSTIX-Italic) *)
    0xe20000e2,   (* [2250:99] F + acircumflex : -60 (cslSTIX-Italic) *)
    0xe20000e1,   (* [2251:100] F + aacute : -60 (cslSTIX-Italic) *)
    0xf00000d6,   (* [2252:101] F + Odieresis : -32 (cslSTIX-Italic) *)
    0xf00000d3,   (* [2253:102] F + Oacute : -32 (cslSTIX-Italic) *)
    0xf00000d2,   (* [2254:103] F + Ograve : -32 (cslSTIX-Italic) *)
    0xe50000c5,   (* [2255:104] F + Aring : -54 (cslSTIX-Italic) *)
    0xe50000c4,   (* [2256:105] F + Adieresis : -54 (cslSTIX-Italic) *)
    0xe50000c3,   (* [2257:106] F + Atilde : -54 (cslSTIX-Italic) *)
    0xe50000c2,   (* [2258:107] F + Acircumflex : -54 (cslSTIX-Italic) *)
    0xe50000c1,   (* [2259:108] F + Aacute : -54 (cslSTIX-Italic) *)
    0xe50000c0,   (* [2260:109] F + Agrave : -54 (cslSTIX-Italic) *)
    0xea800075,   (* [2261:110] F + u : -43 (cslSTIX-Italic) *)
    0xe9800072,   (* [2262:111] F + r : -45 (cslSTIX-Italic) *)
    0xdf80006f,   (* [2263:112] F + o : -65 (cslSTIX-Italic) *)
    0xed00006a,   (* [2264:113] F + j : -38 (cslSTIX-Italic) *)
    0xee800069,   (* [2265:114] F + i : -35 (cslSTIX-Italic) *)
    0xde800065,   (* [2266:115] F + e : -67 (cslSTIX-Italic) *)
    0xe2000061,   (* [2267:116] F + a : -60 (cslSTIX-Italic) *)
    0xf000004f,   (* [2268:117] F + O : -32 (cslSTIX-Italic) *)
    0xe280004a,   (* [2269:118] F + J : -59 (cslSTIX-Italic) *)
    0xe5000041,   (* [2270:119] F + A : -54 (cslSTIX-Italic) *)
    0xd800002e,   (* [2271:120] F + period : -80 (cslSTIX-Italic) *)
    0xf000002d,   (* [2272:121] F + hyphen : -32 (cslSTIX-Italic) *)
    0xd9c0002c,   (* [2273:122] F + comma : -77 (cslSTIX-Italic) *) (*;;*)
    0xf18000c6,   (* [2274:123] G + AE : -29 (cslSTIX-Italic) *)
    0xf88000c5,   (* [2275:124] G + Aring : -15 (cslSTIX-Italic) *)
    0xf88000c4,   (* [2276:125] G + Adieresis : -15 (cslSTIX-Italic) *)
    0xf88000c3,   (* [2277:126] G + Atilde : -15 (cslSTIX-Italic) *)
    0xf88000c2,   (* [2278:127] G + Acircumflex : -15 (cslSTIX-Italic) *)
    0xf88000c1,   (* [2279:128] G + Aacute : -15 (cslSTIX-Italic) *)
    0xf88000c0,   (* [2280:129] G + Agrave : -15 (cslSTIX-Italic) *)
    0xf9800059,   (* [2281:130] G + Y : -13 (cslSTIX-Italic) *)
    0xfe800057,   (* [2282:131] G + W : -3 (cslSTIX-Italic) *)
    0xfd800056,   (* [2283:132] G + V : -5 (cslSTIX-Italic) *)
    0xf9000054,   (* [2284:133] G + T : -14 (cslSTIX-Italic) *)
    0xf8c00041,   (* [2285:134] G + A : -15 (cslSTIX-Italic) *) (*;;*)
    0x18e0004a,   (* [2286:135] I + J ligature #49 (cslSTIX-Italic) *) (*;;*)
    0xe50000c6,   (* [2287:136] J + AE : -54 (cslSTIX-Italic) *)
    0xf60000c5,   (* [2288:137] J + Aring : -20 (cslSTIX-Italic) *)
    0xf60000c4,   (* [2289:138] J + Adieresis : -20 (cslSTIX-Italic) *)
    0xf6400041,   (* [2290:139] J + A : -20 (cslSTIX-Italic) *) (*;;*)
    0xeb000152,   (* [2291:140] K + OE : -42 (cslSTIX-Italic) *)
    0xfb8000fc,   (* [2292:141] K + udieresis : -9 (cslSTIX-Italic) *)
    0xf80000f6,   (* [2293:142] K + odieresis : -16 (cslSTIX-Italic) *)
    0xf80000f3,   (* [2294:143] K + oacute : -16 (cslSTIX-Italic) *)
    0xfd8000e6,   (* [2295:144] K + ae : -5 (cslSTIX-Italic) *)
    0xfd8000e5,   (* [2296:145] K + aring : -5 (cslSTIX-Italic) *)
    0xfd8000e4,   (* [2297:146] K + adieresis : -5 (cslSTIX-Italic) *)
    0xea0000d6,   (* [2298:147] K + Odieresis : -44 (cslSTIX-Italic) *)
    0xea0000d3,   (* [2299:148] K + Oacute : -44 (cslSTIX-Italic) *)
    0xe0800079,   (* [2300:149] K + y : -63 (cslSTIX-Italic) *)
    0xfb800075,   (* [2301:150] K + u : -9 (cslSTIX-Italic) *)
    0xf800006f,   (* [2302:151] K + o : -16 (cslSTIX-Italic) *)
    0xf7000065,   (* [2303:152] K + e : -18 (cslSTIX-Italic) *)
    0xfd800061,   (* [2304:153] K + a : -5 (cslSTIX-Italic) *)
    0x09800054,   (* [2305:154] K + T : 19 (cslSTIX-Italic) *)
    0x03000053,   (* [2306:155] K + S : 6 (cslSTIX-Italic) *)
    0xea00004f,   (* [2307:156] K + O : -44 (cslSTIX-Italic) *)
    0xed000047,   (* [2308:157] K + G : -38 (cslSTIX-Italic) *)
    0xe9800043,   (* [2309:158] K + C : -45 (cslSTIX-Italic) *)
    0xeb40002d,   (* [2310:159] K + hyphen : -42 (cslSTIX-Italic) *) (*;;*)
    0xd900201d,   (* [2311:160] L + quotedblright : -78 (cslSTIX-Italic) *)
    0xd9002019,   (* [2312:161] L + quoteright : -78 (cslSTIX-Italic) *)
    0x0a0000fc,   (* [2313:162] L + udieresis : 20 (cslSTIX-Italic) *)
    0xfb8000dc,   (* [2314:163] L + Udieresis : -9 (cslSTIX-Italic) *)
    0x050000d6,   (* [2315:164] L + Odieresis : 10 (cslSTIX-Italic) *)
    0x050000d5,   (* [2316:165] L + Otilde : 10 (cslSTIX-Italic) *)
    0x050000d4,   (* [2317:166] L + Ocircumflex : 10 (cslSTIX-Italic) *)
    0x050000d3,   (* [2318:167] L + Oacute : 10 (cslSTIX-Italic) *)
    0x050000d2,   (* [2319:168] L + Ograve : 10 (cslSTIX-Italic) *)
    0x028000c7,   (* [2320:169] L + Ccedilla : 5 (cslSTIX-Italic) *)
    0x0e8000c6,   (* [2321:170] L + AE : 29 (cslSTIX-Italic) *)
    0x148000c5,   (* [2322:171] L + Aring : 41 (cslSTIX-Italic) *)
    0x148000c4,   (* [2323:172] L + Adieresis : 41 (cslSTIX-Italic) *)
    0x148000c1,   (* [2324:173] L + Aacute : 41 (cslSTIX-Italic) *)
    0xf8800079,   (* [2325:174] L + y : -15 (cslSTIX-Italic) *)
    0x0b000075,   (* [2326:175] L + u : 22 (cslSTIX-Italic) *)
    0xf5800059,   (* [2327:176] L + Y : -21 (cslSTIX-Italic) *)
    0xef000057,   (* [2328:177] L + W : -34 (cslSTIX-Italic) *)
    0xeb800056,   (* [2329:178] L + V : -41 (cslSTIX-Italic) *)
    0xfb800055,   (* [2330:179] L + U : -9 (cslSTIX-Italic) *)
    0xf8800054,   (* [2331:180] L + T : -15 (cslSTIX-Italic) *)
    0x09000053,   (* [2332:181] L + S : 18 (cslSTIX-Italic) *)
    0x0500004f,   (* [2333:182] L + O : 10 (cslSTIX-Italic) *)
    0x05800047,   (* [2334:183] L + G : 11 (cslSTIX-Italic) *)
    0x02800043,   (* [2335:184] L + C : 5 (cslSTIX-Italic) *)
    0x14800041,   (* [2336:185] L + A : 41 (cslSTIX-Italic) *)
    0x1c40002d,   (* [2337:186] L + hyphen : 56 (cslSTIX-Italic) *) (*;;*)
    0xfa8000fc,   (* [2338:187] N + udieresis : -11 (cslSTIX-Italic) *)
    0xf98000f8,   (* [2339:188] N + oslash : -13 (cslSTIX-Italic) *)
    0xfa0000f6,   (* [2340:189] N + odieresis : -12 (cslSTIX-Italic) *)
    0xfa0000f3,   (* [2341:190] N + oacute : -12 (cslSTIX-Italic) *)
    0xf90000e9,   (* [2342:191] N + eacute : -14 (cslSTIX-Italic) *)
    0xfa8000e6,   (* [2343:192] N + ae : -11 (cslSTIX-Italic) *)
    0xfa0000e5,   (* [2344:193] N + aring : -12 (cslSTIX-Italic) *)
    0xfa0000e4,   (* [2345:194] N + adieresis : -12 (cslSTIX-Italic) *)
    0xfa0000e1,   (* [2346:195] N + aacute : -12 (cslSTIX-Italic) *)
    0xff0000d6,   (* [2347:196] N + Odieresis : -2 (cslSTIX-Italic) *)
    0xff0000d3,   (* [2348:197] N + Oacute : -2 (cslSTIX-Italic) *)
    0xfd8000c7,   (* [2349:198] N + Ccedilla : -5 (cslSTIX-Italic) *)
    0xf08000c6,   (* [2350:199] N + AE : -31 (cslSTIX-Italic) *)
    0xf68000c5,   (* [2351:200] N + Aring : -19 (cslSTIX-Italic) *)
    0xf68000c4,   (* [2352:201] N + Adieresis : -19 (cslSTIX-Italic) *)
    0xf68000c1,   (* [2353:202] N + Aacute : -19 (cslSTIX-Italic) *)
    0xfa800075,   (* [2354:203] N + u : -11 (cslSTIX-Italic) *)
    0xfa00006f,   (* [2355:204] N + o : -12 (cslSTIX-Italic) *)
    0xf9000065,   (* [2356:205] N + e : -14 (cslSTIX-Italic) *)
    0xfc000061,   (* [2357:206] N + a : -8 (cslSTIX-Italic) *)
    0xff00004f,   (* [2358:207] N + O : -2 (cslSTIX-Italic) *)
    0x00800047,   (* [2359:208] N + G : 1 (cslSTIX-Italic) *)
    0xfd800043,   (* [2360:209] N + C : -5 (cslSTIX-Italic) *)
    0xf6800041,   (* [2361:210] N + A : -19 (cslSTIX-Italic) *)
    0xfe00002e,   (* [2362:211] N + period : -4 (cslSTIX-Italic) *)
    0x00c0002c,   (* [2363:212] N + comma : 1 (cslSTIX-Italic) *) (*;;*)
    0xe58000c6,   (* [2364:213] O + AE : -53 (cslSTIX-Italic) *)
    0xf80000c5,   (* [2365:214] O + Aring : -16 (cslSTIX-Italic) *)
    0xf80000c4,   (* [2366:215] O + Adieresis : -16 (cslSTIX-Italic) *)
    0xf80000c1,   (* [2367:216] O + Aacute : -16 (cslSTIX-Italic) *)
    0xef000059,   (* [2368:217] O + Y : -34 (cslSTIX-Italic) *)
    0xf3000058,   (* [2369:218] O + X : -26 (cslSTIX-Italic) *)
    0xf4800057,   (* [2370:219] O + W : -23 (cslSTIX-Italic) *)
    0xf1800056,   (* [2371:220] O + V : -29 (cslSTIX-Italic) *)
    0xfd800054,   (* [2372:221] O + T : -5 (cslSTIX-Italic) *)
    0xf8400041,   (* [2373:222] O + A : -16 (cslSTIX-Italic) *) (*;;*)
    0xe2000153,   (* [2374:223] P + oe : -60 (cslSTIX-Italic) *)
    0xea0000f8,   (* [2375:224] P + oslash : -44 (cslSTIX-Italic) *)
    0xe98000f6,   (* [2376:225] P + odieresis : -45 (cslSTIX-Italic) *)
    0xe50000f3,   (* [2377:226] P + oacute : -54 (cslSTIX-Italic) *)
    0xdf0000e9,   (* [2378:227] P + eacute : -66 (cslSTIX-Italic) *)
    0xde8000e6,   (* [2379:228] P + ae : -67 (cslSTIX-Italic) *)
    0xe50000e5,   (* [2380:229] P + aring : -54 (cslSTIX-Italic) *)
    0xe50000e4,   (* [2381:230] P + adieresis : -54 (cslSTIX-Italic) *)
    0xe50000e1,   (* [2382:231] P + aacute : -54 (cslSTIX-Italic) *)
    0xe50000e0,   (* [2383:232] P + agrave : -54 (cslSTIX-Italic) *)
    0xcf0000c6,   (* [2384:233] P + AE : -98 (cslSTIX-Italic) *)
    0xe10000c5,   (* [2385:234] P + Aring : -62 (cslSTIX-Italic) *)
    0xe10000c4,   (* [2386:235] P + Adieresis : -62 (cslSTIX-Italic) *)
    0xe10000c1,   (* [2387:236] P + Aacute : -62 (cslSTIX-Italic) *)
    0xe500006f,   (* [2388:237] P + o : -54 (cslSTIX-Italic) *)
    0xe1800065,   (* [2389:238] P + e : -61 (cslSTIX-Italic) *)
    0xe5000061,   (* [2390:239] P + a : -54 (cslSTIX-Italic) *)
    0xdc00004a,   (* [2391:240] P + J : -72 (cslSTIX-Italic) *)
    0xe1000041,   (* [2392:241] P + A : -62 (cslSTIX-Italic) *)
    0xce80002e,   (* [2393:242] P + period : -99 (cslSTIX-Italic) *)
    0xe900002d,   (* [2394:243] P + hyphen : -46 (cslSTIX-Italic) *)
    0xd040002c,   (* [2395:244] P + comma : -96 (cslSTIX-Italic) *) (*;;*)
    0xf8800153,   (* [2396:245] R + oe : -15 (cslSTIX-Italic) *)
    0xfd800152,   (* [2397:246] R + OE : -5 (cslSTIX-Italic) *)
    0xfc8000fc,   (* [2398:247] R + udieresis : -7 (cslSTIX-Italic) *)
    0xfc8000fa,   (* [2399:248] R + uacute : -7 (cslSTIX-Italic) *)
    0xf90000f6,   (* [2400:249] R + odieresis : -14 (cslSTIX-Italic) *)
    0xf90000f3,   (* [2401:250] R + oacute : -14 (cslSTIX-Italic) *)
    0xf80000e9,   (* [2402:251] R + eacute : -16 (cslSTIX-Italic) *)
    0xfe8000e6,   (* [2403:252] R + ae : -3 (cslSTIX-Italic) *)
    0xfe0000e5,   (* [2404:253] R + aring : -4 (cslSTIX-Italic) *)
    0xfe0000e4,   (* [2405:254] R + adieresis : -4 (cslSTIX-Italic) *)
    0xfe0000e1,   (* [2406:255] R + aacute : -4 (cslSTIX-Italic) *)
    0xf48000dc,   (* [2407:256] R + Udieresis : -23 (cslSTIX-Italic) *)
    0xf90000d6,   (* [2408:257] R + Odieresis : -14 (cslSTIX-Italic) *)
    0xf90000d3,   (* [2409:258] R + Oacute : -14 (cslSTIX-Italic) *)
    0xf98000c7,   (* [2410:259] R + Ccedilla : -13 (cslSTIX-Italic) *)
    0xff800079,   (* [2411:260] R + y : -1 (cslSTIX-Italic) *)
    0xfc800075,   (* [2412:261] R + u : -7 (cslSTIX-Italic) *)
    0xf900006f,   (* [2413:262] R + o : -14 (cslSTIX-Italic) *)
    0xf8000065,   (* [2414:263] R + e : -16 (cslSTIX-Italic) *)
    0xfe000061,   (* [2415:264] R + a : -4 (cslSTIX-Italic) *)
    0xf6800059,   (* [2416:265] R + Y : -19 (cslSTIX-Italic) *)
    0xf1000057,   (* [2417:266] R + W : -30 (cslSTIX-Italic) *)
    0xee000056,   (* [2418:267] R + V : -36 (cslSTIX-Italic) *)
    0xf4800055,   (* [2419:268] R + U : -23 (cslSTIX-Italic) *)
    0xff800054,   (* [2420:269] R + T : -1 (cslSTIX-Italic) *)
    0xf900004f,   (* [2421:270] R + O : -14 (cslSTIX-Italic) *)
    0xfd000047,   (* [2422:271] R + G : -6 (cslSTIX-Italic) *)
    0xf9800043,   (* [2423:272] R + C : -13 (cslSTIX-Italic) *)
    0xf840002d,   (* [2424:273] R + hyphen : -16 (cslSTIX-Italic) *) (*;;*)
    0xf88000c6,   (* [2425:274] S + AE : -15 (cslSTIX-Italic) *)
    0xfe8000c5,   (* [2426:275] S + Aring : -3 (cslSTIX-Italic) *)
    0xfe8000c4,   (* [2427:276] S + Adieresis : -3 (cslSTIX-Italic) *)
    0xfe8000c1,   (* [2428:277] S + Aacute : -3 (cslSTIX-Italic) *)
    0xff800074,   (* [2429:278] S + t : -1 (cslSTIX-Italic) *)
    0xff000059,   (* [2430:279] S + Y : -2 (cslSTIX-Italic) *)
    0x03800057,   (* [2431:280] S + W : 7 (cslSTIX-Italic) *)
    0x02000056,   (* [2432:281] S + V : 4 (cslSTIX-Italic) *)
    0xfec00041,   (* [2433:282] S + A : -3 (cslSTIX-Italic) *) (*;;*)
    0xd6802039,   (* [2434:283] T + guilsinglleft : -83 (cslSTIX-Italic) *)
    0xfd000152,   (* [2435:284] T + OE : -6 (cslSTIX-Italic) *)
    0xdb8000f8,   (* [2436:285] T + oslash : -73 (cslSTIX-Italic) *)
    0xf38000f6,   (* [2437:286] T + odieresis : -25 (cslSTIX-Italic) *)
    0xef0000f4,   (* [2438:287] T + ocircumflex : -34 (cslSTIX-Italic) *)
    0xe38000f3,   (* [2439:288] T + oacute : -57 (cslSTIX-Italic) *)
    0xec0000f2,   (* [2440:289] T + ograve : -40 (cslSTIX-Italic) *)
    0xdc8000e6,   (* [2441:290] T + ae : -71 (cslSTIX-Italic) *)
    0xec8000e4,   (* [2442:291] T + adieresis : -39 (cslSTIX-Italic) *)
    0xec0000e3,   (* [2443:292] T + atilde : -40 (cslSTIX-Italic) *)
    0xe80000e2,   (* [2444:293] T + acircumflex : -48 (cslSTIX-Italic) *)
    0xdd0000e1,   (* [2445:294] T + aacute : -70 (cslSTIX-Italic) *)
    0xe50000e0,   (* [2446:295] T + agrave : -54 (cslSTIX-Italic) *)
    0xf48000d8,   (* [2447:296] T + Oslash : -23 (cslSTIX-Italic) *)
    0xf60000d6,   (* [2448:297] T + Odieresis : -20 (cslSTIX-Italic) *)
    0xf60000d5,   (* [2449:298] T + Otilde : -20 (cslSTIX-Italic) *)
    0xf60000d4,   (* [2450:299] T + Ocircumflex : -20 (cslSTIX-Italic) *)
    0xf60000d3,   (* [2451:300] T + Oacute : -20 (cslSTIX-Italic) *)
    0xf60000d2,   (* [2452:301] T + Ograve : -20 (cslSTIX-Italic) *)
    0xe98000c6,   (* [2453:302] T + AE : -45 (cslSTIX-Italic) *)
    0xef8000c5,   (* [2454:303] T + Aring : -33 (cslSTIX-Italic) *)
    0xef8000c4,   (* [2455:304] T + Adieresis : -33 (cslSTIX-Italic) *)
    0xef8000c3,   (* [2456:305] T + Atilde : -33 (cslSTIX-Italic) *)
    0xef8000c2,   (* [2457:306] T + Acircumflex : -33 (cslSTIX-Italic) *)
    0xef8000c1,   (* [2458:307] T + Aacute : -33 (cslSTIX-Italic) *)
    0xef8000c0,   (* [2459:308] T + Agrave : -33 (cslSTIX-Italic) *)
    0xd60000ab,   (* [2460:309] T + guillemotleft : -84 (cslSTIX-Italic) *)
    0xde000079,   (* [2461:310] T + y : -68 (cslSTIX-Italic) *)
    0xde800077,   (* [2462:311] T + w : -67 (cslSTIX-Italic) *)
    0xdd800076,   (* [2463:312] T + v : -69 (cslSTIX-Italic) *)
    0xde000075,   (* [2464:313] T + u : -68 (cslSTIX-Italic) *)
    0xdb800073,   (* [2465:314] T + s : -73 (cslSTIX-Italic) *)
    0xd7800072,   (* [2466:315] T + r : -81 (cslSTIX-Italic) *)
    0xdb80006f,   (* [2467:316] T + o : -73 (cslSTIX-Italic) *)
    0xf780006a,   (* [2468:317] T + j : -17 (cslSTIX-Italic) *)
    0xf8800069,   (* [2469:318] T + i : -15 (cslSTIX-Italic) *)
    0xd8000067,   (* [2470:319] T + g : -80 (cslSTIX-Italic) *)
    0xda800065,   (* [2471:320] T + e : -75 (cslSTIX-Italic) *)
    0xde000063,   (* [2472:321] T + c : -68 (cslSTIX-Italic) *)
    0xde000061,   (* [2473:322] T + a : -68 (cslSTIX-Italic) *)
    0x0f800059,   (* [2474:323] T + Y : 31 (cslSTIX-Italic) *)
    0x14800057,   (* [2475:324] T + W : 41 (cslSTIX-Italic) *)
    0x13800056,   (* [2476:325] T + V : 39 (cslSTIX-Italic) *)
    0xff800053,   (* [2477:326] T + S : -1 (cslSTIX-Italic) *)
    0xf600004f,   (* [2478:327] T + O : -20 (cslSTIX-Italic) *)
    0xed00004a,   (* [2479:328] T + J : -38 (cslSTIX-Italic) *)
    0xfe000047,   (* [2480:329] T + G : -4 (cslSTIX-Italic) *)
    0xf9800043,   (* [2481:330] T + C : -13 (cslSTIX-Italic) *)
    0xef800041,   (* [2482:331] T + A : -33 (cslSTIX-Italic) *)
    0xeb80003b,   (* [2483:332] T + semicolon : -41 (cslSTIX-Italic) *)
    0xe580003a,   (* [2484:333] T + colon : -53 (cslSTIX-Italic) *)
    0xe280002e,   (* [2485:334] T + period : -59 (cslSTIX-Italic) *)
    0xe580002d,   (* [2486:335] T + hyphen : -53 (cslSTIX-Italic) *)
    0xe440002c,   (* [2487:336] T + comma : -56 (cslSTIX-Italic) *) (*;;*)
    0xde0000c6,   (* [2488:337] U + AE : -68 (cslSTIX-Italic) *)
    0xed0000c5,   (* [2489:338] U + Aring : -38 (cslSTIX-Italic) *)
    0xed0000c4,   (* [2490:339] U + Adieresis : -38 (cslSTIX-Italic) *)
    0xed0000c3,   (* [2491:340] U + Atilde : -38 (cslSTIX-Italic) *)
    0xed0000c2,   (* [2492:341] U + Acircumflex : -38 (cslSTIX-Italic) *)
    0xed0000c1,   (* [2493:342] U + Aacute : -38 (cslSTIX-Italic) *)
    0xef000072,   (* [2494:343] U + r : -34 (cslSTIX-Italic) *)
    0xf4800070,   (* [2495:344] U + p : -23 (cslSTIX-Italic) *)
    0xf680006e,   (* [2496:345] U + n : -19 (cslSTIX-Italic) *)
    0xf700006d,   (* [2497:346] U + m : -18 (cslSTIX-Italic) *)
    0xed000041,   (* [2498:347] U + A : -38 (cslSTIX-Italic) *)
    0xf500002e,   (* [2499:348] U + period : -22 (cslSTIX-Italic) *)
    0xf840002c,   (* [2500:349] U + comma : -16 (cslSTIX-Italic) *) (*;;*)
    0xdf802039,   (* [2501:350] V + guilsinglleft : -65 (cslSTIX-Italic) *)
    0xe40000f8,   (* [2502:351] V + oslash : -56 (cslSTIX-Italic) *)
    0xe80000f6,   (* [2503:352] V + odieresis : -48 (cslSTIX-Italic) *)
    0xe58000f5,   (* [2504:353] V + otilde : -53 (cslSTIX-Italic) *)
    0xe48000f4,   (* [2505:354] V + ocircumflex : -55 (cslSTIX-Italic) *)
    0xe48000f3,   (* [2506:355] V + oacute : -55 (cslSTIX-Italic) *)
    0xec0000f2,   (* [2507:356] V + ograve : -40 (cslSTIX-Italic) *)
    0xe38000e9,   (* [2508:357] V + eacute : -57 (cslSTIX-Italic) *)
    0xed0000e8,   (* [2509:358] V + egrave : -38 (cslSTIX-Italic) *)
    0xe58000e6,   (* [2510:359] V + ae : -53 (cslSTIX-Italic) *)
    0xe68000e5,   (* [2511:360] V + aring : -51 (cslSTIX-Italic) *)
    0xe68000e4,   (* [2512:361] V + adieresis : -51 (cslSTIX-Italic) *)
    0xe68000e3,   (* [2513:362] V + atilde : -51 (cslSTIX-Italic) *)
    0xe68000e2,   (* [2514:363] V + acircumflex : -51 (cslSTIX-Italic) *)
    0xe68000e1,   (* [2515:364] V + aacute : -51 (cslSTIX-Italic) *)
    0xe68000e0,   (* [2516:365] V + agrave : -51 (cslSTIX-Italic) *)
    0xf08000d8,   (* [2517:366] V + Oslash : -31 (cslSTIX-Italic) *)
    0xf08000d6,   (* [2518:367] V + Odieresis : -31 (cslSTIX-Italic) *)
    0xf08000d5,   (* [2519:368] V + Otilde : -31 (cslSTIX-Italic) *)
    0xf08000d4,   (* [2520:369] V + Ocircumflex : -31 (cslSTIX-Italic) *)
    0xf08000d3,   (* [2521:370] V + Oacute : -31 (cslSTIX-Italic) *)
    0xf08000d2,   (* [2522:371] V + Ograve : -31 (cslSTIX-Italic) *)
    0xd68000c6,   (* [2523:372] V + AE : -83 (cslSTIX-Italic) *)
    0xe60000c5,   (* [2524:373] V + Aring : -52 (cslSTIX-Italic) *)
    0xe60000c4,   (* [2525:374] V + Adieresis : -52 (cslSTIX-Italic) *)
    0xe60000c3,   (* [2526:375] V + Atilde : -52 (cslSTIX-Italic) *)
    0xe60000c2,   (* [2527:376] V + Acircumflex : -52 (cslSTIX-Italic) *)
    0xe60000c1,   (* [2528:377] V + Aacute : -52 (cslSTIX-Italic) *)
    0xe60000c0,   (* [2529:378] V + Agrave : -52 (cslSTIX-Italic) *)
    0xdf0000ab,   (* [2530:379] V + guillemotleft : -66 (cslSTIX-Italic) *)
    0xf8000079,   (* [2531:380] V + y : -16 (cslSTIX-Italic) *)
    0xed800075,   (* [2532:381] V + u : -37 (cslSTIX-Italic) *)
    0xeb800072,   (* [2533:382] V + r : -41 (cslSTIX-Italic) *)
    0xe480006f,   (* [2534:383] V + o : -55 (cslSTIX-Italic) *)
    0xf7000069,   (* [2535:384] V + i : -18 (cslSTIX-Italic) *)
    0xda800067,   (* [2536:385] V + g : -75 (cslSTIX-Italic) *)
    0xe3800065,   (* [2537:386] V + e : -57 (cslSTIX-Italic) *)
    0xe6800061,   (* [2538:387] V + a : -51 (cslSTIX-Italic) *)
    0x0f000054,   (* [2539:388] V + T : 30 (cslSTIX-Italic) *)
    0xf7800053,   (* [2540:389] V + S : -17 (cslSTIX-Italic) *)
    0xf080004f,   (* [2541:390] V + O : -31 (cslSTIX-Italic) *)
    0xf5000047,   (* [2542:391] V + G : -22 (cslSTIX-Italic) *)
    0xf1800043,   (* [2543:392] V + C : -29 (cslSTIX-Italic) *)
    0xe6000041,   (* [2544:393] V + A : -52 (cslSTIX-Italic) *)
    0xf500003b,   (* [2545:394] V + semicolon : -22 (cslSTIX-Italic) *)
    0xef00003a,   (* [2546:395] V + colon : -34 (cslSTIX-Italic) *)
    0xdf80002e,   (* [2547:396] V + period : -65 (cslSTIX-Italic) *)
    0xf080002d,   (* [2548:397] V + hyphen : -31 (cslSTIX-Italic) *)
    0xe440002c,   (* [2549:398] V + comma : -56 (cslSTIX-Italic) *) (*;;*)
    0xe7002039,   (* [2550:399] W + guilsinglleft : -50 (cslSTIX-Italic) *)
    0xeb8000f8,   (* [2551:400] W + oslash : -41 (cslSTIX-Italic) *)
    0xeb8000f6,   (* [2552:401] W + odieresis : -41 (cslSTIX-Italic) *)
    0xeb8000f5,   (* [2553:402] W + otilde : -41 (cslSTIX-Italic) *)
    0xeb8000f4,   (* [2554:403] W + ocircumflex : -41 (cslSTIX-Italic) *)
    0xeb8000f3,   (* [2555:404] W + oacute : -41 (cslSTIX-Italic) *)
    0xeb8000f2,   (* [2556:405] W + ograve : -41 (cslSTIX-Italic) *)
    0xea8000e9,   (* [2557:406] W + eacute : -43 (cslSTIX-Italic) *)
    0xec0000e8,   (* [2558:407] W + egrave : -40 (cslSTIX-Italic) *)
    0xea0000e6,   (* [2559:408] W + ae : -44 (cslSTIX-Italic) *)
    0xeb0000e5,   (* [2560:409] W + aring : -42 (cslSTIX-Italic) *)
    0xeb0000e4,   (* [2561:410] W + adieresis : -42 (cslSTIX-Italic) *)
    0xeb0000e3,   (* [2562:411] W + atilde : -42 (cslSTIX-Italic) *)
    0xeb0000e2,   (* [2563:412] W + acircumflex : -42 (cslSTIX-Italic) *)
    0xeb0000e1,   (* [2564:413] W + aacute : -42 (cslSTIX-Italic) *)
    0xeb0000e0,   (* [2565:414] W + agrave : -42 (cslSTIX-Italic) *)
    0xf48000d8,   (* [2566:415] W + Oslash : -23 (cslSTIX-Italic) *)
    0xf48000d6,   (* [2567:416] W + Odieresis : -23 (cslSTIX-Italic) *)
    0xf48000d5,   (* [2568:417] W + Otilde : -23 (cslSTIX-Italic) *)
    0xf48000d4,   (* [2569:418] W + Ocircumflex : -23 (cslSTIX-Italic) *)
    0xf48000d3,   (* [2570:419] W + Oacute : -23 (cslSTIX-Italic) *)
    0xf48000d2,   (* [2571:420] W + Ograve : -23 (cslSTIX-Italic) *)
    0xd88000c6,   (* [2572:421] W + AE : -79 (cslSTIX-Italic) *)
    0xeb0000c5,   (* [2573:422] W + Aring : -42 (cslSTIX-Italic) *)
    0xeb0000c4,   (* [2574:423] W + Adieresis : -42 (cslSTIX-Italic) *)
    0xeb0000c3,   (* [2575:424] W + Atilde : -42 (cslSTIX-Italic) *)
    0xeb0000c2,   (* [2576:425] W + Acircumflex : -42 (cslSTIX-Italic) *)
    0xeb0000c1,   (* [2577:426] W + Aacute : -42 (cslSTIX-Italic) *)
    0xeb0000c0,   (* [2578:427] W + Agrave : -42 (cslSTIX-Italic) *)
    0xe68000ab,   (* [2579:428] W + guillemotleft : -51 (cslSTIX-Italic) *)
    0xfa000079,   (* [2580:429] W + y : -12 (cslSTIX-Italic) *)
    0xf0000075,   (* [2581:430] W + u : -32 (cslSTIX-Italic) *)
    0xed800072,   (* [2582:431] W + r : -37 (cslSTIX-Italic) *)
    0xeb80006f,   (* [2583:432] W + o : -41 (cslSTIX-Italic) *)
    0xf6800069,   (* [2584:433] W + i : -19 (cslSTIX-Italic) *)
    0xe2000067,   (* [2585:434] W + g : -60 (cslSTIX-Italic) *)
    0xea800065,   (* [2586:435] W + e : -43 (cslSTIX-Italic) *)
    0xeb000061,   (* [2587:436] W + a : -42 (cslSTIX-Italic) *)
    0x0e000054,   (* [2588:437] W + T : 28 (cslSTIX-Italic) *)
    0xf7800053,   (* [2589:438] W + S : -17 (cslSTIX-Italic) *)
    0xf480004f,   (* [2590:439] W + O : -23 (cslSTIX-Italic) *)
    0xf9000047,   (* [2591:440] W + G : -14 (cslSTIX-Italic) *)
    0xf5800043,   (* [2592:441] W + C : -21 (cslSTIX-Italic) *)
    0xeb000041,   (* [2593:442] W + A : -42 (cslSTIX-Italic) *)
    0xfa00003b,   (* [2594:443] W + semicolon : -12 (cslSTIX-Italic) *)
    0xf400003a,   (* [2595:444] W + colon : -24 (cslSTIX-Italic) *)
    0xea00002e,   (* [2596:445] W + period : -44 (cslSTIX-Italic) *)
    0xf700002d,   (* [2597:446] W + hyphen : -18 (cslSTIX-Italic) *)
    0xec40002c,   (* [2598:447] W + comma : -40 (cslSTIX-Italic) *) (*;;*)
    0xf00000d6,   (* [2599:448] X + Odieresis : -32 (cslSTIX-Italic) *)
    0xdf800079,   (* [2600:449] X + y : -65 (cslSTIX-Italic) *)
    0xfc800075,   (* [2601:450] X + u : -7 (cslSTIX-Italic) *)
    0xf900006f,   (* [2602:451] X + o : -14 (cslSTIX-Italic) *)
    0xf8000065,   (* [2603:452] X + e : -16 (cslSTIX-Italic) *)
    0xfe800061,   (* [2604:453] X + a : -3 (cslSTIX-Italic) *)
    0xed800051,   (* [2605:454] X + Q : -37 (cslSTIX-Italic) *)
    0xf000004f,   (* [2606:455] X + O : -32 (cslSTIX-Italic) *)
    0xee800043,   (* [2607:456] X + C : -35 (cslSTIX-Italic) *)
    0xf2c0002d,   (* [2608:457] X + hyphen : -27 (cslSTIX-Italic) *) (*;;*)
    0xd9802039,   (* [2609:458] Y + guilsinglleft : -77 (cslSTIX-Italic) *)
    0xe10000f8,   (* [2610:459] Y + oslash : -62 (cslSTIX-Italic) *)
    0xe28000e6,   (* [2611:460] Y + ae : -59 (cslSTIX-Italic) *)
    0xee0000d8,   (* [2612:461] Y + Oslash : -36 (cslSTIX-Italic) *)
    0xee0000d6,   (* [2613:462] Y + Odieresis : -36 (cslSTIX-Italic) *)
    0xee0000d5,   (* [2614:463] Y + Otilde : -36 (cslSTIX-Italic) *)
    0xee0000d4,   (* [2615:464] Y + Ocircumflex : -36 (cslSTIX-Italic) *)
    0xee0000d3,   (* [2616:465] Y + Oacute : -36 (cslSTIX-Italic) *)
    0xee0000d2,   (* [2617:466] Y + Ograve : -36 (cslSTIX-Italic) *)
    0xed0000c6,   (* [2618:467] Y + AE : -38 (cslSTIX-Italic) *)
    0xf28000c5,   (* [2619:468] Y + Aring : -27 (cslSTIX-Italic) *)
    0xf28000c4,   (* [2620:469] Y + Adieresis : -27 (cslSTIX-Italic) *)
    0xf28000c3,   (* [2621:470] Y + Atilde : -27 (cslSTIX-Italic) *)
    0xf28000c2,   (* [2622:471] Y + Acircumflex : -27 (cslSTIX-Italic) *)
    0xf28000c1,   (* [2623:472] Y + Aacute : -27 (cslSTIX-Italic) *)
    0xf28000c0,   (* [2624:473] Y + Agrave : -27 (cslSTIX-Italic) *)
    0xd90000ab,   (* [2625:474] Y + guillemotleft : -78 (cslSTIX-Italic) *)
    0xf0800076,   (* [2626:475] Y + v : -31 (cslSTIX-Italic) *)
    0xe5800075,   (* [2627:476] Y + u : -53 (cslSTIX-Italic) *)
    0xe5800070,   (* [2628:477] Y + p : -53 (cslSTIX-Italic) *)
    0xe180006f,   (* [2629:478] Y + o : -61 (cslSTIX-Italic) *)
    0xf8000069,   (* [2630:479] Y + i : -16 (cslSTIX-Italic) *)
    0xd7000067,   (* [2631:480] Y + g : -82 (cslSTIX-Italic) *)
    0xe0800065,   (* [2632:481] Y + e : -63 (cslSTIX-Italic) *)
    0xe4000061,   (* [2633:482] Y + a : -56 (cslSTIX-Italic) *)
    0x0f000054,   (* [2634:483] Y + T : 30 (cslSTIX-Italic) *)
    0xf8800053,   (* [2635:484] Y + S : -15 (cslSTIX-Italic) *)
    0xee00004f,   (* [2636:485] Y + O : -36 (cslSTIX-Italic) *)
    0xf2800047,   (* [2637:486] Y + G : -27 (cslSTIX-Italic) *)
    0xef000043,   (* [2638:487] Y + C : -34 (cslSTIX-Italic) *)
    0xf2800041,   (* [2639:488] Y + A : -27 (cslSTIX-Italic) *)
    0xf180003b,   (* [2640:489] Y + semicolon : -29 (cslSTIX-Italic) *)
    0xec00003a,   (* [2641:490] Y + colon : -40 (cslSTIX-Italic) *)
    0xe580002e,   (* [2642:491] Y + period : -53 (cslSTIX-Italic) *)
    0xe880002d,   (* [2643:492] Y + hyphen : -47 (cslSTIX-Italic) *)
    0xe740002c,   (* [2644:493] Y + comma : -50 (cslSTIX-Italic) *) (*;;*)
    0xfc800079,   (* [2645:494] Z + y : -7 (cslSTIX-Italic) *)
    0x02c00077,   (* [2646:495] Z + w : 5 (cslSTIX-Italic) *) (*;;*)
    0xf5002019,   (* [2647:496] a + quoteright : -22 (cslSTIX-Italic) *)
    0x01000079,   (* [2648:497] a + y : 2 (cslSTIX-Italic) *)
    0x01800077,   (* [2649:498] a + w : 3 (cslSTIX-Italic) *)
    0xfec0006a,   (* [2650:499] a + j : -3 (cslSTIX-Italic) *) (*;;*)
    0xff000079,   (* [2651:500] b + y : -2 (cslSTIX-Italic) *)
    0xfd800077,   (* [2652:501] b + w : -5 (cslSTIX-Italic) *)
    0xfcc00076,   (* [2653:502] b + v : -7 (cslSTIX-Italic) *) (*;;*)
    0xf200006b,   (* [2654:503] c + k : -28 (cslSTIX-Italic) *)
    0xf3400068,   (* [2655:504] c + h : -26 (cslSTIX-Italic) *) (*;;*)
    0xf8002019,   (* [2656:505] e + quoteright : -16 (cslSTIX-Italic) *)
    0x01800079,   (* [2657:506] e + y : 3 (cslSTIX-Italic) *)
    0xfa000078,   (* [2658:507] e + x : -12 (cslSTIX-Italic) *)
    0x01000077,   (* [2659:508] e + w : 2 (cslSTIX-Italic) *)
    0xf8c00074,   (* [2660:509] e + t : -15 (cslSTIX-Italic) *) (*;;*)
    0x08802019,   (* [2661:510] f + quoteright : 17 (cslSTIX-Italic) *)
    0xfb000153,   (* [2662:511] f + oe : -10 (cslSTIX-Italic) *)
    0xf60000f8,   (* [2663:512] f + oslash : -20 (cslSTIX-Italic) *)
    0x018000f6,   (* [2664:513] f + odieresis : 3 (cslSTIX-Italic) *)
    0xf68000f4,   (* [2665:514] f + ocircumflex : -19 (cslSTIX-Italic) *)
    0xf68000f3,   (* [2666:515] f + oacute : -19 (cslSTIX-Italic) *)
    0xfa8000f2,   (* [2667:516] f + ograve : -11 (cslSTIX-Italic) *)
    0xf58000ea,   (* [2668:517] f + ecircumflex : -21 (cslSTIX-Italic) *)
    0xf58000e9,   (* [2669:518] f + eacute : -21 (cslSTIX-Italic) *)
    0xfb8000e8,   (* [2670:519] f + egrave : -9 (cslSTIX-Italic) *)
    0xf78000e6,   (* [2671:520] f + ae : -17 (cslSTIX-Italic) *)
    0xf90000e5,   (* [2672:521] f + aring : -14 (cslSTIX-Italic) *)
    0xfb0000e4,   (* [2673:522] f + adieresis : -10 (cslSTIX-Italic) *)
    0xf90000e1,   (* [2674:523] f + aacute : -14 (cslSTIX-Italic) *)
    0x09000074,   (* [2675:524] f + t : 18 (cslSTIX-Italic) *)
    0xf7800073,   (* [2676:525] f + s : -17 (cslSTIX-Italic) *)
    0xf900006f,   (* [2677:526] f + o : -14 (cslSTIX-Italic) *)
    0x1480006c,   (* [2678:527] f + l : 41 (cslSTIX-Italic) *)
    0x0700006a,   (* [2679:528] f + j : 14 (cslSTIX-Italic) *)
    0x08000069,   (* [2680:529] f + i : 16 (cslSTIX-Italic) *)
    0x0e800066,   (* [2681:530] f + f : 29 (cslSTIX-Italic) *)
    0xf5800065,   (* [2682:531] f + e : -21 (cslSTIX-Italic) *)
    0xf9000061,   (* [2683:532] f + a : -14 (cslSTIX-Italic) *)
    0x1920006a,   (* [2684:533] f + j ligature #50 (cslSTIX-Italic) *)
    0x19a0006c,   (* [2685:534] f + l ligature #51 (cslSTIX-Italic) *)
    0x1a200069,   (* [2686:535] f + i ligature #52 (cslSTIX-Italic) *)
    0x1ae00066,   (* [2687:536] f + f ligature #53 (cslSTIX-Italic) *) (*;;*)
    0xf08000f6,   (* [2688:537] g + odieresis : -31 (cslSTIX-Italic) *)
    0xf08000f3,   (* [2689:538] g + oacute : -31 (cslSTIX-Italic) *)
    0xef8000eb,   (* [2690:539] g + edieresis : -33 (cslSTIX-Italic) *)
    0xef8000ea,   (* [2691:540] g + ecircumflex : -33 (cslSTIX-Italic) *)
    0xef8000e9,   (* [2692:541] g + eacute : -33 (cslSTIX-Italic) *)
    0xef8000e8,   (* [2693:542] g + egrave : -33 (cslSTIX-Italic) *)
    0xef8000e6,   (* [2694:543] g + ae : -33 (cslSTIX-Italic) *)
    0xf10000e5,   (* [2695:544] g + aring : -30 (cslSTIX-Italic) *)
    0xf10000e4,   (* [2696:545] g + adieresis : -30 (cslSTIX-Italic) *)
    0xf5800072,   (* [2697:546] g + r : -21 (cslSTIX-Italic) *)
    0xef00006c,   (* [2698:547] g + l : -34 (cslSTIX-Italic) *)
    0xef800065,   (* [2699:548] g + e : -33 (cslSTIX-Italic) *)
    0xf1400061,   (* [2700:549] g + a : -30 (cslSTIX-Italic) *) (*;;*)
    0xf3002019,   (* [2701:550] h + quoteright : -26 (cslSTIX-Italic) *)
    0xfe400079,   (* [2702:551] h + y : -4 (cslSTIX-Italic) *) (*;;*)
    0xf480006a,   (* [2703:552] i + j : -23 (cslSTIX-Italic) *)
    0xfa800054,   (* [2704:553] i + T : -11 (cslSTIX-Italic) *)
    0x1b60006a,   (* [2705:554] i + j ligature #54 (cslSTIX-Italic) *) (*;;*)
    0x040000fc,   (* [2706:555] k + udieresis : 8 (cslSTIX-Italic) *)
    0x030000f6,   (* [2707:556] k + odieresis : 6 (cslSTIX-Italic) *)
    0x030000f3,   (* [2708:557] k + oacute : 6 (cslSTIX-Italic) *)
    0x020000e9,   (* [2709:558] k + eacute : 4 (cslSTIX-Italic) *)
    0x020000e8,   (* [2710:559] k + egrave : 4 (cslSTIX-Italic) *)
    0x048000e6,   (* [2711:560] k + ae : 9 (cslSTIX-Italic) *)
    0x060000e5,   (* [2712:561] k + aring : 12 (cslSTIX-Italic) *)
    0x060000e4,   (* [2713:562] k + adieresis : 12 (cslSTIX-Italic) *)
    0x060000e1,   (* [2714:563] k + aacute : 12 (cslSTIX-Italic) *)
    0x04000075,   (* [2715:564] k + u : 8 (cslSTIX-Italic) *)
    0x03000073,   (* [2716:565] k + s : 6 (cslSTIX-Italic) *)
    0x0300006f,   (* [2717:566] k + o : 6 (cslSTIX-Italic) *)
    0xf2800067,   (* [2718:567] k + g : -27 (cslSTIX-Italic) *)
    0x02000065,   (* [2719:568] k + e : 4 (cslSTIX-Italic) *)
    0x06000061,   (* [2720:569] k + a : 12 (cslSTIX-Italic) *)
    0x0d00002e,   (* [2721:570] k + period : 26 (cslSTIX-Italic) *)
    0xef00002d,   (* [2722:571] k + hyphen : -34 (cslSTIX-Italic) *)
    0x0ec0002c,   (* [2723:572] k + comma : 29 (cslSTIX-Italic) *) (*;;*)
    0xfb000079,   (* [2724:573] l + y : -10 (cslSTIX-Italic) *)
    0xfac00076,   (* [2725:574] l + v : -11 (cslSTIX-Italic) *) (*;;*)
    0xfe800079,   (* [2726:575] m + y : -3 (cslSTIX-Italic) *)
    0xfe000077,   (* [2727:576] m + w : -4 (cslSTIX-Italic) *)
    0xfd000076,   (* [2728:577] m + v : -6 (cslSTIX-Italic) *)
    0x01c00070,   (* [2729:578] m + p : 3 (cslSTIX-Italic) *) (*;;*)
    0xf2002019,   (* [2730:579] n + quoteright : -28 (cslSTIX-Italic) *)
    0xfc800079,   (* [2731:580] n + y : -7 (cslSTIX-Italic) *)
    0xfc800077,   (* [2732:581] n + w : -7 (cslSTIX-Italic) *)
    0xfb000076,   (* [2733:582] n + v : -10 (cslSTIX-Italic) *)
    0xebc00054,   (* [2734:583] n + T : -41 (cslSTIX-Italic) *) (*;;*)
    0xf6802019,   (* [2735:584] o + quoteright : -19 (cslSTIX-Italic) *)
    0xfc000079,   (* [2736:585] o + y : -8 (cslSTIX-Italic) *)
    0xf2800078,   (* [2737:586] o + x : -27 (cslSTIX-Italic) *)
    0xfa000077,   (* [2738:587] o + w : -12 (cslSTIX-Italic) *)
    0xf9000076,   (* [2739:588] o + v : -14 (cslSTIX-Italic) *)
    0xfd800074,   (* [2740:589] o + t : -5 (cslSTIX-Italic) *)
    0xe7400054,   (* [2741:590] o + T : -50 (cslSTIX-Italic) *) (*;;*)
    0xfe000079,   (* [2742:591] p + y : -4 (cslSTIX-Italic) *)
    0xfdc00074,   (* [2743:592] p + t : -5 (cslSTIX-Italic) *) (*;;*)
    0xff000075,   (* [2744:593] q + u : -2 (cslSTIX-Italic) *)
    0xff400063,   (* [2745:594] q + c : -2 (cslSTIX-Italic) *) (*;;*)
    0xf4800153,   (* [2746:595] r + oe : -23 (cslSTIX-Italic) *)
    0xf18000f8,   (* [2747:596] r + oslash : -29 (cslSTIX-Italic) *)
    0xf20000f6,   (* [2748:597] r + odieresis : -28 (cslSTIX-Italic) *)
    0xf20000f4,   (* [2749:598] r + ocircumflex : -28 (cslSTIX-Italic) *)
    0xf20000f3,   (* [2750:599] r + oacute : -28 (cslSTIX-Italic) *)
    0xf20000f2,   (* [2751:600] r + ograve : -28 (cslSTIX-Italic) *)
    0xf08000ea,   (* [2752:601] r + ecircumflex : -31 (cslSTIX-Italic) *)
    0xf08000e9,   (* [2753:602] r + eacute : -31 (cslSTIX-Italic) *)
    0xf08000e8,   (* [2754:603] r + egrave : -31 (cslSTIX-Italic) *)
    0xf60000e7,   (* [2755:604] r + ccedilla : -20 (cslSTIX-Italic) *)
    0xef0000e6,   (* [2756:605] r + ae : -34 (cslSTIX-Italic) *)
    0xf20000e5,   (* [2757:606] r + aring : -28 (cslSTIX-Italic) *)
    0xf20000e4,   (* [2758:607] r + adieresis : -28 (cslSTIX-Italic) *)
    0xf20000e2,   (* [2759:608] r + acircumflex : -28 (cslSTIX-Italic) *)
    0xf20000e1,   (* [2760:609] r + aacute : -28 (cslSTIX-Italic) *)
    0xf20000e0,   (* [2761:610] r + agrave : -28 (cslSTIX-Italic) *)
    0xff80007a,   (* [2762:611] r + z : -1 (cslSTIX-Italic) *)
    0x0f800079,   (* [2763:612] r + y : 31 (cslSTIX-Italic) *)
    0x03800078,   (* [2764:613] r + x : 7 (cslSTIX-Italic) *)
    0x0f800077,   (* [2765:614] r + w : 31 (cslSTIX-Italic) *)
    0x0e800076,   (* [2766:615] r + v : 29 (cslSTIX-Italic) *)
    0x05800075,   (* [2767:616] r + u : 11 (cslSTIX-Italic) *)
    0x06000074,   (* [2768:617] r + t : 12 (cslSTIX-Italic) *)
    0xf7800073,   (* [2769:618] r + s : -17 (cslSTIX-Italic) *)
    0x01800072,   (* [2770:619] r + r : 3 (cslSTIX-Italic) *)
    0xf1800071,   (* [2771:620] r + q : -29 (cslSTIX-Italic) *)
    0x05800070,   (* [2772:621] r + p : 11 (cslSTIX-Italic) *)
    0xf200006f,   (* [2773:622] r + o : -28 (cslSTIX-Italic) *)
    0x0800006e,   (* [2774:623] r + n : 16 (cslSTIX-Italic) *)
    0x0880006d,   (* [2775:624] r + m : 17 (cslSTIX-Italic) *)
    0xf580006c,   (* [2776:625] r + l : -21 (cslSTIX-Italic) *)
    0xf800006b,   (* [2777:626] r + k : -16 (cslSTIX-Italic) *)
    0x0180006a,   (* [2778:627] r + j : 3 (cslSTIX-Italic) *)
    0x04000069,   (* [2779:628] r + i : 8 (cslSTIX-Italic) *)
    0xf7800068,   (* [2780:629] r + h : -17 (cslSTIX-Italic) *)
    0xf4000067,   (* [2781:630] r + g : -24 (cslSTIX-Italic) *)
    0x0b000066,   (* [2782:631] r + f : 22 (cslSTIX-Italic) *)
    0xf0800065,   (* [2783:632] r + e : -31 (cslSTIX-Italic) *)
    0xf1800064,   (* [2784:633] r + d : -29 (cslSTIX-Italic) *)
    0xf3800063,   (* [2785:634] r + c : -25 (cslSTIX-Italic) *)
    0xf2000061,   (* [2786:635] r + a : -28 (cslSTIX-Italic) *)
    0xf680003b,   (* [2787:636] r + semicolon : -19 (cslSTIX-Italic) *)
    0xf380003a,   (* [2788:637] r + colon : -25 (cslSTIX-Italic) *)
    0xe100002e,   (* [2789:638] r + period : -62 (cslSTIX-Italic) *)
    0xea00002d,   (* [2790:639] r + hyphen : -44 (cslSTIX-Italic) *)
    0xe3c0002c,   (* [2791:640] r + comma : -57 (cslSTIX-Italic) *) (*;;*)
    0xf9802019,   (* [2792:641] s + quoteright : -13 (cslSTIX-Italic) *)
    0xfd400074,   (* [2793:642] s + t : -6 (cslSTIX-Italic) *) (*;;*)
    0xfb002019,   (* [2794:643] t + quoteright : -10 (cslSTIX-Italic) *)
    0xfc0000f6,   (* [2795:644] t + odieresis : -8 (cslSTIX-Italic) *)
    0xfc0000f3,   (* [2796:645] t + oacute : -8 (cslSTIX-Italic) *)
    0xfb0000e9,   (* [2797:646] t + eacute : -10 (cslSTIX-Italic) *)
    0xfb8000e6,   (* [2798:647] t + ae : -9 (cslSTIX-Italic) *)
    0xfd0000e5,   (* [2799:648] t + aring : -6 (cslSTIX-Italic) *)
    0xfd0000e4,   (* [2800:649] t + adieresis : -6 (cslSTIX-Italic) *)
    0xfd0000e1,   (* [2801:650] t + aacute : -6 (cslSTIX-Italic) *)
    0xfc00006f,   (* [2802:651] t + o : -8 (cslSTIX-Italic) *)
    0xfe000068,   (* [2803:652] t + h : -4 (cslSTIX-Italic) *)
    0xfb000065,   (* [2804:653] t + e : -10 (cslSTIX-Italic) *)
    0xfe800061,   (* [2805:654] t + a : -3 (cslSTIX-Italic) *)
    0xff000053,   (* [2806:655] t + S : -2 (cslSTIX-Italic) *)
    0x0880003b,   (* [2807:656] t + semicolon : 17 (cslSTIX-Italic) *)
    0x02c0003a,   (* [2808:657] t + colon : 5 (cslSTIX-Italic) *) (*;;*)
    0xf5c02019,   (* [2809:658] u + quoteright : -21 (cslSTIX-Italic) *) (*;;*)
    0xf68000f8,   (* [2810:659] v + oslash : -19 (cslSTIX-Italic) *)
    0xf70000f6,   (* [2811:660] v + odieresis : -18 (cslSTIX-Italic) *)
    0xf70000f3,   (* [2812:661] v + oacute : -18 (cslSTIX-Italic) *)
    0xf70000f2,   (* [2813:662] v + ograve : -18 (cslSTIX-Italic) *)
    0xf60000ea,   (* [2814:663] v + ecircumflex : -20 (cslSTIX-Italic) *)
    0xf60000e9,   (* [2815:664] v + eacute : -20 (cslSTIX-Italic) *)
    0xf60000e8,   (* [2816:665] v + egrave : -20 (cslSTIX-Italic) *)
    0xf60000e6,   (* [2817:666] v + ae : -20 (cslSTIX-Italic) *)
    0xf78000e5,   (* [2818:667] v + aring : -17 (cslSTIX-Italic) *)
    0xf78000e4,   (* [2819:668] v + adieresis : -17 (cslSTIX-Italic) *)
    0xf78000e3,   (* [2820:669] v + atilde : -17 (cslSTIX-Italic) *)
    0xf78000e2,   (* [2821:670] v + acircumflex : -17 (cslSTIX-Italic) *)
    0xf78000e1,   (* [2822:671] v + aacute : -17 (cslSTIX-Italic) *)
    0xf78000e0,   (* [2823:672] v + agrave : -17 (cslSTIX-Italic) *)
    0xf4000073,   (* [2824:673] v + s : -24 (cslSTIX-Italic) *)
    0xf880006f,   (* [2825:674] v + o : -15 (cslSTIX-Italic) *)
    0xf500006c,   (* [2826:675] v + l : -22 (cslSTIX-Italic) *)
    0xed800067,   (* [2827:676] v + g : -37 (cslSTIX-Italic) *)
    0xf6000065,   (* [2828:677] v + e : -20 (cslSTIX-Italic) *)
    0xf8000063,   (* [2829:678] v + c : -16 (cslSTIX-Italic) *)
    0xf9000061,   (* [2830:679] v + a : -14 (cslSTIX-Italic) *)
    0x0200003b,   (* [2831:680] v + semicolon : 4 (cslSTIX-Italic) *)
    0xfc80003a,   (* [2832:681] v + colon : -7 (cslSTIX-Italic) *)
    0xec00002e,   (* [2833:682] v + period : -40 (cslSTIX-Italic) *)
    0x0200002d,   (* [2834:683] v + hyphen : 4 (cslSTIX-Italic) *)
    0xed40002c,   (* [2835:684] v + comma : -38 (cslSTIX-Italic) *) (*;;*)
    0xf68000f8,   (* [2836:685] w + oslash : -19 (cslSTIX-Italic) *)
    0xf68000f6,   (* [2837:686] w + odieresis : -19 (cslSTIX-Italic) *)
    0xf68000f3,   (* [2838:687] w + oacute : -19 (cslSTIX-Italic) *)
    0xf68000f2,   (* [2839:688] w + ograve : -19 (cslSTIX-Italic) *)
    0xf58000ea,   (* [2840:689] w + ecircumflex : -21 (cslSTIX-Italic) *)
    0xf58000e9,   (* [2841:690] w + eacute : -21 (cslSTIX-Italic) *)
    0xf58000e8,   (* [2842:691] w + egrave : -21 (cslSTIX-Italic) *)
    0xf58000e6,   (* [2843:692] w + ae : -21 (cslSTIX-Italic) *)
    0xf70000e5,   (* [2844:693] w + aring : -18 (cslSTIX-Italic) *)
    0xf70000e4,   (* [2845:694] w + adieresis : -18 (cslSTIX-Italic) *)
    0xf70000e3,   (* [2846:695] w + atilde : -18 (cslSTIX-Italic) *)
    0xf70000e2,   (* [2847:696] w + acircumflex : -18 (cslSTIX-Italic) *)
    0xf70000e1,   (* [2848:697] w + aacute : -18 (cslSTIX-Italic) *)
    0xf70000e0,   (* [2849:698] w + agrave : -18 (cslSTIX-Italic) *)
    0xf3800073,   (* [2850:699] w + s : -25 (cslSTIX-Italic) *)
    0xf680006f,   (* [2851:700] w + o : -19 (cslSTIX-Italic) *)
    0xf500006c,   (* [2852:701] w + l : -22 (cslSTIX-Italic) *)
    0xed800067,   (* [2853:702] w + g : -37 (cslSTIX-Italic) *)
    0xf5800065,   (* [2854:703] w + e : -21 (cslSTIX-Italic) *)
    0xf7800063,   (* [2855:704] w + c : -17 (cslSTIX-Italic) *)
    0xf7000061,   (* [2856:705] w + a : -18 (cslSTIX-Italic) *)
    0xfc00003a,   (* [2857:706] w + colon : -8 (cslSTIX-Italic) *)
    0xeb80002e,   (* [2858:707] w + period : -41 (cslSTIX-Italic) *)
    0x0080002d,   (* [2859:708] w + hyphen : 1 (cslSTIX-Italic) *)
    0xed40002c,   (* [2860:709] w + comma : -38 (cslSTIX-Italic) *) (*;;*)
    0xfe8000e9,   (* [2861:710] x + eacute : -3 (cslSTIX-Italic) *)
    0xff80006f,   (* [2862:711] x + o : -1 (cslSTIX-Italic) *)
    0xfe800065,   (* [2863:712] x + e : -3 (cslSTIX-Italic) *)
    0xfe800063,   (* [2864:713] x + c : -3 (cslSTIX-Italic) *)
    0x02400061,   (* [2865:714] x + a : 4 (cslSTIX-Italic) *) (*;;*)
    0xfd8000f8,   (* [2866:715] y + oslash : -5 (cslSTIX-Italic) *)
    0xfd8000f6,   (* [2867:716] y + odieresis : -5 (cslSTIX-Italic) *)
    0xfd8000f3,   (* [2868:717] y + oacute : -5 (cslSTIX-Italic) *)
    0xfd8000f2,   (* [2869:718] y + ograve : -5 (cslSTIX-Italic) *)
    0xfc8000ea,   (* [2870:719] y + ecircumflex : -7 (cslSTIX-Italic) *)
    0xfc8000e9,   (* [2871:720] y + eacute : -7 (cslSTIX-Italic) *)
    0xfc8000e8,   (* [2872:721] y + egrave : -7 (cslSTIX-Italic) *)
    0xfd0000e6,   (* [2873:722] y + ae : -6 (cslSTIX-Italic) *)
    0xfe8000e5,   (* [2874:723] y + aring : -3 (cslSTIX-Italic) *)
    0xfe8000e4,   (* [2875:724] y + adieresis : -3 (cslSTIX-Italic) *)
    0xfe8000e3,   (* [2876:725] y + atilde : -3 (cslSTIX-Italic) *)
    0xfe8000e2,   (* [2877:726] y + acircumflex : -3 (cslSTIX-Italic) *)
    0xfe8000e1,   (* [2878:727] y + aacute : -3 (cslSTIX-Italic) *)
    0xfe8000e0,   (* [2879:728] y + agrave : -3 (cslSTIX-Italic) *)
    0xf9800073,   (* [2880:729] y + s : -13 (cslSTIX-Italic) *)
    0xfd80006f,   (* [2881:730] y + o : -5 (cslSTIX-Italic) *)
    0xfb80006c,   (* [2882:731] y + l : -9 (cslSTIX-Italic) *)
    0xf4000067,   (* [2883:732] y + g : -24 (cslSTIX-Italic) *)
    0xfc800065,   (* [2884:733] y + e : -7 (cslSTIX-Italic) *)
    0xfe800063,   (* [2885:734] y + c : -3 (cslSTIX-Italic) *)
    0xfe800061,   (* [2886:735] y + a : -3 (cslSTIX-Italic) *)
    0x0600003b,   (* [2887:736] y + semicolon : 12 (cslSTIX-Italic) *)
    0x0280003a,   (* [2888:737] y + colon : 5 (cslSTIX-Italic) *)
    0xf800002e,   (* [2889:738] y + period : -16 (cslSTIX-Italic) *)
    0x0700002d,   (* [2890:739] y + hyphen : 14 (cslSTIX-Italic) *)
    0xfa40002c,   (* [2891:740] y + comma : -12 (cslSTIX-Italic) *) (*;;*)
    0xed8000c6,   (* [2892:741] guillemotright + AE : -37 (cslSTIX-Italic) *)
    0xfa8000c5,   (* [2893:742] guillemotright + Aring : -11 (cslSTIX-Italic) *)
    0xfa8000c4,   (* [2894:743] guillemotright + Adieresis : -11 (cslSTIX-Italic) *)
    0xfa8000c1,   (* [2895:744] guillemotright + Aacute : -11 (cslSTIX-Italic) *)
    0xdf800059,   (* [2896:745] guillemotright + Y : -65 (cslSTIX-Italic) *)
    0xe5800057,   (* [2897:746] guillemotright + W : -53 (cslSTIX-Italic) *)
    0xe2000056,   (* [2898:747] guillemotright + V : -60 (cslSTIX-Italic) *)
    0xe2000054,   (* [2899:748] guillemotright + T : -60 (cslSTIX-Italic) *)
    0xfac00041,   (* [2900:749] guillemotright + A : -11 (cslSTIX-Italic) *) (*;;*)
    0xf6000059,   (* [2901:750] Agrave + Y : -20 (cslSTIX-Italic) *)
    0xe2800057,   (* [2902:751] Agrave + W : -59 (cslSTIX-Italic) *)
    0xdf800056,   (* [2903:752] Agrave + V : -65 (cslSTIX-Italic) *)
    0xe9000055,   (* [2904:753] Agrave + U : -46 (cslSTIX-Italic) *)
    0xf9000054,   (* [2905:754] Agrave + T : -14 (cslSTIX-Italic) *)
    0xee000051,   (* [2906:755] Agrave + Q : -36 (cslSTIX-Italic) *)
    0xed80004f,   (* [2907:756] Agrave + O : -37 (cslSTIX-Italic) *)
    0xf1800047,   (* [2908:757] Agrave + G : -29 (cslSTIX-Italic) *)
    0xee000043,   (* [2909:758] Agrave + C : -36 (cslSTIX-Italic) *)
    0x0980002e,   (* [2910:759] Agrave + period : 19 (cslSTIX-Italic) *)
    0x09c0002c,   (* [2911:760] Agrave + comma : 19 (cslSTIX-Italic) *) (*;;*)
    0xf2002039,   (* [2912:761] Aacute + guilsinglleft : -28 (cslSTIX-Italic) *)
    0xd980201d,   (* [2913:762] Aacute + quotedblright : -77 (cslSTIX-Italic) *)
    0xd9802019,   (* [2914:763] Aacute + quoteright : -77 (cslSTIX-Italic) *)
    0xf18000ab,   (* [2915:764] Aacute + guillemotleft : -29 (cslSTIX-Italic) *)
    0xe5000079,   (* [2916:765] Aacute + y : -54 (cslSTIX-Italic) *)
    0xf0000077,   (* [2917:766] Aacute + w : -32 (cslSTIX-Italic) *)
    0xee800076,   (* [2918:767] Aacute + v : -35 (cslSTIX-Italic) *)
    0xfb800075,   (* [2919:768] Aacute + u : -9 (cslSTIX-Italic) *)
    0xfc800074,   (* [2920:769] Aacute + t : -7 (cslSTIX-Italic) *)
    0xfa800071,   (* [2921:770] Aacute + q : -11 (cslSTIX-Italic) *)
    0xf800006f,   (* [2922:771] Aacute + o : -16 (cslSTIX-Italic) *)
    0xf0800067,   (* [2923:772] Aacute + g : -31 (cslSTIX-Italic) *)
    0xf7000065,   (* [2924:773] Aacute + e : -18 (cslSTIX-Italic) *)
    0xfe000064,   (* [2925:774] Aacute + d : -4 (cslSTIX-Italic) *)
    0xf7800063,   (* [2926:775] Aacute + c : -17 (cslSTIX-Italic) *)
    0xfd800061,   (* [2927:776] Aacute + a : -5 (cslSTIX-Italic) *)
    0xf6000059,   (* [2928:777] Aacute + Y : -20 (cslSTIX-Italic) *)
    0xe2800057,   (* [2929:778] Aacute + W : -59 (cslSTIX-Italic) *)
    0xdf800056,   (* [2930:779] Aacute + V : -65 (cslSTIX-Italic) *)
    0xe9000055,   (* [2931:780] Aacute + U : -46 (cslSTIX-Italic) *)
    0xf9000054,   (* [2932:781] Aacute + T : -14 (cslSTIX-Italic) *)
    0xee000051,   (* [2933:782] Aacute + Q : -36 (cslSTIX-Italic) *)
    0xed80004f,   (* [2934:783] Aacute + O : -37 (cslSTIX-Italic) *)
    0xf1800047,   (* [2935:784] Aacute + G : -29 (cslSTIX-Italic) *)
    0xee000043,   (* [2936:785] Aacute + C : -36 (cslSTIX-Italic) *)
    0x0980002e,   (* [2937:786] Aacute + period : 19 (cslSTIX-Italic) *)
    0x09c0002c,   (* [2938:787] Aacute + comma : 19 (cslSTIX-Italic) *) (*;;*)
    0xf6000059,   (* [2939:788] Acircumflex + Y : -20 (cslSTIX-Italic) *)
    0xe2800057,   (* [2940:789] Acircumflex + W : -59 (cslSTIX-Italic) *)
    0xdf800056,   (* [2941:790] Acircumflex + V : -65 (cslSTIX-Italic) *)
    0xe9000055,   (* [2942:791] Acircumflex + U : -46 (cslSTIX-Italic) *)
    0xf9000054,   (* [2943:792] Acircumflex + T : -14 (cslSTIX-Italic) *)
    0xee000051,   (* [2944:793] Acircumflex + Q : -36 (cslSTIX-Italic) *)
    0xed80004f,   (* [2945:794] Acircumflex + O : -37 (cslSTIX-Italic) *)
    0xf1800047,   (* [2946:795] Acircumflex + G : -29 (cslSTIX-Italic) *)
    0xee000043,   (* [2947:796] Acircumflex + C : -36 (cslSTIX-Italic) *)
    0x0980002e,   (* [2948:797] Acircumflex + period : 19 (cslSTIX-Italic) *)
    0x09c0002c,   (* [2949:798] Acircumflex + comma : 19 (cslSTIX-Italic) *) (*;;*)
    0xf6000059,   (* [2950:799] Atilde + Y : -20 (cslSTIX-Italic) *)
    0xe2800057,   (* [2951:800] Atilde + W : -59 (cslSTIX-Italic) *)
    0xdf000056,   (* [2952:801] Atilde + V : -66 (cslSTIX-Italic) *)
    0xe9800055,   (* [2953:802] Atilde + U : -45 (cslSTIX-Italic) *)
    0xf9000054,   (* [2954:803] Atilde + T : -14 (cslSTIX-Italic) *)
    0xee000051,   (* [2955:804] Atilde + Q : -36 (cslSTIX-Italic) *)
    0xed80004f,   (* [2956:805] Atilde + O : -37 (cslSTIX-Italic) *)
    0xf1800047,   (* [2957:806] Atilde + G : -29 (cslSTIX-Italic) *)
    0xee000043,   (* [2958:807] Atilde + C : -36 (cslSTIX-Italic) *)
    0x0880002e,   (* [2959:808] Atilde + period : 17 (cslSTIX-Italic) *)
    0x0a40002c,   (* [2960:809] Atilde + comma : 20 (cslSTIX-Italic) *) (*;;*)
    0xf2002039,   (* [2961:810] Adieresis + guilsinglleft : -28 (cslSTIX-Italic) *)
    0xd980201d,   (* [2962:811] Adieresis + quotedblright : -77 (cslSTIX-Italic) *)
    0xd9802019,   (* [2963:812] Adieresis + quoteright : -77 (cslSTIX-Italic) *)
    0xf18000ab,   (* [2964:813] Adieresis + guillemotleft : -29 (cslSTIX-Italic) *)
    0xe5000079,   (* [2965:814] Adieresis + y : -54 (cslSTIX-Italic) *)
    0xf0000077,   (* [2966:815] Adieresis + w : -32 (cslSTIX-Italic) *)
    0xee800076,   (* [2967:816] Adieresis + v : -35 (cslSTIX-Italic) *)
    0xfb800075,   (* [2968:817] Adieresis + u : -9 (cslSTIX-Italic) *)
    0xfc800074,   (* [2969:818] Adieresis + t : -7 (cslSTIX-Italic) *)
    0xfa800071,   (* [2970:819] Adieresis + q : -11 (cslSTIX-Italic) *)
    0xf800006f,   (* [2971:820] Adieresis + o : -16 (cslSTIX-Italic) *)
    0xf0800067,   (* [2972:821] Adieresis + g : -31 (cslSTIX-Italic) *)
    0xfe000064,   (* [2973:822] Adieresis + d : -4 (cslSTIX-Italic) *)
    0xf7800063,   (* [2974:823] Adieresis + c : -17 (cslSTIX-Italic) *)
    0xfd800061,   (* [2975:824] Adieresis + a : -5 (cslSTIX-Italic) *)
    0xf6000059,   (* [2976:825] Adieresis + Y : -20 (cslSTIX-Italic) *)
    0xe2800057,   (* [2977:826] Adieresis + W : -59 (cslSTIX-Italic) *)
    0xdf800056,   (* [2978:827] Adieresis + V : -65 (cslSTIX-Italic) *)
    0xe9000055,   (* [2979:828] Adieresis + U : -46 (cslSTIX-Italic) *)
    0xf9000054,   (* [2980:829] Adieresis + T : -14 (cslSTIX-Italic) *)
    0xee000051,   (* [2981:830] Adieresis + Q : -36 (cslSTIX-Italic) *)
    0xed80004f,   (* [2982:831] Adieresis + O : -37 (cslSTIX-Italic) *)
    0xf1800047,   (* [2983:832] Adieresis + G : -29 (cslSTIX-Italic) *)
    0xee000043,   (* [2984:833] Adieresis + C : -36 (cslSTIX-Italic) *)
    0x0980002e,   (* [2985:834] Adieresis + period : 19 (cslSTIX-Italic) *)
    0x09c0002c,   (* [2986:835] Adieresis + comma : 19 (cslSTIX-Italic) *) (*;;*)
    0xf2002039,   (* [2987:836] Aring + guilsinglleft : -28 (cslSTIX-Italic) *)
    0xd980201d,   (* [2988:837] Aring + quotedblright : -77 (cslSTIX-Italic) *)
    0xd9802019,   (* [2989:838] Aring + quoteright : -77 (cslSTIX-Italic) *)
    0xf18000ab,   (* [2990:839] Aring + guillemotleft : -29 (cslSTIX-Italic) *)
    0xe5000079,   (* [2991:840] Aring + y : -54 (cslSTIX-Italic) *)
    0xf0000077,   (* [2992:841] Aring + w : -32 (cslSTIX-Italic) *)
    0xee800076,   (* [2993:842] Aring + v : -35 (cslSTIX-Italic) *)
    0xfb800075,   (* [2994:843] Aring + u : -9 (cslSTIX-Italic) *)
    0xfc800074,   (* [2995:844] Aring + t : -7 (cslSTIX-Italic) *)
    0xfa800071,   (* [2996:845] Aring + q : -11 (cslSTIX-Italic) *)
    0xf800006f,   (* [2997:846] Aring + o : -16 (cslSTIX-Italic) *)
    0xf0800067,   (* [2998:847] Aring + g : -31 (cslSTIX-Italic) *)
    0xf7000065,   (* [2999:848] Aring + e : -18 (cslSTIX-Italic) *)
    0xfe000064,   (* [3000:849] Aring + d : -4 (cslSTIX-Italic) *)
    0xf7800063,   (* [3001:850] Aring + c : -17 (cslSTIX-Italic) *)
    0xfd800061,   (* [3002:851] Aring + a : -5 (cslSTIX-Italic) *)
    0xf6000059,   (* [3003:852] Aring + Y : -20 (cslSTIX-Italic) *)
    0xe2800057,   (* [3004:853] Aring + W : -59 (cslSTIX-Italic) *)
    0xdf800056,   (* [3005:854] Aring + V : -65 (cslSTIX-Italic) *)
    0xe9000055,   (* [3006:855] Aring + U : -46 (cslSTIX-Italic) *)
    0xf9000054,   (* [3007:856] Aring + T : -14 (cslSTIX-Italic) *)
    0xee000051,   (* [3008:857] Aring + Q : -36 (cslSTIX-Italic) *)
    0xed80004f,   (* [3009:858] Aring + O : -37 (cslSTIX-Italic) *)
    0xf1800047,   (* [3010:859] Aring + G : -29 (cslSTIX-Italic) *)
    0xee000043,   (* [3011:860] Aring + C : -36 (cslSTIX-Italic) *)
    0x0980002e,   (* [3012:861] Aring + period : 19 (cslSTIX-Italic) *)
    0x09c0002c,   (* [3013:862] Aring + comma : 19 (cslSTIX-Italic) *) (*;;*)
    0xf6c00041,   (* [3014:863] Ccedilla + A : -19 (cslSTIX-Italic) *) (*;;*)
    0xef000059,   (* [3015:864] Ograve + Y : -34 (cslSTIX-Italic) *)
    0xf1800056,   (* [3016:865] Ograve + V : -29 (cslSTIX-Italic) *)
    0xfdc00054,   (* [3017:866] Ograve + T : -5 (cslSTIX-Italic) *) (*;;*)
    0xef000059,   (* [3018:867] Oacute + Y : -34 (cslSTIX-Italic) *)
    0xf4800057,   (* [3019:868] Oacute + W : -23 (cslSTIX-Italic) *)
    0xf1800056,   (* [3020:869] Oacute + V : -29 (cslSTIX-Italic) *)
    0xfd800054,   (* [3021:870] Oacute + T : -5 (cslSTIX-Italic) *)
    0xf8400041,   (* [3022:871] Oacute + A : -16 (cslSTIX-Italic) *) (*;;*)
    0xef000059,   (* [3023:872] Ocircumflex + Y : -34 (cslSTIX-Italic) *)
    0xf1800056,   (* [3024:873] Ocircumflex + V : -29 (cslSTIX-Italic) *)
    0xfdc00054,   (* [3025:874] Ocircumflex + T : -5 (cslSTIX-Italic) *) (*;;*)
    0xef000059,   (* [3026:875] Otilde + Y : -34 (cslSTIX-Italic) *)
    0xf1800056,   (* [3027:876] Otilde + V : -29 (cslSTIX-Italic) *)
    0xfdc00054,   (* [3028:877] Otilde + T : -5 (cslSTIX-Italic) *) (*;;*)
    0xef000059,   (* [3029:878] Odieresis + Y : -34 (cslSTIX-Italic) *)
    0xf3000058,   (* [3030:879] Odieresis + X : -26 (cslSTIX-Italic) *)
    0xf4800057,   (* [3031:880] Odieresis + W : -23 (cslSTIX-Italic) *)
    0xf1800056,   (* [3032:881] Odieresis + V : -29 (cslSTIX-Italic) *)
    0xfd800054,   (* [3033:882] Odieresis + T : -5 (cslSTIX-Italic) *)
    0xf8400041,   (* [3034:883] Odieresis + A : -16 (cslSTIX-Italic) *) (*;;*)
    0xf8400041,   (* [3035:884] Oslash + A : -16 (cslSTIX-Italic) *) (*;;*)
    0xef000072,   (* [3036:885] Ugrave + r : -34 (cslSTIX-Italic) *)
    0xf4800070,   (* [3037:886] Ugrave + p : -23 (cslSTIX-Italic) *)
    0xf680006e,   (* [3038:887] Ugrave + n : -19 (cslSTIX-Italic) *)
    0xf700006d,   (* [3039:888] Ugrave + m : -18 (cslSTIX-Italic) *)
    0xed000041,   (* [3040:889] Ugrave + A : -38 (cslSTIX-Italic) *)
    0xf500002e,   (* [3041:890] Ugrave + period : -22 (cslSTIX-Italic) *)
    0xf840002c,   (* [3042:891] Ugrave + comma : -16 (cslSTIX-Italic) *) (*;;*)
    0xef000072,   (* [3043:892] Uacute + r : -34 (cslSTIX-Italic) *)
    0xf4800070,   (* [3044:893] Uacute + p : -23 (cslSTIX-Italic) *)
    0xf680006e,   (* [3045:894] Uacute + n : -19 (cslSTIX-Italic) *)
    0xf700006d,   (* [3046:895] Uacute + m : -18 (cslSTIX-Italic) *)
    0xed000041,   (* [3047:896] Uacute + A : -38 (cslSTIX-Italic) *)
    0xf500002e,   (* [3048:897] Uacute + period : -22 (cslSTIX-Italic) *)
    0xf840002c,   (* [3049:898] Uacute + comma : -16 (cslSTIX-Italic) *) (*;;*)
    0xed400041,   (* [3050:899] Ucircumflex + A : -38 (cslSTIX-Italic) *) (*;;*)
    0xef000072,   (* [3051:900] Udieresis + r : -34 (cslSTIX-Italic) *)
    0xf4800070,   (* [3052:901] Udieresis + p : -23 (cslSTIX-Italic) *)
    0xf680006e,   (* [3053:902] Udieresis + n : -19 (cslSTIX-Italic) *)
    0xf700006d,   (* [3054:903] Udieresis + m : -18 (cslSTIX-Italic) *)
    0x00800062,   (* [3055:904] Udieresis + b : 1 (cslSTIX-Italic) *)
    0xed000041,   (* [3056:905] Udieresis + A : -38 (cslSTIX-Italic) *)
    0xf500002e,   (* [3057:906] Udieresis + period : -22 (cslSTIX-Italic) *)
    0xf840002c,   (* [3058:907] Udieresis + comma : -16 (cslSTIX-Italic) *) (*;;*)
    0x01000079,   (* [3059:908] agrave + y : 2 (cslSTIX-Italic) *)
    0x01c00077,   (* [3060:909] agrave + w : 3 (cslSTIX-Italic) *) (*;;*)
    0x01000079,   (* [3061:910] aacute + y : 2 (cslSTIX-Italic) *)
    0x01c00077,   (* [3062:911] aacute + w : 3 (cslSTIX-Italic) *) (*;;*)
    0x01000079,   (* [3063:912] adieresis + y : 2 (cslSTIX-Italic) *)
    0x01c00077,   (* [3064:913] adieresis + w : 3 (cslSTIX-Italic) *) (*;;*)
    0x01000079,   (* [3065:914] aring + y : 2 (cslSTIX-Italic) *)
    0x01c00077,   (* [3066:915] aring + w : 3 (cslSTIX-Italic) *) (*;;*)
    0x02800079,   (* [3067:916] ae + y : 5 (cslSTIX-Italic) *)
    0x01c00077,   (* [3068:917] ae + w : 3 (cslSTIX-Italic) *) (*;;*)
    0x01800079,   (* [3069:918] eacute + y : 3 (cslSTIX-Italic) *)
    0x01400077,   (* [3070:919] eacute + w : 2 (cslSTIX-Italic) *) (*;;*)
    0x01800079,   (* [3071:920] ecircumflex + y : 3 (cslSTIX-Italic) *)
    0x01400077,   (* [3072:921] ecircumflex + w : 2 (cslSTIX-Italic) *) (*;;*)
    0xfc000079,   (* [3073:922] ograve + y : -8 (cslSTIX-Italic) *)
    0xfa000077,   (* [3074:923] ograve + w : -12 (cslSTIX-Italic) *)
    0xf9400076,   (* [3075:924] ograve + v : -14 (cslSTIX-Italic) *) (*;;*)
    0xfc000079,   (* [3076:925] oacute + y : -8 (cslSTIX-Italic) *)
    0xfa000077,   (* [3077:926] oacute + w : -12 (cslSTIX-Italic) *)
    0xf9400076,   (* [3078:927] oacute + v : -14 (cslSTIX-Italic) *) (*;;*)
    0xfdc00074,   (* [3079:928] ocircumflex + t : -5 (cslSTIX-Italic) *) (*;;*)
    0xfc000079,   (* [3080:929] odieresis + y : -8 (cslSTIX-Italic) *)
    0xf2000078,   (* [3081:930] odieresis + x : -28 (cslSTIX-Italic) *)
    0xfa000077,   (* [3082:931] odieresis + w : -12 (cslSTIX-Italic) *)
    0xf9000076,   (* [3083:932] odieresis + v : -14 (cslSTIX-Italic) *)
    0xfdc00074,   (* [3084:933] odieresis + t : -5 (cslSTIX-Italic) *) (*;;*)
    0xc80000c6,   (* [3085:934] quoteleft + AE : -112 (cslSTIX-Italic) *)
    0xe00000c5,   (* [3086:935] quoteleft + Aring : -64 (cslSTIX-Italic) *)
    0xe00000c4,   (* [3087:936] quoteleft + Adieresis : -64 (cslSTIX-Italic) *)
    0xe00000c2,   (* [3088:937] quoteleft + Acircumflex : -64 (cslSTIX-Italic) *)
    0xe00000c1,   (* [3089:938] quoteleft + Aacute : -64 (cslSTIX-Italic) *)
    0xe00000c0,   (* [3090:939] quoteleft + Agrave : -64 (cslSTIX-Italic) *)
    0xfa000059,   (* [3091:940] quoteleft + Y : -12 (cslSTIX-Italic) *)
    0x01800057,   (* [3092:941] quoteleft + W : 3 (cslSTIX-Italic) *)
    0x00800056,   (* [3093:942] quoteleft + V : 1 (cslSTIX-Italic) *)
    0x01800054,   (* [3094:943] quoteleft + T : 3 (cslSTIX-Italic) *)
    0xe0400041,   (* [3095:944] quoteleft + A : -64 (cslSTIX-Italic) *) (*;;*)
    0xc30000c6,   (* [3096:945] quoteright + AE : -122 (cslSTIX-Italic) *)
    0xde0000c5,   (* [3097:946] quoteright + Aring : -68 (cslSTIX-Italic) *)
    0xde0000c4,   (* [3098:947] quoteright + Adieresis : -68 (cslSTIX-Italic) *)
    0xde0000c2,   (* [3099:948] quoteright + Acircumflex : -68 (cslSTIX-Italic) *)
    0xde0000c1,   (* [3100:949] quoteright + Aacute : -68 (cslSTIX-Italic) *)
    0xde0000c0,   (* [3101:950] quoteright + Agrave : -68 (cslSTIX-Italic) *)
    0xf4800079,   (* [3102:951] quoteright + y : -23 (cslSTIX-Italic) *)
    0xf6800077,   (* [3103:952] quoteright + w : -19 (cslSTIX-Italic) *)
    0xf3800076,   (* [3104:953] quoteright + v : -25 (cslSTIX-Italic) *)
    0xef000074,   (* [3105:954] quoteright + t : -34 (cslSTIX-Italic) *)
    0xe6800073,   (* [3106:955] quoteright + s : -51 (cslSTIX-Italic) *)
    0xe9800072,   (* [3107:956] quoteright + r : -45 (cslSTIX-Italic) *)
    0xdf80006f,   (* [3108:957] quoteright + o : -65 (cslSTIX-Italic) *)
    0xe0000064,   (* [3109:958] quoteright + d : -64 (cslSTIX-Italic) *)
    0xde000041,   (* [3110:959] quoteright + A : -68 (cslSTIX-Italic) *)
    0xdd80002e,   (* [3111:960] quoteright + period : -69 (cslSTIX-Italic) *)
    0xe0c0002c,   (* [3112:961] quoteright + comma : -63 (cslSTIX-Italic) *) (*;;*)
    0xc38000c6,   (* [3113:962] quotedblleft + AE : -121 (cslSTIX-Italic) *)
    0xdb8000c5,   (* [3114:963] quotedblleft + Aring : -73 (cslSTIX-Italic) *)
    0xdb8000c4,   (* [3115:964] quotedblleft + Adieresis : -73 (cslSTIX-Italic) *)
    0xdb8000c1,   (* [3116:965] quotedblleft + Aacute : -73 (cslSTIX-Italic) *)
    0xf5800059,   (* [3117:966] quotedblleft + Y : -21 (cslSTIX-Italic) *)
    0xfd800057,   (* [3118:967] quotedblleft + W : -5 (cslSTIX-Italic) *)
    0xfc800056,   (* [3119:968] quotedblleft + V : -7 (cslSTIX-Italic) *)
    0xfd800054,   (* [3120:969] quotedblleft + T : -5 (cslSTIX-Italic) *)
    0xdbc00041,   (* [3121:970] quotedblleft + A : -73 (cslSTIX-Italic) *) (*;;*)
    0xbf8000c6,   (* [3122:971] quotedblright + AE : -129 (cslSTIX-Italic) *)
    0xda8000c5,   (* [3123:972] quotedblright + Aring : -75 (cslSTIX-Italic) *)
    0xda8000c4,   (* [3124:973] quotedblright + Adieresis : -75 (cslSTIX-Italic) *)
    0xda8000c1,   (* [3125:974] quotedblright + Aacute : -75 (cslSTIX-Italic) *)
    0xf3800059,   (* [3126:975] quotedblright + Y : -25 (cslSTIX-Italic) *)
    0xfb800057,   (* [3127:976] quotedblright + W : -9 (cslSTIX-Italic) *)
    0xfa000056,   (* [3128:977] quotedblright + V : -12 (cslSTIX-Italic) *)
    0xfb800054,   (* [3129:978] quotedblright + T : -9 (cslSTIX-Italic) *)
    0xdac00041,   (* [3130:979] quotedblright + A : -75 (cslSTIX-Italic) *) (*;;*)
    0xff0000c6,   (* [3131:980] quotedblbase + AE : -2 (cslSTIX-Italic) *)
    0x048000c5,   (* [3132:981] quotedblbase + Aring : 9 (cslSTIX-Italic) *)
    0x048000c4,   (* [3133:982] quotedblbase + Adieresis : 9 (cslSTIX-Italic) *)
    0x048000c2,   (* [3134:983] quotedblbase + Acircumflex : 9 (cslSTIX-Italic) *)
    0x048000c1,   (* [3135:984] quotedblbase + Aacute : 9 (cslSTIX-Italic) *)
    0x048000c0,   (* [3136:985] quotedblbase + Agrave : 9 (cslSTIX-Italic) *)
    0xe4800059,   (* [3137:986] quotedblbase + Y : -55 (cslSTIX-Italic) *)
    0xde800057,   (* [3138:987] quotedblbase + W : -67 (cslSTIX-Italic) *)
    0xd8000056,   (* [3139:988] quotedblbase + V : -80 (cslSTIX-Italic) *)
    0xe6000054,   (* [3140:989] quotedblbase + T : -52 (cslSTIX-Italic) *)
    0x04c00041,   (* [3141:990] quotedblbase + A : 9 (cslSTIX-Italic) *) (*;;*)
    0xee0000c6,   (* [3142:991] guilsinglright + AE : -36 (cslSTIX-Italic) *)
    0xfb0000c5,   (* [3143:992] guilsinglright + Aring : -10 (cslSTIX-Italic) *)
    0xfb0000c4,   (* [3144:993] guilsinglright + Adieresis : -10 (cslSTIX-Italic) *)
    0xfb0000c1,   (* [3145:994] guilsinglright + Aacute : -10 (cslSTIX-Italic) *)
    0xe0000059,   (* [3146:995] guilsinglright + Y : -64 (cslSTIX-Italic) *)
    0xe6000057,   (* [3147:996] guilsinglright + W : -52 (cslSTIX-Italic) *)
    0xe2800056,   (* [3148:997] guilsinglright + V : -59 (cslSTIX-Italic) *)
    0xe2800054,   (* [3149:998] guilsinglright + T : -59 (cslSTIX-Italic) *)
    0xfb400041,   (* [3150:999] guilsinglright + A : -10 (cslSTIX-Italic) *) (*;;*)
    0x1ba00069,   (* [3151:1000] ff + i ligature #55 (cslSTIX-Italic) *)
    0x1c60006c,   (* [3152:1001] ff + l ligature #56 (cslSTIX-Italic) *) (*;;*)
    0xff80201d,   (* [3153:1] comma + quotedblright : -1 (cslSTIX-BoldItalic) *)
    0xf7002019,   (* [3154:2] comma + quoteright : -18 (cslSTIX-BoldItalic) *)
    0xfb400031,   (* [3155:3] comma + one : -10 (cslSTIX-BoldItalic) *) (*;;*)
    0xfe8000c6,   (* [3156:4] hyphen + AE : -3 (cslSTIX-BoldItalic) *)
    0x030000c5,   (* [3157:5] hyphen + Aring : 6 (cslSTIX-BoldItalic) *)
    0x030000c4,   (* [3158:6] hyphen + Adieresis : 6 (cslSTIX-BoldItalic) *)
    0x030000c1,   (* [3159:7] hyphen + Aacute : 6 (cslSTIX-BoldItalic) *)
    0xec800059,   (* [3160:8] hyphen + Y : -39 (cslSTIX-BoldItalic) *)
    0xef000057,   (* [3161:9] hyphen + W : -34 (cslSTIX-BoldItalic) *)
    0xed800056,   (* [3162:10] hyphen + V : -37 (cslSTIX-BoldItalic) *)
    0xef000054,   (* [3163:11] hyphen + T : -34 (cslSTIX-BoldItalic) *)
    0x03400041,   (* [3164:12] hyphen + A : 6 (cslSTIX-BoldItalic) *) (*;;*)
    0xfe00201d,   (* [3165:13] period + quotedblright : -4 (cslSTIX-BoldItalic) *)
    0xf5c02019,   (* [3166:14] period + quoteright : -21 (cslSTIX-BoldItalic) *) (*;;*)
    0xeb802039,   (* [3167:15] A + guilsinglleft : -41 (cslSTIX-BoldItalic) *)
    0xe780201d,   (* [3168:16] A + quotedblright : -49 (cslSTIX-BoldItalic) *)
    0xdf002019,   (* [3169:17] A + quoteright : -66 (cslSTIX-BoldItalic) *)
    0xf90000fc,   (* [3170:18] A + udieresis : -14 (cslSTIX-BoldItalic) *)
    0xf90000fb,   (* [3171:19] A + ucircumflex : -14 (cslSTIX-BoldItalic) *)
    0xf90000fa,   (* [3172:20] A + uacute : -14 (cslSTIX-BoldItalic) *)
    0xf90000f9,   (* [3173:21] A + ugrave : -14 (cslSTIX-BoldItalic) *)
    0xf80000f6,   (* [3174:22] A + odieresis : -16 (cslSTIX-BoldItalic) *)
    0xf70000e7,   (* [3175:23] A + ccedilla : -18 (cslSTIX-BoldItalic) *)
    0xdf8000dc,   (* [3176:24] A + Udieresis : -65 (cslSTIX-BoldItalic) *)
    0xdf8000db,   (* [3177:25] A + Ucircumflex : -65 (cslSTIX-BoldItalic) *)
    0xdf8000da,   (* [3178:26] A + Uacute : -65 (cslSTIX-BoldItalic) *)
    0xdf8000d9,   (* [3179:27] A + Ugrave : -65 (cslSTIX-BoldItalic) *)
    0xee0000d6,   (* [3180:28] A + Odieresis : -36 (cslSTIX-BoldItalic) *)
    0xed0000c7,   (* [3181:29] A + Ccedilla : -38 (cslSTIX-BoldItalic) *)
    0xef0000ab,   (* [3182:30] A + guillemotleft : -34 (cslSTIX-BoldItalic) *)
    0xeb800079,   (* [3183:31] A + y : -41 (cslSTIX-BoldItalic) *)
    0xed800077,   (* [3184:32] A + w : -37 (cslSTIX-BoldItalic) *)
    0xef000076,   (* [3185:33] A + v : -34 (cslSTIX-BoldItalic) *)
    0xf9000075,   (* [3186:34] A + u : -14 (cslSTIX-BoldItalic) *)
    0xfe800074,   (* [3187:35] A + t : -3 (cslSTIX-BoldItalic) *)
    0xfa000071,   (* [3188:36] A + q : -12 (cslSTIX-BoldItalic) *)
    0xf800006f,   (* [3189:37] A + o : -16 (cslSTIX-BoldItalic) *)
    0xf8000067,   (* [3190:38] A + g : -16 (cslSTIX-BoldItalic) *)
    0xf7800065,   (* [3191:39] A + e : -17 (cslSTIX-BoldItalic) *)
    0xfe800064,   (* [3192:40] A + d : -3 (cslSTIX-BoldItalic) *)
    0xf9000063,   (* [3193:41] A + c : -14 (cslSTIX-BoldItalic) *)
    0xff000062,   (* [3194:42] A + b : -2 (cslSTIX-BoldItalic) *)
    0xfe000061,   (* [3195:43] A + a : -4 (cslSTIX-BoldItalic) *)
    0xce000059,   (* [3196:44] A + Y : -100 (cslSTIX-BoldItalic) *)
    0xcb800057,   (* [3197:45] A + W : -105 (cslSTIX-BoldItalic) *)
    0xcb800056,   (* [3198:46] A + V : -105 (cslSTIX-BoldItalic) *)
    0xdf800055,   (* [3199:47] A + U : -65 (cslSTIX-BoldItalic) *)
    0xe4800054,   (* [3200:48] A + T : -55 (cslSTIX-BoldItalic) *)
    0xee000051,   (* [3201:49] A + Q : -36 (cslSTIX-BoldItalic) *)
    0xee00004f,   (* [3202:50] A + O : -36 (cslSTIX-BoldItalic) *)
    0xef000047,   (* [3203:51] A + G : -34 (cslSTIX-BoldItalic) *)
    0xed000043,   (* [3204:52] A + C : -38 (cslSTIX-BoldItalic) *)
    0x0900002e,   (* [3205:53] A + period : 18 (cslSTIX-BoldItalic) *)
    0xfd00002d,   (* [3206:54] A + hyphen : -6 (cslSTIX-BoldItalic) *)
    0x06c0002c,   (* [3207:55] A + comma : 13 (cslSTIX-BoldItalic) *) (*;;*)
    0xff000152,   (* [3208:56] B + OE : -2 (cslSTIX-BoldItalic) *)
    0xfc8000d8,   (* [3209:57] B + Oslash : -7 (cslSTIX-BoldItalic) *)
    0xfc8000d6,   (* [3210:58] B + Odieresis : -7 (cslSTIX-BoldItalic) *)
    0xfc8000d4,   (* [3211:59] B + Ocircumflex : -7 (cslSTIX-BoldItalic) *)
    0xfc8000d3,   (* [3212:60] B + Oacute : -7 (cslSTIX-BoldItalic) *)
    0xfc8000d2,   (* [3213:61] B + Ograve : -7 (cslSTIX-BoldItalic) *)
    0xf28000c6,   (* [3214:62] B + AE : -27 (cslSTIX-BoldItalic) *)
    0xf30000c5,   (* [3215:63] B + Aring : -26 (cslSTIX-BoldItalic) *)
    0xf30000c4,   (* [3216:64] B + Adieresis : -26 (cslSTIX-BoldItalic) *)
    0xf30000c3,   (* [3217:65] B + Atilde : -26 (cslSTIX-BoldItalic) *)
    0xf30000c2,   (* [3218:66] B + Acircumflex : -26 (cslSTIX-BoldItalic) *)
    0xf30000c1,   (* [3219:67] B + Aacute : -26 (cslSTIX-BoldItalic) *)
    0xed000059,   (* [3220:68] B + Y : -38 (cslSTIX-BoldItalic) *)
    0xf0000057,   (* [3221:69] B + W : -32 (cslSTIX-BoldItalic) *)
    0xee000056,   (* [3222:70] B + V : -36 (cslSTIX-BoldItalic) *)
    0xfc80004f,   (* [3223:71] B + O : -7 (cslSTIX-BoldItalic) *)
    0xf3400041,   (* [3224:72] B + A : -26 (cslSTIX-BoldItalic) *) (*;;*)
    0xfc8000d6,   (* [3225:73] C + Odieresis : -7 (cslSTIX-BoldItalic) *)
    0xfc8000d3,   (* [3226:74] C + Oacute : -7 (cslSTIX-BoldItalic) *)
    0xfc8000d2,   (* [3227:75] C + Ograve : -7 (cslSTIX-BoldItalic) *)
    0xf48000c6,   (* [3228:76] C + AE : -23 (cslSTIX-BoldItalic) *)
    0xf50000c5,   (* [3229:77] C + Aring : -22 (cslSTIX-BoldItalic) *)
    0xf50000c4,   (* [3230:78] C + Adieresis : -22 (cslSTIX-BoldItalic) *)
    0xf50000c1,   (* [3231:79] C + Aacute : -22 (cslSTIX-BoldItalic) *)
    0xf50000c0,   (* [3232:80] C + Agrave : -22 (cslSTIX-BoldItalic) *)
    0xfc80004f,   (* [3233:81] C + O : -7 (cslSTIX-BoldItalic) *)
    0xf980004b,   (* [3234:82] C + K : -13 (cslSTIX-BoldItalic) *)
    0xfa000048,   (* [3235:83] C + H : -12 (cslSTIX-BoldItalic) *)
    0xf5400041,   (* [3236:84] C + A : -22 (cslSTIX-BoldItalic) *) (*;;*)
    0xf18000c5,   (* [3237:85] D + Aring : -29 (cslSTIX-BoldItalic) *)
    0xf18000c4,   (* [3238:86] D + Adieresis : -29 (cslSTIX-BoldItalic) *)
    0xf18000c3,   (* [3239:87] D + Atilde : -29 (cslSTIX-BoldItalic) *)
    0xf18000c2,   (* [3240:88] D + Acircumflex : -29 (cslSTIX-BoldItalic) *)
    0xf18000c1,   (* [3241:89] D + Aacute : -29 (cslSTIX-BoldItalic) *)
    0xf18000c0,   (* [3242:90] D + Agrave : -29 (cslSTIX-BoldItalic) *)
    0xee800059,   (* [3243:91] D + Y : -35 (cslSTIX-BoldItalic) *)
    0xed000058,   (* [3244:92] D + X : -38 (cslSTIX-BoldItalic) *)
    0xef800057,   (* [3245:93] D + W : -33 (cslSTIX-BoldItalic) *)
    0xef000056,   (* [3246:94] D + V : -34 (cslSTIX-BoldItalic) *)
    0xf5800054,   (* [3247:95] D + T : -21 (cslSTIX-BoldItalic) *)
    0xe700004a,   (* [3248:96] D + J : -50 (cslSTIX-BoldItalic) *)
    0xf1c00041,   (* [3249:97] D + A : -29 (cslSTIX-BoldItalic) *) (*;;*)
    0xe3000153,   (* [3250:98] F + oe : -58 (cslSTIX-BoldItalic) *)
    0xe70000f8,   (* [3251:99] F + oslash : -50 (cslSTIX-BoldItalic) *)
    0xee0000f6,   (* [3252:100] F + odieresis : -36 (cslSTIX-BoldItalic) *)
    0xe70000f3,   (* [3253:101] F + oacute : -50 (cslSTIX-BoldItalic) *)
    0xe30000e9,   (* [3254:102] F + eacute : -58 (cslSTIX-BoldItalic) *)
    0xe50000e6,   (* [3255:103] F + ae : -54 (cslSTIX-BoldItalic) *)
    0xe88000e5,   (* [3256:104] F + aring : -47 (cslSTIX-BoldItalic) *)
    0xeb0000e4,   (* [3257:105] F + adieresis : -42 (cslSTIX-BoldItalic) *)
    0xe98000e3,   (* [3258:106] F + atilde : -45 (cslSTIX-BoldItalic) *)
    0xe88000e2,   (* [3259:107] F + acircumflex : -47 (cslSTIX-BoldItalic) *)
    0xe88000e1,   (* [3260:108] F + aacute : -47 (cslSTIX-BoldItalic) *)
    0xef0000d6,   (* [3261:109] F + Odieresis : -34 (cslSTIX-BoldItalic) *)
    0xef0000d3,   (* [3262:110] F + Oacute : -34 (cslSTIX-BoldItalic) *)
    0xef0000d2,   (* [3263:111] F + Ograve : -34 (cslSTIX-BoldItalic) *)
    0xe18000c5,   (* [3264:112] F + Aring : -61 (cslSTIX-BoldItalic) *)
    0xe18000c4,   (* [3265:113] F + Adieresis : -61 (cslSTIX-BoldItalic) *)
    0xe18000c3,   (* [3266:114] F + Atilde : -61 (cslSTIX-BoldItalic) *)
    0xe18000c2,   (* [3267:115] F + Acircumflex : -61 (cslSTIX-BoldItalic) *)
    0xe18000c1,   (* [3268:116] F + Aacute : -61 (cslSTIX-BoldItalic) *)
    0xe18000c0,   (* [3269:117] F + Agrave : -61 (cslSTIX-BoldItalic) *)
    0xf2800075,   (* [3270:118] F + u : -27 (cslSTIX-BoldItalic) *)
    0xf4000072,   (* [3271:119] F + r : -24 (cslSTIX-BoldItalic) *)
    0xe700006f,   (* [3272:120] F + o : -50 (cslSTIX-BoldItalic) *)
    0xf300006a,   (* [3273:121] F + j : -26 (cslSTIX-BoldItalic) *)
    0xf5000069,   (* [3274:122] F + i : -22 (cslSTIX-BoldItalic) *)
    0xe3000065,   (* [3275:123] F + e : -58 (cslSTIX-BoldItalic) *)
    0xe8800061,   (* [3276:124] F + a : -47 (cslSTIX-BoldItalic) *)
    0xef00004f,   (* [3277:125] F + O : -34 (cslSTIX-BoldItalic) *)
    0xdf00004a,   (* [3278:126] F + J : -66 (cslSTIX-BoldItalic) *)
    0xe1800041,   (* [3279:127] F + A : -61 (cslSTIX-BoldItalic) *)
    0xe180002e,   (* [3280:128] F + period : -61 (cslSTIX-BoldItalic) *)
    0xf200002d,   (* [3281:129] F + hyphen : -28 (cslSTIX-BoldItalic) *)
    0xe2c0002c,   (* [3282:130] F + comma : -59 (cslSTIX-BoldItalic) *) (*;;*)
    0xfa0000c6,   (* [3283:131] G + AE : -12 (cslSTIX-BoldItalic) *)
    0xfb0000c5,   (* [3284:132] G + Aring : -10 (cslSTIX-BoldItalic) *)
    0xfb0000c4,   (* [3285:133] G + Adieresis : -10 (cslSTIX-BoldItalic) *)
    0xfb0000c3,   (* [3286:134] G + Atilde : -10 (cslSTIX-BoldItalic) *)
    0xfb0000c2,   (* [3287:135] G + Acircumflex : -10 (cslSTIX-BoldItalic) *)
    0xfb0000c1,   (* [3288:136] G + Aacute : -10 (cslSTIX-BoldItalic) *)
    0xfb0000c0,   (* [3289:137] G + Agrave : -10 (cslSTIX-BoldItalic) *)
    0xf5000059,   (* [3290:138] G + Y : -22 (cslSTIX-BoldItalic) *)
    0xf6800057,   (* [3291:139] G + W : -19 (cslSTIX-BoldItalic) *)
    0xf6000056,   (* [3292:140] G + V : -20 (cslSTIX-BoldItalic) *)
    0xf5000054,   (* [3293:141] G + T : -22 (cslSTIX-BoldItalic) *)
    0xfb400041,   (* [3294:142] G + A : -10 (cslSTIX-BoldItalic) *) (*;;*)
    0x1ce0004a,   (* [3295:143] I + J ligature #57 (cslSTIX-BoldItalic) *) (*;;*)
    0xf00000c6,   (* [3296:144] J + AE : -32 (cslSTIX-BoldItalic) *)
    0xf10000c5,   (* [3297:145] J + Aring : -30 (cslSTIX-BoldItalic) *)
    0xf10000c4,   (* [3298:146] J + Adieresis : -30 (cslSTIX-BoldItalic) *)
    0xf1400041,   (* [3299:147] J + A : -30 (cslSTIX-BoldItalic) *) (*;;*)
    0xf4000152,   (* [3300:148] K + OE : -24 (cslSTIX-BoldItalic) *)
    0xfc8000fc,   (* [3301:149] K + udieresis : -7 (cslSTIX-BoldItalic) *)
    0xfc0000f6,   (* [3302:150] K + odieresis : -8 (cslSTIX-BoldItalic) *)
    0xfc0000f3,   (* [3303:151] K + oacute : -8 (cslSTIX-BoldItalic) *)
    0xff0000e6,   (* [3304:152] K + ae : -2 (cslSTIX-BoldItalic) *)
    0x020000e5,   (* [3305:153] K + aring : 4 (cslSTIX-BoldItalic) *)
    0x020000e4,   (* [3306:154] K + adieresis : 4 (cslSTIX-BoldItalic) *)
    0xf30000d6,   (* [3307:155] K + Odieresis : -26 (cslSTIX-BoldItalic) *)
    0xf30000d3,   (* [3308:156] K + Oacute : -26 (cslSTIX-BoldItalic) *)
    0xe7800079,   (* [3309:157] K + y : -49 (cslSTIX-BoldItalic) *)
    0xfc800075,   (* [3310:158] K + u : -7 (cslSTIX-BoldItalic) *)
    0xfc00006f,   (* [3311:159] K + o : -8 (cslSTIX-BoldItalic) *)
    0xfb000065,   (* [3312:160] K + e : -10 (cslSTIX-BoldItalic) *)
    0x02000061,   (* [3313:161] K + a : 4 (cslSTIX-BoldItalic) *)
    0xff800053,   (* [3314:162] K + S : -1 (cslSTIX-BoldItalic) *)
    0xf300004f,   (* [3315:163] K + O : -26 (cslSTIX-BoldItalic) *)
    0xf4800047,   (* [3316:164] K + G : -23 (cslSTIX-BoldItalic) *)
    0xf2800043,   (* [3317:165] K + C : -27 (cslSTIX-BoldItalic) *)
    0xfbc0002d,   (* [3318:166] K + hyphen : -9 (cslSTIX-BoldItalic) *) (*;;*)
    0xf000201d,   (* [3319:167] L + quotedblright : -32 (cslSTIX-BoldItalic) *)
    0xe7802019,   (* [3320:168] L + quoteright : -49 (cslSTIX-BoldItalic) *)
    0x090000fc,   (* [3321:169] L + udieresis : 18 (cslSTIX-BoldItalic) *)
    0xf98000dc,   (* [3322:170] L + Udieresis : -13 (cslSTIX-BoldItalic) *)
    0x020000d6,   (* [3323:171] L + Odieresis : 4 (cslSTIX-BoldItalic) *)
    0x020000d5,   (* [3324:172] L + Otilde : 4 (cslSTIX-BoldItalic) *)
    0x020000d4,   (* [3325:173] L + Ocircumflex : 4 (cslSTIX-BoldItalic) *)
    0x020000d3,   (* [3326:174] L + Oacute : 4 (cslSTIX-BoldItalic) *)
    0x020000d2,   (* [3327:175] L + Ograve : 4 (cslSTIX-BoldItalic) *)
    0x0e8000c6,   (* [3328:176] L + AE : 29 (cslSTIX-BoldItalic) *)
    0x0f8000c5,   (* [3329:177] L + Aring : 31 (cslSTIX-BoldItalic) *)
    0x0f8000c4,   (* [3330:178] L + Adieresis : 31 (cslSTIX-BoldItalic) *)
    0x0f8000c1,   (* [3331:179] L + Aacute : 31 (cslSTIX-BoldItalic) *)
    0xfd000079,   (* [3332:180] L + y : -6 (cslSTIX-BoldItalic) *)
    0x0a800075,   (* [3333:181] L + u : 21 (cslSTIX-BoldItalic) *)
    0xf0000059,   (* [3334:182] L + Y : -32 (cslSTIX-BoldItalic) *)
    0xeb000057,   (* [3335:183] L + W : -42 (cslSTIX-BoldItalic) *)
    0xe8800056,   (* [3336:184] L + V : -47 (cslSTIX-BoldItalic) *)
    0xf9800055,   (* [3337:185] L + U : -13 (cslSTIX-BoldItalic) *)
    0xf4800054,   (* [3338:186] L + T : -23 (cslSTIX-BoldItalic) *)
    0x0200004f,   (* [3339:187] L + O : 4 (cslSTIX-BoldItalic) *)
    0x03000047,   (* [3340:188] L + G : 6 (cslSTIX-BoldItalic) *)
    0x00800043,   (* [3341:189] L + C : 1 (cslSTIX-BoldItalic) *)
    0x0f800041,   (* [3342:190] L + A : 31 (cslSTIX-BoldItalic) *)
    0x2140002d,   (* [3343:191] L + hyphen : 66 (cslSTIX-BoldItalic) *) (*;;*)
    0xf88000fc,   (* [3344:192] N + udieresis : -15 (cslSTIX-BoldItalic) *)
    0xf88000f8,   (* [3345:193] N + oslash : -15 (cslSTIX-BoldItalic) *)
    0xf88000f6,   (* [3346:194] N + odieresis : -15 (cslSTIX-BoldItalic) *)
    0xf88000f3,   (* [3347:195] N + oacute : -15 (cslSTIX-BoldItalic) *)
    0xf70000e9,   (* [3348:196] N + eacute : -18 (cslSTIX-BoldItalic) *)
    0xf90000e6,   (* [3349:197] N + ae : -14 (cslSTIX-BoldItalic) *)
    0xfa0000e5,   (* [3350:198] N + aring : -12 (cslSTIX-BoldItalic) *)
    0xfa0000e4,   (* [3351:199] N + adieresis : -12 (cslSTIX-BoldItalic) *)
    0xfa0000e1,   (* [3352:200] N + aacute : -12 (cslSTIX-BoldItalic) *)
    0xfa8000d6,   (* [3353:201] N + Odieresis : -11 (cslSTIX-BoldItalic) *)
    0xfa8000d3,   (* [3354:202] N + Oacute : -11 (cslSTIX-BoldItalic) *)
    0xfb0000c7,   (* [3355:203] N + Ccedilla : -10 (cslSTIX-BoldItalic) *)
    0xf10000c6,   (* [3356:204] N + AE : -30 (cslSTIX-BoldItalic) *)
    0xf18000c5,   (* [3357:205] N + Aring : -29 (cslSTIX-BoldItalic) *)
    0xf18000c4,   (* [3358:206] N + Adieresis : -29 (cslSTIX-BoldItalic) *)
    0xf18000c1,   (* [3359:207] N + Aacute : -29 (cslSTIX-BoldItalic) *)
    0xf8800075,   (* [3360:208] N + u : -15 (cslSTIX-BoldItalic) *)
    0xfa80006f,   (* [3361:209] N + o : -11 (cslSTIX-BoldItalic) *)
    0xf7000065,   (* [3362:210] N + e : -18 (cslSTIX-BoldItalic) *)
    0xfc000061,   (* [3363:211] N + a : -8 (cslSTIX-BoldItalic) *)
    0xfa80004f,   (* [3364:212] N + O : -11 (cslSTIX-BoldItalic) *)
    0xfd000047,   (* [3365:213] N + G : -6 (cslSTIX-BoldItalic) *)
    0xfb000043,   (* [3366:214] N + C : -10 (cslSTIX-BoldItalic) *)
    0xf1800041,   (* [3367:215] N + A : -29 (cslSTIX-BoldItalic) *)
    0xfc00002e,   (* [3368:216] N + period : -8 (cslSTIX-BoldItalic) *)
    0xfe40002c,   (* [3369:217] N + comma : -4 (cslSTIX-BoldItalic) *) (*;;*)
    0xec0000c6,   (* [3370:218] O + AE : -40 (cslSTIX-BoldItalic) *)
    0xf10000c5,   (* [3371:219] O + Aring : -30 (cslSTIX-BoldItalic) *)
    0xf10000c4,   (* [3372:220] O + Adieresis : -30 (cslSTIX-BoldItalic) *)
    0xf10000c1,   (* [3373:221] O + Aacute : -30 (cslSTIX-BoldItalic) *)
    0xee000059,   (* [3374:222] O + Y : -36 (cslSTIX-BoldItalic) *)
    0xee800058,   (* [3375:223] O + X : -35 (cslSTIX-BoldItalic) *)
    0xf1000057,   (* [3376:224] O + W : -30 (cslSTIX-BoldItalic) *)
    0xf0800056,   (* [3377:225] O + V : -31 (cslSTIX-BoldItalic) *)
    0xf8800054,   (* [3378:226] O + T : -15 (cslSTIX-BoldItalic) *)
    0xf1400041,   (* [3379:227] O + A : -30 (cslSTIX-BoldItalic) *) (*;;*)
    0xeb000153,   (* [3380:228] P + oe : -42 (cslSTIX-BoldItalic) *)
    0xee0000f8,   (* [3381:229] P + oslash : -36 (cslSTIX-BoldItalic) *)
    0xf20000f6,   (* [3382:230] P + odieresis : -28 (cslSTIX-BoldItalic) *)
    0xee0000f3,   (* [3383:231] P + oacute : -36 (cslSTIX-BoldItalic) *)
    0xea0000e9,   (* [3384:232] P + eacute : -44 (cslSTIX-BoldItalic) *)
    0xe98000e6,   (* [3385:233] P + ae : -45 (cslSTIX-BoldItalic) *)
    0xee0000e5,   (* [3386:234] P + aring : -36 (cslSTIX-BoldItalic) *)
    0xef0000e4,   (* [3387:235] P + adieresis : -34 (cslSTIX-BoldItalic) *)
    0xee0000e1,   (* [3388:236] P + aacute : -36 (cslSTIX-BoldItalic) *)
    0xee0000e0,   (* [3389:237] P + agrave : -36 (cslSTIX-BoldItalic) *)
    0xdd8000c6,   (* [3390:238] P + AE : -69 (cslSTIX-BoldItalic) *)
    0xe58000c5,   (* [3391:239] P + Aring : -53 (cslSTIX-BoldItalic) *)
    0xe58000c4,   (* [3392:240] P + Adieresis : -53 (cslSTIX-BoldItalic) *)
    0xe58000c1,   (* [3393:241] P + Aacute : -53 (cslSTIX-BoldItalic) *)
    0xee00006f,   (* [3394:242] P + o : -36 (cslSTIX-BoldItalic) *)
    0xea000065,   (* [3395:243] P + e : -44 (cslSTIX-BoldItalic) *)
    0xed800061,   (* [3396:244] P + a : -37 (cslSTIX-BoldItalic) *)
    0xdd00004a,   (* [3397:245] P + J : -70 (cslSTIX-BoldItalic) *)
    0xe5800041,   (* [3398:246] P + A : -53 (cslSTIX-BoldItalic) *)
    0xdd00002e,   (* [3399:247] P + period : -70 (cslSTIX-BoldItalic) *)
    0xf000002d,   (* [3400:248] P + hyphen : -32 (cslSTIX-BoldItalic) *)
    0xdd40002c,   (* [3401:249] P + comma : -70 (cslSTIX-BoldItalic) *) (*;;*)
    0xf7800153,   (* [3402:250] R + oe : -17 (cslSTIX-BoldItalic) *)
    0xf9000152,   (* [3403:251] R + OE : -14 (cslSTIX-BoldItalic) *)
    0xfb0000fc,   (* [3404:252] R + udieresis : -10 (cslSTIX-BoldItalic) *)
    0xfb0000fa,   (* [3405:253] R + uacute : -10 (cslSTIX-BoldItalic) *)
    0xfa0000f6,   (* [3406:254] R + odieresis : -12 (cslSTIX-BoldItalic) *)
    0xfa0000f3,   (* [3407:255] R + oacute : -12 (cslSTIX-BoldItalic) *)
    0xf90000e9,   (* [3408:256] R + eacute : -14 (cslSTIX-BoldItalic) *)
    0xfd0000e6,   (* [3409:257] R + ae : -6 (cslSTIX-BoldItalic) *)
    0xff8000e5,   (* [3410:258] R + aring : -1 (cslSTIX-BoldItalic) *)
    0xff8000e4,   (* [3411:259] R + adieresis : -1 (cslSTIX-BoldItalic) *)
    0xff8000e1,   (* [3412:260] R + aacute : -1 (cslSTIX-BoldItalic) *)
    0xf50000dc,   (* [3413:261] R + Udieresis : -22 (cslSTIX-BoldItalic) *)
    0xf88000d6,   (* [3414:262] R + Odieresis : -15 (cslSTIX-BoldItalic) *)
    0xf88000d3,   (* [3415:263] R + Oacute : -15 (cslSTIX-BoldItalic) *)
    0xf90000c7,   (* [3416:264] R + Ccedilla : -14 (cslSTIX-BoldItalic) *)
    0xfb000079,   (* [3417:265] R + y : -10 (cslSTIX-BoldItalic) *)
    0xfb000075,   (* [3418:266] R + u : -10 (cslSTIX-BoldItalic) *)
    0xfa00006f,   (* [3419:267] R + o : -12 (cslSTIX-BoldItalic) *)
    0xf9000065,   (* [3420:268] R + e : -14 (cslSTIX-BoldItalic) *)
    0xff800061,   (* [3421:269] R + a : -1 (cslSTIX-BoldItalic) *)
    0xf1000059,   (* [3422:270] R + Y : -30 (cslSTIX-BoldItalic) *)
    0xee800057,   (* [3423:271] R + W : -35 (cslSTIX-BoldItalic) *)
    0xee000056,   (* [3424:272] R + V : -36 (cslSTIX-BoldItalic) *)
    0xf5000055,   (* [3425:273] R + U : -22 (cslSTIX-BoldItalic) *)
    0xf7000054,   (* [3426:274] R + T : -18 (cslSTIX-BoldItalic) *)
    0xf880004f,   (* [3427:275] R + O : -15 (cslSTIX-BoldItalic) *)
    0xfb000047,   (* [3428:276] R + G : -10 (cslSTIX-BoldItalic) *)
    0xf9000043,   (* [3429:277] R + C : -14 (cslSTIX-BoldItalic) *)
    0xfa40002d,   (* [3430:278] R + hyphen : -12 (cslSTIX-BoldItalic) *) (*;;*)
    0xf98000c6,   (* [3431:279] S + AE : -13 (cslSTIX-BoldItalic) *)
    0xfa8000c5,   (* [3432:280] S + Aring : -11 (cslSTIX-BoldItalic) *)
    0xfa8000c4,   (* [3433:281] S + Adieresis : -11 (cslSTIX-BoldItalic) *)
    0xfa8000c1,   (* [3434:282] S + Aacute : -11 (cslSTIX-BoldItalic) *)
    0x02800074,   (* [3435:283] S + t : 5 (cslSTIX-BoldItalic) *)
    0xf7000059,   (* [3436:284] S + Y : -18 (cslSTIX-BoldItalic) *)
    0xf9000057,   (* [3437:285] S + W : -14 (cslSTIX-BoldItalic) *)
    0xf8800056,   (* [3438:286] S + V : -15 (cslSTIX-BoldItalic) *)
    0xf4000054,   (* [3439:287] S + T : -24 (cslSTIX-BoldItalic) *)
    0xfac00041,   (* [3440:288] S + A : -11 (cslSTIX-BoldItalic) *) (*;;*)
    0xd9802039,   (* [3441:289] T + guilsinglleft : -77 (cslSTIX-BoldItalic) *)
    0xf8800152,   (* [3442:290] T + OE : -15 (cslSTIX-BoldItalic) *)
    0xe30000f8,   (* [3443:291] T + oslash : -58 (cslSTIX-BoldItalic) *)
    0xf70000f6,   (* [3444:292] T + odieresis : -18 (cslSTIX-BoldItalic) *)
    0xf20000f4,   (* [3445:293] T + ocircumflex : -28 (cslSTIX-BoldItalic) *)
    0xe98000f3,   (* [3446:294] T + oacute : -45 (cslSTIX-BoldItalic) *)
    0xed0000f2,   (* [3447:295] T + ograve : -38 (cslSTIX-BoldItalic) *)
    0xe10000e6,   (* [3448:296] T + ae : -62 (cslSTIX-BoldItalic) *)
    0xf48000e4,   (* [3449:297] T + adieresis : -23 (cslSTIX-BoldItalic) *)
    0xf30000e3,   (* [3450:298] T + atilde : -26 (cslSTIX-BoldItalic) *)
    0xef0000e2,   (* [3451:299] T + acircumflex : -34 (cslSTIX-BoldItalic) *)
    0xe70000e1,   (* [3452:300] T + aacute : -50 (cslSTIX-BoldItalic) *)
    0xeb0000e0,   (* [3453:301] T + agrave : -42 (cslSTIX-BoldItalic) *)
    0xf70000d8,   (* [3454:302] T + Oslash : -18 (cslSTIX-BoldItalic) *)
    0xf70000d6,   (* [3455:303] T + Odieresis : -18 (cslSTIX-BoldItalic) *)
    0xf70000d5,   (* [3456:304] T + Otilde : -18 (cslSTIX-BoldItalic) *)
    0xf70000d4,   (* [3457:305] T + Ocircumflex : -18 (cslSTIX-BoldItalic) *)
    0xf70000d3,   (* [3458:306] T + Oacute : -18 (cslSTIX-BoldItalic) *)
    0xf70000d2,   (* [3459:307] T + Ograve : -18 (cslSTIX-BoldItalic) *)
    0xeb8000c6,   (* [3460:308] T + AE : -41 (cslSTIX-BoldItalic) *)
    0xec0000c5,   (* [3461:309] T + Aring : -40 (cslSTIX-BoldItalic) *)
    0xec0000c4,   (* [3462:310] T + Adieresis : -40 (cslSTIX-BoldItalic) *)
    0xec0000c3,   (* [3463:311] T + Atilde : -40 (cslSTIX-BoldItalic) *)
    0xec0000c2,   (* [3464:312] T + Acircumflex : -40 (cslSTIX-BoldItalic) *)
    0xec0000c1,   (* [3465:313] T + Aacute : -40 (cslSTIX-BoldItalic) *)
    0xec0000c0,   (* [3466:314] T + Agrave : -40 (cslSTIX-BoldItalic) *)
    0xdd8000ab,   (* [3467:315] T + guillemotleft : -69 (cslSTIX-BoldItalic) *)
    0xdf800079,   (* [3468:316] T + y : -65 (cslSTIX-BoldItalic) *)
    0xdf000077,   (* [3469:317] T + w : -66 (cslSTIX-BoldItalic) *)
    0xdf000076,   (* [3470:318] T + v : -66 (cslSTIX-BoldItalic) *)
    0xe1800075,   (* [3471:319] T + u : -61 (cslSTIX-BoldItalic) *)
    0xe3800073,   (* [3472:320] T + s : -57 (cslSTIX-BoldItalic) *)
    0xe4000072,   (* [3473:321] T + r : -56 (cslSTIX-BoldItalic) *)
    0xe300006f,   (* [3474:322] T + o : -58 (cslSTIX-BoldItalic) *)
    0xfd00006a,   (* [3475:323] T + j : -6 (cslSTIX-BoldItalic) *)
    0xff000069,   (* [3476:324] T + i : -2 (cslSTIX-BoldItalic) *)
    0xe0800067,   (* [3477:325] T + g : -63 (cslSTIX-BoldItalic) *)
    0xe1800065,   (* [3478:326] T + e : -61 (cslSTIX-BoldItalic) *)
    0xe3000063,   (* [3479:327] T + c : -58 (cslSTIX-BoldItalic) *)
    0xe4000061,   (* [3480:328] T + a : -56 (cslSTIX-BoldItalic) *)
    0x07000059,   (* [3481:329] T + Y : 14 (cslSTIX-BoldItalic) *)
    0x09000057,   (* [3482:330] T + W : 18 (cslSTIX-BoldItalic) *)
    0x08000056,   (* [3483:331] T + V : 16 (cslSTIX-BoldItalic) *)
    0xfa000053,   (* [3484:332] T + S : -12 (cslSTIX-BoldItalic) *)
    0xf700004f,   (* [3485:333] T + O : -18 (cslSTIX-BoldItalic) *)
    0xe800004a,   (* [3486:334] T + J : -48 (cslSTIX-BoldItalic) *)
    0xfc000047,   (* [3487:335] T + G : -8 (cslSTIX-BoldItalic) *)
    0xfa000043,   (* [3488:336] T + C : -12 (cslSTIX-BoldItalic) *)
    0xec000041,   (* [3489:337] T + A : -40 (cslSTIX-BoldItalic) *)
    0xed80003b,   (* [3490:338] T + semicolon : -37 (cslSTIX-BoldItalic) *)
    0xee80003a,   (* [3491:339] T + colon : -35 (cslSTIX-BoldItalic) *)
    0xe880002e,   (* [3492:340] T + period : -47 (cslSTIX-BoldItalic) *)
    0xea80002d,   (* [3493:341] T + hyphen : -43 (cslSTIX-BoldItalic) *)
    0xe940002c,   (* [3494:342] T + comma : -46 (cslSTIX-BoldItalic) *) (*;;*)
    0xe68000c6,   (* [3495:343] U + AE : -51 (cslSTIX-BoldItalic) *)
    0xeb8000c5,   (* [3496:344] U + Aring : -41 (cslSTIX-BoldItalic) *)
    0xeb8000c4,   (* [3497:345] U + Adieresis : -41 (cslSTIX-BoldItalic) *)
    0xeb8000c3,   (* [3498:346] U + Atilde : -41 (cslSTIX-BoldItalic) *)
    0xeb8000c2,   (* [3499:347] U + Acircumflex : -41 (cslSTIX-BoldItalic) *)
    0xeb8000c1,   (* [3500:348] U + Aacute : -41 (cslSTIX-BoldItalic) *)
    0xf7800072,   (* [3501:349] U + r : -17 (cslSTIX-BoldItalic) *)
    0xf8000070,   (* [3502:350] U + p : -16 (cslSTIX-BoldItalic) *)
    0xf500006e,   (* [3503:351] U + n : -22 (cslSTIX-BoldItalic) *)
    0xf680006d,   (* [3504:352] U + m : -19 (cslSTIX-BoldItalic) *)
    0xeb800041,   (* [3505:353] U + A : -41 (cslSTIX-BoldItalic) *)
    0xf780002e,   (* [3506:354] U + period : -17 (cslSTIX-BoldItalic) *)
    0xf740002c,   (* [3507:355] U + comma : -18 (cslSTIX-BoldItalic) *) (*;;*)
    0xdd802039,   (* [3508:356] V + guilsinglleft : -69 (cslSTIX-BoldItalic) *)
    0xe70000f8,   (* [3509:357] V + oslash : -50 (cslSTIX-BoldItalic) *)
    0xf30000f6,   (* [3510:358] V + odieresis : -26 (cslSTIX-BoldItalic) *)
    0xed0000f5,   (* [3511:359] V + otilde : -38 (cslSTIX-BoldItalic) *)
    0xe70000f4,   (* [3512:360] V + ocircumflex : -50 (cslSTIX-BoldItalic) *)
    0xe70000f3,   (* [3513:361] V + oacute : -50 (cslSTIX-BoldItalic) *)
    0xef0000f2,   (* [3514:362] V + ograve : -34 (cslSTIX-BoldItalic) *)
    0xe30000e9,   (* [3515:363] V + eacute : -58 (cslSTIX-BoldItalic) *)
    0xf28000e8,   (* [3516:364] V + egrave : -27 (cslSTIX-BoldItalic) *)
    0xe50000e6,   (* [3517:365] V + ae : -54 (cslSTIX-BoldItalic) *)
    0xeb8000e5,   (* [3518:366] V + aring : -41 (cslSTIX-BoldItalic) *)
    0xf08000e4,   (* [3519:367] V + adieresis : -31 (cslSTIX-BoldItalic) *)
    0xeb0000e3,   (* [3520:368] V + atilde : -42 (cslSTIX-BoldItalic) *)
    0xe80000e2,   (* [3521:369] V + acircumflex : -48 (cslSTIX-BoldItalic) *)
    0xe80000e1,   (* [3522:370] V + aacute : -48 (cslSTIX-BoldItalic) *)
    0xed0000e0,   (* [3523:371] V + agrave : -38 (cslSTIX-BoldItalic) *)
    0xee0000d8,   (* [3524:372] V + Oslash : -36 (cslSTIX-BoldItalic) *)
    0xee0000d6,   (* [3525:373] V + Odieresis : -36 (cslSTIX-BoldItalic) *)
    0xee0000d5,   (* [3526:374] V + Otilde : -36 (cslSTIX-BoldItalic) *)
    0xee0000d4,   (* [3527:375] V + Ocircumflex : -36 (cslSTIX-BoldItalic) *)
    0xee0000d3,   (* [3528:376] V + Oacute : -36 (cslSTIX-BoldItalic) *)
    0xee0000d2,   (* [3529:377] V + Ograve : -36 (cslSTIX-BoldItalic) *)
    0xdc8000c6,   (* [3530:378] V + AE : -71 (cslSTIX-BoldItalic) *)
    0xdf8000c5,   (* [3531:379] V + Aring : -65 (cslSTIX-BoldItalic) *)
    0xdf8000c4,   (* [3532:380] V + Adieresis : -65 (cslSTIX-BoldItalic) *)
    0xdf8000c3,   (* [3533:381] V + Atilde : -65 (cslSTIX-BoldItalic) *)
    0xdf8000c2,   (* [3534:382] V + Acircumflex : -65 (cslSTIX-BoldItalic) *)
    0xdf8000c1,   (* [3535:383] V + Aacute : -65 (cslSTIX-BoldItalic) *)
    0xdf8000c0,   (* [3536:384] V + Agrave : -65 (cslSTIX-BoldItalic) *)
    0xe18000ab,   (* [3537:385] V + guillemotleft : -61 (cslSTIX-BoldItalic) *)
    0xf2000079,   (* [3538:386] V + y : -28 (cslSTIX-BoldItalic) *)
    0xef000075,   (* [3539:387] V + u : -34 (cslSTIX-BoldItalic) *)
    0xf1000072,   (* [3540:388] V + r : -30 (cslSTIX-BoldItalic) *)
    0xe700006f,   (* [3541:389] V + o : -50 (cslSTIX-BoldItalic) *)
    0xfb000069,   (* [3542:390] V + i : -10 (cslSTIX-BoldItalic) *)
    0xe5000067,   (* [3543:391] V + g : -54 (cslSTIX-BoldItalic) *)
    0xe3000065,   (* [3544:392] V + e : -58 (cslSTIX-BoldItalic) *)
    0xe8000061,   (* [3545:393] V + a : -48 (cslSTIX-BoldItalic) *)
    0x04000054,   (* [3546:394] V + T : 8 (cslSTIX-BoldItalic) *)
    0xf5000053,   (* [3547:395] V + S : -22 (cslSTIX-BoldItalic) *)
    0xee00004f,   (* [3548:396] V + O : -36 (cslSTIX-BoldItalic) *)
    0xf1000047,   (* [3549:397] V + G : -30 (cslSTIX-BoldItalic) *)
    0xef000043,   (* [3550:398] V + C : -34 (cslSTIX-BoldItalic) *)
    0xdf800041,   (* [3551:399] V + A : -65 (cslSTIX-BoldItalic) *)
    0xf200003b,   (* [3552:400] V + semicolon : -28 (cslSTIX-BoldItalic) *)
    0xf000003a,   (* [3553:401] V + colon : -32 (cslSTIX-BoldItalic) *)
    0xe300002e,   (* [3554:402] V + period : -58 (cslSTIX-BoldItalic) *)
    0xee80002d,   (* [3555:403] V + hyphen : -35 (cslSTIX-BoldItalic) *)
    0xe340002c,   (* [3556:404] V + comma : -58 (cslSTIX-BoldItalic) *) (*;;*)
    0xe7002039,   (* [3557:405] W + guilsinglleft : -50 (cslSTIX-BoldItalic) *)
    0xf00000f8,   (* [3558:406] W + oslash : -32 (cslSTIX-BoldItalic) *)
    0xf18000f6,   (* [3559:407] W + odieresis : -29 (cslSTIX-BoldItalic) *)
    0xf00000f5,   (* [3560:408] W + otilde : -32 (cslSTIX-BoldItalic) *)
    0xf00000f4,   (* [3561:409] W + ocircumflex : -32 (cslSTIX-BoldItalic) *)
    0xf00000f3,   (* [3562:410] W + oacute : -32 (cslSTIX-BoldItalic) *)
    0xf00000f2,   (* [3563:411] W + ograve : -32 (cslSTIX-BoldItalic) *)
    0xec8000e9,   (* [3564:412] W + eacute : -39 (cslSTIX-BoldItalic) *)
    0xf30000e8,   (* [3565:413] W + egrave : -26 (cslSTIX-BoldItalic) *)
    0xee0000e6,   (* [3566:414] W + ae : -36 (cslSTIX-BoldItalic) *)
    0xf10000e5,   (* [3567:415] W + aring : -30 (cslSTIX-BoldItalic) *)
    0xf10000e4,   (* [3568:416] W + adieresis : -30 (cslSTIX-BoldItalic) *)
    0xf10000e3,   (* [3569:417] W + atilde : -30 (cslSTIX-BoldItalic) *)
    0xf10000e2,   (* [3570:418] W + acircumflex : -30 (cslSTIX-BoldItalic) *)
    0xf10000e1,   (* [3571:419] W + aacute : -30 (cslSTIX-BoldItalic) *)
    0xf10000e0,   (* [3572:420] W + agrave : -30 (cslSTIX-BoldItalic) *)
    0xf48000d8,   (* [3573:421] W + Oslash : -23 (cslSTIX-BoldItalic) *)
    0xf48000d6,   (* [3574:422] W + Odieresis : -23 (cslSTIX-BoldItalic) *)
    0xf48000d5,   (* [3575:423] W + Otilde : -23 (cslSTIX-BoldItalic) *)
    0xf48000d4,   (* [3576:424] W + Ocircumflex : -23 (cslSTIX-BoldItalic) *)
    0xf48000d3,   (* [3577:425] W + Oacute : -23 (cslSTIX-BoldItalic) *)
    0xf48000d2,   (* [3578:426] W + Ograve : -23 (cslSTIX-BoldItalic) *)
    0xe20000c6,   (* [3579:427] W + AE : -60 (cslSTIX-BoldItalic) *)
    0xe78000c5,   (* [3580:428] W + Aring : -49 (cslSTIX-BoldItalic) *)
    0xe78000c4,   (* [3581:429] W + Adieresis : -49 (cslSTIX-BoldItalic) *)
    0xe78000c3,   (* [3582:430] W + Atilde : -49 (cslSTIX-BoldItalic) *)
    0xe78000c2,   (* [3583:431] W + Acircumflex : -49 (cslSTIX-BoldItalic) *)
    0xe78000c1,   (* [3584:432] W + Aacute : -49 (cslSTIX-BoldItalic) *)
    0xe78000c0,   (* [3585:433] W + Agrave : -49 (cslSTIX-BoldItalic) *)
    0xeb0000ab,   (* [3586:434] W + guillemotleft : -42 (cslSTIX-BoldItalic) *)
    0xf5800079,   (* [3587:435] W + y : -21 (cslSTIX-BoldItalic) *)
    0xf3000075,   (* [3588:436] W + u : -26 (cslSTIX-BoldItalic) *)
    0xf4800072,   (* [3589:437] W + r : -23 (cslSTIX-BoldItalic) *)
    0xf000006f,   (* [3590:438] W + o : -32 (cslSTIX-BoldItalic) *)
    0xfc000069,   (* [3591:439] W + i : -8 (cslSTIX-BoldItalic) *)
    0xec000067,   (* [3592:440] W + g : -40 (cslSTIX-BoldItalic) *)
    0xec800065,   (* [3593:441] W + e : -39 (cslSTIX-BoldItalic) *)
    0xf1000061,   (* [3594:442] W + a : -30 (cslSTIX-BoldItalic) *)
    0x04800054,   (* [3595:443] W + T : 9 (cslSTIX-BoldItalic) *)
    0xf5800053,   (* [3596:444] W + S : -21 (cslSTIX-BoldItalic) *)
    0xf480004f,   (* [3597:445] W + O : -23 (cslSTIX-BoldItalic) *)
    0xf7800047,   (* [3598:446] W + G : -17 (cslSTIX-BoldItalic) *)
    0xf5000043,   (* [3599:447] W + C : -22 (cslSTIX-BoldItalic) *)
    0xe7800041,   (* [3600:448] W + A : -49 (cslSTIX-BoldItalic) *)
    0xf980003b,   (* [3601:449] W + semicolon : -13 (cslSTIX-BoldItalic) *)
    0xf980003a,   (* [3602:450] W + colon : -13 (cslSTIX-BoldItalic) *)
    0xef00002e,   (* [3603:451] W + period : -34 (cslSTIX-BoldItalic) *)
    0xf700002d,   (* [3604:452] W + hyphen : -18 (cslSTIX-BoldItalic) *)
    0xefc0002c,   (* [3605:453] W + comma : -33 (cslSTIX-BoldItalic) *) (*;;*)
    0xf00000d6,   (* [3606:454] X + Odieresis : -32 (cslSTIX-BoldItalic) *)
    0xe3800079,   (* [3607:455] X + y : -57 (cslSTIX-BoldItalic) *)
    0xf7800075,   (* [3608:456] X + u : -17 (cslSTIX-BoldItalic) *)
    0xf700006f,   (* [3609:457] X + o : -18 (cslSTIX-BoldItalic) *)
    0xf6000065,   (* [3610:458] X + e : -20 (cslSTIX-BoldItalic) *)
    0xfc800061,   (* [3611:459] X + a : -7 (cslSTIX-BoldItalic) *)
    0xf0000051,   (* [3612:460] X + Q : -32 (cslSTIX-BoldItalic) *)
    0xf000004f,   (* [3613:461] X + O : -32 (cslSTIX-BoldItalic) *)
    0xf1000043,   (* [3614:462] X + C : -30 (cslSTIX-BoldItalic) *)
    0xf4c0002d,   (* [3615:463] X + hyphen : -23 (cslSTIX-BoldItalic) *) (*;;*)
    0xdd802039,   (* [3616:464] Y + guilsinglleft : -69 (cslSTIX-BoldItalic) *)
    0xe70000f8,   (* [3617:465] Y + oslash : -50 (cslSTIX-BoldItalic) *)
    0xe70000e6,   (* [3618:466] Y + ae : -50 (cslSTIX-BoldItalic) *)
    0xee0000d8,   (* [3619:467] Y + Oslash : -36 (cslSTIX-BoldItalic) *)
    0xf00000d6,   (* [3620:468] Y + Odieresis : -32 (cslSTIX-BoldItalic) *)
    0xf00000d5,   (* [3621:469] Y + Otilde : -32 (cslSTIX-BoldItalic) *)
    0xf00000d4,   (* [3622:470] Y + Ocircumflex : -32 (cslSTIX-BoldItalic) *)
    0xf00000d3,   (* [3623:471] Y + Oacute : -32 (cslSTIX-BoldItalic) *)
    0xf00000d2,   (* [3624:472] Y + Ograve : -32 (cslSTIX-BoldItalic) *)
    0xee8000c6,   (* [3625:473] Y + AE : -35 (cslSTIX-BoldItalic) *)
    0xef0000c5,   (* [3626:474] Y + Aring : -34 (cslSTIX-BoldItalic) *)
    0xef0000c4,   (* [3627:475] Y + Adieresis : -34 (cslSTIX-BoldItalic) *)
    0xef0000c3,   (* [3628:476] Y + Atilde : -34 (cslSTIX-BoldItalic) *)
    0xef0000c2,   (* [3629:477] Y + Acircumflex : -34 (cslSTIX-BoldItalic) *)
    0xef0000c1,   (* [3630:478] Y + Aacute : -34 (cslSTIX-BoldItalic) *)
    0xef0000c0,   (* [3631:479] Y + Agrave : -34 (cslSTIX-BoldItalic) *)
    0xe18000ab,   (* [3632:480] Y + guillemotleft : -61 (cslSTIX-BoldItalic) *)
    0xed000076,   (* [3633:481] Y + v : -38 (cslSTIX-BoldItalic) *)
    0xeb000075,   (* [3634:482] Y + u : -42 (cslSTIX-BoldItalic) *)
    0xeb800070,   (* [3635:483] Y + p : -41 (cslSTIX-BoldItalic) *)
    0xe900006f,   (* [3636:484] Y + o : -46 (cslSTIX-BoldItalic) *)
    0xfb000069,   (* [3637:485] Y + i : -10 (cslSTIX-BoldItalic) *)
    0xe7000067,   (* [3638:486] Y + g : -50 (cslSTIX-BoldItalic) *)
    0xe5000065,   (* [3639:487] Y + e : -54 (cslSTIX-BoldItalic) *)
    0xea800061,   (* [3640:488] Y + a : -43 (cslSTIX-BoldItalic) *)
    0x04000054,   (* [3641:489] Y + T : 8 (cslSTIX-BoldItalic) *)
    0xf5000053,   (* [3642:490] Y + S : -22 (cslSTIX-BoldItalic) *)
    0xf000004f,   (* [3643:491] Y + O : -32 (cslSTIX-BoldItalic) *)
    0xf1000047,   (* [3644:492] Y + G : -30 (cslSTIX-BoldItalic) *)
    0xef000043,   (* [3645:493] Y + C : -34 (cslSTIX-BoldItalic) *)
    0xef000041,   (* [3646:494] Y + A : -34 (cslSTIX-BoldItalic) *)
    0xf480003b,   (* [3647:495] Y + semicolon : -23 (cslSTIX-BoldItalic) *)
    0xf500003a,   (* [3648:496] Y + colon : -22 (cslSTIX-BoldItalic) *)
    0xec80002e,   (* [3649:497] Y + period : -39 (cslSTIX-BoldItalic) *)
    0xee80002d,   (* [3650:498] Y + hyphen : -35 (cslSTIX-BoldItalic) *)
    0xed40002c,   (* [3651:499] Y + comma : -38 (cslSTIX-BoldItalic) *) (*;;*)
    0xf5000079,   (* [3652:500] Z + y : -22 (cslSTIX-BoldItalic) *)
    0xf9000077,   (* [3653:501] Z + w : -14 (cslSTIX-BoldItalic) *)
    0xf9400076,   (* [3654:502] Z + v : -14 (cslSTIX-BoldItalic) *) (*;;*)
    0xf9002019,   (* [3655:503] a + quoteright : -14 (cslSTIX-BoldItalic) *)
    0xff000079,   (* [3656:504] a + y : -2 (cslSTIX-BoldItalic) *)
    0xff000077,   (* [3657:505] a + w : -2 (cslSTIX-BoldItalic) *)
    0xff000076,   (* [3658:506] a + v : -2 (cslSTIX-BoldItalic) *)
    0x00c0006a,   (* [3659:507] a + j : 1 (cslSTIX-BoldItalic) *) (*;;*)
    0xfa800079,   (* [3660:508] b + y : -11 (cslSTIX-BoldItalic) *)
    0xfa000077,   (* [3661:509] b + w : -12 (cslSTIX-BoldItalic) *)
    0xfa400076,   (* [3662:510] b + v : -12 (cslSTIX-BoldItalic) *) (*;;*)
    0xfc00006b,   (* [3663:511] c + k : -8 (cslSTIX-BoldItalic) *)
    0xfa400068,   (* [3664:512] c + h : -12 (cslSTIX-BoldItalic) *) (*;;*)
    0xfc002019,   (* [3665:513] e + quoteright : -8 (cslSTIX-BoldItalic) *)
    0xff000079,   (* [3666:514] e + y : -2 (cslSTIX-BoldItalic) *)
    0xfa800078,   (* [3667:515] e + x : -11 (cslSTIX-BoldItalic) *)
    0xfe000077,   (* [3668:516] e + w : -4 (cslSTIX-BoldItalic) *)
    0xfe000076,   (* [3669:517] e + v : -4 (cslSTIX-BoldItalic) *)
    0x00c00074,   (* [3670:518] e + t : 1 (cslSTIX-BoldItalic) *) (*;;*)
    0x07002019,   (* [3671:519] f + quoteright : 14 (cslSTIX-BoldItalic) *)
    0xf5800153,   (* [3672:520] f + oe : -21 (cslSTIX-BoldItalic) *)
    0xf70000f8,   (* [3673:521] f + oslash : -18 (cslSTIX-BoldItalic) *)
    0x0b8000f6,   (* [3674:522] f + odieresis : 23 (cslSTIX-BoldItalic) *)
    0xfa8000f4,   (* [3675:523] f + ocircumflex : -11 (cslSTIX-BoldItalic) *)
    0xf70000f3,   (* [3676:524] f + oacute : -18 (cslSTIX-BoldItalic) *)
    0xfb0000f2,   (* [3677:525] f + ograve : -10 (cslSTIX-BoldItalic) *)
    0xfa8000ea,   (* [3678:526] f + ecircumflex : -11 (cslSTIX-BoldItalic) *)
    0xf60000e9,   (* [3679:527] f + eacute : -20 (cslSTIX-BoldItalic) *)
    0xfe0000e8,   (* [3680:528] f + egrave : -4 (cslSTIX-BoldItalic) *)
    0xf78000e6,   (* [3681:529] f + ae : -17 (cslSTIX-BoldItalic) *)
    0xfb0000e5,   (* [3682:530] f + aring : -10 (cslSTIX-BoldItalic) *)
    0x070000e4,   (* [3683:531] f + adieresis : 14 (cslSTIX-BoldItalic) *)
    0xfb0000e1,   (* [3684:532] f + aacute : -10 (cslSTIX-BoldItalic) *)
    0x05000074,   (* [3685:533] f + t : 10 (cslSTIX-BoldItalic) *)
    0xfc000073,   (* [3686:534] f + s : -8 (cslSTIX-BoldItalic) *)
    0xf900006f,   (* [3687:535] f + o : -14 (cslSTIX-BoldItalic) *)
    0x1880006c,   (* [3688:536] f + l : 49 (cslSTIX-BoldItalic) *)
    0x0700006a,   (* [3689:537] f + j : 14 (cslSTIX-BoldItalic) *)
    0x0b800069,   (* [3690:538] f + i : 23 (cslSTIX-BoldItalic) *)
    0x00800066,   (* [3691:539] f + f : 1 (cslSTIX-BoldItalic) *)
    0xf6000065,   (* [3692:540] f + e : -20 (cslSTIX-BoldItalic) *)
    0xfb000061,   (* [3693:541] f + a : -10 (cslSTIX-BoldItalic) *)
    0x1d20006a,   (* [3694:542] f + j ligature #58 (cslSTIX-BoldItalic) *)
    0x1da0006c,   (* [3695:543] f + l ligature #59 (cslSTIX-BoldItalic) *)
    0x1e200069,   (* [3696:544] f + i ligature #60 (cslSTIX-BoldItalic) *)
    0x1ee00066,   (* [3697:545] f + f ligature #61 (cslSTIX-BoldItalic) *) (*;;*)
    0xf78000f6,   (* [3698:546] g + odieresis : -17 (cslSTIX-BoldItalic) *)
    0xf78000f3,   (* [3699:547] g + oacute : -17 (cslSTIX-BoldItalic) *)
    0xf38000eb,   (* [3700:548] g + edieresis : -25 (cslSTIX-BoldItalic) *)
    0xf38000ea,   (* [3701:549] g + ecircumflex : -25 (cslSTIX-BoldItalic) *)
    0xf38000e9,   (* [3702:550] g + eacute : -25 (cslSTIX-BoldItalic) *)
    0xf38000e8,   (* [3703:551] g + egrave : -25 (cslSTIX-BoldItalic) *)
    0xf38000e6,   (* [3704:552] g + ae : -25 (cslSTIX-BoldItalic) *)
    0xf70000e5,   (* [3705:553] g + aring : -18 (cslSTIX-BoldItalic) *)
    0xf70000e4,   (* [3706:554] g + adieresis : -18 (cslSTIX-BoldItalic) *)
    0x02000072,   (* [3707:555] g + r : 4 (cslSTIX-BoldItalic) *)
    0xf780006c,   (* [3708:556] g + l : -17 (cslSTIX-BoldItalic) *)
    0xf3800065,   (* [3709:557] g + e : -25 (cslSTIX-BoldItalic) *)
    0xf7400061,   (* [3710:558] g + a : -18 (cslSTIX-BoldItalic) *) (*;;*)
    0xf3802019,   (* [3711:559] h + quoteright : -25 (cslSTIX-BoldItalic) *)
    0xf9400079,   (* [3712:560] h + y : -14 (cslSTIX-BoldItalic) *) (*;;*)
    0xf8000054,   (* [3713:561] i + T : -16 (cslSTIX-BoldItalic) *)
    0x1f60006a,   (* [3714:562] i + j ligature #62 (cslSTIX-BoldItalic) *) (*;;*)
    0x018000fc,   (* [3715:563] k + udieresis : 3 (cslSTIX-BoldItalic) *)
    0x020000f6,   (* [3716:564] k + odieresis : 4 (cslSTIX-BoldItalic) *)
    0x020000f3,   (* [3717:565] k + oacute : 4 (cslSTIX-BoldItalic) *)
    0x020000e6,   (* [3718:566] k + ae : 4 (cslSTIX-BoldItalic) *)
    0x070000e5,   (* [3719:567] k + aring : 14 (cslSTIX-BoldItalic) *)
    0x070000e4,   (* [3720:568] k + adieresis : 14 (cslSTIX-BoldItalic) *)
    0x070000e1,   (* [3721:569] k + aacute : 14 (cslSTIX-BoldItalic) *)
    0x01800075,   (* [3722:570] k + u : 3 (cslSTIX-BoldItalic) *)
    0x01800073,   (* [3723:571] k + s : 3 (cslSTIX-BoldItalic) *)
    0x0200006f,   (* [3724:572] k + o : 4 (cslSTIX-BoldItalic) *)
    0xfb000067,   (* [3725:573] k + g : -10 (cslSTIX-BoldItalic) *)
    0x07000061,   (* [3726:574] k + a : 14 (cslSTIX-BoldItalic) *)
    0x0c80002e,   (* [3727:575] k + period : 25 (cslSTIX-BoldItalic) *)
    0x0200002d,   (* [3728:576] k + hyphen : 4 (cslSTIX-BoldItalic) *)
    0x0ec0002c,   (* [3729:577] k + comma : 29 (cslSTIX-BoldItalic) *) (*;;*)
    0xfd000079,   (* [3730:578] l + y : -6 (cslSTIX-BoldItalic) *)
    0xfc400076,   (* [3731:579] l + v : -8 (cslSTIX-BoldItalic) *) (*;;*)
    0xfa800079,   (* [3732:580] m + y : -11 (cslSTIX-BoldItalic) *)
    0xf9800077,   (* [3733:581] m + w : -13 (cslSTIX-BoldItalic) *)
    0xfa800076,   (* [3734:582] m + v : -11 (cslSTIX-BoldItalic) *)
    0x02c00070,   (* [3735:583] m + p : 5 (cslSTIX-BoldItalic) *) (*;;*)
    0xf4802019,   (* [3736:584] n + quoteright : -23 (cslSTIX-BoldItalic) *)
    0xf9000079,   (* [3737:585] n + y : -14 (cslSTIX-BoldItalic) *)
    0xf8000077,   (* [3738:586] n + w : -16 (cslSTIX-BoldItalic) *)
    0xf8000076,   (* [3739:587] n + v : -16 (cslSTIX-BoldItalic) *)
    0x00800070,   (* [3740:588] n + p : 1 (cslSTIX-BoldItalic) *)
    0xeac00054,   (* [3741:589] n + T : -43 (cslSTIX-BoldItalic) *) (*;;*)
    0xf9002019,   (* [3742:590] o + quoteright : -14 (cslSTIX-BoldItalic) *)
    0xf8000079,   (* [3743:591] o + y : -16 (cslSTIX-BoldItalic) *)
    0xf7000078,   (* [3744:592] o + x : -18 (cslSTIX-BoldItalic) *)
    0xf8800077,   (* [3745:593] o + w : -15 (cslSTIX-BoldItalic) *)
    0xf8800076,   (* [3746:594] o + v : -15 (cslSTIX-BoldItalic) *)
    0x02000074,   (* [3747:595] o + t : 4 (cslSTIX-BoldItalic) *)
    0xe8c00054,   (* [3748:596] o + T : -47 (cslSTIX-BoldItalic) *) (*;;*)
    0xfc000079,   (* [3749:597] p + y : -8 (cslSTIX-BoldItalic) *)
    0x02400074,   (* [3750:598] p + t : 4 (cslSTIX-BoldItalic) *) (*;;*)
    0xff000075,   (* [3751:599] q + u : -2 (cslSTIX-BoldItalic) *)
    0xff400063,   (* [3752:600] q + c : -2 (cslSTIX-BoldItalic) *) (*;;*)
    0x02802019,   (* [3753:601] r + quoteright : 5 (cslSTIX-BoldItalic) *)
    0xf8800153,   (* [3754:602] r + oe : -15 (cslSTIX-BoldItalic) *)
    0xfb0000f8,   (* [3755:603] r + oslash : -10 (cslSTIX-BoldItalic) *)
    0xfb8000f6,   (* [3756:604] r + odieresis : -9 (cslSTIX-BoldItalic) *)
    0xfb8000f4,   (* [3757:605] r + ocircumflex : -9 (cslSTIX-BoldItalic) *)
    0xfb8000f3,   (* [3758:606] r + oacute : -9 (cslSTIX-BoldItalic) *)
    0xfb8000f2,   (* [3759:607] r + ograve : -9 (cslSTIX-BoldItalic) *)
    0xf78000ea,   (* [3760:608] r + ecircumflex : -17 (cslSTIX-BoldItalic) *)
    0xf78000e9,   (* [3761:609] r + eacute : -17 (cslSTIX-BoldItalic) *)
    0xf78000e8,   (* [3762:610] r + egrave : -17 (cslSTIX-BoldItalic) *)
    0xfb0000e7,   (* [3763:611] r + ccedilla : -10 (cslSTIX-BoldItalic) *)
    0xf70000e6,   (* [3764:612] r + ae : -18 (cslSTIX-BoldItalic) *)
    0xfb0000e5,   (* [3765:613] r + aring : -10 (cslSTIX-BoldItalic) *)
    0xfb0000e4,   (* [3766:614] r + adieresis : -10 (cslSTIX-BoldItalic) *)
    0xfb0000e2,   (* [3767:615] r + acircumflex : -10 (cslSTIX-BoldItalic) *)
    0xfb0000e1,   (* [3768:616] r + aacute : -10 (cslSTIX-BoldItalic) *)
    0xfb0000e0,   (* [3769:617] r + agrave : -10 (cslSTIX-BoldItalic) *)
    0x0580007a,   (* [3770:618] r + z : 11 (cslSTIX-BoldItalic) *)
    0x0c800079,   (* [3771:619] r + y : 25 (cslSTIX-BoldItalic) *)
    0x04000078,   (* [3772:620] r + x : 8 (cslSTIX-BoldItalic) *)
    0x0b800077,   (* [3773:621] r + w : 23 (cslSTIX-BoldItalic) *)
    0x0b800076,   (* [3774:622] r + v : 23 (cslSTIX-BoldItalic) *)
    0x06800075,   (* [3775:623] r + u : 13 (cslSTIX-BoldItalic) *)
    0x07800074,   (* [3776:624] r + t : 15 (cslSTIX-BoldItalic) *)
    0x09000072,   (* [3777:625] r + r : 18 (cslSTIX-BoldItalic) *)
    0xf7000071,   (* [3778:626] r + q : -18 (cslSTIX-BoldItalic) *)
    0x09800070,   (* [3779:627] r + p : 19 (cslSTIX-BoldItalic) *)
    0xfb80006f,   (* [3780:628] r + o : -9 (cslSTIX-BoldItalic) *)
    0x0400006e,   (* [3781:629] r + n : 8 (cslSTIX-BoldItalic) *)
    0x0680006d,   (* [3782:630] r + m : 13 (cslSTIX-BoldItalic) *)
    0xfb00006c,   (* [3783:631] r + l : -10 (cslSTIX-BoldItalic) *)
    0xfb00006b,   (* [3784:632] r + k : -10 (cslSTIX-BoldItalic) *)
    0x0700006a,   (* [3785:633] r + j : 14 (cslSTIX-BoldItalic) *)
    0x0a000069,   (* [3786:634] r + i : 20 (cslSTIX-BoldItalic) *)
    0xfa000068,   (* [3787:635] r + h : -12 (cslSTIX-BoldItalic) *)
    0xfe800067,   (* [3788:636] r + g : -3 (cslSTIX-BoldItalic) *)
    0x04800066,   (* [3789:637] r + f : 9 (cslSTIX-BoldItalic) *)
    0xf7800065,   (* [3790:638] r + e : -17 (cslSTIX-BoldItalic) *)
    0xfb000064,   (* [3791:639] r + d : -10 (cslSTIX-BoldItalic) *)
    0xfa000063,   (* [3792:640] r + c : -12 (cslSTIX-BoldItalic) *)
    0xfb000061,   (* [3793:641] r + a : -10 (cslSTIX-BoldItalic) *)
    0xf900003b,   (* [3794:642] r + semicolon : -14 (cslSTIX-BoldItalic) *)
    0xfa00003a,   (* [3795:643] r + colon : -12 (cslSTIX-BoldItalic) *)
    0xe700002e,   (* [3796:644] r + period : -50 (cslSTIX-BoldItalic) *)
    0xef80002d,   (* [3797:645] r + hyphen : -33 (cslSTIX-BoldItalic) *)
    0xe940002c,   (* [3798:646] r + comma : -46 (cslSTIX-BoldItalic) *) (*;;*)
    0xf9002019,   (* [3799:647] s + quoteright : -14 (cslSTIX-BoldItalic) *)
    0xff400074,   (* [3800:648] s + t : -2 (cslSTIX-BoldItalic) *) (*;;*)
    0xfb002019,   (* [3801:649] t + quoteright : -10 (cslSTIX-BoldItalic) *)
    0x018000f6,   (* [3802:650] t + odieresis : 3 (cslSTIX-BoldItalic) *)
    0x018000f3,   (* [3803:651] t + oacute : 3 (cslSTIX-BoldItalic) *)
    0xff8000e9,   (* [3804:652] t + eacute : -1 (cslSTIX-BoldItalic) *)
    0x020000e6,   (* [3805:653] t + ae : 4 (cslSTIX-BoldItalic) *)
    0x070000e5,   (* [3806:654] t + aring : 14 (cslSTIX-BoldItalic) *)
    0x070000e4,   (* [3807:655] t + adieresis : 14 (cslSTIX-BoldItalic) *)
    0x070000e1,   (* [3808:656] t + aacute : 14 (cslSTIX-BoldItalic) *)
    0x0180006f,   (* [3809:657] t + o : 3 (cslSTIX-BoldItalic) *)
    0xff800065,   (* [3810:658] t + e : -1 (cslSTIX-BoldItalic) *)
    0x07000061,   (* [3811:659] t + a : 14 (cslSTIX-BoldItalic) *)
    0x0a80003b,   (* [3812:660] t + semicolon : 21 (cslSTIX-BoldItalic) *)
    0x0c40003a,   (* [3813:661] t + colon : 24 (cslSTIX-BoldItalic) *) (*;;*)
    0xf4402019,   (* [3814:662] u + quoteright : -24 (cslSTIX-BoldItalic) *) (*;;*)
    0xf88000f8,   (* [3815:663] v + oslash : -15 (cslSTIX-BoldItalic) *)
    0xf98000f6,   (* [3816:664] v + odieresis : -13 (cslSTIX-BoldItalic) *)
    0xf98000f3,   (* [3817:665] v + oacute : -13 (cslSTIX-BoldItalic) *)
    0xf98000f2,   (* [3818:666] v + ograve : -13 (cslSTIX-BoldItalic) *)
    0xf70000ea,   (* [3819:667] v + ecircumflex : -18 (cslSTIX-BoldItalic) *)
    0xf70000e9,   (* [3820:668] v + eacute : -18 (cslSTIX-BoldItalic) *)
    0xf70000e8,   (* [3821:669] v + egrave : -18 (cslSTIX-BoldItalic) *)
    0xf78000e6,   (* [3822:670] v + ae : -17 (cslSTIX-BoldItalic) *)
    0xfa8000e5,   (* [3823:671] v + aring : -11 (cslSTIX-BoldItalic) *)
    0xfa8000e4,   (* [3824:672] v + adieresis : -11 (cslSTIX-BoldItalic) *)
    0xfa8000e3,   (* [3825:673] v + atilde : -11 (cslSTIX-BoldItalic) *)
    0xfa8000e2,   (* [3826:674] v + acircumflex : -11 (cslSTIX-BoldItalic) *)
    0xfa8000e1,   (* [3827:675] v + aacute : -11 (cslSTIX-BoldItalic) *)
    0xfa8000e0,   (* [3828:676] v + agrave : -11 (cslSTIX-BoldItalic) *)
    0xfa000073,   (* [3829:677] v + s : -12 (cslSTIX-BoldItalic) *)
    0xf980006f,   (* [3830:678] v + o : -13 (cslSTIX-BoldItalic) *)
    0xf900006c,   (* [3831:679] v + l : -14 (cslSTIX-BoldItalic) *)
    0xf8800067,   (* [3832:680] v + g : -15 (cslSTIX-BoldItalic) *)
    0xf7000065,   (* [3833:681] v + e : -18 (cslSTIX-BoldItalic) *)
    0xf9000063,   (* [3834:682] v + c : -14 (cslSTIX-BoldItalic) *)
    0xfa800061,   (* [3835:683] v + a : -11 (cslSTIX-BoldItalic) *)
    0xff00003a,   (* [3836:684] v + colon : -2 (cslSTIX-BoldItalic) *)
    0xed80002e,   (* [3837:685] v + period : -37 (cslSTIX-BoldItalic) *)
    0xeec0002c,   (* [3838:686] v + comma : -35 (cslSTIX-BoldItalic) *) (*;;*)
    0xf80000f8,   (* [3839:687] w + oslash : -16 (cslSTIX-BoldItalic) *)
    0xf80000f6,   (* [3840:688] w + odieresis : -16 (cslSTIX-BoldItalic) *)
    0xf80000f3,   (* [3841:689] w + oacute : -16 (cslSTIX-BoldItalic) *)
    0xf80000f2,   (* [3842:690] w + ograve : -16 (cslSTIX-BoldItalic) *)
    0xf50000ea,   (* [3843:691] w + ecircumflex : -22 (cslSTIX-BoldItalic) *)
    0xf50000e9,   (* [3844:692] w + eacute : -22 (cslSTIX-BoldItalic) *)
    0xf50000e8,   (* [3845:693] w + egrave : -22 (cslSTIX-BoldItalic) *)
    0xf58000e6,   (* [3846:694] w + ae : -21 (cslSTIX-BoldItalic) *)
    0xf88000e5,   (* [3847:695] w + aring : -15 (cslSTIX-BoldItalic) *)
    0xf88000e4,   (* [3848:696] w + adieresis : -15 (cslSTIX-BoldItalic) *)
    0xf88000e3,   (* [3849:697] w + atilde : -15 (cslSTIX-BoldItalic) *)
    0xf88000e2,   (* [3850:698] w + acircumflex : -15 (cslSTIX-BoldItalic) *)
    0xf88000e1,   (* [3851:699] w + aacute : -15 (cslSTIX-BoldItalic) *)
    0xf88000e0,   (* [3852:700] w + agrave : -15 (cslSTIX-BoldItalic) *)
    0xf8000073,   (* [3853:701] w + s : -16 (cslSTIX-BoldItalic) *)
    0xf800006f,   (* [3854:702] w + o : -16 (cslSTIX-BoldItalic) *)
    0xf700006c,   (* [3855:703] w + l : -18 (cslSTIX-BoldItalic) *)
    0xf6000067,   (* [3856:704] w + g : -20 (cslSTIX-BoldItalic) *)
    0xf5000065,   (* [3857:705] w + e : -22 (cslSTIX-BoldItalic) *)
    0xf7000063,   (* [3858:706] w + c : -18 (cslSTIX-BoldItalic) *)
    0xf8800061,   (* [3859:707] w + a : -15 (cslSTIX-BoldItalic) *)
    0xfe80003b,   (* [3860:708] w + semicolon : -3 (cslSTIX-BoldItalic) *)
    0xfd80003a,   (* [3861:709] w + colon : -5 (cslSTIX-BoldItalic) *)
    0xed80002e,   (* [3862:710] w + period : -37 (cslSTIX-BoldItalic) *)
    0xfd00002d,   (* [3863:711] w + hyphen : -6 (cslSTIX-BoldItalic) *)
    0xeec0002c,   (* [3864:712] w + comma : -35 (cslSTIX-BoldItalic) *) (*;;*)
    0xfa0000e9,   (* [3865:713] x + eacute : -12 (cslSTIX-BoldItalic) *)
    0xfb000071,   (* [3866:714] x + q : -10 (cslSTIX-BoldItalic) *)
    0xfb00006f,   (* [3867:715] x + o : -10 (cslSTIX-BoldItalic) *)
    0xfa000065,   (* [3868:716] x + e : -12 (cslSTIX-BoldItalic) *)
    0xfb800063,   (* [3869:717] x + c : -9 (cslSTIX-BoldItalic) *)
    0xff400061,   (* [3870:718] x + a : -2 (cslSTIX-BoldItalic) *) (*;;*)
    0xfc0000f8,   (* [3871:719] y + oslash : -8 (cslSTIX-BoldItalic) *)
    0xfd0000f6,   (* [3872:720] y + odieresis : -6 (cslSTIX-BoldItalic) *)
    0xfd0000f3,   (* [3873:721] y + oacute : -6 (cslSTIX-BoldItalic) *)
    0xfd0000f2,   (* [3874:722] y + ograve : -6 (cslSTIX-BoldItalic) *)
    0xfa8000ea,   (* [3875:723] y + ecircumflex : -11 (cslSTIX-BoldItalic) *)
    0xfa8000e9,   (* [3876:724] y + eacute : -11 (cslSTIX-BoldItalic) *)
    0xfa8000e8,   (* [3877:725] y + egrave : -11 (cslSTIX-BoldItalic) *)
    0xfb0000e6,   (* [3878:726] y + ae : -10 (cslSTIX-BoldItalic) *)
    0xfe0000e5,   (* [3879:727] y + aring : -4 (cslSTIX-BoldItalic) *)
    0xfe0000e4,   (* [3880:728] y + adieresis : -4 (cslSTIX-BoldItalic) *)
    0xfe0000e3,   (* [3881:729] y + atilde : -4 (cslSTIX-BoldItalic) *)
    0xfe0000e2,   (* [3882:730] y + acircumflex : -4 (cslSTIX-BoldItalic) *)
    0xfe0000e1,   (* [3883:731] y + aacute : -4 (cslSTIX-BoldItalic) *)
    0xfe0000e0,   (* [3884:732] y + agrave : -4 (cslSTIX-BoldItalic) *)
    0xfc800073,   (* [3885:733] y + s : -7 (cslSTIX-BoldItalic) *)
    0xfd00006f,   (* [3886:734] y + o : -6 (cslSTIX-BoldItalic) *)
    0xfc00006c,   (* [3887:735] y + l : -8 (cslSTIX-BoldItalic) *)
    0xfa800067,   (* [3888:736] y + g : -11 (cslSTIX-BoldItalic) *)
    0xfa800065,   (* [3889:737] y + e : -11 (cslSTIX-BoldItalic) *)
    0xfc800063,   (* [3890:738] y + c : -7 (cslSTIX-BoldItalic) *)
    0xfe000061,   (* [3891:739] y + a : -4 (cslSTIX-BoldItalic) *)
    0x0500003b,   (* [3892:740] y + semicolon : 10 (cslSTIX-BoldItalic) *)
    0x0280003a,   (* [3893:741] y + colon : 5 (cslSTIX-BoldItalic) *)
    0xf800002e,   (* [3894:742] y + period : -16 (cslSTIX-BoldItalic) *)
    0x0200002d,   (* [3895:743] y + hyphen : 4 (cslSTIX-BoldItalic) *)
    0xf940002c,   (* [3896:744] y + comma : -14 (cslSTIX-BoldItalic) *) (*;;*)
    0xf60000c6,   (* [3897:745] guillemotright + AE : -20 (cslSTIX-BoldItalic) *)
    0xfa8000c5,   (* [3898:746] guillemotright + Aring : -11 (cslSTIX-BoldItalic) *)
    0xfa8000c4,   (* [3899:747] guillemotright + Adieresis : -11 (cslSTIX-BoldItalic) *)
    0xfa8000c1,   (* [3900:748] guillemotright + Aacute : -11 (cslSTIX-BoldItalic) *)
    0xe5800059,   (* [3901:749] guillemotright + Y : -53 (cslSTIX-BoldItalic) *)
    0xe8800057,   (* [3902:750] guillemotright + W : -47 (cslSTIX-BoldItalic) *)
    0xe8000056,   (* [3903:751] guillemotright + V : -48 (cslSTIX-BoldItalic) *)
    0xe8000054,   (* [3904:752] guillemotright + T : -48 (cslSTIX-BoldItalic) *)
    0xfac00041,   (* [3905:753] guillemotright + A : -11 (cslSTIX-BoldItalic) *) (*;;*)
    0xce000059,   (* [3906:754] Agrave + Y : -100 (cslSTIX-BoldItalic) *)
    0xcb800057,   (* [3907:755] Agrave + W : -105 (cslSTIX-BoldItalic) *)
    0xcb800056,   (* [3908:756] Agrave + V : -105 (cslSTIX-BoldItalic) *)
    0xdf800055,   (* [3909:757] Agrave + U : -65 (cslSTIX-BoldItalic) *)
    0xe4800054,   (* [3910:758] Agrave + T : -55 (cslSTIX-BoldItalic) *)
    0xee000051,   (* [3911:759] Agrave + Q : -36 (cslSTIX-BoldItalic) *)
    0xee00004f,   (* [3912:760] Agrave + O : -36 (cslSTIX-BoldItalic) *)
    0xef000047,   (* [3913:761] Agrave + G : -34 (cslSTIX-BoldItalic) *)
    0xed000043,   (* [3914:762] Agrave + C : -38 (cslSTIX-BoldItalic) *)
    0x0900002e,   (* [3915:763] Agrave + period : 18 (cslSTIX-BoldItalic) *)
    0x06c0002c,   (* [3916:764] Agrave + comma : 13 (cslSTIX-BoldItalic) *) (*;;*)
    0xeb802039,   (* [3917:765] Aacute + guilsinglleft : -41 (cslSTIX-BoldItalic) *)
    0xe780201d,   (* [3918:766] Aacute + quotedblright : -49 (cslSTIX-BoldItalic) *)
    0xdf002019,   (* [3919:767] Aacute + quoteright : -66 (cslSTIX-BoldItalic) *)
    0xef0000ab,   (* [3920:768] Aacute + guillemotleft : -34 (cslSTIX-BoldItalic) *)
    0xeb800079,   (* [3921:769] Aacute + y : -41 (cslSTIX-BoldItalic) *)
    0xed800077,   (* [3922:770] Aacute + w : -37 (cslSTIX-BoldItalic) *)
    0xef000076,   (* [3923:771] Aacute + v : -34 (cslSTIX-BoldItalic) *)
    0xf9000075,   (* [3924:772] Aacute + u : -14 (cslSTIX-BoldItalic) *)
    0xfe800074,   (* [3925:773] Aacute + t : -3 (cslSTIX-BoldItalic) *)
    0xfa000071,   (* [3926:774] Aacute + q : -12 (cslSTIX-BoldItalic) *)
    0xf800006f,   (* [3927:775] Aacute + o : -16 (cslSTIX-BoldItalic) *)
    0xf8000067,   (* [3928:776] Aacute + g : -16 (cslSTIX-BoldItalic) *)
    0xf7800065,   (* [3929:777] Aacute + e : -17 (cslSTIX-BoldItalic) *)
    0xfe800064,   (* [3930:778] Aacute + d : -3 (cslSTIX-BoldItalic) *)
    0xf9000063,   (* [3931:779] Aacute + c : -14 (cslSTIX-BoldItalic) *)
    0xff000062,   (* [3932:780] Aacute + b : -2 (cslSTIX-BoldItalic) *)
    0xfe000061,   (* [3933:781] Aacute + a : -4 (cslSTIX-BoldItalic) *)
    0xce000059,   (* [3934:782] Aacute + Y : -100 (cslSTIX-BoldItalic) *)
    0xcb800057,   (* [3935:783] Aacute + W : -105 (cslSTIX-BoldItalic) *)
    0xcb800056,   (* [3936:784] Aacute + V : -105 (cslSTIX-BoldItalic) *)
    0xdf800055,   (* [3937:785] Aacute + U : -65 (cslSTIX-BoldItalic) *)
    0xe4800054,   (* [3938:786] Aacute + T : -55 (cslSTIX-BoldItalic) *)
    0xee000051,   (* [3939:787] Aacute + Q : -36 (cslSTIX-BoldItalic) *)
    0xee00004f,   (* [3940:788] Aacute + O : -36 (cslSTIX-BoldItalic) *)
    0xef000047,   (* [3941:789] Aacute + G : -34 (cslSTIX-BoldItalic) *)
    0xed000043,   (* [3942:790] Aacute + C : -38 (cslSTIX-BoldItalic) *)
    0x0900002e,   (* [3943:791] Aacute + period : 18 (cslSTIX-BoldItalic) *)
    0xfd00002d,   (* [3944:792] Aacute + hyphen : -6 (cslSTIX-BoldItalic) *)
    0x06c0002c,   (* [3945:793] Aacute + comma : 13 (cslSTIX-BoldItalic) *) (*;;*)
    0xce000059,   (* [3946:794] Acircumflex + Y : -100 (cslSTIX-BoldItalic) *)
    0xcb800057,   (* [3947:795] Acircumflex + W : -105 (cslSTIX-BoldItalic) *)
    0xcb800056,   (* [3948:796] Acircumflex + V : -105 (cslSTIX-BoldItalic) *)
    0xdf800055,   (* [3949:797] Acircumflex + U : -65 (cslSTIX-BoldItalic) *)
    0xe4800054,   (* [3950:798] Acircumflex + T : -55 (cslSTIX-BoldItalic) *)
    0xee000051,   (* [3951:799] Acircumflex + Q : -36 (cslSTIX-BoldItalic) *)
    0xee00004f,   (* [3952:800] Acircumflex + O : -36 (cslSTIX-BoldItalic) *)
    0xef000047,   (* [3953:801] Acircumflex + G : -34 (cslSTIX-BoldItalic) *)
    0xed000043,   (* [3954:802] Acircumflex + C : -38 (cslSTIX-BoldItalic) *)
    0x0900002e,   (* [3955:803] Acircumflex + period : 18 (cslSTIX-BoldItalic) *)
    0x06c0002c,   (* [3956:804] Acircumflex + comma : 13 (cslSTIX-BoldItalic) *) (*;;*)
    0xce000059,   (* [3957:805] Atilde + Y : -100 (cslSTIX-BoldItalic) *)
    0xcb800057,   (* [3958:806] Atilde + W : -105 (cslSTIX-BoldItalic) *)
    0xcb800056,   (* [3959:807] Atilde + V : -105 (cslSTIX-BoldItalic) *)
    0xde800055,   (* [3960:808] Atilde + U : -67 (cslSTIX-BoldItalic) *)
    0xe4800054,   (* [3961:809] Atilde + T : -55 (cslSTIX-BoldItalic) *)
    0xed000051,   (* [3962:810] Atilde + Q : -38 (cslSTIX-BoldItalic) *)
    0xed00004f,   (* [3963:811] Atilde + O : -38 (cslSTIX-BoldItalic) *)
    0xef800047,   (* [3964:812] Atilde + G : -33 (cslSTIX-BoldItalic) *)
    0xed800043,   (* [3965:813] Atilde + C : -37 (cslSTIX-BoldItalic) *)
    0x0500002e,   (* [3966:814] Atilde + period : 10 (cslSTIX-BoldItalic) *)
    0x0540002c,   (* [3967:815] Atilde + comma : 10 (cslSTIX-BoldItalic) *) (*;;*)
    0xeb002039,   (* [3968:816] Adieresis + guilsinglleft : -42 (cslSTIX-BoldItalic) *)
    0xe900201d,   (* [3969:817] Adieresis + quotedblright : -46 (cslSTIX-BoldItalic) *)
    0xe0802019,   (* [3970:818] Adieresis + quoteright : -63 (cslSTIX-BoldItalic) *)
    0xef0000ab,   (* [3971:819] Adieresis + guillemotleft : -34 (cslSTIX-BoldItalic) *)
    0xea800079,   (* [3972:820] Adieresis + y : -43 (cslSTIX-BoldItalic) *)
    0xef000077,   (* [3973:821] Adieresis + w : -34 (cslSTIX-BoldItalic) *)
    0xef000076,   (* [3974:822] Adieresis + v : -34 (cslSTIX-BoldItalic) *)
    0xf9000075,   (* [3975:823] Adieresis + u : -14 (cslSTIX-BoldItalic) *)
    0xfe800074,   (* [3976:824] Adieresis + t : -3 (cslSTIX-BoldItalic) *)
    0xfa000071,   (* [3977:825] Adieresis + q : -12 (cslSTIX-BoldItalic) *)
    0xf880006f,   (* [3978:826] Adieresis + o : -15 (cslSTIX-BoldItalic) *)
    0xf8000067,   (* [3979:827] Adieresis + g : -16 (cslSTIX-BoldItalic) *)
    0xfe800064,   (* [3980:828] Adieresis + d : -3 (cslSTIX-BoldItalic) *)
    0xf9000063,   (* [3981:829] Adieresis + c : -14 (cslSTIX-BoldItalic) *)
    0xff000062,   (* [3982:830] Adieresis + b : -2 (cslSTIX-BoldItalic) *)
    0xfe000061,   (* [3983:831] Adieresis + a : -4 (cslSTIX-BoldItalic) *)
    0xd8000059,   (* [3984:832] Adieresis + Y : -80 (cslSTIX-BoldItalic) *)
    0xda800057,   (* [3985:833] Adieresis + W : -75 (cslSTIX-BoldItalic) *)
    0xda800056,   (* [3986:834] Adieresis + V : -75 (cslSTIX-BoldItalic) *)
    0xdf800055,   (* [3987:835] Adieresis + U : -65 (cslSTIX-BoldItalic) *)
    0xe4800054,   (* [3988:836] Adieresis + T : -55 (cslSTIX-BoldItalic) *)
    0xed800051,   (* [3989:837] Adieresis + Q : -37 (cslSTIX-BoldItalic) *)
    0xed80004f,   (* [3990:838] Adieresis + O : -37 (cslSTIX-BoldItalic) *)
    0xef000047,   (* [3991:839] Adieresis + G : -34 (cslSTIX-BoldItalic) *)
    0xee800043,   (* [3992:840] Adieresis + C : -35 (cslSTIX-BoldItalic) *)
    0x0700002e,   (* [3993:841] Adieresis + period : 14 (cslSTIX-BoldItalic) *)
    0xfc80002d,   (* [3994:842] Adieresis + hyphen : -7 (cslSTIX-BoldItalic) *)
    0x05c0002c,   (* [3995:843] Adieresis + comma : 11 (cslSTIX-BoldItalic) *) (*;;*)
    0xeb802039,   (* [3996:844] Aring + guilsinglleft : -41 (cslSTIX-BoldItalic) *)
    0xe780201d,   (* [3997:845] Aring + quotedblright : -49 (cslSTIX-BoldItalic) *)
    0xdf002019,   (* [3998:846] Aring + quoteright : -66 (cslSTIX-BoldItalic) *)
    0xef0000ab,   (* [3999:847] Aring + guillemotleft : -34 (cslSTIX-BoldItalic) *)
    0xeb800079,   (* [4000:848] Aring + y : -41 (cslSTIX-BoldItalic) *)
    0xed800077,   (* [4001:849] Aring + w : -37 (cslSTIX-BoldItalic) *)
    0xef000076,   (* [4002:850] Aring + v : -34 (cslSTIX-BoldItalic) *)
    0xf9000075,   (* [4003:851] Aring + u : -14 (cslSTIX-BoldItalic) *)
    0xfe800074,   (* [4004:852] Aring + t : -3 (cslSTIX-BoldItalic) *)
    0xfa000071,   (* [4005:853] Aring + q : -12 (cslSTIX-BoldItalic) *)
    0xf800006f,   (* [4006:854] Aring + o : -16 (cslSTIX-BoldItalic) *)
    0xf8000067,   (* [4007:855] Aring + g : -16 (cslSTIX-BoldItalic) *)
    0xf7800065,   (* [4008:856] Aring + e : -17 (cslSTIX-BoldItalic) *)
    0xfe800064,   (* [4009:857] Aring + d : -3 (cslSTIX-BoldItalic) *)
    0xf9000063,   (* [4010:858] Aring + c : -14 (cslSTIX-BoldItalic) *)
    0xff000062,   (* [4011:859] Aring + b : -2 (cslSTIX-BoldItalic) *)
    0xfe000061,   (* [4012:860] Aring + a : -4 (cslSTIX-BoldItalic) *)
    0xce000059,   (* [4013:861] Aring + Y : -100 (cslSTIX-BoldItalic) *)
    0xcb800057,   (* [4014:862] Aring + W : -105 (cslSTIX-BoldItalic) *)
    0xcb800056,   (* [4015:863] Aring + V : -105 (cslSTIX-BoldItalic) *)
    0xdf800055,   (* [4016:864] Aring + U : -65 (cslSTIX-BoldItalic) *)
    0xe4800054,   (* [4017:865] Aring + T : -55 (cslSTIX-BoldItalic) *)
    0xee000051,   (* [4018:866] Aring + Q : -36 (cslSTIX-BoldItalic) *)
    0xee00004f,   (* [4019:867] Aring + O : -36 (cslSTIX-BoldItalic) *)
    0xef000047,   (* [4020:868] Aring + G : -34 (cslSTIX-BoldItalic) *)
    0xed000043,   (* [4021:869] Aring + C : -38 (cslSTIX-BoldItalic) *)
    0x0900002e,   (* [4022:870] Aring + period : 18 (cslSTIX-BoldItalic) *)
    0xfd00002d,   (* [4023:871] Aring + hyphen : -6 (cslSTIX-BoldItalic) *)
    0x06c0002c,   (* [4024:872] Aring + comma : 13 (cslSTIX-BoldItalic) *) (*;;*)
    0xf5400041,   (* [4025:873] Ccedilla + A : -22 (cslSTIX-BoldItalic) *) (*;;*)
    0xee000059,   (* [4026:874] Ograve + Y : -36 (cslSTIX-BoldItalic) *)
    0xf0800056,   (* [4027:875] Ograve + V : -31 (cslSTIX-BoldItalic) *)
    0xf8c00054,   (* [4028:876] Ograve + T : -15 (cslSTIX-BoldItalic) *) (*;;*)
    0xee000059,   (* [4029:877] Oacute + Y : -36 (cslSTIX-BoldItalic) *)
    0xf1000057,   (* [4030:878] Oacute + W : -30 (cslSTIX-BoldItalic) *)
    0xf0800056,   (* [4031:879] Oacute + V : -31 (cslSTIX-BoldItalic) *)
    0xf8800054,   (* [4032:880] Oacute + T : -15 (cslSTIX-BoldItalic) *)
    0xf1400041,   (* [4033:881] Oacute + A : -30 (cslSTIX-BoldItalic) *) (*;;*)
    0xee000059,   (* [4034:882] Ocircumflex + Y : -36 (cslSTIX-BoldItalic) *)
    0xf0800056,   (* [4035:883] Ocircumflex + V : -31 (cslSTIX-BoldItalic) *)
    0xf8c00054,   (* [4036:884] Ocircumflex + T : -15 (cslSTIX-BoldItalic) *) (*;;*)
    0xee000059,   (* [4037:885] Otilde + Y : -36 (cslSTIX-BoldItalic) *)
    0xf0800056,   (* [4038:886] Otilde + V : -31 (cslSTIX-BoldItalic) *)
    0xf8c00054,   (* [4039:887] Otilde + T : -15 (cslSTIX-BoldItalic) *) (*;;*)
    0xee000059,   (* [4040:888] Odieresis + Y : -36 (cslSTIX-BoldItalic) *)
    0xee800058,   (* [4041:889] Odieresis + X : -35 (cslSTIX-BoldItalic) *)
    0xf1000057,   (* [4042:890] Odieresis + W : -30 (cslSTIX-BoldItalic) *)
    0xf0800056,   (* [4043:891] Odieresis + V : -31 (cslSTIX-BoldItalic) *)
    0xf8800054,   (* [4044:892] Odieresis + T : -15 (cslSTIX-BoldItalic) *)
    0xf1400041,   (* [4045:893] Odieresis + A : -30 (cslSTIX-BoldItalic) *) (*;;*)
    0xf1400041,   (* [4046:894] Oslash + A : -30 (cslSTIX-BoldItalic) *) (*;;*)
    0xf7800072,   (* [4047:895] Ugrave + r : -17 (cslSTIX-BoldItalic) *)
    0xf8000070,   (* [4048:896] Ugrave + p : -16 (cslSTIX-BoldItalic) *)
    0xf500006e,   (* [4049:897] Ugrave + n : -22 (cslSTIX-BoldItalic) *)
    0xf680006d,   (* [4050:898] Ugrave + m : -19 (cslSTIX-BoldItalic) *)
    0xeb800041,   (* [4051:899] Ugrave + A : -41 (cslSTIX-BoldItalic) *)
    0xf780002e,   (* [4052:900] Ugrave + period : -17 (cslSTIX-BoldItalic) *)
    0xf740002c,   (* [4053:901] Ugrave + comma : -18 (cslSTIX-BoldItalic) *) (*;;*)
    0xf7800072,   (* [4054:902] Uacute + r : -17 (cslSTIX-BoldItalic) *)
    0xf8000070,   (* [4055:903] Uacute + p : -16 (cslSTIX-BoldItalic) *)
    0xf500006e,   (* [4056:904] Uacute + n : -22 (cslSTIX-BoldItalic) *)
    0xf680006d,   (* [4057:905] Uacute + m : -19 (cslSTIX-BoldItalic) *)
    0xeb800041,   (* [4058:906] Uacute + A : -41 (cslSTIX-BoldItalic) *)
    0xf780002e,   (* [4059:907] Uacute + period : -17 (cslSTIX-BoldItalic) *)
    0xf740002c,   (* [4060:908] Uacute + comma : -18 (cslSTIX-BoldItalic) *) (*;;*)
    0xebc00041,   (* [4061:909] Ucircumflex + A : -41 (cslSTIX-BoldItalic) *) (*;;*)
    0xf7800072,   (* [4062:910] Udieresis + r : -17 (cslSTIX-BoldItalic) *)
    0xf8000070,   (* [4063:911] Udieresis + p : -16 (cslSTIX-BoldItalic) *)
    0xf500006e,   (* [4064:912] Udieresis + n : -22 (cslSTIX-BoldItalic) *)
    0xf680006d,   (* [4065:913] Udieresis + m : -19 (cslSTIX-BoldItalic) *)
    0x00800062,   (* [4066:914] Udieresis + b : 1 (cslSTIX-BoldItalic) *)
    0xeb800041,   (* [4067:915] Udieresis + A : -41 (cslSTIX-BoldItalic) *)
    0xf780002e,   (* [4068:916] Udieresis + period : -17 (cslSTIX-BoldItalic) *)
    0xf740002c,   (* [4069:917] Udieresis + comma : -18 (cslSTIX-BoldItalic) *) (*;;*)
    0xff000079,   (* [4070:918] agrave + y : -2 (cslSTIX-BoldItalic) *)
    0xff000077,   (* [4071:919] agrave + w : -2 (cslSTIX-BoldItalic) *)
    0xff400076,   (* [4072:920] agrave + v : -2 (cslSTIX-BoldItalic) *) (*;;*)
    0xff000079,   (* [4073:921] aacute + y : -2 (cslSTIX-BoldItalic) *)
    0xff000077,   (* [4074:922] aacute + w : -2 (cslSTIX-BoldItalic) *)
    0xff400076,   (* [4075:923] aacute + v : -2 (cslSTIX-BoldItalic) *) (*;;*)
    0xff000079,   (* [4076:924] adieresis + y : -2 (cslSTIX-BoldItalic) *)
    0xff000077,   (* [4077:925] adieresis + w : -2 (cslSTIX-BoldItalic) *)
    0xff400076,   (* [4078:926] adieresis + v : -2 (cslSTIX-BoldItalic) *) (*;;*)
    0xff000079,   (* [4079:927] aring + y : -2 (cslSTIX-BoldItalic) *)
    0xff000077,   (* [4080:928] aring + w : -2 (cslSTIX-BoldItalic) *)
    0xff400076,   (* [4081:929] aring + v : -2 (cslSTIX-BoldItalic) *) (*;;*)
    0xfe000079,   (* [4082:930] ae + y : -4 (cslSTIX-BoldItalic) *)
    0xfd800077,   (* [4083:931] ae + w : -5 (cslSTIX-BoldItalic) *)
    0xfdc00076,   (* [4084:932] ae + v : -5 (cslSTIX-BoldItalic) *) (*;;*)
    0xff000079,   (* [4085:933] eacute + y : -2 (cslSTIX-BoldItalic) *)
    0xfe000077,   (* [4086:934] eacute + w : -4 (cslSTIX-BoldItalic) *)
    0xfe400076,   (* [4087:935] eacute + v : -4 (cslSTIX-BoldItalic) *) (*;;*)
    0xff000079,   (* [4088:936] ecircumflex + y : -2 (cslSTIX-BoldItalic) *)
    0xfe000077,   (* [4089:937] ecircumflex + w : -4 (cslSTIX-BoldItalic) *)
    0xfe400076,   (* [4090:938] ecircumflex + v : -4 (cslSTIX-BoldItalic) *) (*;;*)
    0xf8000079,   (* [4091:939] ograve + y : -16 (cslSTIX-BoldItalic) *)
    0xf8800077,   (* [4092:940] ograve + w : -15 (cslSTIX-BoldItalic) *)
    0xf8c00076,   (* [4093:941] ograve + v : -15 (cslSTIX-BoldItalic) *) (*;;*)
    0xf8000079,   (* [4094:942] oacute + y : -16 (cslSTIX-BoldItalic) *)
    0xf8800077,   (* [4095:943] oacute + w : -15 (cslSTIX-BoldItalic) *)
    0xf8c00076,   (* [4096:944] oacute + v : -15 (cslSTIX-BoldItalic) *) (*;;*)
    0x01c00074,   (* [4097:945] ocircumflex + t : 3 (cslSTIX-BoldItalic) *) (*;;*)
    0xf8000079,   (* [4098:946] odieresis + y : -16 (cslSTIX-BoldItalic) *)
    0xf7000078,   (* [4099:947] odieresis + x : -18 (cslSTIX-BoldItalic) *)
    0xf7800077,   (* [4100:948] odieresis + w : -17 (cslSTIX-BoldItalic) *)
    0xf9400076,   (* [4101:949] odieresis + v : -14 (cslSTIX-BoldItalic) *) (*;;*)
    0xdf8000c6,   (* [4102:950] quoteleft + AE : -65 (cslSTIX-BoldItalic) *)
    0xe70000c5,   (* [4103:951] quoteleft + Aring : -50 (cslSTIX-BoldItalic) *)
    0xe70000c4,   (* [4104:952] quoteleft + Adieresis : -50 (cslSTIX-BoldItalic) *)
    0xe70000c2,   (* [4105:953] quoteleft + Acircumflex : -50 (cslSTIX-BoldItalic) *)
    0xe70000c1,   (* [4106:954] quoteleft + Aacute : -50 (cslSTIX-BoldItalic) *)
    0xe70000c0,   (* [4107:955] quoteleft + Agrave : -50 (cslSTIX-BoldItalic) *)
    0xfd000059,   (* [4108:956] quoteleft + Y : -6 (cslSTIX-BoldItalic) *)
    0xff000057,   (* [4109:957] quoteleft + W : -2 (cslSTIX-BoldItalic) *)
    0xfe800056,   (* [4110:958] quoteleft + V : -3 (cslSTIX-BoldItalic) *)
    0xfd800054,   (* [4111:959] quoteleft + T : -5 (cslSTIX-BoldItalic) *)
    0xe7400041,   (* [4112:960] quoteleft + A : -50 (cslSTIX-BoldItalic) *) (*;;*)
    0xda0000c6,   (* [4113:961] quoteright + AE : -76 (cslSTIX-BoldItalic) *)
    0xe40000c5,   (* [4114:962] quoteright + Aring : -56 (cslSTIX-BoldItalic) *)
    0xe40000c4,   (* [4115:963] quoteright + Adieresis : -56 (cslSTIX-BoldItalic) *)
    0xe40000c2,   (* [4116:964] quoteright + Acircumflex : -56 (cslSTIX-BoldItalic) *)
    0xe40000c1,   (* [4117:965] quoteright + Aacute : -56 (cslSTIX-BoldItalic) *)
    0xe40000c0,   (* [4118:966] quoteright + Agrave : -56 (cslSTIX-BoldItalic) *)
    0xfb000079,   (* [4119:967] quoteright + y : -10 (cslSTIX-BoldItalic) *)
    0xfb000077,   (* [4120:968] quoteright + w : -10 (cslSTIX-BoldItalic) *)
    0xfb000076,   (* [4121:969] quoteright + v : -10 (cslSTIX-BoldItalic) *)
    0xfb000074,   (* [4122:970] quoteright + t : -10 (cslSTIX-BoldItalic) *)
    0xf8000073,   (* [4123:971] quoteright + s : -16 (cslSTIX-BoldItalic) *)
    0xfa000072,   (* [4124:972] quoteright + r : -12 (cslSTIX-BoldItalic) *)
    0xf080006f,   (* [4125:973] quoteright + o : -31 (cslSTIX-BoldItalic) *)
    0xef000064,   (* [4126:974] quoteright + d : -34 (cslSTIX-BoldItalic) *)
    0xe4000041,   (* [4127:975] quoteright + A : -56 (cslSTIX-BoldItalic) *)
    0xeb00002e,   (* [4128:976] quoteright + period : -42 (cslSTIX-BoldItalic) *)
    0xeb40002c,   (* [4129:977] quoteright + comma : -42 (cslSTIX-BoldItalic) *) (*;;*)
    0xe20000c6,   (* [4130:978] quotedblleft + AE : -60 (cslSTIX-BoldItalic) *)
    0xea0000c5,   (* [4131:979] quotedblleft + Aring : -44 (cslSTIX-BoldItalic) *)
    0xea0000c4,   (* [4132:980] quotedblleft + Adieresis : -44 (cslSTIX-BoldItalic) *)
    0xea0000c1,   (* [4133:981] quotedblleft + Aacute : -44 (cslSTIX-BoldItalic) *)
    0x02000057,   (* [4134:982] quotedblleft + W : 4 (cslSTIX-BoldItalic) *)
    0x01800056,   (* [4135:983] quotedblleft + V : 3 (cslSTIX-BoldItalic) *)
    0xea400041,   (* [4136:984] quotedblleft + A : -44 (cslSTIX-BoldItalic) *) (*;;*)
    0xe20000c6,   (* [4137:985] quotedblright + AE : -60 (cslSTIX-BoldItalic) *)
    0xec8000c5,   (* [4138:986] quotedblright + Aring : -39 (cslSTIX-BoldItalic) *)
    0xec8000c4,   (* [4139:987] quotedblright + Adieresis : -39 (cslSTIX-BoldItalic) *)
    0xec8000c1,   (* [4140:988] quotedblright + Aacute : -39 (cslSTIX-BoldItalic) *)
    0x02000059,   (* [4141:989] quotedblright + Y : 4 (cslSTIX-BoldItalic) *)
    0x07800057,   (* [4142:990] quotedblright + W : 15 (cslSTIX-BoldItalic) *)
    0x07000056,   (* [4143:991] quotedblright + V : 14 (cslSTIX-BoldItalic) *)
    0x06800054,   (* [4144:992] quotedblright + T : 13 (cslSTIX-BoldItalic) *)
    0xecc00041,   (* [4145:993] quotedblright + A : -39 (cslSTIX-BoldItalic) *) (*;;*)
    0x138000c6,   (* [4146:994] quotedblbase + AE : 39 (cslSTIX-BoldItalic) *)
    0x148000c5,   (* [4147:995] quotedblbase + Aring : 41 (cslSTIX-BoldItalic) *)
    0x148000c4,   (* [4148:996] quotedblbase + Adieresis : 41 (cslSTIX-BoldItalic) *)
    0x148000c2,   (* [4149:997] quotedblbase + Acircumflex : 41 (cslSTIX-BoldItalic) *)
    0x148000c1,   (* [4150:998] quotedblbase + Aacute : 41 (cslSTIX-BoldItalic) *)
    0x148000c0,   (* [4151:999] quotedblbase + Agrave : 41 (cslSTIX-BoldItalic) *)
    0xf2800059,   (* [4152:1000] quotedblbase + Y : -27 (cslSTIX-BoldItalic) *)
    0xea000057,   (* [4153:1001] quotedblbase + W : -44 (cslSTIX-BoldItalic) *)
    0xe8800056,   (* [4154:1002] quotedblbase + V : -47 (cslSTIX-BoldItalic) *)
    0xf6800054,   (* [4155:1003] quotedblbase + T : -19 (cslSTIX-BoldItalic) *)
    0x14c00041,   (* [4156:1004] quotedblbase + A : 41 (cslSTIX-BoldItalic) *) (*;;*)
    0xf20000c6,   (* [4157:1005] guilsinglright + AE : -28 (cslSTIX-BoldItalic) *)
    0xf70000c5,   (* [4158:1006] guilsinglright + Aring : -18 (cslSTIX-BoldItalic) *)
    0xf70000c4,   (* [4159:1007] guilsinglright + Adieresis : -18 (cslSTIX-BoldItalic) *)
    0xf70000c1,   (* [4160:1008] guilsinglright + Aacute : -18 (cslSTIX-BoldItalic) *)
    0xe1800059,   (* [4161:1009] guilsinglright + Y : -61 (cslSTIX-BoldItalic) *)
    0xe5000057,   (* [4162:1010] guilsinglright + W : -54 (cslSTIX-BoldItalic) *)
    0xe4800056,   (* [4163:1011] guilsinglright + V : -55 (cslSTIX-BoldItalic) *)
    0xe4000054,   (* [4164:1012] guilsinglright + T : -56 (cslSTIX-BoldItalic) *)
    0xf7400041,   (* [4165:1013] guilsinglright + A : -18 (cslSTIX-BoldItalic) *) (*;;*)
    0x1fa00069,   (* [4166:1014] ff + i ligature #63 (cslSTIX-BoldItalic) *)
    0x2060006c,   (* [4167:1015] ff + l ligature #64 (cslSTIX-BoldItalic) *) (*;;*)
    0xef00201d,   (* [4168:1] comma + quotedblright : -34 (cslSTIXMath-Regular) *)
    0xe3402019,   (* [4169:2] comma + quoteright : -58 (cslSTIXMath-Regular) *) (*;;*)
    0xf30000c6,   (* [4170:3] hyphen + AE : -26 (cslSTIXMath-Regular) *)
    0xf10000c5,   (* [4171:4] hyphen + Aring : -30 (cslSTIXMath-Regular) *)
    0xf10000c4,   (* [4172:5] hyphen + Adieresis : -30 (cslSTIXMath-Regular) *)
    0xf10000c1,   (* [4173:6] hyphen + Aacute : -30 (cslSTIXMath-Regular) *)
    0xd0800059,   (* [4174:7] hyphen + Y : -95 (cslSTIXMath-Regular) *)
    0xe9800057,   (* [4175:8] hyphen + W : -45 (cslSTIXMath-Regular) *)
    0xd9000056,   (* [4176:9] hyphen + V : -78 (cslSTIXMath-Regular) *)
    0xd8800054,   (* [4177:10] hyphen + T : -79 (cslSTIXMath-Regular) *)
    0xf1400041,   (* [4178:11] hyphen + A : -30 (cslSTIXMath-Regular) *) (*;;*)
    0xed80201d,   (* [4179:12] period + quotedblright : -37 (cslSTIXMath-Regular) *)
    0xedc02019,   (* [4180:13] period + quoteright : -37 (cslSTIXMath-Regular) *) (*;;*)
    0xe7802039,   (* [4181:14] A + guilsinglleft : -49 (cslSTIXMath-Regular) *)
    0xe380201d,   (* [4182:15] A + quotedblright : -57 (cslSTIXMath-Regular) *)
    0xdb002019,   (* [4183:16] A + quoteright : -74 (cslSTIXMath-Regular) *)
    0xf90000fc,   (* [4184:17] A + udieresis : -14 (cslSTIXMath-Regular) *)
    0xf90000fb,   (* [4185:18] A + ucircumflex : -14 (cslSTIXMath-Regular) *)
    0xf90000fa,   (* [4186:19] A + uacute : -14 (cslSTIXMath-Regular) *)
    0xf90000f9,   (* [4187:20] A + ugrave : -14 (cslSTIXMath-Regular) *)
    0xf30000f6,   (* [4188:21] A + odieresis : -26 (cslSTIXMath-Regular) *)
    0xfb0000e7,   (* [4189:22] A + ccedilla : -10 (cslSTIXMath-Regular) *)
    0xee8000dc,   (* [4190:23] A + Udieresis : -35 (cslSTIXMath-Regular) *)
    0xee8000db,   (* [4191:24] A + Ucircumflex : -35 (cslSTIXMath-Regular) *)
    0xee8000da,   (* [4192:25] A + Uacute : -35 (cslSTIXMath-Regular) *)
    0xee8000d9,   (* [4193:26] A + Ugrave : -35 (cslSTIXMath-Regular) *)
    0xf38000d6,   (* [4194:27] A + Odieresis : -25 (cslSTIXMath-Regular) *)
    0xf38000c7,   (* [4195:28] A + Ccedilla : -25 (cslSTIXMath-Regular) *)
    0xeb0000ab,   (* [4196:29] A + guillemotleft : -42 (cslSTIXMath-Regular) *)
    0xdc000079,   (* [4197:30] A + y : -72 (cslSTIXMath-Regular) *)
    0xe3000077,   (* [4198:31] A + w : -58 (cslSTIXMath-Regular) *)
    0xe3000076,   (* [4199:32] A + v : -58 (cslSTIXMath-Regular) *)
    0xf9000075,   (* [4200:33] A + u : -14 (cslSTIXMath-Regular) *)
    0xf9800074,   (* [4201:34] A + t : -13 (cslSTIXMath-Regular) *)
    0xf9000071,   (* [4202:35] A + q : -14 (cslSTIXMath-Regular) *)
    0xf300006f,   (* [4203:36] A + o : -26 (cslSTIXMath-Regular) *)
    0xfa000067,   (* [4204:37] A + g : -12 (cslSTIXMath-Regular) *)
    0xf8000065,   (* [4205:38] A + e : -16 (cslSTIXMath-Regular) *)
    0xf7800064,   (* [4206:39] A + d : -17 (cslSTIXMath-Regular) *)
    0xfb000063,   (* [4207:40] A + c : -10 (cslSTIXMath-Regular) *)
    0xf9000062,   (* [4208:41] A + b : -14 (cslSTIXMath-Regular) *)
    0xfe000061,   (* [4209:42] A + a : -4 (cslSTIXMath-Regular) *)
    0xe6000059,   (* [4210:43] A + Y : -52 (cslSTIXMath-Regular) *)
    0xd6800057,   (* [4211:44] A + W : -83 (cslSTIXMath-Regular) *)
    0xd6800056,   (* [4212:45] A + V : -83 (cslSTIXMath-Regular) *)
    0xee800055,   (* [4213:46] A + U : -35 (cslSTIXMath-Regular) *)
    0xe5000054,   (* [4214:47] A + T : -54 (cslSTIXMath-Regular) *)
    0xf3800051,   (* [4215:48] A + Q : -25 (cslSTIXMath-Regular) *)
    0xf380004f,   (* [4216:49] A + O : -25 (cslSTIXMath-Regular) *)
    0xf3800047,   (* [4217:50] A + G : -25 (cslSTIXMath-Regular) *)
    0xf3800043,   (* [4218:51] A + C : -25 (cslSTIXMath-Regular) *)
    0xfd80002e,   (* [4219:52] A + period : -5 (cslSTIXMath-Regular) *)
    0xf800002d,   (* [4220:53] A + hyphen : -16 (cslSTIXMath-Regular) *)
    0xff40002c,   (* [4221:54] A + comma : -2 (cslSTIXMath-Regular) *) (*;;*)
    0xf7800152,   (* [4222:55] B + OE : -17 (cslSTIXMath-Regular) *)
    0xf78000d8,   (* [4223:56] B + Oslash : -17 (cslSTIXMath-Regular) *)
    0xf78000d6,   (* [4224:57] B + Odieresis : -17 (cslSTIXMath-Regular) *)
    0xf78000d4,   (* [4225:58] B + Ocircumflex : -17 (cslSTIXMath-Regular) *)
    0xf78000d3,   (* [4226:59] B + Oacute : -17 (cslSTIXMath-Regular) *)
    0xf78000d2,   (* [4227:60] B + Ograve : -17 (cslSTIXMath-Regular) *)
    0xf20000c6,   (* [4228:61] B + AE : -28 (cslSTIXMath-Regular) *)
    0xef8000c5,   (* [4229:62] B + Aring : -33 (cslSTIXMath-Regular) *)
    0xef8000c4,   (* [4230:63] B + Adieresis : -33 (cslSTIXMath-Regular) *)
    0xef8000c3,   (* [4231:64] B + Atilde : -33 (cslSTIXMath-Regular) *)
    0xef8000c2,   (* [4232:65] B + Acircumflex : -33 (cslSTIXMath-Regular) *)
    0xef8000c1,   (* [4233:66] B + Aacute : -33 (cslSTIXMath-Regular) *)
    0xe2000059,   (* [4234:67] B + Y : -60 (cslSTIXMath-Regular) *)
    0xe8800057,   (* [4235:68] B + W : -47 (cslSTIXMath-Regular) *)
    0xe7000056,   (* [4236:69] B + V : -50 (cslSTIXMath-Regular) *)
    0xf780004f,   (* [4237:70] B + O : -17 (cslSTIXMath-Regular) *)
    0xefc00041,   (* [4238:71] B + A : -33 (cslSTIXMath-Regular) *) (*;;*)
    0xfc0000d6,   (* [4239:72] C + Odieresis : -8 (cslSTIXMath-Regular) *)
    0xfc0000d3,   (* [4240:73] C + Oacute : -8 (cslSTIXMath-Regular) *)
    0xfc0000d2,   (* [4241:74] C + Ograve : -8 (cslSTIXMath-Regular) *)
    0xfa8000c6,   (* [4242:75] C + AE : -11 (cslSTIXMath-Regular) *)
    0xf80000c5,   (* [4243:76] C + Aring : -16 (cslSTIXMath-Regular) *)
    0xf80000c4,   (* [4244:77] C + Adieresis : -16 (cslSTIXMath-Regular) *)
    0xf80000c1,   (* [4245:78] C + Aacute : -16 (cslSTIXMath-Regular) *)
    0xf80000c0,   (* [4246:79] C + Agrave : -16 (cslSTIXMath-Regular) *)
    0xfc00004f,   (* [4247:80] C + O : -8 (cslSTIXMath-Regular) *)
    0xfb80004b,   (* [4248:81] C + K : -9 (cslSTIXMath-Regular) *)
    0xf8400041,   (* [4249:82] C + A : -16 (cslSTIXMath-Regular) *) (*;;*)
    0xec0000c5,   (* [4250:83] D + Aring : -40 (cslSTIXMath-Regular) *)
    0xec0000c4,   (* [4251:84] D + Adieresis : -40 (cslSTIXMath-Regular) *)
    0xec0000c3,   (* [4252:85] D + Atilde : -40 (cslSTIXMath-Regular) *)
    0xec0000c2,   (* [4253:86] D + Acircumflex : -40 (cslSTIXMath-Regular) *)
    0xec0000c1,   (* [4254:87] D + Aacute : -40 (cslSTIXMath-Regular) *)
    0xec0000c0,   (* [4255:88] D + Agrave : -40 (cslSTIXMath-Regular) *)
    0xe9000059,   (* [4256:89] D + Y : -46 (cslSTIXMath-Regular) *)
    0xeb000058,   (* [4257:90] D + X : -42 (cslSTIXMath-Regular) *)
    0xed000057,   (* [4258:91] D + W : -38 (cslSTIXMath-Regular) *)
    0xed000056,   (* [4259:92] D + V : -38 (cslSTIXMath-Regular) *)
    0xfd800054,   (* [4260:93] D + T : -5 (cslSTIXMath-Regular) *)
    0xf600004a,   (* [4261:94] D + J : -20 (cslSTIXMath-Regular) *)
    0xec400041,   (* [4262:95] D + A : -40 (cslSTIXMath-Regular) *) (*;;*)
    0xfd800153,   (* [4263:96] F + oe : -5 (cslSTIXMath-Regular) *)
    0xfd8000f8,   (* [4264:97] F + oslash : -5 (cslSTIXMath-Regular) *)
    0xfd8000f6,   (* [4265:98] F + odieresis : -5 (cslSTIXMath-Regular) *)
    0xfd8000f3,   (* [4266:99] F + oacute : -5 (cslSTIXMath-Regular) *)
    0xfe0000e9,   (* [4267:100] F + eacute : -4 (cslSTIXMath-Regular) *)
    0xf88000e6,   (* [4268:101] F + ae : -15 (cslSTIXMath-Regular) *)
    0xfa8000e5,   (* [4269:102] F + aring : -11 (cslSTIXMath-Regular) *)
    0xff8000e4,   (* [4270:103] F + adieresis : -1 (cslSTIXMath-Regular) *)
    0xff8000e3,   (* [4271:104] F + atilde : -1 (cslSTIXMath-Regular) *)
    0xff0000e2,   (* [4272:105] F + acircumflex : -2 (cslSTIXMath-Regular) *)
    0xfa8000e1,   (* [4273:106] F + aacute : -11 (cslSTIXMath-Regular) *)
    0xff8000d6,   (* [4274:107] F + Odieresis : -1 (cslSTIXMath-Regular) *)
    0xff8000d3,   (* [4275:108] F + Oacute : -1 (cslSTIXMath-Regular) *)
    0xff8000d2,   (* [4276:109] F + Ograve : -1 (cslSTIXMath-Regular) *)
    0xee8000c5,   (* [4277:110] F + Aring : -35 (cslSTIXMath-Regular) *)
    0xee8000c4,   (* [4278:111] F + Adieresis : -35 (cslSTIXMath-Regular) *)
    0xee8000c3,   (* [4279:112] F + Atilde : -35 (cslSTIXMath-Regular) *)
    0xee8000c2,   (* [4280:113] F + Acircumflex : -35 (cslSTIXMath-Regular) *)
    0xee8000c1,   (* [4281:114] F + Aacute : -35 (cslSTIXMath-Regular) *)
    0xee8000c0,   (* [4282:115] F + Agrave : -35 (cslSTIXMath-Regular) *)
    0xff800075,   (* [4283:116] F + u : -1 (cslSTIXMath-Regular) *)
    0xff800072,   (* [4284:117] F + r : -1 (cslSTIXMath-Regular) *)
    0xfd80006f,   (* [4285:118] F + o : -5 (cslSTIXMath-Regular) *)
    0xfd80006a,   (* [4286:119] F + j : -5 (cslSTIXMath-Regular) *)
    0xfd800069,   (* [4287:120] F + i : -5 (cslSTIXMath-Regular) *)
    0xfe000065,   (* [4288:121] F + e : -4 (cslSTIXMath-Regular) *)
    0xfa800061,   (* [4289:122] F + a : -11 (cslSTIXMath-Regular) *)
    0xff80004f,   (* [4290:123] F + O : -1 (cslSTIXMath-Regular) *)
    0xff80004a,   (* [4291:124] F + J : -1 (cslSTIXMath-Regular) *)
    0xee800041,   (* [4292:125] F + A : -35 (cslSTIXMath-Regular) *)
    0xe880002e,   (* [4293:126] F + period : -47 (cslSTIXMath-Regular) *)
    0x0180002d,   (* [4294:127] F + hyphen : 3 (cslSTIXMath-Regular) *)
    0xed40002c,   (* [4295:128] F + comma : -38 (cslSTIXMath-Regular) *) (*;;*)
    0xfa8000c6,   (* [4296:129] G + AE : -11 (cslSTIXMath-Regular) *)
    0xf88000c5,   (* [4297:130] G + Aring : -15 (cslSTIXMath-Regular) *)
    0xf88000c4,   (* [4298:131] G + Adieresis : -15 (cslSTIXMath-Regular) *)
    0xf88000c3,   (* [4299:132] G + Atilde : -15 (cslSTIXMath-Regular) *)
    0xf88000c2,   (* [4300:133] G + Acircumflex : -15 (cslSTIXMath-Regular) *)
    0xf88000c1,   (* [4301:134] G + Aacute : -15 (cslSTIXMath-Regular) *)
    0xf88000c0,   (* [4302:135] G + Agrave : -15 (cslSTIXMath-Regular) *)
    0xf5800059,   (* [4303:136] G + Y : -21 (cslSTIXMath-Regular) *)
    0xf8800057,   (* [4304:137] G + W : -15 (cslSTIXMath-Regular) *)
    0xf8800056,   (* [4305:138] G + V : -15 (cslSTIXMath-Regular) *)
    0xf9800054,   (* [4306:139] G + T : -13 (cslSTIXMath-Regular) *)
    0xf8c00041,   (* [4307:140] G + A : -15 (cslSTIXMath-Regular) *) (*;;*)
    0x20e0004a,   (* [4308:141] I + J ligature #65 (cslSTIXMath-Regular) *) (*;;*)
    0xf10000c6,   (* [4309:142] J + AE : -30 (cslSTIXMath-Regular) *)
    0xee8000c5,   (* [4310:143] J + Aring : -35 (cslSTIXMath-Regular) *)
    0xee8000c4,   (* [4311:144] J + Adieresis : -35 (cslSTIXMath-Regular) *)
    0xeec00041,   (* [4312:145] J + A : -35 (cslSTIXMath-Regular) *) (*;;*)
    0xf6800152,   (* [4313:146] K + OE : -19 (cslSTIXMath-Regular) *)
    0xfb0000fc,   (* [4314:147] K + udieresis : -10 (cslSTIXMath-Regular) *)
    0xf88000f6,   (* [4315:148] K + odieresis : -15 (cslSTIXMath-Regular) *)
    0xf88000f3,   (* [4316:149] K + oacute : -15 (cslSTIXMath-Regular) *)
    0xff0000e6,   (* [4317:150] K + ae : -2 (cslSTIXMath-Regular) *)
    0x008000e5,   (* [4318:151] K + aring : 1 (cslSTIXMath-Regular) *)
    0x008000e4,   (* [4319:152] K + adieresis : 1 (cslSTIXMath-Regular) *)
    0xf68000d6,   (* [4320:153] K + Odieresis : -19 (cslSTIXMath-Regular) *)
    0xf68000d3,   (* [4321:154] K + Oacute : -19 (cslSTIXMath-Regular) *)
    0xe9800079,   (* [4322:155] K + y : -45 (cslSTIXMath-Regular) *)
    0xfb000075,   (* [4323:156] K + u : -10 (cslSTIXMath-Regular) *)
    0xf880006f,   (* [4324:157] K + o : -15 (cslSTIXMath-Regular) *)
    0xf8800065,   (* [4325:158] K + e : -15 (cslSTIXMath-Regular) *)
    0x00800061,   (* [4326:159] K + a : 1 (cslSTIXMath-Regular) *)
    0xff800054,   (* [4327:160] K + T : -1 (cslSTIXMath-Regular) *)
    0x00800053,   (* [4328:161] K + S : 1 (cslSTIXMath-Regular) *)
    0xf680004f,   (* [4329:162] K + O : -19 (cslSTIXMath-Regular) *)
    0xf6800047,   (* [4330:163] K + G : -19 (cslSTIXMath-Regular) *)
    0xf6800043,   (* [4331:164] K + C : -19 (cslSTIXMath-Regular) *)
    0xe740002d,   (* [4332:165] K + hyphen : -50 (cslSTIXMath-Regular) *) (*;;*)
    0xd680201d,   (* [4333:166] L + quotedblright : -83 (cslSTIXMath-Regular) *)
    0xd6802019,   (* [4334:167] L + quoteright : -83 (cslSTIXMath-Regular) *)
    0xfc0000fc,   (* [4335:168] L + udieresis : -8 (cslSTIXMath-Regular) *)
    0xf70000dc,   (* [4336:169] L + Udieresis : -18 (cslSTIXMath-Regular) *)
    0xff8000d6,   (* [4337:170] L + Odieresis : -1 (cslSTIXMath-Regular) *)
    0xff8000d5,   (* [4338:171] L + Otilde : -1 (cslSTIXMath-Regular) *)
    0xff8000d4,   (* [4339:172] L + Ocircumflex : -1 (cslSTIXMath-Regular) *)
    0xff8000d3,   (* [4340:173] L + Oacute : -1 (cslSTIXMath-Regular) *)
    0xff8000d2,   (* [4341:174] L + Ograve : -1 (cslSTIXMath-Regular) *)
    0x030000c6,   (* [4342:175] L + AE : 6 (cslSTIXMath-Regular) *)
    0xff8000c5,   (* [4343:176] L + Aring : -1 (cslSTIXMath-Regular) *)
    0xff8000c4,   (* [4344:177] L + Adieresis : -1 (cslSTIXMath-Regular) *)
    0xff8000c1,   (* [4345:178] L + Aacute : -1 (cslSTIXMath-Regular) *)
    0xed800079,   (* [4346:179] L + y : -37 (cslSTIXMath-Regular) *)
    0xfc000075,   (* [4347:180] L + u : -8 (cslSTIXMath-Regular) *)
    0xda800059,   (* [4348:181] L + Y : -75 (cslSTIXMath-Regular) *)
    0xe3000057,   (* [4349:182] L + W : -58 (cslSTIXMath-Regular) *)
    0xdb000056,   (* [4350:183] L + V : -74 (cslSTIXMath-Regular) *)
    0xf7000055,   (* [4351:184] L + U : -18 (cslSTIXMath-Regular) *)
    0xe2000054,   (* [4352:185] L + T : -60 (cslSTIXMath-Regular) *)
    0x01800053,   (* [4353:186] L + S : 3 (cslSTIXMath-Regular) *)
    0xff80004f,   (* [4354:187] L + O : -1 (cslSTIXMath-Regular) *)
    0xfe800047,   (* [4355:188] L + G : -3 (cslSTIXMath-Regular) *)
    0xff800043,   (* [4356:189] L + C : -1 (cslSTIXMath-Regular) *)
    0xff800041,   (* [4357:190] L + A : -1 (cslSTIXMath-Regular) *)
    0x0bc0002d,   (* [4358:191] L + hyphen : 23 (cslSTIXMath-Regular) *) (*;;*)
    0xf98000fc,   (* [4359:192] N + udieresis : -13 (cslSTIXMath-Regular) *)
    0xf98000f8,   (* [4360:193] N + oslash : -13 (cslSTIXMath-Regular) *)
    0xf98000f6,   (* [4361:194] N + odieresis : -13 (cslSTIXMath-Regular) *)
    0xf98000f3,   (* [4362:195] N + oacute : -13 (cslSTIXMath-Regular) *)
    0xfa0000e9,   (* [4363:196] N + eacute : -12 (cslSTIXMath-Regular) *)
    0xf70000e6,   (* [4364:197] N + ae : -18 (cslSTIXMath-Regular) *)
    0xf70000e5,   (* [4365:198] N + aring : -18 (cslSTIXMath-Regular) *)
    0xf70000e4,   (* [4366:199] N + adieresis : -18 (cslSTIXMath-Regular) *)
    0xf70000e1,   (* [4367:200] N + aacute : -18 (cslSTIXMath-Regular) *)
    0xfb0000d6,   (* [4368:201] N + Odieresis : -10 (cslSTIXMath-Regular) *)
    0xfb0000d3,   (* [4369:202] N + Oacute : -10 (cslSTIXMath-Regular) *)
    0xfb0000c7,   (* [4370:203] N + Ccedilla : -10 (cslSTIXMath-Regular) *)
    0xf98000c6,   (* [4371:204] N + AE : -13 (cslSTIXMath-Regular) *)
    0xf70000c5,   (* [4372:205] N + Aring : -18 (cslSTIXMath-Regular) *)
    0xf70000c4,   (* [4373:206] N + Adieresis : -18 (cslSTIXMath-Regular) *)
    0xf70000c1,   (* [4374:207] N + Aacute : -18 (cslSTIXMath-Regular) *)
    0xf9800075,   (* [4375:208] N + u : -13 (cslSTIXMath-Regular) *)
    0xf980006f,   (* [4376:209] N + o : -13 (cslSTIXMath-Regular) *)
    0xfa000065,   (* [4377:210] N + e : -12 (cslSTIXMath-Regular) *)
    0xf7000061,   (* [4378:211] N + a : -18 (cslSTIXMath-Regular) *)
    0xfb00004f,   (* [4379:212] N + O : -10 (cslSTIXMath-Regular) *)
    0xfb000047,   (* [4380:213] N + G : -10 (cslSTIXMath-Regular) *)
    0xfb000043,   (* [4381:214] N + C : -10 (cslSTIXMath-Regular) *)
    0xf7000041,   (* [4382:215] N + A : -18 (cslSTIXMath-Regular) *)
    0xf980002e,   (* [4383:216] N + period : -13 (cslSTIXMath-Regular) *)
    0xfa40002c,   (* [4384:217] N + comma : -12 (cslSTIXMath-Regular) *) (*;;*)
    0xf40000c6,   (* [4385:218] O + AE : -24 (cslSTIXMath-Regular) *)
    0xf38000c5,   (* [4386:219] O + Aring : -25 (cslSTIXMath-Regular) *)
    0xf38000c4,   (* [4387:220] O + Adieresis : -25 (cslSTIXMath-Regular) *)
    0xf38000c1,   (* [4388:221] O + Aacute : -25 (cslSTIXMath-Regular) *)
    0xee000059,   (* [4389:222] O + Y : -36 (cslSTIXMath-Regular) *)
    0xf3800058,   (* [4390:223] O + X : -25 (cslSTIXMath-Regular) *)
    0xf3800057,   (* [4391:224] O + W : -25 (cslSTIXMath-Regular) *)
    0xf1000056,   (* [4392:225] O + V : -30 (cslSTIXMath-Regular) *)
    0xfe800054,   (* [4393:226] O + T : -3 (cslSTIXMath-Regular) *)
    0xf3c00041,   (* [4394:227] O + A : -25 (cslSTIXMath-Regular) *) (*;;*)
    0xf8000153,   (* [4395:228] P + oe : -16 (cslSTIXMath-Regular) *)
    0xf80000f8,   (* [4396:229] P + oslash : -16 (cslSTIXMath-Regular) *)
    0xf80000f6,   (* [4397:230] P + odieresis : -16 (cslSTIXMath-Regular) *)
    0xf80000f3,   (* [4398:231] P + oacute : -16 (cslSTIXMath-Regular) *)
    0xf90000e9,   (* [4399:232] P + eacute : -14 (cslSTIXMath-Regular) *)
    0xfb8000e6,   (* [4400:233] P + ae : -9 (cslSTIXMath-Regular) *)
    0xfb0000e5,   (* [4401:234] P + aring : -10 (cslSTIXMath-Regular) *)
    0xfb0000e4,   (* [4402:235] P + adieresis : -10 (cslSTIXMath-Regular) *)
    0xfb0000e1,   (* [4403:236] P + aacute : -10 (cslSTIXMath-Regular) *)
    0xfb0000e0,   (* [4404:237] P + agrave : -10 (cslSTIXMath-Regular) *)
    0xe38000c6,   (* [4405:238] P + AE : -57 (cslSTIXMath-Regular) *)
    0xe28000c5,   (* [4406:239] P + Aring : -59 (cslSTIXMath-Regular) *)
    0xe28000c4,   (* [4407:240] P + Adieresis : -59 (cslSTIXMath-Regular) *)
    0xe28000c1,   (* [4408:241] P + Aacute : -59 (cslSTIXMath-Regular) *)
    0xf800006f,   (* [4409:242] P + o : -16 (cslSTIXMath-Regular) *)
    0xf9000065,   (* [4410:243] P + e : -14 (cslSTIXMath-Regular) *)
    0xfb000061,   (* [4411:244] P + a : -10 (cslSTIXMath-Regular) *)
    0xed00004a,   (* [4412:245] P + J : -38 (cslSTIXMath-Regular) *)
    0xe2800041,   (* [4413:246] P + A : -59 (cslSTIXMath-Regular) *)
    0xd300002e,   (* [4414:247] P + period : -90 (cslSTIXMath-Regular) *)
    0xf500002d,   (* [4415:248] P + hyphen : -22 (cslSTIXMath-Regular) *)
    0xe240002c,   (* [4416:249] P + comma : -60 (cslSTIXMath-Regular) *) (*;;*)
    0xf5800153,   (* [4417:250] R + oe : -21 (cslSTIXMath-Regular) *)
    0xf4000152,   (* [4418:251] R + OE : -24 (cslSTIXMath-Regular) *)
    0xf90000fc,   (* [4419:252] R + udieresis : -14 (cslSTIXMath-Regular) *)
    0xf90000fa,   (* [4420:253] R + uacute : -14 (cslSTIXMath-Regular) *)
    0xf40000f6,   (* [4421:254] R + odieresis : -24 (cslSTIXMath-Regular) *)
    0xf40000f3,   (* [4422:255] R + oacute : -24 (cslSTIXMath-Regular) *)
    0xf90000e9,   (* [4423:256] R + eacute : -14 (cslSTIXMath-Regular) *)
    0xfd0000e6,   (* [4424:257] R + ae : -6 (cslSTIXMath-Regular) *)
    0xff0000e5,   (* [4425:258] R + aring : -2 (cslSTIXMath-Regular) *)
    0xff0000e4,   (* [4426:259] R + adieresis : -2 (cslSTIXMath-Regular) *)
    0xff0000e1,   (* [4427:260] R + aacute : -2 (cslSTIXMath-Regular) *)
    0xed8000dc,   (* [4428:261] R + Udieresis : -37 (cslSTIXMath-Regular) *)
    0xf30000d6,   (* [4429:262] R + Odieresis : -26 (cslSTIXMath-Regular) *)
    0xf30000d3,   (* [4430:263] R + Oacute : -26 (cslSTIXMath-Regular) *)
    0xf30000c7,   (* [4431:264] R + Ccedilla : -26 (cslSTIXMath-Regular) *)
    0xf0000079,   (* [4432:265] R + y : -32 (cslSTIXMath-Regular) *)
    0xf9000075,   (* [4433:266] R + u : -14 (cslSTIXMath-Regular) *)
    0xf400006f,   (* [4434:267] R + o : -24 (cslSTIXMath-Regular) *)
    0xf9000065,   (* [4435:268] R + e : -14 (cslSTIXMath-Regular) *)
    0xff000061,   (* [4436:269] R + a : -2 (cslSTIXMath-Regular) *)
    0xe2000059,   (* [4437:270] R + Y : -60 (cslSTIXMath-Regular) *)
    0xe2000057,   (* [4438:271] R + W : -60 (cslSTIXMath-Regular) *)
    0xdf800056,   (* [4439:272] R + V : -65 (cslSTIXMath-Regular) *)
    0xed800055,   (* [4440:273] R + U : -37 (cslSTIXMath-Regular) *)
    0xf4000054,   (* [4441:274] R + T : -24 (cslSTIXMath-Regular) *)
    0xf300004f,   (* [4442:275] R + O : -26 (cslSTIXMath-Regular) *)
    0xf3000047,   (* [4443:276] R + G : -26 (cslSTIXMath-Regular) *)
    0xf3000043,   (* [4444:277] R + C : -26 (cslSTIXMath-Regular) *)
    0xea40002d,   (* [4445:278] R + hyphen : -44 (cslSTIXMath-Regular) *) (*;;*)
    0xf28000c6,   (* [4446:279] S + AE : -27 (cslSTIXMath-Regular) *)
    0xf10000c5,   (* [4447:280] S + Aring : -30 (cslSTIXMath-Regular) *)
    0xf10000c4,   (* [4448:281] S + Adieresis : -30 (cslSTIXMath-Regular) *)
    0xf10000c1,   (* [4449:282] S + Aacute : -30 (cslSTIXMath-Regular) *)
    0xfa800074,   (* [4450:283] S + t : -11 (cslSTIXMath-Regular) *)
    0xf2800059,   (* [4451:284] S + Y : -27 (cslSTIXMath-Regular) *)
    0xf6000057,   (* [4452:285] S + W : -20 (cslSTIXMath-Regular) *)
    0xf6000056,   (* [4453:286] S + V : -20 (cslSTIXMath-Regular) *)
    0xf7000054,   (* [4454:287] S + T : -18 (cslSTIXMath-Regular) *)
    0xf1400041,   (* [4455:288] S + A : -30 (cslSTIXMath-Regular) *) (*;;*)
    0xe2002039,   (* [4456:289] T + guilsinglleft : -60 (cslSTIXMath-Regular) *)
    0xfd800152,   (* [4457:290] T + OE : -5 (cslSTIXMath-Regular) *)
    0xf00000f8,   (* [4458:291] T + oslash : -32 (cslSTIXMath-Regular) *)
    0xf80000f6,   (* [4459:292] T + odieresis : -16 (cslSTIXMath-Regular) *)
    0xf88000f4,   (* [4460:293] T + ocircumflex : -15 (cslSTIXMath-Regular) *)
    0xf00000f3,   (* [4461:294] T + oacute : -32 (cslSTIXMath-Regular) *)
    0xf70000f2,   (* [4462:295] T + ograve : -18 (cslSTIXMath-Regular) *)
    0xec0000e6,   (* [4463:296] T + ae : -40 (cslSTIXMath-Regular) *)
    0xfa0000e4,   (* [4464:297] T + adieresis : -12 (cslSTIXMath-Regular) *)
    0xfe8000e3,   (* [4465:298] T + atilde : -3 (cslSTIXMath-Regular) *)
    0xfc8000e2,   (* [4466:299] T + acircumflex : -7 (cslSTIXMath-Regular) *)
    0xf50000e1,   (* [4467:300] T + aacute : -22 (cslSTIXMath-Regular) *)
    0xf88000e0,   (* [4468:301] T + agrave : -15 (cslSTIXMath-Regular) *)
    0xfd8000d8,   (* [4469:302] T + Oslash : -5 (cslSTIXMath-Regular) *)
    0xfd8000d6,   (* [4470:303] T + Odieresis : -5 (cslSTIXMath-Regular) *)
    0xfd8000d5,   (* [4471:304] T + Otilde : -5 (cslSTIXMath-Regular) *)
    0xfd8000d4,   (* [4472:305] T + Ocircumflex : -5 (cslSTIXMath-Regular) *)
    0xfd8000d3,   (* [4473:306] T + Oacute : -5 (cslSTIXMath-Regular) *)
    0xfd8000d2,   (* [4474:307] T + Ograve : -5 (cslSTIXMath-Regular) *)
    0xe90000c6,   (* [4475:308] T + AE : -46 (cslSTIXMath-Regular) *)
    0xe58000c5,   (* [4476:309] T + Aring : -53 (cslSTIXMath-Regular) *)
    0xe58000c4,   (* [4477:310] T + Adieresis : -53 (cslSTIXMath-Regular) *)
    0xe58000c3,   (* [4478:311] T + Atilde : -53 (cslSTIXMath-Regular) *)
    0xe58000c2,   (* [4479:312] T + Acircumflex : -53 (cslSTIXMath-Regular) *)
    0xe58000c1,   (* [4480:313] T + Aacute : -53 (cslSTIXMath-Regular) *)
    0xe58000c0,   (* [4481:314] T + Agrave : -53 (cslSTIXMath-Regular) *)
    0xe50000ab,   (* [4482:315] T + guillemotleft : -54 (cslSTIXMath-Regular) *)
    0xe7800079,   (* [4483:316] T + y : -49 (cslSTIXMath-Regular) *)
    0xe6800077,   (* [4484:317] T + w : -51 (cslSTIXMath-Regular) *)
    0xe6800076,   (* [4485:318] T + v : -51 (cslSTIXMath-Regular) *)
    0xed000075,   (* [4486:319] T + u : -38 (cslSTIXMath-Regular) *)
    0xee000073,   (* [4487:320] T + s : -36 (cslSTIXMath-Regular) *)
    0xf4000072,   (* [4488:321] T + r : -24 (cslSTIXMath-Regular) *)
    0xf000006f,   (* [4489:322] T + o : -32 (cslSTIXMath-Regular) *)
    0xfb00006a,   (* [4490:323] T + j : -10 (cslSTIXMath-Regular) *)
    0xfb800069,   (* [4491:324] T + i : -9 (cslSTIXMath-Regular) *)
    0xea000067,   (* [4492:325] T + g : -44 (cslSTIXMath-Regular) *)
    0xeb800065,   (* [4493:326] T + e : -41 (cslSTIXMath-Regular) *)
    0xeb800063,   (* [4494:327] T + c : -41 (cslSTIXMath-Regular) *)
    0xed000061,   (* [4495:328] T + a : -38 (cslSTIXMath-Regular) *)
    0x05000059,   (* [4496:329] T + Y : 10 (cslSTIXMath-Regular) *)
    0x09800057,   (* [4497:330] T + W : 19 (cslSTIXMath-Regular) *)
    0x07000056,   (* [4498:331] T + V : 14 (cslSTIXMath-Regular) *)
    0xfb800053,   (* [4499:332] T + S : -9 (cslSTIXMath-Regular) *)
    0xfd80004f,   (* [4500:333] T + O : -5 (cslSTIXMath-Regular) *)
    0xfc80004a,   (* [4501:334] T + J : -7 (cslSTIXMath-Regular) *)
    0xff000047,   (* [4502:335] T + G : -2 (cslSTIXMath-Regular) *)
    0xff000043,   (* [4503:336] T + C : -2 (cslSTIXMath-Regular) *)
    0xe5800041,   (* [4504:337] T + A : -53 (cslSTIXMath-Regular) *)
    0xf300003b,   (* [4505:338] T + semicolon : -26 (cslSTIXMath-Regular) *)
    0xf300003a,   (* [4506:339] T + colon : -26 (cslSTIXMath-Regular) *)
    0xe980002e,   (* [4507:340] T + period : -45 (cslSTIXMath-Regular) *)
    0xee00002d,   (* [4508:341] T + hyphen : -36 (cslSTIXMath-Regular) *)
    0xf2c0002c,   (* [4509:342] T + comma : -27 (cslSTIXMath-Regular) *) (*;;*)
    0xec8000c6,   (* [4510:343] U + AE : -39 (cslSTIXMath-Regular) *)
    0xea8000c5,   (* [4511:344] U + Aring : -43 (cslSTIXMath-Regular) *)
    0xea8000c4,   (* [4512:345] U + Adieresis : -43 (cslSTIXMath-Regular) *)
    0xea8000c3,   (* [4513:346] U + Atilde : -43 (cslSTIXMath-Regular) *)
    0xea8000c2,   (* [4514:347] U + Acircumflex : -43 (cslSTIXMath-Regular) *)
    0xea8000c1,   (* [4515:348] U + Aacute : -43 (cslSTIXMath-Regular) *)
    0xfd000072,   (* [4516:349] U + r : -6 (cslSTIXMath-Regular) *)
    0xf7000070,   (* [4517:350] U + p : -18 (cslSTIXMath-Regular) *)
    0xf600006e,   (* [4518:351] U + n : -20 (cslSTIXMath-Regular) *)
    0xf600006d,   (* [4519:352] U + m : -20 (cslSTIXMath-Regular) *)
    0xea800041,   (* [4520:353] U + A : -43 (cslSTIXMath-Regular) *)
    0xf200002e,   (* [4521:354] U + period : -28 (cslSTIXMath-Regular) *)
    0xf0c0002c,   (* [4522:355] U + comma : -31 (cslSTIXMath-Regular) *) (*;;*)
    0xda802039,   (* [4523:356] V + guilsinglleft : -75 (cslSTIXMath-Regular) *)
    0xda8000f8,   (* [4524:357] V + oslash : -75 (cslSTIXMath-Regular) *)
    0xe78000f6,   (* [4525:358] V + odieresis : -49 (cslSTIXMath-Regular) *)
    0xed8000f5,   (* [4526:359] V + otilde : -37 (cslSTIXMath-Regular) *)
    0xe28000f4,   (* [4527:360] V + ocircumflex : -59 (cslSTIXMath-Regular) *)
    0xda8000f3,   (* [4528:361] V + oacute : -75 (cslSTIXMath-Regular) *)
    0xf28000f2,   (* [4529:362] V + ograve : -27 (cslSTIXMath-Regular) *)
    0xdd0000e9,   (* [4530:363] V + eacute : -70 (cslSTIXMath-Regular) *)
    0xf70000e8,   (* [4531:364] V + egrave : -18 (cslSTIXMath-Regular) *)
    0xd80000e6,   (* [4532:365] V + ae : -80 (cslSTIXMath-Regular) *)
    0xed0000e5,   (* [4533:366] V + aring : -38 (cslSTIXMath-Regular) *)
    0xed0000e4,   (* [4534:367] V + adieresis : -38 (cslSTIXMath-Regular) *)
    0xf10000e3,   (* [4535:368] V + atilde : -30 (cslSTIXMath-Regular) *)
    0xe70000e2,   (* [4536:369] V + acircumflex : -50 (cslSTIXMath-Regular) *)
    0xd80000e1,   (* [4537:370] V + aacute : -80 (cslSTIXMath-Regular) *)
    0xf70000e0,   (* [4538:371] V + agrave : -18 (cslSTIXMath-Regular) *)
    0xed0000d8,   (* [4539:372] V + Oslash : -38 (cslSTIXMath-Regular) *)
    0xed0000d6,   (* [4540:373] V + Odieresis : -38 (cslSTIXMath-Regular) *)
    0xed0000d5,   (* [4541:374] V + Otilde : -38 (cslSTIXMath-Regular) *)
    0xed0000d4,   (* [4542:375] V + Ocircumflex : -38 (cslSTIXMath-Regular) *)
    0xed0000d3,   (* [4543:376] V + Oacute : -38 (cslSTIXMath-Regular) *)
    0xed0000d2,   (* [4544:377] V + Ograve : -38 (cslSTIXMath-Regular) *)
    0xdb8000c6,   (* [4545:378] V + AE : -73 (cslSTIXMath-Regular) *)
    0xd60000c5,   (* [4546:379] V + Aring : -84 (cslSTIXMath-Regular) *)
    0xd60000c4,   (* [4547:380] V + Adieresis : -84 (cslSTIXMath-Regular) *)
    0xd60000c3,   (* [4548:381] V + Atilde : -84 (cslSTIXMath-Regular) *)
    0xd60000c2,   (* [4549:382] V + Acircumflex : -84 (cslSTIXMath-Regular) *)
    0xd60000c1,   (* [4550:383] V + Aacute : -84 (cslSTIXMath-Regular) *)
    0xd60000c0,   (* [4551:384] V + Agrave : -84 (cslSTIXMath-Regular) *)
    0xda8000ab,   (* [4552:385] V + guillemotleft : -75 (cslSTIXMath-Regular) *)
    0xe7000079,   (* [4553:386] V + y : -50 (cslSTIXMath-Regular) *)
    0xe7000075,   (* [4554:387] V + u : -50 (cslSTIXMath-Regular) *)
    0xec000072,   (* [4555:388] V + r : -40 (cslSTIXMath-Regular) *)
    0xda80006f,   (* [4556:389] V + o : -75 (cslSTIXMath-Regular) *)
    0xf6000069,   (* [4557:390] V + i : -20 (cslSTIXMath-Regular) *)
    0xdf800067,   (* [4558:391] V + g : -65 (cslSTIXMath-Regular) *)
    0xdd000065,   (* [4559:392] V + e : -70 (cslSTIXMath-Regular) *)
    0xd8000061,   (* [4560:393] V + a : -80 (cslSTIXMath-Regular) *)
    0x04800054,   (* [4561:394] V + T : 9 (cslSTIXMath-Regular) *)
    0xee800053,   (* [4562:395] V + S : -35 (cslSTIXMath-Regular) *)
    0xed00004f,   (* [4563:396] V + O : -38 (cslSTIXMath-Regular) *)
    0xed000047,   (* [4564:397] V + G : -38 (cslSTIXMath-Regular) *)
    0xed000043,   (* [4565:398] V + C : -38 (cslSTIXMath-Regular) *)
    0xd6000041,   (* [4566:399] V + A : -84 (cslSTIXMath-Regular) *)
    0xe280003b,   (* [4567:400] V + semicolon : -59 (cslSTIXMath-Regular) *)
    0xe200003a,   (* [4568:401] V + colon : -60 (cslSTIXMath-Regular) *)
    0xce00002e,   (* [4569:402] V + period : -100 (cslSTIXMath-Regular) *)
    0xe200002d,   (* [4570:403] V + hyphen : -60 (cslSTIXMath-Regular) *)
    0xce40002c,   (* [4571:404] V + comma : -100 (cslSTIXMath-Regular) *) (*;;*)
    0xe1802039,   (* [4572:405] W + guilsinglleft : -61 (cslSTIXMath-Regular) *)
    0xdd0000f8,   (* [4573:406] W + oslash : -70 (cslSTIXMath-Regular) *)
    0xe48000f6,   (* [4574:407] W + odieresis : -55 (cslSTIXMath-Regular) *)
    0xec0000f5,   (* [4575:408] W + otilde : -40 (cslSTIXMath-Regular) *)
    0xe08000f4,   (* [4576:409] W + ocircumflex : -63 (cslSTIXMath-Regular) *)
    0xdd0000f3,   (* [4577:410] W + oacute : -70 (cslSTIXMath-Regular) *)
    0xf20000f2,   (* [4578:411] W + ograve : -28 (cslSTIXMath-Regular) *)
    0xe20000e9,   (* [4579:412] W + eacute : -60 (cslSTIXMath-Regular) *)
    0xfb8000e8,   (* [4580:413] W + egrave : -9 (cslSTIXMath-Regular) *)
    0xe20000e6,   (* [4581:414] W + ae : -60 (cslSTIXMath-Regular) *)
    0xf28000e5,   (* [4582:415] W + aring : -27 (cslSTIXMath-Regular) *)
    0xef0000e4,   (* [4583:416] W + adieresis : -34 (cslSTIXMath-Regular) *)
    0xf40000e3,   (* [4584:417] W + atilde : -24 (cslSTIXMath-Regular) *)
    0xef0000e2,   (* [4585:418] W + acircumflex : -34 (cslSTIXMath-Regular) *)
    0xe70000e1,   (* [4586:419] W + aacute : -50 (cslSTIXMath-Regular) *)
    0xf70000e0,   (* [4587:420] W + agrave : -18 (cslSTIXMath-Regular) *)
    0xef8000d8,   (* [4588:421] W + Oslash : -33 (cslSTIXMath-Regular) *)
    0xef8000d6,   (* [4589:422] W + Odieresis : -33 (cslSTIXMath-Regular) *)
    0xef8000d5,   (* [4590:423] W + Otilde : -33 (cslSTIXMath-Regular) *)
    0xef8000d4,   (* [4591:424] W + Ocircumflex : -33 (cslSTIXMath-Regular) *)
    0xef8000d3,   (* [4592:425] W + Oacute : -33 (cslSTIXMath-Regular) *)
    0xef8000d2,   (* [4593:426] W + Ograve : -33 (cslSTIXMath-Regular) *)
    0xd40000c6,   (* [4594:427] W + AE : -88 (cslSTIXMath-Regular) *)
    0xcd0000c5,   (* [4595:428] W + Aring : -102 (cslSTIXMath-Regular) *)
    0xcd0000c4,   (* [4596:429] W + Adieresis : -102 (cslSTIXMath-Regular) *)
    0xcd0000c3,   (* [4597:430] W + Atilde : -102 (cslSTIXMath-Regular) *)
    0xcd0000c2,   (* [4598:431] W + Acircumflex : -102 (cslSTIXMath-Regular) *)
    0xcd0000c1,   (* [4599:432] W + Aacute : -102 (cslSTIXMath-Regular) *)
    0xcd0000c0,   (* [4600:433] W + Agrave : -102 (cslSTIXMath-Regular) *)
    0xe18000ab,   (* [4601:434] W + guillemotleft : -61 (cslSTIXMath-Regular) *)
    0xe9800079,   (* [4602:435] W + y : -45 (cslSTIXMath-Regular) *)
    0xf1000075,   (* [4603:436] W + u : -30 (cslSTIXMath-Regular) *)
    0xf1000072,   (* [4604:437] W + r : -30 (cslSTIXMath-Regular) *)
    0xdd00006f,   (* [4605:438] W + o : -70 (cslSTIXMath-Regular) *)
    0xf9800069,   (* [4606:439] W + i : -13 (cslSTIXMath-Regular) *)
    0xe3800067,   (* [4607:440] W + g : -57 (cslSTIXMath-Regular) *)
    0xe2000065,   (* [4608:441] W + e : -60 (cslSTIXMath-Regular) *)
    0xe2000061,   (* [4609:442] W + a : -60 (cslSTIXMath-Regular) *)
    0x08000054,   (* [4610:443] W + T : 16 (cslSTIXMath-Regular) *)
    0xf4000053,   (* [4611:444] W + S : -24 (cslSTIXMath-Regular) *)
    0xef80004f,   (* [4612:445] W + O : -33 (cslSTIXMath-Regular) *)
    0xed000047,   (* [4613:446] W + G : -38 (cslSTIXMath-Regular) *)
    0xef800043,   (* [4614:447] W + C : -33 (cslSTIXMath-Regular) *)
    0xcd000041,   (* [4615:448] W + A : -102 (cslSTIXMath-Regular) *)
    0xe880003b,   (* [4616:449] W + semicolon : -47 (cslSTIXMath-Regular) *)
    0xef80003a,   (* [4617:450] W + colon : -33 (cslSTIXMath-Regular) *)
    0xd200002e,   (* [4618:451] W + period : -92 (cslSTIXMath-Regular) *)
    0xec00002d,   (* [4619:452] W + hyphen : -40 (cslSTIXMath-Regular) *)
    0xd840002c,   (* [4620:453] W + comma : -80 (cslSTIXMath-Regular) *) (*;;*)
    0xed0000d6,   (* [4621:454] X + Odieresis : -38 (cslSTIXMath-Regular) *)
    0xe0800079,   (* [4622:455] X + y : -63 (cslSTIXMath-Regular) *)
    0xf7000075,   (* [4623:456] X + u : -18 (cslSTIXMath-Regular) *)
    0xf280006f,   (* [4624:457] X + o : -27 (cslSTIXMath-Regular) *)
    0xf1800065,   (* [4625:458] X + e : -29 (cslSTIXMath-Regular) *)
    0xfc800061,   (* [4626:459] X + a : -7 (cslSTIXMath-Regular) *)
    0xed000051,   (* [4627:460] X + Q : -38 (cslSTIXMath-Regular) *)
    0xed00004f,   (* [4628:461] X + O : -38 (cslSTIXMath-Regular) *)
    0xee800043,   (* [4629:462] X + C : -35 (cslSTIXMath-Regular) *)
    0xe9c0002d,   (* [4630:463] X + hyphen : -45 (cslSTIXMath-Regular) *) (*;;*)
    0xbf002039,   (* [4631:464] Y + guilsinglleft : -130 (cslSTIXMath-Regular) *)
    0xde8000f8,   (* [4632:465] Y + oslash : -67 (cslSTIXMath-Regular) *)
    0xd58000e6,   (* [4633:466] Y + ae : -85 (cslSTIXMath-Regular) *)
    0xe68000d8,   (* [4634:467] Y + Oslash : -51 (cslSTIXMath-Regular) *)
    0xe68000d6,   (* [4635:468] Y + Odieresis : -51 (cslSTIXMath-Regular) *)
    0xe68000d5,   (* [4636:469] Y + Otilde : -51 (cslSTIXMath-Regular) *)
    0xe68000d4,   (* [4637:470] Y + Ocircumflex : -51 (cslSTIXMath-Regular) *)
    0xe68000d3,   (* [4638:471] Y + Oacute : -51 (cslSTIXMath-Regular) *)
    0xe68000d2,   (* [4639:472] Y + Ograve : -51 (cslSTIXMath-Regular) *)
    0xde8000c6,   (* [4640:473] Y + AE : -67 (cslSTIXMath-Regular) *)
    0xda8000c5,   (* [4641:474] Y + Aring : -75 (cslSTIXMath-Regular) *)
    0xda8000c4,   (* [4642:475] Y + Adieresis : -75 (cslSTIXMath-Regular) *)
    0xda8000c3,   (* [4643:476] Y + Atilde : -75 (cslSTIXMath-Regular) *)
    0xda8000c2,   (* [4644:477] Y + Acircumflex : -75 (cslSTIXMath-Regular) *)
    0xda8000c1,   (* [4645:478] Y + Aacute : -75 (cslSTIXMath-Regular) *)
    0xda8000c0,   (* [4646:479] Y + Agrave : -75 (cslSTIXMath-Regular) *)
    0xc58000ab,   (* [4647:480] Y + guillemotleft : -117 (cslSTIXMath-Regular) *)
    0xe1000076,   (* [4648:481] Y + v : -62 (cslSTIXMath-Regular) *)
    0xe2800075,   (* [4649:482] Y + u : -59 (cslSTIXMath-Regular) *)
    0xe3800070,   (* [4650:483] Y + p : -57 (cslSTIXMath-Regular) *)
    0xde80006f,   (* [4651:484] Y + o : -67 (cslSTIXMath-Regular) *)
    0xf7800069,   (* [4652:485] Y + i : -17 (cslSTIXMath-Regular) *)
    0xdb800067,   (* [4653:486] Y + g : -73 (cslSTIXMath-Regular) *)
    0xdf000065,   (* [4654:487] Y + e : -66 (cslSTIXMath-Regular) *)
    0xd8000061,   (* [4655:488] Y + a : -80 (cslSTIXMath-Regular) *)
    0x06000054,   (* [4656:489] Y + T : 12 (cslSTIXMath-Regular) *)
    0xea800053,   (* [4657:490] Y + S : -43 (cslSTIXMath-Regular) *)
    0xe680004f,   (* [4658:491] Y + O : -51 (cslSTIXMath-Regular) *)
    0xe6800047,   (* [4659:492] Y + G : -51 (cslSTIXMath-Regular) *)
    0xe7000043,   (* [4660:493] Y + C : -50 (cslSTIXMath-Regular) *)
    0xda800041,   (* [4661:494] Y + A : -75 (cslSTIXMath-Regular) *)
    0xe180003b,   (* [4662:495] Y + semicolon : -61 (cslSTIXMath-Regular) *)
    0xdf00003a,   (* [4663:496] Y + colon : -66 (cslSTIXMath-Regular) *)
    0xd180002e,   (* [4664:497] Y + period : -93 (cslSTIXMath-Regular) *)
    0xd800002d,   (* [4665:498] Y + hyphen : -80 (cslSTIXMath-Regular) *)
    0xdac0002c,   (* [4666:499] Y + comma : -75 (cslSTIXMath-Regular) *) (*;;*)
    0xef800079,   (* [4667:500] Z + y : -33 (cslSTIXMath-Regular) *)
    0xef000077,   (* [4668:501] Z + w : -34 (cslSTIXMath-Regular) *)
    0xefc00076,   (* [4669:502] Z + v : -33 (cslSTIXMath-Regular) *) (*;;*)
    0xeb802019,   (* [4670:503] a + quoteright : -41 (cslSTIXMath-Regular) *)
    0xf2800079,   (* [4671:504] a + y : -27 (cslSTIXMath-Regular) *)
    0xef800077,   (* [4672:505] a + w : -33 (cslSTIXMath-Regular) *)
    0xf0000076,   (* [4673:506] a + v : -32 (cslSTIXMath-Regular) *)
    0xfc40006a,   (* [4674:507] a + j : -8 (cslSTIXMath-Regular) *) (*;;*)
    0xf6000079,   (* [4675:508] b + y : -20 (cslSTIXMath-Regular) *)
    0xf7000077,   (* [4676:509] b + w : -18 (cslSTIXMath-Regular) *)
    0xf7400076,   (* [4677:510] b + v : -18 (cslSTIXMath-Regular) *) (*;;*)
    0xf500006b,   (* [4678:511] c + k : -22 (cslSTIXMath-Regular) *)
    0xf8400068,   (* [4679:512] c + h : -16 (cslSTIXMath-Regular) *) (*;;*)
    0xf6002019,   (* [4680:513] e + quoteright : -20 (cslSTIXMath-Regular) *)
    0xf5800079,   (* [4681:514] e + y : -21 (cslSTIXMath-Regular) *)
    0xf5800078,   (* [4682:515] e + x : -21 (cslSTIXMath-Regular) *)
    0xf6800077,   (* [4683:516] e + w : -19 (cslSTIXMath-Regular) *)
    0xf6800076,   (* [4684:517] e + v : -19 (cslSTIXMath-Regular) *)
    0xfbc00074,   (* [4685:518] e + t : -9 (cslSTIXMath-Regular) *) (*;;*)
    0x08002019,   (* [4686:519] f + quoteright : 16 (cslSTIXMath-Regular) *)
    0xee000153,   (* [4687:520] f + oe : -36 (cslSTIXMath-Regular) *)
    0xed8000f8,   (* [4688:521] f + oslash : -37 (cslSTIXMath-Regular) *)
    0x008000f6,   (* [4689:522] f + odieresis : 1 (cslSTIXMath-Regular) *)
    0xf40000f4,   (* [4690:523] f + ocircumflex : -24 (cslSTIXMath-Regular) *)
    0xf00000f3,   (* [4691:524] f + oacute : -32 (cslSTIXMath-Regular) *)
    0xff8000f2,   (* [4692:525] f + ograve : -1 (cslSTIXMath-Regular) *)
    0xf90000ea,   (* [4693:526] f + ecircumflex : -14 (cslSTIXMath-Regular) *)
    0xef0000e9,   (* [4694:527] f + eacute : -34 (cslSTIXMath-Regular) *)
    0x048000e8,   (* [4695:528] f + egrave : 9 (cslSTIXMath-Regular) *)
    0xf28000e6,   (* [4696:529] f + ae : -27 (cslSTIXMath-Regular) *)
    0xfc0000e5,   (* [4697:530] f + aring : -8 (cslSTIXMath-Regular) *)
    0x058000e4,   (* [4698:531] f + adieresis : 11 (cslSTIXMath-Regular) *)
    0xf30000e1,   (* [4699:532] f + aacute : -26 (cslSTIXMath-Regular) *)
    0x05000074,   (* [4700:533] f + t : 10 (cslSTIXMath-Regular) *)
    0xf8000073,   (* [4701:534] f + s : -16 (cslSTIXMath-Regular) *)
    0xf000006f,   (* [4702:535] f + o : -32 (cslSTIXMath-Regular) *)
    0x1600006c,   (* [4703:536] f + l : 44 (cslSTIXMath-Regular) *)
    0x0380006a,   (* [4704:537] f + j : 7 (cslSTIXMath-Regular) *)
    0x07000069,   (* [4705:538] f + i : 14 (cslSTIXMath-Regular) *)
    0x03000066,   (* [4706:539] f + f : 6 (cslSTIXMath-Regular) *)
    0xef000065,   (* [4707:540] f + e : -34 (cslSTIXMath-Regular) *)
    0xf3000061,   (* [4708:541] f + a : -26 (cslSTIXMath-Regular) *)
    0x2120006a,   (* [4709:542] f + j ligature #66 (cslSTIXMath-Regular) *)
    0x21a0006c,   (* [4710:543] f + l ligature #67 (cslSTIXMath-Regular) *)
    0x22200069,   (* [4711:544] f + i ligature #68 (cslSTIXMath-Regular) *)
    0x22e00066,   (* [4712:545] f + f ligature #69 (cslSTIXMath-Regular) *) (*;;*)
    0xf80000f6,   (* [4713:546] g + odieresis : -16 (cslSTIXMath-Regular) *)
    0xf80000f3,   (* [4714:547] g + oacute : -16 (cslSTIXMath-Regular) *)
    0xf88000eb,   (* [4715:548] g + edieresis : -15 (cslSTIXMath-Regular) *)
    0xf88000ea,   (* [4716:549] g + ecircumflex : -15 (cslSTIXMath-Regular) *)
    0xf88000e9,   (* [4717:550] g + eacute : -15 (cslSTIXMath-Regular) *)
    0xf88000e8,   (* [4718:551] g + egrave : -15 (cslSTIXMath-Regular) *)
    0xfa8000e6,   (* [4719:552] g + ae : -11 (cslSTIXMath-Regular) *)
    0xfa8000e5,   (* [4720:553] g + aring : -11 (cslSTIXMath-Regular) *)
    0xfa8000e4,   (* [4721:554] g + adieresis : -11 (cslSTIXMath-Regular) *)
    0x05000072,   (* [4722:555] g + r : 10 (cslSTIXMath-Regular) *)
    0xff00006c,   (* [4723:556] g + l : -2 (cslSTIXMath-Regular) *)
    0xf8800065,   (* [4724:557] g + e : -15 (cslSTIXMath-Regular) *)
    0xfac00061,   (* [4725:558] g + a : -11 (cslSTIXMath-Regular) *) (*;;*)
    0xec802019,   (* [4726:559] h + quoteright : -39 (cslSTIXMath-Regular) *)
    0xf6400079,   (* [4727:560] h + y : -20 (cslSTIXMath-Regular) *) (*;;*)
    0xef00006a,   (* [4728:561] i + j : -34 (cslSTIXMath-Regular) *)
    0xf7000054,   (* [4729:562] i + T : -18 (cslSTIXMath-Regular) *)
    0x2360006a,   (* [4730:563] i + j ligature #70 (cslSTIXMath-Regular) *) (*;;*)
    0x070000fc,   (* [4731:564] k + udieresis : 14 (cslSTIXMath-Regular) *)
    0xf58000f6,   (* [4732:565] k + odieresis : -21 (cslSTIXMath-Regular) *)
    0xf58000f3,   (* [4733:566] k + oacute : -21 (cslSTIXMath-Regular) *)
    0xf98000e9,   (* [4734:567] k + eacute : -13 (cslSTIXMath-Regular) *)
    0xf98000e8,   (* [4735:568] k + egrave : -13 (cslSTIXMath-Regular) *)
    0xff0000e6,   (* [4736:569] k + ae : -2 (cslSTIXMath-Regular) *)
    0x008000e5,   (* [4737:570] k + aring : 1 (cslSTIXMath-Regular) *)
    0x008000e4,   (* [4738:571] k + adieresis : 1 (cslSTIXMath-Regular) *)
    0x008000e1,   (* [4739:572] k + aacute : 1 (cslSTIXMath-Regular) *)
    0x07000075,   (* [4740:573] k + u : 14 (cslSTIXMath-Regular) *)
    0x02800073,   (* [4741:574] k + s : 5 (cslSTIXMath-Regular) *)
    0xf580006f,   (* [4742:575] k + o : -21 (cslSTIXMath-Regular) *)
    0xfc000067,   (* [4743:576] k + g : -8 (cslSTIXMath-Regular) *)
    0xf9800065,   (* [4744:577] k + e : -13 (cslSTIXMath-Regular) *)
    0x00800061,   (* [4745:578] k + a : 1 (cslSTIXMath-Regular) *)
    0xff80002e,   (* [4746:579] k + period : -1 (cslSTIXMath-Regular) *)
    0xe780002d,   (* [4747:580] k + hyphen : -49 (cslSTIXMath-Regular) *)
    0x02c0002c,   (* [4748:581] k + comma : 5 (cslSTIXMath-Regular) *) (*;;*)
    0xf5800079,   (* [4749:582] l + y : -21 (cslSTIXMath-Regular) *)
    0xf5c00076,   (* [4750:583] l + v : -21 (cslSTIXMath-Regular) *) (*;;*)
    0xf6000079,   (* [4751:584] m + y : -20 (cslSTIXMath-Regular) *)
    0xf6000077,   (* [4752:585] m + w : -20 (cslSTIXMath-Regular) *)
    0xf6000076,   (* [4753:586] m + v : -20 (cslSTIXMath-Regular) *)
    0xfec00070,   (* [4754:587] m + p : -3 (cslSTIXMath-Regular) *) (*;;*)
    0xec002019,   (* [4755:588] n + quoteright : -40 (cslSTIXMath-Regular) *)
    0xf4000079,   (* [4756:589] n + y : -24 (cslSTIXMath-Regular) *)
    0xf0000077,   (* [4757:590] n + w : -32 (cslSTIXMath-Regular) *)
    0xf0800076,   (* [4758:591] n + v : -31 (cslSTIXMath-Regular) *)
    0xff800070,   (* [4759:592] n + p : -1 (cslSTIXMath-Regular) *)
    0xee400054,   (* [4760:593] n + T : -36 (cslSTIXMath-Regular) *) (*;;*)
    0xee002019,   (* [4761:594] o + quoteright : -36 (cslSTIXMath-Regular) *)
    0xf5000079,   (* [4762:595] o + y : -22 (cslSTIXMath-Regular) *)
    0xf5000078,   (* [4763:596] o + x : -22 (cslSTIXMath-Regular) *)
    0xf5000077,   (* [4764:597] o + w : -22 (cslSTIXMath-Regular) *)
    0xf5000076,   (* [4765:598] o + v : -22 (cslSTIXMath-Regular) *)
    0xfc000074,   (* [4766:599] o + t : -8 (cslSTIXMath-Regular) *)
    0xd4c00054,   (* [4767:600] o + T : -87 (cslSTIXMath-Regular) *) (*;;*)
    0xfc800079,   (* [4768:601] p + y : -7 (cslSTIXMath-Regular) *)
    0xffc00074,   (* [4769:602] p + t : -1 (cslSTIXMath-Regular) *) (*;;*)
    0xf9800075,   (* [4770:603] q + u : -13 (cslSTIXMath-Regular) *)
    0xfec00063,   (* [4771:604] q + c : -3 (cslSTIXMath-Regular) *) (*;;*)
    0xf7802019,   (* [4772:605] r + quoteright : -17 (cslSTIXMath-Regular) *)
    0xfd000153,   (* [4773:606] r + oe : -6 (cslSTIXMath-Regular) *)
    0xfd0000f8,   (* [4774:607] r + oslash : -6 (cslSTIXMath-Regular) *)
    0xfd0000f6,   (* [4775:608] r + odieresis : -6 (cslSTIXMath-Regular) *)
    0xfd0000f4,   (* [4776:609] r + ocircumflex : -6 (cslSTIXMath-Regular) *)
    0xfd0000f3,   (* [4777:610] r + oacute : -6 (cslSTIXMath-Regular) *)
    0xfd0000f2,   (* [4778:611] r + ograve : -6 (cslSTIXMath-Regular) *)
    0xff0000ea,   (* [4779:612] r + ecircumflex : -2 (cslSTIXMath-Regular) *)
    0xff0000e9,   (* [4780:613] r + eacute : -2 (cslSTIXMath-Regular) *)
    0xff0000e8,   (* [4781:614] r + egrave : -2 (cslSTIXMath-Regular) *)
    0xff0000e7,   (* [4782:615] r + ccedilla : -2 (cslSTIXMath-Regular) *)
    0xfe8000e6,   (* [4783:616] r + ae : -3 (cslSTIXMath-Regular) *)
    0xff0000e5,   (* [4784:617] r + aring : -2 (cslSTIXMath-Regular) *)
    0xff0000e4,   (* [4785:618] r + adieresis : -2 (cslSTIXMath-Regular) *)
    0xff0000e2,   (* [4786:619] r + acircumflex : -2 (cslSTIXMath-Regular) *)
    0xff0000e1,   (* [4787:620] r + aacute : -2 (cslSTIXMath-Regular) *)
    0xff0000e0,   (* [4788:621] r + agrave : -2 (cslSTIXMath-Regular) *)
    0x0100007a,   (* [4789:622] r + z : 2 (cslSTIXMath-Regular) *)
    0x0a800079,   (* [4790:623] r + y : 21 (cslSTIXMath-Regular) *)
    0x08000078,   (* [4791:624] r + x : 16 (cslSTIXMath-Regular) *)
    0x09800077,   (* [4792:625] r + w : 19 (cslSTIXMath-Regular) *)
    0x0a000076,   (* [4793:626] r + v : 20 (cslSTIXMath-Regular) *)
    0x0c000075,   (* [4794:627] r + u : 24 (cslSTIXMath-Regular) *)
    0x0b800074,   (* [4795:628] r + t : 23 (cslSTIXMath-Regular) *)
    0x0d000072,   (* [4796:629] r + r : 26 (cslSTIXMath-Regular) *)
    0xfb000071,   (* [4797:630] r + q : -10 (cslSTIXMath-Regular) *)
    0x0c800070,   (* [4798:631] r + p : 25 (cslSTIXMath-Regular) *)
    0xfd00006f,   (* [4799:632] r + o : -6 (cslSTIXMath-Regular) *)
    0x0a80006e,   (* [4800:633] r + n : 21 (cslSTIXMath-Regular) *)
    0x0a00006d,   (* [4801:634] r + m : 20 (cslSTIXMath-Regular) *)
    0xfc80006c,   (* [4802:635] r + l : -7 (cslSTIXMath-Regular) *)
    0xfc80006b,   (* [4803:636] r + k : -7 (cslSTIXMath-Regular) *)
    0x0680006a,   (* [4804:637] r + j : 13 (cslSTIXMath-Regular) *)
    0x09800069,   (* [4805:638] r + i : 19 (cslSTIXMath-Regular) *)
    0xff000068,   (* [4806:639] r + h : -2 (cslSTIXMath-Regular) *)
    0xf8000067,   (* [4807:640] r + g : -16 (cslSTIXMath-Regular) *)
    0x09800066,   (* [4808:641] r + f : 19 (cslSTIXMath-Regular) *)
    0xff000065,   (* [4809:642] r + e : -2 (cslSTIXMath-Regular) *)
    0xff000064,   (* [4810:643] r + d : -2 (cslSTIXMath-Regular) *)
    0xff000063,   (* [4811:644] r + c : -2 (cslSTIXMath-Regular) *)
    0xff000061,   (* [4812:645] r + a : -2 (cslSTIXMath-Regular) *)
    0xfc80003b,   (* [4813:646] r + semicolon : -7 (cslSTIXMath-Regular) *)
    0xfc00003a,   (* [4814:647] r + colon : -8 (cslSTIXMath-Regular) *)
    0xe800002e,   (* [4815:648] r + period : -48 (cslSTIXMath-Regular) *)
    0xf180002d,   (* [4816:649] r + hyphen : -29 (cslSTIXMath-Regular) *)
    0xf340002c,   (* [4817:650] r + comma : -26 (cslSTIXMath-Regular) *) (*;;*)
    0xee802019,   (* [4818:651] s + quoteright : -35 (cslSTIXMath-Regular) *)
    0xfc400074,   (* [4819:652] s + t : -8 (cslSTIXMath-Regular) *) (*;;*)
    0xf1002019,   (* [4820:653] t + quoteright : -30 (cslSTIXMath-Regular) *)
    0xff0000f6,   (* [4821:654] t + odieresis : -2 (cslSTIXMath-Regular) *)
    0xff0000f3,   (* [4822:655] t + oacute : -2 (cslSTIXMath-Regular) *)
    0x040000e6,   (* [4823:656] t + ae : 8 (cslSTIXMath-Regular) *)
    0x050000e5,   (* [4824:657] t + aring : 10 (cslSTIXMath-Regular) *)
    0x050000e4,   (* [4825:658] t + adieresis : 10 (cslSTIXMath-Regular) *)
    0x050000e1,   (* [4826:659] t + aacute : 10 (cslSTIXMath-Regular) *)
    0xff00006f,   (* [4827:660] t + o : -2 (cslSTIXMath-Regular) *)
    0x04000068,   (* [4828:661] t + h : 8 (cslSTIXMath-Regular) *)
    0x05000061,   (* [4829:662] t + a : 10 (cslSTIXMath-Regular) *)
    0x01000053,   (* [4830:663] t + S : 2 (cslSTIXMath-Regular) *)
    0x0300003b,   (* [4831:664] t + semicolon : 6 (cslSTIXMath-Regular) *)
    0x0140003a,   (* [4832:665] t + colon : 2 (cslSTIXMath-Regular) *) (*;;*)
    0xedc02019,   (* [4833:666] u + quoteright : -37 (cslSTIXMath-Regular) *) (*;;*)
    0xf28000f8,   (* [4834:667] v + oslash : -27 (cslSTIXMath-Regular) *)
    0xf28000f6,   (* [4835:668] v + odieresis : -27 (cslSTIXMath-Regular) *)
    0xf28000f3,   (* [4836:669] v + oacute : -27 (cslSTIXMath-Regular) *)
    0xf28000f2,   (* [4837:670] v + ograve : -27 (cslSTIXMath-Regular) *)
    0xf40000ea,   (* [4838:671] v + ecircumflex : -24 (cslSTIXMath-Regular) *)
    0xf40000e9,   (* [4839:672] v + eacute : -24 (cslSTIXMath-Regular) *)
    0xf40000e8,   (* [4840:673] v + egrave : -24 (cslSTIXMath-Regular) *)
    0xf60000e6,   (* [4841:674] v + ae : -20 (cslSTIXMath-Regular) *)
    0xf60000e5,   (* [4842:675] v + aring : -20 (cslSTIXMath-Regular) *)
    0xf60000e4,   (* [4843:676] v + adieresis : -20 (cslSTIXMath-Regular) *)
    0xf60000e3,   (* [4844:677] v + atilde : -20 (cslSTIXMath-Regular) *)
    0xf60000e2,   (* [4845:678] v + acircumflex : -20 (cslSTIXMath-Regular) *)
    0xf60000e1,   (* [4846:679] v + aacute : -20 (cslSTIXMath-Regular) *)
    0xf60000e0,   (* [4847:680] v + agrave : -20 (cslSTIXMath-Regular) *)
    0xf9800073,   (* [4848:681] v + s : -13 (cslSTIXMath-Regular) *)
    0xf280006f,   (* [4849:682] v + o : -27 (cslSTIXMath-Regular) *)
    0xf080006c,   (* [4850:683] v + l : -31 (cslSTIXMath-Regular) *)
    0xeb000067,   (* [4851:684] v + g : -42 (cslSTIXMath-Regular) *)
    0xf4000065,   (* [4852:685] v + e : -24 (cslSTIXMath-Regular) *)
    0xf2000063,   (* [4853:686] v + c : -28 (cslSTIXMath-Regular) *)
    0xf6000061,   (* [4854:687] v + a : -20 (cslSTIXMath-Regular) *)
    0xf780003b,   (* [4855:688] v + semicolon : -17 (cslSTIXMath-Regular) *)
    0xf580003a,   (* [4856:689] v + colon : -21 (cslSTIXMath-Regular) *)
    0xdb00002e,   (* [4857:690] v + period : -74 (cslSTIXMath-Regular) *)
    0xf200002d,   (* [4858:691] v + hyphen : -28 (cslSTIXMath-Regular) *)
    0xdf40002c,   (* [4859:692] v + comma : -66 (cslSTIXMath-Regular) *) (*;;*)
    0xf30000f8,   (* [4860:693] w + oslash : -26 (cslSTIXMath-Regular) *)
    0xf30000f6,   (* [4861:694] w + odieresis : -26 (cslSTIXMath-Regular) *)
    0xf30000f3,   (* [4862:695] w + oacute : -26 (cslSTIXMath-Regular) *)
    0xf30000f2,   (* [4863:696] w + ograve : -26 (cslSTIXMath-Regular) *)
    0xf70000ea,   (* [4864:697] w + ecircumflex : -18 (cslSTIXMath-Regular) *)
    0xf70000e9,   (* [4865:698] w + eacute : -18 (cslSTIXMath-Regular) *)
    0xf70000e8,   (* [4866:699] w + egrave : -18 (cslSTIXMath-Regular) *)
    0xf18000e6,   (* [4867:700] w + ae : -29 (cslSTIXMath-Regular) *)
    0xf20000e5,   (* [4868:701] w + aring : -28 (cslSTIXMath-Regular) *)
    0xf20000e4,   (* [4869:702] w + adieresis : -28 (cslSTIXMath-Regular) *)
    0xf20000e3,   (* [4870:703] w + atilde : -28 (cslSTIXMath-Regular) *)
    0xf20000e2,   (* [4871:704] w + acircumflex : -28 (cslSTIXMath-Regular) *)
    0xf20000e1,   (* [4872:705] w + aacute : -28 (cslSTIXMath-Regular) *)
    0xf20000e0,   (* [4873:706] w + agrave : -28 (cslSTIXMath-Regular) *)
    0xf4800073,   (* [4874:707] w + s : -23 (cslSTIXMath-Regular) *)
    0xf300006f,   (* [4875:708] w + o : -26 (cslSTIXMath-Regular) *)
    0xef00006c,   (* [4876:709] w + l : -34 (cslSTIXMath-Regular) *)
    0xef800067,   (* [4877:710] w + g : -33 (cslSTIXMath-Regular) *)
    0xf7000065,   (* [4878:711] w + e : -18 (cslSTIXMath-Regular) *)
    0xf5800063,   (* [4879:712] w + c : -21 (cslSTIXMath-Regular) *)
    0xf2000061,   (* [4880:713] w + a : -28 (cslSTIXMath-Regular) *)
    0xfa00003b,   (* [4881:714] w + semicolon : -12 (cslSTIXMath-Regular) *)
    0xfa00003a,   (* [4882:715] w + colon : -12 (cslSTIXMath-Regular) *)
    0xde00002e,   (* [4883:716] w + period : -68 (cslSTIXMath-Regular) *)
    0xf400002d,   (* [4884:717] w + hyphen : -24 (cslSTIXMath-Regular) *)
    0xe740002c,   (* [4885:718] w + comma : -50 (cslSTIXMath-Regular) *) (*;;*)
    0xf40000e9,   (* [4886:719] x + eacute : -24 (cslSTIXMath-Regular) *)
    0xf7800071,   (* [4887:720] x + q : -17 (cslSTIXMath-Regular) *)
    0xf180006f,   (* [4888:721] x + o : -29 (cslSTIXMath-Regular) *)
    0xf4000065,   (* [4889:722] x + e : -24 (cslSTIXMath-Regular) *)
    0xf4000063,   (* [4890:723] x + c : -24 (cslSTIXMath-Regular) *)
    0xfac00061,   (* [4891:724] x + a : -11 (cslSTIXMath-Regular) *) (*;;*)
    0xf70000f8,   (* [4892:725] y + oslash : -18 (cslSTIXMath-Regular) *)
    0xf70000f6,   (* [4893:726] y + odieresis : -18 (cslSTIXMath-Regular) *)
    0xf70000f3,   (* [4894:727] y + oacute : -18 (cslSTIXMath-Regular) *)
    0xf70000f2,   (* [4895:728] y + ograve : -18 (cslSTIXMath-Regular) *)
    0xf78000ea,   (* [4896:729] y + ecircumflex : -17 (cslSTIXMath-Regular) *)
    0xf78000e9,   (* [4897:730] y + eacute : -17 (cslSTIXMath-Regular) *)
    0xf78000e8,   (* [4898:731] y + egrave : -17 (cslSTIXMath-Regular) *)
    0xf88000e6,   (* [4899:732] y + ae : -15 (cslSTIXMath-Regular) *)
    0xf88000e5,   (* [4900:733] y + aring : -15 (cslSTIXMath-Regular) *)
    0xf88000e4,   (* [4901:734] y + adieresis : -15 (cslSTIXMath-Regular) *)
    0xf88000e3,   (* [4902:735] y + atilde : -15 (cslSTIXMath-Regular) *)
    0xf88000e2,   (* [4903:736] y + acircumflex : -15 (cslSTIXMath-Regular) *)
    0xf88000e1,   (* [4904:737] y + aacute : -15 (cslSTIXMath-Regular) *)
    0xf88000e0,   (* [4905:738] y + agrave : -15 (cslSTIXMath-Regular) *)
    0xf9800073,   (* [4906:739] y + s : -13 (cslSTIXMath-Regular) *)
    0xf700006f,   (* [4907:740] y + o : -18 (cslSTIXMath-Regular) *)
    0xf700006c,   (* [4908:741] y + l : -18 (cslSTIXMath-Regular) *)
    0xf5000067,   (* [4909:742] y + g : -22 (cslSTIXMath-Regular) *)
    0xf4800065,   (* [4910:743] y + e : -23 (cslSTIXMath-Regular) *)
    0xf8800063,   (* [4911:744] y + c : -15 (cslSTIXMath-Regular) *)
    0xf8800061,   (* [4912:745] y + a : -15 (cslSTIXMath-Regular) *)
    0xf900003b,   (* [4913:746] y + semicolon : -14 (cslSTIXMath-Regular) *)
    0xfc00003a,   (* [4914:747] y + colon : -8 (cslSTIXMath-Regular) *)
    0xdc80002e,   (* [4915:748] y + period : -71 (cslSTIXMath-Regular) *)
    0xf700002d,   (* [4916:749] y + hyphen : -18 (cslSTIXMath-Regular) *)
    0xe5c0002c,   (* [4917:750] y + comma : -53 (cslSTIXMath-Regular) *) (*;;*)
    0xe10000c6,   (* [4918:751] guillemotright + AE : -62 (cslSTIXMath-Regular) *)
    0xdf8000c5,   (* [4919:752] guillemotright + Aring : -65 (cslSTIXMath-Regular) *)
    0xdf8000c4,   (* [4920:753] guillemotright + Adieresis : -65 (cslSTIXMath-Regular) *)
    0xdf8000c1,   (* [4921:754] guillemotright + Aacute : -65 (cslSTIXMath-Regular) *)
    0xbb000059,   (* [4922:755] guillemotright + Y : -138 (cslSTIXMath-Regular) *)
    0xd1000057,   (* [4923:756] guillemotright + W : -94 (cslSTIXMath-Regular) *)
    0xc6000056,   (* [4924:757] guillemotright + V : -116 (cslSTIXMath-Regular) *)
    0xc7800054,   (* [4925:758] guillemotright + T : -113 (cslSTIXMath-Regular) *)
    0xdfc00041,   (* [4926:759] guillemotright + A : -65 (cslSTIXMath-Regular) *) (*;;*)
    0xe6000059,   (* [4927:760] Agrave + Y : -52 (cslSTIXMath-Regular) *)
    0xd6800057,   (* [4928:761] Agrave + W : -83 (cslSTIXMath-Regular) *)
    0xd6800056,   (* [4929:762] Agrave + V : -83 (cslSTIXMath-Regular) *)
    0xee800055,   (* [4930:763] Agrave + U : -35 (cslSTIXMath-Regular) *)
    0xe5000054,   (* [4931:764] Agrave + T : -54 (cslSTIXMath-Regular) *)
    0xf3800051,   (* [4932:765] Agrave + Q : -25 (cslSTIXMath-Regular) *)
    0xf380004f,   (* [4933:766] Agrave + O : -25 (cslSTIXMath-Regular) *)
    0xf3800047,   (* [4934:767] Agrave + G : -25 (cslSTIXMath-Regular) *)
    0xf3800043,   (* [4935:768] Agrave + C : -25 (cslSTIXMath-Regular) *)
    0xfd80002e,   (* [4936:769] Agrave + period : -5 (cslSTIXMath-Regular) *)
    0xff40002c,   (* [4937:770] Agrave + comma : -2 (cslSTIXMath-Regular) *) (*;;*)
    0xe7802039,   (* [4938:771] Aacute + guilsinglleft : -49 (cslSTIXMath-Regular) *)
    0xe380201d,   (* [4939:772] Aacute + quotedblright : -57 (cslSTIXMath-Regular) *)
    0xdb002019,   (* [4940:773] Aacute + quoteright : -74 (cslSTIXMath-Regular) *)
    0xeb0000ab,   (* [4941:774] Aacute + guillemotleft : -42 (cslSTIXMath-Regular) *)
    0xdc000079,   (* [4942:775] Aacute + y : -72 (cslSTIXMath-Regular) *)
    0xe3000077,   (* [4943:776] Aacute + w : -58 (cslSTIXMath-Regular) *)
    0xe3000076,   (* [4944:777] Aacute + v : -58 (cslSTIXMath-Regular) *)
    0xf9000075,   (* [4945:778] Aacute + u : -14 (cslSTIXMath-Regular) *)
    0xf9800074,   (* [4946:779] Aacute + t : -13 (cslSTIXMath-Regular) *)
    0xf9000071,   (* [4947:780] Aacute + q : -14 (cslSTIXMath-Regular) *)
    0xf300006f,   (* [4948:781] Aacute + o : -26 (cslSTIXMath-Regular) *)
    0xfa000067,   (* [4949:782] Aacute + g : -12 (cslSTIXMath-Regular) *)
    0xf8000065,   (* [4950:783] Aacute + e : -16 (cslSTIXMath-Regular) *)
    0xf7800064,   (* [4951:784] Aacute + d : -17 (cslSTIXMath-Regular) *)
    0xfb000063,   (* [4952:785] Aacute + c : -10 (cslSTIXMath-Regular) *)
    0xf9000062,   (* [4953:786] Aacute + b : -14 (cslSTIXMath-Regular) *)
    0xfe000061,   (* [4954:787] Aacute + a : -4 (cslSTIXMath-Regular) *)
    0xe6000059,   (* [4955:788] Aacute + Y : -52 (cslSTIXMath-Regular) *)
    0xd6800057,   (* [4956:789] Aacute + W : -83 (cslSTIXMath-Regular) *)
    0xd6800056,   (* [4957:790] Aacute + V : -83 (cslSTIXMath-Regular) *)
    0xee800055,   (* [4958:791] Aacute + U : -35 (cslSTIXMath-Regular) *)
    0xe5000054,   (* [4959:792] Aacute + T : -54 (cslSTIXMath-Regular) *)
    0xf3800051,   (* [4960:793] Aacute + Q : -25 (cslSTIXMath-Regular) *)
    0xf380004f,   (* [4961:794] Aacute + O : -25 (cslSTIXMath-Regular) *)
    0xf3800047,   (* [4962:795] Aacute + G : -25 (cslSTIXMath-Regular) *)
    0xf3800043,   (* [4963:796] Aacute + C : -25 (cslSTIXMath-Regular) *)
    0xfd80002e,   (* [4964:797] Aacute + period : -5 (cslSTIXMath-Regular) *)
    0xf800002d,   (* [4965:798] Aacute + hyphen : -16 (cslSTIXMath-Regular) *)
    0xff40002c,   (* [4966:799] Aacute + comma : -2 (cslSTIXMath-Regular) *) (*;;*)
    0xe6000059,   (* [4967:800] Acircumflex + Y : -52 (cslSTIXMath-Regular) *)
    0xd6800057,   (* [4968:801] Acircumflex + W : -83 (cslSTIXMath-Regular) *)
    0xd6800056,   (* [4969:802] Acircumflex + V : -83 (cslSTIXMath-Regular) *)
    0xee800055,   (* [4970:803] Acircumflex + U : -35 (cslSTIXMath-Regular) *)
    0xe5000054,   (* [4971:804] Acircumflex + T : -54 (cslSTIXMath-Regular) *)
    0xf3800051,   (* [4972:805] Acircumflex + Q : -25 (cslSTIXMath-Regular) *)
    0xf380004f,   (* [4973:806] Acircumflex + O : -25 (cslSTIXMath-Regular) *)
    0xf3800047,   (* [4974:807] Acircumflex + G : -25 (cslSTIXMath-Regular) *)
    0xf3800043,   (* [4975:808] Acircumflex + C : -25 (cslSTIXMath-Regular) *)
    0xfd80002e,   (* [4976:809] Acircumflex + period : -5 (cslSTIXMath-Regular) *)
    0xff40002c,   (* [4977:810] Acircumflex + comma : -2 (cslSTIXMath-Regular) *) (*;;*)
    0xe6000059,   (* [4978:811] Atilde + Y : -52 (cslSTIXMath-Regular) *)
    0xd6800057,   (* [4979:812] Atilde + W : -83 (cslSTIXMath-Regular) *)
    0xd6800056,   (* [4980:813] Atilde + V : -83 (cslSTIXMath-Regular) *)
    0xee800055,   (* [4981:814] Atilde + U : -35 (cslSTIXMath-Regular) *)
    0xe5000054,   (* [4982:815] Atilde + T : -54 (cslSTIXMath-Regular) *)
    0xf3800051,   (* [4983:816] Atilde + Q : -25 (cslSTIXMath-Regular) *)
    0xf380004f,   (* [4984:817] Atilde + O : -25 (cslSTIXMath-Regular) *)
    0xf3800047,   (* [4985:818] Atilde + G : -25 (cslSTIXMath-Regular) *)
    0xf3800043,   (* [4986:819] Atilde + C : -25 (cslSTIXMath-Regular) *)
    0xfd80002e,   (* [4987:820] Atilde + period : -5 (cslSTIXMath-Regular) *)
    0xff40002c,   (* [4988:821] Atilde + comma : -2 (cslSTIXMath-Regular) *) (*;;*)
    0xe7802039,   (* [4989:822] Adieresis + guilsinglleft : -49 (cslSTIXMath-Regular) *)
    0xe380201d,   (* [4990:823] Adieresis + quotedblright : -57 (cslSTIXMath-Regular) *)
    0xdb002019,   (* [4991:824] Adieresis + quoteright : -74 (cslSTIXMath-Regular) *)
    0xeb0000ab,   (* [4992:825] Adieresis + guillemotleft : -42 (cslSTIXMath-Regular) *)
    0xdc000079,   (* [4993:826] Adieresis + y : -72 (cslSTIXMath-Regular) *)
    0xe3000077,   (* [4994:827] Adieresis + w : -58 (cslSTIXMath-Regular) *)
    0xe3000076,   (* [4995:828] Adieresis + v : -58 (cslSTIXMath-Regular) *)
    0xf9000075,   (* [4996:829] Adieresis + u : -14 (cslSTIXMath-Regular) *)
    0xf9800074,   (* [4997:830] Adieresis + t : -13 (cslSTIXMath-Regular) *)
    0xf9000071,   (* [4998:831] Adieresis + q : -14 (cslSTIXMath-Regular) *)
    0xf300006f,   (* [4999:832] Adieresis + o : -26 (cslSTIXMath-Regular) *)
    0xfa000067,   (* [5000:833] Adieresis + g : -12 (cslSTIXMath-Regular) *)
    0xf7800064,   (* [5001:834] Adieresis + d : -17 (cslSTIXMath-Regular) *)
    0xfb000063,   (* [5002:835] Adieresis + c : -10 (cslSTIXMath-Regular) *)
    0xf9000062,   (* [5003:836] Adieresis + b : -14 (cslSTIXMath-Regular) *)
    0xfe000061,   (* [5004:837] Adieresis + a : -4 (cslSTIXMath-Regular) *)
    0xe6000059,   (* [5005:838] Adieresis + Y : -52 (cslSTIXMath-Regular) *)
    0xd6800057,   (* [5006:839] Adieresis + W : -83 (cslSTIXMath-Regular) *)
    0xd6800056,   (* [5007:840] Adieresis + V : -83 (cslSTIXMath-Regular) *)
    0xee800055,   (* [5008:841] Adieresis + U : -35 (cslSTIXMath-Regular) *)
    0xe5000054,   (* [5009:842] Adieresis + T : -54 (cslSTIXMath-Regular) *)
    0xf3800051,   (* [5010:843] Adieresis + Q : -25 (cslSTIXMath-Regular) *)
    0xf380004f,   (* [5011:844] Adieresis + O : -25 (cslSTIXMath-Regular) *)
    0xf3800047,   (* [5012:845] Adieresis + G : -25 (cslSTIXMath-Regular) *)
    0xf3800043,   (* [5013:846] Adieresis + C : -25 (cslSTIXMath-Regular) *)
    0xfd80002e,   (* [5014:847] Adieresis + period : -5 (cslSTIXMath-Regular) *)
    0xf800002d,   (* [5015:848] Adieresis + hyphen : -16 (cslSTIXMath-Regular) *)
    0xff40002c,   (* [5016:849] Adieresis + comma : -2 (cslSTIXMath-Regular) *) (*;;*)
    0xe7802039,   (* [5017:850] Aring + guilsinglleft : -49 (cslSTIXMath-Regular) *)
    0xe380201d,   (* [5018:851] Aring + quotedblright : -57 (cslSTIXMath-Regular) *)
    0xdb002019,   (* [5019:852] Aring + quoteright : -74 (cslSTIXMath-Regular) *)
    0xeb0000ab,   (* [5020:853] Aring + guillemotleft : -42 (cslSTIXMath-Regular) *)
    0xdc000079,   (* [5021:854] Aring + y : -72 (cslSTIXMath-Regular) *)
    0xe3000077,   (* [5022:855] Aring + w : -58 (cslSTIXMath-Regular) *)
    0xe3000076,   (* [5023:856] Aring + v : -58 (cslSTIXMath-Regular) *)
    0xf9000075,   (* [5024:857] Aring + u : -14 (cslSTIXMath-Regular) *)
    0xf9800074,   (* [5025:858] Aring + t : -13 (cslSTIXMath-Regular) *)
    0xf9000071,   (* [5026:859] Aring + q : -14 (cslSTIXMath-Regular) *)
    0xf300006f,   (* [5027:860] Aring + o : -26 (cslSTIXMath-Regular) *)
    0xfa000067,   (* [5028:861] Aring + g : -12 (cslSTIXMath-Regular) *)
    0xf7800065,   (* [5029:862] Aring + e : -17 (cslSTIXMath-Regular) *)
    0xf7800064,   (* [5030:863] Aring + d : -17 (cslSTIXMath-Regular) *)
    0xfb000063,   (* [5031:864] Aring + c : -10 (cslSTIXMath-Regular) *)
    0xf9000062,   (* [5032:865] Aring + b : -14 (cslSTIXMath-Regular) *)
    0xfe000061,   (* [5033:866] Aring + a : -4 (cslSTIXMath-Regular) *)
    0xe6000059,   (* [5034:867] Aring + Y : -52 (cslSTIXMath-Regular) *)
    0xd6800057,   (* [5035:868] Aring + W : -83 (cslSTIXMath-Regular) *)
    0xd6800056,   (* [5036:869] Aring + V : -83 (cslSTIXMath-Regular) *)
    0xee800055,   (* [5037:870] Aring + U : -35 (cslSTIXMath-Regular) *)
    0xe5000054,   (* [5038:871] Aring + T : -54 (cslSTIXMath-Regular) *)
    0xf3800051,   (* [5039:872] Aring + Q : -25 (cslSTIXMath-Regular) *)
    0xf380004f,   (* [5040:873] Aring + O : -25 (cslSTIXMath-Regular) *)
    0xf3800047,   (* [5041:874] Aring + G : -25 (cslSTIXMath-Regular) *)
    0xf3800043,   (* [5042:875] Aring + C : -25 (cslSTIXMath-Regular) *)
    0xfd80002e,   (* [5043:876] Aring + period : -5 (cslSTIXMath-Regular) *)
    0xf800002d,   (* [5044:877] Aring + hyphen : -16 (cslSTIXMath-Regular) *)
    0xff40002c,   (* [5045:878] Aring + comma : -2 (cslSTIXMath-Regular) *) (*;;*)
    0xf8400041,   (* [5046:879] Ccedilla + A : -16 (cslSTIXMath-Regular) *) (*;;*)
    0xee000059,   (* [5047:880] Ograve + Y : -36 (cslSTIXMath-Regular) *)
    0xf1000056,   (* [5048:881] Ograve + V : -30 (cslSTIXMath-Regular) *)
    0xfec00054,   (* [5049:882] Ograve + T : -3 (cslSTIXMath-Regular) *) (*;;*)
    0xee000059,   (* [5050:883] Oacute + Y : -36 (cslSTIXMath-Regular) *)
    0xf3800057,   (* [5051:884] Oacute + W : -25 (cslSTIXMath-Regular) *)
    0xf1000056,   (* [5052:885] Oacute + V : -30 (cslSTIXMath-Regular) *)
    0xfe800054,   (* [5053:886] Oacute + T : -3 (cslSTIXMath-Regular) *)
    0xf3c00041,   (* [5054:887] Oacute + A : -25 (cslSTIXMath-Regular) *) (*;;*)
    0xee000059,   (* [5055:888] Ocircumflex + Y : -36 (cslSTIXMath-Regular) *)
    0xf1000056,   (* [5056:889] Ocircumflex + V : -30 (cslSTIXMath-Regular) *)
    0xfec00054,   (* [5057:890] Ocircumflex + T : -3 (cslSTIXMath-Regular) *) (*;;*)
    0xee000059,   (* [5058:891] Otilde + Y : -36 (cslSTIXMath-Regular) *)
    0xf1000056,   (* [5059:892] Otilde + V : -30 (cslSTIXMath-Regular) *)
    0xfec00054,   (* [5060:893] Otilde + T : -3 (cslSTIXMath-Regular) *) (*;;*)
    0xee000059,   (* [5061:894] Odieresis + Y : -36 (cslSTIXMath-Regular) *)
    0xf4000058,   (* [5062:895] Odieresis + X : -24 (cslSTIXMath-Regular) *)
    0xf3800057,   (* [5063:896] Odieresis + W : -25 (cslSTIXMath-Regular) *)
    0xf5000056,   (* [5064:897] Odieresis + V : -22 (cslSTIXMath-Regular) *)
    0xfe800054,   (* [5065:898] Odieresis + T : -3 (cslSTIXMath-Regular) *)
    0xf3c00041,   (* [5066:899] Odieresis + A : -25 (cslSTIXMath-Regular) *) (*;;*)
    0xf3c00041,   (* [5067:900] Oslash + A : -25 (cslSTIXMath-Regular) *) (*;;*)
    0xf8000072,   (* [5068:901] Ugrave + r : -16 (cslSTIXMath-Regular) *)
    0xf7000070,   (* [5069:902] Ugrave + p : -18 (cslSTIXMath-Regular) *)
    0xf600006e,   (* [5070:903] Ugrave + n : -20 (cslSTIXMath-Regular) *)
    0xf600006d,   (* [5071:904] Ugrave + m : -20 (cslSTIXMath-Regular) *)
    0xea800041,   (* [5072:905] Ugrave + A : -43 (cslSTIXMath-Regular) *)
    0xf200002e,   (* [5073:906] Ugrave + period : -28 (cslSTIXMath-Regular) *)
    0xf0c0002c,   (* [5074:907] Ugrave + comma : -31 (cslSTIXMath-Regular) *) (*;;*)
    0xf8000072,   (* [5075:908] Uacute + r : -16 (cslSTIXMath-Regular) *)
    0xf7000070,   (* [5076:909] Uacute + p : -18 (cslSTIXMath-Regular) *)
    0xf600006e,   (* [5077:910] Uacute + n : -20 (cslSTIXMath-Regular) *)
    0xf600006d,   (* [5078:911] Uacute + m : -20 (cslSTIXMath-Regular) *)
    0xea800041,   (* [5079:912] Uacute + A : -43 (cslSTIXMath-Regular) *)
    0xf200002e,   (* [5080:913] Uacute + period : -28 (cslSTIXMath-Regular) *)
    0xf0c0002c,   (* [5081:914] Uacute + comma : -31 (cslSTIXMath-Regular) *) (*;;*)
    0xeac00041,   (* [5082:915] Ucircumflex + A : -43 (cslSTIXMath-Regular) *) (*;;*)
    0xf8000072,   (* [5083:916] Udieresis + r : -16 (cslSTIXMath-Regular) *)
    0xf7000070,   (* [5084:917] Udieresis + p : -18 (cslSTIXMath-Regular) *)
    0xf600006e,   (* [5085:918] Udieresis + n : -20 (cslSTIXMath-Regular) *)
    0xf600006d,   (* [5086:919] Udieresis + m : -20 (cslSTIXMath-Regular) *)
    0x0a800062,   (* [5087:920] Udieresis + b : 21 (cslSTIXMath-Regular) *)
    0xea800041,   (* [5088:921] Udieresis + A : -43 (cslSTIXMath-Regular) *)
    0xf200002e,   (* [5089:922] Udieresis + period : -28 (cslSTIXMath-Regular) *)
    0xf0c0002c,   (* [5090:923] Udieresis + comma : -31 (cslSTIXMath-Regular) *) (*;;*)
    0xf2800079,   (* [5091:924] agrave + y : -27 (cslSTIXMath-Regular) *)
    0xef800077,   (* [5092:925] agrave + w : -33 (cslSTIXMath-Regular) *)
    0xf0400076,   (* [5093:926] agrave + v : -32 (cslSTIXMath-Regular) *) (*;;*)
    0xf2800079,   (* [5094:927] aacute + y : -27 (cslSTIXMath-Regular) *)
    0xef800077,   (* [5095:928] aacute + w : -33 (cslSTIXMath-Regular) *)
    0xf0400076,   (* [5096:929] aacute + v : -32 (cslSTIXMath-Regular) *) (*;;*)
    0xf2800079,   (* [5097:930] adieresis + y : -27 (cslSTIXMath-Regular) *)
    0xef800077,   (* [5098:931] adieresis + w : -33 (cslSTIXMath-Regular) *)
    0xf0400076,   (* [5099:932] adieresis + v : -32 (cslSTIXMath-Regular) *) (*;;*)
    0xf2800079,   (* [5100:933] aring + y : -27 (cslSTIXMath-Regular) *)
    0xef800077,   (* [5101:934] aring + w : -33 (cslSTIXMath-Regular) *)
    0xf0400076,   (* [5102:935] aring + v : -32 (cslSTIXMath-Regular) *) (*;;*)
    0xf1000079,   (* [5103:936] ae + y : -30 (cslSTIXMath-Regular) *)
    0xf1800077,   (* [5104:937] ae + w : -29 (cslSTIXMath-Regular) *)
    0xf2400076,   (* [5105:938] ae + v : -28 (cslSTIXMath-Regular) *) (*;;*)
    0xf5800079,   (* [5106:939] eacute + y : -21 (cslSTIXMath-Regular) *)
    0xf6800077,   (* [5107:940] eacute + w : -19 (cslSTIXMath-Regular) *)
    0xf6c00076,   (* [5108:941] eacute + v : -19 (cslSTIXMath-Regular) *) (*;;*)
    0xf5800079,   (* [5109:942] ecircumflex + y : -21 (cslSTIXMath-Regular) *)
    0xf6800077,   (* [5110:943] ecircumflex + w : -19 (cslSTIXMath-Regular) *)
    0xf6c00076,   (* [5111:944] ecircumflex + v : -19 (cslSTIXMath-Regular) *) (*;;*)
    0xf5000079,   (* [5112:945] ograve + y : -22 (cslSTIXMath-Regular) *)
    0xf5000077,   (* [5113:946] ograve + w : -22 (cslSTIXMath-Regular) *)
    0xf5400076,   (* [5114:947] ograve + v : -22 (cslSTIXMath-Regular) *) (*;;*)
    0xf5000079,   (* [5115:948] oacute + y : -22 (cslSTIXMath-Regular) *)
    0xf5000077,   (* [5116:949] oacute + w : -22 (cslSTIXMath-Regular) *)
    0xf5400076,   (* [5117:950] oacute + v : -22 (cslSTIXMath-Regular) *) (*;;*)
    0xfc400074,   (* [5118:951] ocircumflex + t : -8 (cslSTIXMath-Regular) *) (*;;*)
    0xf5000079,   (* [5119:952] odieresis + y : -22 (cslSTIXMath-Regular) *)
    0xf5000078,   (* [5120:953] odieresis + x : -22 (cslSTIXMath-Regular) *)
    0xf5000077,   (* [5121:954] odieresis + w : -22 (cslSTIXMath-Regular) *)
    0xf5000076,   (* [5122:955] odieresis + v : -22 (cslSTIXMath-Regular) *)
    0xfc400074,   (* [5123:956] odieresis + t : -8 (cslSTIXMath-Regular) *) (*;;*)
    0xc80000c6,   (* [5124:957] quoteleft + AE : -112 (cslSTIXMath-Regular) *)
    0xc70000c5,   (* [5125:958] quoteleft + Aring : -114 (cslSTIXMath-Regular) *)
    0xc70000c4,   (* [5126:959] quoteleft + Adieresis : -114 (cslSTIXMath-Regular) *)
    0xc70000c2,   (* [5127:960] quoteleft + Acircumflex : -114 (cslSTIXMath-Regular) *)
    0xc70000c1,   (* [5128:961] quoteleft + Aacute : -114 (cslSTIXMath-Regular) *)
    0xc70000c0,   (* [5129:962] quoteleft + Agrave : -114 (cslSTIXMath-Regular) *)
    0xf2800059,   (* [5130:963] quoteleft + Y : -27 (cslSTIXMath-Regular) *)
    0xf6000057,   (* [5131:964] quoteleft + W : -20 (cslSTIXMath-Regular) *)
    0xf3800056,   (* [5132:965] quoteleft + V : -25 (cslSTIXMath-Regular) *)
    0xfa800054,   (* [5133:966] quoteleft + T : -11 (cslSTIXMath-Regular) *)
    0xc7400041,   (* [5134:967] quoteleft + A : -114 (cslSTIXMath-Regular) *) (*;;*)
    0xbc8000c6,   (* [5135:968] quoteright + AE : -135 (cslSTIXMath-Regular) *)
    0xbe0000c5,   (* [5136:969] quoteright + Aring : -132 (cslSTIXMath-Regular) *)
    0xbe0000c4,   (* [5137:970] quoteright + Adieresis : -132 (cslSTIXMath-Regular) *)
    0xbe0000c2,   (* [5138:971] quoteright + Acircumflex : -132 (cslSTIXMath-Regular) *)
    0xbe0000c1,   (* [5139:972] quoteright + Aacute : -132 (cslSTIXMath-Regular) *)
    0xbe0000c0,   (* [5140:973] quoteright + Agrave : -132 (cslSTIXMath-Regular) *)
    0xe9000079,   (* [5141:974] quoteright + y : -46 (cslSTIXMath-Regular) *)
    0xea800077,   (* [5142:975] quoteright + w : -43 (cslSTIXMath-Regular) *)
    0xe8000076,   (* [5143:976] quoteright + v : -48 (cslSTIXMath-Regular) *)
    0xeb000074,   (* [5144:977] quoteright + t : -42 (cslSTIXMath-Regular) *)
    0xe7800073,   (* [5145:978] quoteright + s : -49 (cslSTIXMath-Regular) *)
    0xed000072,   (* [5146:979] quoteright + r : -38 (cslSTIXMath-Regular) *)
    0xe400006f,   (* [5147:980] quoteright + o : -56 (cslSTIXMath-Regular) *)
    0xe3000064,   (* [5148:981] quoteright + d : -58 (cslSTIXMath-Regular) *)
    0xbe000041,   (* [5149:982] quoteright + A : -132 (cslSTIXMath-Regular) *)
    0xd800002e,   (* [5150:983] quoteright + period : -80 (cslSTIXMath-Regular) *)
    0xdbc0002c,   (* [5151:984] quoteright + comma : -73 (cslSTIXMath-Regular) *) (*;;*)
    0xd48000c6,   (* [5152:985] quotedblleft + AE : -87 (cslSTIXMath-Regular) *)
    0xd38000c5,   (* [5153:986] quotedblleft + Aring : -89 (cslSTIXMath-Regular) *)
    0xd38000c4,   (* [5154:987] quotedblleft + Adieresis : -89 (cslSTIXMath-Regular) *)
    0xd38000c1,   (* [5155:988] quotedblleft + Aacute : -89 (cslSTIXMath-Regular) *)
    0xfe800059,   (* [5156:989] quotedblleft + Y : -3 (cslSTIXMath-Regular) *)
    0x02000057,   (* [5157:990] quotedblleft + W : 4 (cslSTIXMath-Regular) *)
    0xff800056,   (* [5158:991] quotedblleft + V : -1 (cslSTIXMath-Regular) *)
    0x06800054,   (* [5159:992] quotedblleft + T : 13 (cslSTIXMath-Regular) *)
    0xd3c00041,   (* [5160:993] quotedblleft + A : -89 (cslSTIXMath-Regular) *) (*;;*)
    0xce8000c6,   (* [5161:994] quotedblright + AE : -99 (cslSTIXMath-Regular) *)
    0xd00000c5,   (* [5162:995] quotedblright + Aring : -96 (cslSTIXMath-Regular) *)
    0xd00000c4,   (* [5163:996] quotedblright + Adieresis : -96 (cslSTIXMath-Regular) *)
    0xd00000c1,   (* [5164:997] quotedblright + Aacute : -96 (cslSTIXMath-Regular) *)
    0xfe800059,   (* [5165:998] quotedblright + Y : -3 (cslSTIXMath-Regular) *)
    0x03000057,   (* [5166:999] quotedblright + W : 6 (cslSTIXMath-Regular) *)
    0x00800056,   (* [5167:1000] quotedblright + V : 1 (cslSTIXMath-Regular) *)
    0x04800054,   (* [5168:1001] quotedblright + T : 9 (cslSTIXMath-Regular) *)
    0xd0400041,   (* [5169:1002] quotedblright + A : -96 (cslSTIXMath-Regular) *) (*;;*)
    0x098000c6,   (* [5170:1003] quotedblbase + AE : 19 (cslSTIXMath-Regular) *)
    0x060000c5,   (* [5171:1004] quotedblbase + Aring : 12 (cslSTIXMath-Regular) *)
    0x060000c4,   (* [5172:1005] quotedblbase + Adieresis : 12 (cslSTIXMath-Regular) *)
    0x060000c2,   (* [5173:1006] quotedblbase + Acircumflex : 12 (cslSTIXMath-Regular) *)
    0x060000c1,   (* [5174:1007] quotedblbase + Aacute : 12 (cslSTIXMath-Regular) *)
    0x060000c0,   (* [5175:1008] quotedblbase + Agrave : 12 (cslSTIXMath-Regular) *)
    0xd4800059,   (* [5176:1009] quotedblbase + Y : -87 (cslSTIXMath-Regular) *)
    0xdb800057,   (* [5177:1010] quotedblbase + W : -73 (cslSTIXMath-Regular) *)
    0xce000056,   (* [5178:1011] quotedblbase + V : -100 (cslSTIXMath-Regular) *)
    0xe2000054,   (* [5179:1012] quotedblbase + T : -60 (cslSTIXMath-Regular) *)
    0x06400041,   (* [5180:1013] quotedblbase + A : 12 (cslSTIXMath-Regular) *) (*;;*)
    0xdb8000c6,   (* [5181:1014] guilsinglright + AE : -73 (cslSTIXMath-Regular) *)
    0xda0000c5,   (* [5182:1015] guilsinglright + Aring : -76 (cslSTIXMath-Regular) *)
    0xda0000c4,   (* [5183:1016] guilsinglright + Adieresis : -76 (cslSTIXMath-Regular) *)
    0xda0000c1,   (* [5184:1017] guilsinglright + Aacute : -76 (cslSTIXMath-Regular) *)
    0xb5800059,   (* [5185:1018] guilsinglright + Y : -149 (cslSTIXMath-Regular) *)
    0xcb800057,   (* [5186:1019] guilsinglright + W : -105 (cslSTIXMath-Regular) *)
    0xc1000056,   (* [5187:1020] guilsinglright + V : -126 (cslSTIXMath-Regular) *)
    0xc2800054,   (* [5188:1021] guilsinglright + T : -123 (cslSTIXMath-Regular) *)
    0xda400041,   (* [5189:1022] guilsinglright + A : -76 (cslSTIXMath-Regular) *) (*;;*)
    0x23a00069,   (* [5190:1023] ff + i ligature #71 (cslSTIXMath-Regular) *)
    0x2460006c    (* [5191:1024] ff + l ligature #72 (cslSTIXMath-Regular) *) (*;;*)
    ];

val ligaturetable = Vector.fromList [
    62083,    (* [0] space + hookabovecomb => space_hookabovecomb (cmuntt) *)
    61877,    (* [1] space + COMBINING_CYRILLIC_MILLIONS_SIGN => space_COMBINING_CYRILLIC_MILLIONS_SIGN (cmuntt) *)
    61876,    (* [2] space + COMBINING_CYRILLIC_HUNDRED_THOUSANDS_SIGN => space_COMBINING_CYRILLIC_HUNDRED_THOUSANDS_SIGN (cmuntt) *)
    61875,    (* [3] space + COMBINING_CYRILLIC_PSILI_PNEUMATA => space_COMBINING_CYRILLIC_PSILI_PNEUMATA (cmuntt) *)
    61874,    (* [4] space + COMBINING_CYRILLIC_DASIA_PNEUMATA => space_COMBINING_CYRILLIC_DASIA_PNEUMATA (cmuntt) *)
    61873,    (* [5] space + COMBINING_CYRILLIC_PALATALIZATION => space_COMBINING_CYRILLIC_PALATALIZATION (cmuntt) *)
    61872,    (* [6] space + COMBINING_LEFT_RIGHT_ARROW_BELOW => space_COMBINING_LEFT_RIGHT_ARROW_BELOW (cmuntt) *)
    61871,    (* [7] space + COMBINING_SEAGULL_BELOW => space_COMBINING_SEAGULL_BELOW (cmuntt) *)
    61870,    (* [8] space + COMBINING_SQUARE_BELOW => space_COMBINING_SQUARE_BELOW (cmuntt) *)
    61869,    (* [9] space + COMBINING_INVERTED_BRIDGE_BELOW => space_COMBINING_INVERTED_BRIDGE_BELOW (cmuntt) *)
    61868,    (* [10] space + COMBINING_SHORT_SOLIDUS_OVERLAY => space_COMBINING_SHORT_SOLIDUS_OVERLAY (cmuntt) *)
    61867,    (* [11] space + COMBINING_SHORT_STROKE_OVERLAY => space_COMBINING_SHORT_STROKE_OVERLAY (cmuntt) *)
    61866,    (* [12] space + COMBINING_INVERTED_DOUBLE_ARCH_BELOW => space_COMBINING_INVERTED_DOUBLE_ARCH_BELOW (cmuntt) *)
    61865,    (* [13] space + COMBINING_BRIDGE_BELOW => space_COMBINING_BRIDGE_BELOW (cmuntt) *)
    61864,    (* [14] space + COMBINING_RETROFLEX_HOOK_BELOW => space_COMBINING_RETROFLEX_HOOK_BELOW (cmuntt) *)
    61863,    (* [15] space + COMBINING_PALATALIZED_HOOK_BELOW => space_COMBINING_PALATALIZED_HOOK_BELOW (cmuntt) *)
    61862,    (* [16] space + COMBINING_INVERTED_BREVE => space_COMBINING_INVERTED_BREVE (cmuntt) *)
    61861,    (* [17] space + COMBINING_DOUBLE_GRAVE_ACCENT => space_COMBINING_DOUBLE_GRAVE_ACCENT (cmuntt) *)
    61860,    (* [18] space + COMBINING_DOUBLE_VERTICAL_LINE_ABOVE => space_COMBINING_DOUBLE_VERTICAL_LINE_ABOVE (cmuntt) *)
    61859,    (* [19] space + COMBINING_VERTICAL_LINE_ABOVE => space_COMBINING_VERTICAL_LINE_ABOVE (cmuntt) *)
    61858,    (* [20] space + COMBINING_TILDE => space_COMBINING_TILDE (cmuntt) *)
    61794,    (* [21] space + COMBINING_ACUTE_GRAVE_ACUTE => space_COMBINING_ACUTE_GRAVE_ACUTE (cmuntt) *)
    61793,    (* [22] space + COMBINING_GRAVE_ACUTE_GRAVE => space_COMBINING_GRAVE_ACUTE_GRAVE (cmuntt) *)
    61792,    (* [23] space + COMBINING_GRAVE_MACRON => space_COMBINING_GRAVE_MACRON (cmuntt) *)
    61791,    (* [24] space + COMBINING_MACRON_ACUTE => space_COMBINING_MACRON_ACUTE (cmuntt) *)
    306,      (* [25] I + J => IJ (cmuntt) *)
    64258,    (* [26] f + l => fl (cmuntt) *)
    64257,    (* [27] f + i => fi (cmuntt) *)
    64256,    (* [28] f + f => ff (cmuntt) *)
    307,      (* [29] i + j => ij (cmuntt) *)
    64261,    (* [30] longs + t => LATIN_SMALL_LIGATURE_LONG_S_T (cmuntt) *)
    64260,    (* [31] ff + l => ffl (cmuntt) *)
    64259,    (* [32] ff + i => ffi (cmuntt) *)
    306,      (* [33] I + J => LATIN_CAPITAL_LIGATURE_IJ (cslSTIX-Regular) *)
    1081345,   (* [34] f + j => f_j (cslSTIX-Regular) *)
    64258,    (* [35] f + l => fl (cslSTIX-Regular) *)
    64257,    (* [36] f + i => fi (cslSTIX-Regular) *)
    64256,    (* [37] f + f => ff (cslSTIX-Regular) *)
    307,      (* [38] i + j => LATIN_SMALL_LIGATURE_IJ (cslSTIX-Regular) *)
    64259,    (* [39] ff + i => ffi (cslSTIX-Regular) *)
    64260,    (* [40] ff + l => ffl (cslSTIX-Regular) *)
    306,      (* [41] I + J => LATIN_CAPITAL_LIGATURE_IJ (cslSTIX-Bold) *)
    1081345,   (* [42] f + j => f_j (cslSTIX-Bold) *)
    64258,    (* [43] f + l => fl (cslSTIX-Bold) *)
    64257,    (* [44] f + i => fi (cslSTIX-Bold) *)
    64256,    (* [45] f + f => ff (cslSTIX-Bold) *)
    307,      (* [46] i + j => LATIN_SMALL_LIGATURE_IJ (cslSTIX-Bold) *)
    64259,    (* [47] ff + i => ffi (cslSTIX-Bold) *)
    64260,    (* [48] ff + l => ffl (cslSTIX-Bold) *)
    306,      (* [49] I + J => LATIN_CAPITAL_LIGATURE_IJ (cslSTIX-Italic) *)
    1081345,   (* [50] f + j => f_j (cslSTIX-Italic) *)
    64258,    (* [51] f + l => fl (cslSTIX-Italic) *)
    64257,    (* [52] f + i => fi (cslSTIX-Italic) *)
    64256,    (* [53] f + f => ff (cslSTIX-Italic) *)
    307,      (* [54] i + j => LATIN_SMALL_LIGATURE_IJ (cslSTIX-Italic) *)
    64259,    (* [55] ff + i => ffi (cslSTIX-Italic) *)
    64260,    (* [56] ff + l => ffl (cslSTIX-Italic) *)
    306,      (* [57] I + J => LATIN_CAPITAL_LIGATURE_IJ (cslSTIX-BoldItalic) *)
    1081345,   (* [58] f + j => f_j (cslSTIX-BoldItalic) *)
    64258,    (* [59] f + l => fl (cslSTIX-BoldItalic) *)
    64257,    (* [60] f + i => fi (cslSTIX-BoldItalic) *)
    64256,    (* [61] f + f => ff (cslSTIX-BoldItalic) *)
    307,      (* [62] i + j => LATIN_SMALL_LIGATURE_IJ (cslSTIX-BoldItalic) *)
    64259,    (* [63] ff + i => ffi (cslSTIX-BoldItalic) *)
    64260,    (* [64] ff + l => ffl (cslSTIX-BoldItalic) *)
    306,      (* [65] I + J => LATIN_CAPITAL_LIGATURE_IJ (cslSTIXMath-Regular) *)
    1081345,   (* [66] f + j => uniE0B3 (cslSTIXMath-Regular) *)
    64258,    (* [67] f + l => fl (cslSTIXMath-Regular) *)
    64257,    (* [68] f + i => fi (cslSTIXMath-Regular) *)
    64256,    (* [69] f + f => ff (cslSTIXMath-Regular) *)
    307,      (* [70] i + j => LATIN_SMALL_LIGATURE_IJ (cslSTIXMath-Regular) *)
    64259,    (* [71] ff + i => ffi (cslSTIXMath-Regular) *)
    64260     (* [72] ff + l => ffl (cslSTIXMath-Regular) *)
   ];

(* end of charmetrics.sml *)
